import { Credentials } from '../../models/credentials';
import { OnDestroy } from '@angular/core';
import { AuthenticationMethodService } from '../authentication-method.service';
import { BehaviorSubject, Observable, Subscription } from 'rxjs';
import { ConfigurationService } from '../../../configuration/configuration.service';
import { User } from '../../../user/models/user';
import { UserTransformer } from '../../models/user.transformer';
import { SessionService } from '../../session/services/session.service';
import * as i0 from "@angular/core";
export declare class AuthenticationService implements OnDestroy {
    protected _auth: AuthenticationMethodService;
    protected _config: ConfigurationService;
    protected _sessionService: SessionService;
    protected _userTransformer: UserTransformer;
    protected static readonly IDENTIFICATION_ATTRIBUTE = "id";
    protected _authenticated$: BehaviorSubject<boolean>;
    protected subSession: Subscription;
    constructor(_auth: AuthenticationMethodService, _config: ConfigurationService, _sessionService: SessionService, _userTransformer: UserTransformer);
    login(credentials: Credentials): Observable<User>;
    logout(): Observable<object>;
    get isAuthenticated(): boolean;
    get authenticated$(): Observable<boolean>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationService>;
}
