import { LoggerService } from '../../../logger/services/logger.service';
import { ConfigurationService } from '../../../configuration/configuration.service';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { UserRegistrationRequest } from '../models/user-registration-request';
import { MessageResource } from '../../../resources/interface/message-resource';
import { UserInvitationRequest } from '../models/user-invitation-request';
import * as i0 from "@angular/core";
export declare class SignUpService {
    protected _config: ConfigurationService;
    protected _http: HttpClient;
    protected _log: LoggerService;
    protected readonly _signUpUrl: string;
    protected readonly _verifyUrl: string;
    protected readonly _inviteUrl: string;
    protected readonly _resetUrl: string;
    protected readonly _recoverUrl: string;
    constructor(_config: ConfigurationService, _http: HttpClient, _log: LoggerService);
    signup(newUser: UserRegistrationRequest): Observable<MessageResource>;
    invite(invitation: UserInvitationRequest): Observable<MessageResource>;
    resetPassword(email: string): Observable<MessageResource>;
    recoverPassword(token: any, password: any): Observable<MessageResource>;
    verify(token: string): Observable<MessageResource>;
    /**
     * @param endpointKey the attribute name of the endpoint address in `nae.json`
     * @param baseUrl the base of the endpoint URL. Content resolved by key from `nae.json` is appended to the URL provided by this argument
     * @returns the endpoint address or `undefined` if such endpoint is not defined in `nae.json`
     */
    protected resolveEndpoint(endpointKey: string, baseUrl: string): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignUpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SignUpService>;
}
