import { Injector, OnDestroy, OnInit } from '@angular/core';
import { Filter } from '../../../filter/models/filter';
import { CustomCard } from '../model/custom-dashboard-model/custom-card';
import { DashboardResourceService } from '../../../resources/engine-endpoint/dashboard-resource.service';
import { TranslateService } from '@ngx-translate/core';
import { LoadingEmitter } from '../../../utility/loading-emitter';
import { DashboardSingleData } from '../model/custom-dashboard-model/dashboard-single-data';
import { DashboardMultiData } from '../model/custom-dashboard-model/dashboard-multi-data';
import { LoggerService } from '../../../logger/services/logger.service';
import { AggregationResult } from '../model/custom-dashboard-model/aggregation-result';
import { Color } from "@swimlane/ngx-charts";
import * as i0 from "@angular/core";
export declare abstract class AbstractCustomCardComponent implements OnInit, OnDestroy {
    protected _injector: Injector;
    protected resourceService: DashboardResourceService;
    protected translateService: TranslateService;
    protected loggerService: LoggerService;
    card: CustomCard;
    protected _filter: Filter;
    loading: LoadingEmitter;
    count: number;
    value: number;
    single: Array<DashboardSingleData>;
    multi: Array<DashboardMultiData>;
    showLegend: boolean;
    showLabels: boolean;
    animations: boolean;
    xAxis: boolean;
    yAxis: boolean;
    showYAxisLabel: boolean;
    showXAxisLabel: boolean;
    gradient: boolean;
    colorScheme: Color;
    protected constructor(_injector: Injector, resourceService: DashboardResourceService, translateService: TranslateService, loggerService: LoggerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getResourceTypeAsString(): string;
    abstract convertData(json: AggregationResult): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCustomCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCustomCardComponent, "ncc-abstract-custom-card", never, { "card": { "alias": "card"; "required": false; }; "single": { "alias": "single"; "required": false; }; }, {}, never, never, false, never>;
}
