import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { EnumerationField, EnumerationFieldValue } from '../models/enumeration-field';
import { TranslateService } from '@ngx-translate/core';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractEnumerationAutocompleteSelectFieldComponent extends AbstractBaseDataFieldComponent<EnumerationField> implements OnInit, OnDestroy {
    protected _translate: TranslateService;
    text: ElementRef;
    filteredOptions: Observable<Array<EnumerationFieldValue>>;
    constructor(_translate: TranslateService, dataFieldPortalData: DataFieldPortalData<EnumerationField>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected filterType(): string | undefined;
    protected _filter(value: string): Array<EnumerationFieldValue>;
    protected _filterInclude(value: string): Array<EnumerationFieldValue>;
    /**
     * Function to filter out matchless options without accent and case-sensitive differences
     * @param  value to compare matching options
     * @return  return matched options
     */
    protected _filterIndexOf(value: string): Array<EnumerationFieldValue>;
    change(): void;
    renderSelection: (key: any) => any;
    buildErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEnumerationAutocompleteSelectFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEnumerationAutocompleteSelectFieldComponent, "ncc-abstract-enumeration-autocomplete-field", never, {}, {}, never, never, false, never>;
}
