import { DataField } from './abstract-data-field';
import { FormControl } from '@angular/forms';
import { OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @deprecated as of v6.4.0
 * Holds the common functionality for all DataFieldComponents.
 */
export declare abstract class AbstractDataFieldComponent implements OnInit, OnDestroy {
    protected _informAboutInvalidData: boolean | null;
    /**
     * The Model object that this Component should render.
     * It should be overridden in each class that extends this one, to provide a more specific type.
     */
    dataField: DataField<any>;
    taskOffset: number;
    /**
     * @ignore
     * See [formControl]{@link AbstractDataFieldComponent#formControl}
     */
    protected _formControl: FormControl;
    protected constructor(_informAboutInvalidData: boolean | null);
    /**
     * Registers the {@link FormControl} to the provided data field.
     *
     * See [DataField.registerFormControl]{@link DataField#registerFormControl} form more information.
     */
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * The [FormControl]{@link https://angular.io/api/forms/FormControl} object that should be used to control any rendered forms.
     */
    get formControl(): FormControl;
    hasTitle(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDataFieldComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDataFieldComponent, "ncc-abstract-datafield", never, { "dataField": { "alias": "dataField"; "required": false; }; "taskOffset": { "alias": "taskOffset"; "required": false; }; }, {}, never, never, false, never>;
}
