import { ElementRef } from '@angular/core';
import { AbstractBaseDataFieldComponent } from '../base-component/abstract-base-data-field.component';
import { FileField } from '../file-field/models/file-field';
import { DataFieldPortalData } from './data-field-portal-data-injection-token';
import { LoggerService } from '../../logger/services/logger.service';
import { SnackBarService } from '../../snack-bar/services/snack-bar.service';
import { TranslateService } from '@ngx-translate/core';
import { FileListField } from '../file-list-field/models/file-list-field';
import * as i0 from "@angular/core";
export declare abstract class AbstractFileFieldDefaultComponent<T extends FileField | FileListField> extends AbstractBaseDataFieldComponent<T> {
    protected _log: LoggerService;
    protected _snackbar: SnackBarService;
    protected _translate: TranslateService;
    private labelWidth;
    cutProperty: string;
    /**
     * Task mongo string id is binding property from parent component.
     */
    taskId: string;
    /**
     * File picker element reference from component template that is initialized after view init.
     */
    fileUploadEl: ElementRef<HTMLInputElement>;
    protected constructor(_log: LoggerService, _snackbar: SnackBarService, _translate: TranslateService, dataFieldPortalData: DataFieldPortalData<T>);
    protected checkAllowedTypes(): boolean;
    protected checkTypes(itemType: string): boolean;
    getCutProperty(label: any): string;
    protected resolveParentTaskId(): string;
    protected resolveMaxSizeMessage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractFileFieldDefaultComponent<any>, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractFileFieldDefaultComponent<any>, "ncc-abstract-file-field-default-component", never, { "taskId": { "alias": "taskId"; "required": false; }; }, {}, never, never, false, never>;
}
