import { Behavior } from '../../models/behavior';
import { ValidatorFn } from '@angular/forms';
import { Layout } from '../../models/layout';
import { Validation } from '../../models/validation';
import { FormatFilter } from '../../models/format-filter';
import { Component } from '../../models/component';
import { DataField } from '../../models/abstract-data-field';
export declare enum NumberFieldValidation {
    ODD = "odd",
    EVEN = "even",
    POSITIVE = "positive",
    NEGATIVE = "negative",
    DECIMAL = "decimal",
    IN_RANGE = "inrange",
    INF = "inf",
    REQUIRED = "required",
    VALID_ODD = "validOdd",
    VALID_EVEN = "validEven",
    VALID_POSITIVE = "validPositive",
    VALID_NEGATIVE = "validNegative",
    VALID_DECIMAL = "validDecimal",
    VALID_IN_RANGE = "validInRange"
}
export declare class NumberField extends DataField<number> {
    _formatFilter: FormatFilter;
    constructor(stringId: string, title: string, value: number, behavior: Behavior, validations?: Array<Validation>, placeholder?: string, description?: string, layout?: Layout, format?: FormatFilter, component?: Component, parentTaskId?: string);
    getTypedComponentType(): string;
    protected resolveValidations(): Array<ValidatorFn>;
    private validOdd;
    private validEven;
    private validPositive;
    private validNegative;
    private validDecimal;
    private validInRangeSmaller;
    private validInRangeBigger;
    private validInRange;
}
