import { OnDestroy } from '@angular/core';
import { TaskRefDashboardTile } from '../../model/task-ref-dashboard-tile';
import { CaseResourceService } from '../../../../resources/engine-endpoint/case-resource.service';
import { TaskRefField } from '../../model/task-ref-field';
import { Subject } from 'rxjs';
import { ProcessService } from '../../../../process/process.service';
import { FormControl } from '@angular/forms';
import { LoggerService } from '../../../../logger/services/logger.service';
import { TaskSetDataRequestBody } from '../../../../resources/interface/task-set-data-request-body';
import { TaskResourceService } from '../../../../resources/engine-endpoint/task-resource.service';
import { CallChainService } from '../../../../utility/call-chain/call-chain.service';
import { TaskContentService } from '../../../../task-content/services/task-content.service';
import { TaskOperations } from '../../../../task/interfaces/task-operations';
import { TaskDataService } from '../../../../task/services/task-data.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskRefDashboardTileComponent implements OnDestroy {
    protected _caseResourceService: CaseResourceService;
    protected _processService: ProcessService;
    protected _logger: LoggerService;
    protected _taskResourceService: TaskResourceService;
    protected _callChainService: CallChainService;
    protected _parentTaskContentService: TaskContentService;
    protected _taskDataService: TaskDataService;
    protected _taskOperations: TaskOperations;
    tile: TaskRefDashboardTile;
    taskRef: TaskRefField;
    fc: FormControl;
    private _sub;
    private caseCreating;
    protected constructor(_caseResourceService: CaseResourceService, _processService: ProcessService, _logger: LoggerService, _taskResourceService: TaskResourceService, _callChainService: CallChainService, _parentTaskContentService: TaskContentService, _taskDataService: TaskDataService, _taskOperations: TaskOperations);
    ngOnDestroy(): void;
    createNewDashboardTile(): void;
    protected assignSetData(taskId: string, data: TaskSetDataRequestBody, callChain: Subject<boolean>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskRefDashboardTileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskRefDashboardTileComponent, "ncc-abstract-task-ref-dashboard-tile", never, { "tile": { "alias": "tile"; "required": false; }; "taskRef": { "alias": "taskRef"; "required": false; }; "fc": { "alias": "fc"; "required": false; }; }, {}, never, never, false, never>;
}
