import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { AbstractTextErrorsComponent } from '../abstract-text-errors.component';
import { TextAreaField } from '../models/text-area-field';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import * as i0 from "@angular/core";
export declare abstract class AbstractHtmlTextareaFieldComponent extends AbstractTextErrorsComponent<TextAreaField> implements OnInit {
    protected _translate: TranslateService;
    protected _sanitizer: DomSanitizer;
    quillModules: {
        toolbar: (string[] | {
            list: string;
        }[] | {
            script: string;
        }[] | {
            indent: string;
        }[] | {
            header: (number | boolean)[];
        }[] | ({
            color: any[];
            background?: undefined;
        } | {
            background: any[];
            color?: undefined;
        })[] | {
            font: any[];
        }[] | {
            align: string;
        }[])[];
    };
    disabledDisplay: SafeHtml;
    constructor(_translate: TranslateService, _sanitizer: DomSanitizer, dataFieldPortalData: DataFieldPortalData<TextAreaField>);
    ngOnInit(): void;
    protected sanitizeValue(): SafeHtml;
    getErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractHtmlTextareaFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractHtmlTextareaFieldComponent, "ncc-abstract-html-area-field", never, {}, {}, never, never, false, never>;
}
