/**
 * Used by [UserField]{@link UserField} and [UserAssignComponent]{@link AbstractUserAssignComponent}.
 *
 * Represents the value of the user.
 */
export declare class UserValue {
    private _id;
    private _name;
    private _surname;
    private _email;
    /**
     * An object that represents the selected user in {@link UserField} and [UserAssignComponent]{@link AbstractUserAssignComponent}.
     * @param _id the id of the selected user
     * @param _name the first name of the selected user
     * @param _surname the surname of the selected user
     * @param _email email of the selected user
     */
    constructor(_id: string, _name: string, _surname: string, _email: string);
    get id(): string;
    get name(): string;
    get surname(): string;
    get fullName(): string;
    get email(): string;
}
