import { SnackBarService } from "../../../snack-bar/services/snack-bar.service";
import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { UserField } from "../models/user-field";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare abstract class AbstractUserDefaultFieldComponent extends AbstractBaseDataFieldComponent<UserField> {
    protected _dialog: MatDialog;
    protected _snackbar: SnackBarService;
    protected _translate: TranslateService;
    private labelWidth;
    cutProperty: string;
    /**
     * Inject services.
     * @param _dialog Service to open and close [UserAssignDialogComponent]{@link UserAssignDialogComponent} with user data.
     * @param _snackbar Service to displaying information to the user.
     * @param _translate Service to translate text.
     * @param informAboutInvalidData whether the backend should be notified about invalid values.
     * Option injected trough `NAE_INFORM_ABOUT_INVALID_DATA` InjectionToken
     */
    protected constructor(_dialog: MatDialog, _snackbar: SnackBarService, _translate: TranslateService, dataFieldPortalData: DataFieldPortalData<UserField>);
    /**
     * Call after click on user field button.
     *
     * Open [UserAssignComponent]{@link AbstractUserAssignComponent} in side menu with data represents preselected user from backend.
     *
     * After close side menu, the snackbar info will be displayed either for the unselected user or the selected one.
     */
    selectAbstractUser(component: any): void;
    deleteUser(): void;
    getCutProperty(i18nLabel: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractUserDefaultFieldComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractUserDefaultFieldComponent, "ncc-abstract-user-default-field", never, {}, {}, never, never, false, never>;
}
