import { DataField } from '../../models/abstract-data-field';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Validation } from '../../models/validation';
import { Component } from '../../models/component';
import { UserListValue } from './user-list-value';
import { FormControl, ValidatorFn } from "@angular/forms";
import { ProcessRole } from "../../../resources/interface/process-role";
export declare class UserListField extends DataField<UserListValue> {
    private _roles;
    constructor(stringId: string, title: string, behavior: Behavior, value: UserListValue, _roles: Array<ProcessRole>, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    get roles(): Array<ProcessRole>;
    getTypedComponentType(): string;
    protected valueEquality(a: UserListValue, b: UserListValue): boolean;
    protected calculateValidity(forValidRequired: boolean, formControl: FormControl): boolean;
    protected resolveFormControlValidators(): Array<ValidatorFn>;
    private requiredTrue;
}
