import { UserListField } from "../models/user-list-field";
import { SnackBarService } from "../../../snack-bar/services/snack-bar.service";
import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare abstract class AbstractUserListDefaultFieldComponent extends AbstractBaseDataFieldComponent<UserListField> {
    protected _dialog: MatDialog;
    protected _snackbar: SnackBarService;
    protected _translate: TranslateService;
    protected constructor(_dialog: MatDialog, _snackbar: SnackBarService, _translate: TranslateService, dataFieldPortalData: DataFieldPortalData<UserListField>);
    /**
     * Call after click on user field button.
     *
     * Open [MultiUserAssignDialogComponent]{@link MultiUserAssignDialogComponent} in side menu with data represents preselected user from backend.
     *
     * After close side menu, the snackbar info will be displayed either for the unselected user or the selected one.
     */
    selectAbstractUser(component: any): void;
    removeAbstractUser(userId: string): void;
    removeAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractUserListDefaultFieldComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractUserListDefaultFieldComponent, "ncc-abstract-user-list-default-field", never, {}, {}, never, never, false, never>;
}
