import { AbstractDialogComponent } from '../../models/abstract-dialog.component';
import { DialogData } from '../../models/DialogData';
import { DialogResult } from '../../models/DialogResult';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/**
 * Simple modal dialog with its own layout (which only shows information) based on a material design
 * that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
export declare class AlertDialogComponent extends AbstractDialogComponent<AlertDialogComponent> {
    dialogRef: MatDialogRef<AlertDialogComponent, DialogResult>;
    data: DialogData;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    constructor(dialogRef: MatDialogRef<AlertDialogComponent, DialogResult>, data: DialogData);
    onClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertDialogComponent, "ncc-simple-dialog", never, {}, {}, never, never, false, never>;
}
