import { AbstractDialogComponent } from '../../models/abstract-dialog.component';
import { DialogResult } from '../../models/DialogResult';
import { DialogData } from '../../models/DialogData';
import { MatDialogRef } from '@angular/material/dialog';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
/**
 * Question modal dialog with its own layout (which asks the user a question with two answers - yes or no)
 * based on a material design that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
export declare class ConfirmDialogComponent extends AbstractDialogComponent<ConfirmDialogComponent> {
    dialogRef: MatDialogRef<ConfirmDialogComponent, DialogResult>;
    data: DialogData;
    private sanitizer;
    choice: boolean;
    parsedContent: SafeHtml;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     * @param sanitizer sanitize HTML
     */
    constructor(dialogRef: MatDialogRef<ConfirmDialogComponent, DialogResult>, data: DialogData, sanitizer: DomSanitizer);
    onClose(isSubmitted: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmDialogComponent, "ncc-question-dialog", never, {}, {}, never, never, false, never>;
}
