import { AbstractDialogComponent } from '../../models/abstract-dialog.component';
import { DialogResult } from '../../models/DialogResult';
import { DialogData } from '../../models/DialogData';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/**
 * Question modal dialog with its own layout (which asks the user a question and wait for the answer)
 * based on a material design that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
export declare class PromptDialogComponent extends AbstractDialogComponent<PromptDialogComponent> {
    dialogRef: MatDialogRef<PromptDialogComponent, DialogResult>;
    data: DialogData;
    /** Set submit button to disabled or enabled according to the user answer. */
    disableButton: boolean;
    prompt: string;
    submitClick: boolean;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    constructor(dialogRef: MatDialogRef<PromptDialogComponent, DialogResult>, data: DialogData);
    onClose(isSubmitted: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PromptDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PromptDialogComponent, "ncc-question-dialog-with-answer", never, {}, {}, never, never, false, never>;
}
