import { DialogData } from './DialogData';
import { DialogResult } from './DialogResult';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/** Abstract dialog for all types of dialog components is used for data injection and dialog reference holding. */
export declare abstract class AbstractDialogComponent<T> {
    dialogRef: MatDialogRef<T, DialogResult>;
    data: DialogData;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    protected constructor(dialogRef: MatDialogRef<T, DialogResult>, data: DialogData);
    /** On close dialog or on click answer button closed current open modal dialog. */
    abstract onClose(isSubmitted?: boolean): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDialogComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDialogComponent<any>, "ncc-abstract-dialog", never, {}, {}, never, never, false, never>;
}
