import { EventEmitter, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { FormSubmitEvent, HasForm } from '../has-form';
import { UserService } from '../../user/services/user.service';
import { User } from '../../user/models/user';
import { LoadingEmitter } from '../../utility/loading-emitter';
import * as i0 from "@angular/core";
export declare abstract class AbstractLoginFormComponent implements HasForm, OnDestroy {
    protected _userService: UserService;
    rootFormGroup: FormGroup;
    hidePassword: boolean;
    loading: LoadingEmitter;
    showSignUpButton: boolean;
    showForgottenPasswordButton: boolean;
    login: EventEmitter<User>;
    resetPassword: EventEmitter<void>;
    signUp: EventEmitter<void>;
    formSubmit: EventEmitter<FormSubmitEvent>;
    protected constructor(formBuilder: FormBuilder, _userService: UserService);
    ngOnDestroy(): void;
    onSubmit(): void;
    resetEmit(): void;
    signUpEmit(): void;
    getButtonsFxLayoutAlign(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractLoginFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractLoginFormComponent, "ncc-abstract-login-field", never, { "showSignUpButton": { "alias": "showSignUpButton"; "required": false; }; "showForgottenPasswordButton": { "alias": "showForgottenPasswordButton"; "required": false; }; }, { "login": "login"; "resetPassword": "resetPassword"; "signUp": "signUp"; "formSubmit": "formSubmit"; }, never, never, false, never>;
}
