import { FormBuilder } from '@angular/forms';
import { SignUpService } from '../../authentication/sign-up/services/sign-up.service';
import { LoggerService } from '../../logger/services/logger.service';
import { AbstractRegistrationComponent } from '../models/abstract-registration.component';
import { UserRegistrationRequest } from '../../authentication/sign-up/models/user-registration-request';
import { Observable } from 'rxjs';
import { MessageResource } from '../../resources/interface/message-resource';
import { TranslateService } from '@ngx-translate/core';
import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Holds the logic of the `RegistrationFormComponent`.
 */
export declare abstract class AbstractRegistrationFormComponent extends AbstractRegistrationComponent implements OnDestroy {
    displayLegalNotice: boolean;
    protected constructor(formBuilder: FormBuilder, signupService: SignUpService, log: LoggerService, translate: TranslateService, minPasswordLength: any);
    ngOnDestroy(): void;
    protected createRequestBody(): UserRegistrationRequest;
    protected callRegistration(requestBody: UserRegistrationRequest): Observable<MessageResource>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractRegistrationFormComponent, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractRegistrationFormComponent, "ncc-abstract-registration-form", never, { "displayLegalNotice": { "alias": "displayLegalNotice"; "required": false; }; }, {}, never, never, false, never>;
}
