import { OnDestroy } from '@angular/core';
import { LogPublisher } from '../publishers/log-publisher';
import { Observable } from 'rxjs';
import { LogEntry } from '../models/log-entry';
import { ConsoleLogPublisher } from '../publishers/console-log-publisher';
import { LocalStorageLogPublisher } from '../publishers/local-storage-log-publisher';
import { ConfigurationService } from '../../configuration/configuration.service';
import * as i0 from "@angular/core";
export declare const PUBLISHERS: {
    console: typeof ConsoleLogPublisher;
    localStorage: typeof LocalStorageLogPublisher;
    backend: any;
};
export declare class LogPublisherService implements OnDestroy {
    private readonly _log;
    private readonly _publishers;
    constructor(config: ConfigurationService);
    ngOnDestroy(): void;
    get publishers(): Array<LogPublisher>;
    register(publisher: LogPublisher): Observable<LogEntry>;
    publish(entry: LogEntry): void;
    clearAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LogPublisherService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LogPublisherService>;
}
