import { AfterViewInit, OnDestroy } from '@angular/core';
import { UriService } from '../service/uri.service';
import { CaseResourceService } from "../../resources/engine-endpoint/case-resource.service";
import { ActivatedRoute, Router } from "@angular/router";
import { DynamicNavigationRouteProviderService } from "../../routing/dynamic-navigation-route-provider/dynamic-navigation-route-provider.service";
import { TranslateService } from "@ngx-translate/core";
import { LoggerService } from "../../logger/services/logger.service";
import * as i0 from "@angular/core";
export declare abstract class AbstractBreadcrumbsComponent implements OnDestroy, AfterViewInit {
    protected _uriService: UriService;
    protected _caseResourceService: CaseResourceService;
    protected _activatedRoute: ActivatedRoute;
    protected _router: Router;
    protected _dynamicRoutingService: DynamicNavigationRouteProviderService;
    protected _translateService: TranslateService;
    protected _log: LoggerService;
    showHome: boolean;
    showFilter: boolean;
    redirectOnClick: boolean;
    lengthOfPath: number;
    partsAfterDots: number;
    filterName: string;
    breadcrumbsParts: Array<string>;
    private static DOTS;
    private static DELIMETER;
    private static NODE_PATH;
    private static ITEM_SETTINGS;
    private _showPaths;
    private nicePath;
    private redirectUrls;
    private nicePathSubscription;
    protected constructor(_uriService: UriService, _caseResourceService: CaseResourceService, _activatedRoute: ActivatedRoute, _router: Router, _dynamicRoutingService: DynamicNavigationRouteProviderService, _translateService: TranslateService, _log: LoggerService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    resolveBreadcrumbs(): void;
    initNicePath(): void;
    redirect(): void;
    reset(): void;
    changePath(path: string, count: number): void;
    private resultCounter;
    private createFullPath;
    private immediateValue;
    private getTranslation;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractBreadcrumbsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractBreadcrumbsComponent, "ncc-breadcrumbs-component", never, { "showHome": { "alias": "showHome"; "required": false; }; "showFilter": { "alias": "showFilter"; "required": false; }; "redirectOnClick": { "alias": "redirectOnClick"; "required": false; }; "lengthOfPath": { "alias": "lengthOfPath"; "required": false; }; "partsAfterDots": { "alias": "partsAfterDots"; "required": false; }; }, {}, never, never, false, never>;
}
