import { AbstractResourceService } from '../../resources/abstract-endpoint/abstract-resource.service';
import { ResourceProvider } from '../../resources/resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { UriNodeResource } from '../model/uri-resource';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Service for accessing backend resource to resolve URI objects
 * */
export declare class UriResourceService extends AbstractResourceService {
    constructor(provider: ResourceProvider, configService: ConfigurationService);
    getRoot(): Observable<UriNodeResource>;
    getByLevel(level: number): Observable<Array<UriNodeResource>>;
    getNodesByParent(parentId: string): Observable<Array<UriNodeResource>>;
    getNodeByUri(uriPath: string): Observable<UriNodeResource>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UriResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UriResourceService>;
}
