import { Filter } from '../../filter/models/filter';
import { DataGroup } from '../../resources/interface/data-groups';
import { FilterRepository } from '../../filter/filter.repository';
import { LoggerService } from '../../logger/services/logger.service';
import { TaskResourceService } from '../../resources/engine-endpoint/task-resource.service';
import { DataField } from '../../data-fields/models/abstract-data-field';
import { AllowedNetsService } from "../../allowed-nets/services/allowed-nets.service";
import { AllowedNetsServiceFactory } from "../../allowed-nets/services/factory/allowed-nets-service-factory";
import { BaseAllowedNetsService } from "../../allowed-nets/services/base-allowed-nets.service";
import * as i0 from "@angular/core";
/**
 * This service is able to load the full saved filter including all of its ancestor filters.
 */
export declare class FilterExtractionService {
    protected _filterRepository: FilterRepository;
    protected _taskResourceService: TaskResourceService;
    protected _factory: AllowedNetsServiceFactory;
    protected baseAllowedNets: BaseAllowedNetsService;
    protected _log: LoggerService;
    protected static readonly UNTABBED_VIEW_ID_EXTRACTOR = "^.*?(-\\d+)?$";
    constructor(_filterRepository: FilterRepository, _taskResourceService: TaskResourceService, _factory: AllowedNetsServiceFactory, baseAllowedNets: BaseAllowedNetsService, _log: LoggerService);
    extractAdditionalFilterAllowedNets(dataSection: Array<DataGroup>): AllowedNetsService;
    extractCompleteAdditionalFilterFromData(dataSection: Array<DataGroup>): Filter | undefined;
    extractCompleteFilterFromData(dataSection: Array<DataGroup>, fieldId?: string): Filter | undefined;
    protected extractViewFilter(originViewIdField: DataField<any>): Filter | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterExtractionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterExtractionService>;
}
