import { AfterViewInit, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { MatExpansionPanel } from '@angular/material/expansion';
import { CaseListFontColorService } from '../utility/service/case-list-font-color.service';
import { ActivatedRoute, Params } from '@angular/router';
import * as i0 from "@angular/core";
export declare abstract class AbstractPanelComponent implements AfterViewInit, OnDestroy {
    protected _caseListFontColorService: CaseListFontColorService;
    protected _activatedRoute?: ActivatedRoute;
    config: Params;
    expansionDisabled: boolean;
    preventExpand: boolean;
    preventCollapse: boolean;
    hidePanelHeader: boolean;
    panelHeader: TemplateRef<object>;
    panelContent: TemplateRef<object>;
    first: boolean;
    last: boolean;
    caseColor: string;
    stopLoading: EventEmitter<object>;
    getExpansionPanelRef: EventEmitter<MatExpansionPanel>;
    matExpansionPanel: any;
    protected constructor(_caseListFontColorService: CaseListFontColorService, _activatedRoute?: ActivatedRoute);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    emitExpand(): void;
    emitCollapse(): void;
    expandPanel(): void;
    showPanelHeader(): boolean;
    getCaseFontColor(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractPanelComponent, "ncc-abstract-panel", never, { "expansionDisabled": { "alias": "expansionDisabled"; "required": false; }; "preventExpand": { "alias": "preventExpand"; "required": false; }; "preventCollapse": { "alias": "preventCollapse"; "required": false; }; "hidePanelHeader": { "alias": "hidePanelHeader"; "required": false; }; "panelHeader": { "alias": "panelHeader"; "required": false; }; "panelContent": { "alias": "panelContent"; "required": false; }; "first": { "alias": "first"; "required": false; }; "last": { "alias": "last"; "required": false; }; "caseColor": { "alias": "caseColor"; "required": false; }; }, { "stopLoading": "stopLoading"; "getExpansionPanelRef": "getExpansionPanelRef"; }, never, never, false, never>;
}
