import { Case } from '../../resources/interface/case';
import { HeaderColumn } from '../../header/models/header-column';
import { CaseResourceService } from '../../resources/engine-endpoint/case-resource.service';
import { CaseViewService } from '../../view/case-view/service/case-view-service';
import { SnackBarService } from '../../snack-bar/services/snack-bar.service';
import { TranslateService } from '@ngx-translate/core';
import { LoggerService } from '../../logger/services/logger.service';
import { OverflowService } from '../../header/services/overflow.service';
import { AbstractPanelWithImmediateDataComponent } from '../abstract/panel-with-immediate-data';
import { UserService } from '../../user/services/user.service';
import { FeaturedValue } from '../abstract/featured-value';
import { CurrencyPipe } from '@angular/common';
import { PermissionService } from '../../authorization/permission/permission.service';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare abstract class AbstractCasePanelComponent extends AbstractPanelWithImmediateDataComponent {
    protected _caseResourceService: CaseResourceService;
    protected _caseViewService: CaseViewService;
    protected _snackBarService: SnackBarService;
    protected _translateService: TranslateService;
    protected _log: LoggerService;
    protected _userService: UserService;
    protected _currencyPipe: CurrencyPipe;
    protected _permissionService: PermissionService;
    protected _overflowService: OverflowService;
    case_: Case;
    approval: boolean;
    responsiveBody: boolean;
    first: boolean;
    last: boolean;
    showCasePanelIcon: boolean;
    showDeleteMenu: boolean;
    textEllipsis: boolean;
    protected _approvalFormControl: FormControl<boolean | string>;
    protected constructor(_caseResourceService: CaseResourceService, _caseViewService: CaseViewService, _snackBarService: SnackBarService, _translateService: TranslateService, _log: LoggerService, _userService: UserService, _currencyPipe: CurrencyPipe, _permissionService: PermissionService, _overflowService: OverflowService);
    get approvalFormControl(): FormControl<boolean | string>;
    show(event: MouseEvent): boolean;
    protected getFeaturedMetaValue(selectedHeader: HeaderColumn): FeaturedValue;
    protected getFeaturedImmediateValue(selectedHeader: HeaderColumn): FeaturedValue;
    deleteCase(): void;
    canDelete(): boolean;
    private throwError;
    getMinWidth(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCasePanelComponent, [null, null, null, null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCasePanelComponent, "ncc-abstract-case-panel", never, { "case_": { "alias": "case_"; "required": false; }; "approval": { "alias": "approval"; "required": false; }; "responsiveBody": { "alias": "responsiveBody"; "required": false; }; "first": { "alias": "first"; "required": false; }; "last": { "alias": "last"; "required": false; }; "showCasePanelIcon": { "alias": "showCasePanelIcon"; "required": false; }; "showDeleteMenu": { "alias": "showDeleteMenu"; "required": false; }; "textEllipsis": { "alias": "textEllipsis"; "required": false; }; }, {}, never, never, false, never>;
}
