import { PetriNetReference } from '../resources/interface/petri-net-reference';
import { Author } from '../resources/interface/author';
import { ImmediateData } from '../resources/interface/immediate-data';
import Transition from './transition';
import Transaction from './transaction';
import NetRole from './netRole';
import { Permissions } from './permissions';
import { PetriNetReferenceWithPermissions } from './petri-net-reference-with-permissions';
/**
 * @ignore
 */
export declare class Net implements PetriNetReferenceWithPermissions {
    /**
     * @ignore
     */
    private _stringId;
    /**
     * @ignore
     */
    private _title;
    /**
     * @ignore
     */
    private _identifier;
    /**
    * @ignore
    * */
    private _uriNodeId;
    /**
     * @ignore
     */
    private _version;
    /**
     * @ignore
     */
    private _initials;
    /**
     * @ignore
     */
    private _defaultCaseName;
    /**
     * @ignore
     */
    private _createdDate;
    /**
     * @ignore
     */
    private _author;
    /**
     * @ignore
     */
    private _immediateData;
    /**
     * @ignore
     */
    private _transitions;
    /**
     * @ignore
     */
    private _transactions;
    /**
     * @ignore
     */
    private _roles;
    /**
     * @ignore
     */
    private _permissions;
    /**
     * @ignore
     */
    constructor(net: PetriNetReference);
    get stringId(): string;
    set stringId(value: string);
    get title(): string;
    set title(value: string);
    get identifier(): string;
    set identifier(value: string);
    get version(): string;
    set version(value: string);
    get initials(): string;
    set initials(value: string);
    get defaultCaseName(): string;
    set defaultCaseName(value: string);
    get createdDate(): Array<number>;
    set createdDate(value: Array<number>);
    get author(): Author;
    set author(value: Author);
    get immediateData(): Array<ImmediateData>;
    set immediateData(value: Array<ImmediateData>);
    get transitions(): Array<Transition>;
    set transitions(value: Array<Transition>);
    get transactions(): Array<Transaction>;
    set transactions(value: Array<Transaction>);
    get roles(): Array<NetRole>;
    set roles(value: Array<NetRole>);
    get permissions(): Permissions;
    set permissions(value: Permissions);
    get uriNodeId(): string;
    set uriNodeId(uriNodeId: string);
}
