import { AbstractResourceService } from '../abstract-endpoint/abstract-resource.service';
import { Params, ResourceProvider } from '../resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { Observable } from 'rxjs';
import { MessageResource } from '../interface/message-resource';
import { LdapGroupResponseBody } from '../interface/ldapGroupResponseBody';
import * as i0 from "@angular/core";
export declare class LdapGroupResourceService extends AbstractResourceService {
    constructor(provider: ResourceProvider, configService: ConfigurationService);
    /**
     * Search Ldap group
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/ldap/search
     */
    searchLdapGroups(body: object, params?: Params): Observable<LdapGroupResponseBody>;
    /**
     * Assign role to the ldap group
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/ldap/role/assign
     */
    assignRolesToLdapGroup(body: object, params?: Params): Observable<MessageResource>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LdapGroupResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LdapGroupResourceService>;
}
