import { Observable } from 'rxjs';
import { CaseResourceService } from '../case-resource.service';
import { ResourceProvider } from '../../resource-provider.service';
import { ConfigurationService } from '../../../configuration/configuration.service';
import { EventOutcomeMessageResource } from '../../interface/message-resource';
import * as i0 from "@angular/core";
export declare class PublicCaseResourceService extends CaseResourceService {
    constructor(provider: ResourceProvider, configService: ConfigurationService);
    /**
     * Get all case data
     * GET
     * {{baseUrl}}/api/public/case/:id/data
     */
    getCaseData(caseID: string): Observable<EventOutcomeMessageResource>;
    /**
     * Create new case
     * POST
     * {{baseUrl}}/api/workflow/case
     */
    createCase(body: object): Observable<EventOutcomeMessageResource>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PublicCaseResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PublicCaseResourceService>;
}
