import { FilterMetadata } from '../../search/models/persistance/filter-metadata';
import { FormatFilter } from '../../data-fields/models/format-filter';
import { Component } from '../../data-fields/models/component';
/**
 * @ignore
 */
export interface ImmediateData {
    /**
     * @ignore
     */
    stringId: string;
    /**
     * @ignore
     */
    title?: any;
    /**
     * @ignore
     */
    type: string;
    /**
     * @ignore
     */
    value?: any;
    /**
     * Only for Fields of type `CaseRef` and `Filter`
     */
    allowedNets?: Array<string>;
    /**
     * Only for Fields of type `Filter`
     */
    filterMetadata?: FilterMetadata;
    /**
     * Only for Currency Number Fields
     */
    format?: FormatFilter;
    /**
     * Only for Currency Number Fields
     */
    component?: Component;
    /**
     * @ignore
     */
    name?: any;
    /**
     * Only for enumeration_map and multichoice_map
     */
    options?: {
        defaultValue?: string;
    };
}
