import { ActivatedRoute, ActivatedRouteSnapshot, Params, Router, UrlSegment } from '@angular/router';
import { LoggerService } from '../../logger/services/logger.service';
import { Views } from '../../../commons/schema';
import { ConfigurationService } from '../../configuration/configuration.service';
import * as i0 from "@angular/core";
export declare class RedirectService {
    protected _router: Router;
    protected _log: LoggerService;
    protected _config: ConfigurationService;
    protected _route: ActivatedRoute;
    static readonly LOGIN_COMPONENT = "login";
    protected _lastIntendedRoute: ActivatedRouteSnapshot;
    private lastQueryParams;
    constructor(_router: Router, _log: LoggerService, _config: ConfigurationService, _route: ActivatedRoute);
    get lastUrl(): Array<UrlSegment>;
    set intendedRoute(route: ActivatedRouteSnapshot);
    get queryParams(): Params;
    redirect(path?: string): void;
    redirectFromUrl(): void;
    resolveLoginPath(): string;
    protected resolveLoginPathFromViewConfiguration(views: Views, searchedLayout: string): string;
    parseRedirectPath(url: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RedirectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RedirectService>;
}
