import { Type } from '@angular/core';
import { ConfigurationService } from '../../configuration/configuration.service';
import { ViewService } from '../view-service/view.service';
import { Router } from '@angular/router';
import { View } from '../../../commons/schema';
import { LoggerService } from '../../logger/services/logger.service';
import { AbstractGroupNavigationComponentResolverComponent } from '../../navigation/group-navigation-component-resolver/abstract-group-navigation-component-resolver.component';
import { DynamicNavigationRouteProviderService } from '../dynamic-navigation-route-provider/dynamic-navigation-route-provider.service';
import * as i0 from "@angular/core";
export declare const NAE_ROUTING_CONFIGURATION_PATH = "configPath";
/**
 * Uses the information from nae.json to construct the application's routing
 */
export declare class RoutingBuilderService {
    private _configService;
    private _viewService;
    private _logger;
    private _dynamicNavigationRouteService;
    private _groupNavigationComponentResolverComponent;
    private _groupNavigationRouteGenerated;
    constructor(router: Router, _configService: ConfigurationService, _viewService: ViewService, _logger: LoggerService, _dynamicNavigationRouteService: DynamicNavigationRouteProviderService, _groupNavigationComponentResolverComponent: Type<AbstractGroupNavigationComponentResolverComponent>);
    private constructRouteObject;
    private resolveComponentClass;
    private resolveComponentClassFromLayout;
    static parseClassNameFromView(view: View, configPath: string): string;
    private defaultRoutesRedirects;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutingBuilderService, [null, null, null, null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoutingBuilderService>;
}
