import { OnDestroy } from '@angular/core';
import { LoadingEmitter } from '../../utility/loading-emitter';
import * as i0 from "@angular/core";
/**
 * This service is used to signal to inputs in advanced search components, whether they should autofocus, or not.
 *
 * The inputs should autofocus, when the user interacts with them, but should not auto focus if the first empty predicate is created on
 * advanced search component initialization.
 */
export declare class AdvancedSearchComponentInitializationService implements OnDestroy {
    protected _initialized: LoadingEmitter;
    constructor();
    ngOnDestroy(): void;
    /**
     * @returns `false` until the [completeInitialization()]{@link AdvancedSearchComponentInitializationService#completeInitialization}
     * method is called. Returns `true` afterwards.
     */
    get isInitialized(): boolean;
    /**
     * Changes the state to `initialized`.
     */
    completeInitialization(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedSearchComponentInitializationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdvancedSearchComponentInitializationService>;
}
