import { Query } from '../../query/query';
import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { OptionalDependencies } from '../../../category-factory/optional-dependencies';
import { NoConfigurationAutocompleteCategory } from '../no-configuration-autocomplete-category';
import { Categories } from '../categories';
export declare class CaseProcess extends NoConfigurationAutocompleteCategory<string> {
    protected _optionalDependencies: OptionalDependencies;
    private static readonly _i18n;
    protected _uniqueOptionsMap: Map<string, Set<string>>;
    private _allowedNetsSub;
    private _destroyed;
    constructor(operators: OperatorService, logger: LoggerService, _optionalDependencies: OptionalDependencies);
    destroy(): void;
    protected createOptions(): void;
    /**
     * Checks whether the provided option is unique and updates the list of unique options with it.
     * @param key autocomplete option key
     * @param value autocomplete option value
     * @returns `true` if the option has not yet been checked as unique. `false` if the option has been checked before.
     */
    protected isUniqueOption(key: string, value: string): boolean;
    protected generateQuery(userInput: Array<Array<string>>): Query;
    get inputPlaceholder(): string;
    duplicate(): CaseProcess;
    serializeClass(): Categories | string;
}
