import { NoConfigurationAutocompleteCategory } from './no-configuration-autocomplete-category';
import { Operator } from '../operator/operator';
import { LoggerService } from '../../../logger/services/logger.service';
import { OperatorService } from '../../operator-service/operator.service';
import { OptionalDependencies } from '../../category-factory/optional-dependencies';
import { Observable } from 'rxjs';
import { SearchAutocompleteOption } from './search-autocomplete-option';
import { Query } from '../query/query';
import { FormControl } from '@angular/forms';
export declare abstract class NoConfigurationUserAutocompleteCategory extends NoConfigurationAutocompleteCategory<string> {
    private _className;
    protected _optionalDependencies: OptionalDependencies;
    private _userAutocomplete;
    protected constructor(elasticKeywords: Array<string>, allowedOperators: Array<Operator<any>>, translationPath: string, log: LoggerService, operatorService: OperatorService, _className: any, _optionalDependencies: OptionalDependencies);
    protected createOptions(): void;
    filterOptions(userInput: Observable<string | SearchAutocompleteOption<Array<string>>>): Observable<Array<SearchAutocompleteOption<Array<string>>>>;
    protected generateQuery(userInput: Array<Array<string>>): Query;
    protected serializeOperandValue(valueFormControl: FormControl): any;
    protected deserializeOperandValue(savedOption: SearchAutocompleteOption<Array<string>>): Observable<SearchAutocompleteOption<Array<string>>>;
}
