import { SearchAutocompleteOption } from './category/search-autocomplete-option';
/**
 * Objects that represent keys to the map of available data fields in {@link CaseDataset} search category.
 *
 * Since javascript maps don't support objects as keys this class has a serialized form, that is used as a `string` key.
 *
 * This class also acts as an autocomplete option when the target datafield is selected. The real data fields are then extracted from the
 * map to which this object is a key.
 */
export declare class DatafieldMapKey implements SearchAutocompleteOption<string> {
    protected _inputType: any;
    protected _title: any;
    static serializedForm(type: string, title: string): string;
    static parse(serializedMapKey: string): DatafieldMapKey;
    constructor(_inputType: any, _title: any);
    get title(): string;
    get type(): string;
    get icon(): string;
    /**
     * Alias for [toSerializedForm()]{@link DatafieldMapKey#toSerializedForm}
     */
    get value(): string;
    /**
     * Alias for [title]{@link DatafieldMapKey#title}
     */
    get text(): string;
    toSerializedForm(): string;
}
