import { Operator } from './operator';
import { Moment } from 'moment';
import { Query } from '../query/query';
import { OperatorService } from '../../operator-service/operator.service';
import { InRangeDate } from './in-range-date';
import { Operators } from './operators';
/**
 * Equality operator for indexed fields that store a date in timestamp format.
 *
 * Will create a range query that matches every timestamp from the midnight of the selected day (included)
 * to the midnight of the next day (excluded).
 */
export declare class EqualsDate extends Operator<Moment> {
    protected dateRange: InRangeDate;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
