import { Operator } from './operator';
import { Operators } from './operators';
/**
 * Strict equality operator. Will match if the field has the exact same value as the input.
 * Can be used with keyword fields and different types,
 * but it is not recommended to use it with date and datetime fields as an exact timestamp match would be required.
 * For timestamps use {@link EqualsDate} or {@link EqualsDateTime} instead.
 */
export declare class Equals extends Operator<string | number> {
    constructor();
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
