import { Operator } from './operator';
import { Moment } from 'moment';
import { LessThan } from './less-than';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * A strict less than operator for DateTime fields
 */
export declare class LessThanDateTime extends Operator<Moment> {
    protected lessThan: LessThan;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
