import { Operator } from './operator';
import { Moment } from 'moment';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { Operators } from './operators';
import { LessThanDate } from './less-than-date';
/**
 * Less or equal than operator for Date fields
 */
export declare class LessThanEqualDate extends Operator<Moment> {
    protected lessThan: LessThanDate;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
