import { Operator } from './operator';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * A fuzzy search operator for string fields.
 *
 * Behaves differently for strings with spaces and without.
 * With spaces searches for matches containing the tokenized strings.
 * Without spaces searches for strings within the default edit distance.
 * See [docs]{@link https://www.elastic.co/guide/en/elasticsearch/reference/6.6/query-dsl-query-string-query.html#_fuzziness}
 * for more information.
 */
export declare class Like extends Operator<string> {
    constructor();
    createQuery(elasticKeywords: Array<string>, args: Array<string>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
