import { Operator } from './operator';
import moment, { Moment } from 'moment';
import { MoreThanEqual } from './more-than-equal';
import { OperatorService } from '../../operator-service/operator.service';
import { Operators } from './operators';
import { Query } from '../query/query';
/**
 * Greater or equal than operator for Datetime fields
 */
export declare class MoreThanEqualDateTime extends Operator<Moment> {
    protected moreThanEqual: MoreThanEqual;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<moment.Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
