import { Operator } from './operator';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { EqualsDate } from './equals-date';
import { Moment } from 'moment';
import { Operators } from './operators';
/**
 * Inequality operator for Date fields. Will match if the field has a date with different day than the provided date.
 */
export declare class NotEqualsDate extends Operator<Moment> {
    protected equals: EqualsDate;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
