import { Operator } from './operator';
import { Equals } from './equals';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * Inequality operator. Will match if the field has a different value than the input.
 * Can be used with keyword fields and different types. We don't recommend using this operator with date and datetime fields
 * as an exact timestamp mismatch would be required.
 * For Date needs use {@link NotEqualsDate} instead.
 */
export declare class NotEquals extends Operator<string | number> {
    protected equals: Equals;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<string | number>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
