import { Operator } from './operator';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * Operator that matches if the input is a substring of some value.
 * Can only be used on fields that are texts and are not indexed as keywords.
 */
export declare class Substring extends Operator<string> {
    constructor();
    createQuery(elasticKeywords: Array<string>, args: Array<string>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
