import { Subject } from 'rxjs';
import { Query } from '../query/query';
import { EditablePredicate } from './editable-predicate';
/**
 * A simple, editable type of `Predicate`. Represents a leaf node in the predicate tree, that can change the `Query` it holds
 * and can notify the parent tree node about changes.
 */
export declare class EditableElementaryPredicate extends EditablePredicate {
    protected _query: Query;
    constructor(parentNotifier?: Subject<void>, initiallyVisible?: boolean);
    get query(): Query;
    set query(query: Query);
}
