import { Predicate } from './predicate';
import { Subject } from 'rxjs';
/**
 * Base class for editable predicates that allows them to notify their parent predicate tree nodes about updates to their queries.
 */
export declare abstract class EditablePredicate extends Predicate {
    protected _parentNotifier: Subject<void>;
    protected constructor(parentNotifier?: Subject<void>, initiallyVisible?: boolean);
    /**
     * Notify the parent `Predicate` that this `Predicate` updated its `Query`
     */
    protected notifyParentPredicate(): void;
    set parentNotifier(parentNotifier: Subject<void>);
    destroy(): void;
}
