import { GenericSnackBarComponent } from '../components/generic-snack-bar/generic-snack-bar.component';
import { SuccessSnackBarComponent } from '../components/success-snack-bar/success-snack-bar.component';
import { ErrorSnackBarComponent } from '../components/error-snack-bar/error-snack-bar.component';
import { WarningSnackBarComponent } from '../components/warning-snack-bar/warning-snack-bar.component';
import { SnackBarInjectionData } from '../models/snack-bar-injection-data';
import { MatSnackBar, MatSnackBarConfig, MatSnackBarRef } from '@angular/material/snack-bar';
import { SnackBarHorizontalPosition, SnackBarVerticalPosition } from '../models/snack-bar-enums';
import * as i0 from "@angular/core";
export declare class SnackBarService {
    private _snackBar;
    private _defaultTimeout;
    private _verticalPosition;
    private _horizontalPosition;
    constructor(_snackBar: MatSnackBar, naeVerticalPosition: SnackBarVerticalPosition, naeHorizontalPosition: SnackBarHorizontalPosition);
    openSuccessSnackBar(message: string, verticalPosition?: SnackBarVerticalPosition, horizontalPosition?: SnackBarHorizontalPosition, durationInSeconds?: number, config?: MatSnackBarConfig<SnackBarInjectionData>): MatSnackBarRef<SuccessSnackBarComponent>;
    openErrorSnackBar(message: string, verticalPosition?: SnackBarVerticalPosition, horizontalPosition?: SnackBarHorizontalPosition, config?: MatSnackBarConfig<SnackBarInjectionData>): MatSnackBarRef<ErrorSnackBarComponent>;
    openWarningSnackBar(message: string, verticalPosition?: SnackBarVerticalPosition, horizontalPosition?: SnackBarHorizontalPosition, durationInSeconds?: number, config?: MatSnackBarConfig<SnackBarInjectionData>): MatSnackBarRef<WarningSnackBarComponent>;
    openGenericSnackBar(message: string, matIconName: string, verticalPosition?: SnackBarVerticalPosition, horizontalPosition?: SnackBarHorizontalPosition, durationInSeconds?: number, config?: MatSnackBarConfig<SnackBarInjectionData>): MatSnackBarRef<GenericSnackBarComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SnackBarService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SnackBarService>;
}
