import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @ignore
 * Class that detects tab content creation and then initializes then calls the provided `initializeTab` function.
 * It is necessary if the tab content is lazy loaded, because the
 * ComponentPortal's outlet must be initialized before the Portal itself is created.
 */
export declare abstract class AbstractTabCreationDetectorComponent implements OnInit {
    /**
     * function that should be called when the tab content is created
     */
    initializeTabFunction: (index: number) => void;
    /**
     * index of the tab that the `initializeTabFunction` should be called for
     */
    tabIndex: number;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTabCreationDetectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTabCreationDetectorComponent, "ncc-abstract-tab-creation-detector", never, { "initializeTabFunction": { "alias": "initializeTabFunction"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, never, false, never>;
}
