import { OnDestroy } from '@angular/core';
import { Preferences } from '../../resources/interface/preferences';
import { UserService } from './user.service';
import { UserResourceService } from '../../resources/engine-endpoint/user-resource.service';
import { LoggerService } from '../../logger/services/logger.service';
import { SnackBarService } from '../../snack-bar/services/snack-bar.service';
import { Observable, Subject, Subscription } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class UserPreferenceService implements OnDestroy {
    protected _userService: UserService;
    protected _userResourceService: UserResourceService;
    protected _logger: LoggerService;
    protected _snackbar: SnackBarService;
    protected _translate: TranslateService;
    protected _preferences: Preferences;
    protected _preferencesChanged$: Subject<void>;
    protected _sub: Subscription;
    protected _subAnonym: Subscription;
    _drawerWidthChanged$: Subject<number>;
    protected _anonym: boolean;
    constructor(_userService: UserService, _userResourceService: UserResourceService, _logger: LoggerService, _snackbar: SnackBarService, _translate: TranslateService);
    ngOnDestroy(): void;
    setTaskFilters(viewId: string, value: Array<string>): void;
    getTaskFilters(viewId: string): Array<string> | undefined;
    setCaseFilters(viewId: string, value: Array<string>): void;
    getCaseFilters(viewId: string): Array<string> | undefined;
    setHeaders(viewId: string, value: Array<string>): void;
    getHeaders(viewId: string): Array<string> | undefined;
    setLocale(locale: string): void;
    getLocale(): string;
    set drawerWidth(drawerWidth: number);
    get drawerWidth(): number;
    get preferencesChanged$(): Observable<void>;
    protected _savePreferences(): void;
    protected resultMessage(resultMessage: any): void;
    protected _emptyPreferences(): Preferences;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserPreferenceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserPreferenceService>;
}
