import { Type } from '@angular/core';
import { Category } from '../search/models/category/category';
import { DataGroup } from '../resources/interface/data-groups';
import { CategoryResolverService } from '../search/category-factory/category-resolver.service';
/**
 * Creates search categories based on the metadata stored in the filter case
 * @param categoryResolverService
 * @param navigationItemTaskData task data of a navigation item task, the data must contain a filter field, that is used
 * to generate the categories
 * @param defaultCaseSearchCategories the default case search categories that should be merged with the categories provided by the filter
 * field, if the filter metadata allow it and the filter is a case filter
 * @param defaultTaskSearchCategories the default task search categories that should be merged with the categories provided by the filter
 * field, if the filter metadata allow it and the filter is a task filter
 */
export declare function navigationItemTaskCategoryFactory(categoryResolverService: CategoryResolverService, navigationItemTaskData: Array<DataGroup>, defaultCaseSearchCategories: Array<Type<Category<any>>>, defaultTaskSearchCategories: Array<Type<Category<any>>>): Array<Type<Category<any>>>;
