import { UserRegistrationRequest } from '../../../authentication/sign-up/models/user-registration-request';
import { Observable } from 'rxjs';
import { MessageResource } from '../../../resources/interface/message-resource';
import { UserInvitationRequest } from '../../../authentication/sign-up/models/user-invitation-request';
import { UserChangePasswordRequest } from "../../../authentication/profile/models/user-change-password-request";
/**
 * Mock the {@link SignUpService}. By default all responses are successful. Responses can be customised.
 */
export declare class MockSignUpService {
    signupResponse: Observable<MessageResource>;
    inviteResponse: Observable<MessageResource>;
    resetPasswordResponse: Observable<MessageResource>;
    recoverPasswordResponse: Observable<MessageResource>;
    verifyResponse: Observable<MessageResource>;
    changePasswordResponse: Observable<MessageResource>;
    constructor();
    signup(newUser: UserRegistrationRequest): Observable<MessageResource>;
    invite(invitation: UserInvitationRequest): Observable<MessageResource>;
    resetPassword(email: string): Observable<MessageResource>;
    recoverPassword(token: any, password: any): Observable<MessageResource>;
    verify(token: string): Observable<MessageResource>;
    changePassword(change: UserChangePasswordRequest): Observable<MessageResource>;
}
