import { Net } from '../../../process/net';
import NetRole from '../../../process/netRole';
import { ImmediateData } from '../../../resources/interface/immediate-data';
import { Permissions } from '../../../process/permissions';
/**
 * A mock transition representation used by the {@link createMockNet} function to populate the mock net with mock transition objects
 */
export interface MockTransition {
    stringId: string;
    title: string;
}
/**
 * Creates a mock Net instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
export declare function createMockNet(stringId?: string, identifier?: string, title?: string, roles?: Array<NetRole>, transitions?: Array<MockTransition>, immediateData?: Array<ImmediateData>, permissions?: Permissions): Net;
