import { EventEmitter, OnDestroy } from '@angular/core';
import { AbstractViewWithHeadersComponent } from '../abstract/view-with-headers';
import { Observable, Subscription } from 'rxjs';
import { TaskPanelData } from '../../panel/task-panel-list/task-panel-data/task-panel-data';
import { TaskViewService } from './service/task-view.service';
import { ActivatedRoute } from '@angular/router';
import { BaseFilter } from "../../search/models/base-filter";
import { TaskSearchRequestBody } from "../../filter/models/task-search-request-body";
import * as i0 from "@angular/core";
export declare class TaskConst {
    static readonly TRANSITION_ID = "transitionId";
}
export declare abstract class AbstractSingleTaskViewComponent extends AbstractViewWithHeadersComponent implements OnDestroy {
    protected taskViewService: TaskViewService;
    protected baseFilter: BaseFilter;
    initiallyExpanded: boolean;
    preventCollapse: boolean;
    noTaskPresent: EventEmitter<void>;
    taskPanelData: Observable<TaskPanelData>;
    loading$: Observable<boolean>;
    protected transitionId: string;
    protected subRoute: Subscription | undefined;
    protected subPanelData: Subscription | undefined;
    protected subLoading: Subscription | undefined;
    protected constructor(taskViewService: TaskViewService, activatedRoute: ActivatedRoute, baseFilter: BaseFilter);
    ngOnDestroy(): void;
    get task$(): Observable<TaskPanelData>;
    protected isTaskMatchingFilter(panelData: TaskPanelData, taskSearchRequestBody: TaskSearchRequestBody): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSingleTaskViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractSingleTaskViewComponent, "ncc-abstract-single-task-view", never, { "initiallyExpanded": { "alias": "initiallyExpanded"; "required": false; }; "preventCollapse": { "alias": "preventCollapse"; "required": false; }; }, { "noTaskPresent": "noTaskPresent"; }, never, never, false, never>;
}
