import { InjectionToken } from '@angular/core';
import { TaskViewConfiguration } from './task-view-configuration';
import { InjectedTabbedTaskViewData } from './injected-tabbed-task-view-data';
export declare const NAE_TASK_VIEW_CONFIGURATION: InjectionToken<TaskViewConfiguration>;
/**
 * Convenience method that can be used as a task view configuration object factory for tabbed task views.
 *
 * If the injected tab data contain information that is included in the {@link TaskViewConfiguration} interface,
 * this factory will forward this information into the provided object.
 *
 * @param injectedTabData
 */
export declare function tabbedTaskViewConfigurationFactory(injectedTabData: InjectedTabbedTaskViewData): TaskViewConfiguration;
