import { AfterViewInit } from '@angular/core';
import { WorkflowViewService } from './workflow-view.service';
import { AbstractHeaderComponent } from '../../header/abstract-header.component';
import { AbstractViewWithHeadersComponent } from '../abstract/view-with-headers';
import { HeaderType } from '../../header/models/header-type';
import { Observable } from 'rxjs';
import { Net } from '../../process/net';
import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { LoggerService } from '../../logger/services/logger.service';
import { ProcessService } from '../../process/process.service';
import { ActivatedRoute } from '@angular/router';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare abstract class AbstractWorkflowViewComponent extends AbstractViewWithHeadersComponent implements AfterViewInit {
    protected _dialog: MatDialog;
    protected _workflowViewService: WorkflowViewService;
    protected _log: LoggerService;
    protected _processService: ProcessService;
    footerSize: number;
    showDeleteMenu: boolean;
    workflowHeader: AbstractHeaderComponent;
    readonly headerType = HeaderType.WORKFLOW;
    workflows$: Observable<Array<Net>>;
    loading$: Observable<boolean>;
    viewport: CdkVirtualScrollViewport;
    protected constructor(_dialog: MatDialog, _workflowViewService: WorkflowViewService, _log: LoggerService, _processService: ProcessService, _activatedRoute?: ActivatedRoute);
    ngAfterViewInit(): void;
    importSidemenuNet(component: any): void;
    trackBy(i: any): any;
    loadNextPage(): void;
    protected calculateListHeight(preciseHeight?: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractWorkflowViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractWorkflowViewComponent, "ncc-abstract-workflow-view", never, { "footerSize": { "alias": "footerSize"; "required": false; }; "showDeleteMenu": { "alias": "showDeleteMenu"; "required": false; }; }, {}, never, never, false, never>;
}
