"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngAdd = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
function ngAdd() {
    return (_, _context) => {
        _context.addTask(new tasks_1.NodePackageInstallTask());
        // TODO help user set up nae.json if it doesn't exist
        const rules = [];
        rules.push(createMinimalNaeJson());
        rules.push((0, schematics_1.schematic)('create-nae-files', {}));
        return (0, schematics_1.chain)(rules);
    };
}
exports.ngAdd = ngAdd;
function createMinimalNaeJson() {
    return (tree) => {
        if (!tree.exists('./nae.json')) {
            tree.create('./nae.json', '{\n  "$schema": "./node_modules/@netgrif/components-core/src/schema/nae-schema.json",' +
                '\n"extends": "nae-default",\n  "views": {\n\n  },\n  "theme":' +
                ' {\n    "name": "nae-color",\n    "pallets": {\n      "light": {\n        ' +
                '"primary": "blue"\n      }\n    }\n  }\n}');
        }
    };
}
//# sourceMappingURL=index.js.map