"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schematicEntryPoint = void 0;
const utility_functions_1 = require("../_utility/utility-functions");
const modified_library_functions_1 = require("../_utility/modified-library-functions");
const ast_utils_1 = require("@schematics/angular/utility/ast-utils");
const core_1 = require("@angular-devkit/core");
function schematicEntryPoint() {
    return (tree) => {
        const projectInfo = (0, utility_functions_1.getProjectInfo)(tree);
        const appModule = (0, utility_functions_1.getAppModule)(tree, projectInfo.path);
        const serviceClassName = `${projectInfo.projectNameClassified}ViewService`;
        const serviceFileName = `${projectInfo.projectNameDasherized}-view.service`;
        const changes = (0, modified_library_functions_1.addProviderToModule)(appModule.sourceFile, appModule.fileEntry.path, serviceClassName, `./${serviceFileName}`, `{provide: ViewService, useClass: ${serviceClassName}}`);
        changes.push((0, ast_utils_1.insertImport)(appModule.sourceFile, appModule.fileEntry.path, 'ViewService', '@netgrif/components-core'));
        (0, utility_functions_1.commitChangesToFile)(tree, appModule.fileEntry, changes);
        return (0, utility_functions_1.createFilesFromTemplates)('./files', projectInfo.path, {
            classify: core_1.strings.classify,
            dasherize: core_1.strings.dasherize,
            project: projectInfo.projectName
        });
    };
}
exports.schematicEntryPoint = schematicEntryPoint;
//# sourceMappingURL=schematic-create-view-service.js.map