import * as i0 from '@angular/core';
import { NgModule, Injectable, Inject, Component, InjectionToken, Optional, Input, Injector, ViewChild, ViewChildren, SkipSelf, EventEmitter, Output, TemplateRef, Type, Pipe, Directive } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule, registerLocaleData, CurrencyPipe, DecimalPipe, getCurrencySymbol } from '@angular/common';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { A11yModule } from '@angular/cdk/a11y';
import { CdkStepperModule } from '@angular/cdk/stepper';
import { CdkTableModule } from '@angular/cdk/table';
import { CdkTreeModule, NestedTreeControl } from '@angular/cdk/tree';
import { PortalModule, ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import { ScrollingModule, CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import * as i1$4 from '@angular/forms';
import { FormsModule, ReactiveFormsModule, FormControl, Validators } from '@angular/forms';
import { FlexModule, FlexLayoutModule } from '@ngbracket/ngx-layout';
import { MatMomentDateModule, MomentDateAdapter } from '@angular/material-moment-adapter';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatBadgeModule } from '@angular/material/badge';
import { MatBottomSheetModule } from '@angular/material/bottom-sheet';
import * as i4 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatCardModule } from '@angular/material/card';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatChipsModule } from '@angular/material/chips';
import { MatStepperModule } from '@angular/material/stepper';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i1$3 from '@angular/material/dialog';
import { MatDialogModule, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { MatDividerModule } from '@angular/material/divider';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatGridListModule } from '@angular/material/grid-list';
import * as i5 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i4$1 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatMenuModule } from '@angular/material/menu';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule, MatSpinner } from '@angular/material/progress-spinner';
import { MatRadioModule } from '@angular/material/radio';
import * as i2$2 from '@angular/material/core';
import { MatRippleModule, MatOptionModule, DateAdapter, MAT_DATE_LOCALE } from '@angular/material/core';
import { MatSliderModule } from '@angular/material/slider';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatSelectModule } from '@angular/material/select';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import * as i1$1 from '@angular/material/snack-bar';
import { MatSnackBarModule, MAT_SNACK_BAR_DATA } from '@angular/material/snack-bar';
import { MatSortModule } from '@angular/material/sort';
import { MatTableModule } from '@angular/material/table';
import { MatTabsModule } from '@angular/material/tabs';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatTreeModule, MatTreeNestedDataSource } from '@angular/material/tree';
import * as i5$1 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import { CovalentMarkdownModule } from '@covalent/markdown';
import en$1 from '@angular/common/locales/en';
import sk$1 from '@angular/common/locales/sk';
import de$1 from '@angular/common/locales/de';
import * as i1$5 from 'rxjs';
import { of, BehaviorSubject, interval, ReplaySubject, throwError, Subject, Observable, forkJoin, combineLatest, timer, from, race } from 'rxjs';
import * as i1 from '@angular/common/http';
import { HttpHeaders, HttpErrorResponse, HttpParams, HttpEventType, HttpClient, HTTP_INTERCEPTORS, HttpClientModule, HttpResponse } from '@angular/common/http';
import { AngularResizeEventModule } from 'angular-resize-event';
import * as i2$3 from '@angular-material-components/datetime-picker';
import { NgxMatDatetimePickerModule } from '@angular-material-components/datetime-picker';
import { NgxMatMomentModule } from '@angular-material-components/moment-adapter';
import * as i1$2 from '@ngx-translate/core';
import { TranslateModule, TranslateLoader, TranslateService, TranslatePipe, TranslateStore } from '@ngx-translate/core';
import { TranslateHttpLoader } from '@ngx-translate/http-loader';
import { catchError, map, tap, take, debounceTime, filter, distinctUntilChanged, startWith, defaultIfEmpty, switchMap, scan, mergeMap, reduce, concatMap, takeUntil } from 'rxjs/operators';
import * as i3 from '@ngbracket/ngx-layout/flex';
import * as i2$1 from '@angular/platform-browser';
import moment from 'moment';
import { __decorate, __param } from 'tslib';
import * as Buffer from 'buffer';
import { ENTER, COMMA, SEMICOLON } from '@angular/cdk/keycodes';
import * as i3$1 from '@angular/router';
import { NavigationEnd, Router, ActivatedRoute } from '@angular/router';
import * as i1$6 from '@angular/cdk/overlay';
import { OverlayModule } from '@angular/cdk/overlay';
import { orderBy } from 'natural-orderby';
import * as i4$2 from 'angular2-hotkeys';
import { Hotkey } from 'angular2-hotkeys';
import semver from 'semver';
import 'hammerjs';
import * as i1$7 from '@angular/cdk/layout';
import { Breakpoints } from '@angular/cdk/layout';
import { HttpClientTestingModule } from '@angular/common/http/testing';

// TODO BUG 17.4.2020 - this file should contain very precise information about the intended structure of nae.json BUT this is a .d.ts file.
//  If we include other interfaces from the lib into this file, schematic compilation fails. Schematics reference this file without problem
//  but they can't reference files above their sourceRoot declared in their tsconfig file. Since this file is .d.ts it runs without anybody
//  noticing. However as soon as we include other interfaces from the lib here, schematics will reference them and fail to compile.
//  We need to find a good solution for this.

class MaterialModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: MaterialModule, imports: [CommonModule,
            FlexLayoutModule], exports: [FlexModule,
            FlexLayoutModule,
            A11yModule,
            CdkStepperModule,
            CdkTableModule,
            CdkTreeModule,
            DragDropModule,
            MatAutocompleteModule,
            MatBadgeModule,
            MatBottomSheetModule,
            MatButtonModule,
            MatButtonToggleModule,
            MatCardModule,
            MatCheckboxModule,
            MatChipsModule,
            MatStepperModule,
            MatDatepickerModule,
            MatDialogModule,
            MatDividerModule,
            MatExpansionModule,
            MatGridListModule,
            MatIconModule,
            MatInputModule,
            MatListModule,
            MatMenuModule,
            MatMomentDateModule,
            MatPaginatorModule,
            MatProgressBarModule,
            MatProgressSpinnerModule,
            MatRadioModule,
            MatRippleModule,
            MatSelectModule,
            MatSidenavModule,
            MatSliderModule,
            MatSlideToggleModule,
            MatSnackBarModule,
            MatSortModule,
            MatTableModule,
            MatTabsModule,
            MatToolbarModule,
            MatTooltipModule,
            MatTreeModule,
            PortalModule,
            ScrollingModule,
            MatOptionModule,
            MatFormFieldModule,
            FormsModule,
            ReactiveFormsModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MaterialModule, imports: [CommonModule,
            FlexLayoutModule, FlexModule,
            FlexLayoutModule,
            A11yModule,
            CdkStepperModule,
            CdkTableModule,
            CdkTreeModule,
            DragDropModule,
            MatAutocompleteModule,
            MatBadgeModule,
            MatBottomSheetModule,
            MatButtonModule,
            MatButtonToggleModule,
            MatCardModule,
            MatCheckboxModule,
            MatChipsModule,
            MatStepperModule,
            MatDatepickerModule,
            MatDialogModule,
            MatDividerModule,
            MatExpansionModule,
            MatGridListModule,
            MatIconModule,
            MatInputModule,
            MatListModule,
            MatMenuModule,
            MatMomentDateModule,
            MatPaginatorModule,
            MatProgressBarModule,
            MatProgressSpinnerModule,
            MatRadioModule,
            MatRippleModule,
            MatSelectModule,
            MatSidenavModule,
            MatSliderModule,
            MatSlideToggleModule,
            MatSnackBarModule,
            MatSortModule,
            MatTableModule,
            MatTabsModule,
            MatToolbarModule,
            MatTooltipModule,
            MatTreeModule,
            PortalModule,
            ScrollingModule,
            MatOptionModule,
            MatFormFieldModule,
            FormsModule,
            ReactiveFormsModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule,
                        FlexLayoutModule
                    ],
                    exports: [
                        FlexModule,
                        FlexLayoutModule,
                        A11yModule,
                        CdkStepperModule,
                        CdkTableModule,
                        CdkTreeModule,
                        DragDropModule,
                        MatAutocompleteModule,
                        MatBadgeModule,
                        MatBottomSheetModule,
                        MatButtonModule,
                        MatButtonToggleModule,
                        MatCardModule,
                        MatCheckboxModule,
                        MatChipsModule,
                        MatStepperModule,
                        MatDatepickerModule,
                        MatDialogModule,
                        MatDividerModule,
                        MatExpansionModule,
                        MatGridListModule,
                        MatIconModule,
                        MatInputModule,
                        MatListModule,
                        MatMenuModule,
                        MatMomentDateModule,
                        MatPaginatorModule,
                        MatProgressBarModule,
                        MatProgressSpinnerModule,
                        MatRadioModule,
                        MatRippleModule,
                        MatSelectModule,
                        MatSidenavModule,
                        MatSliderModule,
                        MatSlideToggleModule,
                        MatSnackBarModule,
                        MatSortModule,
                        MatTableModule,
                        MatTabsModule,
                        MatToolbarModule,
                        MatTooltipModule,
                        MatTreeModule,
                        PortalModule,
                        ScrollingModule,
                        MatOptionModule,
                        MatFormFieldModule,
                        FormsModule,
                        ReactiveFormsModule,
                    ]
                }]
        }] });

class CovalentModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CovalentModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: CovalentModule, exports: [CovalentMarkdownModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CovalentModule, imports: [CovalentMarkdownModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CovalentModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [
                        CovalentMarkdownModule
                    ]
                }]
        }] });

class CurrencyModule {
    constructor() {
        registerLocaleData(en$1);
        registerLocaleData(sk$1);
        registerLocaleData(de$1);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CurrencyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: CurrencyModule, imports: [CommonModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CurrencyModule, providers: [CurrencyPipe, DecimalPipe], imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CurrencyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ],
                    providers: [CurrencyPipe, DecimalPipe]
                }]
        }], ctorParameters: () => [] });

var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["ALL"] = 0] = "ALL";
    LogLevel[LogLevel["DEBUG"] = 1] = "DEBUG";
    LogLevel[LogLevel["INFO"] = 2] = "INFO";
    LogLevel[LogLevel["WARN"] = 3] = "WARN";
    LogLevel[LogLevel["ERROR"] = 4] = "ERROR";
    LogLevel[LogLevel["OFF"] = 6] = "OFF";
})(LogLevel || (LogLevel = {}));

class LogEntry {
    date;
    level;
    message;
    params;
    config;
    /**
     * Log entry class
     * @param level - Log level of this entry
     * @param message - message to write to the log
     * @param params - additional parameters to write into the log
     * @param config - extra class configuration
     */
    constructor(level, message, params, config) {
        this.date = new Date();
        this.level = level;
        this.message = message;
        this.params = params;
        const defaults = {
            logWithDate: true,
            serializeParams: true,
            includeLogLevel: true
        };
        this.config = { ...defaults, ...config };
    }
    get levelString() {
        return LogLevel[this.level.toString()];
    }
    /**
     * Serialization of additional parameters of the entry.
     * @return Serialized JSON
     */
    serializeParams() {
        if (!this.config.serializeParams) {
            return '';
        }
        return JSON.stringify(this.params);
    }
    /**
     * Stringify log entry. According to configuration entry can include time, log level and extra parameters
     * @return Log string
     */
    toString() {
        let str = '';
        if (this.config.logWithDate) {
            str += '[' + this.date.toISOString() + '] ';
        }
        if (this.config.includeLogLevel) {
            str += '<' + this.levelString + '> ';
        }
        str += this.message;
        if (this.config.serializeParams && this.params) {
            if (this.params instanceof Array) {
                if (this.params.length !== 0) {
                    str += ' , params: ' + this.serializeParams();
                }
            }
            else {
                str += ' , params: ' + this.serializeParams();
            }
        }
        return str;
    }
}

class LogPublisher {
    location;
    constructor(publisherService) {
        publisherService
            .register(this)
            .subscribe(entry => {
            if (entry) {
                this.log(entry);
            }
        });
    }
}

class ConsoleLogPublisher extends LogPublisher {
    constructor(publisherService) {
        super(publisherService);
    }
    clear() {
        console.clear();
    }
    log(entry) {
        if (!entry) {
            return;
        }
        switch (entry.level) {
            case LogLevel.DEBUG:
                console.debug(entry.toString());
                break;
            case LogLevel.ERROR:
                console.error(entry.toString());
                break;
            case LogLevel.INFO:
                console.info(entry.toString());
                break;
            case LogLevel.WARN:
                console.warn(entry.toString());
                break;
            default:
                console.log(entry.toString());
        }
    }
}

class LocalStorageLogPublisher extends LogPublisher {
    static DEFAULT_KEY = 'application-log';
    constructor(publisherService, logKey) {
        super(publisherService);
        this.location = !logKey ? LocalStorageLogPublisher.DEFAULT_KEY : logKey;
    }
    clear() {
        localStorage.removeItem(this.location);
    }
    log(entry) {
        if (!entry) {
            return;
        }
        const logString = localStorage.getItem(this.location);
        let log;
        if (!logString) {
            log = [];
        }
        else {
            log = JSON.parse(logString);
        }
        log.push(entry);
        try {
            localStorage.setItem(this.location, JSON.stringify(log));
        }
        catch (e) {
            const deleted = log.splice(0, 1)[0];
            console.debug('Log entry from ' + deleted.date.toISOString() + ' was deleted from the LocalStorage \'' + this.location + '\'');
            try {
                localStorage.setItem(this.location, JSON.stringify(log));
            }
            catch (ex) {
                console.error(ex);
                throw new Error(ex.message);
            }
        }
    }
}

class ConfigurationService {
    configuration;
    _dataFieldConfiguration;
    constructor(configuration) {
        this.configuration = configuration;
        this.resolveEndpointURLs();
        this._dataFieldConfiguration = this.getConfigurationSubtree(['services', 'dataFields']);
    }
    getAsync() {
        return of(this.get());
    }
    /**
     * Calls to this method should be avoided as creating a deep copy of the configuration has a large overhead
     *
     * @returns a deep copy of the entire configuration object
     */
    get() {
        return this.createConfigurationCopy();
    }
    /**
     * Get view configuration from nae.json for view at given config path.
     * @param viewConfigPath configuration path to the requested view. No leading backslash.
     * @return requested configuration if it exists. `undefined` otherwise.
     */
    getViewByPath(viewConfigPath) {
        const viewPathSegments = viewConfigPath.split('/');
        const configTreePathSegments = ['views'];
        for (let i = 0; i < viewPathSegments.length; i++) {
            if (i > 0) {
                configTreePathSegments.push('children');
            }
            configTreePathSegments.push(viewPathSegments[i]);
        }
        return this.getConfigurationSubtree(configTreePathSegments);
    }
    /**
     * Get view configuration from nae.json for view at given url.
     * @param url to the requested view. Necessary backslash.
     * @return requested configuration if it exists. `undefined` otherwise.
     */
    getViewByUrl(url) {
        const views = this.getViewsCopy();
        if (!views) {
            return undefined;
        }
        let map = new Map();
        map = this.getChildren(views, map, '');
        if (map.get(url) === undefined) {
            for (const [key, value] of map) {
                if (key.includes('/**') && url.includes(key.split('/**')[0]))
                    return value;
            }
        }
        return map.get(url);
    }
    getChildren(views, map, prefix) {
        Object.keys(views).forEach(view => {
            if (!!views[view].routing.path) {
                prefix = prefix.charAt(prefix.length - 1) === '/' ?
                    prefix.length > 1 ? prefix.substring(0, prefix.length - 2) : '' :
                    prefix;
                const viewPath = views[view].routing.path.charAt(0) === '/' ?
                    views[view].routing.path.length > 1 ? views[view].routing.path.substring(1) : '' :
                    views[view].routing.path;
                map.set(views[view].routing.match ?
                    prefix + '/' + viewPath + '/**' :
                    prefix + '/' + viewPath, views[view]);
            }
            if (views[view].children) {
                this.getChildren(views[view].children, map, prefix + '/' + views[view].routing.path);
            }
        });
        return map;
    }
    /**
     * Get all URLs/paths of views with specified layout.
     * @param layout Search views with this layout
     * @returns Paths with prefixed '/' of all views with specified layout, empty array otherwise.
     */
    getPathsByView(layout) {
        const config = this.createConfigurationCopy();
        const result = [];
        if (!config.views) {
            return result;
        }
        Object.values(config.views).forEach(view => {
            result.push(...this.getView(layout, view).map(path => '/' + path));
        });
        return result;
    }
    getConfigurationSubtreeByPath(path) {
        return this.getConfigurationSubtree(path.split('.'));
    }
    /**
     * @param pathSegments the keys specifying the path trough the configuration that should be accessed
     * @returns a deep copy of a specified subsection of the configuration object, or `undefined` if such subsection doesn't exist.
     * Calling this method with an empty array as argument is equivalent to calling the [get()]{@link ConfigurationService#get} method.
     */
    getConfigurationSubtree(pathSegments) {
        let root = this.configuration;
        for (const segment of pathSegments) {
            if (root[segment] === undefined) {
                return undefined;
            }
            root = root[segment];
        }
        return this.deepCopy(root);
    }
    /**
     * @returns the appropriate template configuration for data fields, or `undefined` if such configuration is not present.
     */
    getDatafieldConfiguration() {
        if (this._dataFieldConfiguration === undefined) {
            return undefined;
        }
        return { ...this._dataFieldConfiguration };
    }
    /**
     * Resolves the URL addresses of backend endpoints based on the provided configuration.
     *
     * If the URLs begin with either `http://`, or `https://` the provided URL will be used.
     *
     * If not, then the URLs are considered to be relative to the location of the frontend application and it's URL will be used
     * as the base path. `/api` is appended automatically.
     */
    resolveEndpointURLs() {
        if (this.configuration?.providers?.auth?.address === undefined) {
            throw new Error(`'provider.auth.address' is a required property and must be present in the configuration!`);
        }
        this.configuration.providers.auth.address = this.resolveURL(this.configuration.providers.auth.address);
        if (this.configuration?.providers?.resources === undefined) {
            throw new Error(`'provider.resources' is a required property and must be present in the configuration!`);
        }
        if (Array.isArray(this.configuration.providers.resources)) {
            this.configuration.providers.resources.forEach(resource => {
                if (resource?.address === undefined) {
                    throw new Error(`Resources defined in 'provider.resources' must define an address property!`);
                }
                resource.address = this.resolveURL(resource.address);
            });
        }
        else {
            if (this.configuration?.providers?.resources?.address === undefined) {
                throw new Error(`Resources defined in 'provider.resources' must define an address property!`);
            }
            this.configuration.providers.resources.address = this.resolveURL(this.configuration.providers.resources.address);
        }
    }
    /**
     * Resolves a single URL address.
     *
     * If the URL begins with either `http://`, or `https://` the provided URL will be used.
     *
     * If not, then the URL is considered to be relative to the location of the frontend application and it's URL will be used
     * as the base path. `/api` is appended automatically.
     *
     * @param configURL value from the configuration file
     * @returns the resolved URL
     */
    resolveURL(configURL) {
        if (configURL.startsWith('http://') || configURL.startsWith('https://')) {
            return configURL;
        }
        else {
            return location.origin + '/api' + configURL;
        }
    }
    /**
     * @returns the services configuration, or `undefined` if such configuration is not present.
     */
    getServicesConfiguration() {
        const subtree = this.getConfigurationSubtree(['services']);
        return subtree !== undefined ? this.deepCopy(subtree) : undefined;
    }
    /**
     * @returns the value stored in the [onLogoutRedirect]{@link Services#auth.onLogoutRedirect} attribute if defined.
     * If not and the deprecated attribute [logoutRedirect]{@link Services#auth.logoutRedirect} is defined then its value is returned.
     * Otherwise, `undefined` is returned.
     */
    getOnLogoutPath() {
        return this.configuration?.services?.auth?.onLogoutRedirect ?? this.configuration?.services?.auth?.logoutRedirect;
    }
    /**
     * @returns the value stored in the [toLoginRedirect]{@link Services#auth.toLoginRedirect} attribute if defined.
     * If not and the deprecated attribute [loginRedirect]{@link Services#auth.loginRedirect} is defined then its value is returned.
     * Otherwise, `undefined` is returned.
     */
    getToLoginPath() {
        return this.configuration?.services?.auth?.toLoginRedirect ?? this.configuration?.services?.auth?.loginRedirect;
    }
    /**
     * @returns the value stored in the [onLoginRedirect]{@link Services#auth.onLoginRedirect} attribute if defined.
     * Otherwise, `undefined` is returned.
     */
    getOnLoginPath() {
        return this.configuration?.services?.auth?.onLoginRedirect;
    }
    getView(searched, view) {
        const paths = [];
        if (!!view.layout && view.layout.name === searched) {
            paths.push(view.routing.path);
        }
        if (view.children && Object.keys(view.children).length !== 0) {
            Object.values(view.children).forEach(child => {
                paths.push(...this.getView(searched, child).map(path => view.routing.path + '/' + path));
            });
        }
        return paths;
    }
    /**
     * @param endpointKey the attribute name of the endpoint address in `nae.json`
     * @returns the endpoint address or `undefined` if such endpoint is not defined in `nae.json`
     */
    resolveProvidersEndpoint(endpointKey) {
        const config = this.configuration;
        if (!config
            || !config.providers
            || !config.providers.auth
            || !config.providers.auth.address
            || !config.providers.auth.endpoints
            || !config.providers.auth.endpoints[endpointKey]) {
            throw new Error('Authentication provider address is not set!');
        }
        return config.providers.auth.address + config.providers.auth.endpoints[endpointKey];
    }
    createConfigurationCopy() {
        return this.deepCopy(this.configuration);
    }
    getViewsCopy() {
        return this.getConfigurationSubtree(['views']);
    }
    deepCopy(obj) {
        return JSON.parse(JSON.stringify(obj));
    }
}

const PUBLISHERS = {
    console: ConsoleLogPublisher,
    localStorage: LocalStorageLogPublisher,
    backend: null
};
class LogPublisherService {
    // public static instance: LogPublisherService;
    _log;
    _publishers;
    constructor(config) {
        // LogPublisherService.instance = this;
        this._log = new BehaviorSubject(null);
        this._publishers = [];
        const serviceConfig = config.get().services;
        if (serviceConfig && serviceConfig.log && serviceConfig.log.publishers) {
            Object.keys(PUBLISHERS).filter(p => serviceConfig.log.publishers.includes(p) && PUBLISHERS[p])
                .forEach(key => new PUBLISHERS[key](this));
        }
    }
    ngOnDestroy() {
        this._log.complete();
    }
    get publishers() {
        return this._publishers;
    }
    register(publisher) {
        if (!publisher) {
            return of(null);
        }
        this._publishers.push(publisher);
        return this._log;
    }
    publish(entry) {
        if (!entry) {
            return;
        }
        this._log.next(entry);
    }
    clearAll() {
        this._publishers.forEach(publisher => publisher.clear());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LogPublisherService, deps: [{ token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LogPublisherService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LogPublisherService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }] });

class AbstractLoggerService {
    publisherService;
    config;
    publisher;
    constructor(publisherService, _config) {
        this.publisherService = publisherService;
        this.publisher = publisherService;
        this.config = {
            logWithDate: true,
            serializeParams: true,
            level: LogLevel.ALL
        };
        const servicesConfig = _config.get().services;
        if (servicesConfig && servicesConfig.log) {
            this.config = Object.assign(this.config, servicesConfig.log, { level: this.resolveLevel(servicesConfig.log.level) });
        }
    }
    get level() {
        return this.config.level;
    }
    shouldLog(level) {
        return (level >= this.level && level !== LogLevel.OFF) || this.level === LogLevel.ALL;
    }
    writeToLog(level, message, params) {
        if (!this.shouldLog(level)) {
            return;
        }
        const entry = new LogEntry(level, message, params, this.config);
        this.publisher.publish(entry);
    }
    info(message, ...params) {
        this.writeToLog(LogLevel.INFO, message, params);
    }
    debug(message, ...params) {
        this.writeToLog(LogLevel.DEBUG, message, params);
    }
    warn(message, ...params) {
        this.writeToLog(LogLevel.WARN, message, params);
    }
    error(message, ...params) {
        this.writeToLog(LogLevel.ERROR, message, params);
    }
    log(level, message, ...param) {
        this.writeToLog(level, message, param);
    }
    resolveLevel(level) {
        if (!level) {
            return LogLevel.OFF;
        }
        return LogLevel[level];
    }
}
class LoggerService extends AbstractLoggerService {
    constructor(publisherService, config) {
        super(publisherService, config);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LoggerService, deps: [{ token: LogPublisherService }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LoggerService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LoggerService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: LogPublisherService }, { type: ConfigurationService }] });

/* SERVICES */

class CustomDateAdapter extends MomentDateAdapter {
    getFirstDayOfWeek() {
        return 1;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CustomDateAdapter, deps: null, target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CustomDateAdapter });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CustomDateAdapter, decorators: [{
            type: Injectable
        }] });

var toolbar$2 = {
	menu: {
		lang: "Language",
		profile: "Profile",
		logout: "Logout",
		en: "English",
		sk: "Slovak",
		de: "German",
		open: "Open menu",
		home: "Home",
		back: "Back",
		folders: "Folders",
		views: "Views"
	}
};
var tasks$2 = {
	snackbar: {
		noTasksFound: "No tasks found",
		failedToLoad: "failed to load",
		noData: "No data for task",
		noGroup: "No data group for task",
		dataSaved: "Data saved successfully",
		failedSave: "Saving data failed",
		assignTask: "Assigning task",
		assignTaskSuccess: "Task assigned successfully",
		delegateTask: "Delegating task",
		delegateTaskSuccess: "Task successfully delegated",
		failed: "failed",
		cancelTask: "Canceling assignment of task",
		cancelTaskSuccess: "Task successfully canceled",
		finishTask: "Finishing task",
		finishTaskSuccess: "Task successfully finished",
		invalidData: "Some fields have invalid values",
		missingRequired: "Some required fields are empty",
		noCase: "No cases found",
		caseGetFailed: "Getting cases failed",
		noLongerExists: "The selected task no longer exists",
		caseDeleteFailed: "Case could not be deleted",
		caseDeleteSuccess: "Case successfully deleted",
		rolesSuccessAssign: "Roles successfully assigned to selected users"
	},
	view: {
		noTasksSatisfyingThisFilter: "There are no tasks satisfying this filter",
		collapse: "Collapse",
		assign: "Assign",
		reassign: "Reassign",
		delegate: "Delegate",
		finish: "Finish",
		cancel: "Cancel",
		noData: "This task has no data. Finish to continue.",
		redirecting: "Redirecting..."
	},
	footer: {
		defaultText: "NETGRIF, s.r.o. © 2022"
	}
};
var search$2 = {
	category: {
		"case": {
			title: {
				name: "Case title",
				placeholder: "Enter case title"
			},
			visualId: {
				name: "Case visual ID",
				placeholder: "Enter case visual ID"
			},
			stringId: {
				name: "Case ID",
				placeholder: "Enter case ID"
			},
			author: {
				name: "Case author",
				placeholder: "Enter author's name or email"
			},
			process: {
				name: "Case process",
				placeholder: "Select case process"
			},
			role: {
				name: "Process role",
				placeholder: "Select process role"
			},
			task: {
				name: "Case task",
				placeholder: "Select case task"
			},
			creationDate: {
				name: "Case creation date",
				placeholder: "Select case creation date"
			},
			creationDateTime: {
				name: "Case creation date and time",
				placeholder: "Select case creation date and time"
			},
			dataset: {
				name: "Case data",
				placeholder: {
					field: "Select data field",
					value: "Enter data field value"
				}
			}
		},
		task: {
			assignee: {
				name: "Task assignee",
				placeholder: "Select task assignee"
			},
			process: {
				name: "Task process",
				placeholder: "Select task process"
			},
			role: {
				name: "Task process role",
				placeholder: "Select task process role"
			},
			task: {
				name: "Task",
				placeholder: "Select task"
			}
		},
		select: "Search category",
		userMe: "ME"
	},
	operator: {
		name: "Operator",
		substring: "contains substring",
		inRange: {
			from: "from",
			to: "to"
		},
		equals: "is exactly",
		notEquals: "is different from",
		moreThan: "is more than",
		lessThan: "is less than",
		lessThanEqual: "is less or equal than",
		moreThanEqual: "is more or equal than",
		like: "is like",
		isNull: "is empty"
	},
	tooltip: {
		toAdvanced: "Switch to advanced search",
		toFullText: "Switch to basic search",
		help: "Help",
		save: "Save filter",
		load: "Load filter"
	},
	help: {
		title: "Advanced search help",
		text: "Advanced search can be used to create more complex search queries. Start by selecting a search category. Search category determines, what you want your query to look for. Some categories (like searching in case data) require further configuration. Afterwards you have to select a search operator. The operator determines how the query attempts to match your data. Are you looking for numbers from a specific range? Are you looking for an exact match? Finally you have to enter the searched value. You can combine simpler queries into more complicated ones by binding them with an OR or an AND keyword. Queries combined with OR find results that match at least one sub-query. Queries combined with AND find results that match all sub-queries."
	},
	fullText: "Enter searched phrase",
	and: "and",
	or: "or"
};
var dataField$2 = {
	validations: {
		required: "This field is required!",
		requiredTrue: "Entered value must be true",
		odd: "Entered number must be odd",
		even: "Entered number must be even",
		positive: "Entered number must be positive",
		negative: "Entered number must be negative",
		decimal: "Entered number must be decimal",
		inrange: "Entered number must be in range {{range}}",
		minLength: "Entered text must be at least {{length}} characters long",
		maxLength: "Entered text must be at most {{length}} characters long",
		pattern: "Entered text is in a wrong format",
		phone: "Entered text must be in telephone number format",
		email: "Entered text must be in email format",
		dateRange: "Entered date must be between {{left}} and {{right}}",
		datePast: "Entered date must be earlier than {{right}}",
		dateFuture: "Entered date must be later than {{left}}",
		weekend: "Entered date must be weekend day",
		workday: "Entered date must be week day",
		enumeration: "One of the options must be selected",
		min: "Entered number must be greater than {{length}}",
		translationRequired: "Translation for languages: <{{translation}}> must be entered",
		translationOnly: "Only translation for languages: <{{translation}}> is allowed",
		requiredI18n: "At least one value must be entered",
		requiredUserList: "At least one value must be entered"
	},
	snackBar: {
		downloadFail: " failed to download",
		moreFiles: "You choose more files as you allowed",
		sameFiles: "You cannot upload two of the same files",
		fileSize: "Files size exceeded allowed limit",
		wontUploadSameFile: "The file already exists. If you want to update the file, please renamed it or delete existing file",
		wontUploadSameFiles: "The selected files have already been uploaded. To update files, delete files that have already been uploaded",
		fileUploadFailed: "The file failed to upload",
		fileDeleteFailed: "The file could not be deleted",
		maxFilesExceeded: "Maximum number of uploadable files exceeded: ",
		maxFilesSizeExceeded: "The maximum size of uploaded files is exceeded: ",
		notSelectedUser: "No user has been selected",
		userAssigned: "User {{userName}} was assigned",
		userListAssigned: "Selected users {{userNames}} were assigned"
	},
	values: {
		boolean: {
			"true": "true",
			"false": "false"
		}
	},
	clear: "Clear",
	save: "Save",
	noFile: "No file",
	file: {
		noFile: "No File",
		clickToUpload: "Click to upload file",
		clickToDownload: "Click to download {{fileName}}",
		clickToOpen: "Click to view file content",
		clickToDelete: "Click to delete file",
		notAllowed: "File {{fileName}} can't be uploaded. Its filetype is not allowed."
	},
	i18n: {
		languageSelect: "Select language",
		deleteTranslation: "Delete translation",
		showTranslations: "Show translations",
		hideTranslations: "Hide translations"
	},
	dynamicEnum: {
		noData: "No items match your search"
	},
	"enum": {
		reset: "Reset"
	},
	user: {
		selectUser: "Select user",
		deleteUser: "Delete user",
		save: "Assign",
		deleteAll: "Empty user list"
	},
	textarea: {
		insertText: "Insert text here..."
	}
};
var dialog$2 = {
	close: "Close",
	submit: "Submit"
};
var forms$2 = {
	email: {
		enterEmail: "Enter your email"
	},
	login: {
		length: "The login name must have at least 4 letters",
		login: "Username",
		wrongCredentials: "Wrong credentials!",
		loginButton: "Log in",
		reset: "Reset password",
		sign: "Sign Up",
		enterPass: "Enter your password"
	},
	changePassword: {
		oldPassword: "Enter your old password",
		enterNewPass: "Enter your new password",
		repeatNewPass: "Repeat your new password",
		changePass: "Change password"
	},
	register: {
		email: "Your email",
		name: "Name",
		surname: "Surname",
		repeatPass: "Repeat your password",
		register: "Register",
		notVerified: "It is not possible to verify token!",
		passwordsMustMatch: "The passwords must match!"
	},
	forgottenPass: {
		enterNewPass: "Enter your new password",
		repeatNewPass: "Repeat your new password",
		recover: "Change password"
	}
};
var headers$2 = {
	newHeader: "Select new header",
	date: "Choose a date",
	dateTime: "Choose a date and time",
	selectUser: "Choose a user",
	caseMeta: {
		mongoID: "Case ID",
		visualID: "Visual ID",
		title: "Title",
		author: "Author",
		creationDate: "Creation date"
	},
	taskMeta: {
		"case": "Case",
		caseID: "Case ID",
		taskID: "Task ID",
		priority: "Priority",
		user: "Assignee",
		assignDate: "Assign Date"
	},
	workflowMeta: {
		initials: "Initials",
		version: "Version",
		netId: "Process ID",
		creationDate: "Upload date",
		title: "Title",
		author: "Author"
	},
	orderMode: "Ordering mode",
	searchMode: "Search mode",
	editMode: "Enable edit mode",
	overflowMode: "Table mode",
	columnWidth: "Column width",
	columnCount: "Number of columns"
};
var panel$2 = {
	"case": {
		"delete": "Delete"
	},
	workflow: {
		net: "Net identifier",
		title: "Title",
		version: "Version",
		author: "Author",
		upload: "Upload date"
	}
};
var profile$2 = {
	notLogged: "You are not logged in!",
	general: "General Information",
	personal: "Personal Information",
	name: "First name",
	surname: "Last name",
	authority: "Authorities",
	roles: "Roles",
	groups: "Groups",
	preference: "Preferences",
	caseHead: "Case headers",
	caseFilter: "Case filters",
	taskHead: "Task headers",
	taskFilter: "Task filters",
	workHead: "Workflow headers",
	workFilter: "Workflow filters"
};
var admin$2 = {
	"user-list": {
		noUsersWereFound: "There are any user in the system at the moment",
		listTitle: "Users"
	},
	"ldapGroup-list": {
		noLdapGroupsWereFound: "No LDAP group was found",
		listTitle: "LDAP groups",
		count: "Number of groups"
	},
	"process-list": {
		newestVersion: "Newest version",
		listTitle: "Processes",
		roles: "Roles",
		noRoles: "There are no roles in the process",
		noProcessesWereFound: "There are no processes in the system at the moment"
	},
	"user-invite": {
		newUser: "New User",
		orgs: "Organizations",
		selectedOrgs: "Selected Organizations",
		selectedRoles: "Selected Roles",
		mail: "Enter Email",
		noSelectedOrgs: "There is no organisation assigned to this user yet!",
		noSelectedRoles: "There is no role assigned to this user yet!",
		noOrgs: "There is no available groups for now!",
		version: "Version",
		emailFieldMandatory: "Email field is mandatory",
		oneOrMoreOrganization: "New user must belong to one or more groups",
		inviteSent: "Invite sent",
		inviteFailed: "Invite failed",
		"invite-user": "INVITE USER"
	}
};
var preferences$2 = {
	snackbar: {
		saveSuccess: "User preferences saved successfully",
		saveFailure: "An error occurred while saving user preferences"
	}
};
var caseTree$2 = {
	newNodeDefaultName: "New Node",
	noTaskSelected: "No case is currently selected. Click on a node in the tree to select a case."
};
var dashboard$2 = {
	cases: "cases"
};
var workflow$2 = {
	"delete": "delete",
	download: "download",
	dialog: {
		header: "Are you sure you want to delete the process '{{name}}' with version '{{version}}'?",
		content: "Doing so will remove all cases created from this process!",
		typeToConfirm: "Type {{delete}} to confirm"
	},
	snackBar: {
		deleteCanceled: "Process delete canceled",
		deleteSuccess: "Process successfully deleted",
		deleteInProgress: "The process has been marked for deletion, the deletion is now underway",
		deleteError: "Process could not be deleted",
		uploadFailed: "Process file could not be uploaded.",
		uploadSuccess: "Process file uploaded successfully"
	}
};
var legal$2 = {
	byClicking: "By clicking '{{buttonName}}',",
	youIndicate: "you are indicating that you have read and acknowledge the",
	termsOfService: "Terms of Service",
	and: "and",
	privacyNotice: "Privacy Notice",
	sentenceEnd: ""
};
var publicView$2 = {
	resolving: "Public view is loading ...",
	netNotExist: "The process does not exists",
	errorCreate: "Error while creating case "
};
var dynamicNavigation$2 = {
	couldNotResolveView: "An error has occurred during the view resolution process. The view could not be displayed",
	filterNotFound: "This view has no filter",
	loadMoreItems: "More",
	ascending: "Ascending",
	descending: "Descending"
};
var impersonation$2 = {
	user: {
		successfullyRepresented: "User successfully represented",
		currentlyAlreadyRepresented: "User is already being represented by someone else",
		currentlyLogged: "User is currently logged in"
	},
	action: {
		failed: "Action failed",
		deactivated: "Representation was successfully deactivated"
	}
};
var session$2 = {
	expireTitle: "Your Session is about to expire",
	expireDetail: "Your session is about to expire.\n\nRedirecting to Login page in {{time}} seconds.",
	exitButton: "Logout",
	refreshButton: "Stay Connected"
};
var paginator$2 = {
	firstPage: "First page",
	itemsPage: "Items per page:",
	lastPage: "Last page",
	nextPage: "Next page",
	previousPage: "Previous page",
	pageOne: "Page 1 of 1",
	pageAmount: "Page {{page}} of {{amountPages}}"
};
var en = {
	toolbar: toolbar$2,
	tasks: tasks$2,
	"side-menu": {
	"filter-selector": {
		"choose-filter": "Choose a filter",
		"search-filter": "Search filters",
		"case-filters": "Case filters",
		"task-filters": "Task filters",
		select: "Select"
	},
	"files-upload": {
		upload: "Upload files",
		send: "Send"
	},
	"import-net": {
		upload: "Upload model",
		choose: "Choose a process file",
		done: "Done"
	},
	"new-case": {
		"case": "New Case",
		choose: "Choose process",
		caseTitle: "Fill out case title",
		color: "Choose case color",
		back: "Back",
		next: "Next",
		reset: "Reset",
		create: "Create",
		selection: "You must make a selection",
		errFirst: "Process is required.",
		errSecond: "Title is required.",
		errThird: "Color is required.",
		noNets: "No allowed Nets",
		createCase: "Successful create new case",
		defaultCaseName: "with default case name",
		errorCreate: "Error while creating case ",
		createCaseError: "A new case was created, but an error occurred while executing actions"
	},
	user: {
		assign: "User Assign",
		choose: "Choose user",
		noUser: "There are no users",
		err: "Users failed to load",
		showcase: "User showcase mode not set!"
	},
	ldapGroup: {
		choose: "Search Ldap group",
		noUser: "Not found Ldap group",
		err: "Failed to load Ldap group"
	},
	tooltip: {
		SelectAll: "Select All",
		DeselectAll: "Deselect All"
	},
	"option-selector": {
		select: "Select",
		"choose-one-option": "Choose one of the provided options"
	},
	impersonation: {
		title: "Impersonate user",
		submit: "Impersonate",
		cease: "Cancel impersonation",
		impersonating: "impersonating"
	}
},
	search: search$2,
	dataField: dataField$2,
	dialog: dialog$2,
	forms: forms$2,
	headers: headers$2,
	panel: panel$2,
	profile: profile$2,
	"view-list": {
	noCasesSatisfyingThisFilter: "There are no cases satisfying specified filter",
	noProcessesSatisfyingThisFilter: "There are no processes satisfying specified filter"
},
	admin: admin$2,
	preferences: preferences$2,
	caseTree: caseTree$2,
	dashboard: dashboard$2,
	workflow: workflow$2,
	legal: legal$2,
	publicView: publicView$2,
	dynamicNavigation: dynamicNavigation$2,
	impersonation: impersonation$2,
	session: session$2,
	paginator: paginator$2
};

var toolbar$1 = {
	menu: {
		lang: "Jazyk",
		profile: "Profil",
		logout: "Odhlasiť sa",
		en: "Anglický",
		sk: "Slovenský",
		de: "Nemecký",
		open: "Otvoriť menu",
		home: "Domov",
		back: "Späť",
		folders: "Priečinky",
		views: "Obrazovky"
	}
};
var tasks$1 = {
	snackbar: {
		noTasksFound: "Nenašli sa žiadne úlohy",
		failedToLoad: "sa nepodarilo načítať",
		noData: "Úloha nemá žiadne dáta",
		noGroup: "Úloha nemá žiadnu dátovú skupinu",
		dataSaved: "Dáta úspešne uložené",
		failedSave: "Ukladanie dát zlyhalo",
		assignTask: "Priradenie dát",
		assignTaskSuccess: "Úloha úspešne priradená",
		delegateTask: "Delegovanie úlohy",
		delegateTaskSuccess: "Delegovanie úlohy úspešné",
		failed: "zlyhalo",
		cancelTask: "Ruším priradenie úlohy",
		cancelTaskSuccess: "Zrušenie priradenia úlohy úspešné",
		finishTask: "Dokončujem úlohu",
		finishTaskSuccess: "Dokončenie úlohy úspešné",
		invalidData: "Niektoré polia majú nepovolené hodnoty",
		missingRequired: "Niektoré povinné polia sú prázdne",
		noCase: "Nenašli sa žiadne prípady",
		caseGetFailed: "Načítanie prípadov zlyhalo",
		noLongerExists: "Zvolená úloha už neexistuje",
		caseDeleteFailed: "Prípad sa nepodarilo vymazať",
		caseDeleteSuccess: "Prípad bol úspešne zmazaný",
		rolesSuccessAssign: "Roly boli úspešne priradené vybraným používateľom"
	},
	view: {
		noTasksSatisfyingThisFilter: "Pre tento filter nie sú vyhovujúce žiadne úlohy",
		collapse: "Skryť",
		assign: "Priradiť",
		reassign: "Preradiť",
		delegate: "Delegovať",
		finish: "Dokončiť",
		cancel: "Zrušiť",
		noData: "Táto úloha nemá žiadne údaje. Stlačte dokončiť pre pokračovanie.",
		redirecting: "Presmerovanie..."
	},
	footer: {
		defaultText: "NETGRIF, s.r.o. © 2022"
	}
};
var search$1 = {
	category: {
		"case": {
			title: {
				name: "Názov prípadu",
				placeholder: "Zadajte názov prípadu"
			},
			visualId: {
				name: "Vizuálne ID prípadu",
				placeholder: "Zadajte vizuálne ID prípadu"
			},
			stringId: {
				name: "ID prípadu",
				placeholder: "Zadajte ID prípadu"
			},
			author: {
				name: "Autor prípadu",
				placeholder: "Zadajte meno, alebo email autora prípadu"
			},
			process: {
				name: "Proces prípadu",
				placeholder: "Vyberte proces prípadu"
			},
			role: {
				name: "Procesná rola",
				placeholder: "Vyberte procesnú rolu"
			},
			task: {
				name: "Úloha prípadu",
				placeholder: "Vyberte úlohu"
			},
			creationDate: {
				name: "Dátum vytvorenia prípadu",
				placeholder: "Zadajte dátum vytvorenia prípadu"
			},
			creationDateTime: {
				name: "Dátum a čas vytvorenia prípadu",
				placeholder: "Zadajte dátum a čas vytvorenia prípadu"
			},
			dataset: {
				name: "Dáta prípadu",
				placeholder: {
					field: "Vyberte dátovú položku",
					value: "Zadajte hodnotu dátovej položky"
				}
			}
		},
		task: {
			assignee: {
				name: "Riešiteľ úlohy",
				placeholder: "Vyberte riešiteľa úlohy"
			},
			process: {
				name: "Proces úlohy",
				placeholder: "Vyberte proces úlohy"
			},
			role: {
				name: "Procesná rola úlohy",
				placeholder: "Vyberte procesnú rolu"
			},
			task: {
				name: "Úloha",
				placeholder: "Vyberte úlohu"
			}
		},
		select: "Kategória vyhľadávania",
		userMe: "JA"
	},
	operator: {
		name: "Operátor",
		substring: "obsahuje podreťazec",
		inRange: {
			from: "od",
			to: "do"
		},
		equals: "je presne",
		notEquals: "je rôzny od",
		moreThan: "je viac ako",
		lessThan: "je menej ako",
		lessThanEqual: "je menej alebo rovné ako",
		moreThanEqual: "je viac alebo rovné ako",
		like: "je podobný s",
		isNull: "je prázdny"
	},
	tooltip: {
		toAdvanced: "Prepnúť na rozšírené vyhľadávanie",
		toFullText: "Prepnúť na jednoduché vyhľadávanie",
		help: "Nápoveda",
		save: "Uložiť filter",
		load: "Načítať filter"
	},
	help: {
		title: "Nápoveda pre rozšírené vyhľadávanie",
		text: "Rozšírené vyhľadávanie slúži na zostavenie komplikovanejších požiadaviek na vyhľadávanie. Na začiatku zvoľte kategóriu vyhľadávania. Kategória vyhľadávania učruje, podľa čoho má váš dopyt vyhľadávať. Niektoré kategórie, ako napríklad \"Dáta prípadu\" vyžadujú dodatočnú konfiguráciu. Po zvolení kategórie je nutné zvoliť operátor vyhľadávania. Operátor rozhoduje o tom, akým spôsobom sa hľadá zhoda s hľadaným výtazom a dátami. Operátorom je možné hľadať napríklad presnú zhodu, alebo hodnotu z rozsahu. Nakoniec je nutné zadať hľadanú hodnotu. Dopyty je možné kombinovať pomocou kľúčových slov A SÚČASNE a ALEBO. Dopyty kombinované slovom ALEBO nájdu výsledky, spĺňajúce aspoň jednu z podmienok. Dopyty kombinované slovom A SÚČASNE nájdu výsledky spĺňajúce všetky podmienky."
	},
	fullText: "Zadajte hľadaný text",
	and: "a súčasne",
	or: "alebo"
};
var dataField$1 = {
	validations: {
		required: "Toto pole je potrebné!",
		requiredTrue: "Zadaná hodnota musí byť true",
		odd: "Zadané číslo musí byť nepárne",
		even: "Zadané číslo musí byť párne",
		positive: "Zadané číslo musí byť kladné",
		negative: "Zadané číslo musí byť záporné",
		decimal: "Zadané číslo musí byť decimálne",
		inrange: "Zadané číslo musí byť v rozsahu {{range}}",
		minLength: "Zadaný text musí mať aspoň {{length}} znakov",
		maxLength: "Zadaný text môže mať maximálne {{length}} znakov",
		pattern: "Zadaný text je v nesprávnom formáte",
		phone: "Zadaný text musí byť tel. číslo",
		email: "Zadaný text musí byť email",
		dateRange: "Zadaný dátum musí byť v rozsahu {{left}} a {{right}}",
		datePast: "Zadaný dátum musí byť pred {{right}}",
		dateFuture: "Zadaný dátum musí byť po {{left}}",
		weekend: "Zadaný dátum musí byť víkendový deň",
		workday: "Zadaný dátum musí byť pracovný deň",
		enumeration: "Musí byť vybraná jedna z možností",
		min: "Zadané číslo musí byť väčšie ako {{length}}",
		translationRequired: "Musí byť vyplnený preklad pre jazyky: <{{translation}}>",
		translationOnly: "Je povolený iba preklad pre jazyky: <{{translation}}>",
		requiredI18n: "Aspoň jedna hodnota musí byť vyplnená",
		requiredUserList: "Aspoň jedna hodnota musí byť vyplnená"
	},
	snackBar: {
		downloadFail: " sťahovanie zlyhalo",
		moreFiles: "Zvolili ste si viac súborov ako je povolené",
		sameFiles: "Nemôžete nahrať dva rovnaké súbory",
		fileSize: "Veľkosť súboru presiahla povolený limit",
		wontUploadSameFile: "Súbor už existuje. Ak chcete súbor aktualizovať, zvoľte iný názov súboru alebo súbor odstráňte",
		wontUploadSameFiles: "Vybrané súbory už boli nahrané. Ak chcete súbory aktualizovať, odstráňte už nahrané súbory",
		fileUploadFailed: "Súbor sa nepodarilo nahrať",
		fileDeleteFailed: "Súbor sa nepodarilo vymazať",
		maxFilesExceeded: "Je presiahnutý maximálny počet nahratých súborov: ",
		maxFilesSizeExceeded: "Je presiahnutá maximálna veľkosť nahrávaných súborov: ",
		notSelectedUser: "Nebol vybraný žiadny používateľ",
		userAssigned: "Používateľ {{userName}} bol pridelený",
		userListAssigned: "Vybraní používatelia {{userNames}} boli pridelení"
	},
	values: {
		boolean: {
			"true": "áno",
			"false": "nie"
		}
	},
	clear: "Vymazať",
	save: "Uložiť",
	noFile: "Žiadny súbor",
	file: {
		noFile: "Žiadny súbor",
		clickToUpload: "Kliknutím nahrajte súbor",
		clickToDownload: "Kliknutím stiahnite súbor {{fileName}}",
		clickToOpen: "Kliknutím zobrazíte obsah súboru",
		clickToDelete: "Kliknutím vymažte súbor",
		notAllowed: "Súbor {{fileName}} nie je možné nahrať. Jeho typ nie je povolený."
	},
	i18n: {
		languageSelect: "Výber jazyka",
		deleteTranslation: "Zmazanie prekladu",
		showTranslations: "Zobrazenie prekladov",
		hideTranslations: "Skrytie prekladov"
	},
	dynamicEnum: {
		noData: "Vášmu vyhľadávaniu nezodpovedajú žiadne položky"
	},
	"enum": {
		reset: "Resetovať"
	},
	user: {
		selectUser: "Vyberte používateľa",
		deleteUser: "Vymazať používateľa",
		save: "Priradiť",
		deleteAll: "Vymazať zoznam používateľov"
	},
	textarea: {
		insertText: "Sem zadajte text..."
	}
};
var dialog$1 = {
	close: "Zatvoriť",
	submit: "Potvrdiť"
};
var forms$1 = {
	email: {
		enterEmail: "Zadajte svoj email"
	},
	login: {
		length: "Prihlasovacie meno musí mať aspoň 4 písmená",
		login: "Prihlasovacie meno",
		wrongCredentials: "Nesprávne prihlasovacie údaje!",
		loginButton: "Prihlásiť",
		reset: "Obnova hesla",
		sign: "Registrovať",
		enterPass: "Zadajte svoje heslo"
	},
	changePassword: {
		oldPassword: "Zadajte staré heslo",
		enterNewPass: "Zadajte nové heslo",
		repeatNewPass: "Zopakujte nové heslo",
		changePass: "Zmeniť heslo"
	},
	register: {
		email: "Váš email",
		name: "Meno",
		surname: "Priezvisko",
		repeatPass: "Zopakujte heslo",
		register: "Registrovať",
		notVerified: "Nie je možné verifikovať token!",
		passwordsMustMatch: "Heslá sa musia zhodovať!"
	},
	forgottenPass: {
		enterNewPass: "Zadajte nové heslo",
		repeatNewPass: "Zopakujte nové heslo",
		recover: "Zmeniť heslo"
	}
};
var headers$1 = {
	newHeader: "Zvoľte novú hlavičku",
	date: "Zvoľte dátum",
	dateTime: "Zvoľte dátum a čas",
	selectUser: "Vyberte používateľa",
	caseMeta: {
		mongoID: "ID Prípadu",
		visualID: "Vizuálne ID",
		title: "Názov",
		author: "Autor",
		creationDate: "Dátum vytvorenia"
	},
	taskMeta: {
		"case": "Prípad",
		caseID: "ID Prípadu",
		taskID: "ID Úlohy",
		priority: "Priorita",
		user: "Riešiteľ",
		assignDate: "Dátum priradenia"
	},
	workflowMeta: {
		initials: "Iniciály",
		version: "Verzia",
		netId: "Proces ID",
		creationDate: "Dátum nahratia",
		title: "Názov",
		author: "Autor"
	},
	orderMode: "Mód zoraďovania",
	searchMode: "Mód vyhľadávania",
	editMode: "Zapnúť editačný mód",
	overflowMode: "Tabuľkový mód",
	columnWidth: "Šírka stĺpca",
	columnCount: "Počet stĺpcov"
};
var panel$1 = {
	"case": {
		"delete": "Vymazať"
	},
	workflow: {
		net: "Identifikátor siete",
		title: "Názov",
		version: "Verzia",
		author: "Autor",
		upload: "Dátum nahratia"
	}
};
var profile$1 = {
	notLogged: "Nie ste prihlásený!",
	general: "Všeobecné údaje",
	personal: "Osobné údaje",
	name: "Krstné meno",
	surname: "Priezvisko",
	authority: "Právomoci",
	roles: "Roly",
	groups: "Skupiny",
	preference: "Preferencie",
	caseHead: "Hlavičky prípadov",
	caseFilter: "Filtre prípadov",
	taskHead: "Hlavičky prípadov",
	taskFilter: "Filtre prípadov",
	workHead: "Workflow hlavičky",
	workFilter: "Workflow filtre"
};
var admin$1 = {
	"user-list": {
		noUsersWereFound: "Momentálne nie sú v systéme žiadni používatelia",
		listTitle: "Používatelia"
	},
	"ldapGroup-list": {
		noLdapGroupsWereFound: "Žiadna LDAP skupina nebola najdená",
		listTitle: "LDAP Skupiny",
		count: "Počet skupín"
	},
	"process-list": {
		newestVersion: "Najnovšia verzia",
		listTitle: "Procesy",
		roles: "Roly",
		noRoles: "Tento proces neobsahuje žiadne roly",
		noProcessesWereFound: "Momentálne nie sú v systéme žiadne procesy"
	},
	"user-invite": {
		newUser: "Nový používateľ",
		orgs: "Organizácie",
		selectedOrgs: "Vybrané Organizácie",
		selectedRoless: "Vybrané Roly",
		mail: "Zadajte Email",
		noSelectedOrgs: "Nie sú zvolené žiadne organizácie!",
		noSelectedRoles: "Nie sú zvolené žiadne role!",
		noOrgs: "Nie sú žiadne dostupné organizácie!",
		version: "Verzia",
		emailFieldMandatory: "Email je povinný",
		oneOrMoreOrganization: "Nový používateľ musí patriť aspoň do jednej organizácie",
		inviteSent: "Pozvánka bola odoslaná",
		inviteFailed: "Poslanie pozvánky zlyhalo",
		"invite-user": "POZVAŤ POUŽÍVATEĽA"
	}
};
var preferences$1 = {
	snackbar: {
		saveSuccess: "Vaše preferencie boli uložené",
		saveFailure: "Nepodarilo sa uložiť preferencie"
	}
};
var caseTree$1 = {
	newNodeDefaultName: "Nový Vrchol",
	noTaskSelected: "Momentálne nie je zvolený žiadny prípad. Pre vybranie prípadu zvoľte vrchol v strome."
};
var dashboard$1 = {
	cases: "prípady"
};
var workflow$1 = {
	"delete": "zmazať",
	download: "stiahnuť",
	dialog: {
		header: "Ste si istý, že chcete vymazať proces '{{name}}' verzia '{{version}}'?",
		content: "Spolu s procesom budú vymazané aj všetky prípady z neho vytvorené!",
		typeToConfirm: "Zadajte {{delete}} pre potvrdenie"
	},
	snackBar: {
		deleteCanceled: "Zmazanie procesu zrušené",
		deleteSuccess: "Proces bol úspešne zmazaný",
		deleteInProgress: "Proces bol označený na vymazanie, momentálne prebieha mazanie procesu",
		deleteError: "Proces sa nepodarilo zmazať",
		uploadFailed: "Súbor procesu sa nepodarilo nahrať.",
		uploadSuccess: "Súbor procesu bol úspešne nahraný"
	}
};
var legal$1 = {
	byClicking: "Kliknutím na tlačidlo '{{buttonName}}'",
	youIndicate: "potvrdzujete, že ste prečítali a beriete na vedomie",
	termsOfService: "podmienky služby",
	and: "a",
	privacyNotice: "zásady ochrany osobných údajov",
	sentenceEnd: ""
};
var publicView$1 = {
	resolving: "Verejné view sa načítava ...",
	netNotExist: "Proces neexistuje",
	errorCreate: "Chyba pri vytváraní prípadu "
};
var dynamicNavigation$1 = {
	couldNotResolveView: "Počas načítania zobrazenia sa vyskytla chyba. Zobrazenie nie je možné zobraziť",
	filterNotFound: "Toto zobrazenie neobsahuje filter",
	loadMoreItems: "Viac",
	ascending: "Vzostupne",
	descending: "Zostupne"
};
var impersonation$1 = {
	user: {
		successfullyRepresented: "Používateľ bol úspešne zastúpený",
		currentlyAlreadyRepresented: "Používateľ je momentálne zastupovaný",
		currentlyLogged: "Používateľ je momentálne prihlásený"
	},
	action: {
		failed: "Akciu sa nepodarilo vykonať",
		deactivated: "Zastupovanie bolo úspešne deaktivované"
	}
};
var session$1 = {
	expireTitle: "Platnosť Vašej relácie čoskoro vyprší",
	expireDetail: "Vaša relácia čoskoro vyprší.\n\nBudete odhlásený za {{time}} sekúnd.",
	exitButton: "Odhlásiť sa",
	refreshButton: "Zostaň pripojený"
};
var paginator$1 = {
	firstPage: "Prvá strana",
	itemsPage: "Položky na stranu:",
	lastPage: "Posledná strana",
	nextPage: "Ďalšia strana",
	previousPage: "Predchádzajúca strana",
	pageOne: "Strana 1 z 1",
	pageAmount: "Strana {{page}} z {{amountPages}}"
};
var sk = {
	toolbar: toolbar$1,
	tasks: tasks$1,
	"side-menu": {
	"filter-selector": {
		"choose-filter": "Zvoľte filter",
		"search-filter": "Vyhľadať filter",
		"case-filters": "Filtre prípadov",
		"task-filters": "Filtre úloh",
		select: "Zvoliť"
	},
	"files-upload": {
		upload: "Nahrať súbory",
		send: "Odoslať"
	},
	"import-net": {
		upload: "Nahrať model",
		choose: "Vyberte súbor s procesom",
		done: "Dokončiť"
	},
	"new-case": {
		"case": "Nový prípad",
		choose: "Vyberte proces",
		caseTitle: "Vyplňte názov prípadu",
		color: "Vyberte farbu prípadu",
		back: "Späť",
		next: "Ďalej",
		reset: "Zrušiť",
		create: "Vytvoriť",
		selection: "Musíte niečo vybrať",
		errFirst: "Proces je povinné pole.",
		errSecond: "Názov je povinné pole.",
		errThird: "Farba je povinné pole.",
		noNets: "Žiadne povolené siete",
		createCase: "Úspešne vytvorený nový prípad",
		defaultCaseName: "s prednastaveným názvom prípadu",
		errorCreate: "Chyba pri vytváraní prípadu ",
		createCaseError: "Nový prípad vytvorený, nastala však chyba pri vykonávaní akcií"
	},
	user: {
		assign: "Priradiť používateľa",
		choose: "Zvoľte používateľa",
		noUser: "Neexistujú žiadni používatelia",
		err: "Nepodarilo sa načítať používateľov",
		showcase: "Nebol zvolený mód zobrazenia používateľa!"
	},
	ldapGroup: {
		choose: "Vyhladajte Ldap skupinu",
		noUser: "Neexistuje žiadna Ldap skupina",
		err: "Nepodarilo sa načítať Ldap skupiny"
	},
	tooltip: {
		SelectAll: "Označiť všetko",
		DeselectAll: "Odznačit všetko"
	},
	"option-selector": {
		select: "Zvoliť",
		"choose-one-option": "Vyberte jednu z možností"
	},
	impersonation: {
		title: "Zastúpenie používateľa",
		submit: "Zastúpiť",
		cease: "Zrušiť zastúpenie",
		impersonating: "v zastúpení"
	}
},
	search: search$1,
	dataField: dataField$1,
	dialog: dialog$1,
	forms: forms$1,
	headers: headers$1,
	panel: panel$1,
	profile: profile$1,
	"view-list": {
	noCasesSatisfyingThisFilter: "Pre zvolený filter nevyhovujú žiadne prípady",
	noProcessesSatisfyingThisFilter: "Pre zvolený filter nevyhovujú žiadne procesy"
},
	admin: admin$1,
	preferences: preferences$1,
	caseTree: caseTree$1,
	dashboard: dashboard$1,
	workflow: workflow$1,
	legal: legal$1,
	publicView: publicView$1,
	dynamicNavigation: dynamicNavigation$1,
	impersonation: impersonation$1,
	session: session$1,
	paginator: paginator$1
};

var toolbar = {
	menu: {
		lang: "Sprache",
		profile: "Benutzerprofil",
		logout: "Abmelden",
		en: "English",
		sk: "Slowakisch",
		de: "Deutsch",
		open: "Menü öffnen",
		home: "Startseite",
		back: "Zurück",
		folders: "Mappen",
		views: "Blidschirme"
	}
};
var tasks = {
	snackbar: {
		noTasksFound: "Keine Aufgaben gefunden",
		failedToLoad: "Beim laden der Aufgaben ist eine Fehler aufgetreten",
		noData: "Diese Aufgabe hat keine Daten",
		noGroup: "Diese Aufgabe hat keine Datengruppe",
		dataSaved: "Daten erfolgreich gespeichert",
		failedSave: "Beim speichern der Daten ist eine Fehler aufgetreten",
		assignTask: "Beim zuweisen der Aufgabe",
		assignTaskSuccess: "Aufgabe erfolgreich zugewiesen",
		delegateTask: "Beim delegieren der Aufgabe",
		delegateTaskSuccess: "Aufgabe erfolgreich delegiert",
		failed: "ist eine Fehler aufgetreten",
		cancelTask: "Aufgabenzuweisung wird abgebrochen",
		cancelTaskSuccess: "Aufgabe erfolgreich abgebrochen",
		finishTask: "Aufgabe wird abgeschlossen",
		finishTaskSuccess: "Aufgabe erfolgreich abgeschlossen",
		invalidData: "Manche Felder haben ungültige Werten",
		missingRequired: "Einige Pflichtfelder sind leer",
		noCase: "Keine Fälle gefunden",
		caseGetFailed: "Beim laden der Fälle ist eine Fehler aufgetreten",
		noLongerExists: "Die ausgewählte Aufgabe existiert nicht mehr",
		caseDeleteFailed: "Fall konnte nicht gelöscht werden",
		caseDeleteSuccess: "Fall erfolgreich gelöscht",
		rolesSuccessAssign: "Rollen, die ausgewählten Benutzern erfolgreich zugewiesen wurden"
	},
	view: {
		noTasksSatisfyingThisFilter: "Es gibt keine Aufgaben, die den ausgewählten Filter erfüllen",
		collapse: "Schrumpfen",
		assign: "Zuweisen",
		reassign: "Neu zuweisen",
		delegate: "Delegieren",
		finish: "Abschließen",
		cancel: "Stornieren",
		noData: "Diese Aufgabe hat keine Dateien. Schließen Sie die Aufgabe ab, um fortzufahren.",
		redirecting: "Umleiten..."
	},
	footer: {
		defaultText: "NETGRIF, s.r.o. © 2022"
	}
};
var search = {
	category: {
		"case": {
			title: {
				name: "Fallname",
				placeholder: "Geben Sie den Fallnamen ein"
			},
			visualId: {
				name: "Visuelle ID",
				placeholder: "Geben Sie die visuelle ID ein"
			},
			stringId: {
				name: "Fall ID",
				placeholder: "Geben Sie die Fall ID ein"
			},
			author: {
				name: "Fallautor/in",
				placeholder: "Geben Sie den Namen, oder das E-Mail des/er Fallautors/in ein"
			},
			process: {
				name: "Prozess",
				placeholder: "Wählen Sie den Prozess aus"
			},
			role: {
				name: "Prozessrolle",
				placeholder: "Wählen Sie die Prozessrolle aus"
			},
			task: {
				name: "Fallaufgabe",
				placeholder: "Wählen Sie die Fallaufgabe aus"
			},
			creationDate: {
				name: "Erstellungsdatum",
				placeholder: "Geben Sie das Erstellungsdatum ein"
			},
			creationDateTime: {
				name: "Erstellungsdatum und Uhrzeit",
				placeholder: "Geben Sie das Erstellungsdatum und die Uhrzeit ein"
			},
			dataset: {
				name: "Falldatei",
				placeholder: {
					field: "Wählen Sie das Datenfeld aus",
					value: "Geben Sie den Wert des Datenfeldes ein"
				}
			}
		},
		task: {
			assignee: {
				name: "Zugewiesener/in",
				placeholder: "Wählen Sie den/ie Zugewiesener/in aus"
			},
			process: {
				name: "Prozess",
				placeholder: "Wählen Sie den Prozess aus"
			},
			role: {
				name: "Aufgabenprocessrolle",
				placeholder: "Wählen Sie die Prozessrolle der Aufgabe aus"
			},
			task: {
				name: "Aufgabe",
				placeholder: "Wählen Sie die Aufgabe aus"
			}
		},
		select: "Suchkategorie",
		userMe: "ICH"
	},
	operator: {
		name: "Operator",
		substring: "enthält Teilzeichenfolge",
		inRange: {
			from: "von",
			to: "bis"
		},
		equals: "ist genau",
		notEquals: "unterscheidet sich von",
		moreThan: "ist größer als",
		lessThan: "ist kleiner als",
		lessThanEqual: "ist kleiner oder gleich als",
		moreThanEqual: "ist größer oder gleich als",
		like: "ist ähnlich wie",
		isNull: "ist leer"
	},
	tooltip: {
		toAdvanced: "Wechseln zum erweiterten Suchmodus",
		toFullText: "Wechseln zum einfachen Suchmodus",
		help: "Hilfe",
		save: "Filter speichern",
		load: "Filter laden"
	},
	help: {
		title: "Hilfe für den erweiterten Suchmodus",
		text: "Man kann den erweiterten Suchmodus verwenden, um komplexere Suchanfragen zu erstellen. Beginnen Sie mit der Auswahl einer Suchkategorie. Die Suchkategorie definiert, wonach Sie suchen. Manche Suchkategorien benötigen zusätzliche Konfiguration (z.B. die Falldatei Suchkategorie). Nachdem Sie die Suchkategorie auswählen, mussen Sie den Operator auswählen. Der Operator stellt fest, wie die Daten mit der Suchanfrage übereinstimmen müssen. Mit verschiedenen Operatoren kann man nach einer genauen Übereinstimmung oder nach Werten aus einem Bereich suchen. Nach der Operatorasuwahl muss man das gesuchte Wert eingeben. Die Suchanfragen können mit den Stichwörtern UND oder ODER verbunden werden. Das ODER Stichwort findet Einträge, die mindestens eines der kombinierten Suchanfragen erfühlen. Das UND Stichwort findet Einträge, die alle der kombinierten Suchanfragen, erfühlen."
	},
	fullText: "Geben Sie den gesuchten Text ein",
	and: "und",
	or: "oder"
};
var dataField = {
	validations: {
		required: "Dieses Feld ist ein Pflichtfeld!",
		requiredTrue: "Der eingegebene Wert muss wahr sein",
		odd: "Die eingegebene Nummer muss ungerade sein",
		even: "Die eingegebene Nummer muss gerade sein",
		positive: "Die eingegebene Nummer muss positiv sein",
		negative: "Die eingegebene Nummer muss negativ sein",
		decimal: "Die eingegebene Nummer muss ein Dezimalzahl sein",
		inrange: "Die eingegebene Nummer muss aus dem gegebenen Nummernbereich {{range}} sein",
		minLength: "Der eingegebene Text muss länger als {{length}} Zeichen sein",
		maxLength: "Der eingegebene Text muss kurzer als {{length}} Zeichen sein",
		pattern: "Der eingegebene Text ist nicht im richtigen Format",
		phone: "Der eingegebene Text muss ein Telefonnummer sein",
		email: "Der eingegebene Text muss ein E-Mail sein",
		dateRange: "Das eingegebene Datum muss zwischen {{left}} und {{right}} liegen",
		datePast: "Das eingegebene Datum muss bis {{right}} sein",
		dateFuture: "Das eingegebene Datum muss ab {{left}} sein",
		weekend: "Das eingegebene Datum muss das Wochenende sein",
		workday: "Das eingegebene Datum muss ein Wochentag sein",
		enumeration: "Eine von der angebotenen Optionen muss ausgewählt sein",
		min: "Die eingegebene Nummer muss größer als {{length}} sein",
		translationRequired: "Übersetzung für Sprachen: <{{translation}}> muss eingegeben werden",
		translationOnly: "Nur die Übersetzung für Sprachen: <{{translation}}> ist erlaubt",
		requiredI18n: "Es muss mindestens ein Wert eingegeben werden",
		requiredUserList: "Es muss mindestens ein Wert eingegeben werden"
	},
	snackBar: {
		downloadFail: " könnte nicht heruntergeladen werden",
		moreFiles: "Sie haven zu viel Dateien ausgewählt",
		sameFiles: "Sie können nicht dieselbe Datei zweimal hochladen",
		fileSize: "Die Dateigröße hat das zulässige Limit überschritten",
		wontUploadSameFile: "The file already exists. If you want to update the file, please renamed it",
		wontUploadSameFiles: "Die ausgewählten Dateien wurden bereits hochgeladen. Löschen Sie zum Aktualisieren von Dateien bereits hochgeladene Dateien",
		fileUploadFailed: "The file failed to upload",
		fileDeleteFailed: "Die Datei konnte nicht gelöscht werden",
		maxFilesExceeded: "Die maximale Anzahl hochladbarer Dateien ist überschritten: ",
		maxFilesSizeExceeded: "Die maximale Größe der hochgeladenen Dateien wird überschritten: ",
		notSelectedUser: "Es wurde kein Benutzer ausgewählt",
		userAssigned: "Benutzer {{userName}} wurde zugewiesen",
		userListAssigned: "Ausgewählte Benutzer {{userNames}} wurden zugewiesen"
	},
	values: {
		boolean: {
			"true": "ja",
			"false": "nein"
		}
	},
	clear: "Klar",
	save: "Speichern",
	noFile: "keine Datei",
	file: {
		noFile: "keine Datei",
		clickToUpload: "Klicken Sie, um eine Datei hochzuladen",
		clickToDownload: "Klicken Sie, um {{fileName}} herunterzuladen",
		clickToOpen: "Klicken Sie hier, um den Dateiinhalt anzuzeigen",
		clickToDelete: "Klicken Sie, um die Datei zu löschen",
		notAllowed: "Datei {{fileName}} kann nicht hochgeladen werden. Der Datentyp ist nicht zulässig."
	},
	i18n: {
		languageSelect: "Sprache auswählen",
		deleteTranslation: "Übersetzung löschen",
		showTranslations: "Übersetzungen anzeigen",
		hideTranslations: "Übersetzungen ausblenden"
	},
	dynamicEnum: {
		noData: "Keine Einträge entsprechen Ihrer Suchanfrage"
	},
	"enum": {
		reset: "Rücksetzen"
	},
	user: {
		selectUser: "Benutzer auswählen",
		deleteUser: "Benutzer löschen",
		save: "Zuweisen",
		deleteAll: "Leere Benutzerliste"
	},
	textarea: {
		insertText: "Hier Text eingeben..."
	}
};
var dialog = {
	close: "Schließen",
	submit: "Bestätigen"
};
var forms = {
	email: {
		enterEmail: "Ihre E-Mail Adresse eingeben"
	},
	login: {
		length: "Das Benutzername muss mindestens 4 Zeichen enthalten",
		login: "Benutzername",
		wrongCredentials: "Falsche Anmeldeinformationen!",
		loginButton: "Anmelden",
		reset: "Kennwort wiederherstellen",
		sign: "Registrieren",
		enterPass: "Ihre Kennwort eingeben"
	},
	changePassword: {
		oldPassword: "Geben Sie Ihr altes Kennwort ein",
		enterNewPass: "Geben Sie Ihr neues Kennwort ein",
		repeatNewPass: "Wiederholen Sie Ihr neues Kennwort",
		changePass: "Kennwort ändern"
	},
	register: {
		email: "Ihre E-Mail Adresse",
		name: "Vorname",
		surname: "Nachname",
		repeatPass: "Kennwort viederhollen",
		register: "Registrieren",
		notVerified: "Token kann nicht verifiziert werden!",
		passwordsMustMatch: "Die Kennwörter müssen übereinstimmen!"
	},
	forgottenPass: {
		enterNewPass: "Ihre neues Kennwort eingeben",
		repeatNewPass: "Neues Kennwort viederhollen",
		recover: "Kennwort ändern"
	}
};
var headers = {
	newHeader: "Kopfzeile auswählen",
	date: "Datum auswählen",
	dateTime: "Datum und Uhrzeit asuwählen",
	selectUser: "Benutzer auswählen",
	caseMeta: {
		mongoID: "Fall ID",
		visualID: "Visuelle ID",
		title: "Fallname",
		author: "Fallautor",
		creationDate: "Erstellungsdatum"
	},
	taskMeta: {
		"case": "Fall",
		caseID: "Fall ID",
		taskID: "Aufgabe ID",
		priority: "Priorität",
		user: "Zugewiesener/in",
		assignDate: "Zugewieserungsdatum"
	},
	workflowMeta: {
		initials: "Initialen",
		version: "Version",
		netId: "Prozess ID",
		creationDate: "Hochladungsdatum",
		title: "Prozessname",
		author: "Prozessautor"
	},
	orderMode: "Anordnungsmodus",
	searchMode: "Suchmodus",
	editMode: "Editationsmodus einschalten",
	overflowMode: "Tabellenmodus",
	columnWidth: "Spaltenbreite",
	columnCount: "Spaltenanzahl"
};
var panel = {
	"case": {
		"delete": "Löschen"
	},
	workflow: {
		net: "Netzidentifikator",
		title: "Netzname",
		version: "Version",
		author: "Netzauthor",
		upload: "Hochladungsdatum"
	}
};
var profile = {
	notLogged: "Sie sind nicht angemeldet!",
	general: "Allgemeine Informationen",
	personal: "Persönliche Informationen",
	name: "Vorname",
	surname: "Nachname",
	authority: "Berechtigungen",
	roles: "Rollen",
	groups: "Gruppen",
	preference: "Persönliche Einstellungen",
	caseHead: "Fall Kopfzeilen",
	caseFilter: "Fall Filter",
	taskHead: "Aufgabe Kopfzeilen",
	taskFilter: "Aufgabe Filter",
	workHead: "Workflow Kopfzeilen",
	workFilter: "Workflow Filter"
};
var admin = {
	"user-list": {
		noUsersWereFound: "Derzeit befinden sich keine Benutzer im System",
		listTitle: "Benutzer"
	},
	"ldapGroup-list": {
		noLdapGroupsWereFound: "Keine LDAP Gruppe wurde gefunden",
		listTitle: "LDAP Gruppen",
		count: "Anzahl der Gruppen"
	},
	"process-list": {
		newestVersion: "Neuste Version",
		listTitle: "Prozesse",
		roles: "Rollen",
		noRoles: "Dieser Prozess enthält keine Rollen",
		noProcessesWereFound: "Derzeit befinden sich keine Prozesse im System"
	},
	"user-invite": {
		newUser: "Neuer Benutzer",
		orgs: "Organisationen",
		selectedOrgs: "Ausgewählte Organisationen",
		selectedRoles: "Ausgewählte Rollen",
		mail: "E-Mail eingeben",
		noSelectedOrgs: "Diesem Benutzer ist noch keine Organisation zugewiesen!",
		noSelectedRoles: "Diesem Benutzer ist noch keine Rolle zugewiesen!",
		noOrgs: "Derzeit sind keine Gruppen verfügbar!",
		version: "Version",
		emailFieldMandatory: "E-Mail-Feld ist obligatorisch",
		oneOrMoreOrganization: "Neuer Benutzer muss zu einer oder mehreren Gruppen gehören",
		inviteSent: "Einladung gesendet",
		inviteFailed: "Einladung fehlgeschlagen",
		"invite-user": "BENUTZER EINLADEN"
	}
};
var preferences = {
	snackbar: {
		saveSuccess: "Benutzereinstellungen wurden gespeichert",
		saveFailure: "Benutzereinstellungen können nicht gespeichert werden"
	}
};
var caseTree = {
	newNodeDefaultName: "Neuer Knoten",
	noTaskSelected: "Momentan ist keiner Fall ausgewählt. Klicken Sie einen Knoten in dem Baum an, um einen Fall auszuwählen."
};
var dashboard = {
	cases: "Fälle"
};
var workflow = {
	"delete": "löschen",
	download: "herunterladen",
	dialog: {
		header: "Sind Sie sicher, dass Sie den Prozess '{{name}}' mit Version '{{version}}' löschen wollen?",
		content: "Alle Fälle aus diesem Prozess werden gleichzeitig gelöscht!",
		typeToConfirm: "Geben Sie zur Bestätigung {{delete}} ein"
	},
	snackBar: {
		deleteCanceled: "Prozess löschen abgebrochen",
		deleteSuccess: "Prozess erfolgreich gelöscht",
		deleteInProgress: "Der ausgewählte Prozess wird jetzt gelöscht",
		deleteError: "Prozess konnte nicht gelöscht werden",
		uploadFailed: "Prozessdatei konnte nicht hochgeladen werden.",
		uploadSuccess: "Prozessdatei erfolgreich hochgeladen"
	}
};
var legal = {
	byClicking: "Indem Sie auf '{{buttonName}}' klicken,",
	youIndicate: "bestätigen Sie, dass Sie die",
	termsOfService: "Nutzungsbedingungen",
	and: "und die",
	privacyNotice: "Datenschutzerklärung",
	sentenceEnd: "gelesen und akzeptiert haben"
};
var publicView = {
	resolving: "Die öffentliche Ansicht wird geladen ...",
	netNotExist: "Der Prozess existiert nicht",
	errorCreate: "Fehler beim Erstellen des Falles "
};
var dynamicNavigation = {
	couldNotResolveView: "Ein Fehler ist aufgetreten während des Ansichtauflösungsprocess. Der Ansicht kann nicht angezeigt werden",
	filterNotFound: "Diese Ansicht hat keinen Filter",
	loadMoreItems: "Mehr",
	ascending: "Aufsteigend",
	descending: "Absteigend"
};
var impersonation = {
	user: {
		successfullyRepresented: "Benutzer wird jetzt vertreten",
		currentlyAlreadyRepresented: "Für den Benutzer existiert bereits eine Vertretung",
		currentlyLogged: "Benutzer ist bereits angemeldet"
	},
	action: {
		failed: "Aktion ist fehlgeschlagen",
		deactivated: "Vertretung wurde erfolgreich deaktiviert"
	}
};
var session = {
	expireTitle: "Ihre Sitzung läuft bald ab",
	expireDetail: "Ihre Sitzung läuft bald ab.\n\nSie werden in {{time}} Sekunden weitergeleitet",
	exitButton: "Abmelden",
	refreshButton: "Angemeldet bleiben"
};
var paginator = {
	firstPage: "Vorderseite",
	itemsPage: "Elemente pro Seite:",
	lastPage: "Letzte Seite",
	nextPage: "Nächste Seite",
	previousPage: "Vorherige Seite",
	pageOne: "Seite 1 von 1",
	pageAmount: "Seite {{page}} von {{amountPages}}"
};
var de = {
	toolbar: toolbar,
	tasks: tasks,
	"side-menu": {
	"filter-selector": {
		"choose-filter": "Wählen Sie einen Filter aus",
		"search-filter": "Filter durchsuchen",
		"case-filters": "Fallfilter",
		"task-filters": "Aufgabenfilter",
		select: "Auswählen"
	},
	"files-upload": {
		upload: "Datei hochladen",
		send: "Absenden"
	},
	"import-net": {
		upload: "Model hochladen",
		choose: "Prozessdatei auswählen",
		done: "Bestätigen"
	},
	"new-case": {
		"case": "Neuen Fall erstellen",
		choose: "Wählen Sie einen Prozess aus",
		caseTitle: "Geben Sie den Fallnamen ein",
		color: "Wählen Sie die Fallfarbe aus",
		back: "Zurück",
		next: "Weiter",
		reset: "Alles löschen",
		create: "Fall erstellen",
		selection: "Sie müssen einen Wert auswählen",
		errFirst: "Sie müssen einen Prozess auswählen.",
		errSecond: "Sie müssen einen Namen eingeben.",
		errThird: "Sie müssen eine Farbe auswählen.",
		noNets: "Es gibt keine erlaubte Netze",
		createCase: "Neuen Fall würde erfolgreich erzeugt",
		defaultCaseName: "mit einem Standardfallnamen",
		errorCreate: "Fehler beim Erstellen des Falles ",
		createCaseError: "Neuer Fall wurde erstellt, aber beim Ausführen von Aktionen ist ein Fehler aufgetreten"
	},
	user: {
		assign: "Benutzer zuweisen",
		choose: "Benutzer auswählen",
		noUser: "Es gibt keine Benutzer",
		err: "Beim laden der Benutzer ist eine Fehler aufgetreten",
		showcase: "Die Benutzeransicht ist nicht gesetzt!"
	},
	ldapGroup: {
		choose: "LDAP-Gruppe suchen",
		noUser: "LDAP-Gruppe nicht gefunden",
		err: "LDAP-Gruppe konnte nicht geladen werden"
	},
	tooltip: {
		SelectAll: "Alle auswählen",
		DeselectAll: "Alle abwählen"
	},
	"option-selector": {
		select: "Auswählen",
		"choose-one-option": "Wählen Sie eine Option aus"
	},
	impersonation: {
		title: "Benutzer vertreten",
		submit: "Vertreten",
		cease: "Vertretung abbrechen",
		impersonating: "in Vertretung als"
	}
},
	search: search,
	dataField: dataField,
	dialog: dialog,
	forms: forms,
	headers: headers,
	panel: panel,
	profile: profile,
	"view-list": {
	noCasesSatisfyingThisFilter: "Es gibt keine Fälle, die den ausgewählten Filter erfüllen",
	noProcessesSatisfyingThisFilter: "Es gibt keine Prozesse, die den ausgewählten Filter erfüllen"
},
	admin: admin,
	preferences: preferences,
	caseTree: caseTree,
	dashboard: dashboard,
	workflow: workflow,
	legal: legal,
	publicView: publicView,
	dynamicNavigation: dynamicNavigation,
	impersonation: impersonation,
	session: session,
	paginator: paginator
};

/**
 * The user object that is used by the frontend in its logic.
 */
class User {
    id;
    username;
    email;
    realmId;
    firstName;
    lastName;
    authorities;
    roles;
    groups;
    nextGroups;
    impersonated;
    constructor(id, username, email, realmId, firstName, lastName, authorities, roles, groups, nextGroups, impersonated) {
        this.id = id;
        this.username = username;
        this.email = email;
        this.realmId = realmId;
        this.firstName = firstName;
        this.lastName = lastName;
        this.authorities = authorities;
        this.roles = roles;
        this.groups = groups;
        this.nextGroups = nextGroups;
        this.impersonated = impersonated;
    }
    get fullName() {
        return this.firstName + ' ' + this.lastName;
    }
    /**
     * Synonym for `firstName`.
     */
    get name() {
        return this.firstName;
    }
    /**
     * Synonym for `lastName`.
     */
    get surname() {
        return this.lastName;
    }
    /**
     * @returns `true` if the User object represents an empty user, `false` otherwise.
     */
    isEmpty() {
        return this.id === '';
    }
    /**
     * @returns self if no impersonated user is present, or impersonated user otherwise
     */
    getSelfOrImpersonated() {
        return this.isImpersonating() ? this.impersonated : this;
    }
    /**
     * @returns true if user is impersonating another user
     */
    isImpersonating() {
        return !!this.impersonated;
    }
}

class AuthenticationMethodService {
    constructor() {
    }
}

class NullStorage {
    length;
    clear() {
    }
    getItem(key) {
        return null;
    }
    key(index) {
        return null;
    }
    removeItem(key) {
    }
    setItem(key, value) {
    }
}

class LoadingEmitter extends BehaviorSubject {
    constructor(initial = false) {
        super(initial);
    }
    get isActive() {
        return this.getValue();
    }
    on() {
        this.next(true);
    }
    off() {
        this.next(false);
    }
    toggle() {
        this.next(!this.getValue());
    }
}

class SessionIdleTimerService {
    _config;
    static DEFAULT_SESSION_TIMEOUTTIME = 900;
    _enableService;
    _timeoutSeconds;
    _count = 0;
    timerSubscription;
    timer = interval(1000);
    _remainSeconds = new ReplaySubject(1);
    remainSeconds$ = this._remainSeconds.asObservable();
    constructor(_config) {
        this._config = _config;
        this._enableService = this._config.getConfigurationSubtreeByPath('providers.auth.sessionTimeoutEnabled') ?? false;
        this._timeoutSeconds = this._config.getConfigurationSubtreeByPath('providers.auth.sessionTimeout') ?? SessionIdleTimerService.DEFAULT_SESSION_TIMEOUTTIME;
    }
    startTimer() {
        if (this._enableService) {
            this.stopTimer();
            this._count = this._timeoutSeconds;
            this.timerSubscription = this.timer.subscribe(n => {
                if (this._count > 0) {
                    this._remainSeconds.next(this._count);
                    this._count--;
                }
                else if (this._count == 0) {
                    this._remainSeconds.next(this._count);
                    this.stopTimer();
                }
            });
        }
    }
    stopTimer() {
        if (this.timerSubscription) {
            this.timerSubscription.unsubscribe();
        }
    }
    resetTimer() {
        this.startTimer();
    }
    ngOnDestroy() {
        if (this._enableService) {
            this.timerSubscription.unsubscribe();
            this._remainSeconds.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionIdleTimerService, deps: [{ token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionIdleTimerService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionIdleTimerService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }] });

class SessionService {
    _config;
    _log;
    _http;
    idleTimerService;
    static SESSION_TOKEN_STORAGE_KEY = 'naet';
    static SESSION_BEARER_HEADER_DEFAULT = 'X-Auth-Token';
    _session$;
    _storage;
    _sessionHeader;
    _verified;
    _verifying;
    _initialized;
    constructor(_config, _log, _http, idleTimerService) {
        this._config = _config;
        this._log = _log;
        this._http = _http;
        this.idleTimerService = idleTimerService;
        this._storage = this.resolveStorage(this._config.get().providers.auth['sessionStore']);
        this._sessionHeader = this._config.get().providers.auth.sessionBearer ?
            this._config.get().providers.auth.sessionBearer : SessionService.SESSION_BEARER_HEADER_DEFAULT;
        this._session$ = new BehaviorSubject(null);
        this._verified = false;
        this.idleTimerService.stopTimer();
        this._verifying = new LoadingEmitter();
        this._initialized = new LoadingEmitter(false);
        setTimeout(() => {
            this.load();
        });
    }
    ngOnDestroy() {
        this._session$.complete();
        this._verifying.complete();
    }
    get session$() {
        return this._session$.asObservable();
    }
    set sessionToken(sessionToken) {
        this._session$.next(sessionToken);
        this._storage.setItem(SessionService.SESSION_TOKEN_STORAGE_KEY, btoa(SessionService.SESSION_TOKEN_STORAGE_KEY + ':' + sessionToken));
    }
    get sessionToken() {
        return this._session$.getValue();
    }
    get sessionHeader() {
        return this._sessionHeader;
    }
    get verified() {
        return this._verified;
    }
    get verifying() {
        return this._verifying.asObservable();
    }
    get isVerifying() {
        return this._verifying.isActive;
    }
    get isInitialized() {
        return this._initialized.isActive;
    }
    get initializing() {
        return this._initialized.asObservable();
    }
    setVerifiedToken(sessionToken) {
        this._log.warn('Session token without explicit verification was set');
        this.idleTimerService.resetTimer();
        this._verified = true;
        this.sessionToken = sessionToken;
    }
    clear() {
        this.idleTimerService.stopTimer();
        this._verified = false;
        this.sessionToken = '';
        this._storage.removeItem(SessionService.SESSION_TOKEN_STORAGE_KEY);
    }
    verify(token) {
        this._verifying.on();
        token = !!token ? token : this.sessionToken;
        const authConfig = this._config.get().providers.auth;
        let url = authConfig.address;
        url += authConfig.endpoints && authConfig.endpoints['verification'] ? authConfig.endpoints['verification'] :
            (authConfig.endpoints && authConfig.endpoints['login'] ? authConfig.endpoints['login'] : '');
        if (!url || url === authConfig.address) {
            this.clear();
            this._verifying.off();
            this._initialized.on();
            return throwError(new Error('Cannot verify session token. ' +
                'Login URL is not defined in the config [nae.providers.auth.endpoints.login].'));
        }
        else {
            return this._http.get(url, {
                headers: new HttpHeaders().set(this._sessionHeader, token),
                observe: 'response'
            }).pipe(catchError(error => {
                if (error instanceof HttpErrorResponse && error.status === 401) {
                    this._log.warn('Authentication token is invalid. Clearing session token');
                    this.clear();
                }
                this._verifying.off();
                this.idleTimerService.stopTimer();
                this._initialized.on();
                return throwError(error);
            }), map(response => {
                this._log.debug(response.body.success);
                this._verified = true;
                this.idleTimerService.resetTimer();
                this._initialized.on();
                this.sessionToken = token;
                return true;
            }), tap(_ => this._verifying.off()));
        }
    }
    load() {
        let token = this._storage.getItem(SessionService.SESSION_TOKEN_STORAGE_KEY);
        this._verified = false;
        this.idleTimerService.stopTimer();
        if (token) {
            token = this.resolveToken(token);
            this.sessionToken = token;
            this.verify(token).pipe(take(1)).subscribe(ver => {
                this._log.debug('Token ' + token + ' verified status: ' + ver);
            });
        }
        else {
            this._initialized.on();
        }
        return '';
    }
    resolveToken(raw) {
        return raw ? atob(raw).split(':')[1] : '';
    }
    resolveStorage(storage) {
        switch (storage) {
            case 'local':
                return localStorage;
            case 'session':
                return sessionStorage;
            case 'null':
                return new NullStorage();
            default:
                return localStorage;
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionService, deps: [{ token: ConfigurationService }, { token: LoggerService }, { token: i1.HttpClient }, { token: SessionIdleTimerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SessionService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: LoggerService }, { type: i1.HttpClient }, { type: SessionIdleTimerService }] });

class UserTransformer {
    transformAuthorities(authorities) {
        return !authorities ? [] : authorities.map(a => a.authority);
    }
    transform(user) {
        const groups = []; // TODO groups parsing
        return new User(user.id, user.username, user.email, user.realmId, user.name, user.surname, this.transformAuthorities(user.authorities), user.processRoles, groups, user.nextGroups, user.impersonated ? this.transform(user.impersonated) : undefined);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserTransformer, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserTransformer, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserTransformer, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class AuthenticationService {
    _auth;
    _config;
    _sessionService;
    _userTransformer;
    static IDENTIFICATION_ATTRIBUTE = 'id';
    _authenticated$;
    subSession;
    constructor(_auth, _config, _sessionService, _userTransformer) {
        this._auth = _auth;
        this._config = _config;
        this._sessionService = _sessionService;
        this._userTransformer = _userTransformer;
        this._authenticated$ = new BehaviorSubject(false);
        this.subSession = this._sessionService.session$.subscribe(token => {
            this._authenticated$.next(!!token && token.length !== 0 && this._sessionService.verified);
        });
    }
    login(credentials) {
        return this._auth.login(credentials).pipe(tap((user) => {
            this._authenticated$.next(!!user[AuthenticationService.IDENTIFICATION_ATTRIBUTE]);
        }), map((user) => this._userTransformer.transform(user)), catchError(error => {
            console.error(error);
            return of(null);
        }));
    }
    logout() {
        return this._auth.logout().pipe(tap(() => {
            this._authenticated$.next(false);
            this._sessionService.clear();
        }), catchError(error => {
            console.error(error);
            return of(error);
        }));
    }
    get isAuthenticated() {
        return this._authenticated$.getValue();
    }
    get authenticated$() {
        return this._authenticated$.asObservable();
    }
    ngOnDestroy() {
        this.subSession.unsubscribe();
        this._authenticated$.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationService, deps: [{ token: AuthenticationMethodService }, { token: ConfigurationService }, { token: SessionService }, { token: UserTransformer }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: AuthenticationMethodService }, { type: ConfigurationService }, { type: SessionService }, { type: UserTransformer }] });

/**
 * Constants for pagination configuration of HTTP requests.
 */
var PaginationParams;
(function (PaginationParams) {
    /**
     * Size of page - maximal number of elements per page.
     */
    PaginationParams["PAGE_SIZE"] = "size";
    /**
     * Requested page index. 0 based.
     */
    PaginationParams["PAGE_NUMBER"] = "page";
    /**
     * Sort configuration of the requested page. Use the {@link createSortParam} function to generate the value for this attribute.
     */
    PaginationParams["PAGE_SORT"] = "sort";
})(PaginationParams || (PaginationParams = {}));

/**
 * The class that contains behavior common to all resource services.
 *
 * Mostly endpoint URL resolution and utility functions for response parsing.
 */
class AbstractResourceService {
    _resourceProvider;
    _configService;
    _SERVER_URL;
    /**
     * @param resourceName the identifier of the desired endpoint from configuration, found in
     * {@link SetAuthAndResourcesAddress}.[resources]{@link Resources}.
     * @param _resourceProvider `ResourceProvider` instance
     * @param _configService `ConfigurationService` instance
     */
    constructor(resourceName, _resourceProvider, _configService) {
        this._resourceProvider = _resourceProvider;
        this._configService = _configService;
        this._SERVER_URL = this.getResourceAddress(resourceName);
    }
    get SERVER_URL() {
        return this._SERVER_URL;
    }
    /**
     * Get URL form nae.json - resources
     * @param name - ID property
     */
    getResourceAddress(name) {
        let URL = '';
        const resourcesArray = this._configService.getConfigurationSubtree(['providers', 'resources']);
        if (resourcesArray instanceof Array) {
            resourcesArray.forEach(resource => {
                if (resource.name === name) {
                    URL = resource.address;
                }
            });
        }
        else {
            if (resourcesArray.name === name) {
                URL = resourcesArray.address;
            }
        }
        return URL;
    }
    /**
     * Parses a response `r` into a {@link Page} instance
     * @param r - response object
     * @param propertiesParams - plural form of the resource name, that is used to extract the data. Eg. "cases".
     */
    getResourcePage(r, propertiesParams) {
        if (!r) {
            return r;
        }
        const defaultPage = {
            number: -1,
            size: 0,
            totalPages: 0,
            totalElements: 0
        };
        return {
            content: this.changeType(r, propertiesParams),
            pagination: r.hasOwnProperty(PaginationParams.PAGE_NUMBER) ? r.page : defaultPage
        };
    }
    /**
     * Extracts data from the response `r` into an object with better usability.
     * @param r - response object
     * @param propertiesParams - plural form of the resource name, that is used to extract the data. Eg. "cases".
     */
    changeType(r, propertiesParams) {
        if (!r) {
            return r;
        }
        if (r.hasOwnProperty('_embedded')) {
            return propertiesParams && r._embedded.hasOwnProperty(propertiesParams) ? r._embedded[propertiesParams] : r._embedded;
        }
        else {
            return r;
        }
    }
    /**
     * Converts a Spring-style paginated response into the application's Page<T> format.
     * @param response The raw response from backend (Spring `PageImpl` structure).
     * @returns Converted Page<T> object.
     */
    mapToPage(response) {
        if (!response || !response.content) {
            return {
                content: [],
                pagination: {
                    size: 0,
                    totalElements: 0,
                    totalPages: 0,
                    number: 0
                }
            };
        }
        return {
            content: response.content,
            pagination: {
                size: response.size,
                totalElements: response.totalElements,
                totalPages: response.totalPages,
                number: response.number
            }
        };
    }
}

var ProgressType;
(function (ProgressType) {
    ProgressType["UPLOAD"] = "upload";
    ProgressType["DOWNLOAD"] = "download";
})(ProgressType || (ProgressType = {}));
class AbstractResourceProvider {
    httpClient;
    constructor(httpClient) {
        this.httpClient = httpClient;
    }
    static addLastSlash(link) {
        if (link.length > 0) {
            return link.charAt(link.length - 1) === '/' ? link : link + '/';
        }
        else {
            throw Error('No define api url');
        }
    }
    static removeFirstSlash(link) {
        return link.charAt(0) === '/' ? link.length > 1 ? link.substring(1, link.length) : '' : link;
    }
    static sanitizeUrl(endpoint, url) {
        if (endpoint.includes('http://') || (endpoint.includes('https://'))) {
            if (url) {
                if (endpoint.includes(url)) {
                    return endpoint;
                }
                else {
                    return url.includes('https://') ? 'https://' +
                        endpoint.replace(/(^\w+:|^)\/\//, '') : 'http://' +
                        endpoint.replace(/(^\w+:|^)\/\//, '');
                }
            }
            else {
                return endpoint;
            }
        }
        else {
            if (url) {
                return AbstractResourceProvider.addLastSlash(url) + AbstractResourceProvider.removeFirstSlash(endpoint);
            }
            else {
                throw Error('No define endpoint');
            }
        }
    }
    /**
     * Combines two instances of {@link Params} type into one.
     * If a parameter is declared in both instances uses the value of the `highPriorityParams` in the result.
     * @param highPriorityParams parameters with the higher priority
     * @param lowPriorityParams parameters with the lower priority
     * @returns combination of botch parameters. Uses the value of the higher priority parameters if the keys are in conflict.
     */
    static combineParams(highPriorityParams, lowPriorityParams) {
        const importantParams = highPriorityParams instanceof HttpParams ?
            ResourceProvider.convertHttpParamsToObjectParams(highPriorityParams) :
            highPriorityParams;
        const params = lowPriorityParams instanceof HttpParams ?
            ResourceProvider.convertHttpParamsToObjectParams(lowPriorityParams) :
            { ...lowPriorityParams };
        Object.assign(params, importantParams);
        return new HttpParams({ fromObject: params });
    }
    /**
     * Converts {@link HttpParams} instance into a simple object.
     * @param params instance to convert
     * @returns simple object with keys and values from the input argument
     */
    static convertHttpParamsToObjectParams(params) {
        const result = {};
        params.keys().forEach(key => {
            const values = params.getAll(key);
            if (values.length === 1) {
                result[key] = values[0];
            }
            else {
                result[key] = values;
            }
        });
        return result;
    }
    static getProgress(event) {
        return {
            type: event.type === HttpEventType.UploadProgress ? ProgressType.UPLOAD : ProgressType.DOWNLOAD,
            loaded: event.loaded,
            total: event.total,
            progress: event.loaded && event.total ? Math.round(event.loaded * 100 / event.total) : undefined
        };
    }
    static processMessageResource(response) {
        const resource = response.type === HttpEventType.Response ?
            response.body : response;
        if (!!resource && resource.error) {
            throw new Error(resource.error);
        }
        return resource;
    }
    get$(endpoint, url, params, headers, responseType) {
        return this.httpClient.get(AbstractResourceProvider.sanitizeUrl(endpoint, url), {
            headers,
            params,
            responseType: 'json',
            observe: 'body'
        });
    }
    getBlob$(endpoint, url, params, headers) {
        return this.httpClient.get(AbstractResourceProvider.sanitizeUrl(endpoint, url), {
            params,
            headers,
            observe: 'events',
            responseType: 'blob',
            reportProgress: true
        });
    }
    post$(endpoint, url, body, params, headers, responseType) {
        return this.httpClient.post(AbstractResourceProvider.sanitizeUrl(endpoint, url), body, {
            headers,
            params,
            responseType: 'json',
            observe: 'body'
        });
    }
    postWithEvent$(endpoint, url, body, params, headers, responseType) {
        return this.httpClient.post(AbstractResourceProvider.sanitizeUrl(endpoint, url), body, {
            params,
            headers,
            responseType: 'json',
            observe: 'events',
            reportProgress: true
        });
    }
    put$(endpoint, url, body, params, headers, responseType) {
        return this.httpClient.put(AbstractResourceProvider.sanitizeUrl(endpoint, url), body, {
            headers,
            params,
            responseType: 'json',
            observe: 'body'
        });
    }
    delete$(endpoint, url, params, headers, responseType, body) {
        return this.httpClient.delete(AbstractResourceProvider.sanitizeUrl(endpoint, url), {
            headers,
            params,
            responseType: 'json',
            observe: 'body',
            body
        });
    }
}
class ResourceProvider extends AbstractResourceProvider {
    constructor(httpClient) {
        super(httpClient);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ResourceProvider, deps: [{ token: i1.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ResourceProvider, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ResourceProvider, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1.HttpClient }] });

class UserResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('user', provider, configService);
    }
    /**
     * Assign authority to the user
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/{id}/authority/assign
     */
    assignAuthority(userId, body, realmId = 'default', params) {
        return this._resourceProvider.post$('users/' + realmId + '/' + userId + '/authority', this.SERVER_URL, body, params, // TODO 2025-05-08 refactor this for exact realm id
        { 'Content-Type': 'text/plain' })
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Assign role to the user
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/{id}/role/assign
     */
    assignRoles(userId, realmId, body, params) {
        return this._resourceProvider.put$('users/' + realmId + '/' + userId + '/roles', this.SERVER_URL, body, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all authorities of the system
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/authority
     */
    getAllAuthorities() {
        return this._resourceProvider.get$('users/authority', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, 'authorities')));
    }
    /**
     * Get all users
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/user
     */
    getAll(params) {
        return this._resourceProvider.get$('users', this.SERVER_URL, params)
            .pipe(map(r => this.mapToPage(r)));
    }
    /**
     * Get all users with specified roles
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/role
     */
    getAllWithRole(body, params) {
        return this._resourceProvider.post$('users/role', this.SERVER_URL, body, params)
            .pipe(map(r => this.changeType(r, 'users')));
    }
    /**
     * Get logged user
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/me
     */
    getLoggedUser(params) {
        return this._resourceProvider.get$('users/me', this.SERVER_URL, params).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get logged user
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/me
     */
    getPublicLoggedUser(params) {
        return this._resourceProvider.get$('public/users/me', this.SERVER_URL, params).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get user by id
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/{id}
     */
    getUser(userId, realmId = 'default', params) {
        return this._resourceProvider.get$('users/' + realmId + '/' + userId, this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get user's preferences
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/preferences
     */
    getPreferences(params) {
        return this._resourceProvider.get$('users/preferences', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Set user's preferences
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/preferences
     */
    setPreferences(body, params) {
        return this._resourceProvider.post$('users/preferences', this.SERVER_URL, body, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get user's preferences
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/users/preferences
     */
    getPublicPreferences(params) {
        return this._resourceProvider.get$('public/users/preferences', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Set user's preferences
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/preferences
     */
    setPublicPreferences(body, params) {
        return this._resourceProvider.post$('public/users/preferences', this.SERVER_URL, body, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Generic user search
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/search
     */
    search(body, params) {
        return this._resourceProvider.post$('users/search', this.SERVER_URL, body, params)
            .pipe(map(r => this.mapToPage(r)));
    }
    /**
     * Update user
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/users/{id}
     */
    updateUser(userId, body, realmId = 'default', params) {
        return this._resourceProvider.post$('users/' + realmId + '/' + userId, this.SERVER_URL, body, params) // TODO 2025-05-08 refactor this for exact realm id
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * get all groups
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/group/all
     */
    getAllGroups(params) {
        return this._resourceProvider.get$('group/all', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class AnonymousService {
    _config;
    static JWT_BEARER_HEADER_DEFAULT = 'X-Jwt-Token';
    _jwtHeader;
    _storage;
    _tokenSet;
    constructor(_config) {
        this._config = _config;
        this._jwtHeader = this._config.get().providers.auth.jwtBearer ?
            this._config.get().providers.auth.jwtBearer : AnonymousService.JWT_BEARER_HEADER_DEFAULT;
        this._storage = this.resolveStorage(this._config.get().providers.auth['local']);
        this._tokenSet = new BehaviorSubject(false);
    }
    get jwtHeader() {
        return this._jwtHeader;
    }
    get tokenSet() {
        return this._tokenSet.asObservable();
    }
    getToken() {
        return this._storage.getItem(this._jwtHeader);
    }
    setToken(token) {
        this._storage.setItem(this._jwtHeader, token);
        if (!this._tokenSet.getValue())
            this._tokenSet.next(true);
    }
    removeToken() {
        this._storage.removeItem(this._jwtHeader);
        this._tokenSet.next(false);
    }
    ngOnDestroy() {
        localStorage.removeItem(this._jwtHeader);
        this._tokenSet.complete();
    }
    resolveStorage(storage) {
        switch (storage) {
            case 'local':
                return localStorage;
            case 'session':
                return sessionStorage;
            case 'null':
                return new NullStorage();
            default:
                return localStorage;
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousService, deps: [{ token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }] });

class UserService {
    _authService;
    _userResource;
    _userTransform;
    _log;
    _session;
    _anonymousService;
    _user;
    _userChange$;
    _anonymousUserChange$;
    _loginCalled;
    _subAuth;
    _subAnonym;
    _publicLoadCalled;
    GLOBAL_ROLE_PREFIX = 'global_';
    constructor(_authService, _userResource, _userTransform, _log, _session, _anonymousService) {
        this._authService = _authService;
        this._userResource = _userResource;
        this._userTransform = _userTransform;
        this._log = _log;
        this._session = _session;
        this._anonymousService = _anonymousService;
        this._user = this.emptyUser();
        this._loginCalled = false;
        this._userChange$ = new ReplaySubject(1);
        this._anonymousUserChange$ = new ReplaySubject(1);
        setTimeout(() => {
            this._subAuth = this._authService.authenticated$.subscribe(auth => {
                if (auth && !this._loginCalled) {
                    this.loadUser();
                }
                else if (!auth) {
                    this.clearUser();
                    this.publishUserChange();
                }
            });
        });
        this._subAnonym = this._anonymousService.tokenSet.subscribe(token => {
            if (token) {
                this.loadPublicUser();
            }
            else {
                this.clearUser();
                this.publishAnonymousUserChange();
            }
        });
    }
    get user() {
        return this._user;
    }
    get user$() {
        return this._userChange$.asObservable();
    }
    get anonymousUser() {
        return this.anonymousUser;
    }
    get anonymousUser$() {
        return this._anonymousUserChange$.asObservable();
    }
    ngOnDestroy() {
        this._userChange$.complete();
        this._anonymousUserChange$.complete();
        this._subAuth.unsubscribe();
        this._subAnonym.unsubscribe();
    }
    /**
     * Check if user has specified authority.
     * @param authority - If provided authority is array of authorities.
     *                    Method make intersection of the provided authorities and user's authorities.
     *                    If calculated intersection isn't empty returns true, otherwise false.
     */
    hasAuthority(authority) {
        const user = this._user.getSelfOrImpersonated();
        if (!authority || !user.authorities) {
            return false;
        }
        if (authority instanceof Array) {
            return authority.some(a => user.authorities.some(u => u === a));
        }
        else {
            return user.authorities.some(a => a === authority);
        }
    }
    hasRole(role) {
        const user = this._user.getSelfOrImpersonated();
        if (!role || !user.roles) {
            return false;
        }
        return user.roles.some(r => r === role);
    }
    /**
     * Checks whether the user has role with a specific stringId
     * @param roleStringId ID of the role we want to check
     */
    hasRoleById(roleStringId) {
        const user = this._user.getSelfOrImpersonated();
        if (!roleStringId || !user.roles) {
            return false;
        }
        return user.roles.some(r => r.stringId === roleStringId);
    }
    /**
     * Checks whether the user has a role with the specified identifier in a process with the specified identifier (any version),
     * or if the role is global (with prefix 'global_').
     * @param roleIdentifier identifier (import ID) of the role we want to check
     * @param netIdentifier identifier (import ID) of the process the role is defined in
     */
    hasRoleByIdentifier(roleIdentifier, netIdentifier) {
        const user = this._user.getSelfOrImpersonated();
        if (!roleIdentifier || !user.roles) {
            return false;
        }
        return user.roles.some(r => {
            const matchesRole = r.importId === roleIdentifier;
            const isGlobalRole = r.importId.startsWith(this.GLOBAL_ROLE_PREFIX);
            const matchesNet = r.netImportId === netIdentifier;
            return matchesRole && (isGlobalRole || matchesNet);
        });
    }
    /**
     * Checks whether the user has role with the specified name in a process with the specified identifier (any version)
     * @param roleName name of the role we want to check
     * @param netIdentifier identifier (import ID) of the process the role is defined in
     */
    hasRoleByName(roleName, netIdentifier) {
        const user = this._user.getSelfOrImpersonated();
        if (!roleName || !netIdentifier || !user.roles) {
            return false;
        }
        return user.roles.some(r => r.netImportId === netIdentifier && r.name === roleName);
    }
    login(credentials) {
        this._loginCalled = true;
        return this._authService.login(credentials).pipe(tap((authUser) => {
            this._user = authUser;
            this._loginCalled = false;
            this.publishUserChange();
        }));
    }
    logout() {
        return this._authService.logout().pipe(tap(() => {
            this._user = this.emptyUser();
            this.publishUserChange();
        }));
    }
    reload() {
        this.loadUser();
    }
    emptyUser() {
        return new User('', '', '', '', '', '', [], [], [], []);
    }
    loadUser() {
        this._userResource.getLoggedUser().pipe(take(1)).subscribe((user) => {
            if (user) {
                const backendUser = { ...user, id: user.id.toString() };
                this._user = this._userTransform.transform(backendUser);
                this.publishUserChange();
            }
        }, error => {
            if (error instanceof HttpErrorResponse && error.status === 401) {
                this._log.debug('Authentication token is invalid. Clearing stream');
                this._session.clear();
            }
            else {
                this._log.error('Loading logged user has failed! Initialisation has not be completed successfully!', error);
            }
        });
    }
    loadPublicUser() {
        this._userResource.getPublicLoggedUser().pipe(take(1)).subscribe((user) => {
            if (user) {
                const backendUser = { ...user, id: user.id.toString() };
                this._user = this._userTransform.transform(backendUser);
                this.publishAnonymousUserChange();
            }
        }, error => {
            this._log.error('Loading logged user has failed! Initialisation has not be completed successfully!', error);
            this._publicLoadCalled = false;
        });
    }
    clearUser() {
        this._user = this.emptyUser();
    }
    isUserEmpty(user) {
        return !user || (!user.id && user.roles.length === 0);
    }
    isCurrentUserEmpty() {
        return this.isUserEmpty(this.user);
    }
    publishUserChange() {
        this._userChange$.next(this.user);
    }
    publishAnonymousUserChange() {
        this._anonymousUserChange$.next(this.user);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserService, deps: [{ token: AuthenticationService }, { token: UserResourceService }, { token: UserTransformer }, { token: LoggerService }, { token: SessionService }, { token: AnonymousService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: AuthenticationService }, { type: UserResourceService }, { type: UserTransformer }, { type: LoggerService }, { type: SessionService }, { type: AnonymousService }] });

class SnackBarComponent {
    snackBarRef;
    data;
    constructor(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    onDismiss() {
        this.snackBarRef.dismiss();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarComponent, deps: [{ token: i1$1.MatSnackBarRef }, { token: MAT_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: SnackBarComponent, selector: "ncc-abstract-snackbar", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-snackbar',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_SNACK_BAR_DATA]
                }] }] });

class GenericSnackBarComponent extends SnackBarComponent {
    snackBarRef;
    data;
    constructor(snackBarRef, data) {
        super(snackBarRef, data);
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: GenericSnackBarComponent, deps: [{ token: i1$1.MatSnackBarRef }, { token: MAT_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: GenericSnackBarComponent, selector: "ncc-generic-snack-bar", usesInheritance: true, ngImport: i0, template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon color=\"accent\" class=\"snack-bar-icon-margin\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i3.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "component", type: i4.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: GenericSnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-generic-snack-bar', template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon color=\"accent\" class=\"snack-bar-icon-margin\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_SNACK_BAR_DATA]
                }] }] });

class SuccessSnackBarComponent extends SnackBarComponent {
    snackBarRef;
    data;
    constructor(snackBarRef, data) {
        super(snackBarRef, data);
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SuccessSnackBarComponent, deps: [{ token: i1$1.MatSnackBarRef }, { token: MAT_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: SuccessSnackBarComponent, selector: "ncc-success-snack-bar", usesInheritance: true, ngImport: i0, template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon class=\"snack-bar-icon-margin success-color\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [".success-color{color:#2ac262}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i3.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "component", type: i4.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SuccessSnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-success-snack-bar', template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon class=\"snack-bar-icon-margin success-color\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [".success-color{color:#2ac262}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_SNACK_BAR_DATA]
                }] }] });

class ErrorSnackBarComponent extends SnackBarComponent {
    snackBarRef;
    data;
    constructor(snackBarRef, data) {
        super(snackBarRef, data);
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ErrorSnackBarComponent, deps: [{ token: i1$1.MatSnackBarRef }, { token: MAT_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: ErrorSnackBarComponent, selector: "ncc-error-snack-bar", usesInheritance: true, ngImport: i0, template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon color=\"warn\" class=\"snack-bar-icon-margin\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i3.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "component", type: i4.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ErrorSnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-error-snack-bar', template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon color=\"warn\" class=\"snack-bar-icon-margin\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_SNACK_BAR_DATA]
                }] }] });

class WarningSnackBarComponent extends SnackBarComponent {
    snackBarRef;
    data;
    constructor(snackBarRef, data) {
        super(snackBarRef, data);
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WarningSnackBarComponent, deps: [{ token: i1$1.MatSnackBarRef }, { token: MAT_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: WarningSnackBarComponent, selector: "ncc-warning-snack-bar", usesInheritance: true, ngImport: i0, template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon class=\"snack-bar-icon-margin warning-color\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [".warning-color{color:#fb3}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i3.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "component", type: i4.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WarningSnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-warning-snack-bar', template: "<div fxLayout=\"row\" fxLayoutAlign=\"start center\" class=\"snack-bar-container\">\n    <mat-icon class=\"snack-bar-icon-margin warning-color\">{{data.matIconName}}</mat-icon>\n    <span>{{data.message}}</span>\n    <div fxFlex></div>\n    <button *ngIf=\"data.closable\" mat-icon-button (click)=\"onDismiss()\">\n        <mat-icon class=\"snack-bar-close-icon\">close</mat-icon>\n    </button>\n</div>\n", styles: [".warning-color{color:#fb3}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_SNACK_BAR_DATA]
                }] }] });

var SnackBarVerticalPosition;
(function (SnackBarVerticalPosition) {
    SnackBarVerticalPosition["BOTTOM"] = "bottom";
    SnackBarVerticalPosition["TOP"] = "top";
})(SnackBarVerticalPosition || (SnackBarVerticalPosition = {}));
var SnackBarHorizontalPosition;
(function (SnackBarHorizontalPosition) {
    SnackBarHorizontalPosition["LEFT"] = "left";
    SnackBarHorizontalPosition["CENTER"] = "center";
    SnackBarHorizontalPosition["RIGHT"] = "right";
})(SnackBarHorizontalPosition || (SnackBarHorizontalPosition = {}));

const NAE_SNACKBAR_VERTICAL_POSITION = new InjectionToken('NaeSnackBarVerticalPosition');
const NAE_SNACKBAR_HORIZONTAL_POSITION = new InjectionToken('NaeSnackBarHorizontalPosition');

class SnackBarService {
    _snackBar;
    _defaultTimeout = 2.5;
    _verticalPosition;
    _horizontalPosition;
    constructor(_snackBar, naeVerticalPosition, naeHorizontalPosition) {
        this._snackBar = _snackBar;
        this._verticalPosition = SnackBarVerticalPosition.BOTTOM;
        this._horizontalPosition = SnackBarHorizontalPosition.CENTER;
        if (naeVerticalPosition) {
            this._verticalPosition = naeVerticalPosition;
        }
        if (naeHorizontalPosition) {
            this._horizontalPosition = naeHorizontalPosition;
        }
    }
    openSuccessSnackBar(message, verticalPosition = this._verticalPosition, horizontalPosition = this._horizontalPosition, durationInSeconds = this._defaultTimeout, config) {
        return this._snackBar.openFromComponent(SuccessSnackBarComponent, Object.assign({
            data: {
                message,
                matIconName: 'done',
                closable: false
            },
            duration: durationInSeconds * 1000,
            horizontalPosition,
            verticalPosition
        }, config));
    }
    openErrorSnackBar(message, verticalPosition = this._verticalPosition, horizontalPosition = this._horizontalPosition, 
    // durationInSeconds = this._defaultTimeout,
    config) {
        return this._snackBar.openFromComponent(ErrorSnackBarComponent, Object.assign({
            data: {
                message,
                matIconName: 'error',
                closable: true
            },
            // duration: durationInSeconds * 1000, // Error has to be acknowledged to be closed
            horizontalPosition,
            verticalPosition
        }, config));
    }
    openWarningSnackBar(message, verticalPosition = this._verticalPosition, horizontalPosition = this._horizontalPosition, durationInSeconds = this._defaultTimeout, config) {
        return this._snackBar.openFromComponent(WarningSnackBarComponent, Object.assign({
            data: {
                message,
                matIconName: 'warning',
                closable: false
            },
            duration: durationInSeconds * 1000,
            horizontalPosition,
            verticalPosition
        }, config));
    }
    openGenericSnackBar(message, matIconName, verticalPosition = this._verticalPosition, horizontalPosition = this._horizontalPosition, durationInSeconds = this._defaultTimeout, config) {
        return this._snackBar.openFromComponent(GenericSnackBarComponent, Object.assign({
            data: {
                message,
                matIconName,
                closable: true
            },
            duration: durationInSeconds * 1000,
            horizontalPosition,
            verticalPosition
        }, config));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarService, deps: [{ token: i1$1.MatSnackBar }, { token: NAE_SNACKBAR_VERTICAL_POSITION, optional: true }, { token: NAE_SNACKBAR_HORIZONTAL_POSITION, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$1.MatSnackBar }, { type: SnackBarVerticalPosition, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_SNACKBAR_VERTICAL_POSITION]
                }] }, { type: SnackBarHorizontalPosition, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_SNACKBAR_HORIZONTAL_POSITION]
                }] }] });

const DRAWER_DEFAULT_WIDTH = 200;
const DRAWER_DEBOUNCE = 1000;
class UserPreferenceService {
    _userService;
    _userResourceService;
    _logger;
    _snackbar;
    _translate;
    _preferences;
    _preferencesChanged$;
    _sub;
    _subAnonym;
    _drawerWidthChanged$;
    _anonym;
    constructor(_userService, _userResourceService, _logger, _snackbar, _translate) {
        this._userService = _userService;
        this._userResourceService = _userResourceService;
        this._logger = _logger;
        this._snackbar = _snackbar;
        this._translate = _translate;
        this._preferences = this._emptyPreferences();
        this._preferencesChanged$ = new Subject();
        this._drawerWidthChanged$ = new Subject();
        this._anonym = false;
        this._sub = this._userService.user$.subscribe(loggedUser => {
            if (loggedUser && loggedUser.id !== '') {
                this._userResourceService.getPreferences().subscribe(prefs => {
                    this._preferences = this._emptyPreferences();
                    Object.assign(this._preferences, prefs);
                    this._preferencesChanged$.next();
                });
            }
            else {
                this._preferences = this._emptyPreferences();
                this._preferencesChanged$.next();
            }
        });
        this._subAnonym = this._userService.anonymousUser$.subscribe(loggedUser => {
            if (loggedUser && loggedUser.id !== '') {
                this._userResourceService.getPublicPreferences().subscribe(prefs => {
                    this._preferences = this._emptyPreferences();
                    Object.assign(this._preferences, prefs);
                    this._preferencesChanged$.next();
                    this._anonym = true;
                });
            }
            else {
                this._preferences = this._emptyPreferences();
                this._preferencesChanged$.next();
                this._anonym = false;
            }
        });
        this._drawerWidthChanged$.asObservable().pipe(debounceTime(DRAWER_DEBOUNCE)).subscribe(newWidth => {
            this.drawerWidth = newWidth;
        });
    }
    ngOnDestroy() {
        this._sub.unsubscribe();
        this._preferencesChanged$.complete();
    }
    setTaskFilters(viewId, value) {
        this._preferences.taskFilters[viewId] = value;
        this._savePreferences();
    }
    getTaskFilters(viewId) {
        return this._preferences.taskFilters[viewId];
    }
    setCaseFilters(viewId, value) {
        this._preferences.caseFilters[viewId] = value;
        this._savePreferences();
    }
    getCaseFilters(viewId) {
        return this._preferences.caseFilters[viewId];
    }
    setHeaders(viewId, value) {
        this._preferences.headers[viewId] = value;
        this._savePreferences();
    }
    getHeaders(viewId) {
        return this._preferences.headers[viewId];
    }
    setLocale(locale) {
        this._preferences.locale = locale;
        this._savePreferences();
    }
    getLocale() {
        return this._preferences.locale;
    }
    set drawerWidth(drawerWidth) {
        this._preferences.drawerWidth = drawerWidth;
        this._savePreferences();
    }
    get drawerWidth() {
        return this._preferences.drawerWidth;
    }
    get preferencesChanged$() {
        return this._preferencesChanged$.asObservable();
    }
    _savePreferences() {
        if (!this._anonym) {
            this._userResourceService.setPreferences(this._preferences).subscribe(resultMessage => {
                this.resultMessage(resultMessage);
            });
        }
        else {
            this._userResourceService.setPublicPreferences(this._preferences).subscribe(resultMessage => {
                this.resultMessage(resultMessage);
            });
        }
    }
    resultMessage(resultMessage) {
        if (typeof resultMessage.success === 'string') {
            this._snackbar.openSuccessSnackBar(this._translate.instant('preferences.snackbar.saveSuccess'));
        }
        else {
            this._snackbar.openErrorSnackBar(this._translate.instant('preferences.snackbar.saveFailure'));
            this._logger.error('User preferences failed to save', resultMessage);
        }
    }
    _emptyPreferences() {
        return {
            drawerWidth: DRAWER_DEFAULT_WIDTH,
            headers: {},
            caseFilters: {},
            taskFilters: {}
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserPreferenceService, deps: [{ token: UserService }, { token: UserResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserPreferenceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserPreferenceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: UserService }, { type: UserResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

class LanguageService {
    _translate;
    _preferenceService;
    _logger;
    _translations;
    _langChange$;
    subPreference;
    subTranslate;
    _defaultLanguage = 'en';
    constructor(_translate, _preferenceService, _logger) {
        this._translate = _translate;
        this._preferenceService = _preferenceService;
        this._logger = _logger;
        this._translations = [
            { key: 'en', translation: en },
            { key: 'sk', translation: sk },
            { key: 'de', translation: de }
        ];
        this._translate.addLangs(this._translations.map(trans => trans.key));
        this._translations.forEach(trans => {
            this._translate.setTranslation(trans.key, trans.translation, true);
        });
        this._translate.setDefaultLang(this._defaultLanguage);
        this._langChange$ = new Subject();
        this.checkLocalStorage();
        setTimeout(() => {
            if (this._preferenceService) {
                this.subPreference = this._preferenceService.preferencesChanged$.subscribe(() => {
                    const preferredLang = this._preferenceService.getLocale();
                    if (preferredLang !== undefined && preferredLang !== this._translate.currentLang) {
                        this.setLanguage(preferredLang);
                    }
                });
            }
        });
        this.subTranslate = _translate.onLangChange.subscribe((event) => {
            this._logger.debug('Language changed to ' + event.lang);
        });
    }
    ngOnDestroy() {
        this.subTranslate.unsubscribe();
        if (this.subPreference) {
            this.subPreference.unsubscribe();
        }
    }
    checkLocalStorage() {
        const lang = localStorage.getItem('Language');
        if (lang === null) {
            const browserLang = this._translate.getBrowserLang();
            this.setLanguage(browserLang);
        }
        else {
            this.setLanguage(lang);
        }
    }
    setDefaultLang(lang) {
        if (this.checkIfLangExists(lang)) {
            this._defaultLanguage = lang;
        }
        else {
            this._logger.error(lang + " Language doesn't exists!");
        }
    }
    setLanguage(lang, saveToPreferences = false) {
        this._translate.use(this.checkIfLangExists(lang) ? lang : this._defaultLanguage);
        if (saveToPreferences) {
            this._preferenceService.setLocale(lang);
        }
        localStorage.setItem('Language', this.checkIfLangExists(lang) ? lang : this._defaultLanguage);
        this._langChange$.next(this.checkIfLangExists(lang) ? lang : this._defaultLanguage);
    }
    addLanguage(lang, translation) {
        this._translate.addLangs([lang]);
        this._translate.setTranslation(lang, translation, true);
        this._translations.push({ key: lang, translation });
    }
    removeLanguage(lang) {
        const index = this._translations.findIndex(value => value.key === lang);
        if (index !== -1) {
            if (this._translate.currentLang === lang && this._translate.currentLang !== this._defaultLanguage) {
                this.setLanguage(this._defaultLanguage);
            }
            this._translations.splice(index, 1);
        }
    }
    getTranslations() {
        return this._translations;
    }
    getLanguage() {
        return this._translate.currentLang;
    }
    getLangChange$() {
        return this._langChange$.asObservable();
    }
    checkIfLangExists(lang) {
        return this._translations.some(value => value.key === lang);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageService, deps: [{ token: i1$2.TranslateService }, { token: UserPreferenceService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: UserPreferenceService }, { type: LoggerService }] });

class TranslateInterceptor {
    _select;
    constructor(_select) {
        this._select = _select;
    }
    intercept(req, next) {
        req = req.clone({
            headers: req.headers.set('Accept-Language', this._select.getLanguage())
        });
        return next.handle(req);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateInterceptor, deps: [{ token: LanguageService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateInterceptor });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateInterceptor, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LanguageService }] });

function HttpLoaderFactory(http) {
    return new TranslateHttpLoader(http);
}
class TranslateLibModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateLibModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: TranslateLibModule, imports: [CommonModule, i1$2.TranslateModule], exports: [TranslateModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateLibModule, providers: [
            TranslateService,
            TranslatePipe,
            TranslateStore,
            LanguageService,
            { provide: HTTP_INTERCEPTORS, useClass: TranslateInterceptor, multi: true },
        ], imports: [CommonModule,
            TranslateModule.forChild({
                loader: {
                    provide: TranslateLoader,
                    useFactory: (HttpLoaderFactory),
                    deps: [HttpClient]
                }
            }), TranslateModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TranslateLibModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule,
                        TranslateModule.forChild({
                            loader: {
                                provide: TranslateLoader,
                                useFactory: (HttpLoaderFactory),
                                deps: [HttpClient]
                            }
                        })
                    ],
                    exports: [TranslateModule],
                    providers: [
                        TranslateService,
                        TranslatePipe,
                        TranslateStore,
                        LanguageService,
                        { provide: HTTP_INTERCEPTORS, useClass: TranslateInterceptor, multi: true },
                    ]
                }]
        }] });

class DataFieldsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFieldsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: DataFieldsModule, imports: [CommonModule,
            FlexLayoutModule,
            MaterialModule,
            CovalentModule,
            AngularResizeEventModule,
            HttpClientModule,
            ReactiveFormsModule,
            NgxMatDatetimePickerModule,
            NgxMatMomentModule,
            TranslateLibModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFieldsModule, providers: [
            { provide: DateAdapter, useClass: CustomDateAdapter }
        ], imports: [CommonModule,
            FlexLayoutModule,
            MaterialModule,
            CovalentModule,
            AngularResizeEventModule,
            HttpClientModule,
            ReactiveFormsModule,
            NgxMatDatetimePickerModule,
            NgxMatMomentModule,
            TranslateLibModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFieldsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FlexLayoutModule,
                        MaterialModule,
                        CovalentModule,
                        AngularResizeEventModule,
                        HttpClientModule,
                        ReactiveFormsModule,
                        NgxMatDatetimePickerModule,
                        NgxMatMomentModule,
                        TranslateLibModule
                    ],
                    providers: [
                        { provide: DateAdapter, useClass: CustomDateAdapter }
                    ]
                }]
        }] });

const DATA_FIELD_PORTAL_DATA = new InjectionToken('DataFieldPortalData');

class AbstractBaseDataFieldComponent {
    dataField;
    formControlRef;
    showLargeLayout;
    constructor(dataFieldPortalData) {
        if (!!dataFieldPortalData) {
            this.dataField = dataFieldPortalData.dataField;
            this.formControlRef = dataFieldPortalData.formControlRef;
            this.showLargeLayout = dataFieldPortalData.showLargeLayout;
            if (!this.dataField.initialized) {
                this.formControlRef = new FormControl('', { updateOn: this.dataField.getUpdateOnStrategy() });
                this.dataField.registerFormControl(this.formControlRef);
            }
        }
    }
    ngOnDestroy() {
        this.dataField.disconnectFormControl();
    }
    checkPropertyInComponent(property) {
        return !!this.dataField?.component?.properties
            && property in this.dataField.component.properties;
    }
    hasTitle() {
        return this.dataField.title !== undefined && this.dataField.title !== '';
    }
    hasHint() {
        return this.dataField.description !== undefined && this.dataField.description !== '';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBaseDataFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractBaseDataFieldComponent, selector: "ncc-base-data-field", inputs: { dataField: "dataField", formControlRef: "formControlRef", showLargeLayout: "showLargeLayout" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBaseDataFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-base-data-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }], formControlRef: [{
                type: Input
            }], showLargeLayout: [{
                type: Input
            }] } });

/**
 * Whether invalid data values should be sent to backend or not. Invalid data is NOT set to backend by default.
 * You can use this InjectionToken to override this behavior in a specific application scope.
 *
 * This token is ultimately injected by individual data fields, so this option can be in theory applied at a very low level of granularity.
 * The library implementation doesn't allow access to such low level components, so a custom implementation is necessary to provide this
 * token at such low level. Applying the token to individual task views is achievable with the default implementation.
 */
const NAE_INFORM_ABOUT_INVALID_DATA = new InjectionToken('NaeInformAboutInvalidData');

/**
 * @deprecated as of v6.4.0
 * Holds the common functionality for all DataFieldComponents.
 */
class AbstractDataFieldComponent {
    _informAboutInvalidData;
    /**
     * The Model object that this Component should render.
     * It should be overridden in each class that extends this one, to provide a more specific type.
     */
    dataField;
    taskOffset = 0;
    /**
     * @ignore
     * See [formControl]{@link AbstractDataFieldComponent#formControl}
     */
    _formControl;
    constructor(_informAboutInvalidData) {
        this._informAboutInvalidData = _informAboutInvalidData;
        this._formControl = new FormControl('', { updateOn: 'blur' });
    }
    /**
     * Registers the {@link FormControl} to the provided data field.
     *
     * See [DataField.registerFormControl]{@link DataField#registerFormControl} form more information.
     */
    ngOnInit() {
        this.dataField.registerFormControl(this._formControl);
        this.dataField.sendInvalidValues = this._informAboutInvalidData;
    }
    ngOnDestroy() {
        this.dataField.disconnectFormControl();
    }
    /**
     * The [FormControl]{@link https://angular.io/api/forms/FormControl} object that should be used to control any rendered forms.
     */
    get formControl() {
        return this._formControl;
    }
    hasTitle() {
        return this.dataField.title !== undefined && this.dataField.title !== '';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDataFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDataFieldComponent, selector: "ncc-abstract-datafield", inputs: { dataField: "dataField", taskOffset: "taskOffset" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDataFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-datafield',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }], taskOffset: [{
                type: Input
            }] } });

/**
 * @deprecated
 * */
class AbstractBooleanFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
        this._formControl = new FormControl('');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBooleanFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractBooleanFieldComponent, selector: "ncc-abstract-boolean-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBooleanFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-boolean-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

const DEFAULT = "default";
var ComponentPrefixes;
(function (ComponentPrefixes) {
    ComponentPrefixes["BOOLEAN"] = "boolean-";
    ComponentPrefixes["BUTTON"] = "button-";
    ComponentPrefixes["DATE"] = "date-";
    ComponentPrefixes["DATE_TIME"] = "date-time-";
    ComponentPrefixes["ENUMERATION"] = "enumeration-";
    ComponentPrefixes["FILE"] = "file-";
    ComponentPrefixes["FILE_LIST"] = "file-list-";
    ComponentPrefixes["FILTER"] = "filter-";
    ComponentPrefixes["I18N"] = "i18n-";
    ComponentPrefixes["MULTICHOICE"] = "multichoice-";
    ComponentPrefixes["NUMBER"] = "number-";
    ComponentPrefixes["TASK_REF"] = "task-ref-";
    ComponentPrefixes["CASE_REF"] = "case-ref-";
    ComponentPrefixes["TEXT"] = "text-";
    ComponentPrefixes["USER"] = "user-";
    ComponentPrefixes["USER_LIST"] = "user-list-";
    ComponentPrefixes["STRING_COLLECTION"] = "string-collection-";
})(ComponentPrefixes || (ComponentPrefixes = {}));

var UpdateStrategy;
(function (UpdateStrategy) {
    UpdateStrategy["CHANGE"] = "change";
    UpdateStrategy["BLUR"] = "blur";
    UpdateStrategy["SUBMIT"] = "submit";
})(UpdateStrategy || (UpdateStrategy = {}));

/**
 * Holds the logic common to all data field Model objects.
 * @typeparam T - type of the `value` property of the data field
 */
class DataField {
    _stringId;
    _title;
    _behavior;
    _placeholder;
    _description;
    _layout;
    validations;
    _component;
    _parentTaskId;
    _parentCaseId;
    /**
     * @ignore
     * Current value of the data field
     */
    _value;
    /**
     * @ignore
     * Previous value of the data field
     */
    _previousValue;
    /**
     * @ignore
     * Whether the data field Model object was initialized, we push that info into stream
     *
     * See [registerFormControl()]{@link DataField#registerFormControl} for more information.
     */
    _initialized$;
    /**
     * @ignore
     * Whether the field fulfills all of it's validators.
     */
    _valid;
    /**
     * @ignore
     * Whether the `value` of the field changed recently. The flag is cleared when changes are send to backend.
     */
    _changed;
    /**
     * @ignore
     * Data field subscribes this stream.
     * The data field updates it's Validators, validity and enabled/disabled according to it's behavior.
     */
    _update;
    /**
     * @ignore
     * Data field subscribes this stream. When a `true` value is received the data field disables itself.
     * When a `false`value is received data field disables/enables itself based on it's behavior.
     */
    _block;
    /**
     * @ignore
     * When a `true` value is there, the data field is disabled.
     * When a `false` value is received, data field is disabled/enabled based on it's behavior.
     */
    _blocked;
    /**
     * @ignore
     * Data field subscribes this stream. Sets the state of the data field to "touched" or "untouched" (`true`/`false`).
     * Validity of the data field is not checked in an "untouched" state.
     * All fields are touched before a task is finished to check their validity.
     */
    _touch;
    _updateSubscription;
    _blockSubscription;
    _touchSubscription;
    _formControlValueSubscription;
    _myValueSubscription;
    /**
     * @ignore
     * Appearance of dataFields, possible values - outline, standard, fill, legacy
     */
    materialAppearance;
    /**
     * @ignore
     * Whether the field fulfills required validator.
     */
    _validRequired;
    /**
     * Whether invalid field values should be sent to backend.
     */
    _sendInvalidValues = true;
    /**
     * Flag that is set during reverting
     */
    _reverting = false;
    /**
     * Validators resolved from field validations
     */
    _validators;
    /**
     * Stores the last subscription to the [_initialized$]{@link AbstractDataField#_initialized$} Stream, to prevent multiple block events
     * from executing at the same time
     */
    _initializedSubscription;
    /**
     * @ignore
     * Whether the changes from has been requested. The flag is cleared when changes are received from backend.
     */
    _waitingForResponse;
    /**
     * Stores a copy of the fields layout, that can be modified by the layouting algorithm as needed
     * without affecting the base configuration.
     */
    _localLayout;
    /**
     * Listens for layout changes
     */
    layoutSubject;
    /**
     * Reference to rendered element
     * */
    _input;
    /**
     * Reference to form control
     * */
    _formControlRef;
    /**
     * change of component
     * */
    _componentChange$;
    /**
     * @param _stringId - ID of the data field from backend
     * @param _title - displayed title of the data field from backend
     * @param initialValue - initial value of the data field
     * @param _behavior - data field behavior
     * @param _placeholder - placeholder displayed in the datafield
     * @param _description - tooltip of the datafield
     * @param _layout - information regarding the component rendering
     * @param validations
     * @param _component - component data of datafield
     * @param _parentTaskId - stringId of parent task, only defined if field is loaded using {@link TaskRefField}
     * @param _parentCaseId - stringId of parent case, only defined if field is loaded using {@link TaskRefField}
     */
    constructor(_stringId, _title, initialValue, _behavior, _placeholder, _description, _layout, validations, _component, _parentTaskId, _parentCaseId) {
        this._stringId = _stringId;
        this._title = _title;
        this._behavior = _behavior;
        this._placeholder = _placeholder;
        this._description = _description;
        this._layout = _layout;
        this.validations = validations;
        this._component = _component;
        this._parentTaskId = _parentTaskId;
        this._parentCaseId = _parentCaseId;
        this._value = new BehaviorSubject(initialValue);
        this._previousValue = new BehaviorSubject(initialValue);
        this._initialized$ = new BehaviorSubject(false);
        this._valid = true;
        this._changed = false;
        this._waitingForResponse = false;
        this._update = new Subject();
        this._block = new Subject();
        this._touch = new Subject();
        this._componentChange$ = new Subject();
        this._validRequired = true;
        this.layoutSubject = new BehaviorSubject(_layout);
        this.resetLocalLayout();
    }
    get stringId() {
        return this._stringId;
    }
    set title(title) {
        this._title = title;
    }
    get title() {
        return this._title;
    }
    set placeholder(placeholder) {
        this._placeholder = placeholder;
    }
    get placeholder() {
        return this._placeholder;
    }
    set description(desc) {
        this._description = desc;
    }
    get description() {
        return this._description;
    }
    set behavior(behavior) {
        this._behavior = behavior;
    }
    get behavior() {
        return this._behavior;
    }
    get value() {
        return this._value.getValue();
    }
    set value(value) {
        if (!this.valueEquality(this._value.getValue(), value) && !this._reverting) {
            this._changed = true;
            this._waitingForResponse = true;
            this.resolvePrevValue(value);
        }
        this._value.next(value);
        this._reverting = false;
    }
    get parentTaskId() {
        return this._parentTaskId;
    }
    get parentCaseId() {
        return this._parentCaseId;
    }
    get previousValue() {
        return this._previousValue.getValue();
    }
    set previousValue(value) {
        this._previousValue.next(value);
    }
    valueWithoutChange(value) {
        this._changed = false;
        this._value.next(value);
    }
    set layout(layout) {
        this._layout = layout;
        this.layoutSubject.next(layout);
    }
    get layout() {
        return this._layout;
    }
    get localLayout() {
        return this._localLayout;
    }
    get disabled() {
        return !!this._behavior.visible && !this._behavior.editable;
    }
    get initialized() {
        return this._initialized$.value;
    }
    get initialized$() {
        return this._initialized$.asObservable();
    }
    set valid(set) {
        this._valid = set;
    }
    get valid() {
        return this._valid;
    }
    set changed(set) {
        this._changed = set;
    }
    get changed() {
        return this._changed;
    }
    set block(set) {
        if (this._initializedSubscription !== undefined && !this._initializedSubscription.closed) {
            this._initializedSubscription.unsubscribe();
        }
        this._initializedSubscription = this.initialized$.pipe(filter(i => i), take(1)).subscribe(() => {
            this._block.next(set);
        });
    }
    set touch(set) {
        this._touch.next(set);
    }
    get touch$() {
        return this._touch.asObservable();
    }
    get component() {
        return this._component;
    }
    set component(component) {
        this._component = component;
        this._componentChange$.next(component);
    }
    componentChange$() {
        return this._componentChange$.asObservable();
    }
    revertToPreviousValue() {
        this.changed = false;
        this._reverting = true;
        this.value = this.previousValue;
    }
    set validRequired(set) {
        this._validRequired = set;
    }
    get validRequired() {
        return this._validRequired;
    }
    get sendInvalidValues() {
        return this._sendInvalidValues;
    }
    set sendInvalidValues(value) {
        this._sendInvalidValues = value === null || value;
    }
    get waitingForResponse() {
        return this._waitingForResponse;
    }
    set waitingForResponse(value) {
        this._waitingForResponse = value;
    }
    update() {
        this._update.next();
    }
    valueChanges() {
        return this._value.asObservable();
    }
    set reverting(set) {
        this._reverting = set;
    }
    get reverting() {
        return this._reverting;
    }
    focus() {
        if (!!this._input) {
            this._input.nativeElement.focus();
        }
    }
    get input() {
        return this._input;
    }
    set input(value) {
        this._input = value;
    }
    get formControlRef() {
        return this._formControlRef;
    }
    set formControlRef(formControl) {
        this._formControlRef = formControl;
    }
    getUpdateOnStrategy() {
        return UpdateStrategy.BLUR;
    }
    /**
     * This function resolve type of component for HTML
     * @returns type of component in string
     */
    getComponentType() {
        return this.component?.name ?? DEFAULT;
    }
    destroy() {
        this._value.complete();
        this._previousValue.complete();
        this._update.complete();
        this._touch.complete();
        this._block.complete();
        this._initialized$.complete();
        this.layoutSubject.complete();
    }
    registerFormControl(formControl) {
        if (this.initialized) {
            throw new Error('Data field can be initialized only once!'
                + ' Disconnect the previous form control before initializing the data field again!');
        }
        this.formControlRef = formControl;
        formControl.setValidators(this.resolveFormControlValidators());
        this._formControlValueSubscription = formControl.valueChanges.pipe(distinctUntilChanged(this.valueEquality)).subscribe(newValue => {
            this._valid = this._determineFormControlValidity(formControl);
            this.value = newValue;
        });
        this._myValueSubscription = this._value.pipe(distinctUntilChanged(this.valueEquality)).subscribe(newValue => {
            this._valid = this._determineFormControlValidity(formControl);
            formControl.setValue(newValue);
            this.update();
        });
        this.updateFormControlState(formControl);
        this._initialized$.next(true);
        this._changed = false;
        this._waitingForResponse = false;
    }
    disconnectFormControl() {
        if (!this.initialized) {
            return;
        }
        this._initialized$.next(false);
        const subs = [
            this._updateSubscription,
            this._blockSubscription,
            this._touchSubscription,
            this._formControlValueSubscription,
            this._myValueSubscription
        ];
        for (const sub of subs) {
            if (sub) {
                sub.unsubscribe();
            }
        }
    }
    updateFormControlState(formControl) {
        formControl.setValue(this.value);
        this.subscribeToInnerSubjects(formControl);
        this.update();
    }
    subscribeToInnerSubjects(formControl) {
        this._updateSubscription = this._update.subscribe(() => {
            this.validRequired = this.calculateValidity(true, formControl);
            this.valid = this.calculateValidity(false, formControl);
            if (!this._blocked) {
                this.disabled ? formControl.disable() : formControl.enable();
            }
        });
        this._blockSubscription = this._block.subscribe(bool => {
            if (bool) {
                this._blocked = true;
                formControl.disable();
            }
            else {
                this._blocked = false;
                this.disabled ? formControl.disable() : formControl.enable();
            }
        });
        this._touchSubscription = this._touch.subscribe(bool => {
            if (bool) {
                formControl.markAsTouched();
            }
            else {
                formControl.markAsUntouched();
            }
        });
    }
    /**
     * Computes whether the FormControl si valid.
     * @param formControl check form control
     */
    _determineFormControlValidity(formControl) {
        // disabled form controls are marked as invalid as per W3C standard, this solves that problem
        return formControl.disabled || formControl.valid;
    }
    /**
     * Creates Validator objects based on field `behavior`. Only the `required` behavior is resolved by default.
     * Required is resolved as `Validators.required`.
     * If you need to resolve additional Validators or need a different resolution for the `required` Validator override this method.
     *
     * See {@link Behavior} for information about data field behavior.
     *
     * See {@link ValidatorFn} and {@link Validators} for information about Validators.
     *
     * Alternatively see [Form Validation guide]{@link https://angular.io/guide/form-validation#reactive-form-validation} from Angular.
     */
    resolveFormControlValidators() {
        const result = [];
        if (this.behavior.required) {
            result.push(Validators.required);
        }
        if (this.validations) {
            if (this._validators) {
                result.push(...this._validators);
            }
            else {
                this._validators = this.resolveValidations();
                result.push(...this._validators);
            }
        }
        return result;
    }
    replaceValidations(validations) {
        this.clearValidators();
        this.validations = validations;
    }
    clearValidators() {
        this._validators = null;
    }
    resolveValidations() {
        return [];
    }
    /**
     * Determines if two values of the data field are equal.
     *
     * `a === b` equality is used by default. If you want different behavior override this method.
     * @param a - first compared value
     * @param b - second compared value
     */
    valueEquality(a, b) {
        return a === b || (Number.isNaN(a) && Number.isNaN(b));
    }
    /**
     * Updates the state of this data field model object.
     * @param change - object describing the changes - returned from backend
     *
     * Also see {@link ChangedFields}.
     */
    applyChange(change) {
        Object.keys(change).forEach(changedAttribute => {
            switch (changedAttribute) {
                case 'value':
                    this.value = change[changedAttribute];
                    break;
                case 'behavior':
                    Object.assign(this.behavior, change[changedAttribute]);
                    this.update();
                    break;
                default:
                    throw new Error(`Unknown attribute '${changedAttribute}' in change object`);
            }
        });
    }
    resolveAppearance(config) {
        let appearance = 'outline';
        if (this.layout && this.layout.appearance) {
            appearance = this.layout.appearance;
        }
        else {
            const datafieldConfiguration = config.getDatafieldConfiguration();
            if (datafieldConfiguration && datafieldConfiguration.appearance) {
                appearance = datafieldConfiguration.appearance;
            }
        }
        this.materialAppearance = appearance;
        /* Listen for changes of layout in future */
        this.layoutSubject.subscribe(layout => {
            if (this.layout && this.layout.appearance) {
                this.materialAppearance = this.layout.appearance;
            }
        });
    }
    resolvePrevValue(value) {
        if (this._value.getValue() !== undefined
            && this._value.getValue() !== value) {
            this._previousValue.next(this._value.getValue());
        }
    }
    calculateValidity(forValidRequired, formControl) {
        const isDisabled = formControl.disabled;
        if (forValidRequired) {
            formControl.enable();
        }
        formControl.clearValidators();
        if (forValidRequired) {
            formControl.setValidators(this.behavior.required ? [Validators.required] : []);
        }
        else {
            formControl.setValidators(this.resolveFormControlValidators());
        }
        formControl.updateValueAndValidity();
        const validity = this._determineFormControlValidity(formControl);
        isDisabled ? formControl.disable() : formControl.enable();
        return validity;
    }
    isInvalid(formControl) {
        return !formControl.disabled && !formControl.valid && formControl.touched;
    }
    /**
     * Copies the layout settings into the local layout.
     */
    resetLocalLayout() {
        if (this._layout !== undefined) {
            this._localLayout = { ...this._layout };
        }
        else {
            this._localLayout = undefined;
        }
    }
}

var BooleanFieldValidation;
(function (BooleanFieldValidation) {
    BooleanFieldValidation["REQUIRED_TRUE"] = "requiredTrue";
    BooleanFieldValidation["REQUIRED"] = "required";
})(BooleanFieldValidation || (BooleanFieldValidation = {}));
class BooleanField extends DataField {
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.BOOLEAN + this.getComponentType();
    }
    getUpdateOnStrategy() {
        return UpdateStrategy.CHANGE;
    }
    resolveValidations() {
        const result = [];
        this.validations.forEach(item => {
            if (item.validationRule.includes(BooleanFieldValidation.REQUIRED_TRUE)) {
                result.push(this.requiredTrue);
            }
        });
        return result;
    }
    requiredTrue(control) {
        return control.value === true ? null : { requiredTrue: true };
    }
}

class AbstractBooleanDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    getErrorMessage() {
        if (this.formControlRef.hasError(BooleanFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
        else if (this.formControlRef.hasError(BooleanFieldValidation.REQUIRED_TRUE)) {
            return this.resolveErrorMessage(this.dataField, BooleanFieldValidation.REQUIRED_TRUE, this._translate.instant('dataField.validations.requiredTrue'));
        }
        return '';
    }
    createValueLabel() {
        return this._translate.instant('dataField.values.boolean.' + this.dataField.value);
    }
    resolveErrorMessage(dataField, search, generalMessage) {
        const validation = dataField.validations.find(value => value.validationRule.includes(search));
        if (validation.validationMessage && validation.validationMessage !== '') {
            return validation.validationMessage;
        }
        return generalMessage;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBooleanDefaultFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractBooleanDefaultFieldComponent, selector: "ncc-abstract-boolean-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBooleanDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-boolean-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractButtonFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractButtonFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractButtonFieldComponent, selector: "ncc-abstract-button-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractButtonFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-button-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

var ButtonFieldValidation;
(function (ButtonFieldValidation) {
    ButtonFieldValidation["REQUIRED"] = "required";
})(ButtonFieldValidation || (ButtonFieldValidation = {}));
class ButtonField extends DataField {
    constructor(stringId, title, behavior, value, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, (value === undefined) ? 0 : value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.BUTTON + DEFAULT;
    }
}

/** Abstract dialog for all types of dialog components is used for data injection and dialog reference holding. */
class AbstractDialogComponent {
    dialogRef;
    data;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDialogComponent, deps: [{ token: i1$3.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDialogComponent, selector: "ncc-abstract-dialog", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDialogComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dialog',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }] });

/**
 * Question modal dialog with its own layout (which asks the user a question with two answers - yes or no)
 * based on a material design that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
class ConfirmDialogComponent extends AbstractDialogComponent {
    dialogRef;
    data;
    sanitizer;
    choice;
    parsedContent;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     * @param sanitizer sanitize HTML
     */
    constructor(dialogRef, data, sanitizer) {
        super(dialogRef, data);
        this.dialogRef = dialogRef;
        this.data = data;
        this.sanitizer = sanitizer;
        this.choice = false;
        if (data && data.content) {
            this.parsedContent = sanitizer.bypassSecurityTrustHtml(data.content.replace('\\n', '<br>'));
        }
        else {
            this.parsedContent = sanitizer.bypassSecurityTrustHtml('');
        }
    }
    onClose(isSubmitted) {
        this.dialogRef.close({
            confirmed: isSubmitted
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogComponent, deps: [{ token: i1$3.MatDialogRef }, { token: MAT_DIALOG_DATA }, { token: i2$1.DomSanitizer }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: ConfirmDialogComponent, selector: "ncc-question-dialog", usesInheritance: true, ngImport: i0, template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin\" [innerHTML]=\"parsedContent\"></div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button color=\"warn\" (click)=\"onClose(false)\">{{data.negativeLabel}}</button>\n    <button mat-flat-button color=\"primary\" (click)=\"onClose(true)\">{{data.positiveLabel}}</button>\n</mat-dialog-actions>\n", styles: [""], dependencies: [{ kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "component", type: i4.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "directive", type: i1$3.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$3.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "directive", type: i1$3.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-question-dialog', template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin\" [innerHTML]=\"parsedContent\"></div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button color=\"warn\" (click)=\"onClose(false)\">{{data.negativeLabel}}</button>\n    <button mat-flat-button color=\"primary\" (click)=\"onClose(true)\">{{data.positiveLabel}}</button>\n</mat-dialog-actions>\n" }]
        }], ctorParameters: () => [{ type: i1$3.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }, { type: i2$1.DomSanitizer }] });

/**
 * Simple modal dialog with its own layout (which only shows information) based on a material design
 * that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
class AlertDialogComponent extends AbstractDialogComponent {
    dialogRef;
    data;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    constructor(dialogRef, data) {
        super(dialogRef, data);
        this.dialogRef = dialogRef;
        this.data = data;
    }
    onClose() {
        this.dialogRef.close({});
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogComponent, deps: [{ token: i1$3.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AlertDialogComponent, selector: "ncc-simple-dialog", usesInheritance: true, ngImport: i0, template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin\">{{data.content}}</div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button color=\"primary\" (click)=\"onClose()\">OK</button>\n</mat-dialog-actions>\n", styles: [""], dependencies: [{ kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "component", type: i4.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "directive", type: i1$3.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$3.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "directive", type: i1$3.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-simple-dialog', template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin\">{{data.content}}</div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button color=\"primary\" (click)=\"onClose()\">OK</button>\n</mat-dialog-actions>\n" }]
        }], ctorParameters: () => [{ type: i1$3.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }] });

/**
 * Question modal dialog with its own layout (which asks the user a question and wait for the answer)
 * based on a material design that injected data and inherits from an [AbstractDialog]{@link AbstractDialogComponent}.
 */
class PromptDialogComponent extends AbstractDialogComponent {
    dialogRef;
    data;
    /** Set submit button to disabled or enabled according to the user answer. */
    disableButton = true;
    prompt;
    submitClick;
    /**
     * Only injecting.
     * @param dialogRef Reference to a dialog opened via the MatDialog service.
     * @param data Injected data that was passed in to a dialog.
     */
    constructor(dialogRef, data) {
        super(dialogRef, data);
        this.dialogRef = dialogRef;
        this.data = data;
    }
    onClose(isSubmitted) {
        this.dialogRef.close(isSubmitted ? {
            prompt: this.prompt
        } : {});
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogComponent, deps: [{ token: i1$3.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: PromptDialogComponent, selector: "ncc-question-dialog-with-answer", usesInheritance: true, ngImport: i0, template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin netgrif-input netgrif-input-fix\">\n    <span>{{data.content}}</span>\n    <br>\n    <mat-form-field class=\"dialog-prompt-margin\" appearance=\"outline\">\n        <mat-label>{{data.placeholder}}</mat-label>\n        <input matInput [(ngModel)]=\"prompt\" (ngModelChange)=\"disableButton = !prompt || prompt.trim().length === 0\">\n    </mat-form-field>\n</div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button (click)=\"onClose(false)\">{{ 'dialog.close' | translate}}</button>\n    <button mat-flat-button color=\"primary\" [disabled]=\"disableButton\" (click)=\"onClose(true)\">{{ 'dialog.submit' | translate}}</button>\n</mat-dialog-actions>\n", styles: [".dialog-prompt-margin{margin-top:16px}\n"], dependencies: [{ kind: "directive", type: i3.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "component", type: i4.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "directive", type: i1$3.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$3.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "directive", type: i1$3.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i4$1.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i5$1.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i5$1.MatLabel, selector: "mat-label" }, { kind: "directive", type: i1$4.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$4.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$4.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: i1$2.TranslatePipe, name: "translate" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ncc-question-dialog-with-answer', template: "<h1 mat-dialog-title>{{data.title}}</h1>\n\n<div mat-dialog-content class=\"dialog-container dialog-content-margin netgrif-input netgrif-input-fix\">\n    <span>{{data.content}}</span>\n    <br>\n    <mat-form-field class=\"dialog-prompt-margin\" appearance=\"outline\">\n        <mat-label>{{data.placeholder}}</mat-label>\n        <input matInput [(ngModel)]=\"prompt\" (ngModelChange)=\"disableButton = !prompt || prompt.trim().length === 0\">\n    </mat-form-field>\n</div>\n\n<mat-dialog-actions fxLayoutAlign=\"end\">\n    <button mat-button (click)=\"onClose(false)\">{{ 'dialog.close' | translate}}</button>\n    <button mat-flat-button color=\"primary\" [disabled]=\"disableButton\" (click)=\"onClose(true)\">{{ 'dialog.submit' | translate}}</button>\n</mat-dialog-actions>\n", styles: [".dialog-prompt-margin{margin-top:16px}\n"] }]
        }], ctorParameters: () => [{ type: i1$3.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }] });

/**  Service to open own modal interacting dialog components based on Material Design via [MatDialog]{@link MatDialog} service. */
class DialogService {
    dialog;
    /**
     * Only inject service.
     * @param dialog Service to open Material Design modal dialogs.
     */
    constructor(dialog) {
        this.dialog = dialog;
    }
    /**
     * Open the alert modal dialog and show his content.
     * Alert dialog should be used to show the user a crucial message.
     * @param title Dialog title.
     * @param content Informs user about message.
     * @param configMatDialog Extra configuration options.
     * @returns Reference to the newly-opened alert dialog. When dialog closes an empty object is returned.
     */
    openAlertDialog(title, content, configMatDialog) {
        return this.dialog.open(AlertDialogComponent, Object.assign({
            data: {
                title,
                content
            }
        }, configMatDialog));
    }
    /**
     * Open question model dialog with positive and negative answer button.
     * @param title Dialog title.
     * @param question Question forming the idea of the whole dialogue with the user.
     * @param negativeChoiceLabel Negative answer label
     * @param positiveChoiceLabel Positive answer label
     * @param configMatDialog Extra configuration options.
     * @returns Reference to the newly-opened question dialog. When dialog is closed made choice is returned.
     */
    openConfirmDialog(title, question, negativeChoiceLabel, positiveChoiceLabel, configMatDialog) {
        return this.dialog.open(ConfirmDialogComponent, Object.assign({
            data: {
                title,
                content: question,
                negativeLabel: negativeChoiceLabel,
                positiveLabel: positiveChoiceLabel
            }
        }, configMatDialog));
    }
    /**
     * Open question model dialog with answer from user as message response.
     * @param title Dialog title.
     * @param question Question forming the idea of the whole dialogue with the user.
     * @param placeholder Label for answer input box.
     * @param configMatDialog Extra configuration options.
     * @returns Reference to the newly-opened question with answer dialog.
     */
    openPromptDialog(title, question, placeholder, configMatDialog) {
        return this.dialog.open(PromptDialogComponent, Object.assign({
            data: {
                title,
                content: question,
                placeholder
            }
        }, configMatDialog));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogService, deps: [{ token: i1$3.MatDialog }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialog }] });

class AbstractButtonDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    _dialogService;
    constructor(_translate, _dialogService, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
        this._dialogService = _dialogService;
    }
    getErrorMessage() {
        if (this.formControlRef.hasError(ButtonFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
    }
    /**
     * Function checks if button is icon type
     * @returns true if component type is 'fab', 'minifab' or 'icon'
     */
    isIconTypeButton() {
        return this.dataField.getComponentType() === 'fab' || this.dataField.getComponentType() === 'minifab' || this.dataField.getComponentType() === 'icon';
    }
    /**
     * This function depends on type of component, if had dialogText provided in component, then its open a dialog with that text
     */
    resolveValue() {
        if (!!this.dataField.component?.properties?.dialogText && this.dataField.component?.properties?.dialogTitle) {
            const dialogRef = this._dialogService.openConfirmDialog(this.dataField.component.properties.dialogTitle, this.dataField.component.properties.dialogText, this._translate.instant('dialog.close'), this._translate.instant('dialog.submit'));
            dialogRef.afterClosed().pipe(take(1)).subscribe(result => {
                if (result?.confirmed) {
                    this.formControlRef.setValue(this.formControlRef.value + 1);
                }
            });
        }
        else {
            this.formControlRef.setValue(this.formControlRef.value + 1);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractButtonDefaultFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DialogService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractButtonDefaultFieldComponent, selector: "ncc-abstract-button-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractButtonDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-button-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: DialogService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * This class wraps a `boolean` variable into an object, so it can be passed by reference rather than by value to other objects.
 */
class WrappedBoolean {
    value;
}

/**
 * Preferred layout of the displayed data field.
 *
 * `MATERIAL` - displays the material form field at 100% width of the available space.
 *
 * `NETGRIF` - displays the field at 100% width if the total width is bellow a given threshold (by default 250px).
 * Displays the field title on the left and the form filed on the right sharing the width 50:50 otherwise.
 * The form filed still uses material design with this setting.
 */
var TemplateAppearance;
(function (TemplateAppearance) {
    TemplateAppearance["MATERIAL"] = "material";
    TemplateAppearance["NETGRIF"] = "netgrif";
})(TemplateAppearance || (TemplateAppearance = {}));

class PaperViewService {
    _paperView;
    constructor() {
        const paper = localStorage.getItem('PaperView');
        if (paper === null) {
            this._paperView = false;
            localStorage.setItem('PaperView', 'false');
        }
        else {
            if (paper === 'true') {
                this._paperView = true;
            }
            else if (paper === 'false') {
                this._paperView = false;
            }
            else {
                this._paperView = false;
                localStorage.setItem('PaperView', 'false');
            }
        }
    }
    set paperView(bool) {
        this._paperView = bool;
        localStorage.setItem('PaperView', `${bool}`);
    }
    get paperView() {
        return this._paperView;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PaperViewService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PaperViewService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PaperViewService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class ComponentRegistryService {
    registry;
    typeRegistry;
    constructor() {
        this.registry = new Map();
        this.typeRegistry = new Map();
    }
    register(component, factory) {
        this.registry.set(component, factory);
    }
    registerType(key, type) {
        this.typeRegistry.set(key, type);
    }
    contains(component) {
        return this.registry.has(component);
    }
    get(component, injector) {
        if (!this.registry.has(component)) {
            return undefined;
        }
        return this.registry.get(component)(injector);
    }
    getType(key) {
        if (!this.typeRegistry.has(key)) {
            return undefined;
        }
        return this.typeRegistry.get(key);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ComponentRegistryService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ComponentRegistryService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ComponentRegistryService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

/**
 * Provides a responsive layout to data fields where their appearance can change based on the width of space they have available.
 *
 * If the width of the available space is less than the `layoutChangeWidthBreakpoint` then the provided `dataFieldTemplate` is displayed at
 * 100% width. If the width is greater or equal to the breakpoint the datafield template occupies the right half and the left half contains
 * it's title.
 *
 * If the datafield's layout is set to `TemplateAppearance.MATERIAL` the field always occupies 100% of the available space
 * regardless of it's width.
 *
 * See {@link DataField} and {@link TemplateAppearance} for more information.
 */
class AbstractDataFieldTemplateComponent {
    _paperView;
    _config;
    _componentRegistry;
    injector;
    /**
     * Content of the datafield that should be displayed in the template
     */
    dataFieldTemplate;
    /**
     * If the available space has a width smaller that this breakpoint the datafield will fill 100% of the available space.
     *
     * The breakpoint is only taken into consideration if `TemplateAppearance.NETGRIF` is set on the data field.
     *
     * See [DataField.layout]{@link DataField#layout} for more information.
     */
    layoutChangeWidthBreakpoint = 250;
    /**
     * Field offset defined by task
     */
    offset = 0;
    _additionalFieldProperties;
    container;
    _dataField;
    _isConfiguredNetgrifTemplate = true;
    _isNetgrifTemplate = true;
    _componentPortal;
    /**
     * @ignore
     * The value determines whether the layout should be "small" or not. Data field fills 100% of the width in "small" layout.
     */
    _showLargeLayout = new WrappedBoolean();
    constructor(_paperView, _config, _componentRegistry, injector) {
        this._paperView = _paperView;
        this._config = _config;
        this._componentRegistry = _componentRegistry;
        this.injector = injector;
        const configuredTemplate = this._config.getDatafieldConfiguration();
        this._isConfiguredNetgrifTemplate = configuredTemplate
            && configuredTemplate.template
            && configuredTemplate.template === TemplateAppearance.NETGRIF;
    }
    ngOnInit() {
        if (!!this._dataField && !!this._dataField.layout && !!this._dataField.layout.offset) {
            this.offset += this._dataField.layout.offset;
        }
        this._showLargeLayout.value = this.evaluateTemplate();
        this._dataField.resolveAppearance(this._config);
    }
    get showLargeLayout() {
        return this._showLargeLayout;
    }
    /**
     * Datafield model object that should be displayed in the template
     */
    set dataField(dataField) {
        this._dataField = dataField;
        if (this._dataField.layout && this._dataField.layout.template) {
            this._isNetgrifTemplate = this._dataField.layout.template === TemplateAppearance.NETGRIF;
        }
        else {
            this._isNetgrifTemplate = this._isConfiguredNetgrifTemplate;
        }
        this._componentPortal = this.resolveComponentPortal(this.dataField, this.showLargeLayout, this.dataField.formControlRef, this.additionalFieldProperties);
    }
    get dataField() {
        return this._dataField;
    }
    get componentPortal() {
        return this._componentPortal;
    }
    get additionalFieldProperties() {
        return this._additionalFieldProperties;
    }
    set additionalFieldProperties(value) {
        this._additionalFieldProperties = value;
    }
    /**
     * Function that is called when the Component changes dimension and
     * determines whether the "small" or "large" layout should be displayed.
     * @param event - event containing the new width of this Component
     */
    evaluateTemplateCondition() {
        (this.container && this.container.nativeElement && this.container.nativeElement.offsetWidth) ?
            this._showLargeLayout.value =
                this.container.nativeElement.offsetWidth >= this.layoutChangeWidthBreakpoint && this.evaluateTemplate() :
            this._showLargeLayout.value = this.evaluateTemplate();
        return this._showLargeLayout.value;
    }
    hasComponent() {
        return this._componentRegistry.contains(this.dataField.getTypedComponentType());
    }
    resolveComponentPortal(dataField, showLargeLayout, formControlRef, additionalFieldProperties) {
        if (this.hasComponent()) {
            const portalInjector = Injector.create({
                providers: [
                    {
                        provide: DATA_FIELD_PORTAL_DATA,
                        useValue: {
                            dataField: dataField,
                            showLargeLayout: showLargeLayout,
                            formControlRef: formControlRef,
                            additionalFieldProperties
                        }
                    }
                ],
                parent: this.injector
            });
            return this._componentRegistry.get(this.dataField.getTypedComponentType(), portalInjector);
        }
        return undefined;
    }
    /**
     * @returns `false` if the data field uses the `TemplateAppearance.MATERIAL` and `true` otherwise.
     */
    evaluateTemplate() {
        if (!this._dataField) {
            return true;
        }
        return this._isNetgrifTemplate;
    }
    isPaperView() {
        return this._paperView.paperView;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDataFieldTemplateComponent, deps: [{ token: PaperViewService }, { token: ConfigurationService }, { token: ComponentRegistryService }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDataFieldTemplateComponent, selector: "ncc-abstract-datafield-template", inputs: { dataFieldTemplate: "dataFieldTemplate", layoutChangeWidthBreakpoint: "layoutChangeWidthBreakpoint", offset: "offset", _additionalFieldProperties: "_additionalFieldProperties", dataField: "dataField", additionalFieldProperties: "additionalFieldProperties" }, viewQueries: [{ propertyName: "container", first: true, predicate: ["dataFieldContainer"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDataFieldTemplateComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-datafield-template',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: PaperViewService }, { type: ConfigurationService }, { type: ComponentRegistryService }, { type: i0.Injector }], propDecorators: { dataFieldTemplate: [{
                type: Input
            }], layoutChangeWidthBreakpoint: [{
                type: Input
            }], offset: [{
                type: Input
            }], _additionalFieldProperties: [{
                type: Input
            }], container: [{
                type: ViewChild,
                args: ['dataFieldContainer']
            }], dataField: [{
                type: Input
            }], additionalFieldProperties: [{
                type: Input
            }] } });

/**
 * @deprecated as of v6.4.0
 * */
class AbstractDateFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDateFieldComponent, selector: "ncc-abstract-date-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-date-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

var AbstractTimeInstanceFieldValidation;
(function (AbstractTimeInstanceFieldValidation) {
    AbstractTimeInstanceFieldValidation["BETWEEN"] = "between";
    AbstractTimeInstanceFieldValidation["WORKDAY"] = "workday";
    AbstractTimeInstanceFieldValidation["WEEKEND"] = "weekend";
    AbstractTimeInstanceFieldValidation["REQUIRED"] = "required";
    AbstractTimeInstanceFieldValidation["VALID_BETWEEN"] = "validBetween";
    AbstractTimeInstanceFieldValidation["VALID_WORKDAY"] = "validWorkday";
    AbstractTimeInstanceFieldValidation["VALID_WEEKEND"] = "validWeekend";
})(AbstractTimeInstanceFieldValidation || (AbstractTimeInstanceFieldValidation = {}));
class AbstractTimeInstanceField extends DataField {
    min;
    max;
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    static isEqual(a, b, granularity) {
        return (!a && !b) || (!!a && !!b && a.isSame(b, granularity));
    }
    /**
     * Parse date from string:
     * date is string 'past' - return string 'past'
     * date is string 'future' - return string 'future'
     * date is string 'today'/'now' - return moment instance of current date/time
     * date is string build by combination of 'today'/'now'+/-ISO8601 (eg. today-P1DT1H) - return parsed moment instance of date
     * date is string of specific date - return moment instance of this specific date
     * @param date - string that should be parsed
     */
    static parseDate(date) {
        if (date.includes('past')) {
            return 'past';
        }
        else if (date.includes('future')) {
            return 'future';
        }
        else if (date.includes('today') || date.includes('now')) {
            if (date.includes('+') || date.includes('-')) {
                const difference = date.includes('+') ? date.split('+')[1] : date.split('-')[1];
                if (date.includes('today')) {
                    return date.includes('+') ? moment().startOf('day').add(moment.duration(difference))
                        : moment().startOf('day').subtract(moment.duration(difference));
                }
                if (date.includes('now')) {
                    return date.includes('+') ? moment().add(moment.duration(difference)) : moment().subtract(moment.duration(difference));
                }
            }
            return date.includes('today') ? moment().startOf('day') : moment();
        }
        else {
            const newDate = moment(date);
            return newDate.isValid ? newDate : null;
        }
    }
    resolveValidations() {
        const result = [];
        this.validations.forEach(item => {
            if (item.validationRule.includes(AbstractTimeInstanceFieldValidation.BETWEEN)) {
                const tmp = item.validationRule.split(' ');
                const ranges = tmp[1].split(',');
                const start = AbstractTimeInstanceField.parseDate(ranges[0]);
                const end = AbstractTimeInstanceField.parseDate(ranges[1]);
                if (start && end) {
                    if (start === 'past' && moment(end).isValid()) {
                        result.push(this.validFromPast(moment(end)));
                        this.max = moment(end);
                    }
                    else if (end === 'future' && moment(start).isValid()) {
                        result.push(this.validToFuture(moment(start)));
                        this.min = moment(start);
                    }
                    else if (moment(start).isValid() && moment(end).isValid()) {
                        result.push(this.validBetween(moment(start), moment(end)));
                        this.min = moment(start);
                        this.max = moment(end);
                    }
                }
            }
            else if (item.validationRule.includes(AbstractTimeInstanceFieldValidation.WORKDAY)) {
                result.push(this.validWorkday);
            }
            else if (item.validationRule.includes(AbstractTimeInstanceFieldValidation.WEEKEND)) {
                result.push(this.validWeekend);
            }
        });
        return result;
    }
    validFromPast(range) {
        return (fc) => fc.value > range ? { validBetween: true } : null;
    }
    validToFuture(range) {
        return (fc) => fc.value < range ? { validBetween: true } : null;
    }
    validBetween(first, second) {
        return (fc) => fc.value < first || fc.value > second ? { validBetween: true } : null;
    }
    validWorkday(fc) {
        const dayOfWeek = !!fc.value ? fc.value.isoWeekday() : null;
        return dayOfWeek === 6 || dayOfWeek === 7 ? { validWorkday: true } : null;
    }
    validWeekend(fc) {
        const dayOfWeek = !!fc.value ? fc.value.isoWeekday() : null;
        return dayOfWeek >= 1 && dayOfWeek <= 5 ? { validWeekend: true } : null;
    }
}

class AbstractTimeInstanceFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    _adapter;
    _locale;
    _languageService;
    _subLang;
    constructor(_translate, _adapter, _locale, _languageService, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
        this._adapter = _adapter;
        this._locale = _locale;
        this._languageService = _languageService;
        if (this._locale !== this._languageService.getLanguage()) {
            this.setLangToAdapter(this._languageService.getLanguage());
        }
        this._subLang = this._languageService.getLangChange$().subscribe(lang => {
            if (this._locale !== lang) {
                this.setLangToAdapter(lang);
            }
        });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._subLang.unsubscribe();
    }
    setLangToAdapter(lang) {
        this._locale = lang;
        this._adapter.setLocale(this._locale);
    }
    buildErrorMessage(dataField) {
        if (this.formControlRef.hasError(AbstractTimeInstanceFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
        if (this.formControlRef.hasError(AbstractTimeInstanceFieldValidation.VALID_BETWEEN)) {
            const tmp = dataField.validations.find(value => value.validationRule.includes(AbstractTimeInstanceFieldValidation.BETWEEN)).validationRule.split(' ');
            const parts = tmp[1].split(',');
            let left = AbstractTimeInstanceField.parseDate(parts[0]);
            let right = AbstractTimeInstanceField.parseDate(parts[1]);
            left = moment.isMoment(left) ? left.format('DD.MM.YYYY HH:mm:ss') : left;
            right = moment.isMoment(right) ? right.format('DD.MM.YYYY HH:mm:ss') : right;
            if (left === 'past') {
                return this.resolveErrorMessage(dataField, AbstractTimeInstanceFieldValidation.BETWEEN, this._translate.instant('dataField.validations.datePast', { right }));
            }
            if (right === 'future') {
                return this.resolveErrorMessage(dataField, AbstractTimeInstanceFieldValidation.BETWEEN, this._translate.instant('dataField.validations.dateFuture', { left }));
            }
            return this.resolveErrorMessage(dataField, AbstractTimeInstanceFieldValidation.BETWEEN, this._translate.instant('dataField.validations.dateRange', { left, right }));
        }
        if (this.formControlRef.hasError(AbstractTimeInstanceFieldValidation.VALID_WORKDAY)) {
            return this.resolveErrorMessage(dataField, AbstractTimeInstanceFieldValidation.WORKDAY, this._translate.instant('dataField.validations.workday'));
        }
        if (this.formControlRef.hasError(AbstractTimeInstanceFieldValidation.VALID_WEEKEND)) {
            return this.resolveErrorMessage(dataField, AbstractTimeInstanceFieldValidation.WEEKEND, this._translate.instant('dataField.validations.weekend'));
        }
        return '';
    }
    resolveErrorMessage(dataField, search, generalMessage) {
        const validation = dataField.validations.find(value => value.validationRule.includes(search));
        if (validation.validationMessage && validation.validationMessage !== '') {
            return validation.validationMessage;
        }
        return generalMessage;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTimeInstanceFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: i2$2.DateAdapter }, { token: MAT_DATE_LOCALE }, { token: LanguageService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTimeInstanceFieldComponent, selector: "ncc-abstract-time-instance-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTimeInstanceFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-time-instance-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i2$2.DateAdapter }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DATE_LOCALE]
                }] }, { type: LanguageService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDateDefaultFieldComponent extends AbstractTimeInstanceFieldComponent {
    _translate;
    _adapter;
    _locale;
    _languageService;
    constructor(_translate, _adapter, _locale, _languageService, dataFieldPortalData) {
        super(_translate, _adapter, _locale, _languageService, dataFieldPortalData);
        this._translate = _translate;
        this._adapter = _adapter;
        this._locale = _locale;
        this._languageService = _languageService;
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateDefaultFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: i2$2.DateAdapter }, { token: MAT_DATE_LOCALE }, { token: LanguageService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDateDefaultFieldComponent, selector: "ncc-abstract-date-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-date-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i2$2.DateAdapter }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DATE_LOCALE]
                }] }, { type: LanguageService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated as of v6.4.0
 * */
class AbstractDateTimeFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateTimeFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDateTimeFieldComponent, selector: "ncc-abstract-date-time-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateTimeFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-date-time-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractDateTimeDefaultFieldComponent extends AbstractTimeInstanceFieldComponent {
    _translate;
    _adapter;
    _locale;
    _languageService;
    constructor(_translate, _adapter, _locale, _languageService, dataFieldPortalData) {
        super(_translate, _adapter, _locale, _languageService, dataFieldPortalData);
        this._translate = _translate;
        this._adapter = _adapter;
        this._locale = _locale;
        this._languageService = _languageService;
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateTimeDefaultFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: i2$3.NgxMatDateAdapter }, { token: MAT_DATE_LOCALE }, { token: LanguageService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDateTimeDefaultFieldComponent, selector: "ncc-abstract-date-time-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDateTimeDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-date-time-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i2$3.NgxMatDateAdapter }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DATE_LOCALE]
                }] }, { type: LanguageService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractEnumerationFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
        this._formControl = new FormControl('');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationFieldComponent, selector: "ncc-abstract-enumeration-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractEnumerationSelectFieldComponent extends AbstractBaseDataFieldComponent {
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationSelectFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationSelectFieldComponent, selector: "ncc-abstract-enumeration-select-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationSelectFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-select-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractEnumerationListFieldComponent extends AbstractBaseDataFieldComponent {
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    resetEnum() {
        this.formControlRef.reset();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationListFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationListFieldComponent, selector: "ncc-abstract-enumeration-list-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationListFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-list-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * Contains types of renderable data fields.
 */
var FieldTypeResource;
(function (FieldTypeResource) {
    FieldTypeResource["BOOLEAN"] = "boolean";
    FieldTypeResource["TEXT"] = "text";
    FieldTypeResource["NUMBER"] = "number";
    FieldTypeResource["ENUMERATION"] = "enumeration";
    FieldTypeResource["MULTICHOICE"] = "multichoice";
    FieldTypeResource["DATE"] = "date";
    FieldTypeResource["DATE_TIME"] = "dateTime";
    FieldTypeResource["USER"] = "user";
    FieldTypeResource["USER_LIST"] = "userList";
    FieldTypeResource["BUTTON"] = "button";
    FieldTypeResource["FILE"] = "file";
    FieldTypeResource["FILE_LIST"] = "fileList";
    FieldTypeResource["ENUMERATION_MAP"] = "enumeration_map";
    FieldTypeResource["MULTICHOICE_MAP"] = "multichoice_map";
    FieldTypeResource["TASK_REF"] = "taskRef";
    FieldTypeResource["CASE_REF"] = "caseRef";
    FieldTypeResource["FILTER"] = "filter";
    FieldTypeResource["I18N"] = "i18n";
    FieldTypeResource["STRING_COLLECTION"] = "stringCollection";
})(FieldTypeResource || (FieldTypeResource = {}));

var EnumerationFieldValidation;
(function (EnumerationFieldValidation) {
    EnumerationFieldValidation["WRONG_VALUE"] = "wrongValue";
    EnumerationFieldValidation["REQUIRED"] = "required";
})(EnumerationFieldValidation || (EnumerationFieldValidation = {}));
class EnumerationField extends DataField {
    _choices;
    _fieldType;
    REQUEST_DEBOUNCE_TIME = 600;
    _updatedChoices;
    constructor(stringId, title, value, _choices, behavior, placeholder, description, layout, _fieldType = FieldTypeResource.ENUMERATION, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._choices = _choices;
        this._fieldType = _fieldType;
        this._updatedChoices = new Subject();
    }
    set choices(choices) {
        this._choices = choices;
    }
    get choices() {
        return this._choices;
    }
    get fieldType() {
        return this._fieldType;
    }
    getUpdateOnStrategy() {
        return UpdateStrategy.CHANGE;
    }
    valueChanges() {
        return this._value.pipe(debounceTime(this.REQUEST_DEBOUNCE_TIME));
    }
    getTypedComponentType() {
        return ComponentPrefixes.ENUMERATION + this.getComponentType();
    }
    get updatedChoices() {
        return this._updatedChoices.asObservable();
    }
    updateChoice() {
        this._updatedChoices.next();
    }
    destroy() {
        super.destroy();
        this._updatedChoices.complete();
    }
    resolveFormControlValidators() {
        const result = [];
        if (this.behavior.required) {
            result.push(Validators.required);
        }
        result.push((control) => this.checkKey(control));
        return result;
    }
    checkKey(control) {
        if (this._choices === undefined || this._choices.length === 0 || control.value === '' || control.value === undefined) {
            return null;
        }
        return this._choices.find(choice => choice.key === control.value || control.value === null) ? null : { wrongValue: true };
    }
}

var EnumerationAutocompleteFilterProperty;
(function (EnumerationAutocompleteFilterProperty) {
    EnumerationAutocompleteFilterProperty["PREFIX"] = "prefix";
    EnumerationAutocompleteFilterProperty["SUBSTRING"] = "substring";
})(EnumerationAutocompleteFilterProperty || (EnumerationAutocompleteFilterProperty = {}));

class AbstractEnumerationAutocompleteSelectFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    text;
    filteredOptions;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    ngOnInit() {
        this.filteredOptions = this.formControlRef.valueChanges.pipe(startWith(''), map(value => this._filter(value)));
    }
    ngOnDestroy() {
        this.filteredOptions = undefined;
    }
    filterType() {
        if (this.checkPropertyInComponent('filter')) {
            return this.dataField.component.properties.filter;
        }
    }
    _filter(value) {
        let filterType = this.filterType()?.toLowerCase();
        switch (filterType) {
            case EnumerationAutocompleteFilterProperty.SUBSTRING:
                return this._filterInclude(value);
            case EnumerationAutocompleteFilterProperty.PREFIX:
                return this._filterIndexOf(value);
            default:
                return this._filterIndexOf(value);
        }
    }
    _filterInclude(value) {
        const filterValue = value?.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return this.dataField.choices.filter(option => option.value.toLowerCase()
            .normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '')
            .includes(filterValue));
    }
    /**
     * Function to filter out matchless options without accent and case-sensitive differences
     * @param  value to compare matching options
     * @return  return matched options
     */
    _filterIndexOf(value) {
        const filterValue = value?.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return this.dataField.choices.filter(option => option.value.toLowerCase().normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '').indexOf(filterValue) === 0);
    }
    change() {
        if (this.text.nativeElement.value !== undefined) {
            this.filteredOptions = of(this._filter(this.text.nativeElement.value));
        }
    }
    renderSelection = (key) => {
        if (key !== undefined && key !== '' && key !== null) {
            if (this.dataField.choices.find(choice => choice.key === key)) {
                return this.dataField.choices.find(choice => choice.key === key).value;
            }
        }
        return key;
    };
    buildErrorMessage() {
        if (this.formControlRef.hasError(EnumerationFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
        if (this.formControlRef.hasError(EnumerationFieldValidation.WRONG_VALUE)) {
            return this._translate.instant('dataField.validations.enumeration');
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationAutocompleteSelectFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationAutocompleteSelectFieldComponent, selector: "ncc-abstract-enumeration-autocomplete-field", viewQueries: [{ propertyName: "text", first: true, predicate: ["input"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationAutocompleteSelectFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-autocomplete-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { text: [{
                type: ViewChild,
                args: ['input']
            }] } });

class AbstractEnumerationStepperFieldComponent extends AbstractBaseDataFieldComponent {
    ref;
    steps;
    arrowStepper;
    subComp;
    constructor(ref, dataFieldPortalData) {
        super(dataFieldPortalData);
        this.ref = ref;
        this.arrowStepper = false;
    }
    ngOnInit() {
        this.arrowStepper = this.dataField.component?.properties?.arrowStepper === 'true';
        this.subComp = this.dataField.componentChange$().subscribe(() => {
            this.arrowStepper = this.dataField.component?.properties?.arrowStepper === 'true';
        });
    }
    canShowDoneIcon(index) {
        return index <= this.dataField.choices.findIndex(choice => choice.key === this.dataField.value);
    }
    isSelected(key) {
        return key === this.dataField.value;
    }
    ngAfterViewChecked() {
        if (!!this.steps && !!this.steps.toArray()) {
            const width = this.ref.nativeElement.parentElement.offsetWidth;
            const maxWidth = (width + (this.dataField.choices.length - 1) * 20) / this.dataField.choices.length;
            this.steps.toArray().forEach(step => {
                step.nativeElement.style.maxWidth = maxWidth >= 72 ? maxWidth + 'px' : '72px';
            });
        }
    }
    setStepperValue(key) {
        if (!this.formControlRef.disabled) {
            this.formControlRef.setValue(key);
        }
    }
    hasTitle() {
        return this.dataField.title !== undefined && this.dataField.title !== '';
    }
    resolveValue(key) {
        return this.dataField.choices.find(k => k.key === key)?.value;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.subComp.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationStepperFieldComponent, deps: [{ token: i0.ElementRef }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationStepperFieldComponent, selector: "ncc-abstract-enumeration-stepper-field", viewQueries: [{ propertyName: "steps", predicate: ["oneStep"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationStepperFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-stepper-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { steps: [{
                type: ViewChildren,
                args: ['oneStep']
            }] } });

class CaseRefField extends DataField {
    constructor(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.CASE_REF + this.getComponentType();
    }
}

const NAE_DEFAULT_HEADERS = new InjectionToken('NaeDefaultHeaders');

const NAE_CASE_REF_CREATE_CASE = new InjectionToken('NaeCaseRefCreateCase');
const NAE_CASE_REF_SEARCH = new InjectionToken('NaeCaseRefSearch');
const NAE_CASE_REF_DATAFIELD = new InjectionToken('NaeCaseRefDatafield');

/**
 * Provides the base filter of a {@link SearchService}
 */
const NAE_BASE_FILTER = new InjectionToken('NaeBaseFilter');

/**
 * Abstraction of backend search requests that defines a limited set of operations on them.
 */
class Filter {
    _id;
    _type;
    _title;
    /**
     * If no name is provided the filter will be identified by it's ID when necessary.
     * @param _id identifier of the filter
     * @param _type type of resources that the filter can query
     * @param _title human readable filter name
     */
    constructor(_id, _type, _title = '') {
        this._id = _id;
        this._type = _type;
        this._title = _title;
    }
    /**
     * Unique filter identifier
     */
    get id() {
        return this._id;
    }
    set id(id) {
        this._id = id;
    }
    /**
     * Determines the type of resource this Filter can filter.
     */
    get type() {
        return this._type;
    }
    /**
     * Human readable filter title.
     *
     * Defaults to empty string.
     */
    get title() {
        return this._title;
    }
    /**
     * Returns the necessary request params for the filter. Default implementation returns an empty object.
     * The params are added on top of the request when sending it to the backend by the respective service methods.
     * @returns an empty object `{}`
     */
    getRequestParams() {
        return {};
    }
    /**
     * Creates a deep copy of a simple object.
     * @param obj object that should be copied
     * @returns a deep copy of the argument
     */
    deepCopy(obj) {
        return JSON.parse(JSON.stringify(obj));
    }
}

/**
 * Determines whether the combination of Filters is an union (AND) or an intersection (OR).
 *
 * See {@link MergedFilter} for more information.
 */
var MergeOperator;
(function (MergeOperator) {
    MergeOperator["AND"] = "AND";
    MergeOperator["OR"] = "OR";
})(MergeOperator || (MergeOperator = {}));

/**
 * Determines the type of resource the Filter can search for.
 *
 * See {@link Filter} for more information.
 */
var FilterType;
(function (FilterType) {
    FilterType["TASK"] = "Task";
    FilterType["CASE"] = "Case";
})(FilterType || (FilterType = {}));

/**
 * Represents an union or an intersection of {@link SimpleFilter}s and allows limited manipulation with it.
 */
class MergedFilter extends Filter {
    _operator;
    /**
     * @ignore
     * Stores the underlying filter data
     */
    _filters;
    /**
     * Creates a filter with the provided body and the provided type
     * @param filterBody the body of the new filter
     * @param operator the merge operator that is used to combine the filters
     * @param type the type of the new filter. Type must match the type of the body.
     * @returns a filter with the given body, operator and type. `id` of the new filter is set to an empty string.
     */
    static fromQuery(filterBody, operator, type) {
        return new MergedFilter('', type, filterBody, operator);
    }
    /**
     * Creates a case filter with the provided body
     * @param filterBody the body of the new filter
     * @param operator the merge operator that is used to combine the filters
     * @returns a case filter with the given body and operator. `id` of the new filter is set to an empty string.
     */
    static fromCaseQuery(filterBody, operator) {
        return MergedFilter.fromQuery(filterBody, operator, FilterType.CASE);
    }
    /**
     * Creates a task filter with the provided body
     * @param filterBody the body of the new filter
     * @param operator the merge operator that is used to combine the filters
     * @returns a task filter with the given body and operator. `id` of the new filter is set to an empty string.
     */
    static fromTaskQuery(filterBody, operator) {
        return MergedFilter.fromQuery(filterBody, operator, FilterType.TASK);
    }
    /**
     * @param id identifier of the filter
     * @param type type of resources that the filter can query
     * @param filterBodies `Array` of search requests matching this filter's type
     * @param _operator boolean operator that is used to combine the filters
     * @param title human readable filter name
     */
    constructor(id, type, filterBodies, _operator, title) {
        super(id, type, title);
        this._operator = _operator;
        this._filters = [];
        filterBodies.forEach(body => {
            this._filters.push(this.deepCopy(body));
        });
    }
    set operator(operator) {
        this._operator = operator;
    }
    get operator() {
        return this._operator;
    }
    /**
     * See [Filter.clone()]{@link Filter#clone}
     */
    clone() {
        return new MergedFilter(this.id, this.type, this._filters, this._operator, this.title);
    }
    /**
     * Filters that are merged must share the same type and the same merge operator.
     *
     * See [Filter.merge()]{@link Filter#merge} for information about parameters.
     */
    merge(filter, operator) {
        if (filter.type !== this.type) {
            throw new Error('Can\'t merge filters with different types');
        }
        if (this._operator !== operator || (filter instanceof MergedFilter && filter._operator !== this._operator)) {
            throw new Error('Can\'t merge filters with different merge operators');
        }
        const id = `${this.id}${operator === MergeOperator.AND ? '&' : '|'}${filter.id}`;
        const combinedFilters = [];
        combinedFilters.push(...this._filters);
        const otherFilters = filter.getRequestBody();
        if (Array.isArray(otherFilters)) {
            combinedFilters.push(...otherFilters);
        }
        else {
            combinedFilters.push(otherFilters);
        }
        return new MergedFilter(id, this.type, combinedFilters, this._operator);
    }
    /**
     * See [Filter.getRequestBody()]{@link Filter#getRequestBody}
     */
    getRequestBody() {
        return this.deepCopy(this._filters);
    }
    /**
     * See [Filter.bodyContainsQuery()]{@link Filter#bodyContainsQuery}
     */
    bodyContainsQuery() {
        return this._filters.some(f => f.query !== undefined && f.query !== null);
    }
    /**
     * Returns the necessary request params for the filter.
     * @returns params with `operation` set to either `AND` or `OR` based on this object's `_operator` property.
     *
     * See {@link MergedFilterParams} for more information.
     */
    getRequestParams() {
        return {
            operation: this._operator
        };
    }
}

/**
 * Holds backend search request data and allows limited manipulation with it.
 */
class SimpleFilter extends Filter {
    /**
     * @ignore
     * Stores the underlying filter data
     */
    _filter;
    /**
     * Create an empty filter of provided type
     * @param type type of resources that the filter can query
     * @returns a filter with empty body of the provided type. `id` of the new filter is set to an empty string.
     */
    static empty(type) {
        return new SimpleFilter('', type, {});
    }
    /**
     * Equivalent to calling `SimpleFilter.empty(FilterType.CASE)`.
     * @returns a filter with empty body that can be used to search cases
     */
    static emptyCaseFilter() {
        return SimpleFilter.empty(FilterType.CASE);
    }
    /**
     * Equivalent to calling `SimpleFilter.empty(FilterType.TASK)`.
     * @returns a filter with empty body that can be used to search tasks
     */
    static emptyTaskFilter() {
        return SimpleFilter.empty(FilterType.TASK);
    }
    /**
     * Creates a filter with the provided body and the provided type
     * @param filterBody the body of the new filter
     * @param type the type of the new filter. Type must match the type of the body.
     * @returns a filter with the given body and type. `id` of the new filter is set to an empty string.
     */
    static fromQuery(filterBody, type) {
        return new SimpleFilter('', type, filterBody);
    }
    /**
     * Creates a case filter with the provided body
     * @param filterBody the body of the new filter
     * @returns a case filter with the given body. `id` of the new filter is set to an empty string.
     */
    static fromCaseQuery(filterBody) {
        return SimpleFilter.fromQuery(filterBody, FilterType.CASE);
    }
    /**
     * Creates a task filter with the provided body
     * @param filterBody the body of the new filter
     * @returns a task filter with the given body. `id` of the new filter is set to an empty string.
     */
    static fromTaskQuery(filterBody) {
        return SimpleFilter.fromQuery(filterBody, FilterType.TASK);
    }
    /**
     * @param id identifier of the filter
     * @param type type of resources that the filter can query
     * @param filterBody search request matching this filter's `type`
     * @param title human readable filter name
     */
    constructor(id, type, filterBody, title) {
        super(id, type, title);
        this._filter = this.deepCopy(filterBody);
    }
    /**
     * See [Filter.clone()]{@link Filter#clone}
     */
    clone() {
        return new SimpleFilter(this.id, this.type, this._filter, this.title);
    }
    /**
     * See [Filter.merge()]{@link Filter#merge}
     */
    merge(filter, operator) {
        const temp = new MergedFilter(this.id, this.type, [this._filter], operator, this.title);
        return temp.merge(filter, operator);
    }
    /**
     * See [Filter.bodyContainsQuery()]{@link Filter#bodyContainsQuery}
     */
    bodyContainsQuery() {
        return this._filter.query !== undefined && this._filter.query !== null;
    }
    /**
     * See [Filter.getRequestBody()]{@link Filter#getRequestBody}
     */
    getRequestBody() {
        return this.deepCopy(this._filter);
    }
}

const NAE_VIEW_ID = new InjectionToken('NaeViewId');
const NAE_VIEW_ID_SEGMENT = new InjectionToken('NaeViewIdSegment');

class ViewIdService {
    static VIEW_ID_SEGMENT_SEPARATOR = '-';
    _viewId;
    constructor(parentInjector, idSegment) {
        this._viewId = '';
        if (parentInjector !== null) {
            const parentIdService = parentInjector.get(ViewIdService, null);
            if (parentIdService !== null) {
                this._viewId = parentIdService.viewId + ViewIdService.VIEW_ID_SEGMENT_SEPARATOR;
            }
        }
        this._viewId += idSegment;
    }
    get viewId() {
        return this._viewId;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ViewIdService, deps: [{ token: i0.Injector, optional: true, skipSelf: true }, { token: NAE_VIEW_ID_SEGMENT }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ViewIdService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ViewIdService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i0.Injector, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_VIEW_ID_SEGMENT]
                }] }] });

let AbstractCaseRefBaseFieldComponent = class AbstractCaseRefBaseFieldComponent extends AbstractBaseDataFieldComponent {
    injector;
    caseViewType;
    componentPortal;
    constructor(injector, caseViewType, dataFieldPortalData) {
        super(dataFieldPortalData);
        this.injector = injector;
        this.caseViewType = caseViewType;
    }
    createFilter(filterValue) {
        let portalInjector;
        const filterProperty = this.dataField?.component?.properties?.filter === 'true';
        let query;
        if (filterProperty) {
            query = JSON.parse(this.dataField?.component?.properties?.filterQuery);
        }
        let providers = [
            {
                provide: NAE_DEFAULT_HEADERS, useValue: this.dataField.component?.properties?.headers.split(',')
            },
            {
                provide: NAE_CASE_REF_CREATE_CASE, useValue: this.dataField.component?.properties?.createCase === 'true'
            },
            {
                provide: NAE_CASE_REF_SEARCH, useValue: this.dataField.component?.properties?.search === 'true'
            },
            {
                provide: NAE_BASE_FILTER,
                useValue: { filter: SimpleFilter.fromCaseQuery((filterProperty && query ? query : { stringId: filterValue })) }
            },
            {
                provide: NAE_VIEW_ID_SEGMENT,
                useValue: this.dataField.parentCaseId + '_' + this.dataField.parentTaskId + '_' + this.dataField.stringId
            },
            { provide: ViewIdService, useClass: ViewIdService }
        ];
        if (this.dataField instanceof CaseRefField) {
            providers.push({
                provide: NAE_CASE_REF_DATAFIELD,
                useValue: this.dataField
            });
        }
        portalInjector = Injector.create({
            providers,
            parent: this.injector
        });
        this.componentPortal = new ComponentPortal(this.caseViewType, null, portalInjector);
    }
};
AbstractCaseRefBaseFieldComponent = __decorate([
    __param(2, Optional()),
    __param(2, Inject(DATA_FIELD_PORTAL_DATA))
], AbstractCaseRefBaseFieldComponent);

class AbstractEnumerationCaseRefComponent extends AbstractCaseRefBaseFieldComponent {
    injector;
    caseViewType;
    _sub;
    _subComp;
    constructor(injector, caseViewType, dataFieldPortalData) {
        super(injector, caseViewType, dataFieldPortalData);
        this.injector = injector;
        this.caseViewType = caseViewType;
    }
    ngAfterViewInit() {
        this.callCreateFilter();
        this._sub = this.dataField.updatedChoices.subscribe(() => {
            this.callCreateFilter();
        });
        this._subComp = this.dataField.componentChange$().subscribe(() => {
            this.callCreateFilter();
        });
    }
    callCreateFilter() {
        this.createFilter(this.dataField.choices.length > 0 ? this.dataField.choices.map(value => value.key) : '');
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._sub.unsubscribe();
        this._subComp.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationCaseRefComponent, deps: [{ token: i0.Injector }, { token: i0.Type }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationCaseRefComponent, selector: "ncc-abstract-enumeration-case-ref-default", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationCaseRefComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-case-ref-default',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i0.Type }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
/**
 * Component that is created in the body of the task panel accord on the Petri Net, which must be bind properties.
 */
class AbstractFileFieldComponent extends AbstractDataFieldComponent {
    taskId;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFileFieldComponent, selector: "ncc-abstract-file-field", inputs: { taskId: "taskId" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-file-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { taskId: [{
                type: Input
            }] } });

/**
 * Supported types of files a user can select through a file picker.
 */
var FileUploadMIMEType;
(function (FileUploadMIMEType) {
    FileUploadMIMEType["IMAGE"] = "image/*";
    FileUploadMIMEType["VIDEO"] = "video/*";
    FileUploadMIMEType["AUDIO"] = "audio/*";
    FileUploadMIMEType["PDF"] = ".pdf";
    FileUploadMIMEType["JPG_JPEG"] = ".jpg,.jpeg";
    FileUploadMIMEType["XML"] = ".xml";
    FileUploadMIMEType["DOC_DOCX"] = ".doc,.docx";
    FileUploadMIMEType["XLS_XLSX"] = ".xls,.xlsx";
})(FileUploadMIMEType || (FileUploadMIMEType = {}));
/**
 * Supported types for file preview
 */
var FilePreviewType;
(function (FilePreviewType) {
    FilePreviewType[FilePreviewType["pdf"] = 0] = "pdf";
    FilePreviewType[FilePreviewType["jpg"] = 1] = "jpg";
    FilePreviewType[FilePreviewType["jpeg"] = 2] = "jpeg";
    FilePreviewType[FilePreviewType["png"] = 3] = "png";
})(FilePreviewType || (FilePreviewType = {}));
/**
 * Holds information represent file field implements in Petri Net
 */
class FileField extends DataField {
    _maxUploadSizeInBytes;
    _allowTypes;
    /**
     * Specifies the size of all uploaded files in bytes.
     *
     * It is an indicator for checking the oversized size in the Petri Net.
     */
    filesSize = 0;
    /**
     * Used to forward the result of the upload file backend call to the task content
     */
    _changedFields$;
    downloaded;
    set value(value) {
        if (!this.valueEquality(this._value.getValue(), value) && !this.reverting) {
            this.changed = true;
            this.waitingForResponse = true;
            this.resolvePrevValue(value ?? {});
        }
        this._value.next(value ?? {});
        this.reverting = false;
    }
    get value() {
        return this._value.getValue();
    }
    get updated() {
        return this._update.asObservable();
    }
    getTypedComponentType() {
        return ComponentPrefixes.FILE + this.getComponentType();
    }
    valueWithoutChange(value) {
        this.changed = false;
        this._value.next(value ?? {});
    }
    /**
     * Create new instance for file field with all his properties.
     *
     * Placeholder is a substitute for the value name if not set value.
     */
    constructor(stringId, title, behavior, value, placeholder, description, layout, _maxUploadSizeInBytes, _allowTypes, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._maxUploadSizeInBytes = _maxUploadSizeInBytes;
        this._allowTypes = _allowTypes;
        this._changedFields$ = new Subject();
    }
    get maxUploadSizeInBytes() {
        return this._maxUploadSizeInBytes;
    }
    get allowTypes() {
        return this._allowTypes instanceof Array ? this._allowTypes.toString() : this._allowTypes;
    }
    get changedFields$() {
        return this._changedFields$.asObservable();
    }
    emitChangedFields(change) {
        this._changedFields$.next(change);
    }
    valueEquality(a, b) {
        let file = JSON.stringify(a) === JSON.stringify(b);
        if (a && a.file && b && b.file) {
            file = a.file.name === b.file.name;
        }
        return (!a && !b) || (!!a && !!b && a.name === b.name && file);
    }
    registerFormControl(formControl) {
        if (this.initialized) {
            throw new Error('Data field can be initialized only once!'
                + ' Disconnect the previous form control before initializing the data field again!');
        }
        this.formControlRef = formControl;
        formControl.setValidators(this.resolveFormControlValidators());
        this._myValueSubscription = this._value.pipe(distinctUntilChanged(this.valueEquality)).subscribe(newValue => {
            this.valid = this._determineFormControlValidity(formControl);
            formControl.setValue(newValue?.name ?? '');
            this.update();
        });
        this.updateFormControlState(formControl);
        this._initialized$.next(true);
        this.changed = false;
        this.waitingForResponse = false;
    }
    updateFormControlState(formControl) {
        this.subscribeToInnerSubjects(formControl);
        this.update();
    }
}

const PREVIEW = 'preview';
const PREVIEW_BUTTON = 'preview_button';
const FILE_FIELD_HEIGHT = 75;
const FILE_FIELD_PADDING = 16;

class AbstractFileFieldDefaultComponent extends AbstractBaseDataFieldComponent {
    _log;
    _snackbar;
    _translate;
    labelWidth;
    cutProperty;
    /**
     * Task mongo string id is binding property from parent component.
     */
    taskId;
    /**
     * File picker element reference from component template that is initialized after view init.
     */
    fileUploadEl;
    constructor(_log, _snackbar, _translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
    }
    checkAllowedTypes() {
        const files = this.fileUploadEl?.nativeElement?.files;
        let bool = true;
        for (let i = 0; i < files?.length; i++) {
            if (!this.checkTypes(files.item(i).type)) {
                this._log.error('File ' + files.item(i).name + ' cannot be uploaded. Its type is not allowed');
                this._snackbar.openErrorSnackBar(this._translate.instant('dataField.file.notAllowed', { fileName: files.item(i).name }));
                bool = false;
            }
        }
        if (!bool) {
            this.fileUploadEl.nativeElement.value = '';
        }
        return bool;
    }
    checkTypes(itemType) {
        if (this.dataField.allowTypes === undefined || this.dataField.allowTypes === null) {
            this._log.debug(`Types are not provided, returning true`);
            return true;
        }
        const type = itemType.includes("/") ? itemType.split("/")[1] : itemType;
        if (this.dataField.allowTypes.includes(type)) {
            return true;
        }
        if (this.dataField.allowTypes.includes(FileUploadMIMEType.IMAGE) && itemType.includes("image/")) {
            return true;
        }
        if (this.dataField.allowTypes.includes(FileUploadMIMEType.VIDEO) && itemType.includes("video/")) {
            return true;
        }
        if (this.dataField.allowTypes.includes(FileUploadMIMEType.AUDIO) && itemType.includes("audio/")) {
            return true;
        }
        return false;
    }
    getCutProperty(label) {
        if (this.labelWidth !== label.offsetWidth) {
            this.labelWidth = label.offsetWidth;
            const calculatedWidth = 'calc(0.5em + ' + label.offsetWidth / 4 * 3 + 'px)';
            this.cutProperty = `polygon(0 0, 0 100%, 100% 100%, 100% 0%, ${calculatedWidth} 0, ${calculatedWidth} 3px, 0.5em 3px, 0.5em 0)`;
        }
        return this.cutProperty;
    }
    resolveParentTaskId() {
        return !!this.dataField.parentTaskId ? this.dataField.parentTaskId : this.taskId;
    }
    resolveMaxSizeMessage() {
        if (this.dataField?.component?.properties?.maxSizeMessage) {
            this._snackbar.openErrorSnackBar(this._translate.instant(this.dataField?.component?.properties?.maxSizeMessage));
        }
        else {
            this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.maxFilesSizeExceeded') + this.dataField.maxUploadSizeInBytes * 0.000001 + 'MB');
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileFieldDefaultComponent, deps: [{ token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFileFieldDefaultComponent, selector: "ncc-abstract-file-field-default-component", inputs: { taskId: "taskId" }, viewQueries: [{ propertyName: "fileUploadEl", first: true, predicate: ["fileUploadInput"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileFieldDefaultComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-file-field-default-component',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { taskId: [{
                type: Input
            }], fileUploadEl: [{
                type: ViewChild,
                args: ['fileUploadInput']
            }] } });

var TextFieldView;
(function (TextFieldView) {
    TextFieldView["DEFAULT"] = "default";
    TextFieldView["TEXTAREA"] = "textarea";
    TextFieldView["RICHTEXTAREA"] = "richtextarea";
    TextFieldView["HTMLTEXTAREA"] = "htmltextarea";
})(TextFieldView || (TextFieldView = {}));
/**
 * A collection of Text field component names supported by the application engine.
 */
var TextFieldComponent;
(function (TextFieldComponent) {
    TextFieldComponent["PASSWORD"] = "password";
    TextFieldComponent["TEXT_AREA"] = "textarea";
    TextFieldComponent["RICH_TEXT_AREA"] = "richtextarea";
    TextFieldComponent["HTML_TEXT_AREA"] = "htmltextarea";
    TextFieldComponent["DASHBOARD_LINE_CHART"] = "dashboard_line_chart";
    TextFieldComponent["DASHBOARD_PIE_CHART"] = "dashboard_pie_chart";
    TextFieldComponent["DASHBOARD_BAR_CHART"] = "dashboard_bar_chart";
    TextFieldComponent["DASHBOARD_IFRAME"] = "dashboard_iframe";
    TextFieldComponent["DASHBOARD_PORTAL"] = "dashboard_portal";
})(TextFieldComponent || (TextFieldComponent = {}));
var TextAreaHeight;
(function (TextAreaHeight) {
    TextAreaHeight[TextAreaHeight["OUTLINE"] = 20] = "OUTLINE";
    TextAreaHeight[TextAreaHeight["FILL_STANDARD"] = 22] = "FILL_STANDARD";
})(TextAreaHeight || (TextAreaHeight = {}));
var TextFieldValidation;
(function (TextFieldValidation) {
    TextFieldValidation["REQUIRED"] = "required";
    TextFieldValidation["MIN_LENGTH"] = "minLength";
    TextFieldValidation["MAX_LENGTH"] = "maxLength";
    TextFieldValidation["VALID_MIN_LENGTH"] = "minlength";
    TextFieldValidation["VALID_MAX_LENGTH"] = "maxlength";
    TextFieldValidation["PATTERN"] = "pattern";
    TextFieldValidation["REGEX"] = "regex";
    TextFieldValidation["VALID_TEL_NUMBER"] = "validTelNumber";
    TextFieldValidation["TEL_NUMBER"] = "telNumber";
    TextFieldValidation["EMAIL"] = "email";
})(TextFieldValidation || (TextFieldValidation = {}));
class TextField extends DataField {
    static FIELD_HEIGHT = 67;
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, _component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, _component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.TEXT + this.getComponentType();
    }
    resolveValidations() {
        const result = [];
        this.validations.forEach(item => {
            if (item.validationRule.includes(TextFieldValidation.MIN_LENGTH)) {
                const tmp = item.validationRule.split(' ');
                if (tmp[1] !== undefined) {
                    const length = parseInt(tmp[1], 10);
                    if (!isNaN(length)) {
                        result.push(Validators.minLength(length));
                    }
                }
            }
            else if (item.validationRule.includes(TextFieldValidation.MAX_LENGTH)) {
                const tmp = item.validationRule.split(' ');
                if (tmp[1] !== undefined) {
                    const length = parseInt(tmp[1], 10);
                    if (!isNaN(length)) {
                        result.push(Validators.maxLength(length));
                    }
                }
            }
            else if (item.validationRule.includes(TextFieldValidation.REGEX)) {
                if (item.validationRule.startsWith('regex ')) {
                    result.push(Validators.pattern(new RegExp(item.validationRule.substring(6, item.validationRule.length))));
                }
                else if (item.validationRule.startsWith('regex("')) {
                    result.push(Validators.pattern(new RegExp(item.validationRule.substring(7, item.validationRule.length - 2))));
                }
            }
            else if (item.validationRule.includes(TextFieldValidation.EMAIL)) {
                result.push(Validators.email);
            }
            else if (item.validationRule.includes(TextFieldValidation.TEL_NUMBER)) {
                result.push(this.validTelNumber);
            }
        });
        return result;
    }
    validTelNumber(fc) {
        if (!(new RegExp(/^(?:\+?(\d{1,3}))?([-. (]*(\d{3})[-. )]*)?((\d{3})[-. ]*(\d{2,4})(?:[-.x ]*(\d+))?)$/).test(fc.value))) {
            return ({ validTelNumber: true });
        }
        else {
            return null;
        }
    }
}

var NumberFieldValidation;
(function (NumberFieldValidation) {
    NumberFieldValidation["ODD"] = "odd";
    NumberFieldValidation["EVEN"] = "even";
    NumberFieldValidation["POSITIVE"] = "positive";
    NumberFieldValidation["NEGATIVE"] = "negative";
    NumberFieldValidation["DECIMAL"] = "decimal";
    NumberFieldValidation["IN_RANGE"] = "inrange";
    NumberFieldValidation["INF"] = "inf";
    NumberFieldValidation["REQUIRED"] = "required";
    NumberFieldValidation["VALID_ODD"] = "validOdd";
    NumberFieldValidation["VALID_EVEN"] = "validEven";
    NumberFieldValidation["VALID_POSITIVE"] = "validPositive";
    NumberFieldValidation["VALID_NEGATIVE"] = "validNegative";
    NumberFieldValidation["VALID_DECIMAL"] = "validDecimal";
    NumberFieldValidation["VALID_IN_RANGE"] = "validInRange";
})(NumberFieldValidation || (NumberFieldValidation = {}));
class NumberField extends DataField {
    _formatFilter;
    constructor(stringId, title, value, behavior, validations, placeholder, description, layout, format, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._formatFilter = format;
    }
    getTypedComponentType() {
        return ComponentPrefixes.NUMBER + this.getComponentType();
    }
    resolveValidations() {
        const result = [];
        this.validations.forEach(item => {
            if (item.validationRule.includes(NumberFieldValidation.ODD)) {
                result.push(this.validOdd);
            }
            else if (item.validationRule.includes(NumberFieldValidation.EVEN)) {
                result.push(this.validEven);
            }
            else if (item.validationRule.includes(NumberFieldValidation.POSITIVE)) {
                result.push(this.validPositive);
            }
            else if (item.validationRule.includes(NumberFieldValidation.NEGATIVE)) {
                result.push(this.validNegative);
            }
            else if (item.validationRule.includes(NumberFieldValidation.DECIMAL)) {
                result.push(this.validDecimal);
            }
            else if (item.validationRule.includes(NumberFieldValidation.IN_RANGE)) {
                const tmp = item.validationRule.split(' ');
                const ranges = tmp[1].split(',');
                const first = parseFloat(ranges[0]);
                const second = parseFloat(ranges[1]);
                if (isNaN(first) && !isNaN(second) && ranges[0].includes(NumberFieldValidation.INF)) {
                    result.push(this.validInRangeSmaller(second));
                }
                else if (isNaN(second) && !isNaN(first) && ranges[1].includes(NumberFieldValidation.INF)) {
                    result.push(this.validInRangeBigger(first));
                }
                else if (!isNaN(first) && !isNaN(second)) {
                    result.push(this.validInRange(first, second));
                }
            }
        });
        return result;
    }
    validOdd(fc) {
        if ((fc.value % 2) === 0) {
            return ({ validOdd: true });
        }
        else {
            return (null);
        }
    }
    validEven(fc) {
        if ((fc.value % 2) !== 0) {
            return ({ validEven: true });
        }
        else {
            return (null);
        }
    }
    validPositive(fc) {
        if (fc.value < 0) {
            return ({ validPositive: true });
        }
        else {
            return (null);
        }
    }
    validNegative(fc) {
        if (fc.value >= 0) {
            return ({ validNegative: true });
        }
        else {
            return (null);
        }
    }
    validDecimal(fc) {
        if (fc.value % 1 !== 0) {
            return ({ validDecimal: true });
        }
        else {
            return (null);
        }
    }
    validInRangeSmaller(range) {
        return (fc) => {
            if (fc.value > range) {
                return ({ validInRange: true });
            }
            else {
                return (null);
            }
        };
    }
    validInRangeBigger(range) {
        return (fc) => {
            if (fc.value < range) {
                return ({ validInRange: true });
            }
            else {
                return (null);
            }
        };
    }
    validInRange(first, second) {
        return (fc) => {
            if (fc.value < first || fc.value > second) {
                return ({ validInRange: true });
            }
            else {
                return (null);
            }
        };
    }
}

class MultichoiceField extends DataField {
    _choices;
    _fieldType;
    _updatedChoices;
    constructor(stringId, title, values, _choices, behavior, placeholder, description, layout, _fieldType = FieldTypeResource.MULTICHOICE, validations, component, parentTaskId) {
        super(stringId, title, values, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._choices = _choices;
        this._fieldType = _fieldType;
        this._updatedChoices = new Subject();
    }
    set choices(choices) {
        this._choices = choices;
    }
    get choices() {
        return this._choices;
    }
    get fieldType() {
        return this._fieldType;
    }
    get updatedChoices() {
        return this._updatedChoices.asObservable();
    }
    updateChoice() {
        this._updatedChoices.next();
    }
    getUpdateOnStrategy() {
        return UpdateStrategy.CHANGE;
    }
    getTypedComponentType() {
        return ComponentPrefixes.MULTICHOICE + this.getComponentType();
    }
    valueEquality(a, b) {
        // we assume that multichoice options are always given in the same order
        return (!a && !b) || (!!a
            && !!b
            && a.length === b.length
            && a.every((element, index) => element === b[index]));
    }
}

class DateField extends AbstractTimeInstanceField {
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.DATE + this.getComponentType();
    }
    valueEquality(a, b) {
        return AbstractTimeInstanceField.isEqual(a, b, 'day');
    }
}

class DateTimeField extends AbstractTimeInstanceField {
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.DATE_TIME + this.getComponentType();
    }
    valueEquality(a, b) {
        return AbstractTimeInstanceField.isEqual(a, b, 'minute');
    }
}

class UserField extends DataField {
    _roles;
    constructor(stringId, title, behavior, value, _roles, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._roles = _roles;
    }
    getTypedComponentType() {
        return ComponentPrefixes.USER + this.getComponentType();
    }
    get roles() {
        return this._roles;
    }
    valueEquality(a, b) {
        return (!a && !b) || (!!a && !!b && a.email === b.email);
    }
}

/**
 * Used by [UserField]{@link UserField} and [UserAssignComponent]{@link AbstractUserAssignComponent}.
 *
 * Represents the value of the user.
 */
class UserValue {
    _id;
    _name;
    _surname;
    _email;
    /**
     * An object that represents the selected user in {@link UserField} and [UserAssignComponent]{@link AbstractUserAssignComponent}.
     * @param _id the id of the selected user
     * @param _name the first name of the selected user
     * @param _surname the surname of the selected user
     * @param _email email of the selected user
     */
    constructor(_id, _name, _surname, _email) {
        this._id = _id;
        this._name = _name;
        this._surname = _surname;
        this._email = _email;
    }
    get id() {
        return this._id;
    }
    get name() {
        return this._name;
    }
    get surname() {
        return this._surname;
    }
    get fullName() {
        return this._name + ' ' + this._surname;
    }
    get email() {
        return this._email;
    }
}

var FileListFieldValidation;
(function (FileListFieldValidation) {
    FileListFieldValidation["MAX_FILES"] = "maxFiles";
})(FileListFieldValidation || (FileListFieldValidation = {}));
class FileListField extends DataField {
    _maxUploadSizeInBytes;
    _allowTypes;
    /**
     * Used to forward the result of the upload file backend call to the task content
     */
    _changedFields$;
    downloaded;
    set value(value) {
        if (!this.valueEquality(this._value.getValue(), value) && !this.reverting) {
            this.changed = true;
            this.waitingForResponse = true;
            this.resolvePrevValue(value ?? { namesPaths: [] });
        }
        this._value.next(value ?? { namesPaths: [] });
        this.reverting = false;
    }
    get value() {
        return this._value.getValue();
    }
    getTypedComponentType() {
        return ComponentPrefixes.FILE_LIST + this.getComponentType();
    }
    valueWithoutChange(value) {
        this.changed = false;
        this._value.next(value ?? { namesPaths: [] });
    }
    /**
     * Create new instance for file field with all his properties.
     *
     * Placeholder is a substitute for the value name if not set value.
     */
    constructor(stringId, title, behavior, value, placeholder, description, layout, validations, _maxUploadSizeInBytes, _allowTypes, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._maxUploadSizeInBytes = _maxUploadSizeInBytes;
        this._allowTypes = _allowTypes;
        this._changedFields$ = new Subject();
        this.downloaded = new Array();
    }
    get maxUploadSizeInBytes() {
        return this._maxUploadSizeInBytes;
    }
    get allowTypes() {
        return this._allowTypes instanceof Array ? this._allowTypes.toString() : this._allowTypes;
    }
    get changedFields$() {
        return this._changedFields$.asObservable();
    }
    emitChangedFields(change) {
        this._changedFields$.next(change);
    }
    /**
     * We assume that files are always given in the same order.
     */
    valueEquality(a, b) {
        let array = (JSON.stringify(a) === '{}' || !a.namesPaths || a.namesPaths.length === 0) &&
            (JSON.stringify(b) === '{}' || !b.namesPaths || b.namesPaths.length === 0);
        if (a && a.namesPaths && a.namesPaths.length !== 0 && b && b.namesPaths && b.namesPaths.length !== 0) {
            array = a.namesPaths.every((element, index) => element.name === b.namesPaths[index].name);
        }
        return (!a && !b) || (!!a && !!b && array);
    }
    registerFormControl(formControl) {
        if (this.initialized) {
            throw new Error('Data field can be initialized only once!'
                + ' Disconnect the previous form control before initializing the data field again!');
        }
        this.formControlRef = formControl;
        formControl.setValidators(this.resolveFormControlValidators());
        this._myValueSubscription = this._value.pipe(distinctUntilChanged(this.valueEquality)).subscribe(newValue => {
            this.valid = this._determineFormControlValidity(formControl);
            formControl.setValue(!newValue || !newValue.namesPaths ? '' : newValue.namesPaths.map(namePath => {
                return namePath.name;
            }).join('/'));
            this.update();
        });
        this.updateFormControlState(formControl);
        this._initialized$.next(true);
        this.changed = false;
        this.waitingForResponse = false;
    }
    updateFormControlState(formControl) {
        this.subscribeToInnerSubjects(formControl);
        this.update();
    }
}

class TextAreaField extends TextField {
    SEARCH_DEBOUNCE_TIME = 600;
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    valueChanges() {
        return this._value.pipe(debounceTime(this.SEARCH_DEBOUNCE_TIME));
    }
}

class TaskRefField extends DataField {
    _dashboardTiles;
    _dashboardRows;
    _dashboardCols;
    constructor(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    get dashboardTiles() {
        return this._dashboardTiles;
    }
    set dashboardTiles(value) {
        this._dashboardTiles = value;
    }
    get dashboardRows() {
        return this._dashboardRows;
    }
    set dashboardRows(value) {
        this._dashboardRows = value;
    }
    get dashboardCols() {
        return this._dashboardCols;
    }
    set dashboardCols(value) {
        this._dashboardCols = value;
    }
    getTypedComponentType() {
        return ComponentPrefixes.TASK_REF + this.getComponentType();
    }
}

class DynamicEnumerationField extends EnumerationField {
    _choices;
    _fieldType;
    REQUEST_DEBOUNCE_TIME = 600;
    _choicesChange$;
    _loading;
    constructor(stringId, title, value, _choices, behavior, placeholder, description, layout, _fieldType = FieldTypeResource.ENUMERATION, validations, component, parentTaskId) {
        super(stringId, title, value, _choices, behavior, placeholder, description, layout, _fieldType, validations, component, parentTaskId);
        this._choices = _choices;
        this._fieldType = _fieldType;
        this._choicesChange$ = new Subject();
        this._loading = new LoadingEmitter();
    }
    set choices(choices) {
        this._choices = choices;
        this._choicesChange$.next();
    }
    get choices() {
        return this._choices;
    }
    set loading(bool) {
        bool ? this._loading.on() : this._loading.off();
    }
    get loading() {
        return this._loading.isActive;
    }
    get choicesChange$() {
        return this._choicesChange$.asObservable();
    }
    valueChanges() {
        return this._value.pipe(debounceTime(this.REQUEST_DEBOUNCE_TIME));
    }
    resolveFormControlValidators() {
        const result = [];
        if (this.behavior.required) {
            result.push(Validators.required);
        }
        return result;
    }
}

class FilterField extends DataField {
    _filterMetadata;
    _allowedNets;
    constructor(stringId, title, initialValue, _filterMetadata, _allowedNets, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._filterMetadata = _filterMetadata;
        this._allowedNets = _allowedNets;
    }
    get filterMetadata() {
        return this._filterMetadata;
    }
    get allowedNets() {
        return this._allowedNets;
    }
    getTypedComponentType() {
        return ComponentPrefixes.FILTER + this.getComponentType();
    }
}

var I18nFieldValidation;
(function (I18nFieldValidation) {
    I18nFieldValidation["TRANSLATION_REQUIRED"] = "translationRequired";
    I18nFieldValidation["TRANSLATION_ONLY"] = "translationOnly";
    I18nFieldValidation["REQUIRED_I18N"] = "requiredI18n";
})(I18nFieldValidation || (I18nFieldValidation = {}));
const DEFAULT_LANGUAGE_CODE = 'xx';
class I18nField extends DataField {
    getTypedComponentType() {
        return ComponentPrefixes.I18N + this.getComponentType();
    }
    static defaultValueNonEquality(a, b) {
        return (!(!a.defaultValue && !b.defaultValue)
            && ((!a.defaultValue && !!b.defaultValue)
                || (!b.defaultValue && !!a.defaultValue)
                || (a.defaultValue !== b.defaultValue)));
    }
    static keyNonEquality(a, b) {
        return (!(!a.key && !b.key) && ((!a.key && !!b.key) || (!b.key && !!a.key) || (a.key !== b.key)));
    }
    static translationsNonEquality(a, b) {
        return (!(!a.translations && !b.translations)
            && ((!a.translations && !!b.translations) || (!b.translations && !!a.translations)));
    }
    static translationsEquality(a, b) {
        const aKeys = !!a.translations ? Object.keys(a.translations).sort() : [];
        const bKeys = !!b.translations ? Object.keys(b.translations).sort() : [];
        if (aKeys.length !== bKeys.length
            || !aKeys.every((element, index) => {
                return element === bKeys[index];
            })) {
            return false;
        }
        for (const k in a.translations) {
            if (a.translations[k] !== b.translations[k]) {
                return false;
            }
        }
        return true;
    }
    static toObject(templateValue) {
        const object = {};
        object[DEFAULT_LANGUAGE_CODE] = templateValue?.defaultValue ?? "";
        if (!!templateValue) {
            for (const k in templateValue.translations) {
                if (Object.prototype.hasOwnProperty.call(templateValue.translations, k)) {
                    object[k] = templateValue.translations[k];
                }
            }
        }
        return object;
    }
    static fromObject(templateValue, templateKey) {
        const i18nObject = {
            defaultValue: templateValue[DEFAULT_LANGUAGE_CODE],
            key: templateKey,
            translations: {}
        };
        for (const [key, value] of Object.entries(templateValue)) {
            if (key === DEFAULT_LANGUAGE_CODE) {
                continue;
            }
            i18nObject.translations[key] = value;
        }
        return i18nObject;
    }
    constructor(stringId, title, value, behavior, placeholder, description, layout, validations, _component) {
        if (typeof value === 'string') {
            value = { defaultValue: value };
        }
        super(stringId, title, value, behavior, placeholder, description, layout, validations, _component);
    }
    valueEquality(a, b) {
        if (!a && !b) {
            return true;
        }
        if ((!a && !!b) || (!b && !!a)) {
            return false;
        }
        if ((!a.defaultValue && !b.defaultValue) && (!a.translations && !b.translations) && (!a.key && !b.key)) {
            return true;
        }
        if (I18nField.defaultValueNonEquality(a, b) || I18nField.keyNonEquality(a, b) || I18nField.translationsNonEquality(a, b)) {
            return false;
        }
        return I18nField.translationsEquality(a, b);
    }
    get updated() {
        return this._update.asObservable();
    }
    calculateValidity(forValidRequired, formControl) {
        const isDisabled = formControl.disabled;
        if (forValidRequired) {
            formControl.enable();
        }
        formControl.clearValidators();
        if (forValidRequired) {
            formControl.setValidators(this.behavior.required ? [this.validRequiredI18n] : []);
        }
        else {
            formControl.setValidators(this.resolveFormControlValidators());
        }
        formControl.updateValueAndValidity();
        const validity = this._determineFormControlValidity(formControl);
        isDisabled ? formControl.disable() : formControl.enable();
        return validity;
    }
    resolveFormControlValidators() {
        const result = [];
        if (this.behavior.required) {
            result.push(this.validRequiredI18n);
        }
        if (this.validations) {
            if (this._validators) {
                result.push(...this._validators);
            }
            else {
                this._validators = this.resolveValidations();
                result.push(...this._validators);
            }
        }
        return result;
    }
    resolveValidations() {
        const result = [];
        this.validations.forEach(item => {
            if (item.validationRule.includes(I18nFieldValidation.TRANSLATION_REQUIRED)) {
                const tmp = item.validationRule.split(' ');
                if (tmp[1] !== undefined) {
                    result.push(this.validTranslationRequired(tmp[1].replace(' ', '').split(',')));
                }
            }
            if (item.validationRule.includes(I18nFieldValidation.TRANSLATION_ONLY)) {
                const tmp = item.validationRule.split(' ');
                if (tmp[1] !== undefined) {
                    result.push(this.validTranslationOnly(tmp[1].replace(' ', '').split(',')));
                }
            }
        });
        return result;
    }
    validTranslationRequired(countries) {
        return (fc) => {
            return countries.every(languageCode => languageCode in fc.value.translations)
                ? null : ({ translationRequired: true });
        };
    }
    validTranslationOnly(countries) {
        return (fc) => {
            return Object.keys(fc.value.translations).every(translation => countries.includes(translation))
                ? null : ({ translationOnly: true });
        };
    }
    validRequiredI18n(fc) {
        return (fc.value.defaultValue === '' && !!fc.value?.translations && Object.keys(fc.value.translations).length === 0)
            ? ({ requiredI18n: true }) : null;
    }
}

class UserListField extends DataField {
    _roles;
    constructor(stringId, title, behavior, value, _roles, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, value, behavior, placeholder, description, layout, validations, component, parentTaskId);
        this._roles = _roles;
    }
    get roles() {
        return this._roles;
    }
    getTypedComponentType() {
        return ComponentPrefixes.USER_LIST + this.getComponentType();
    }
    valueEquality(a, b) {
        return (!a && !b) ||
            (!!a && !!b && a.userValues?.size === b.userValues?.size);
    }
    calculateValidity(forValidRequired, formControl) {
        const isDisabled = formControl.disabled;
        if (forValidRequired) {
            formControl.enable();
        }
        formControl.clearValidators();
        if (forValidRequired) {
            formControl.setValidators(this.behavior.required ? [this.requiredTrue] : []);
        }
        else {
            formControl.setValidators(this.resolveFormControlValidators());
        }
        formControl.updateValueAndValidity();
        const validity = this._determineFormControlValidity(formControl);
        isDisabled ? formControl.disable() : formControl.enable();
        return validity;
    }
    resolveFormControlValidators() {
        const result = [];
        if (this.behavior.required) {
            result.push(this.requiredTrue);
        }
        if (this.validations) {
            if (this._validators) {
                result.push(...this._validators);
            }
            else {
                this._validators = this.resolveValidations();
                result.push(...this._validators);
            }
        }
        return result;
    }
    requiredTrue(control) {
        return !!control.value && !!control.value._userValues && control.value._userValues.size > 0 ? null : { requiredUserList: true };
    }
}

/**
 * Used by [UserListField]{@link UserListField}.
 *
 * Represents the value of the user list.
 */
class UserListValue {
    _userValues;
    constructor(userValues) {
        this._userValues = userValues;
    }
    get userValues() {
        return this._userValues;
    }
    set userValues(value) {
        this._userValues = value;
    }
    addUserValue(value) {
        this._userValues.set(value.id, value);
    }
    addUserValues(value) {
        value.forEach((v, k) => this._userValues.set(k, v));
    }
    getLast() {
        if (this._userValues.size == 0) {
            return new UserValue('', '', '', '');
        }
        return Array.from(this._userValues.values()).pop();
    }
    toString() {
        const userNames = Array.from(this._userValues.values()).reduce((acc, curr) => acc + curr.fullName + ',', '');
        return userNames.slice(0, userNames.lastIndexOf(','));
    }
    removeUserValue(userId) {
        this._userValues.delete(userId);
    }
}

function encodeBase64(text) {
    return Buffer.Buffer.from(text).toString('base64');
}
function decodeBase64(encoded) {
    return Buffer.Buffer.from(encoded, 'base64').toString('utf-8');
}

class StringCollectionField extends DataField {
    constructor(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId) {
        super(stringId, title, initialValue, behavior, placeholder, description, layout, validations, component, parentTaskId);
    }
    getTypedComponentType() {
        return ComponentPrefixes.STRING_COLLECTION + this.getComponentType();
    }
}

class FieldConverterService {
    textFieldNames = ['richtextarea', 'htmltextarea', 'editor', 'htmlEditor'];
    constructor() {
    }
    toClass(item) {
        switch (item.type) {
            case FieldTypeResource.BOOLEAN:
                return new BooleanField(item.stringId, item.name, item.value, item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.TEXT:
                if (this.textFieldNames.includes(item.component?.name)) {
                    return new TextAreaField(item.stringId, item.name, this.resolveTextValue(item, item.value), item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
                }
                return new TextField(item.stringId, item.name, this.resolveTextValue(item, item.value), item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.NUMBER:
                return new NumberField(item.stringId, item.name, item.value, item.behavior, item.validations, item.placeholder, item.description, item.layout, item.formatFilter, this.resolveNumberComponent(item), item.parentTaskId);
            case FieldTypeResource.ENUMERATION:
            case FieldTypeResource.ENUMERATION_MAP:
                return this.resolveEnumField(item);
            case FieldTypeResource.MULTICHOICE:
                return new MultichoiceField(item.stringId, item.name, item.value, this.resolveMultichoiceChoices(item), item.behavior, item.placeholder, item.description, item.layout, item.type, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.MULTICHOICE_MAP:
                return new MultichoiceField(item.stringId, item.name, item.value, this.resolveMultichoiceOptions(item), item.behavior, item.placeholder, item.description, item.layout, item.type, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.DATE:
                let date;
                if (item.value) {
                    date = moment(new Date(item.value[0], item.value[1] - 1, item.value[2]));
                }
                return new DateField(item.stringId, item.name, date, item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.DATE_TIME:
                let dateTime;
                if (item.value) {
                    dateTime = moment(new Date(item.value[0], item.value[1] - 1, item.value[2], item.value[3], item.value[4]));
                }
                return new DateTimeField(item.stringId, item.name, dateTime, item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.USER:
                let user;
                if (item.value) {
                    user = new UserValue(item.value.id, item.value.firstName, item.value.lastName, item.value.email);
                }
                return new UserField(item.stringId, item.name, item.behavior, user, item.roles, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.USER_LIST:
                let userListValue = new UserListValue(new Map());
                if (item.value) {
                    item.value.userValues.forEach(u => userListValue.addUserValue(new UserValue(u.id, u.firstName, u.lastName, u.email)));
                }
                return new UserListField(item.stringId, item.name, item.behavior, userListValue, item.roles, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.BUTTON:
                return new ButtonField(item.stringId, item.name, item.behavior, item.value, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.FILE:
                return new FileField(item.stringId, item.name, item.behavior, item.value ? item.value : {}, item.placeholder, item.description, item.layout, this.resolveByteSize(item.component?.properties?.maxSize), this.resolveAllowedTypes(item.component?.properties?.allowTypes?.split(",")), item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.FILE_LIST:
                return new FileListField(item.stringId, item.name, item.behavior, item.value ? item.value : {}, item.placeholder, item.description, item.layout, item.validations, this.resolveByteSize(item.component?.properties?.maxSize), this.resolveAllowedTypes(item.component?.properties?.allowTypes?.split(",")), item.component, item.parentTaskId);
            case FieldTypeResource.TASK_REF:
                return new TaskRefField(item.stringId, item.name, item.value ? item.value : [], item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.CASE_REF:
                return new CaseRefField(item.stringId, item.name, item.value ? item.value : [], item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.FILTER:
                return new FilterField(item.stringId, item.name, item.value ?? '', item.filterMetadata, item.allowedNets, item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
            case FieldTypeResource.I18N:
                return new I18nField(item.stringId, item.name, item.value ?? { defaultValue: '' }, item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component);
            case FieldTypeResource.STRING_COLLECTION:
                return new StringCollectionField(item.stringId, item.name, item.value ? item.value : [], item.behavior, item.placeholder, item.description, item.layout, item.validations, item.component, item.parentTaskId);
        }
    }
    resolveType(item) {
        if (item instanceof BooleanField) {
            return FieldTypeResource.BOOLEAN;
        }
        else if (item instanceof ButtonField) {
            return FieldTypeResource.BUTTON;
        }
        else if (item instanceof TextField) {
            return FieldTypeResource.TEXT;
        }
        else if (item instanceof NumberField) {
            return FieldTypeResource.NUMBER;
        }
        else if (item instanceof DateField) {
            return FieldTypeResource.DATE;
        }
        else if (item instanceof DateTimeField) {
            return FieldTypeResource.DATE_TIME;
        }
        else if (item instanceof FileField) {
            return FieldTypeResource.FILE;
        }
        else if (item instanceof FileListField) {
            return FieldTypeResource.FILE_LIST;
        }
        else if (item instanceof UserField) {
            return FieldTypeResource.USER;
        }
        else if (item instanceof UserListField) {
            return FieldTypeResource.USER_LIST;
        }
        else if (item instanceof TaskRefField) {
            return FieldTypeResource.TASK_REF;
        }
        else if (item instanceof EnumerationField || item instanceof MultichoiceField) {
            return item.fieldType;
        }
        else if (item instanceof FilterField) {
            return FieldTypeResource.FILTER;
        }
        else if (item instanceof I18nField) {
            return FieldTypeResource.I18N;
        }
        else if (item instanceof CaseRefField) {
            return FieldTypeResource.CASE_REF;
        }
        else if (item instanceof StringCollectionField) {
            return FieldTypeResource.STRING_COLLECTION;
        }
    }
    formatValueForBackend(field, value) {
        if (this.resolveType(field) === FieldTypeResource.TEXT && value === null) {
            return null;
        }
        if (this.resolveType(field) === FieldTypeResource.TEXT && field.component && field.component.name === 'password') {
            return encodeBase64(value);
        }
        if (value === null) {
            return null;
        }
        if (value === undefined) {
            return;
        }
        if (this.resolveType(field) === FieldTypeResource.DATE) {
            if (moment.isMoment(value)) {
                return value.format('YYYY-MM-DD');
            }
        }
        if (this.resolveType(field) === FieldTypeResource.USER) {
            return value.id;
        }
        if (this.resolveType(field) === FieldTypeResource.USER_LIST) {
            return [...value.userValues.keys()];
        }
        if (this.resolveType(field) === FieldTypeResource.DATE_TIME) {
            if (moment.isMoment(value)) {
                return value.format('DD.MM.YYYY HH:mm:ss');
            }
        }
        return value;
    }
    resolveNumberComponent(numberField) {
        let numberComponent = { name: 'default', properties: undefined };
        if (numberField.component !== undefined) {
            numberComponent = {
                name: numberField.component.name,
                properties: numberField.component.properties
            };
        }
        return numberComponent;
    }
    /**
     * Resolves `enumeration` and `eunumeration_map` fields into their appropriate class instances
     * @param enumField enumeration field resource
     */
    resolveEnumField(enumField) {
        const options = enumField.type === FieldTypeResource.ENUMERATION
            ? this.resolveEnumChoices(enumField)
            : this.resolveEnumOptions(enumField);
        if (enumField.component && enumField.component.name === 'autocomplete_dynamic') {
            return new DynamicEnumerationField(enumField.stringId, enumField.name, enumField.value, options, enumField.behavior, enumField.placeholder, enumField.description, enumField.layout, enumField.type, enumField.validations, enumField.component, enumField.parentTaskId);
        }
        else {
            return new EnumerationField(enumField.stringId, enumField.name, enumField.value, options, enumField.behavior, enumField.placeholder, enumField.description, enumField.layout, enumField.type, enumField.validations, enumField.component, enumField.parentTaskId);
        }
    }
    /**
     * This function is used to parse enumeration options from the `choices` attribute
     * @param enumField enumeration field resource object who's choices we want to resolve
     * @returns the options for the enumeration field
     */
    resolveEnumChoices(enumField) {
        const enumChoices = [];
        if (enumField.choices instanceof Array) {
            enumField.choices.forEach(it => {
                enumChoices.push({ key: it, value: it });
            });
        }
        else {
            Object.keys(enumField.choices).forEach(key => {
                enumChoices.push({ key, value: enumField.choices[key] });
            });
        }
        return enumChoices;
    }
    /**
     * This function is used to parse enumeration options from the `options` attribute
     * @param enumField enumeration field resource object who's options we want to resolve
     * @returns the options for the enumeration field
     */
    resolveEnumOptions(enumField) {
        return Object.entries(enumField.options).map(entry => ({ key: entry[0], value: entry[1] }));
    }
    /**
     * This function is used to parse multichoice options from the `choices` attribute
     * @param multiField multichoice field resource object who's options we want to resolve
     * @returns the options for the multichoice field
     */
    resolveMultichoiceChoices(multiField) {
        const choicesMulti = [];
        if (multiField.choices instanceof Array) {
            multiField.choices.forEach(it => {
                choicesMulti.push({ key: it, value: it });
            });
        }
        else {
            Object.keys(multiField.choices).forEach(key => {
                choicesMulti.push({ key, value: multiField.choices[key] });
            });
        }
        return choicesMulti;
    }
    /**
     * This function is used to parse enumeration options from the `options` attribute
     * @param multiField multichoice field resource object who's options we want to resolve
     * @returns the options for the multichoice field
     */
    resolveMultichoiceOptions(multiField) {
        return Object.entries(multiField.options).map(entry => ({ key: entry[0], value: entry[1] }));
    }
    formatValueFromBackend(field, value) {
        if (value === null) {
            return null;
        }
        if (value === undefined) {
            return;
        }
        if (this.resolveType(field) === FieldTypeResource.TEXT && field.component && field.component.name === 'password') {
            return decodeBase64(value);
        }
        if (this.resolveType(field) === FieldTypeResource.DATE) {
            return moment(new Date(value[0], value[1] - 1, value[2]));
        }
        if (this.resolveType(field) === FieldTypeResource.USER) {
            return new UserValue(value.id, value.firstName, value.lastName, value.email);
        }
        if (this.resolveType(field) === FieldTypeResource.DATE_TIME) {
            return moment(new Date(value[0], value[1] - 1, value[2], value[3], value[4]));
        }
        if (this.resolveType(field) === FieldTypeResource.MULTICHOICE) {
            const array = [];
            value.forEach(v => {
                if (v.defaultValue) {
                    array.push(v.defaultValue);
                }
                else {
                    array.push(v);
                }
            });
            return array;
        }
        if (this.resolveType(field) === FieldTypeResource.USER_LIST && !!value) {
            return new UserListValue(new Map(value.userValues.map(v => [v.id, v])));
        }
        return value;
    }
    resolveTextValue(field, value) {
        if (field.component !== undefined && field.component.name === 'password' && value !== '' && value !== undefined) {
            return decodeBase64(value);
        }
        return value;
    }
    resolveAllowedTypes(allowTypes) {
        return allowTypes?.length > 0 ? (allowTypes.length > 1 ? allowTypes : allowTypes[0]) : null;
    }
    resolveByteSize(bytesSize) {
        return bytesSize !== undefined ? bytesSize : null;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FieldConverterService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FieldConverterService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FieldConverterService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class TaskResourceService extends AbstractResourceService {
    _fieldConverter;
    _logger;
    constructor(provider, configService, _fieldConverter, _logger) {
        super('task', provider, configService);
        this._fieldConverter = _fieldConverter;
        this._logger = _logger;
    }
    /**
     *  Count tasks by provided criteria
     *  POST
     *  {{baseUrl}}/api/task/count
     */
    count(filterParam) {
        if (filterParam.type !== FilterType.TASK) {
            throw new Error('Provided filter doesn\'t have type TASK');
        }
        return this._resourceProvider.post$('task/count', this.SERVER_URL, filterParam.getRequestBody(), filterParam.getRequestParams())
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all tasks
     * GET
     * {{baseUrl}}/api/task
     */
    getAllTask() {
        return this._resourceProvider.get$('task', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, 'tasks')));
    }
    /**
     * Assign task
     * GET
     */
    // {{baseUrl}}/api/task/assign/:id
    assignTask(taskId) {
        return this._resourceProvider.get$('task/assign/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Cancel task
     * GET
     */
    // {{baseUrl}}/api/task/cancel/:id
    cancelTask(taskId) {
        return this._resourceProvider.get$('task/cancel/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Delegate task
     * POST
     */
    // {{baseUrl}}/api/task/delegate/:id
    delegateTask(taskId, body) {
        return this._resourceProvider.post$('task/delegate/' + taskId, this.SERVER_URL, body, undefined, { 'Content-Type': 'text/plain' })
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Finish task
     * GET
     */
    // {{baseUrl}}/api/task/finish/:id
    finishTask(taskId) {
        return this._resourceProvider.get$('task/finish/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Searches tasks trough the Elastic endpoint.
     * POST
     * @param filterParam filter used to search the tasks. Must be of type `TASK`.
     * @param params Additional parameters
     */
    // {{baseUrl}}/api/task/search_es
    searchTask(filterParam, params) {
        if (filterParam.type !== FilterType.TASK) {
            throw new Error('Provided filter doesn\'t have type TASK');
        }
        params = ResourceProvider.combineParams(filterParam.getRequestParams(), params);
        return this._resourceProvider.post$('task/search_es', this.SERVER_URL, filterParam.getRequestBody(), params)
            .pipe(map(r => this.getResourcePage(r, 'tasks')));
    }
    /**
     * Searches tasks trough the Mongo endpoint.
     * POST
     * @param filterParam filter used to search the tasks. Must be of type `TASK`.
     * Note that the `query` attribute of the filter cannot be used with this endpoint.
     * Attempting to use it will display a warning and remove the attribute from the request.
     * @param params Additional request parameters
     */
    // {{baseUrl}}/api/task/search
    getTasks(filterParam, params) {
        if (filterParam.type !== FilterType.TASK) {
            throw new Error('Provided filter doesn\'t have type TASK');
        }
        if (filterParam.bodyContainsQuery()) {
            throw new Error('getTasks endpoint cannot be queried with filters that contain the \'query\' attribute');
        }
        params = ResourceProvider.combineParams(filterParam.getRequestParams(), params);
        return this._resourceProvider.post$('task/search', this.SERVER_URL, filterParam.getRequestBody(), params)
            .pipe(map(r => this.getResourcePage(r, 'tasks')));
    }
    // ----------- CASE ----------
    /**
     * Get all tasks by cases
     * POST
     */
    // {{baseUrl}}/api/task/case
    getAllTasksByCases(body) {
        return this._resourceProvider.post$('task/case', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, 'tasks')));
    }
    /**
     * Get tasks of the case
     * GET
     */
    // {{baseUrl}}/api/task/case/:id
    getAllTasksByCase(caseId) {
        return this._resourceProvider.get$('task/case/' + caseId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    // ----------- MY Task ----------
    /**
     * Get all tasks assigned to logged user
     * GET
     */
    // {{baseUrl}}/api/task/my
    getAllMyTasks() {
        return this._resourceProvider.get$('task/my', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all finished tasks by logged user
     * GET
     */
    // {{baseUrl}}/api/task/my/finished
    getAllFinishedTask() {
        return this._resourceProvider.get$('task/my/finished', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all task data
     *
     * GET
     *
     * If you don't want to parse the response yourself use [getData]{@link TaskResourceService#getData} instead.
     *
     * @returns the raw backend response without any additional processing
     */
    // {{baseUrl}}/api/task/:id/data
    rawGetData(taskId) {
        return this._resourceProvider.get$('task/' + taskId + '/data', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     *  Get all task data
     *
     *  GET
     *
     *  If you want to process the raw backend response use [rawGetData]{@link TaskResourceService#rawGetData} instead.
     *
     * @param taskId ID of the task who's data should be retrieved from the server
     * @returns processed data groups of the given task. If the task has no data an empty array will be returned.
     */
    getData(taskId) {
        return this.rawGetData(taskId).pipe(map((responseOutcome) => {
            if (responseOutcome.error) {
                throw new Error(responseOutcome.error);
            }
            const dataGroupsArray = this.changeType(responseOutcome.outcome.data, 'dataGroups');
            if (!Array.isArray(dataGroupsArray)) {
                return [];
            }
            const result = [];
            dataGroupsArray.forEach(dataGroupResource => {
                const dataFields = [];
                if (!dataGroupResource.fields._embedded) {
                    return; // continue
                }
                const fields = [];
                Object.keys(dataGroupResource.fields._embedded).forEach(localizedFields => {
                    fields.push(...dataGroupResource.fields._embedded[localizedFields]);
                });
                fields.sort((a, b) => a.order - b.order);
                dataFields.push(...fields.map(dataFieldResource => this._fieldConverter.toClass(dataFieldResource)));
                const dataGroupObject = {
                    fields: dataFields,
                    stretch: dataGroupResource.stretch,
                    title: dataGroupResource.title,
                    layout: dataGroupResource.layout,
                    alignment: dataGroupResource.alignment,
                };
                if (dataGroupResource.parentTaskId !== undefined) {
                    dataGroupObject.parentTaskId = dataGroupResource.parentTaskId;
                    dataGroupObject.parentTransitionId = dataGroupResource.parentTransitionId;
                    dataGroupObject.parentTaskRefId = dataGroupResource.parentTaskRefId;
                    dataGroupObject.nestingLevel = dataGroupResource.nestingLevel;
                }
                if (dataGroupResource.parentCaseId !== undefined) {
                    dataGroupObject['parentCaseId'] = dataGroupResource.parentCaseId;
                }
                result.push(dataGroupObject);
            });
            return result;
        }));
    }
    /**
     * Set task data
     * POST
     */
    // {{baseUrl}}/api/task/:id/data
    setData(taskId, body) {
        return this._resourceProvider.post$('task/' + taskId + '/data', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    // ------------- FILE ------------
    /**
     * Download task file field value
     * GET
     */
    // {{baseUrl}}/api/task/:id/file/:field         - for file field
    // {{baseUrl}}/api/task/:id/file/:field/:name   - for file list field
    downloadFile(taskId, params) {
        const url = `task/${taskId}/file${params?.has("fileName") ? '/named' : ''}`;
        return this._resourceProvider.getBlob$(url, this.SERVER_URL, params).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.DownloadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * Upload file into the task
     * POST
     */
    // {{baseUrl}}/api/task/:id/file/:field     - for file field
    // {{baseUrl}}/api/task/:id/files/:field    - for file list field
    uploadFile(taskId, body, multipleFiles) {
        const url = `task/${taskId}/${multipleFiles ? 'files' : 'file'}`;
        return this._resourceProvider.postWithEvent$(url, this.SERVER_URL, body).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.UploadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * Delete file from the task
     * DELETE
     */
    deleteFile(taskId, body) {
        const url = `task/${taskId}/file${body?.fileName ? '/named' : ''}`;
        return this._resourceProvider.delete$(url, this.SERVER_URL, {}, {}, 'json', body).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Download task file preview for field value
     * GET
     */
    // {{baseUrl}}/api/task/:id/file_preview/:field
    downloadFilePreview(taskId, params) {
        const url = `task/${taskId}/file_preview`;
        return this._resourceProvider.getBlob$(url, this.SERVER_URL, params).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.DownloadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }, { token: FieldConverterService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }, { type: FieldConverterService }, { type: LoggerService }] });

var EventConstants;
(function (EventConstants) {
    /**
     * Changed fields parameter of {@link SetDataEventOutcome}
     */
    EventConstants["CHANGED_FIELDS"] = "changedFields";
    /**
     * Front actions parameter of {@link EventOutcome}
     */
    EventConstants["FRONT_ACTIONS"] = "frontActions";
})(EventConstants || (EventConstants = {}));

class EventService {
    constructor() {
    }
    parseChangedFieldsFromOutcomeTree(outcome) {
        const changedFieldsMap = {};
        if (!!outcome.outcomes && outcome.outcomes.length > 0) {
            return this.parseChangedFieldsFromOutcomeTreeRecursive(outcome.outcomes, changedFieldsMap);
        }
        else
            return changedFieldsMap;
    }
    parseChangedFieldsFromOutcomeTreeRecursive(outcomes, changedFieldsMap) {
        outcomes.forEach(childOutcome => {
            if (EventConstants.CHANGED_FIELDS in childOutcome
                && !!childOutcome.aCase
                && !!childOutcome.task) {
                const setDataOutcome = childOutcome;
                const outcomeChangedFields = childOutcome.changedFields.changedFields;
                const caseId = setDataOutcome.aCase.stringId;
                if (!Object.keys(changedFieldsMap).includes(caseId)) {
                    changedFieldsMap[caseId] = {};
                }
                const taskId = setDataOutcome.task.stringId;
                if (!Object.keys(changedFieldsMap[caseId]).includes(taskId)) {
                    changedFieldsMap[caseId][taskId] = {
                        taskId
                    };
                }
                Object.keys(outcomeChangedFields).forEach(fieldId => {
                    if (Object.keys(changedFieldsMap[caseId][taskId]).includes(fieldId)) {
                        Object.keys(outcomeChangedFields[fieldId]).forEach(attribute => {
                            changedFieldsMap[caseId][taskId][fieldId][attribute] = outcomeChangedFields[fieldId][attribute];
                        });
                    }
                    else {
                        changedFieldsMap[caseId][taskId][fieldId] = setDataOutcome.changedFields.changedFields[fieldId];
                    }
                });
            }
            if (!!childOutcome.outcomes && childOutcome.outcomes.length > 0) {
                this.parseChangedFieldsFromOutcomeTreeRecursive(childOutcome.outcomes, changedFieldsMap);
            }
        });
        return changedFieldsMap;
    }
    parseFrontActionsFromOutcomeTree(outcome) {
        const frontActions = [];
        if (!!outcome.outcomes && outcome.outcomes.length > 0) {
            return this.parseFrontActionsFromOutcomeTreeRecursive(outcome.outcomes, frontActions);
        }
        else
            return frontActions;
    }
    parseFrontActionsFromOutcomeTreeRecursive(outcomes, frontActions) {
        outcomes.forEach(childOutcome => {
            if (EventConstants.FRONT_ACTIONS in childOutcome) {
                const childFrontActions = childOutcome.frontActions;
                if (!!childFrontActions) {
                    frontActions.push(...childFrontActions);
                }
            }
            if (!!childOutcome.outcomes && childOutcome.outcomes.length > 0) {
                this.parseFrontActionsFromOutcomeTreeRecursive(childOutcome.outcomes, frontActions);
            }
        });
        return frontActions;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class AbstractFileDefaultFieldComponent extends AbstractFileFieldDefaultComponent {
    _taskResourceService;
    _log;
    _snackbar;
    _translate;
    _eventService;
    _sanitizer;
    /**
     * The width of the default file preview border in pixels. The `px` string is appended in the code.
     */
    static DEFAULT_PREVIEW_BORDER_WIDTH = 0;
    /**
     * The CSS style attribute of the default file preview border.
     */
    static DEFAULT_PREVIEW_BORDER_STYLE = 'none';
    /**
     * The CSS color string of the default file preview border.
     */
    static DEFAULT_PREVIEW_BORDER_COLOR = 'black';
    state;
    /**
     * Image field view element reference from component template that is initialized after view init.
     */
    imageEl;
    imageDivEl;
    /**
     * If file type can be displayed
     */
    isDisplayable = false;
    /**
     * Max height of preview
     */
    maxHeight;
    /**
     * Store file for preview
     */
    fileForPreview;
    /**
     * Url of preview file
     */
    previewSource;
    /**
     * Store file to show/download
     */
    fileForDownload;
    /**
     * Full size file url
     */
    fullSource;
    /**
     * Extension of file to preview
     */
    previewExtension;
    /**
     * Form control subscription
     */
    updatedFieldSubscription;
    isFilePreview = false;
    isFilePreviewButton = false;
    /**
     * Only inject services.
     * @param _taskResourceService Provides to download a file from the backend
     * @param _log Logger service
     * @param _snackbar Snackbar service to notify user
     * @param _translate Translate service for I18N
     * @param _eventService used for parsing of backend response
     * Option injected trough `NAE_INFORM_ABOUT_INVALID_DATA` InjectionToken
     * @param _sanitizer Sanitize url of image preview
     * @param dataFieldPortalData Field and form control data if field is provided with portal
     */
    constructor(_taskResourceService, _log, _snackbar, _translate, _eventService, _sanitizer, dataFieldPortalData) {
        super(_log, _snackbar, _translate, dataFieldPortalData);
        this._taskResourceService = _taskResourceService;
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
        this._eventService = _eventService;
        this._sanitizer = _sanitizer;
        this.state = this.defaultState;
        this.fullSource = new BehaviorSubject(null);
        this.taskId = dataFieldPortalData.additionalFieldProperties.taskId;
    }
    /**
     * Set :
     *  - File field to [FileFieldService]{@link FileFieldService}
     *  - Display name
     */
    ngOnInit() {
        this.isFilePreview = this.dataField?.component?.name === PREVIEW;
        this.isFilePreviewButton = this.dataField?.component?.name === PREVIEW_BUTTON;
    }
    ngAfterViewInit() {
        if (this.fileUploadEl) {
            this.fileUploadEl.nativeElement.onchange = () => {
                this.upload();
            };
        }
        if (this.isFilePreview) {
            if (!!this.imageDivEl) {
                if (!this.isEmpty()) {
                    this.initializePreviewIfDisplayable();
                }
            }
        }
        if (this.isFilePreviewButton) {
            if (!this.isEmpty()) {
                this.initializePreviewIfDisplayable();
            }
        }
        this.updatedFieldSubscription = this.dataField.updated.subscribe(() => {
            this.previewSource = undefined;
            if (!!this.isFilePreview && !!this.dataField?.value?.name) {
                this.fileForDownload = undefined;
                this.fileForPreview = undefined;
                this.initializePreviewIfDisplayable();
            }
            if (!!this.isFilePreviewButton && !!this.dataField?.value?.name) {
                this.fileForDownload = undefined;
                this.fileForPreview = undefined;
                this.initializePreviewIfDisplayable();
            }
        });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.fullSource.complete();
        this.updatedFieldSubscription.unsubscribe();
    }
    chooseFile() {
        if (this.state.uploading || this.formControlRef.disabled) {
            return;
        }
        this.fileUploadEl.nativeElement.click();
    }
    /**
     * Call after click on file field.
     *
     * If file field has no file uploaded
     * [FilesUploadComponent]{@link AbstractFilesUploadComponent} via [SideMenu]{@link SideMenuService} opens.
     *
     * Otherwise opens a file picker from which the user can select files.
     */
    upload() {
        if (!this.fileUploadEl.nativeElement.files || this.fileUploadEl.nativeElement.files.length === 0) {
            return;
        }
        if (!this.taskId) {
            this._log.error('File cannot be uploaded. No task is set to the field.');
            return;
        }
        if (this.dataField.value?.name &&
            this.fileUploadEl.nativeElement.files.item(0).name === this.dataField.value?.name) {
            this._log.error('User chose the same file. Uploading skipped');
            this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.wontUploadSameFile'));
            this.fileUploadEl.nativeElement.value = '';
            return;
        }
        if (this.dataField.maxUploadSizeInBytes &&
            this.dataField.maxUploadSizeInBytes < this.fileUploadEl.nativeElement.files.item(0).size) {
            this._log.error('File cannot be uploaded. Maximum size of file exceeded.');
            this.resolveMaxSizeMessage();
            this.fileUploadEl.nativeElement.value = '';
            return;
        }
        if (!this.checkAllowedTypes()) {
            return;
        }
        this.state = this.defaultState;
        this.state.uploading = true;
        const fileFormData = new FormData();
        const fileToUpload = this.fileUploadEl.nativeElement.files.item(0);
        fileFormData.append('file', fileToUpload);
        fileFormData.append('data', new Blob([JSON.stringify(this.createRequestBody())], { type: 'application/json' }));
        this._taskResourceService.uploadFile(this.taskId, fileFormData, false)
            .subscribe((response) => {
            if (response.type && response.type === ProgressType.UPLOAD) {
                this.state.progress = response.progress;
            }
            else {
                this.state.completed = true;
                this.state.uploading = false;
                this.state.progress = 0;
                if (response.error) {
                    this.state.error = true;
                    this._log.error(`File [${this.dataField.stringId}] ${this.fileUploadEl.nativeElement.files.item(0)} uploading has failed!`, response.error);
                    if (response.error) {
                        this._snackbar.openErrorSnackBar(this._translate.instant(response.error));
                    }
                    else {
                        this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.fileUploadFailed'));
                    }
                }
                else {
                    const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(response.outcome);
                    this.dataField.emitChangedFields(changedFieldsMap);
                    this._log.debug(`File [${this.dataField.stringId}] ${this.fileUploadEl.nativeElement.files.item(0).name} was successfully uploaded`);
                    this.state.error = false;
                    this.dataField.downloaded = false;
                    this.dataField.value.name = fileToUpload.name;
                    if (this.isFilePreview) {
                        this.initializePreviewIfDisplayable();
                    }
                    this.fullSource.next(undefined);
                    this.fileForDownload = undefined;
                    this.formControlRef.setValue(this.dataField.value.name);
                }
                this.dataField.touch = true;
                this.dataField.update();
                this.fileUploadEl.nativeElement.value = '';
            }
        }, error => {
            this.state.completed = true;
            this.state.error = true;
            this.state.uploading = false;
            this.state.progress = 0;
            this._log.error(`File [${this.dataField.stringId}] ${this.fileUploadEl.nativeElement.files.item(0)} uploading has failed!`, error);
            if (error?.error?.message) {
                this._snackbar.openErrorSnackBar(this._translate.instant(error.error.message));
            }
            else {
                this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.fileUploadFailed'));
            }
            this.dataField.touch = true;
            this.dataField.update();
            this.fileUploadEl.nativeElement.value = '';
        });
    }
    download() {
        if (!this.checkFileBeforeDownload()) {
            return;
        }
        if (!!this.fileForDownload) {
            this.downloadViaAnchor(this.fileForDownload);
            return;
        }
        this.state = this.defaultState;
        this.state.downloading = true;
        let params = new HttpParams();
        params = params.set("fieldId", this.dataField.stringId);
        this._taskResourceService.downloadFile(this.resolveParentTaskId(), params).subscribe(response => {
            if (!response.type || response.type !== ProgressType.DOWNLOAD) {
                this._log.debug(`File [${this.dataField.stringId}] ${this.dataField.value.name} was successfully downloaded`);
                this.downloadViaAnchor(response);
                if (this.isFilePreview) {
                    this.initDownloadFile(response);
                }
                this.state.downloading = false;
                this.state.progress = 0;
                this.dataField.downloaded = true;
            }
        }, error => {
            this._log.error(`Downloading file [${this.dataField.stringId}] ${this.dataField.value.name} has failed!`, error);
            this._snackbar.openErrorSnackBar(this.dataField.value.name + ' ' + this._translate.instant('dataField.snackBar.downloadFail'));
            this.state.downloading = false;
            this.state.progress = 0;
        });
    }
    initDownloadFile(response) {
        if (response instanceof Blob) {
            if (this.previewExtension === FilePreviewType.pdf) {
                this.fileForDownload = new Blob([response], { type: 'application/pdf' });
                this.fullSource.next(this._sanitizer.bypassSecurityTrustResourceUrl(URL.createObjectURL(this.fileForDownload)));
            }
            else {
                this.fileForDownload = new Blob([response], { type: 'application/octet-stream' });
                this.fullSource.next(this._sanitizer.bypassSecurityTrustUrl(URL.createObjectURL(this.fileForDownload)));
            }
        }
    }
    downloadViaAnchor(blob) {
        const a = document.createElement('a');
        document.body.appendChild(a);
        a.setAttribute('style', 'display: none');
        if (!this.fileForDownload) {
            blob = new Blob([blob], { type: 'application/octet-stream' });
        }
        const url = window.URL.createObjectURL(!!this.fileForDownload ? this.fileForDownload : blob);
        a.href = url;
        a.download = this.dataField.value.name;
        a.click();
        window.URL.revokeObjectURL(url);
        document.body.removeChild(a);
    }
    deleteFile() {
        if (!this.dataField.value?.name) {
            return;
        }
        if (!this.taskId) {
            this._log.error('File cannot be deleted. No task is set to the field.');
            return;
        }
        this._taskResourceService.deleteFile(this.taskId, this.createRequestBody()).pipe(take(1)).subscribe(response => {
            if (response.success) {
                const filename = this.dataField.value.name;
                this.dataField.value = {};
                this.formControlRef.setValue('');
                this.dataField.update();
                this.dataField.downloaded = false;
                this.fullSource.next(undefined);
                this.fileForDownload = undefined;
                this.previewSource = undefined;
                this.fileForPreview = undefined;
                this._log.debug(`File [${this.dataField.stringId}] ${filename} was successfully deleted`);
                this.formControlRef.markAsTouched();
            }
            else {
                this._log.error(`Deleting file [${this.dataField.stringId}] ${this.dataField.value.name} has failed!`, response.error);
                this._snackbar.openErrorSnackBar(this.dataField.value.name + ' ' + this._translate.instant('dataField.snackBar.fileDeleteFailed'));
            }
        });
    }
    isEmpty() {
        return !this.dataField.value?.name;
    }
    createRequestBody() {
        return {
            parentTaskId: this.resolveParentTaskId(),
            fieldId: this.dataField.stringId
        };
    }
    get defaultState() {
        return {
            progress: 0,
            completed: false,
            error: false,
            uploading: false,
            downloading: false
        };
    }
    /**
     * Construct display name.
     */
    constructDisplayName() {
        if (!!this.dataField) {
            if (!!this.dataField.value && !!this.dataField.value.name) {
                return this.dataField.value.name;
            }
            else if (!!this.dataField.placeholder) {
                return this.dataField.placeholder;
            }
        }
        return this._translate.instant('dataField.file.noFile');
    }
    /**
     * Initialize file field image from backend if it is image type.
     */
    initFileFieldImage() {
        if (!this.checkFileBeforeDownload()) {
            return;
        }
        this.state.downloading = true;
        let params = new HttpParams();
        params = params.set("fieldId", this.dataField.stringId);
        this._taskResourceService.downloadFilePreview(this.resolveParentTaskId(), params).subscribe(response => {
            if (response instanceof Blob) {
                this._log.debug(`Preview of file [${this.dataField.stringId}] ${this.dataField.value.name} was successfully downloaded`);
                this.fileForPreview = new Blob([response], { type: 'application/octet-stream' });
                this.previewSource = this._sanitizer.bypassSecurityTrustUrl(URL.createObjectURL(this.fileForPreview));
            }
            if (response == null || response instanceof Blob) {
                this.state.downloading = false;
            }
        }, error => {
            this._log.error(`Downloading file [${this.dataField.stringId}] ${this.dataField.value.name} has failed!`, error);
            this._snackbar.openErrorSnackBar(this.dataField.value.name + ' ' + this._translate.instant('dataField.snackBar.downloadFail'));
            this.state.downloading = false;
            this.state.progress = 0;
        });
    }
    checkFileBeforeDownload() {
        if (this.isEmpty()) {
            return false;
        }
        if (!this.taskId) {
            this._log.error('File cannot be downloaded. No task is set to the field.');
            return false;
        }
        return true;
    }
    showPreviewDialog() {
        if (!this.checkFileBeforeDownload()) {
            return;
        }
        let params = new HttpParams();
        params = params.set("fieldId", this.dataField.stringId);
        this._taskResourceService.downloadFile(this.resolveParentTaskId(), params).subscribe(response => {
            if (!response.type || response.type !== ProgressType.DOWNLOAD) {
                this._log.debug(`File [${this.dataField.stringId}] ${this.dataField.value.name} was successfully downloaded`);
                this.initDownloadFile(response);
            }
        }, error => {
            this._log.error(`Downloading file [${this.dataField.stringId}] ${this.dataField.value.name} has failed!`, error);
            this._snackbar.openErrorSnackBar(this.dataField.value.name + ' ' + this._translate.instant('dataField.snackBar.downloadFail'));
            this.state.progress = 0;
        });
    }
    changeMaxWidth(event) {
        if (!!this.imageEl) {
            this.imageEl.nativeElement.style.maxWidth = event.newRect.width + 'px';
        }
    }
    initializePreviewIfDisplayable() {
        const extension = this.dataField.value.name.split('.').reverse()[0];
        this.isDisplayable = Object.values(FilePreviewType).includes(extension);
        if (this.isDisplayable) {
            this.previewExtension = FilePreviewType[extension];
            this.initFileFieldImage();
        }
    }
    getHeight() {
        return this.dataField.layout?.rows && this.dataField.layout?.rows !== 1 ?
            (this.dataField.layout.rows) * FILE_FIELD_HEIGHT - FILE_FIELD_PADDING : FILE_FIELD_HEIGHT - FILE_FIELD_PADDING;
    }
    getPreviewBorderWidth() {
        if (this.borderPropertyEnabled('borderWidth')) {
            return this.dataField.component.properties.borderWidth + 'px';
        }
        return `${AbstractFileDefaultFieldComponent.DEFAULT_PREVIEW_BORDER_WIDTH}px`;
    }
    getPreviewBorderStyle() {
        if (this.borderPropertyEnabled('borderStyle')) {
            return this.dataField.component.properties.borderStyle;
        }
        return AbstractFileDefaultFieldComponent.DEFAULT_PREVIEW_BORDER_STYLE;
    }
    getPreviewBorderColor() {
        if (this.borderPropertyEnabled('borderColor')) {
            return this.dataField.component.properties.borderColor;
        }
        return AbstractFileDefaultFieldComponent.DEFAULT_PREVIEW_BORDER_COLOR;
    }
    isBorderLGBTQ() {
        if (this.borderPropertyEnabled('borderLGBTQ')) {
            return this.dataField.component.properties.borderLGBTQ === 'true';
        }
        return false;
    }
    isBorderDefault() {
        if (this.borderPropertyEnabled('borderEnabled')) {
            return this.dataField.component.properties.borderEnabled === 'true';
        }
        return false;
    }
    borderPropertyEnabled(property) {
        return !!this.dataField.component && !!this.dataField.component.properties && property in this.dataField.component.properties;
    }
    hasTitle() {
        return this.dataField.title !== undefined && this.dataField.title !== '';
    }
    hasHint() {
        return this.dataField.description !== undefined && this.dataField.description !== '';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileDefaultFieldComponent, deps: [{ token: TaskResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: EventService }, { token: i2$1.DomSanitizer }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFileDefaultFieldComponent, selector: "ncc-abstract-file-default-fied", viewQueries: [{ propertyName: "imageEl", first: true, predicate: ["imageEl"], descendants: true }, { propertyName: "imageDivEl", first: true, predicate: ["imageDiv"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-file-default-fied',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: EventService }, { type: i2$1.DomSanitizer }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { imageEl: [{
                type: ViewChild,
                args: ['imageEl']
            }], imageDivEl: [{
                type: ViewChild,
                args: ['imageDiv']
            }] } });

/**
 * @deprecated
 * */
class AbstractFileListFieldComponent extends AbstractDataFieldComponent {
    dataField;
    taskId;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileListFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFileListFieldComponent, selector: "ncc-abstract-filelist-field", inputs: { dataField: "dataField", taskId: "taskId" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileListFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filelist-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }], taskId: [{
                type: Input
            }] } });

class AbstractFileListDefaultFieldComponent extends AbstractFileFieldDefaultComponent {
    _taskResourceService;
    _log;
    _snackbar;
    _translate;
    _eventService;
    uploadedFiles;
    state;
    valueChange$;
    /**
     * Values from file list field validation (eg. maxFiles 5)
     * maxFilesNumber - maximum uploadable files
     * maxFilesMessage - error message if number of files is exceeded
     */
    maxFilesNumber;
    maxFilesMessage;
    constructor(_taskResourceService, _log, _snackbar, _translate, _eventService, dataFieldPortalData) {
        super(_log, _snackbar, _translate, dataFieldPortalData);
        this._taskResourceService = _taskResourceService;
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
        this._eventService = _eventService;
        this.state = this.defaultState;
        this.uploadedFiles = new Array();
        this.maxFilesNumber = Number.POSITIVE_INFINITY;
        this.taskId = dataFieldPortalData.additionalFieldProperties.taskId;
    }
    ngOnInit() {
        this.valueChange$ = this.dataField.valueChanges().subscribe(() => {
            this.parseResponse();
        });
        if (this.dataField.validations && this.dataField.validations.length !== 0) {
            const val = this.dataField.validations.find(validation => validation.validationRule.includes(FileListFieldValidation.MAX_FILES));
            if (val && val.validationRule.split(' ').length === 2 && !isNaN(parseInt(val.validationRule.split(' ')[1], 10))) {
                this.maxFilesNumber = parseInt(val.validationRule.split(' ')[1], 10);
                this.maxFilesMessage = val.validationMessage && val.validationMessage !== '' ? val.validationMessage : null;
            }
        }
    }
    /**
     * Set file picker and image elements to [FileFieldService]{@link FileFieldService}.
     *
     * Initialize file image.
     */
    ngAfterViewInit() {
        if (this.fileUploadEl) {
            this.fileUploadEl.nativeElement.onchange = () => {
                this.upload();
            };
        }
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.valueChange$.unsubscribe();
    }
    chooseFile() {
        if (this.state.uploading || this.formControlRef.disabled) {
            return;
        }
        this.fileUploadEl.nativeElement.click();
    }
    /**
     * Call after click on file field.
     *
     * If file field has no file uploaded
     * [FilesUploadComponent]{@link AbstractFilesUploadComponent} via [SideMenu]{@link SideMenuService} opens.
     *
     * Otherwise opens a file picker from which the user can select files.
     */
    upload() {
        if (!this.fileUploadEl.nativeElement.files || this.fileUploadEl.nativeElement.files.length === 0) {
            return;
        }
        if (!this.taskId) {
            this._log.error('File cannot be uploaded. No task is set to the field.');
            return;
        }
        if (this.fileUploadEl.nativeElement.files.length + this.uploadedFiles.length > this.maxFilesNumber) {
            this._snackbar.openErrorSnackBar(this.maxFilesMessage ? this.maxFilesMessage :
                this._translate.instant('dataField.snackBar.maxFilesExceeded') + this.maxFilesNumber);
            this.fileUploadEl.nativeElement.value = '';
            return;
        }
        let filesToUpload = Array.from(this.fileUploadEl.nativeElement.files);
        let sum = 0;
        filesToUpload.forEach(item => sum += item.size);
        if (this.dataField.maxUploadSizeInBytes &&
            this.dataField.maxUploadSizeInBytes < sum) {
            this._log.error('Files cannot be uploaded. Maximum size of files exceeded.');
            this.resolveMaxSizeMessage();
            this.fileUploadEl.nativeElement.value = '';
            return;
        }
        if (this.dataField.value?.namesPaths && this.dataField.value?.namesPaths.length !== 0) {
            this.dataField.value.namesPaths.forEach(namePath => {
                filesToUpload = filesToUpload.filter(fileToUpload => fileToUpload.name !== namePath.name);
            });
            if (filesToUpload.length === 0) {
                this._log.error('User chose the same files that are already uploaded. Uploading skipped');
                this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.wontUploadSameFiles'));
                this.fileUploadEl.nativeElement.value = '';
                return;
            }
        }
        if (!this.checkAllowedTypes()) {
            return;
        }
        this.state = this.defaultState;
        this.state.uploading = true;
        const fileFormData = new FormData();
        filesToUpload.forEach(fileToUpload => {
            fileFormData.append('files', fileToUpload);
        });
        const requestBody = {
            parentTaskId: this.resolveParentTaskId(),
            fieldId: this.dataField.stringId,
        };
        fileFormData.append('data', new Blob([JSON.stringify(requestBody)], { type: 'application/json' }));
        this._taskResourceService.uploadFile(this.taskId, fileFormData, true).subscribe((response) => {
            if (response.type && response.type === ProgressType.UPLOAD) {
                this.state.progress = response.progress;
            }
            else {
                this.state.completed = true;
                this.state.uploading = false;
                this.state.progress = 0;
                this._log.debug(`Files [${this.dataField.stringId}] were successfully uploaded`);
                if (response.error) {
                    this.state.error = true;
                    this._log.error(`File [${this.dataField.stringId}] ${this.fileUploadEl.nativeElement.files.item(0)} uploading has failed!`, response.error);
                    if (response.error) {
                        this._snackbar.openErrorSnackBar(this._translate.instant(response.error));
                    }
                    else {
                        this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.fileUploadFailed'));
                    }
                }
                else {
                    const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(response.outcome);
                    this.dataField.emitChangedFields(changedFieldsMap);
                    this.state.error = false;
                    filesToUpload.forEach(fileToUpload => {
                        this.uploadedFiles.push(fileToUpload.name);
                        this.dataField.value.namesPaths.push({ name: fileToUpload.name });
                        this.formControlRef.setValue(this.dataField.value.namesPaths.map(namePath => {
                            return namePath['name'];
                        }).join('/'));
                    });
                }
                this.dataField.touch = true;
                this.dataField.update();
                this.fileUploadEl.nativeElement.value = '';
            }
        }, error => {
            this.state.completed = true;
            this.state.error = true;
            this.state.uploading = false;
            this.state.progress = 0;
            if (error?.error?.message) {
                this._snackbar.openErrorSnackBar(this._translate.instant(error.error.message));
            }
            else {
                this._snackbar.openErrorSnackBar(this._translate.instant('dataField.snackBar.fileUploadFailed'));
            }
            this._log.error(`File [${this.dataField.stringId}] ${this.fileUploadEl.nativeElement.files.item(0)} uploading has failed!`, error);
            this.dataField.touch = true;
            this.dataField.update();
            this.fileUploadEl.nativeElement.value = '';
        });
    }
    download(fileName) {
        if (!this.dataField.value?.namesPaths?.find(namePath => namePath.name === fileName)) {
            return;
        }
        if (!this.taskId) {
            this._log.error('File cannot be downloaded. No task is set to the field.');
            return;
        }
        this.state = this.defaultState;
        this.state.downloading = true;
        let params = new HttpParams();
        params = params.set("fieldId", this.dataField.stringId);
        params = params.set("fileName", fileName);
        this._taskResourceService.downloadFile(this.resolveParentTaskId(), params).subscribe(response => {
            if (response.type && response.type === ProgressType.DOWNLOAD) {
                this.state.progress = response.progress;
            }
            else {
                this._log.debug(`File [${this.dataField.stringId}] ${fileName} was successfully downloaded`);
                this.downloadViaAnchor(response, fileName);
                this.state.downloading = false;
                this.state.progress = 0;
                this.dataField.downloaded.push(fileName);
            }
        }, error => {
            this._log.error(`Downloading file [${this.dataField.stringId}] ${fileName} has failed!`, error);
            this._snackbar.openErrorSnackBar(fileName + ' ' + this._translate.instant('dataField.snackBar.downloadFail'));
            this.state.downloading = false;
            this.state.progress = 0;
        });
    }
    downloadViaAnchor(blob, fileName) {
        const a = document.createElement('a');
        document.body.appendChild(a);
        a.setAttribute('style', 'display: none');
        blob = new Blob([blob], { type: 'application/octet-stream' });
        const url = window.URL.createObjectURL(blob);
        a.href = url;
        a.download = fileName;
        a.click();
        window.URL.revokeObjectURL(url);
        document.body.removeChild(a);
    }
    deleteFile(fileName) {
        if (!this.dataField.value?.namesPaths?.find(namePath => namePath.name === fileName)) {
            return;
        }
        if (!this.taskId) {
            this._log.error('File cannot be deleted. No task is set to the field.');
            return;
        }
        const requestBody = {
            parentTaskId: this.resolveParentTaskId(),
            fieldId: this.dataField.stringId,
            fileName
        };
        this._taskResourceService.deleteFile(this.taskId, requestBody).pipe(take(1)).subscribe((response) => {
            if (response.success) {
                const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(response.outcome);
                this.dataField.emitChangedFields(changedFieldsMap);
                this.fileUploadEl.nativeElement.value = '';
                this.uploadedFiles = this.uploadedFiles.filter(uploadedFile => uploadedFile !== fileName);
                if (this.dataField.value.namesPaths) {
                    this.dataField.value.namesPaths = this.dataField.value.namesPaths.filter(namePath => namePath.name !== fileName);
                    this.formControlRef.setValue(this.dataField.value.namesPaths.map(namePath => {
                        return namePath['name'];
                    }).join('/'));
                    this.dataField.update();
                }
                this.dataField.downloaded = this.dataField.downloaded.filter(one => one !== fileName);
                this._log.debug(`File [${this.dataField.stringId}] ${fileName} was successfully deleted`);
                this.formControlRef.markAsTouched();
            }
            else {
                this._log.error(`Deleting file [${this.dataField.stringId}] ${fileName} has failed!`, response.error);
                this._snackbar.openErrorSnackBar(fileName + ' ' + this._translate.instant('dataField.snackBar.fileDeleteFailed'));
            }
        });
    }
    get defaultState() {
        return {
            progress: 0,
            completed: false,
            error: false,
            uploading: false,
            downloading: false
        };
    }
    /**
     * Construct display name.
     */
    constructDisplayName() {
        if (!!this.dataField && !!this.dataField.placeholder) {
            return this.dataField.placeholder;
        }
        return this._translate.instant('dataField.file.noFile');
    }
    parseResponse() {
        if (this.dataField.value) {
            if (!!this.dataField.value.namesPaths && this.dataField.value.namesPaths.length !== 0) {
                this.uploadedFiles = new Array();
                this.dataField.value.namesPaths.forEach(namePath => {
                    this.uploadedFiles.push(namePath.name);
                });
            }
            else {
                this.dataField.value.namesPaths = new Array();
            }
            this.uploadedFiles = this.dataField.value.namesPaths.map(namePath => namePath.name);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileListDefaultFieldComponent, deps: [{ token: TaskResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: EventService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFileListDefaultFieldComponent, selector: "ncc-abstract-file-list-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFileListDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-file-list-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: EventService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractMultichoiceFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
        this._formControl = new FormControl('');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultichoiceFieldComponent, selector: "ncc-abstract-multichoice-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multichoice-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

var MultichoiceAutocompleteFilterProperty;
(function (MultichoiceAutocompleteFilterProperty) {
    MultichoiceAutocompleteFilterProperty["PREFIX"] = "prefix";
    MultichoiceAutocompleteFilterProperty["SUBSTRING"] = "substring";
})(MultichoiceAutocompleteFilterProperty || (MultichoiceAutocompleteFilterProperty = {}));

class AbstractMultichoiceAutocompleteFieldComponentComponent extends AbstractBaseDataFieldComponent {
    input;
    separatorKeysCodes = [ENTER, COMMA];
    subscriptionChangeData$;
    filteredOptions;
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    ngOnInit() {
        this.subscriptionChangeData$ = this.formControlRef.valueChanges.subscribe(newVal => {
            this.filteredOptions = of(this._filter(newVal ?? '').filter((option) => !this.dataField.value?.includes(option.key)));
        });
    }
    ngOnDestroy() {
        this.filteredOptions = undefined;
        this.subscriptionChangeData$.unsubscribe();
    }
    add(event) {
        const value = event['key'] ?? '';
        if (value) {
            this.dataField.value = this.dataField.value === null ? [] : this.dataField.value;
            const choiceArray = [...this.dataField.value];
            choiceArray.push(value);
            this.dataField.value = choiceArray;
            this.input.nativeElement.value = '';
            this.change();
        }
        else {
            this.input.nativeElement.value = '';
            this.change();
        }
    }
    remove(value) {
        const index = this.dataField.value.indexOf(value);
        if (index >= 0) {
            const choiceArray = [...this.dataField.value];
            choiceArray.splice(index, 1);
            this.dataField.value = choiceArray;
            this.change();
        }
    }
    change() {
        if (this.input.nativeElement.value !== undefined) {
            this.filteredOptions = of(this._filter(this.input.nativeElement.value).filter((option) => !this.dataField.value?.includes(option.key)));
        }
    }
    filterType() {
        if (this.checkPropertyInComponent('filter')) {
            return this.dataField.component.properties.filter;
        }
    }
    _filter(value) {
        let filterType = this.filterType()?.toLowerCase();
        switch (filterType) {
            case MultichoiceAutocompleteFilterProperty.SUBSTRING:
                return this._filterInclude(value);
            case MultichoiceAutocompleteFilterProperty.PREFIX:
                return this._filterIndexOf(value);
            default:
                return this._filterIndexOf(value);
        }
    }
    _filterInclude(value) {
        if (Array.isArray(value)) {
            value = '';
        }
        const filterValue = value?.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return this.dataField.choices.filter(option => option.value.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '').includes(filterValue));
    }
    _filterIndexOf(value) {
        if (Array.isArray(value)) {
            value = '';
        }
        const filterValue = value?.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return this.dataField.choices.filter(option => option.value.toLowerCase().normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '').indexOf(filterValue) === 0);
    }
    renderSelection = (key) => {
        if (key !== undefined && key !== '' && key !== null) {
            const choice = this.dataField.choices.find(c => c.key === key);
            if (choice) {
                return choice.value;
            }
        }
        return key;
    };
    getValueFromKey(key) {
        return this.dataField.choices.find(choice => choice.key === key)?.value;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceAutocompleteFieldComponentComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultichoiceAutocompleteFieldComponentComponent, selector: "ncc-abstract-multichoice-autocomplete-field", viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceAutocompleteFieldComponentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multichoice-autocomplete-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { input: [{
                type: ViewChild,
                args: ['input']
            }] } });

class AbstractMultichoiceListFieldComponent extends AbstractBaseDataFieldComponent {
    selected;
    validate;
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceListFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultichoiceListFieldComponent, selector: "ncc-abstract-multichoice-list-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceListFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multichoice-list-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractMultichoiceCaseRefComponent extends AbstractCaseRefBaseFieldComponent {
    injector;
    caseViewType;
    _sub;
    _subComp;
    constructor(injector, caseViewType, dataFieldPortalData) {
        super(injector, caseViewType, dataFieldPortalData);
        this.injector = injector;
        this.caseViewType = caseViewType;
    }
    ngAfterViewInit() {
        this.callCreateFilter();
        this._sub = this.dataField.updatedChoices.subscribe(() => {
            this.callCreateFilter();
        });
        this._subComp = this.dataField.componentChange$().subscribe(() => {
            this.callCreateFilter();
        });
    }
    callCreateFilter() {
        this.createFilter(this.dataField.choices.length > 0 ? this.dataField.choices.map(value => value.key) : '');
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._sub.unsubscribe();
        this._subComp.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceCaseRefComponent, deps: [{ token: i0.Injector }, { token: i0.Type }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultichoiceCaseRefComponent, selector: "ncc-abstract-multi-case-ref-default", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceCaseRefComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multi-case-ref-default',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i0.Type }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractMultichoiceSelectFieldComponent extends AbstractBaseDataFieldComponent {
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceSelectFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultichoiceSelectFieldComponent, selector: "ncc-abstract-multichoice-select-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultichoiceSelectFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multichoice-select-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractNumberFieldComponent extends AbstractDataFieldComponent {
    _translate;
    dataField;
    constructor(_translate, informAboutInvalidData) {
        super(informAboutInvalidData);
        this._translate = _translate;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNumberFieldComponent, selector: "ncc-abstract-number-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-number-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractNumberErrorsComponent extends AbstractBaseDataFieldComponent {
    _translate;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    getErrorMessage() {
        if (this.formControlRef.hasError(NumberFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_ODD)) {
            return this.resolveErrorMessage(NumberFieldValidation.ODD, this._translate.instant('dataField.validations.odd'));
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_EVEN)) {
            return this.resolveErrorMessage(NumberFieldValidation.EVEN, this._translate.instant('dataField.validations.even'));
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_POSITIVE)) {
            return this.resolveErrorMessage(NumberFieldValidation.POSITIVE, this._translate.instant('dataField.validations.positive'));
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_NEGATIVE)) {
            return this.resolveErrorMessage(NumberFieldValidation.NEGATIVE, this._translate.instant('dataField.validations.negative'));
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_DECIMAL)) {
            return this.resolveErrorMessage(NumberFieldValidation.DECIMAL, this._translate.instant('dataField.validations.decimal'));
        }
        if (this.formControlRef.hasError(NumberFieldValidation.VALID_IN_RANGE)) {
            const tmp = this.dataField.validations.find(value => value.validationRule.includes(NumberFieldValidation.IN_RANGE)).validationRule.split(' ');
            return this.resolveErrorMessage(NumberFieldValidation.IN_RANGE, this._translate.instant('dataField.validations.inrange', { range: tmp[1] }));
        }
        return '';
    }
    resolveErrorMessage(search, generalMessage) {
        const validation = this.dataField.validations.find(value => value.validationRule.includes(search));
        if (validation.validationMessage && validation.validationMessage !== '') {
            return validation.validationMessage;
        }
        return generalMessage;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberErrorsComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNumberErrorsComponent, selector: "ncc-abstract-number-errors-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberErrorsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-number-errors-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractCurrencyNumberFieldComponent extends AbstractNumberErrorsComponent {
    _currencyPipe;
    transformedValue;
    fieldType;
    NUMBER_TYPE = 'number';
    TEXT_TYPE = 'text';
    WHITESPACE = ' ';
    constructor(_currencyPipe, translateService, dataFieldPortalData) {
        super(translateService, dataFieldPortalData);
        this._currencyPipe = _currencyPipe;
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.fieldType = this.TEXT_TYPE;
            this.transformedValue = this.transformCurrency(this.dataField.value?.toString());
            this.dataField.valueChanges().subscribe(value => {
                if (value !== undefined && value !== null) {
                    if (this.fieldType === this.TEXT_TYPE) {
                        this.transformedValue = this.transformCurrency(value.toString()) + this.WHITESPACE;
                    }
                }
                else {
                    this.transformedValue = '';
                }
            });
        });
    }
    transformToText(event) {
        const target = event.target;
        this.fieldType = this.TEXT_TYPE;
        this.transformedValue = this.transformCurrency(target.value);
    }
    transformToNumber() {
        this.fieldType = this.NUMBER_TYPE;
        this.transformedValue = !!this.dataField.value ? this.dataField.value.toString() : '0';
    }
    getCurrencySymbol() {
        if (this.dataField._formatFilter === undefined) {
            return getCurrencySymbol(this.dataField.component.properties['code'], 'wide', this.dataField.component.properties['locale']);
        }
        return getCurrencySymbol(this.dataField._formatFilter.code, 'wide', this.dataField._formatFilter.locale);
    }
    isNumberType() {
        return this.fieldType === this.NUMBER_TYPE;
    }
    transformCurrency(value) {
        value = !!value ? value : '0';
        if (this.dataField._formatFilter === undefined) {
            return this._currencyPipe.transform(parseFloat(value), this.dataField.component.properties['code'], 'symbol', '1.' + this.dataField.component.properties['fractionSize'] + '-' + this.dataField.component.properties['fractionSize'], this.dataField.component.properties['locale']);
        }
        return this._currencyPipe.transform(parseFloat(value), this.dataField._formatFilter.code, 'symbol', '1.' + this.dataField._formatFilter.fractionSize + '-' + this.dataField._formatFilter.fractionSize, this.dataField._formatFilter.locale);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCurrencyNumberFieldComponent, deps: [{ token: i2.CurrencyPipe }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCurrencyNumberFieldComponent, selector: "ncc-abstract-currency-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCurrencyNumberFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-currency-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i2.CurrencyPipe }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDefaultNumberFieldComponent extends AbstractNumberErrorsComponent {
    constructor(translateService, dataFieldPortalData) {
        super(translateService, dataFieldPortalData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultNumberFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDefaultNumberFieldComponent, selector: "ncc-abstract-number-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultNumberFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-number-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractNumberDecimalFieldComponent extends AbstractNumberErrorsComponent {
    _decimalPipe;
    transformedValue;
    fieldType;
    NUMBER_TYPE = 'number';
    TEXT_TYPE = 'text';
    WHITESPACE = ' ';
    constructor(_decimalPipe, _translate, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._decimalPipe = _decimalPipe;
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.fieldType = this.TEXT_TYPE;
            this.transformedValue = this.transformDecimal(this.dataField.value?.toString());
            this.dataField.valueChanges().subscribe(value => {
                if (value !== undefined && value !== null) {
                    if (this.fieldType === this.TEXT_TYPE) {
                        this.transformedValue = this.transformDecimal(value.toString());
                    }
                }
                else {
                    this.transformedValue = '';
                }
            });
        });
    }
    transformToText(event) {
        const target = event.target;
        this.fieldType = this.TEXT_TYPE;
        this.transformedValue = this.transformDecimal(target.value);
    }
    transformToNumber() {
        this.fieldType = this.NUMBER_TYPE;
        this.transformedValue = !!this.dataField.value ? this.dataField.value.toString() : '0';
    }
    isNumberType() {
        return this.fieldType === this.NUMBER_TYPE;
    }
    transformDecimal(value) {
        value = !!value ? value : '0';
        if (!!this.dataField.component) {
            return this._decimalPipe.transform(parseFloat(value), this.dataField.component.properties['digitsInfo'], this.dataField.component.properties['locale']);
        }
        return value;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberDecimalFieldComponent, deps: [{ token: i2.DecimalPipe }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNumberDecimalFieldComponent, selector: "ncc-abstract-number-decimal-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNumberDecimalFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-number-decimal-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i2.DecimalPipe }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractTextFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTextFieldComponent, selector: "ncc-abstract-text-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractTextErrorsComponent extends AbstractBaseDataFieldComponent {
    _translate;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    buildErrorMessage(textField, formControlRef) {
        if (formControlRef.hasError(TextFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
        if (formControlRef.hasError(TextFieldValidation.VALID_MIN_LENGTH)) {
            return this.resolveErrorMessage(textField, TextFieldValidation.MIN_LENGTH, this._translate.instant('dataField.validations.minLength', { length: formControlRef.errors.minlength.requiredLength }));
        }
        if (formControlRef.hasError(TextFieldValidation.VALID_MAX_LENGTH)) {
            return this.resolveErrorMessage(textField, TextFieldValidation.MAX_LENGTH, this._translate.instant('dataField.validations.maxLength', { length: formControlRef.errors.maxlength.requiredLength }));
        }
        if (formControlRef.hasError(TextFieldValidation.PATTERN)) {
            return this.resolveErrorMessage(textField, TextFieldValidation.REGEX, this._translate.instant('dataField.validations.pattern'));
        }
        if (formControlRef.hasError(TextFieldValidation.VALID_TEL_NUMBER)) {
            return this.resolveErrorMessage(textField, TextFieldValidation.TEL_NUMBER, this._translate.instant('dataField.validations.phone'));
        }
        if (formControlRef.hasError(TextFieldValidation.EMAIL)) {
            return this.resolveErrorMessage(textField, TextFieldValidation.EMAIL, this._translate.instant('dataField.validations.email'));
        }
        return '';
    }
    resolveErrorMessage(textField, search, generalMessage) {
        const validation = textField.validations.find(value => value.validationRule.includes(search));
        if (validation.validationMessage && validation.validationMessage !== '') {
            return validation.validationMessage;
        }
        return generalMessage;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextErrorsComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTextErrorsComponent, selector: "ncc-text-errors", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextErrorsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-text-errors',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractSimpleTextFieldComponent extends AbstractTextErrorsComponent {
    _translate;
    constructor(_translate, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._translate = _translate;
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSimpleTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSimpleTextFieldComponent, selector: "ncc-abstract-simple-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSimpleTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-simple-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractRichTextareaFieldComponent extends AbstractTextErrorsComponent {
    _translate;
    // TODO BUG: update on blur dont working, switch back to update on ngModel
    constructor(_translate, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._translate = _translate;
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRichTextareaFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractRichTextareaFieldComponent, selector: "ncc-abstract-rich-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRichTextareaFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-rich-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractHtmlTextareaFieldComponent extends AbstractTextErrorsComponent {
    _translate;
    _sanitizer;
    quillModules = {
        toolbar: [
            ['bold', 'italic', 'underline', 'strike'],
            ['blockquote', 'code-block'],
            [{ list: 'ordered' }, { list: 'bullet' }],
            [{ script: 'sub' }, { script: 'super' }],
            [{ indent: '-1' }, { indent: '+1' }],
            [{ header: [1, 2, 3, 4, 5, 6, false] }],
            [{ color: [] }, { background: [] }],
            [{ font: [] }],
            [{ align: '' }, { align: 'center' }, { align: 'right' }, { align: 'justify' }],
            ['clean'],
            ['link', 'image', 'video'] // link and image, video
        ]
    };
    disabledDisplay;
    constructor(_translate, _sanitizer, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._translate = _translate;
        this._sanitizer = _sanitizer;
    }
    ngOnInit() {
        this.disabledDisplay = this.sanitizeValue();
        this.dataField.valueChanges().subscribe(() => {
            this.disabledDisplay = this.sanitizeValue();
        });
    }
    sanitizeValue() {
        return this._sanitizer.bypassSecurityTrustHtml(this.dataField.value !== undefined ? this.dataField.value : '');
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHtmlTextareaFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: i2$1.DomSanitizer }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractHtmlTextareaFieldComponent, selector: "ncc-abstract-html-area-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHtmlTextareaFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-html-area-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i2$1.DomSanitizer }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractPasswordTextFieldComponent extends AbstractTextErrorsComponent {
    _translate;
    constructor(_translate, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._translate = _translate;
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPasswordTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractPasswordTextFieldComponent, selector: "ncc-abstract-password-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPasswordTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-password-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractTextareaFieldComponent extends AbstractTextErrorsComponent {
    _translate;
    _ngZone;
    dynamicTextArea;
    textArea;
    constructor(_translate, _ngZone, dataFieldPortalData) {
        super(_translate, dataFieldPortalData);
        this._translate = _translate;
        this._ngZone = _ngZone;
    }
    ngAfterViewInit() {
        this.triggerResize();
        this.textArea.nativeElement.style.minHeight = this.getHeight() + 'px';
        if (parseInt(this.textArea.nativeElement.style.height, 10) < this.getHeight()) {
            this.textArea.nativeElement.style.height = this.getHeight() + 'px';
        }
    }
    getHeight() {
        const oneHeight = this.dataField.layout && this.dataField.layout.appearance === 'outline' ?
            TextAreaHeight.OUTLINE : TextAreaHeight.FILL_STANDARD;
        return this.dataField.layout?.rows && this.dataField.layout?.rows !== 1 ?
            (this.dataField.layout.rows - 1) * TextField.FIELD_HEIGHT + oneHeight : oneHeight;
    }
    triggerResize() {
        this._ngZone.onStable.pipe(take(1))
            .subscribe(() => this.dynamicTextArea.resizeToFitContent(true));
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextareaFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: i0.NgZone }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTextareaFieldComponent, selector: "ncc-abstract-text-area-field", viewQueries: [{ propertyName: "dynamicTextArea", first: true, predicate: ["dynamicTextArea"], descendants: true }, { propertyName: "textArea", first: true, predicate: ["textArea"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTextareaFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-text-area-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i0.NgZone }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { dynamicTextArea: [{
                type: ViewChild,
                args: ['dynamicTextArea']
            }], textArea: [{
                type: ViewChild,
                args: ['textArea']
            }] } });

class AbstractDashboardTextFieldComponent extends AbstractTextErrorsComponent {
    card;
    initialized = false;
    _sub;
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    ngOnInit() {
        if (this.formControlRef.value !== undefined) {
            this.card = this.createCard(this.formControlRef.value);
            this.initialized = true;
        }
        this._sub = this.formControlRef.valueChanges.subscribe(newVal => {
            this.card = this.createCard(newVal);
            this.initialized = true;
        });
    }
    ngOnDestroy() {
        this._sub.unsubscribe();
    }
    getErrorMessage() {
        return this.buildErrorMessage(this.dataField, this.formControlRef);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardTextFieldComponent, selector: "ncc-abstract-dashboard-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

var DashboardCardTypes;
(function (DashboardCardTypes) {
    DashboardCardTypes["BLANK"] = "blank";
    DashboardCardTypes["COUNT"] = "count";
    DashboardCardTypes["GRAPH"] = "graph";
    DashboardCardTypes["IFRAME"] = "iframe";
    DashboardCardTypes["PIE"] = "pie";
    DashboardCardTypes["LINE"] = "line";
    DashboardCardTypes["LINEARGAUGE"] = "lineargauge";
    DashboardCardTypes["BAR"] = "bar";
    DashboardCardTypes["PORTAL"] = "portal";
    DashboardCardTypes["DEFAULT"] = "default";
})(DashboardCardTypes || (DashboardCardTypes = {}));

class AbstractDashboardLineChartTextFieldComponent extends AbstractDashboardTextFieldComponent {
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    createCard(textFieldValue) {
        const parsedValue = JSON.parse(textFieldValue);
        return {
            type: DashboardCardTypes.LINE,
            query: parsedValue.query,
            title: parsedValue.title,
            xAxisLabel: parsedValue.xAxisLabel,
            yAxisLabel: parsedValue.yAxisLabel,
            resourceType: !!parsedValue.resourceType ? parsedValue.resourceType : FilterType.CASE,
            layout: { x: 0, y: 0, rows: 1, cols: 1 }
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardLineChartTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardLineChartTextFieldComponent, selector: "ncc-abstract-dashboard-line-chart-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardLineChartTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-line-chart-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDashboardPieChartTextFieldComponent extends AbstractDashboardTextFieldComponent {
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    createCard(textFieldValue) {
        const parsedValue = JSON.parse(textFieldValue);
        return {
            type: DashboardCardTypes.PIE,
            query: parsedValue.query,
            title: parsedValue.title,
            resourceType: !!parsedValue.resourceType ? parsedValue.resourceType : FilterType.CASE,
            layout: { x: 0, y: 0, rows: 1, cols: 1 }
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardPieChartTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardPieChartTextFieldComponent, selector: "ncc-abstract-dashboard-pie-chart-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardPieChartTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-pie-chart-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDashboardBarChartTextFieldComponent extends AbstractDashboardTextFieldComponent {
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    createCard(textFieldValue) {
        const parsedValue = JSON.parse(textFieldValue);
        return {
            type: DashboardCardTypes.BAR,
            query: parsedValue.query,
            title: parsedValue.title,
            xAxisLabel: parsedValue.xAxisLabel,
            yAxisLabel: parsedValue.yAxisLabel,
            resourceType: !!parsedValue.resourceType ? parsedValue.resourceType : FilterType.CASE,
            layout: { x: 0, y: 0, rows: 1, cols: 1 }
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardBarChartTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardBarChartTextFieldComponent, selector: "ncc-abstract-dashboard-bar-chart-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardBarChartTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-bar-chart-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDashboardIframeTextFieldComponent extends AbstractDashboardTextFieldComponent {
    card;
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    createCard(textFieldValue) {
        return {
            url: textFieldValue,
            type: DashboardCardTypes.IFRAME,
            layout: { x: 0, y: 0, rows: 1, cols: 1 }
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardIframeTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardIframeTextFieldComponent, selector: "ncc-abstract-dashboard-iframe-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardIframeTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-iframe-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractDashboardPortalTextFieldComponent extends AbstractDashboardTextFieldComponent {
    constructor(translate, dataFieldPortalData) {
        super(translate, dataFieldPortalData);
    }
    createCard(textFieldValue) {
        return {
            type: DashboardCardTypes.PORTAL,
            componentName: textFieldValue,
            layout: { x: 0, y: 0, rows: 1, cols: 1 }
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardPortalTextFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardPortalTextFieldComponent, selector: "ncc-abstract-dashboard-portal-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardPortalTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-portal-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated as of v6.4.0
 * */
/**
 * Component that is created in the body of the task panel accord on the Petri Net, which must be bind properties.
 */
class AbstractUserFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserFieldComponent, selector: "ncc-abstract-user-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractUserDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _dialog;
    _snackbar;
    _translate;
    labelWidth;
    cutProperty;
    /**
     * Inject services.
     * @param _dialog Service to open and close [UserAssignDialogComponent]{@link UserAssignDialogComponent} with user data.
     * @param _snackbar Service to displaying information to the user.
     * @param _translate Service to translate text.
     * @param informAboutInvalidData whether the backend should be notified about invalid values.
     * Option injected trough `NAE_INFORM_ABOUT_INVALID_DATA` InjectionToken
     */
    constructor(_dialog, _snackbar, _translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._dialog = _dialog;
        this._snackbar = _snackbar;
        this._translate = _translate;
    }
    /**
     * Call after click on user field button.
     *
     * Open [UserAssignComponent]{@link AbstractUserAssignComponent} in side menu with data represents preselected user from backend.
     *
     * After close side menu, the snackbar info will be displayed either for the unselected user or the selected one.
     */
    selectAbstractUser(component) {
        let valueReturned = false;
        const dialogRef = this._dialog.open(component, {
            panelClass: "dialog-responsive",
            data: { roles: this.dataField.roles, value: this.dataField.value },
        });
        dialogRef.afterClosed().subscribe($event => {
            if ($event.data) {
                this.dataField.value = $event.data;
                this._snackbar.openGenericSnackBar(this._translate.instant('dataField.snackBar.userAssigned', { userName: this.dataField.value.fullName }), 'how_to_reg');
                valueReturned = true;
            }
            else if (!valueReturned) {
                this._snackbar.openWarningSnackBar(this._translate.instant('dataField.snackBar.notSelectedUser'));
            }
        });
    }
    deleteUser() {
        this.dataField.value = null;
    }
    getCutProperty(i18nLabel) {
        if (this.labelWidth !== i18nLabel.offsetWidth) {
            this.labelWidth = i18nLabel.offsetWidth;
            const calculatedWidth = 'calc(0.5em + ' + i18nLabel.offsetWidth / 4 * 3 + 'px)';
            this.cutProperty = `polygon(0 0, 0 100%, 100% 100%, 100% 0%, ${calculatedWidth} 0, ${calculatedWidth} 6%, 0.5em 6%, 0.5em 0)`;
        }
        return this.cutProperty;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserDefaultFieldComponent, deps: [{ token: i1$3.MatDialog }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserDefaultFieldComponent, selector: "ncc-abstract-user-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialog }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractEnumerationIconFieldComponent extends AbstractBaseDataFieldComponent {
    horizontal;
    arrow;
    divider;
    subComp;
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    ngOnInit() {
        this.checkProperties();
        this.subComp = this.dataField.componentChange$().subscribe(() => {
            this.checkProperties();
        });
    }
    checkProperties() {
        this.horizontal = this.dataField.component?.properties?.horizontal === 'true';
        this.arrow = this.dataField.component?.properties?.arrow === 'true';
        this.divider = this.dataField.component?.properties?.divider === 'true';
    }
    resolveIconValue(key) {
        return this.dataField.component?.optionIcons.find(icon => icon.key === key)?.value;
    }
    resolveIconType(key) {
        return this.dataField.component?.optionIcons.find(icon => icon.key === key)?.type;
    }
    isArrow() {
        return this.arrow;
    }
    isDivider() {
        return this.divider;
    }
    setEnumValue(key) {
        if (!this.formControlRef.disabled) {
            this.formControlRef.setValue(key);
        }
    }
    isSelected(key) {
        return key === this.dataField.value;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.subComp.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationIconFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationIconFieldComponent, selector: "ncc-abstract-enumerataion-icon-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationIconFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumerataion-icon-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractEnumerationAutocompleteDynamicFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    text;
    filteredOptions;
    choiceSubscription;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    ngOnInit() {
        this.filteredOptions = this.formControlRef.valueChanges.pipe(startWith(''), map(() => this.dataField.choices));
        this.choiceSubscription = this.dataField.choicesChange$.subscribe(() => {
            this.filteredOptions = of(this.dataField.choices);
        });
    }
    ngAfterViewInit() {
        this.dataField.input = this.text;
    }
    ngOnDestroy() {
        this.filteredOptions = undefined;
        this.choiceSubscription.unsubscribe();
    }
    change() {
        if (this.text.nativeElement.value !== undefined) {
            this.filteredOptions = of(this.dataField.choices);
        }
    }
    renderSelection = (key) => {
        if (key !== undefined && key !== '' && key !== null) {
            if (this.dataField.choices.find(choice => choice.key === key)) {
                return this.dataField.choices.find(choice => choice.key === key).value;
            }
        }
        return key;
    };
    buildErrorMessage() {
        if (this.formControlRef.hasError(EnumerationFieldValidation.REQUIRED)) {
            return this._translate.instant('dataField.validations.required');
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationAutocompleteDynamicFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEnumerationAutocompleteDynamicFieldComponent, selector: "ncc-abstract-enumeration-autocomplete-dynamic-field", viewQueries: [{ propertyName: "text", first: true, predicate: ["input"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEnumerationAutocompleteDynamicFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-enumeration-autocomplete-dynamic-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { text: [{
                type: ViewChild,
                args: ['input']
            }] } });

/**
 * @deprecated
 * */
class AbstractFilterFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterFieldComponent, selector: "ncc-abstract-filter-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

/**
 * Provides access to the {@link FilterField} instance for dependency injection inside
 * an {@link AbstractFilterFieldComponent} implementation.
 */
const NAE_FILTER_FIELD = new InjectionToken('NaeFilterField');

// TODO 23.4.2020 - Same as MergeOperator for Filters, should these Enums be kept separate, or should just one exist?
/**
 * Determines the way {@link Predicate}s are combined together.
 */
var BooleanOperator;
(function (BooleanOperator) {
    BooleanOperator["AND"] = "AND";
    BooleanOperator["OR"] = "OR";
})(BooleanOperator || (BooleanOperator = {}));

/**
 * Abstraction of queries, so that their implementation can be replaced as needed.
 */
class Query {
    _value;
    _empty;
    /**
     * @param _value see [value]{@link Query#value} for the specification of this attribute.
     * @param _empty use `true` if the Query object represents an empty query
     */
    constructor(_value, _empty = false) {
        this._value = _value;
        this._empty = _empty;
        if (!this._value || this._value === '') {
            this._empty = true;
        }
    }
    /**
     * @returns an Elastic search Query string query wrapped in braces.
     *
     * See Elasticsearch's
     * [documentation]{@link https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html}
     * for more information about Query string queries.
     */
    get value() {
        return this._value;
    }
    /**
     * @returns whether this Query object represents an empty query or not
     */
    get isEmpty() {
        return this._empty;
    }
    /**
     * Combines multiple queries into one with the provided operator.
     * @param queries queries that should be combined. Empty queries in the input array are ignored.
     * @param operator operator that is used to combine the queries
     * @returns a single query that is the combination of the non-empty queries in the input array. If the input array is empty an
     * [empty query]{@link Query#emptyQuery} will be returned.
     */
    static combineQueries(queries, operator) {
        const realQueries = queries.filter(q => !q.isEmpty);
        if (realQueries.length === 0) {
            return Query.emptyQuery();
        }
        if (realQueries.length === 1) {
            return new Query(realQueries[0].value);
        }
        const combinedQuery = realQueries.map(q => q.value).join(` ${operator} `);
        return new Query(`(${combinedQuery})`);
    }
    /**
     * Returns a `Query` with it's `value` set to an empty string.
     */
    static emptyQuery() {
        return new Query('', true);
    }
    /**
     * @param query the query that should be compared
     * @returns `true` if and only if the queries are equal.
     * Returns `false` if the queries are not equal, or if attempting to tell the queries apart is too complicated.
     * More specifically the method can always tell apart empty queries and if poth queries are non-empty then their values are compared.
     */
    equals(query) {
        if (this.isEmpty && query.isEmpty) {
            return true;
        }
        if (this.isEmpty || query.isEmpty) {
            return false;
        }
        return this.value === query.value;
    }
}

/**
 * Building block of search queries. Represents any node in a tree of predicates, that are combined with {@link BooleanOperator}s to create
 * a search query.
 *
 * See {@link SearchService} for more information.
 */
class Predicate {
    _visible;
    _metadataGenerator;
    _filterTextSegmentsGenerator;
    /**
     * @param initiallyVisible whether the predicate should be initially displayed or not
     */
    constructor(initiallyVisible = true) {
        this._visible = !!initiallyVisible;
        this._metadataGenerator = () => {
            throw new Error('This predicate has no metadata generator registered!');
        };
        this._filterTextSegmentsGenerator = () => {
            return [];
        };
    }
    /**
     * @returns whether the Predicate should be displayed, or not
     */
    get isVisible() {
        return this._visible;
    }
    /**
     * Combines the text segments of the predicates with the given operator and wraps the individual predicates in brackets optionaly
     * @param predicates sources of text segments that are to be combined with a boolean operator
     * @param operator boolean operator used to combine the individual predicate text segments
     * @param wrapWithBrackets whether the individual predicate text segments should be wrapped in braces or not
     * (if only one predicate is provided it is never wrapped)
     */
    static combineTextSegmentsWithBooleanOperator(predicates, operator, wrapWithBrackets = false) {
        const result = [];
        let first = true;
        let hasTwo = false;
        for (const predicate of predicates) {
            const textSegments = predicate.createFilterTextSegments();
            if (textSegments.length > 0) {
                if (!first) {
                    if (!hasTwo && wrapWithBrackets) {
                        result.unshift({ segment: '(' });
                        hasTwo = true;
                    }
                    if (wrapWithBrackets) {
                        result.push({ segment: ')' });
                    }
                    result.push({ segment: operator === BooleanOperator.AND ? 'search.and' : 'search.or', uppercase: true });
                    if (wrapWithBrackets) {
                        result.push({ segment: '(' });
                    }
                }
                result.push(...textSegments);
                first = false;
            }
        }
        if (hasTwo && wrapWithBrackets) {
            result.push({ segment: ')' });
        }
        return result;
    }
    /**
     * Sets the predicates state to `visible`
     */
    show() {
        this._visible = true;
    }
    setMetadataGenerator(metadataGenerator) {
        this._metadataGenerator = metadataGenerator;
    }
    /**
     * @returns an object containing the necessary information for the reconstruction of the entire predicate tree in serializable form.
     * Returns `undefined` if the predicate tree rooted at this node is incomplete and would evaluate into an empty filter.
     */
    createGeneratorMetadata() {
        return this._metadataGenerator();
    }
    setFilterTextSegmentsGenerator(filterTextSegmentsGenerator) {
        this._filterTextSegmentsGenerator = filterTextSegmentsGenerator;
    }
    /**
     * @returns an Array containing text segments representing the content of this predicate.
     * The default implementation returns an empty array.
     */
    createFilterTextSegments() {
        return this._filterTextSegmentsGenerator();
    }
}

/**
 * Base class for editable predicates that allows them to notify their parent predicate tree nodes about updates to their queries.
 */
class EditablePredicate extends Predicate {
    _parentNotifier;
    constructor(parentNotifier, initiallyVisible = true) {
        super(initiallyVisible);
        this._parentNotifier = parentNotifier;
    }
    /**
     * Notify the parent `Predicate` that this `Predicate` updated its `Query`
     */
    notifyParentPredicate() {
        if (this._parentNotifier && !this._parentNotifier.isStopped) {
            this._parentNotifier.next();
        }
    }
    set parentNotifier(parentNotifier) {
        this._parentNotifier = parentNotifier;
    }
    destroy() {
        this._parentNotifier.complete();
    }
}

/**
 * A simple, editable type of `Predicate`. Represents a leaf node in the predicate tree, that can change the `Query` it holds
 * and can notify the parent tree node about changes.
 */
class EditableElementaryPredicate extends EditablePredicate {
    _query;
    constructor(parentNotifier, initiallyVisible = true) {
        super(parentNotifier, initiallyVisible);
        this._query = Query.emptyQuery();
    }
    get query() {
        return this._query;
    }
    set query(query) {
        this._query = query;
        this.notifyParentPredicate();
    }
}

/**
 * A counter that returns an incremented value, whenever it is called
 */
class IncrementingCounter {
    i = 0;
    /**
     * @returns a number one greater than the previous number. The first call to this method returns `0`.
     */
    next() {
        return this.i++;
    }
    /**
     * @returns the last returned number. If no call to [next()]{@link IncrementingCounter#next} has been made, returns `-1`.
     */
    lastUsed() {
        return this.i - 1;
    }
}

/**
 * A complex, editable `Predicate`. Represents an inner node in the predicate tree, that can process changes of `Query` objects
 * held by its child nodes. It can notify the parent tree node about changes to the held `Query`.
 */
class EditableClausePredicate extends EditablePredicate {
    _operator;
    _bracketSubPredicateText;
    _predicates;
    _childUpdated$;
    _childCounter;
    _query;
    constructor(_operator, parentNotifier, initiallyVisible = true, _bracketSubPredicateText = false) {
        super(parentNotifier, initiallyVisible);
        this._operator = _operator;
        this._bracketSubPredicateText = _bracketSubPredicateText;
        this._predicates = new Map();
        this._childUpdated$ = new Subject();
        this._childCounter = new IncrementingCounter();
        this._query = Query.emptyQuery();
        this.initializeFilterTextSegmentsGenerator();
        this._childUpdated$.subscribe(() => {
            this.updateQueryAndNotify();
        });
    }
    get query() {
        return this._query;
    }
    destroy() {
        super.destroy();
        this._childUpdated$.complete();
    }
    show() {
        super.show();
        this.showAll();
    }
    /**
     * Shows the predicates with the given ids. Skips ids that don't exist.
     * @param predicateIds the ids of the predicates that should be shown.
     */
    showPredicates(predicateIds) {
        predicateIds.forEach(id => {
            if (this._predicates.has(id)) {
                this._predicates.get(id).show();
            }
        });
    }
    /**
     * Adds new child predicate of type {@link EditableElementaryPredicate}
     * @param initiallyVisible whether the new predicate should be initially visible
     */
    addNewElementaryPredicate(initiallyVisible = true) {
        return this.addPredicate(new EditableElementaryPredicate(this._childUpdated$, initiallyVisible));
    }
    /**
     * Adds new child predicate of type {@link EditableClausePredicate}
     * @param operator the operator of the child clause predicate
     * @param initiallyVisible whether the new predicate should be initially visible
     */
    addNewClausePredicate(operator, initiallyVisible = true) {
        return this.addPredicate(new EditableClausePredicate(operator, this._childUpdated$, initiallyVisible));
    }
    /**
     * Generates an id for the new predicate, adds it into the map and updates the query
     *
     * If you want to add an editable predicate, use one of the other methods, so that this predicate can react to changes.
     * @param predicate the new predicate
     */
    addPredicate(predicate) {
        const id = this._childCounter.next();
        this._predicates.set(id, predicate);
        this.updateQueryAndNotify();
        return id;
    }
    removePredicate(id) {
        const r = this._predicates.delete(id);
        this.updateQueryAndNotify();
        return r;
    }
    getPredicateMap() {
        return this._predicates;
    }
    /**
     * Updates the `Query` and notifies the parent.
     */
    updateQueryAndNotify() {
        this.updateQuery();
        this.notifyParentPredicate();
    }
    /**
     * Updates the value of the [_query]{@link ClausePredicate#_query} attribute.
     *
     * See [combineQueries()]{@link Query#combineQueries} for more information.
     */
    updateQuery() {
        this._query = Query.combineQueries(this.queries, this._operator);
    }
    /**
     * @returns the `Array` of {@link Query} objects stored within this object's [_predicates]{@link ClausePredicate#_predicates} attribute.
     */
    get queries() {
        return Array.from(this._predicates.values()).map(p => p.query);
    }
    /**
     * Sets this predicate and all its sub-predicates to visible.
     */
    showAll() {
        for (const p of this._predicates.values()) {
            p.show();
        }
    }
    initializeFilterTextSegmentsGenerator() {
        this._filterTextSegmentsGenerator = () => {
            return Predicate.combineTextSegmentsWithBooleanOperator(this._predicates.values(), this._operator, this._bracketSubPredicateText);
        };
    }
}

/**
 * A predicate wrapper, that can contain a generator of a Predicate.
 *
 * This class is used to transfer search predicates added by other means into the search GUI.
 */
class PredicateWithGenerator extends Predicate {
    _predicate;
    _generator;
    /**
     * @param _predicate the wrapped predicate
     * @param _generator the `Category` instance that generates this predicate.
     * If a generator is provided, the predicate is marked as initially hidden.
     * @param initiallyVisible overrides the initial visibility inferred from the presence/absence of the generator
     */
    constructor(_predicate, _generator, initiallyVisible) {
        super();
        this._predicate = _predicate;
        this._generator = _generator;
        this._visible = initiallyVisible ?? !_generator;
        this.initializeMetadataGenerator();
        this.initializeFilterTextSegmentsGenerator();
    }
    get query() {
        return this._predicate.query;
    }
    /**
     * Can only be called if the wrapped predicate allows setting of the query.
     * Throws an error otherwise.
     * @param query the new query
     */
    set query(query) {
        if (this._predicate instanceof EditableElementaryPredicate) {
            this._predicate.query = query;
        }
        else {
            throw new Error('The wrapped predicate cannot have its query set');
        }
    }
    /**
     * @returns the Category that generates the predicate, or `undefined` if none was provided during the creation of this instance.
     */
    get generator() {
        return this._generator;
    }
    /**
     * @returns the wrapped Predicate
     */
    getWrappedPredicate() {
        return this._predicate;
    }
    /**
     * @returns result [getWrappedPredicate()]{@link PredicateWithGenerator#getWrappedPredicate}
     */
    get wrappedPredicate() {
        return this.getWrappedPredicate();
    }
    show() {
        super.show();
        this._predicate.show();
    }
    /**
     * Cleans-up the inner state of this object.
     */
    destroy() {
        if (this._generator !== undefined) {
            this.generator.destroy();
        }
    }
    initializeMetadataGenerator() {
        this._metadataGenerator = () => {
            try {
                return this._predicate.createGeneratorMetadata();
            }
            catch (e) {
                if (this._generator && this._generator.providesPredicate) {
                    return this._generator.createMetadata();
                }
                throw e;
            }
        };
    }
    initializeFilterTextSegmentsGenerator() {
        this._filterTextSegmentsGenerator = () => {
            const segments = this._predicate.createFilterTextSegments();
            if (segments.length > 0) {
                return segments;
            }
            if (this._generator && this._generator.providesPredicate) {
                return this._generator.createFilterTextSegments();
            }
            return [];
        };
    }
}

/**
 * An editable predicate wrapper, that can contain a generator of a Predicate.
 *
 * This class is used to transfer editable search predicates added by other means into the search GUI and
 * bind them to the search predicate update notifications.
 */
class EditablePredicateWithGenerator extends PredicateWithGenerator {
    /**
     * Creates a new `EditablePredicateWithGenerator` instance from a generator.
     *
     * The created wrapped {@link EditablePredicate} instance has no parent notifier set.
     * If you want it to send notifications to a parent predicate you must add it yourself.
     * @param generator the generator generating the predicate
     * @param initiallyVisible whether the predicate is initially visible
     * @returns a new `EditablePredicateWithGenerator` instance, with the predicate set to the predicate generated by the generator.
     * If the generator generates no predicate, it will be set to an empty predicate.
     */
    constructor(generator, initiallyVisible) {
        const predicate = new EditableElementaryPredicate(undefined, initiallyVisible);
        if (generator.providesPredicate) {
            predicate.query = generator.generatedPredicate.query;
        }
        super(predicate, generator, initiallyVisible);
    }
    /**
     * Sets the `parentNotifier` on the wrapped {@link EditablePredicate} instance.
     */
    set parentNotifier(parentNotifier) {
        this.getWrappedPredicate().parentNotifier = parentNotifier;
    }
    getWrappedPredicate() {
        return super.getWrappedPredicate();
    }
}

class EditableClausePredicateWithGenerators extends EditableClausePredicate {
    constructor(operator, parentNotifier, initiallyVisible = true, bracketSubPredicateText = false) {
        super(operator, parentNotifier, initiallyVisible, bracketSubPredicateText);
        this._metadataGenerator = () => {
            const result = [];
            for (const predicate of this._predicates.values()) {
                const metadata = predicate.createGeneratorMetadata();
                if (metadata !== undefined) {
                    result.push(metadata);
                }
            }
            return result.length > 0 ? result : undefined;
        };
    }
    addNewClausePredicate(operator, initiallyVisible = true) {
        return this.addPredicate(new EditableClausePredicateWithGenerators(operator, this._childUpdated$, initiallyVisible));
    }
    addPredicate(predicate, initiallyVisible = true) {
        return super.addPredicate(new PredicateWithGenerator(predicate, undefined, initiallyVisible));
    }
    /**
     * Creates a new editable predicate from the provided generator {@link Category} instance,
     * connects it to the update notifications stream and adds it to the predicate subtree.
     * @param generator
     * @param initiallyVisible
     */
    addNewPredicateFromGenerator(generator, initiallyVisible = true) {
        const predicate = new EditablePredicateWithGenerator(generator, initiallyVisible);
        predicate.parentNotifier = this._childUpdated$;
        return super.addPredicate(predicate);
    }
    getPredicateMap() {
        return this._predicates;
    }
    /**
     * Cleans-up the inner state of this object
     */
    destroy() {
        super.destroy();
        for (const predicate of this._predicates.values()) {
            predicate.destroy();
        }
    }
}

/**
 * Represents the available {@link Operator} classes in a serializable form.
 */
var Operators;
(function (Operators) {
    Operators["EQUALS"] = "equals";
    Operators["EQUALS_DATE"] = "equals_date";
    Operators["EQUALS_DATE_TIME"] = "equals_date_time";
    Operators["IN_RANGE"] = "in_range";
    Operators["IN_RANGE_DATE"] = "in_range_date";
    Operators["IN_RANGE_DATE_TIME"] = "in_range_date_time";
    Operators["IS_NULL"] = "is_null";
    Operators["LESS_THAN"] = "less_than";
    Operators["LESS_THAN_DATE"] = "less_than_date";
    Operators["LESS_THAN_DATE_TIME"] = "less_than_date_time";
    Operators["LESS_THAN_EQUAL"] = "less_than_equal";
    Operators["LESS_THAN_EQUAL_DATE"] = "less_than_equal_date";
    Operators["LESS_THAN_EQUAL_DATE_TIME"] = "less_than_equal_date_time";
    Operators["LIKE"] = "like";
    Operators["MORE_THAN"] = "more_than";
    Operators["MORE_THAN_DATE"] = "more_than_date";
    Operators["MORE_THAN_DATE_TIME"] = "more_than_date_time";
    Operators["MORE_THAN_EQUAL"] = "more_than_equal";
    Operators["MORE_THAN_EQUAL_DATE"] = "more_than_equal_date";
    Operators["MORE_THAN_EQUAL_DATE_TIME"] = "more_than_equal_date_time";
    Operators["NOT_EQUALS"] = "not_equals";
    Operators["NOT_EQUALS_DATE"] = "not_equals_date";
    Operators["NOT_EQUALS_DATE_TIME"] = "not_equals_date_time";
    Operators["SUBSTRING"] = "substring";
})(Operators || (Operators = {}));

/**
 * Represents the low level abstraction of query generation that is responsible for the creation of queries themselves.
 *
 * Operators are ment to be stateless and held as singleton instances, as they can be shared without any issues.
 * This library uses the {@link OperatorService} to store the singleton instances, but you can use your own solution,
 * or instantiate them multiple times if you prefer.
 *
 * @typeparam T type of arguments this Operator can generate queries from
 */
class Operator {
    /**
     * Represents the placeholder "block" in operator display names.
     */
    static INPUT_PLACEHOLDER = '';
    /**
     * Reserved characters for Elasticsearch queries. These characters can be escaped with a `\` character.
     */
    static ESCAPABLE_CHARACTERS = new Set(['+', '-', '=', '&', '|', '!', '(', ')', '{', '}', '[', ']', '^', '"', '~', '*', '?', ':', '\\', '/']);
    /**
     * Reserved characters for Elasticsearch queries. These characters cannot be escaped and must be removed from queries.
     */
    static UNESCAPABLE_CHARACTERS = new Set(['<', '>']);
    /**
     * Determines the arity of the operator, that is the number of arguments/operands it takes.
     */
    _numberOfOperands;
    /**
     * The operator symbol that is used to generate the query.
     */
    _operatorSymbols;
    constructor(numberOfOperands, operatorSymbols = '') {
        this._numberOfOperands = numberOfOperands;
        this._operatorSymbols = operatorSymbols;
    }
    /**
     * Escapes all escapable Elasticsearch symbols. Removes all unescapable Elasticsearch symbols.
     *
     * For a list of symbols see Elasticsearch's Query string query
     * [doc]{@link https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html#_reserved_characters}.
     * @param input user input that should have special characters escaped
     * @returns user input with the escapable characters escaped and the unescapable characters removed
     */
    static escapeInput(input) {
        if (typeof input === 'string') {
            let escaped = false;
            let output = '';
            for (let i = 0; i < input.length; i++) {
                if (Operator.UNESCAPABLE_CHARACTERS.has(input.charAt(i)))
                    continue;
                if (Operator.ESCAPABLE_CHARACTERS.has(input.charAt(i))) {
                    output += '\\';
                    escaped = true;
                }
                output += input.charAt(i);
            }
            return { value: output, wasEscaped: escaped };
        }
        return { value: input, wasEscaped: false };
    }
    /**
     * Creates a Query string query string literal with the provided arguments.
     * @param elasticKeyword Elasticsearch index keyword for the field you want to query
     * @param arg The value that you want to query the property for
     * @param operator The operator you want to use to query the indexed field. Consult the Elasticsearch's
     * [documentation]{@link https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html}
     * for more information.
     * @returns combines the input strings by this pattern: `([elasticKeyword]:[operator][arg])`
     */
    static query(elasticKeyword, arg, operator) {
        return `(${elasticKeyword}:${operator}${arg})`;
    }
    /**
     * Applies the provided function to all keywords and combines the resulting queries with an `OR` operator.
     * @param elasticKeywords keywords that the function is call on
     * @param queryConstructor function that generates a `Query` object for each keyword
     */
    static forEachKeyword(elasticKeywords, queryConstructor) {
        const simpleQueries = [];
        elasticKeywords.forEach(keyword => {
            simpleQueries.push(queryConstructor(keyword));
        });
        return Query.combineQueries(simpleQueries, BooleanOperator.OR);
    }
    /**
     * If the value contains a space character, or if `force` is set to `true`.
     * @param input user input that should be wrapped with double quotes
     * @param forceWrap if set to `true` the value will be wrapped regardless of it's content
     */
    static wrapInputWithQuotes(input, forceWrap = false) {
        if (typeof input === 'string' && (input.includes(' ') || forceWrap))
            return { value: `"${input}"`, wasWrapped: true };
        else
            return { value: input, wasWrapped: false };
    }
    /**
     * @returns the arity of the operator.
     */
    get numberOfOperands() {
        return this._numberOfOperands;
    }
    /**
     * Simple implementation of query generation. Will not be suitable for all Operator derivatives.
     *
     * Escapes the first argument from the `args` array, calls the [query()]{@link Operator#query} function for each `keyword` and combines
     * the results with an `OR` operator.
     * @returns query that wos constructed with the given arguments and keywords. Returns an empty query if no arguments are provided.
     */
    createQuery(elasticKeywords, args, escapeArgs = true) {
        this.checkArgumentsCount(args);
        return Operator.forEachKeyword(elasticKeywords, (keyword) => {
            const escapedValue = escapeArgs ?
                Operator.escapeInput(args[0]) : ({ value: args[0], wasEscaped: false });
            const wrappedValue = Operator.wrapInputWithQuotes(escapedValue.value, escapedValue.wasEscaped);
            const queryString = Operator.query(keyword, wrappedValue.value, this._operatorSymbols);
            return new Query(queryString);
        });
    }
    /**
     * Checks whether the provided array contains at leas as many arguments, as is the operators number of operands.
     * Throws an error if not enough arguments is provided.
     * @param args an array of potential operands
     */
    checkArgumentsCount(args) {
        if (args.length < this.numberOfOperands) {
            throw new Error(`At least ${this.numberOfOperands} arguments must be provided to `
                + `create a query with ${this.numberOfOperands} operands!`);
        }
    }
}

/**
 * Strict equality operator. Will match if the field has the exact same value as the input.
 * Can be used with keyword fields and different types,
 * but it is not recommended to use it with date and datetime fields as an exact timestamp match would be required.
 * For timestamps use {@link EqualsDate} or {@link EqualsDateTime} instead.
 */
class Equals extends Operator {
    constructor() {
        // query string queries don't use a special symbol for strict equality
        super(1, '');
    }
    getOperatorNameTemplate() {
        return ['search.operator.equals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.EQUALS;
    }
}

/**
 * Sets milliseconds, seconds, minutes and hours of the provided Moment object to 0
 * @param date object that we want to clear time information from
 */
function clearTimeInformation(date) {
    date.milliseconds(0);
    date.seconds(0);
    date.minutes(0);
    date.hours(0);
}

/**
 * Range operator for indexed fields that store a date in timestamp format.
 *
 * Will create a range query that matches every timestamp from the midnight of the first day (included)
 * to the midnight of the day after the second day (excluded).
 */
class InRangeDate extends Operator {
    constructor() {
        super(2);
    }
    /**
     * Creates a query as specified by the [classes]{@link InRangeDate} documentation.
     * See [super.createQuery()]{@link Operator#createQuery} for more information.
     * @param elasticKeywords keywords of the fields that should be queried.
     * If more than one is provided then queries for every keyword will be generated and combined with an OR operator.
     * @param args start and end date for the range. Any time information will be ignored use {@link InRangeDateTime}
     * if you want a date time query instead. The two dates must be in ascending order, if not the behavior is undefined.
     */
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg1 = moment(args[0]);
        clearTimeInformation(arg1);
        const arg2 = moment(args[1]);
        clearTimeInformation(arg2);
        arg2.date(arg2.date() + 1); // moment handles rollover
        return Operator.forEachKeyword(elasticKeywords, (keyword) => {
            return new Query(`(${keyword}:[${arg1.valueOf()} TO ${arg2.valueOf()}})`);
        });
    }
    getOperatorNameTemplate() {
        return ['search.operator.inRange.from', Operator.INPUT_PLACEHOLDER, 'search.operator.inRange.to', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.IN_RANGE_DATE;
    }
}

/**
 * Equality operator for indexed fields that store a date in timestamp format.
 *
 * Will create a range query that matches every timestamp from the midnight of the selected day (included)
 * to the midnight of the next day (excluded).
 */
class EqualsDate extends Operator {
    dateRange;
    constructor(operators) {
        super(1);
        this.dateRange = operators.getOperator(InRangeDate);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        return this.dateRange.createQuery(elasticKeywords, [args[0], args[0]]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.equals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.EQUALS_DATE;
    }
}

/**
 * Range operator for indexed fields that store a date time in timestamp format.
 *
 * Will create a range query that matches every timestamp from the 0th millisecond of the first date time object (included)
 * to the 0th millisecond of the next minute after the minute in the second date time object (excluded).
 */
class InRangeDateTime extends Operator {
    constructor() {
        super(2);
    }
    /**
     * Creates a query as specified by the [classes]{@link InRangeDate} documentation.
     * See [super.createQuery()]{@link Operator#createQuery} for more information.
     * @param elasticKeywords keywords of the fields that should be queried.
     * If more than one is provided then queries for every keyword will be generated and combined with an OR operator.
     * @param args start and end date for the range. If you want to ignore the time information use {@link InRangeDate}
     * Operator instead. The two date time objects must be in ascending order, if not the behavior is undefined.
     */
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg1 = moment(args[0]);
        arg1.milliseconds(0);
        arg1.seconds(0);
        const arg2 = moment(args[1]);
        arg2.milliseconds(0);
        arg2.seconds(0);
        arg2.minutes(arg2.minutes() + 1); // moment handles rollover
        return Operator.forEachKeyword(elasticKeywords, (keyword) => {
            return new Query(`(${keyword}:[${arg1.valueOf()} TO ${arg2.valueOf()}})`);
        });
    }
    getOperatorNameTemplate() {
        return ['search.operator.inRange.from', Operator.INPUT_PLACEHOLDER, 'search.operator.inRange.to', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.IN_RANGE_DATE_TIME;
    }
}

/**
 * Equality operator for indexed fields that store a date time object in timestamp format.
 *
 * Will create a range query that matches every timestamp from the 0th millisecond of the selected date time object (included)
 * to the 0th millisecond after of the next minute after the minute of the date time object (excluded).
 */
class EqualsDateTime extends Operator {
    dateTimeRange;
    constructor(operators) {
        super(1);
        this.dateTimeRange = operators.getOperator(InRangeDateTime);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        return this.dateTimeRange.createQuery(elasticKeywords, [args[0], args[0]]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.equals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.EQUALS_DATE_TIME;
    }
}

/**
 * A range operator for numeric fields, with closed interval on both sides of the range.
 */
class InRange extends Operator {
    constructor() {
        super(2);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        return Operator.forEachKeyword(elasticKeywords, keyword => new Query(`(${keyword}:[${args[0]} TO ${args[1]}])`));
    }
    getOperatorNameTemplate() {
        return ['search.operator.inRange.from', Operator.INPUT_PLACEHOLDER, 'search.operator.inRange.to', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.IN_RANGE;
    }
}

/**
 * An operator that can be used on any field and matches entries with null or empty string values.
 *
 * Beware that if any additional constraints should be applied to the generated query the results may behave strangely.
 * Consult the [createQueryWithConstraint()]{@link IsNull#createQueryWithConstraint} method for more information.
 */
class IsNull extends Operator {
    constructor() {
        super(0);
    }
    /**
     * @param elasticKeywords the queried fields
     * @returns Generates a query that matches null fields and fields with empty string values.
     */
    createQuery(elasticKeywords) {
        return Operator.forEachKeyword(elasticKeywords, keyword => new Query(`(${this.nullQueryString(keyword)}OR${this.emptyStringQueryString(keyword)})`));
    }
    /**
     * Counterintuitively elasticsearch query string queries behave weirdly when combining the queries with operators such as `AND`.
     * Because of this the following query:
     *
     *    (dataSet.text_0.value:"")
     *
     * returns an empty result set.
     *
     * But query that should be intuitively more constraining:
     *
     *     (dataSet.text_0.value:"") AND (processId:600168ccf68fea5241ae5e62)
     *
     * will return a non empty and expected result.
     *
     * This method exists to combat this issue and add the, sometimes necessary, constraint into the query generated by this operator.
     *
     * @param elasticKeywords the queried fields
     * @param constraint a constraining query that is distributively applied into the query generated by this operator.
     * If an empty query is provided the result will be the same as calling [createQuery()]{@link IsNull#createQuery}.
     * @returns a query with distributively applied constraint query
     */
    createQueryWithConstraint(elasticKeywords, constraint) {
        if (constraint.isEmpty) {
            return this.createQuery(elasticKeywords);
        }
        return Operator.forEachKeyword(elasticKeywords, keyword => new Query(`((${this.nullQueryString(keyword)}AND${constraint.value})OR(${this.emptyStringQueryString(keyword)}AND${constraint.value}))`));
    }
    /**
     * @param elasticKeyword the queried field
     * @returns a string representation of the query that checks whether the field is null
     */
    nullQueryString(elasticKeyword) {
        return `(!(_exists_:${elasticKeyword}))`;
    }
    /**
     * @param elasticKeyword the queried field
     * @returns a string representation of the query that checks whether the field has an empty string value
     */
    emptyStringQueryString(elasticKeyword) {
        return `(${elasticKeyword}:"")`;
    }
    getOperatorNameTemplate() {
        return ['search.operator.isNull'];
    }
    serialize() {
        return Operators.IS_NULL;
    }
}

/**
 * A strict less than operator for numeric fields.
 */
class LessThan extends Operator {
    constructor() {
        super(1, '<');
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN;
    }
}

/**
 * A strict less than operator for Date fields
 */
class LessThanDate extends Operator {
    lessThan;
    constructor(operators) {
        super(1);
        this.lessThan = operators.getOperator(LessThan);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        clearTimeInformation(arg);
        return this.lessThan.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_DATE;
    }
}

/**
 * A strict less than operator for DateTime fields
 */
class LessThanDateTime extends Operator {
    lessThan;
    constructor(operators) {
        super(1);
        this.lessThan = operators.getOperator(LessThan);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        arg.milliseconds(0);
        arg.seconds(0);
        return this.lessThan.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_DATE_TIME;
    }
}

/**
 * A fuzzy search operator for string fields.
 *
 * Behaves differently for strings with spaces and without.
 * With spaces searches for matches containing the tokenized strings.
 * Without spaces searches for strings within the default edit distance.
 * See [docs]{@link https://www.elastic.co/guide/en/elasticsearch/reference/6.6/query-dsl-query-string-query.html#_fuzziness}
 * for more information.
 */
class Like extends Operator {
    constructor() {
        super(1);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const escaped = Operator.escapeInput(args[0]);
        return Operator.forEachKeyword(elasticKeywords, keyword => escaped.wasEscaped ? new Query(`(${keyword}:${escaped.value})`) : new Query(`(${keyword}:${escaped.value}~)`));
    }
    getOperatorNameTemplate() {
        return ['search.operator.like', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LIKE;
    }
}

/**
 * A strict greater than operator for numeric fields.
 */
class MoreThan extends Operator {
    constructor() {
        super(1, '>');
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.MORE_THAN;
    }
}

/**
 * A strict greater than operator for Date fields
 */
class MoreThanDate extends Operator {
    moreThan;
    constructor(operators) {
        super(1);
        this.moreThan = operators.getOperator(MoreThan);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        clearTimeInformation(arg);
        arg.date(arg.date() + 1);
        arg.milliseconds(-1);
        return this.moreThan.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.MORE_THAN_DATE;
    }
}

/**
 * A strict greater than operator for DateTime fields
 */
class MoreThanDateTime extends Operator {
    moreThan;
    constructor(operators) {
        super(1);
        this.moreThan = operators.getOperator(MoreThan);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        arg.milliseconds(0);
        arg.seconds(0);
        arg.minutes(arg.minutes() + 1);
        arg.milliseconds(-1);
        return this.moreThan.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThan', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.MORE_THAN_DATE_TIME;
    }
}

/**
 * Inequality operator. Will match if the field has a different value than the input.
 * Can be used with keyword fields and different types. We don't recommend using this operator with date and datetime fields
 * as an exact timestamp mismatch would be required.
 * For Date needs use {@link NotEqualsDate} instead.
 */
class NotEquals extends Operator {
    equals;
    constructor(operators) {
        super(1);
        this.equals = operators.getOperator(Equals);
    }
    createQuery(elasticKeywords, args) {
        const equalsQuery = this.equals.createQuery(elasticKeywords, args);
        if (equalsQuery.isEmpty) {
            return equalsQuery;
        }
        return new Query(`(!${equalsQuery.value})`);
    }
    getOperatorNameTemplate() {
        return ['search.operator.notEquals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.NOT_EQUALS;
    }
}

/**
 * Inequality operator for Date fields. Will match if the field has a date with different day than the provided date.
 */
class NotEqualsDate extends Operator {
    equals;
    constructor(operators) {
        super(1);
        this.equals = operators.getOperator(EqualsDate);
    }
    createQuery(elasticKeywords, args) {
        const equalsQuery = this.equals.createQuery(elasticKeywords, args);
        if (equalsQuery.isEmpty) {
            return equalsQuery;
        }
        return new Query(`(!${equalsQuery.value})`);
    }
    getOperatorNameTemplate() {
        return ['search.operator.notEquals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.NOT_EQUALS_DATE;
    }
}

/**
 * Operator that matches if the input is a substring of some value.
 * Can only be used on fields that are texts and are not indexed as keywords.
 */
class Substring extends Operator {
    constructor() {
        super(1);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        // TODO IMPROVEMENT 27.4.2020 - we could use regular expressions to search for substrings which would solve the unintuitive
        //  behavior that occurs when we search for strings that contain spaces. We need to escape the input string in a special way
        //  if we choose to do this
        const escapedValue = Operator.escapeInput(args[0]).value.replace(/ /g, '\\ ');
        return Operator.forEachKeyword(elasticKeywords, keyword => new Query(`(${keyword}:*${escapedValue}*)`));
    }
    getOperatorNameTemplate() {
        return ['search.operator.substring', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.SUBSTRING;
    }
}

/**
 * Less or equal than operator for numeric fields
 */
class LessThanEqual extends Operator {
    constructor() {
        super(1, '<=');
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_EQUAL;
    }
}

/**
 * Greater or equal than operator for numeric fields
 */
class MoreThanEqual extends Operator {
    constructor() {
        super(1, '>=');
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_EQUAL;
    }
}

/**
 * Greater or equal than operator for Date fields
 */
class MoreThanEqualDate extends Operator {
    moreThanEqual;
    constructor(operators) {
        super(1);
        this.moreThanEqual = operators.getOperator(MoreThanEqual);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        clearTimeInformation(arg);
        return this.moreThanEqual.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.MORE_THAN_EQUAL_DATE;
    }
}

/**
 * Greater or equal than operator for Datetime fields
 */
class MoreThanEqualDateTime extends Operator {
    moreThanEqual;
    constructor(operators) {
        super(1);
        this.moreThanEqual = operators.getOperator(MoreThanEqual);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        arg.milliseconds(0);
        arg.seconds(0);
        return this.moreThanEqual.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.moreThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.MORE_THAN_EQUAL_DATE_TIME;
    }
}

/**
 * Less or equal than operator for Date fields
 */
class LessThanEqualDate extends Operator {
    lessThan;
    constructor(operators) {
        super(1);
        this.lessThan = operators.getOperator(LessThanDate);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        arg.date(arg.date() + 1);
        return this.lessThan.createQuery(elasticKeywords, [arg]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_EQUAL_DATE;
    }
}

/**
 * Greater or equal than operator for Datetime fields
 */
class LessThanEqualDateTime extends Operator {
    lessThanEqual;
    constructor(operators) {
        super(1);
        this.lessThanEqual = operators.getOperator(LessThanEqual);
    }
    createQuery(elasticKeywords, args) {
        this.checkArgumentsCount(args);
        const arg = moment(args[0]);
        arg.milliseconds(0);
        arg.seconds(0);
        return this.lessThanEqual.createQuery(elasticKeywords, [arg.valueOf()]);
    }
    getOperatorNameTemplate() {
        return ['search.operator.lessThanEqual', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.LESS_THAN_DATE_TIME;
    }
}

class NotEqualsDateTime extends Operator {
    equals;
    constructor(operators) {
        super(1);
        this.equals = operators.getOperator(EqualsDateTime);
    }
    createQuery(elasticKeywords, args) {
        const equalsQuery = this.equals.createQuery(elasticKeywords, args);
        if (equalsQuery.isEmpty) {
            return equalsQuery;
        }
        return new Query(`(!${equalsQuery.value})`);
    }
    getOperatorNameTemplate() {
        return ['search.operator.notEquals', Operator.INPUT_PLACEHOLDER];
    }
    serialize() {
        return Operators.NOT_EQUALS_DATE_TIME;
    }
}

/**
 * A service that resolves {@link Operators} (or custom string) into a concrete (@link Operator) implementation class.
 */
class OperatorResolverService {
    /**
     * Resolves the operators in the {@link Operators} enum into their corresponding classes.
     * Passes all unresolved values into the [toCustomClass()]{@link OperatorResolverService#toCustomClass} method.
     * @param operator a serialized representation of the {@link Operator} class
     */
    toClass(operator) {
        switch (operator) {
            default:
                return this.toCustomClass(operator);
            case Operators.EQUALS:
                return Equals;
            case Operators.EQUALS_DATE:
                return EqualsDate;
            case Operators.EQUALS_DATE_TIME:
                return EqualsDateTime;
            case Operators.IN_RANGE:
                return InRange;
            case Operators.IN_RANGE_DATE:
                return InRangeDate;
            case Operators.IN_RANGE_DATE_TIME:
                return InRangeDateTime;
            case Operators.IS_NULL:
                return IsNull;
            case Operators.LESS_THAN:
                return LessThan;
            case Operators.LESS_THAN_DATE:
                return LessThanDate;
            case Operators.LESS_THAN_DATE_TIME:
                return LessThanDateTime;
            case Operators.LESS_THAN_EQUAL:
                return LessThanEqual;
            case Operators.LESS_THAN_EQUAL_DATE:
                return LessThanEqualDate;
            case Operators.LESS_THAN_EQUAL_DATE_TIME:
                return LessThanEqualDateTime;
            case Operators.LIKE:
                return Like;
            case Operators.MORE_THAN:
                return MoreThan;
            case Operators.MORE_THAN_DATE:
                return MoreThanDate;
            case Operators.MORE_THAN_DATE_TIME:
                return MoreThanDateTime;
            case Operators.MORE_THAN_EQUAL:
                return MoreThanEqual;
            case Operators.MORE_THAN_EQUAL_DATE:
                return MoreThanEqualDate;
            case Operators.MORE_THAN_EQUAL_DATE_TIME:
                return MoreThanEqualDateTime;
            case Operators.NOT_EQUALS:
                return NotEquals;
            case Operators.NOT_EQUALS_DATE:
                return NotEqualsDate;
            case Operators.NOT_EQUALS_DATE_TIME:
                return NotEqualsDateTime;
            case Operators.SUBSTRING:
                return Substring;
        }
    }
    /**
     * Should resolve any custom operators into their corresponding class objects.
     *
     * If you implement any custom {@link Operator} classes, you should override this method to resolve them after serialization.
     *
     * @param operator the serialized string provided by your [Operator.serialize()]{@link Operator#serialize} implementation
     * @returns `undefined`
     */
    toCustomClass(operator) {
        return undefined;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorResolverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorResolverService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorResolverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

/**
 * Stores, provides and creates {@link Operator} implementations to be used in the project as singleton objects.
 * Passes reference to itself to all Operators it creates, so they can use it if they want to.
 */
class OperatorService {
    _operatorResolver;
    _operators;
    constructor(_operatorResolver) {
        this._operatorResolver = _operatorResolver;
        this._operators = new Map();
    }
    getOperator(operatorClass) {
        this.createOperatorIfNotInMap(operatorClass);
        return this._operators.get(operatorClass);
    }
    getFromMetadata(metadata) {
        return this.getOperator(this._operatorResolver.toClass(metadata));
    }
    createOperatorIfNotInMap(operatorClass) {
        if (!this._operators.has(operatorClass)) {
            this._operators.set(operatorClass, new operatorClass(this));
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorService, deps: [{ token: OperatorResolverService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OperatorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: OperatorResolverService }] });

/**
 * A utility service that aims to provide elasticsearch query string query index names for data set queries.
 *
 * If your app uses a customised elasticsearch database mapping for Case objects, that affects the way data fields are indexed you must
 * provide an updated version of this service, so that search can generate correct queries.
 *
 * You are encouraged to use this service when creating {@link Filter}s, with elastic query string queries, so that future changes to the
 * default mapping don't affect your existing code.
 */
class SearchIndexResolverService {
    KEYWORD = '.keyword';
    constructor() { }
    /**
     * Constructs the index name for the specified field.
     *
     * Note that almost all combinations are valid and will not throw an error when used to query the database, but not all combinations are
     * used by the application engine. The {@link SearchIndex} class has some information about which field types map to which indices, but
     * you should consult the backend documentation for more reliable information.
     * @param dataFieldIdentifier import ID of the queried data field
     * @param index the queried index
     * @param keyword whether the keyword of a TEXT index should be queried
     * @returns the full name of the specified index
     */
    getIndex(dataFieldIdentifier, index, keyword = false) {
        return `dataSet.${dataFieldIdentifier}.${index}${keyword ? this.KEYWORD : ''}`;
    }
    /**
     * Constructs the index name for the specified core field.
     *
     * Note that almost all combinations are valid and will not throw an error when used to query the database, but not all combinations are
     * used by the application engine. The {@link SearchIndex} class has some information about which field types map to which indices, but
     * you should consult the backend documentation for more reliable information.
     * @param index the queried index
     * @param keyword whether the keyword of a TEXT index should be queried
     * @returns the full name of the specified index
     */
    getCoreIndex(index, keyword = false) {
        return `${index}${keyword ? this.KEYWORD : ''}`;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchIndexResolverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchIndexResolverService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchIndexResolverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

/**
 * Represents the available {@link Category} classes in a serializable form.
 */
var Categories;
(function (Categories) {
    // Case categories
    Categories["CASE_AUTHOR"] = "case_author";
    Categories["CASE_CREATION_DATE"] = "case_creation_date";
    Categories["CASE_CREATION_DATE_TIME"] = "case_creation_date_time";
    Categories["CASE_DATASET"] = "case_dataset";
    Categories["CASE_PROCESS"] = "case_process";
    Categories["CASE_ROLE"] = "case_role";
    Categories["CASE_SIMPLE_DATASET"] = "case_simple_dataset";
    Categories["CASE_TASK"] = "case_task";
    Categories["CASE_TITLE"] = "case_title";
    Categories["CASE_VISUAL_ID"] = "case_visual_id";
    Categories["CASE_STRING_ID"] = "case_string_id";
    // Task categories
    Categories["TASK_ASSIGNEE"] = "task_assignee";
    Categories["TASK_PROCESS"] = "task_process";
    Categories["TASK_ROLE"] = "task_role";
    Categories["TASK_TASK"] = "task_task";
})(Categories || (Categories = {}));

/**
 * The simples type of `Predicate`. Represents a leaf node in the predicate tree.
 */
class ElementaryPredicate extends Predicate {
    _query;
    constructor(_query, initiallyVisible = true) {
        super(initiallyVisible);
        this._query = _query;
    }
    get query() {
        return this._query;
    }
}

/**
 * The various input types the search component can display and the search categories can use to generate search predicates.
 */
var SearchInputType;
(function (SearchInputType) {
    SearchInputType["TEXT"] = "text";
    SearchInputType["AUTOCOMPLETE"] = "autocomplete";
    SearchInputType["DATE"] = "date";
    SearchInputType["DATE_TIME"] = "dateTime";
    SearchInputType["NUMBER"] = "number";
    SearchInputType["BOOLEAN"] = "boolean";
    SearchInputType["OPERATOR"] = "operator";
})(SearchInputType || (SearchInputType = {}));

/**
 * Type of a processed operator template part/segment.
 */
var OperatorTemplatePartType;
(function (OperatorTemplatePartType) {
    /**
     * Template segment that represents an input field.
     */
    OperatorTemplatePartType["INPUT"] = "input";
    /**
     * Template segment that represents a text display
     */
    OperatorTemplatePartType["TEXT"] = "text";
})(OperatorTemplatePartType || (OperatorTemplatePartType = {}));

/**
 * Represents a process operator template part/segment.
 *
 * Is used to be iterated over by ngFor to display a combination of text segments and user inputs that together create an operator input GUI
 */
class OperatorTemplatePart {
    id;
    first;
    _type;
    _content;
    /**
     * The
     * @param part either the displayed text or a `FormControl` object, that represents the operator template segment.
     * @param id for ngFor trackBy comparison
     * @param first whether it is the first input in the template
     */
    constructor(part, id, first = false) {
        this.id = id;
        this.first = first;
        this._content = part;
        this._type = typeof part === 'string' ? OperatorTemplatePartType.TEXT : OperatorTemplatePartType.INPUT;
    }
    /**
     * @returns [TEXT]{@link OperatorTemplatePartType#TEXT} if the segment is a text (content has type `string`),
     * or [INPUT]{@link OperatorTemplatePartType#INPUT} if the segment is an input field (content has type `FormControl`)
     */
    get type() {
        return this._type;
    }
    get content() {
        return this._content;
    }
}

/**
 * Represents a search category configuration input.
 *
 * Should handle all the logic related to autocomplete search configuration inputs.
 * If this class has its `type` set to `OPERATOR` it works mostly as a placeholder object, because the
 * operator and operand selection logic is handled by the {@link Category} class.
 * This behavior might be changed in future releases.
 */
class ConfigurationInput {
    type;
    label;
    displayBold;
    _autocompleteOptions;
    _formControl;
    _filteredOptions$;
    /**
     * @param type the type of the configuration input
     * @param label the translation path for the label of the input
     * @param displayBold whether the configuration input should be displayed in bold after selection or not
     * @param _autocompleteOptions the autocomplete options that are available in this configuration input
     * @param filterOptions a method that receives the keys of the available options and should return
     * the appropriately filtered autocomplete options
     */
    constructor(type, label, displayBold, _autocompleteOptions, filterOptions) {
        this.type = type;
        this.label = label;
        this.displayBold = displayBold;
        this._autocompleteOptions = _autocompleteOptions;
        this._formControl = new FormControl();
        this._filteredOptions$ = this._formControl.valueChanges.pipe(startWith(''), filter(newValue => typeof newValue === 'string'), map(newValue => {
            return filterOptions(Array.from(this._autocompleteOptions.keys()), newValue);
        }));
    }
    get formControl() {
        return this._formControl;
    }
    get isOptionSelected() {
        return !!this._formControl.value && (typeof this._formControl.value !== 'string');
    }
    get selectedOptionTranslatePath() {
        return this.isOptionSelected ? this._formControl.value.text : '';
    }
    get filteredOptions$() {
        return this._filteredOptions$;
    }
    /**
     * Value changes of the encapsulated `FormControl` object
     */
    valueChanges$() {
        return this._formControl.valueChanges;
    }
    clear() {
        this._formControl.setValue(undefined);
    }
}

/**
 * This function is meant to work as a call to rxjs's `of` function without any arguments
 * @returns a void Observable, that calls next once and then completes
 */
function ofVoid() {
    return new Observable(o => {
        o.next();
        o.complete();
    });
}

const DATE_FORMAT_STRING = 'DD.MM.YYYY';
const DATE_TIME_FORMAT_STRING = 'DD.MM.YYYY HH:mm';
// https://momentjs.com/docs/#/displaying/format/
const DATE_FORMAT = {
    parse: {
        dateInput: DATE_FORMAT_STRING,
    },
    display: {
        dateInput: DATE_FORMAT_STRING,
        monthYearLabel: 'MMM YYYY',
        dateA11yLabel: 'Do MMMM YYYY',
        monthYearA11yLabel: 'MMMM YYYY',
    },
};
const DATE_TIME_FORMAT = {
    parse: {
        dateInput: DATE_TIME_FORMAT_STRING,
    },
    display: {
        dateInput: DATE_TIME_FORMAT_STRING,
        monthYearLabel: 'MMM YYYY',
        dateA11yLabel: 'Do MMMM YYYY HH:mm',
        monthYearA11yLabel: 'MMMM YYYY',
    },
};

/**
 * The top level of abstraction in search query generation. Represents a set of indexed fields that can be searched.
 * Encapsulates the the state and logic of the query construction process.
 *
 * As opposed to {@link Operator}s Categories are not stateless and shouldn't be shared.
 * A single Category instance is capable of holding the state of one {@link EditablePredicate},
 * or can be used as a builder to form an unlimited amount of [ElementaryPredicates]{@link ElementaryPredicate}.
 *
 * You can use {@link CategoryFactory} to get instances of Category classes.
 * Alternatively you can use the [clone()]{@Link Category#clone} method to duplicate an existing instance.
 *
 * If you want to make your own Category class you have to make sure that the constructor takes {@link OperatorService} as it's first
 * argument and {@link LoggerService} as it's second argument. Alternatively you can make your own implementation of the
 * {@link CategoryFactory} so, that your style of constructors is supported.
 *
 * @typeparam T type of objects the category expects to generate queries from
 */
class Category {
    _elasticKeywords;
    _allowedOperators;
    translationPath;
    _inputType;
    _log;
    _operatorService;
    /**
     * The {@link CategoryMetadataConfiguration} key for this Category's {@link Operator}
     */
    static OPERATOR_METADATA = 'operator';
    /**
     * Contains the `FormControl` object that is used to drive the operator selection.
     *
     * The category can subscribe to it if it wishes to react to the selection change by the user.
     */
    _operatorFormControl;
    /**
     * Stores the `FormControl` objects that are pushed into the observable when the number of operands changes.
     */
    _operandsFormControls;
    /**
     * Contains the `FormControl` objects that can be used to input search arguments.
     */
    _operandsFormControls$;
    /**
     * Contains the operator template parts that make up the operands GUI.
     */
    _operatorTemplate$;
    /**
     * Generates IDs for template parts supplied to ng for.
     */
    _trackByIdGenerator;
    /**
     * Emit a new `Predicate` if the `Category` is in a state that it can be created.
     * Emits `undefined` if the `Category` is not in such state.
     */
    _generatedPredicate$;
    /**
     * Utility variable that can be used as value for the [configurationInputs$]{@link Category#configurationInputs$} `Observable`.
     */
    _OPERATOR_INPUT;
    /**
     * The constructor fills the values of all protected fields and then calls the [initializeCategory()]{@link Category#initializeCategory}
     * method. If you want to override the category creation behavior override that method.
     *
     * @param _elasticKeywords Elasticsearch keywords that should be queried by queries generated with this category
     * @param _allowedOperators Operators that can be used to generated queries on the above keywords
     * @param translationPath path to the translation string
     * @param _inputType input field type that should be used to enter operator arguments for this category
     * @param _log used to record information about incorrect use of this class
     * @param _operatorService used to resolve serialized operators during deserialization
     */
    constructor(_elasticKeywords, _allowedOperators, translationPath, _inputType, _log, _operatorService) {
        this._elasticKeywords = _elasticKeywords;
        this._allowedOperators = _allowedOperators;
        this.translationPath = translationPath;
        this._inputType = _inputType;
        this._log = _log;
        this._operatorService = _operatorService;
        this._OPERATOR_INPUT = new ConfigurationInput(SearchInputType.OPERATOR, 'search.operator.name', false, new Map(), () => {
            throw new Error('ConfigurationInput of type OPERATOR is a placeholder!'
                + ' Use operator related methods from the Category class instead.');
        });
        this._operatorFormControl = this._OPERATOR_INPUT.formControl;
        this._operandsFormControls$ = new ReplaySubject(1);
        this._operatorTemplate$ = new BehaviorSubject(undefined);
        this._operandsFormControls = [];
        this._trackByIdGenerator = new IncrementingCounter();
        this._generatedPredicate$ = new BehaviorSubject(undefined);
        this.initializeCategory();
        this.operandsFormControls$.pipe(map(formControls => {
            if (!formControls) {
                return undefined;
            }
            const parts = this.selectedOperator.getOperatorNameTemplate();
            const fcs = [...formControls];
            let first = true;
            return parts.map(part => {
                const template = new OperatorTemplatePart(part ? part : fcs.shift(), this._trackByIdGenerator.next(), part ? undefined : first);
                if (!part) {
                    first = false;
                }
                return template;
            });
        })).subscribe(template => {
            this._operatorTemplate$.next(template);
        });
    }
    /**
     * Cleans up the internal state of the object before its destruction.
     *
     * The developer must call this method at an appropriate moment, as this object cannot hook into the Angular lifecycle.
     */
    destroy() {
        this._operandsFormControls$.complete();
        this._operatorTemplate$.complete();
        this._generatedPredicate$.complete();
    }
    /**
     * If you use the `Category` class as a sort of PredicateBuilder, then you want to use the
     * [generatePredicate()]{@link Category#generatePredicate} method instead.
     *
     * This stream publishes either a new `Predicate` object or `undefined` based on changes to the `FormControls` that are
     * managed by this class. If (based on user input) the `Category` reaches a state when construction of a `Predicate` is possible
     * it will emit this `Predicate`. If it reaches a state when the `Predicate` can not longer be created `undefined` is emitted.
     */
    get generatedPredicate$() {
        return this._generatedPredicate$.asObservable();
    }
    /**
     * Returns the {@link Predicate} currently generated by the Category.
     *
     * For more information see [generatedPredicate$]{@link Category#generatedPredicate$}.
     */
    get generatedPredicate() {
        return this._generatedPredicate$.getValue();
    }
    /**
     * Beware that while most categories always return the same constant it is not a requirement.
     * An example for such behavior is the {@link CaseDataset} category, where the argument input type depends
     * on the selected data field type.
     *
     * @returns the required input type for arguments for this category
     */
    get inputType() {
        return this._inputType;
    }
    /**
     * @returns the set of Operators that can be used with this category. Iteration order determines the display order.
     */
    get allowedOperators() {
        const result = [];
        result.push(...this._allowedOperators);
        return result;
    }
    /**
     * @returns the currently selected operator or `undefined` if no operator is selected.
     */
    get selectedOperator() {
        return this._operatorFormControl.value;
    }
    /**
     * @returns an array of `FormControl` objects that contains as many controls as is the arity of the selected operator.
     * Calling this method multiple times will return the same `FormControl` instances.
     * When no operator is selected `undefined` is emitted.
     */
    get operandsFormControls$() {
        return this._operandsFormControls$.asObservable();
    }
    /**
     * A new value is emitted whenever the selected operator changes. `undefined` is emitted if no operator is selected.
     *
     * @returns [operators template]{@link Operator#getOperatorNameTemplate} in processed form fit for GUI rendering
     */
    get operatorTemplate$() {
        return this._operatorTemplate$.asObservable();
    }
    /**
     * @returns whether the category is fully configured and represents a valid predicate or not
     */
    get providesPredicate() {
        return !!this._generatedPredicate$.getValue();
    }
    /**
     * @returns the set of Elasticsearch keywords that should be queried by queries generated with this category.
     * The method can be overridden if the keywords are not static and change based on some additional selection (eg. Data fields)
     */
    get elasticKeywords() {
        const result = [];
        result.push(...this._elasticKeywords);
        return result;
    }
    /**
     * @returns the arity of the selected operator. Throws an error if no operator is selected.
     */
    get selectedOperatorArity() {
        if (!this.isOperatorSelected()) {
            throw new Error('An operator mus be selected before its arity can be resolved!');
        }
        return this.selectedOperator.numberOfOperands;
    }
    /**
     * Changes the state of the Category. Category can create queries when an {@link Operator} is selected.
     *
     * This method is useful if you want to use the Category class as predicate builder.
     *
     * @param operatorIndex index in the [allowedOperators]{@link Category#allowedOperators} array of the {@link Operator} that
     * should be selected
     */
    selectOperator(operatorIndex) {
        const operators = this.allowedOperators;
        if (operatorIndex < 0 || operatorIndex >= operators.length) {
            this._log.warn(`The provided 'operatorIndex' is out of range.`);
            return;
        }
        this._operatorFormControl.setValue(operators[operatorIndex]);
    }
    /**
     * Changes the state of the Category and generates a query if all necessary operands were set.
     *
     * If you are using the category as a builder. Consider using the [generatePredicate()]{@link Category#generatePredicate}
     * method instead.
     *
     * @param userInput values entered by the user. The length of the array should match the
     * [arity]{@link Operator#_numberOfOperands} of the selected Operator.
     */
    setOperands(userInput) {
        const range = Math.min(userInput.length, this._operandsFormControls.length);
        if (range < userInput.length) {
            this._log.warn(`${userInput.length} operands are being set, but only ${range} inputs are available!`
                + ' Extra operands will be ignored.');
        }
        for (let i = 0; i < range; i++) {
            this._operandsFormControls[i].setValue(userInput[i]);
        }
        if (range !== 0) {
            this.operandValueChanges(range - 1);
        }
    }
    /**
     * Resets the state of the Category, deselecting any selected category and removing other state
     * information if the Category defines them.
     *
     * This method can be used to reset the state of the category after each predicate constructed,
     * effectively turning the category instance into a predicate builder.
     */
    reset() {
        this.clearOperatorSelection();
        this._operandsFormControls.forEach(fc => {
            fc.setValue(undefined);
        });
    }
    /**
     * Calls the [createQuery]{@link Operator#createQuery} method on the selected Operator.
     *
     * Throws an Error if no Operator is selected.
     *
     * Override this method if the query should be generated in some other way.
     * @param userInput values entered by the user. The length of the array should match the
     * [arity]{@link Operator#_numberOfOperands} of the selected Operator.
     * @returns the Query generated by the selected Operator
     */
    generateQuery(userInput) {
        if (!this.isOperatorSelected()) {
            throw new Error('Category cannot generate a Query if no Operator is selected');
        }
        return this._operatorFormControl.value.createQuery(this.elasticKeywords, userInput);
    }
    /**
     * Calls the [generateQuery]{@link Category#generateQuery} method and creates an {@link ElementaryPredicate} with the result.
     * @param userInput values entered by the user. The length of the array should match the
     * [arity]{@link Operator#_numberOfOperands} of the selected Operator.
     * @returns Predicate with {@link Query} generated by this object's [generateQuery]{@link Category#generateQuery} method
     */
    generatePredicate(userInput) {
        return new ElementaryPredicate(this.generateQuery(userInput));
    }
    /**
     * Selects the default operator that should be used for query generation, when no Operator selection is provided to the user.
     *
     * The default implementation selects the first operator in the [_allowedOperators]{@link Category#allowedOperators} array.
     *
     * See [selectOperator()]{@link Category#selectOperator} for more information.
     */
    selectDefaultOperator() {
        this.selectOperator(0);
    }
    /**
     * @returns whether an operator is currently selected or not.
     */
    isOperatorSelected() {
        return !!this._operatorFormControl.value;
    }
    /**
     * Deselects the currently selected operator (if any)
     */
    clearOperatorSelection() {
        this._operatorFormControl.setValue(undefined);
    }
    /**
     * Provides the necessary information for the serialisation of this category's state.
     *
     * Not every state must be preservable. The default library implementation supports only the preservation of the final state when the
     * Category is generating a predicate object.
     *
     * @returns an object containing all the necessary information for the reconstruction of this category's state,
     * barring information about allowed nets. Returns `undefined` if the category is not in a state that generates a predicate.
     * See [providesPredicate()]{@link Category#providesPredicate}.
     */
    createMetadata() {
        if (!this.providesPredicate) {
            return undefined;
        }
        return {
            category: this.serializeClass(),
            configuration: this.createMetadataConfiguration(),
            values: this.createMetadataValues()
        };
    }
    /**
     * Restores the saved state contained in the provided metadata.
     *
     * @param metadata the metadata created by calling the [createMetadata()]{@link Category#createMetadata} method
     *
     * @returns an Observable. When the Observable emits the category has finished restoring its state.
     */
    loadFromMetadata(metadata) {
        const result$ = new ReplaySubject(1);
        this.loadConfigurationFromMetadata(metadata.configuration).subscribe(() => {
            this.loadValuesFromMetadata(metadata.values).subscribe(() => {
                result$.next();
                result$.complete();
            });
        });
        return result$.asObservable();
    }
    /**
     * This method is calle in the constructor. Apart from calling this method, the constructor only creates instances to fill the protected
     * fields of this class.
     *
     * The default implementation manages creation of operand `FormControl` instances and manages subscriptions to them.
     *
     * You can override this method to change the initialization of your category without having to rewrite the base
     * constructor from scratch.
     */
    initializeCategory() {
        this._operatorFormControl.valueChanges.subscribe((newOperator) => {
            this._operandsFormControls.forEach(fc => {
                fc.setValue(undefined);
            });
            if (!newOperator) {
                // undefined is next-ed into the stream. Marked as code smell by sonar when explicitly stated
                this._operandsFormControls$.next(undefined);
                if (this._operandsFormControls.length === 0) {
                    this._generatedPredicate$.next(undefined);
                }
                return;
            }
            if (newOperator.numberOfOperands > this._operandsFormControls.length) {
                while (this._operandsFormControls.length < newOperator.numberOfOperands) {
                    const fc = new FormControl();
                    const currentLength = this._operandsFormControls.length;
                    fc.valueChanges.pipe(debounceTime(600)).subscribe(() => {
                        this.operandValueChanges(currentLength);
                    });
                    this._operandsFormControls.push(fc);
                }
            }
            this._operandsFormControls$.next(this._operandsFormControls.slice(0, newOperator.numberOfOperands));
            if (newOperator.numberOfOperands === 0) {
                this._generatedPredicate$.next(this.generatePredicate([]));
            }
        });
    }
    /**
     * The method that is (by default) called whenever an operand `FormControl` changes its value.
     *
     * @param operandIndex the index of the operand that changed its value
     */
    operandValueChanges(operandIndex) {
        if (!this.isOperatorSelected()) {
            this._generatedPredicate$.next(undefined);
            return;
        }
        if (operandIndex >= this.selectedOperatorArity) {
            return;
        }
        for (let i = 0; i < this.selectedOperatorArity; i++) {
            if (!this.isOperandValueSelected(this._operandsFormControls[i].value)) {
                if (this._generatedPredicate$.getValue()) {
                    this._generatedPredicate$.next(undefined);
                }
                return;
            }
        }
        this._generatedPredicate$.next(this.generatePredicate(this._operandsFormControls.map(fc => this.transformCategoryValue(fc.value))));
    }
    /**
     * The default implementation serializes only the operator.
     * If the category contains additional configuration, this method must be extended.
     *
     * @returns an object containing all the necessary information for the reconstruction of the configuration of this category instance
     */
    createMetadataConfiguration() {
        return {
            [Category.OPERATOR_METADATA]: this.selectedOperator.serialize()
        };
    }
    /**
     * The default implementation returns the value of all operand form control objects up to the current number of operands.
     * To serialize value of each operand the [serializeOperandValue()]{@link Category#serializeOperandValue} method is used.
     *
     * If the values used by this category are not serializable, then either this method, or the `serializeOperandValue` method,
     * must be overridden.
     *
     * @returns an array containing values input by the user in a serializable form
     */
    createMetadataValues() {
        const result = [];
        for (let i = 0; i < this.selectedOperatorArity; i++) {
            result.push(this.serializeOperandValue(this._operandsFormControls[i]));
        }
        return result;
    }
    /**
     * @param valueFormControl FormControl object of one operand
     * @returns the value of the operand in a serialized form. The default implementation returns the FormControls `value` attribute.
     */
    serializeOperandValue(valueFormControl) {
        return valueFormControl.value;
    }
    /**
     * Restored the saved configuration from the metadata created by the
     * [createMetadataConfiguration()]{@link Category#createMetadataConfiguration} method.
     *
     * The default implementation restores only the saved operator.
     *
     * If the Category overrides the serialization method, it must override this method as well.
     *
     * @param configuration the serialized configuration
     *
     * @returns an Observable. When the Observable emits the category has finished loading its configuration.
     */
    loadConfigurationFromMetadata(configuration) {
        const resolvedOperator = this._operatorService.getFromMetadata(configuration[Category.OPERATOR_METADATA]);
        this.selectOperator(this.allowedOperators.findIndex(op => op === resolvedOperator));
        return ofVoid();
    }
    /**
     * The default implementation sets the provided values into this Category's operand form controls.
     *
     * An operator must be set before calling this method! Otherwise an error will be thrown.
     *
     * If the number of values doesn't match the arity of the selected operator an error will be thrown!
     *
     * If this Category overrides the [serializeOperandValue()]{@link Category#serializeOperandValue}, it must also
     * override its deserialization counterpart - [deserializeOperandValue()]{@link #Category#deserializeOperandValue}!
     *
     * @param values the serialized values that should be loaded into this Category instance
     *
     * @returns an Observable. When the Observable emits the category has finished loading its values.
     */
    loadValuesFromMetadata(values) {
        if (!this.isOperatorSelected()) {
            throw new Error('An operator must be selected before Category values can be resolved from metadata!');
        }
        if (this.selectedOperatorArity !== values.length) {
            throw new Error(`The arity of the selected operator (${this.selectedOperatorArity}) doesn't match the number of the provided values (${values.length})!`);
        }
        const deserializedValuesObservables = values.map(v => this.deserializeOperandValue(v));
        const result$ = new ReplaySubject(1);
        forkJoin(deserializedValuesObservables).pipe(defaultIfEmpty([])).subscribe(deserializedValues => {
            this.setOperands(deserializedValues);
            result$.next();
            result$.complete();
        });
        return result$.asObservable();
    }
    /**
     * @param value the serialized output of the [serializeOperandValue()]{@link Category#serializeOperandValue} method
     * @returns an `Observable` that emits the deserialized value, that can be set as FormControl value and then completes
     *
     * This method may throw na error if the value cannot be deserialized.
     */
    deserializeOperandValue(value) {
        return of(value);
    }
    /**
     * Performs a transformation of the `FormControl` value before passing it into the selected `Operator` for query generation.
     * It is mostly useful only for AutocompleteCategories, where the selected value of the FormControl is an object.
     *
     * The default implementation performs an identity transformation - returns the input.
     * @param value the FormControlValue
     * @returns the value used for query generation
     */
    transformCategoryValue(value) {
        return value;
    }
    /**
     * @returns an Array containing text segments representing the content of the predicate generated by this category
     */
    createFilterTextSegments() {
        if (!this.providesPredicate) {
            return [];
        }
        return [
            { segment: this.translationPath, bold: this.displayBold },
            ...this.createConfigurationFilterTextSegments(),
            ...this.createOperatorFilterTextSegments()
        ];
    }
    /**
     * @returns an Array containing text segments representing the operators with operands of this category
     */
    createOperatorFilterTextSegments() {
        const result = [];
        let operandIndex = 0;
        for (const segment of this.selectedOperator.getOperatorNameTemplate()) {
            if (segment === Operator.INPUT_PLACEHOLDER) {
                result.push(this.createOperandFilterTextSegment(operandIndex));
                operandIndex++;
            }
            else {
                result.push({ segment });
            }
        }
        return result;
    }
    /**
     * @returns filter text segment representing the operand value at the specified index
     */
    createOperandFilterTextSegment(operandIndex) {
        let segment;
        const operand = this._operandsFormControls[operandIndex].value;
        switch (this.inputType) {
            case SearchInputType.AUTOCOMPLETE:
                segment = operand.text;
                break;
            case SearchInputType.DATE:
                segment = operand.format(DATE_FORMAT_STRING);
                break;
            case SearchInputType.DATE_TIME:
                segment = operand.format(DATE_TIME_FORMAT_STRING);
                break;
            default:
                segment = operand;
                break;
        }
        return { segment, bold: true };
    }
    /**
     * Checks for selected operator
     * @param operatorClass the operator to be checked
     * @return boolean of the statement
     */
    isSelectedOperator(operatorClass) {
        return this.selectedOperator === this._operatorService.getOperator(operatorClass);
    }
}

/**
 * Contains the identifiers of the queried elastic search indices.
 */
var CaseSearch;
(function (CaseSearch) {
    CaseSearch["CREATION_DATE"] = "creationDateSortable";
    CaseSearch["PROCESS_IDENTIFIER"] = "processIdentifier";
    CaseSearch["TASK_ID"] = "taskIds";
    CaseSearch["TITLE"] = "title";
    CaseSearch["VISUAL_ID"] = "visualId";
    CaseSearch["ENABLED_ROLES"] = "enabledRoles";
    CaseSearch["AUTHOR"] = "author";
    CaseSearch["STRING_ID"] = "stringId";
})(CaseSearch || (CaseSearch = {}));

/**
 * Represents a Search Category whose values are a known set. The value selection is done with an autocomplete field.
 *
 * @typeparam T type of the object that the autocomplete option values use and in turn is used to generate queries
 */
class AutocompleteCategory extends Category {
    /**
     * Autocomplete categories usually require a map to represent mapping of display names
     * of their options to objects that are needed to construct their queries.
     *
     * You are not required to use this map when you implement your own Category,
     * but it comes with helpful functions and might save you some time.
     *
     * See [options()]{@link AutocompleteCategory#options} and [addToMap()]{@link AutocompleteCategory#addToMap}.
     */
    _optionsMap;
    _options$;
    _timeoutId;
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService) {
        super(elasticKeywords, allowedOperators, translationPath, SearchInputType.AUTOCOMPLETE, log, operatorService);
        this._optionsMap = new Map();
        this._options$ = new BehaviorSubject([]);
        // timeout is used to bypass javascript object initialization bugs.
        // Injected properties of inherited classes were not set in the function call.
        this._timeoutId = setTimeout(() => {
            this.createOptions();
        });
    }
    destroy() {
        super.destroy();
        this._options$.complete();
        clearTimeout(this._timeoutId);
    }
    /**
     * Options the user can select from for this search Category.
     */
    get options() {
        return this._options$.value;
    }
    /**
     * An Observable of the options the user can select from for this search Category.
     *
     * The Observable is updated when the base set of options changes, not when the available options are
     * filtered, see [filterOptions()]{@link AutocompleteCategory#filterOptions}.
     *
     * The Observable initially contains an empty array and the options may appear at a later point in time
     * (based on the concrete AutocompleteCategory subclass implementation)
     */
    get options$() {
        return this._options$.asObservable();
    }
    /**
     * Publishes a new value in the [_options$]{@link AutocompleteCategory#_options$} Subject generated from the
     * [_optionsMap]{@link AutocompleteCategory#_optionsMap}.
     *
     * The default implementation iterates trough the [_optionsMap]{@link AutocompleteCategory#_optionsMap} and
     * creates options with the keys as [text]{@link SearchAutocompleteOption#text}
     * and values as [value]{@link SearchAutocompleteOption#value}.
     */
    updateOptions() {
        const result = [];
        for (const entry of this._optionsMap.entries()) {
            result.push(this.createSearchAutocompleteOption(entry[0], entry[1]));
        }
        this._options$.next(result);
    }
    /**
     * The function that is used to filter shown options in the autocomplete field.
     *
     * By default the options that start with the input string are returned (case insensitive).
     *
     * By default a new value is emitted, whenever either the user input or the base set of options changes.
     * @param userInput user search input
     * @returns options that satisfy the autocomplete condition
     */
    filterOptions(userInput) {
        return combineLatest([
            userInput.pipe(startWith(''), map(input => typeof input === 'string' ? input.toLocaleLowerCase() : input.text)),
            this.options$
        ]).pipe(map(([input, options]) => {
            return options.filter(o => o.text.toLocaleLowerCase().startsWith(input));
        }));
    }
    /**
     * Adds a new entry or pushes value into an existing entry.
     * When a new entry is created, it is created as an Array of one element.
     * @param key where in the map should the value be added
     * @param value the value that should be added to the map
     */
    addToMap(key, value) {
        if (this._optionsMap.has(key)) {
            this._optionsMap.get(key).push(value);
        }
        else {
            this._optionsMap.set(key, [value]);
        }
    }
    isOperandValueSelected(newValue) {
        return !(!newValue || typeof newValue === 'string');
    }
    /**
     * Performs a transformation of the `FormControl` value before passing it into the selected `Operator` for query generation.
     * It is mostly useful only for AutocompleteCategories, where the selected value of the FormControl is an object.
     *
     * The default AutocompleteCategory implementation returns the {@link SearchAutocompleteOption} `value` attribute.
     * @param value the FormControlValue
     * @returns the value used for query generation
     */
    transformCategoryValue(value) {
        return value.value;
    }
    serializeOperandValue(valueFormControl) {
        return valueFormControl.value.text;
    }
    /**
     * @param text the serialized output of the [serializeOperandValue()]{@link Category#serializeOperandValue} method
     * @returns the deserialized value, that can be set as FormControl value
     *
     * This method throws na error if the serialized value is not one of the autocomplete options.
     */
    deserializeOperandValue(text) {
        const result$ = new ReplaySubject(1);
        this.options$.pipe(filter(o => o.length > 0), take(1)).subscribe(() => {
            const value = this._optionsMap.get(text);
            if (value === undefined) {
                throw new Error(`The serialized autocomplete value '${value}' does not map to any autocomplete options and cannot be deserialized!`);
            }
            result$.next(this.createSearchAutocompleteOption(text, value));
            result$.complete();
        });
        return result$.asObservable();
    }
    createSearchAutocompleteOption(text, value) {
        return { text, value };
    }
}

/**
 * A utility class that exists for inheritance by simpler category instances.
 *
 * The only configuration input is an [OPERATOR]{@link SearchInputType#OPERATOR} and a `FormControl` instance is available for it as well.
 *
 * For regular [Categories]{@link Category} use {@link NoConfigurationCategory} instead.
 */
class NoConfigurationAutocompleteCategory extends AutocompleteCategory {
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService) {
        super(elasticKeywords, allowedOperators, translationPath, log, operatorService);
    }
    /**
     * Always returns an array with only the [OPERATOR]{@link SearchInputType#OPERATOR} constant.
     */
    get configurationInputs$() {
        return of([this._OPERATOR_INPUT]);
    }
    /**
     * @returns No configuration categories are displayed with bold text
     */
    get displayBold() {
        return true;
    }
    getActiveInputFormControl(inputIndex) {
        if (inputIndex === 0) {
            return this._operatorFormControl;
        }
        throw new Error(`Illegal inputIndex '${inputIndex}'. This category has only one configuration input!`);
    }
    createConfigurationFilterTextSegments() {
        return [];
    }
}

/**
 * @param page a {@link Page} of objects returned by backend
 * @returns returns `true` if the page is defined and has content with non-zero length. Returns `false` otherwise.
 */
function hasContent(page) {
    return !!page && !!page.content && Array.isArray(page.content) && page.content.length > 0;
}

/**
 * Contains implementation of querying the backend for user information.
 *
 * Should be used by all search categories that want to search by users to ensure the necessary code is kept in one place.
 */
class UserAutocomplete {
    _includeMe;
    static USER_ICON = 'account_circle';
    static USER_ME_ICON = 'person_pin_circle'; // person_pin, person_pin_circle
    static USER_ME_TEMPLATE = '<<me>>';
    static _i18n = 'search.category.userMe';
    _userResourceService;
    /**
     * @param optionalDependencies search OptionalDependencies
     * @param _includeMe whether the pseudo-user "ME" should be included in the search results
     */
    constructor(optionalDependencies, _includeMe = true) {
        this._includeMe = _includeMe;
        this._userResourceService = optionalDependencies.userResourceService;
    }
    filterOptions(userInput) {
        return userInput.pipe(startWith(''), debounceTime(600), switchMap(input => {
            if (typeof input === 'string') {
                return this._userResourceService.search({ fulltext: input }).pipe(map(page => {
                    if (hasContent(page)) {
                        const options = page.content.map(user => ({ text: user.fullName, value: [user.id], icon: UserAutocomplete.USER_ICON }));
                        if (this._includeMe) {
                            options.unshift({
                                text: UserAutocomplete._i18n,
                                value: [UserAutocomplete.USER_ME_TEMPLATE],
                                icon: UserAutocomplete.USER_ME_ICON
                            });
                        }
                        return options;
                    }
                    return [];
                }));
            }
            else {
                return of([input]);
            }
        }));
    }
    serializeOperandValue(valueFormControl) {
        const autocompleteValue = valueFormControl.value;
        return { text: autocompleteValue.text, value: autocompleteValue.value };
    }
    deserializeOperandValue(savedOption) {
        return of({ ...savedOption, icon: this.isUserMeTemplate(savedOption) ? UserAutocomplete.USER_ME_ICON : UserAutocomplete.USER_ICON });
    }
    isUserMeTemplate(option) {
        return !!option?.value
            && Array.isArray(option.value)
            && option.value.length === 1
            && option.value[0] === UserAutocomplete.USER_ME_TEMPLATE;
    }
}

class NoConfigurationUserAutocompleteCategory extends NoConfigurationAutocompleteCategory {
    _className;
    _optionalDependencies;
    _userAutocomplete;
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService, _className, _optionalDependencies) {
        super(elasticKeywords, allowedOperators, translationPath, log, operatorService);
        this._className = _className;
        this._optionalDependencies = _optionalDependencies;
        this._userAutocomplete = new UserAutocomplete(this._optionalDependencies);
    }
    createOptions() {
    }
    filterOptions(userInput) {
        return this._userAutocomplete.filterOptions(userInput);
    }
    generateQuery(userInput) {
        if (this.selectedOperator.numberOfOperands !== 1) {
            throw new Error(`Only unary operators are currently supported by the ${this._className} implementation`);
        }
        return this.selectedOperator.createQuery(this.elasticKeywords, Array.isArray(userInput[0]) ? userInput[0] : userInput, false);
    }
    serializeOperandValue(valueFormControl) {
        return this._userAutocomplete.serializeOperandValue(valueFormControl);
    }
    deserializeOperandValue(savedOption) {
        return this._userAutocomplete.deserializeOperandValue(savedOption);
    }
}

class CaseAuthor extends NoConfigurationUserAutocompleteCategory {
    static _i18n = 'search.category.case.author';
    constructor(operators, logger, optionalDependencies) {
        super([CaseSearch.AUTHOR], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${CaseAuthor._i18n}.name`, logger, operators, 'CaseAuthor', optionalDependencies);
    }
    get inputPlaceholder() {
        return `${CaseAuthor._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseAuthor(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_AUTHOR;
    }
}

/**
 * A utility class that exists for inheritance by simpler category instances.
 *
 * The only configuration input is an [OPERATOR]{@link SearchInputType#OPERATOR} and a `FormControl` instance is available for it as well.
 *
 * For [AutocompleteCategories]{@link AutocompleteCategory} use {@link NoConfigurationAutocompleteCategory} instead.
 */
class NoConfigurationCategory extends Category {
    constructor(elasticKeywords, allowedOperators, translationPath, inputType, log, operatorService) {
        super(elasticKeywords, allowedOperators, translationPath, inputType, log, operatorService);
    }
    /**
     * Always returns an array with only the [OPERATOR]{@link SearchInputType#OPERATOR} constant.
     */
    get configurationInputs$() {
        return of([this._OPERATOR_INPUT]);
    }
    /**
     * @returns No configuration categories are displayed with bold text
     */
    get displayBold() {
        return true;
    }
    getActiveInputFormControl(inputIndex) {
        if (inputIndex === 0) {
            return this._operatorFormControl;
        }
        throw new Error(`Illegal inputIndex '${inputIndex}'. This category has only one configuration input!`);
    }
    isOperandValueSelected(newValue) {
        return !!newValue;
    }
    createConfigurationFilterTextSegments() {
        return [];
    }
}

class CaseCreationDate extends NoConfigurationCategory {
    static _i18n = 'search.category.case.creationDate';
    constructor(operators, logger) {
        super([CaseSearch.CREATION_DATE], [
            operators.getOperator(EqualsDate),
            operators.getOperator(NotEqualsDate),
            operators.getOperator(MoreThanDate),
            operators.getOperator(MoreThanEqualDate),
            operators.getOperator(LessThanDate),
            operators.getOperator(LessThanEqualDate),
            operators.getOperator(InRangeDate)
        ], `${CaseCreationDate._i18n}.name`, SearchInputType.DATE, logger, operators);
    }
    get inputPlaceholder() {
        return `${CaseCreationDate._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseCreationDate(this._operatorService, this._log);
    }
    serializeClass() {
        return Categories.CASE_CREATION_DATE;
    }
    serializeOperandValue(valueFormControl) {
        return valueFormControl.value.valueOf();
    }
    deserializeOperandValue(value) {
        return of(moment(value));
    }
}

/**
 * Objects that represent keys to the map of available data fields in {@link CaseDataset} search category.
 *
 * Since javascript maps don't support objects as keys this class has a serialized form, that is used as a `string` key.
 *
 * This class also acts as an autocomplete option when the target datafield is selected. The real data fields are then extracted from the
 * map to which this object is a key.
 */
class DatafieldMapKey {
    _inputType;
    _title;
    static serializedForm(type, title) {
        return `${type}#${title}`;
    }
    static parse(serializedMapKey) {
        const parts = serializedMapKey.split('#');
        return new DatafieldMapKey(parts.shift(), parts.join('#'));
    }
    constructor(_inputType, _title) {
        this._inputType = _inputType;
        this._title = _title;
    }
    get title() {
        return this._title;
    }
    get type() {
        return this._inputType;
    }
    get icon() {
        switch (this._inputType) {
            case 'boolean':
                return 'toggle_off';
            case 'date':
                return 'today';
            case 'enumeration':
                return 'radio_button_checked';
            case 'file':
                return 'insert_drive_file';
            case 'fileList':
                return 'file_copy';
            case 'multichoice':
                return 'check_box';
            case 'number':
                return 'looks_one';
            case 'user':
                return 'person';
            case 'userList':
                return 'people';
            case 'dateTime':
                return 'schedule';
            default:
                return 'text_format';
        }
    }
    /**
     * Alias for [toSerializedForm()]{@link DatafieldMapKey#toSerializedForm}
     */
    get value() {
        return this.toSerializedForm();
    }
    /**
     * Alias for [title]{@link DatafieldMapKey#title}
     */
    get text() {
        return this.title;
    }
    toSerializedForm() {
        return DatafieldMapKey.serializedForm(this._inputType, this._title);
    }
}

class CaseProcess extends NoConfigurationAutocompleteCategory {
    _optionalDependencies;
    static _i18n = 'search.category.case.process';
    _uniqueOptionsMap;
    _allowedNetsSub;
    _destroyed;
    constructor(operators, logger, _optionalDependencies) {
        super([CaseSearch.PROCESS_IDENTIFIER], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${CaseProcess._i18n}.name`, logger, operators);
        this._optionalDependencies = _optionalDependencies;
        this._uniqueOptionsMap = new Map();
    }
    destroy() {
        super.destroy();
        if (this._allowedNetsSub && !this._allowedNetsSub.closed) {
            this._allowedNetsSub.unsubscribe();
        }
        this._destroyed = true;
    }
    createOptions() {
        if (this._destroyed) {
            return;
        }
        this._allowedNetsSub = this._optionalDependencies.allowedNetsService.allowedNets$.subscribe(allowedNets => {
            this._optionsMap.clear();
            allowedNets.forEach(petriNet => {
                if (this.isUniqueOption(petriNet.title, petriNet.identifier)) {
                    this.addToMap(petriNet.title, petriNet.identifier);
                }
            });
            this.updateOptions();
        });
    }
    /**
     * Checks whether the provided option is unique and updates the list of unique options with it.
     * @param key autocomplete option key
     * @param value autocomplete option value
     * @returns `true` if the option has not yet been checked as unique. `false` if the option has been checked before.
     */
    isUniqueOption(key, value) {
        if (!this._uniqueOptionsMap.has(key)) {
            this._uniqueOptionsMap.set(key, new Set([value]));
            return true;
        }
        if (this._uniqueOptionsMap.get(key).has(value)) {
            return false;
        }
        else {
            this._uniqueOptionsMap.get(key).add(value);
            return true;
        }
    }
    generateQuery(userInput) {
        if (this.selectedOperator.numberOfOperands !== 1) {
            throw new Error('Only unary operators are currently supported by the CaseProcess implementation');
        }
        const operand = userInput[0];
        const queries = operand.map(id => this.selectedOperator.createQuery(this.elasticKeywords, [id]));
        return Query.combineQueries(queries, BooleanOperator.OR);
    }
    get inputPlaceholder() {
        return `${CaseProcess._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseProcess(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_PROCESS;
    }
}

var SearchIndex;
(function (SearchIndex) {
    /**
     * Indexed as TEXT
     *
     * Used by all fields
     */
    SearchIndex["FULLTEXT"] = "fulltextValue";
    /**
     * Indexed as BOOLEAN
     *
     * Used by BooleanFields
     */
    SearchIndex["BOOLEAN"] = "booleanValue";
    /**
     * Indexed as DATE
     *
     * Used by both Date and DateTime Fields
     */
    SearchIndex["DATE"] = "dateValue";
    /**
     * Indexed as LONG
     *
     * Used by both Date and DateTime Fields
     */
    SearchIndex["TIMESTAMP"] = "timestampValue";
    /**
     * Indexed as TEXT
     *
     * Used by both File and FileList Fields
     */
    SearchIndex["FILE_NAME"] = "fileNameValue";
    /**
     * Indexed as KEYWORD
     *
     * Used by both File and FileList Fields
     */
    SearchIndex["FILE_EXTENSION"] = "fileExtensionValue";
    /**
     * Indexed as TEXT
     *
     * Used by Text, Enumeration, EnumerationMap, Multichoice and MultichoiceMap Fields
     */
    SearchIndex["TEXT"] = "textValue";
    /**
     * Indexed as KEYWORD
     *
     * Used by EnumerationMap and MultichoiceMap Fields
     */
    SearchIndex["KEY"] = "keyValue";
    /**
     * Indexed as DOUBLE
     *
     * Used by Number Fields
     */
    SearchIndex["NUMBER"] = "numberValue";
    /**
     * Indexed as TEXT
     *
     * Used by User and UserListFields
     */
    SearchIndex["EMAIL"] = "emailValue";
    /**
     * Indexed as TEXT
     *
     * Used by User and UserListFields
     */
    SearchIndex["FULL_NAME"] = "fullNameValue";
    /**
     * Indexed as LONG
     *
     * Used by User and UserListFields
     */
    SearchIndex["USER_ID"] = "userIdValue";
})(SearchIndex || (SearchIndex = {}));

class CaseDataset extends Category {
    _optionalDependencies;
    static _i18n = 'search.category.case.dataset';
    static DISABLED_TYPES = ['button', 'taskRef', 'caseRef', 'filter'];
    static DATAFIELD_METADATA = 'datafield';
    static AUTOCOMPLETE_ICON = 'account_circle';
    _DATAFIELD_INPUT;
    _processCategory;
    _configurationInputs$;
    _datafieldOptions;
    _datafieldOptionsInitialized$;
    _allowedNetsSub;
    _userAutocomplete;
    static FieldTypeToInputType(fieldType) {
        switch (fieldType) {
            case 'date':
                return SearchInputType.DATE;
            case 'dateTime':
                return SearchInputType.DATE_TIME;
            case 'number':
                return SearchInputType.NUMBER;
            case 'boolean':
                return SearchInputType.BOOLEAN;
            case 'user':
                return SearchInputType.AUTOCOMPLETE;
            default:
                return SearchInputType.TEXT;
        }
    }
    constructor(operators, logger, _optionalDependencies) {
        super(undefined, undefined, `${CaseDataset._i18n}.name`, undefined, logger, operators);
        this._optionalDependencies = _optionalDependencies;
        this._processCategory = this._optionalDependencies.categoryFactory.get(CaseProcess);
        this._processCategory.selectDefaultOperator();
        this._datafieldOptions = new Map();
        this._userAutocomplete = new UserAutocomplete(this._optionalDependencies);
        this.createDatafieldOptions();
        this._DATAFIELD_INPUT = new ConfigurationInput(SearchInputType.AUTOCOMPLETE, 'search.category.case.dataset.placeholder.field', true, this._datafieldOptions, (mapKeys, newValue) => {
            return mapKeys.map(serializedMapKey => DatafieldMapKey.parse(serializedMapKey))
                .filter(mapKey => mapKey.title.toLocaleLowerCase().startsWith(newValue));
        });
        this._configurationInputs$ = new BehaviorSubject([this._DATAFIELD_INPUT]);
        this._DATAFIELD_INPUT.valueChanges$().subscribe(newValue => {
            if (newValue === undefined || typeof newValue === 'string') {
                this._configurationInputs$.next([this._DATAFIELD_INPUT]);
            }
            else if (this._configurationInputs$.getValue().length === 1) {
                this._configurationInputs$.next([this._DATAFIELD_INPUT, this._OPERATOR_INPUT]);
            }
            this._operatorFormControl.setValue(undefined);
        });
    }
    destroy() {
        super.destroy();
        this._configurationInputs$.complete();
        this._datafieldOptionsInitialized$.complete();
        if (this._allowedNetsSub && !this._allowedNetsSub.closed) {
            this._allowedNetsSub.unsubscribe();
        }
        this._processCategory.destroy();
    }
    get configurationInputs$() {
        return this._configurationInputs$.asObservable();
    }
    get inputType() {
        if (!this.hasSelectedDatafields) {
            throw new Error('Input type of arguments cannot be determined before selecting a data field during the configuration.');
        }
        return CaseDataset.FieldTypeToInputType(this._selectedDatafields[0].fieldType);
    }
    /**
     * The allowed operators are dependant on the selected data field.
     *
     * Beware that if you want to change the order of the allowed operators, then you must also update the
     * [selectDefaultOperator()]{@link Category#selectDefaultOperator} method, so that default operator for each data field type matches
     * the default operator of the {@link CaseSimpleDataset} search category. Otherwise the transition of header search into the search GUI
     * won't work properly.
     */
    get allowedOperators() {
        if (!this.hasSelectedDatafields) {
            return [];
        }
        switch (this._selectedDatafields[0].fieldType) {
            case 'number':
                return [
                    this._operatorService.getOperator(Equals),
                    this._operatorService.getOperator(NotEquals),
                    this._operatorService.getOperator(MoreThan),
                    this._operatorService.getOperator(MoreThanEqual),
                    this._operatorService.getOperator(LessThan),
                    this._operatorService.getOperator(LessThanEqual),
                    this._operatorService.getOperator(InRange),
                    this._operatorService.getOperator(IsNull)
                ];
            case 'boolean':
                return [
                    this._operatorService.getOperator(Equals),
                    this._operatorService.getOperator(NotEquals)
                ];
            case 'user':
            case 'userList':
                return [
                    this._operatorService.getOperator(Equals),
                    this._operatorService.getOperator(NotEquals),
                    this._operatorService.getOperator(IsNull)
                ];
            case 'date':
                return [
                    this._operatorService.getOperator(EqualsDate),
                    this._operatorService.getOperator(NotEqualsDate),
                    this._operatorService.getOperator(MoreThanDate),
                    this._operatorService.getOperator(MoreThanEqualDate),
                    this._operatorService.getOperator(LessThanDate),
                    this._operatorService.getOperator(LessThanEqualDate),
                    this._operatorService.getOperator(InRangeDate),
                    this._operatorService.getOperator(IsNull)
                ];
            case 'dateTime':
                return [
                    this._operatorService.getOperator(EqualsDateTime),
                    this._operatorService.getOperator(MoreThanDateTime),
                    this._operatorService.getOperator(MoreThanEqualDateTime),
                    this._operatorService.getOperator(LessThanDateTime),
                    this._operatorService.getOperator(LessThanEqualDateTime),
                    this._operatorService.getOperator(InRangeDateTime),
                    this._operatorService.getOperator(IsNull)
                ];
            default:
                return [
                    this._operatorService.getOperator(Substring),
                    this._operatorService.getOperator(Equals),
                    this._operatorService.getOperator(NotEquals),
                    this._operatorService.getOperator(IsNull),
                    this._operatorService.getOperator(Like)
                ];
        }
    }
    /**
     * @returns `CaseDataset` category is not displayed in bold for better readability
     */
    get displayBold() {
        return false;
    }
    get hasSelectedDatafields() {
        return this._DATAFIELD_INPUT.isOptionSelected;
    }
    get _selectedDatafields() {
        return this._datafieldOptions.get(this._DATAFIELD_INPUT.formControl.value.value);
    }
    reset() {
        super.reset();
        this._DATAFIELD_INPUT.clear();
    }
    duplicate() {
        return new CaseDataset(this._operatorService, this._log, this._optionalDependencies);
    }
    get elasticKeywords() {
        if (!this.hasSelectedDatafields) {
            return [];
        }
        else {
            return this._selectedDatafields.map(datafield => this.resolveElasticKeyword(datafield));
        }
    }
    resolveElasticKeyword(datafield) {
        const resolver = this._optionalDependencies.searchIndexResolver;
        switch (datafield.fieldType) {
            case 'number':
                return resolver.getIndex(datafield.fieldId, SearchIndex.NUMBER);
            case 'date':
            case 'dateTime':
                return resolver.getIndex(datafield.fieldId, SearchIndex.TIMESTAMP);
            case 'boolean':
                return resolver.getIndex(datafield.fieldId, SearchIndex.BOOLEAN);
            case 'file':
            case 'fileList':
                return resolver.getIndex(datafield.fieldId, SearchIndex.FILE_NAME, this.isSelectedOperator(Equals) || this.isSelectedOperator(NotEquals) || this.isSelectedOperator(Substring)
                    || this.isSelectedOperator(IsNull));
            case 'user':
            case 'userList':
                return resolver.getIndex(datafield.fieldId, SearchIndex.USER_ID);
            case 'i18n':
                return resolver.getIndex(datafield.fieldId, SearchIndex.TEXT, this.isSelectedOperator(Equals) || this.isSelectedOperator(NotEquals) || this.isSelectedOperator(Substring)
                    || this.isSelectedOperator(IsNull));
            default:
                return resolver.getIndex(datafield.fieldId, SearchIndex.FULLTEXT, this.isSelectedOperator(Equals) || this.isSelectedOperator(NotEquals) || this.isSelectedOperator(Substring)
                    || this.isSelectedOperator(IsNull));
        }
    }
    get inputPlaceholder() {
        if (!this.hasSelectedDatafields) {
            return `${CaseDataset._i18n}.placeholder.field`;
        }
        return `${CaseDataset._i18n}.placeholder.value`;
    }
    get datafieldOptionsInitialized$() {
        return this._datafieldOptionsInitialized$.asObservable();
    }
    generateQuery(userInput) {
        let queryGenerationStrategy;
        if (this.isSelectedOperator(IsNull)) {
            queryGenerationStrategy = (d, _) => this.isNullOperatorQueryGenerationStrategy(d);
        }
        else if (this.inputType === SearchInputType.AUTOCOMPLETE) {
            queryGenerationStrategy = (d, ui) => this.standardQueryGenerationStrategy(d, ui[0], false);
        }
        else {
            queryGenerationStrategy = (d, ui) => this.standardQueryGenerationStrategy(d, ui);
        }
        const queries = this._selectedDatafields.map(datafield => queryGenerationStrategy(datafield, userInput));
        return Query.combineQueries(queries, BooleanOperator.OR);
    }
    standardQueryGenerationStrategy(datafield, userInput, escapeInput = true) {
        const valueQuery = this.selectedOperator.createQuery(this.elasticKeywords, userInput, escapeInput);
        const netQuery = this.generateNetConstraint(datafield);
        return Query.combineQueries([valueQuery, netQuery], BooleanOperator.AND);
    }
    isNullOperatorQueryGenerationStrategy(datafield) {
        const constraint = this.generateNetConstraint(datafield);
        return this._operatorService.getOperator(IsNull).createQueryWithConstraint(this.elasticKeywords, constraint);
    }
    generateNetConstraint(datafield) {
        return this._processCategory.generatePredicate([[datafield.netIdentifier]]).query;
    }
    createDatafieldOptions() {
        this._datafieldOptionsInitialized$ = new ReplaySubject(1);
        this._allowedNetsSub = this._optionalDependencies.allowedNetsService.allowedNets$.subscribe(allowedNets => {
            allowedNets.forEach(petriNet => {
                petriNet.immediateData
                    .filter(immediateData => {
                    return immediateData.title !== undefined
                        && immediateData.title.trim().length > 0
                        && !CaseDataset.DISABLED_TYPES.includes(immediateData.type);
                })
                    .forEach(immediateData => {
                    let type = immediateData.type;
                    // for search purposes, enumeration and multichoice maps are equivalent to their simpler counterparts
                    if (type === 'enumeration_map') {
                        type = 'enumeration';
                    }
                    else if (type === 'multichoice_map') {
                        type = 'multichoice';
                    }
                    this.addToDatafieldOptionsMap(DatafieldMapKey.serializedForm(immediateData.type, immediateData.title), {
                        netIdentifier: petriNet.identifier,
                        fieldId: immediateData.stringId,
                        fieldType: immediateData.type,
                    });
                });
            });
            this._datafieldOptionsInitialized$.next();
        });
    }
    filterOptions(userInput) {
        if (!this.hasSelectedDatafields) {
            throw new Error('The category must be fully configured before attempting to get autocomplete options!');
        }
        if (this.inputType !== SearchInputType.AUTOCOMPLETE) {
            throw new Error('Cannot filter options of non-autocomplete operands');
        }
        return this._userAutocomplete.filterOptions(userInput);
    }
    selectDatafields(datafieldMapKey, selectDefaultOperator = true) {
        if (!this._datafieldOptions.has(datafieldMapKey)) {
            this._log.warn(`The provided 'datafieldMapKey' (${datafieldMapKey}) does not exist.`);
            return;
        }
        this._DATAFIELD_INPUT.formControl.setValue(DatafieldMapKey.parse(datafieldMapKey));
        if (selectDefaultOperator) {
            this.selectDefaultOperator();
        }
    }
    /**
     * Adds a new entry or pushes value into an existing entry.
     * When a new entry is created, it is created as an Array of one element.
     * @param key where in the map should the value be added
     * @param value the value that should be added to the map
     */
    addToDatafieldOptionsMap(key, value) {
        if (this._datafieldOptions.has(key)) {
            this._datafieldOptions.get(key).push(value);
        }
        else {
            this._datafieldOptions.set(key, [value]);
        }
    }
    isOperandValueSelected(newValue) {
        if (!this.isOperatorSelected()) {
            return false;
        }
        let inputType;
        try {
            inputType = this.inputType;
        }
        catch (e) {
            return false;
        }
        switch (inputType) {
            case SearchInputType.NUMBER:
                return typeof newValue === 'number';
            case SearchInputType.BOOLEAN:
                return typeof newValue === 'boolean';
            case SearchInputType.AUTOCOMPLETE:
                return !(!newValue || typeof newValue === 'string');
            default:
                return !!newValue;
        }
    }
    /**
     * Performs a transformation of the `FormControl` value before passing it into the selected `Operator` for query generation.
     * It is mostly useful only for AutocompleteCategories, where the selected value of the FormControl is an object.
     *
     * @param value the FormControlValue
     * @returns If the selected data field has input type `AUTOCOMPLETE` then returns the {@link SearchAutocompleteOption} `value`
     * attribute. Otherwise performs an identity operation.
     */
    transformCategoryValue(value) {
        if (this.inputType === SearchInputType.AUTOCOMPLETE) {
            return value.value;
        }
        return value;
    }
    serializeClass() {
        return Categories.CASE_DATASET;
    }
    serializeOperandValue(valueFormControl) {
        switch (this.inputType) {
            case SearchInputType.AUTOCOMPLETE:
                return this._userAutocomplete.serializeOperandValue(valueFormControl);
            case SearchInputType.DATE:
            case SearchInputType.DATE_TIME:
                return valueFormControl.value.valueOf();
            default:
                return super.serializeOperandValue(valueFormControl);
        }
    }
    createMetadataConfiguration() {
        const config = super.createMetadataConfiguration();
        config[CaseDataset.DATAFIELD_METADATA] = this._DATAFIELD_INPUT.formControl.value.toSerializedForm();
        return config;
    }
    loadConfigurationFromMetadata(configuration) {
        const result$ = new ReplaySubject(1);
        this.datafieldOptionsInitialized$.subscribe(() => {
            const serializedMapKey = configuration[CaseDataset.DATAFIELD_METADATA];
            this.selectDatafields(serializedMapKey, false);
            if (!this.hasSelectedDatafields) {
                throw new Error(`Searched data fields cannot be restored from the provided configuration (${serializedMapKey}). Make sure, that the correct allowed nets are provided in this view.`);
            }
            super.loadConfigurationFromMetadata(configuration).subscribe(() => {
                result$.next();
                result$.complete();
            });
        });
        return result$.asObservable();
    }
    deserializeOperandValue(value) {
        switch (this.inputType) {
            case SearchInputType.AUTOCOMPLETE:
                return this._userAutocomplete.deserializeOperandValue(value);
            case SearchInputType.DATE:
            case SearchInputType.DATE_TIME:
                return of(moment(value));
            default:
                return super.deserializeOperandValue(value);
        }
    }
    createConfigurationFilterTextSegments() {
        return [{ segment: this._configurationInputs$.value[0].formControl.value.text, bold: true }];
    }
}

/**
 * A utility class for autocomplete search categories that are net specific, such as searching by roles, or tasks.
 *
 * The generated queries combine the ids of the selected attribute with the net id, so that no unexpected results are found.
 */
class NetAttributeAutocompleteCategory extends NoConfigurationAutocompleteCategory {
    _optionalDependencies;
    _allowedNetsSub;
    _destroyed;
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService, _optionalDependencies) {
        super(elasticKeywords, allowedOperators, translationPath, log, operatorService);
        this._optionalDependencies = _optionalDependencies;
    }
    destroy() {
        super.destroy();
        if (this._allowedNetsSub && !this._allowedNetsSub.closed) {
            this._allowedNetsSub.unsubscribe();
        }
        this._destroyed = true;
    }
    createOptions() {
        if (this._destroyed) {
            return;
        }
        this._allowedNetsSub = this._optionalDependencies.allowedNetsService.allowedNets$.subscribe(allowedNets => {
            this._optionsMap.clear();
            allowedNets.forEach(petriNet => {
                this.extractAttributes(petriNet)
                    .filter(pair => pair.name && pair.name.trim().length > 0)
                    .forEach(pair => {
                    this.addToMap(pair.name, {
                        netId: this.getPetriNetIdentifier(petriNet),
                        attributeId: pair.id
                    });
                });
            });
            this.updateOptions();
        });
    }
    /**
     * Generates the query as a combination of the selected attribute pairs.
     * Each attribute is ANDed with its net id and ORed with other attributes.
     * @param userInput inputs selected by the user in each of the operand input fields
     * @returns the Query generated by the selected Operator
     */
    generateQuery(userInput) {
        if (userInput.length !== 1) {
            throw new Error('NetAttributeAutocompleteCategories currently doesn\'t support operators with arity other than 1!');
        }
        const matchingPairs = userInput[0];
        const queries = matchingPairs.map(pair => {
            const taskQuery = this.selectedOperator.createQuery(this.elasticKeywords, [pair.attributeId]);
            const netQuery = this.getProcessCategory().generatePredicate([[pair.netId]]).query;
            return Query.combineQueries([taskQuery, netQuery], BooleanOperator.AND);
        });
        return Query.combineQueries(queries, BooleanOperator.OR);
    }
}

/**
 * Utility class with the same use as its parent but witch Case search specific methods implemented.
 */
class CaseNetAttributeAutocompleteCategory extends NetAttributeAutocompleteCategory {
    _processCategory;
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService, optionalDependencies) {
        super(elasticKeywords, allowedOperators, translationPath, log, operatorService, optionalDependencies);
        this._processCategory = optionalDependencies.categoryFactory.get(CaseProcess);
        this._processCategory.selectDefaultOperator();
    }
    destroy() {
        super.destroy();
        this._processCategory.destroy();
    }
    getProcessCategory() {
        return this._processCategory;
    }
    getPetriNetIdentifier(net) {
        return net.identifier;
    }
}

class CaseRole extends CaseNetAttributeAutocompleteCategory {
    static _i18n = 'search.category.case.role';
    constructor(operators, logger, optionalDependencies) {
        super([CaseSearch.ENABLED_ROLES], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${CaseRole._i18n}.name`, logger, operators, optionalDependencies);
    }
    extractAttributes(petriNet) {
        return petriNet.roles.map(r => ({ id: r.stringId, name: r.name }));
    }
    get inputPlaceholder() {
        return `${CaseRole._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseRole(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_ROLE;
    }
}

/**
 * This class aims to be a simpler more limited version of the {@link CaseDataset} {@link Category} implementation.
 *
 * It can only generate "equality" queries for a single field. The category must be configured before it can be used to generate queries.
 *
 * This category cannot be serialized. If you want to preserve this category's state convert it to {@link CaseDataset}
 * with the [transformToCaseDataset()]{@link CaseSimpleDataset#transformToCaseDataset} method and serialize the result.
 *
 * See [configure]{@link CaseSimpleDataset#configure} for more information.
 */
class CaseSimpleDataset extends NoConfigurationCategory {
    _optionalDependencies;
    static _i18n = 'search.category.case.dataset';
    _fieldId;
    _fieldType;
    _netIdentifiers;
    _elasticKeyword;
    _processCategory;
    constructor(operators, logger, _optionalDependencies) {
        super(undefined, undefined, `${CaseSimpleDataset._i18n}.name`, undefined, logger, operators);
        this._optionalDependencies = _optionalDependencies;
        this._processCategory = _optionalDependencies.categoryFactory.getWithDefaultOperator(CaseProcess);
    }
    destroy() {
        super.destroy();
        this._processCategory.destroy();
    }
    get inputPlaceholder() {
        return '';
    }
    configure(fieldId, fieldType, netIdentifiers) {
        if (!fieldId || !fieldType || !netIdentifiers || netIdentifiers.length === 0) {
            this._log.error('CaseSimpleDataset must be configured with defined values and a non-empty array');
            return;
        }
        this._fieldId = fieldId;
        this._fieldType = fieldType;
        this._netIdentifiers = netIdentifiers;
        this.resolveElasticKeyword();
    }
    resolveElasticKeyword() {
        const resolver = this._optionalDependencies.searchIndexResolver;
        switch (this._fieldType) {
            case 'number':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.NUMBER);
                break;
            case 'date':
            case 'dateTime':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.TIMESTAMP);
                break;
            case 'boolean':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.BOOLEAN);
                break;
            case 'file':
            case 'fileList':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.FILE_NAME, this.isSelectedOperator(Substring));
                break;
            case 'user':
            case 'userList':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.USER_ID);
                break;
            case 'i18n':
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.TEXT, this.isSelectedOperator(Equals) || this.isSelectedOperator(NotEquals) || this.isSelectedOperator(Substring));
                break;
            default:
                this._elasticKeyword = resolver.getIndex(this._fieldId, SearchIndex.FULLTEXT, this.isSelectedOperator(Substring));
        }
    }
    get elasticKeywords() {
        if (!this._fieldId) {
            return [];
        }
        else {
            return [this._elasticKeyword];
        }
    }
    get selectedOperator() {
        switch (this._fieldType) {
            case 'number':
                return this._operatorService.getOperator(Equals);
            case 'boolean':
                return this._operatorService.getOperator(Equals);
            case 'user':
                return this._operatorService.getOperator(Equals);
            case 'date':
                return this._operatorService.getOperator(EqualsDate);
            case 'dateTime':
                return this._operatorService.getOperator(EqualsDateTime);
            default:
                return this._operatorService.getOperator(Substring);
        }
    }
    duplicate() {
        return new CaseSimpleDataset(this._operatorService, this._log, this._optionalDependencies);
    }
    /**
     * Creates a {@link CaseDataset} instance and configures it so, that the query it generates targets
     * the selected field, uses the default operator and its operands are what the user provided.
     *
     * @param fieldType the type of the field that should be targeted by the transformed Category
     * @param fieldTitle the title of the field that should be targeted by the transformed Category
     * @param userInput the operands for the queried field
     * @returns a new {@link CaseDataset} configured with the provided values
     */
    transformToCaseDataset(fieldType, fieldTitle, userInput) {
        const result = this._optionalDependencies.categoryFactory.get(CaseDataset);
        result.selectDatafields(DatafieldMapKey.serializedForm(fieldType, fieldTitle));
        result.setOperands(userInput);
        return result;
    }
    generateQuery(userInput) {
        const valueQuery = this.selectedOperator.createQuery(this.elasticKeywords, userInput);
        const netsQuery = Query.combineQueries(this._netIdentifiers.map(id => this._processCategory.generatePredicate([[id]]).query), BooleanOperator.OR);
        return Query.combineQueries([valueQuery, netsQuery], BooleanOperator.AND);
    }
    serializeClass() {
        return Categories.CASE_SIMPLE_DATASET;
    }
    /**
     * Serialization is not supported. Throws an error.
     */
    createMetadata() {
        throw new Error('CaseSimpleDataset does not support serialization!');
    }
    /**
     * Deserialization is not supported. Throws an error.
     */
    loadFromMetadata(metadata) {
        throw new Error('CaseSimpleDataset does not support deserialization!');
    }
}

class CaseTask extends CaseNetAttributeAutocompleteCategory {
    static _i18n = 'search.category.case.task';
    constructor(operators, logger, optionalDependencies) {
        super([CaseSearch.TASK_ID], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${CaseTask._i18n}.name`, logger, operators, optionalDependencies);
    }
    extractAttributes(petriNet) {
        return petriNet.transitions.map(t => ({ id: t.stringId, name: t.title }));
    }
    get inputPlaceholder() {
        return `${CaseTask._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseTask(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_TASK;
    }
}

class CaseTitle extends NoConfigurationCategory {
    _optionalDependencies;
    static _i18n = 'search.category.case.title';
    constructor(operators, logger, _optionalDependencies) {
        super([CaseSearch.TITLE], [
            operators.getOperator(Substring),
            operators.getOperator(Equals),
            operators.getOperator(NotEquals),
            operators.getOperator(Like)
        ], `${CaseTitle._i18n}.name`, SearchInputType.TEXT, logger, operators);
        this._optionalDependencies = _optionalDependencies;
    }
    get inputPlaceholder() {
        return `${CaseTitle._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseTitle(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_TITLE;
    }
    get elasticKeywords() {
        if (!!this._optionalDependencies) {
            const resolver = this._optionalDependencies.searchIndexResolver;
            return [resolver.getCoreIndex(CaseSearch.TITLE, this.isSelectedOperator(Substring))];
        }
        else {
            return this._elasticKeywords;
        }
    }
}

class CaseVisualId extends NoConfigurationCategory {
    _optionalDependencies;
    static _i18n = 'search.category.case.visualId';
    constructor(operators, logger, _optionalDependencies) {
        super([CaseSearch.VISUAL_ID], [operators.getOperator(Substring), operators.getOperator(Equals), operators.getOperator(NotEquals)], `${CaseVisualId._i18n}.name`, SearchInputType.TEXT, logger, operators);
        this._optionalDependencies = _optionalDependencies;
    }
    get inputPlaceholder() {
        return `${CaseVisualId._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseVisualId(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.CASE_VISUAL_ID;
    }
    get elasticKeywords() {
        if (!!this._optionalDependencies) {
            const resolver = this._optionalDependencies.searchIndexResolver;
            return [resolver.getCoreIndex(CaseSearch.VISUAL_ID, this.isSelectedOperator(Substring))];
        }
        else {
            return this._elasticKeywords;
        }
    }
}

class CaseStringId extends NoConfigurationCategory {
    static _i18n = 'search.category.case.stringId';
    constructor(operators, logger) {
        super([CaseSearch.STRING_ID], [
            operators.getOperator(Substring),
            operators.getOperator(Equals),
            operators.getOperator(NotEquals)
        ], `${CaseStringId._i18n}.name`, SearchInputType.TEXT, logger, operators);
    }
    get inputPlaceholder() {
        return `${CaseStringId._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseStringId(this._operatorService, this._log);
    }
    serializeClass() {
        return Categories.CASE_STRING_ID;
    }
}

class TaskAssignee extends NoConfigurationUserAutocompleteCategory {
    static _i18n = 'search.category.task.assignee';
    constructor(operators, logger, optionalDependencies) {
        super(['userId'], [operators.getOperator(Equals), operators.getOperator(NotEquals), operators.getOperator(IsNull)], `${TaskAssignee._i18n}.name`, logger, operators, 'TaskAssignee', optionalDependencies);
    }
    get inputPlaceholder() {
        return `${TaskAssignee._i18n}.placeholder`;
    }
    duplicate() {
        return new TaskAssignee(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.TASK_ASSIGNEE;
    }
}

class TaskProcess extends NoConfigurationAutocompleteCategory {
    _optionalDependencies;
    static _i18n = 'search.category.task.process';
    _allowedNetsSub;
    _destroyed;
    constructor(operators, logger, _optionalDependencies) {
        super(['processId'], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${TaskProcess._i18n}.name`, logger, operators);
        this._optionalDependencies = _optionalDependencies;
    }
    destroy() {
        super.destroy();
        if (this._allowedNetsSub && !this._allowedNetsSub.closed) {
            this._allowedNetsSub.unsubscribe();
        }
        this._destroyed = true;
    }
    createOptions() {
        if (this._destroyed) {
            return;
        }
        this._allowedNetsSub = this._optionalDependencies.allowedNetsService.allowedNets$.subscribe(allowedNets => {
            this._optionsMap.clear();
            allowedNets.forEach(petriNet => {
                this.addToMap(petriNet.title, petriNet.stringId);
            });
            this.updateOptions();
        });
    }
    generateQuery(userInput) {
        if (this.selectedOperator.numberOfOperands !== 1) {
            throw new Error('Only unary operators are currently supported by the TaskProcess implementation');
        }
        const operand = userInput[0];
        const queries = operand.map(id => this.selectedOperator.createQuery(this.elasticKeywords, [id]));
        return Query.combineQueries(queries, BooleanOperator.OR);
    }
    get inputPlaceholder() {
        return `${TaskProcess._i18n}.placeholder`;
    }
    duplicate() {
        return new TaskProcess(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.TASK_PROCESS;
    }
}

/**
 * Utility class with the same use as its parent but witch Task search specific methods implemented.
 */
class TaskNetAttributeAutocompleteCategory extends NetAttributeAutocompleteCategory {
    _processCategory;
    constructor(elasticKeywords, allowedOperators, translationPath, log, operatorService, optionalDependencies) {
        super(elasticKeywords, allowedOperators, translationPath, log, operatorService, optionalDependencies);
        this._processCategory = optionalDependencies.categoryFactory.get(TaskProcess);
        this._processCategory.selectDefaultOperator();
    }
    destroy() {
        super.destroy();
        this._processCategory.destroy();
    }
    getProcessCategory() {
        return this._processCategory;
    }
    getPetriNetIdentifier(net) {
        return net.stringId;
    }
}

class TaskRole extends TaskNetAttributeAutocompleteCategory {
    static _i18n = 'search.category.task.role';
    constructor(operators, logger, optionalDependencies) {
        super(['roles'], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${TaskRole._i18n}.name`, logger, operators, optionalDependencies);
    }
    extractAttributes(petriNet) {
        return petriNet.roles.map(r => ({ id: r.stringId, name: r.name }));
    }
    get inputPlaceholder() {
        return `${TaskRole._i18n}.placeholder`;
    }
    duplicate() {
        return new TaskRole(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.TASK_ROLE;
    }
}

class TaskTask extends TaskNetAttributeAutocompleteCategory {
    static _i18n = 'search.category.task.task';
    constructor(operators, logger, optionalDependencies) {
        super(['transitionId'], [operators.getOperator(Equals), operators.getOperator(NotEquals)], `${TaskTask._i18n}.name`, logger, operators, optionalDependencies);
    }
    extractAttributes(petriNet) {
        return petriNet.transitions.map(t => ({ id: t.stringId, name: t.title }));
    }
    get inputPlaceholder() {
        return `${TaskTask._i18n}.placeholder`;
    }
    duplicate() {
        return new TaskTask(this._operatorService, this._log, this._optionalDependencies);
    }
    serializeClass() {
        return Categories.TASK_TASK;
    }
}

class CaseCreationDateTime extends NoConfigurationCategory {
    static _i18n = 'search.category.case.creationDateTime';
    constructor(operators, logger) {
        super([CaseSearch.CREATION_DATE], [
            operators.getOperator(EqualsDateTime),
            operators.getOperator(NotEqualsDateTime),
            operators.getOperator(MoreThanDateTime),
            operators.getOperator(MoreThanEqualDateTime),
            operators.getOperator(LessThanDateTime),
            operators.getOperator(LessThanEqualDateTime),
            operators.getOperator(InRangeDateTime)
        ], `${CaseCreationDateTime._i18n}.name`, SearchInputType.DATE_TIME, logger, operators);
    }
    get inputPlaceholder() {
        return `${CaseCreationDateTime._i18n}.placeholder`;
    }
    duplicate() {
        return new CaseCreationDateTime(this._operatorService, this._log);
    }
    serializeClass() {
        return Categories.CASE_CREATION_DATE_TIME;
    }
    serializeOperandValue(valueFormControl) {
        return valueFormControl.value.valueOf();
    }
    deserializeOperandValue(value) {
        return of(moment(value));
    }
}

/**
 * A service that resolves {@link Categories} (or custom string) into a concrete {@link Category} implementation class and vice versa.
 */
class CategoryResolverService {
    _classToStringTable;
    _stringToClassTable;
    constructor() {
        this._classToStringTable = {};
        this._stringToClassTable = {};
        this.registerDefaultPairings();
    }
    /**
     * Registers the default class - serialisation pairings for all the {@link Category} classes provided by this library.
     */
    registerDefaultPairings() {
        [
            // Case
            {
                classReference: CaseAuthor,
                serialized: Categories.CASE_AUTHOR
            }, {
                classReference: CaseCreationDate,
                serialized: Categories.CASE_CREATION_DATE
            }, {
                classReference: CaseCreationDateTime,
                serialized: Categories.CASE_CREATION_DATE_TIME
            }, {
                classReference: CaseDataset,
                serialized: Categories.CASE_DATASET
            }, {
                classReference: CaseProcess,
                serialized: Categories.CASE_PROCESS
            }, {
                classReference: CaseRole,
                serialized: Categories.CASE_ROLE
            }, {
                classReference: CaseSimpleDataset,
                serialized: Categories.CASE_SIMPLE_DATASET
            }, {
                classReference: CaseTask,
                serialized: Categories.CASE_TASK
            }, {
                classReference: CaseTitle,
                serialized: Categories.CASE_TITLE
            }, {
                classReference: CaseVisualId,
                serialized: Categories.CASE_VISUAL_ID
            }, {
                classReference: CaseStringId,
                serialized: Categories.CASE_STRING_ID
            },
            // Task
            {
                classReference: TaskAssignee,
                serialized: Categories.TASK_ASSIGNEE
            }, {
                classReference: TaskProcess,
                serialized: Categories.TASK_PROCESS
            }, {
                classReference: TaskRole,
                serialized: Categories.TASK_ROLE
            }, {
                classReference: TaskTask,
                serialized: Categories.TASK_TASK
            }
        ].forEach(pair => this.registerPair(pair));
    }
    /**
     * Resolves the categories from the {@link Categories} enum into their corresponding classes.
     * Passes all unresolved values into the [toCustomClass()]{@link CategoryResolverService#toCustomClass} method - this
     * behavior is deprecated in 5.6.0.
     * @param category a serialized representation of the {@link Category} class
     */
    toClass(category) {
        return this._stringToClassTable[category] ?? this.toCustomClass(category);
    }
    /**
     * Resolves a {@link Category} class or a class instance into its corresponding serialisation.
     * @param category a class reference or a class instance
     * @returns the associated serialisation or `undefined` if no serialisation was associated
     */
    serialize(category) {
        if (category instanceof Category) {
            // @ts-ignore
            return this._classToStringTable[category.constructor];
        }
        // @ts-ignore
        return this._classToStringTable[category];
    }
    /**
     * Should resolve any custom categories into their corresponding class objects.
     *
     * If you implement any custom {@link Category} classes, you should override this method to resolve them after serialization.
     *
     * @param category the serialized string provided by your [Category.serialize()]{@link Category#serializeClass} implementation
     * @returns `undefined`
     *
     * @deprecated in 5.6.0 - use the [registerPair]{@link CategoryResolverService#registerPair} method to register
     * both transformations instead.
     */
    toCustomClass(category) {
        return undefined;
    }
    /**
     * Adds the given mapping to the look-up tables
     *
     * @returns a new pair where: The class is the previous string association. The string is the previous class association.
     * One or both of the values in the returned pair may be `undefined`.
     */
    registerPair(pair) {
        const associatedClass = this._stringToClassTable[pair.serialized];
        this._stringToClassTable[pair.serialized] = pair.classReference;
        // non-string/number object keys are supported by javascript but are lacking typescript support
        // @ts-ignore
        const associatedString = this._classToStringTable[pair.classReference];
        // @ts-ignore
        this._classToStringTable[pair.classReference] = pair.serialized;
        return {
            classReference: associatedClass,
            serialized: associatedString
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryResolverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryResolverService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryResolverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

/**
 * @ignore
 */
class Net {
    /**
     * @ignore
     */
    _stringId;
    /**
     * @ignore
     */
    _title;
    /**
     * @ignore
     */
    _identifier;
    /**
    * @ignore
    * */
    _uriNodeId;
    /**
     * @ignore
     */
    _version;
    /**
     * @ignore
     */
    _initials;
    /**
     * @ignore
     */
    _defaultCaseName;
    /**
     * @ignore
     */
    _createdDate;
    /**
     * @ignore
     */
    _author;
    /**
     * @ignore
     */
    _immediateData;
    /**
     * @ignore
     */
    _transitions;
    /**
     * @ignore
     */
    _transactions;
    /**
     * @ignore
     */
    _roles;
    /**
     * @ignore
     */
    _permissions;
    /**
     * @ignore
     */
    constructor(net) {
        this._stringId = net.stringId;
        this._title = net.title;
        this._identifier = net.identifier;
        this._version = net.version;
        this._initials = net.initials;
        this._defaultCaseName = net.defaultCaseName;
        this._createdDate = net.createdDate;
        this._author = net.author;
        this._immediateData = net.immediateData;
        this._transitions = [];
        this._transactions = [];
        this._roles = [];
        this._uriNodeId = net.uriNodeId;
    }
    get stringId() {
        return this._stringId;
    }
    set stringId(value) {
        this._stringId = value;
    }
    get title() {
        return this._title;
    }
    set title(value) {
        this._title = value;
    }
    get identifier() {
        return this._identifier;
    }
    set identifier(value) {
        this._identifier = value;
    }
    get version() {
        return this._version;
    }
    set version(value) {
        this._version = value;
    }
    get initials() {
        return this._initials;
    }
    set initials(value) {
        this._initials = value;
    }
    get defaultCaseName() {
        return this._defaultCaseName;
    }
    set defaultCaseName(value) {
        this._defaultCaseName = value;
    }
    get createdDate() {
        return this._createdDate;
    }
    set createdDate(value) {
        this._createdDate = value;
    }
    get author() {
        return this._author;
    }
    set author(value) {
        this._author = value;
    }
    get immediateData() {
        return this._immediateData;
    }
    set immediateData(value) {
        this._immediateData = value;
    }
    get transitions() {
        return this._transitions;
    }
    set transitions(value) {
        this._transitions = value;
    }
    get transactions() {
        return this._transactions;
    }
    set transactions(value) {
        this._transactions = value;
    }
    get roles() {
        return this._roles;
    }
    set roles(value) {
        this._roles = value;
    }
    get permissions() {
        return this._permissions;
    }
    set permissions(value) {
        this._permissions = value;
    }
    get uriNodeId() {
        return this._uriNodeId;
    }
    set uriNodeId(uriNodeId) {
        this._uriNodeId = uriNodeId;
    }
}

/**
 * Transforms a {@link MessageResource} object into a stream containing either the message
 * or an error if the message resource contains an error.
 *
 * Can be used with rxjs' `switchMap` process responses from backend.
 * @param message a {@link MessageResource} object
 */
function processMessageResponse(message) {
    if (message.error) {
        return throwError(new Error(message.error));
    }
    else {
        return of(message);
    }
}

class PetriNetResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('petrinet', provider, configService);
    }
    /**
     * Get All Using Petri Net
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet
     */
    getAll(params) {
        return this._resourceProvider.get$('petrinet', this.SERVER_URL, params)
            // .pipe(map(r => this.changeType(r, 'petriNetReferences')));
            .pipe((map((response) => response.content)));
    }
    /**
     * Get Data Field References Using
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/data
     */
    getDataPetriNet(body) {
        return this._resourceProvider.post$('petrinet/data', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get Transition References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/transitions
     */
    getPetriNetTransitions(netId) {
        return this._resourceProvider.get$('/petrinet/transitions', this.SERVER_URL, new HttpParams().set('ids', netId))
            .pipe(map(r => this.changeType(r, 'transitionReferences')));
    }
    /**
     * Get Transaction References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}/transactions
     */
    getPetriNetTransactions(netId, params) {
        return this._resourceProvider.get$('/petrinet/' + netId + '/transactions', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, 'transactions')));
    }
    /**
     * Get Roles References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}/roles
     */
    getPetriNetRoles(netId, params) {
        return this._resourceProvider.get$('/petrinet/' + netId + '/roles', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * get Net File
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{netId}/file
     */
    getNetFile(netId) {
        return this._resourceProvider.getBlob$('petrinet/' + netId + '/file', this.SERVER_URL).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.DownloadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * get One Net
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{identifier}/{version}
     */
    getOne(identifier, version, params) {
        return this._resourceProvider.get$('petrinet/' + btoa(identifier) + '/' + version, this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, 'petriNetReferences')));
    }
    /**
     * get One Net by ID
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}
     */
    getOneById(netId, params) {
        return this._resourceProvider.get$('petrinet/' + netId, this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * import PetriNet
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/import
     */
    importPetriNet(body, params) {
        return this._resourceProvider.postWithEvent$('petrinet/import', this.SERVER_URL, body, params).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.UploadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return ResourceProvider.processMessageResource(event);
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * search PetriNets
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/search
     */
    searchPetriNets(body, params) {
        return this._resourceProvider.post$('petrinet/search', this.SERVER_URL, body, params)
            // .pipe(map(r => this.getResourcePage<PetriNetReference>(r, 'petriNetReferences')));
            .pipe(map(r => this.mapToPage(r)));
    }
    /**
     * delete PetriNet
     *
     * **Request Type:** DELETE
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}
     *
     * @param netId stringId of the deleted Petri Net
     */
    deletePetriNet(netId) {
        return this._resourceProvider.delete$('petrinet/' + netId, this.SERVER_URL)
            .pipe(switchMap(processMessageResponse));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PetriNetResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PetriNetResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PetriNetResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

/**
 * Process service is responsible for loading and caching processes needed for any functionality of an app.
 */
class ProcessService {
    _petriNetResource;
    _log;
    _nets;
    _netsSubject;
    _netUpdate;
    _requestCache;
    _referenceRequestCache;
    LATEST = 'latest';
    constructor(_petriNetResource, _log) {
        this._petriNetResource = _petriNetResource;
        this._log = _log;
        this._nets = {};
        this._netsSubject = new Subject();
        this._netUpdate = new Subject();
        this._requestCache = new Map();
        this._referenceRequestCache = new Map();
    }
    ngOnDestroy() {
        this._netsSubject.complete();
        this._netUpdate.complete();
        Array.from(this._requestCache.values()).forEach(net => net.complete());
        Array.from(this._referenceRequestCache.values()).forEach(net => net.complete());
    }
    /**
     * Get process nets according to provided identifiers.
     * If any of the requested processes is not cached it will be loaded from the server and saved for later.
     * @param identifiers Array of identifiers of requested processes. See {@link Net}
     * @param forceLoad when set to `true` cached processes will be ignored and a backend request will always be made
     * (unless another is already pending)
     * @returns Observable of array of loaded processes. Array is emitted only when every process finished loading.
     * If any of the processes failed to load it is skipped from the result.
     */
    getNets(identifiers, forceLoad = false) {
        if (identifiers.length === 0) {
            return of([]);
        }
        return forkJoin(identifiers.map(i => {
            return this.getNet(i, forceLoad);
        })).pipe(map(nets => nets.filter(n => !!n)), tap(nets => {
            if (nets.length === 0) {
                return;
            }
            this._netsSubject.next(this._nets);
            nets.forEach(n => this._netUpdate.next(n));
        }));
    }
    /**
     * Get process net by identifier.
     * @param identifier Identifier of the requested process. See {@link Net}
     * @param forceLoad when set to `true` cached processes will be ignored and a backend request will always be made
     * (unless another is already pending)
     * @returns Observable of [the process]{@link Net}. Process is loaded from a server or picked from the cache.
     */
    getNet(identifier, forceLoad = false) {
        if (!forceLoad && this._nets[identifier]) {
            this._log.debug(`returning net '${identifier}' from cache`);
            return of(this._nets[identifier]);
        }
        if (this._requestCache.has(identifier)) {
            this._log.debug(`returning net '${identifier}' from pending requests`);
            return this._requestCache.get(identifier).asObservable();
        }
        this._log.debug(`retrieving net '${identifier}' from backend`);
        this._requestCache.set(identifier, new ReplaySubject(1));
        return this.loadNet(identifier).pipe(tap(net => {
            const s = this._requestCache.get(identifier);
            if (s) {
                s.next(net);
                s.complete();
                this._requestCache.delete(identifier);
            }
            if (net) {
                this.publishUpdate(net);
            }
        }));
    }
    /**
     * Get process net referencess according to provided identifiers.
     *
     * `PetriNetReferences` are not cached.
     * Each call will result in a new backend request unless a request for the same net is already pending.
     * @param identifiers Array of identifiers of requested processes. See {@link Net}
     * @returns Observable of array of loaded processes. Array is emitted only when every process finished loading.
     * If any of the processes failed to load it is skipped from the result.
     */
    getNetReferences(identifiers) {
        if (identifiers.length === 0) {
            return of([]);
        }
        return forkJoin(identifiers.map(i => {
            return this.getNetReference(i);
        })).pipe(map(references => references.filter(r => !!r)));
    }
    /**
     * Get process net reference by identifier.
     *
     * `PetriNetReferences` are not cached.
     * Each call will result in a new backend request unless a request for the same net is already pending.
     * @param identifier Identifier of the requested process. See {@link Net}
     * @returns Observable of [the process]{@link Net}. Process is loaded from a server or picked from the cache.
     */
    getNetReference(identifier) {
        if (this._referenceRequestCache.has(identifier)) {
            return this._referenceRequestCache.get(identifier).asObservable();
        }
        this._referenceRequestCache.set(identifier, new ReplaySubject(1));
        return this.loadNetReference(identifier).pipe(switchMap(ref => {
            if (ref !== null) {
                return forkJoin({ net: of(ref), roles: this.loadRoles(ref.stringId) });
            }
            else {
                return of({ net: ref, roles: undefined });
            }
        }), map(result => {
            if (result.net === null) {
                return null;
            }
            return {
                ...result.net,
                roles: result.roles.processRoles,
                permissions: result.roles.permissions
            };
        }), tap(reference => {
            const s = this._referenceRequestCache.get(identifier);
            if (s) {
                s.next(reference);
                s.complete();
                this._referenceRequestCache.delete(identifier);
            }
        }));
    }
    /**
     * Remove cached process by identifier. If the process is not found nothing happens.
     * @param identifier Process identifier
     */
    removeNet(identifier) {
        if (!this._nets[identifier]) {
            return;
        }
        delete this._nets[identifier];
        this.publishUpdate();
    }
    /**
     * Update cached process object. If the process is not found nothing happens. Process object is replaced.
     * @param net Updated process object.
     */
    updateNet(net) {
        if (!this._nets[net.identifier]) {
            return;
        }
        if (!net.transitions.length || !net.transactions.length || !net.roles.length) {
            forkJoin({
                transitions: this.loadTransitions(net.stringId),
                transactions: this.loadTransactions(net.stringId),
                roles: this.loadRoles(net.stringId)
            }).subscribe(values => {
                net.transitions = values.transitions;
                net.transactions = values.transactions;
                net.roles = values.roles.processRoles;
                net.permissions = values.roles.permissions;
                this._nets[net.identifier] = net;
                this.publishUpdate(net);
            }, error => {
                this._log.error('Failed to load part of Petri net ' + net.title, error);
                // throw error;
            });
        }
        else {
            this._nets[net.identifier] = net;
            this.publishUpdate(net);
        }
    }
    /**
     * Stream of change of the process cache.
     * New state of cache is emitted every time the cached changed by inserting, updating or deleting a process.
     * @returns Observable of whole updated cache.
     */
    get nets$() {
        return this._netsSubject.asObservable();
    }
    /**
     * Stream of change in the process cache.
     * New state of cache is emitted every time the cached changed by inserting, updating or deleting a process.
     * @returns Observable of updated or newly loaded process net.
     */
    get netUpdate$() {
        return this._netUpdate.asObservable();
    }
    areNetsLoaded(identifiers) {
        return identifiers.every(identifier => this.isNetLoaded(identifier));
    }
    isNetLoaded(identifier) {
        return !!this._nets[identifier];
    }
    loadNet(id) {
        const returnNet = new ReplaySubject(1);
        this.loadNetReference(id).subscribe(net => {
            if (net === null) {
                this._log.debug(`loadNetReference for net '${id}' returned null`);
                returnNet.next(null);
                returnNet.complete();
                return;
            }
            this._log.debug(`loading net '${id}' transitions, transactions and roles`);
            forkJoin({
                transitions: this.loadTransitions(net.stringId),
                transactions: this.loadTransactions(net.stringId),
                roles: this.loadRoles(net.stringId)
            }).subscribe(values => {
                this._nets[net.identifier] = new Net(net);
                this._nets[net.identifier].transitions = values.transitions;
                this._nets[net.identifier].transactions = values.transactions;
                this._nets[net.identifier].roles = values.roles.processRoles;
                this._nets[net.identifier].permissions = values.roles.permissions;
                returnNet.next(this._nets[net.identifier]);
                returnNet.complete();
            }, error => {
                this._log.error('Failed to load part of Petri net ' + net.title, error);
                returnNet.next(this._nets[net.identifier]);
                returnNet.complete();
                // throw error;
            });
        });
        return returnNet.asObservable();
    }
    loadNetReference(id) {
        const returnReference = new ReplaySubject(1);
        this._petriNetResource.getOne(id, this.LATEST).subscribe(reference => {
            returnReference.next(!reference.stringId ? null : reference);
            returnReference.complete();
            return;
        }, error => {
            this._log.error('Failed to load Petri net', error);
            returnReference.next(null);
            returnReference.complete();
        });
        return returnReference.asObservable();
    }
    loadTransitions(id) {
        return this._petriNetResource.getPetriNetTransitions(id).pipe(map(trans => {
            if (trans instanceof Array) {
                return trans;
            }
            return [];
        }), tap(trans => {
            if (trans.length === 0) {
                this._log.info('References for transitions of net ' + id + ' were not found!');
            }
        }), catchError(err => {
            this._log.error('References for transitions of net ' + id + ' failed to load!', err);
            throw err;
        }));
    }
    loadTransactions(id) {
        return this._petriNetResource.getPetriNetTransactions(id).pipe(map(trans => {
            if (trans instanceof Array) {
                return trans;
            }
            return [];
        }), tap(trans => {
            if (trans.length === 0) {
                this._log.info('References for transactions of net ' + id + ' were not found!');
            }
        }), catchError(err => {
            this._log.error('References for transactions of net ' + id + ' failed to load!', err);
            throw err;
        }));
    }
    loadRoles(id) {
        return this._petriNetResource.getPetriNetRoles(id).pipe(tap(rolesAndPerm => {
            if (rolesAndPerm.processRoles.length === 0) {
                this._log.info('Roles reference of net ' + id + ' were not found!');
            }
        }), catchError(err => {
            this._log.error('Roles reference of net ' + id + ' failed to load!', err);
            throw err;
        }));
    }
    publishUpdate(net) {
        this._netsSubject.next(this._nets);
        if (net) {
            this._netUpdate.next(net);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProcessService, deps: [{ token: PetriNetResourceService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProcessService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProcessService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: PetriNetResourceService }, { type: LoggerService }] });

/**
 * This service holds the information about the allowed nets for a specific view.
 */
class AllowedNetsService {
    _processService;
    _allowedNets$;
    _allowedNets;
    _allowedNetsIdentifiers$;
    _allowedNetsIdentifiers;
    subAllowedNets;
    /**
     * The service converts identifiers to {@link Net} objects on its own.
     *
     * When a new set of allowed nets is emitted into the input Observable the allowed nets for the view are updated.
     *
     * @param allowedNetIdentifiers$ identifiers of the allowed nets
     * @param _processService process service
     */
    constructor(allowedNetIdentifiers$, _processService) {
        this._processService = _processService;
        this._allowedNets$ = new ReplaySubject(1);
        this._allowedNetsIdentifiers$ = new ReplaySubject(1);
        this.subAllowedNets = allowedNetIdentifiers$.pipe(tap(identifiers => {
            this._allowedNetsIdentifiers$.next(identifiers);
            this._allowedNetsIdentifiers = [...identifiers];
        }), map(identifiers => this._processService.getNets(identifiers)), switchMap(nets => nets)).subscribe(nets => {
            this._allowedNets$.next(nets);
            this._allowedNets = [...nets];
        });
    }
    /**
     * Emits any time the allowed nets change. The first emission comes after the source observable emits for the first time.
     *
     * If a value has already been emitted, subscribing to the stream will provide the last emitted value.
     */
    get allowedNets$() {
        return this._allowedNets$.asObservable();
    }
    /**
     * @returns the current value of the allowed nets. If allowed nets are yet to bee set, `undefined` is returned.
     */
    get allowedNets() {
        return this._allowedNets;
    }
    /**
     * Emits any time the allowed nets change. The first emission comes after the source observable emits for the first time.
     *
     * If a value has already been emitted, subscribing to the stream will provide the last emitted value.
     */
    get allowedNetsIdentifiers$() {
        return this._allowedNetsIdentifiers$.asObservable();
    }
    /**
     * @returns the current value of the allowed nets identifiers. If allowed nets are yet to bee set, `undefined` is returned.
     */
    get allowedNetsIdentifiers() {
        return this._allowedNetsIdentifiers;
    }
    ngOnDestroy() {
        this._allowedNets$.complete();
        this._allowedNetsIdentifiers$.complete();
        this.subAllowedNets.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsService, deps: [{ token: i1$5.Observable }, { token: ProcessService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$5.Observable }, { type: ProcessService }] });

/**
 * Can be used to generate {@link Category} class instances.
 *
 * Can only generate instances of Categories that take {@link OperatorService} as their first argument, {@link LoggerService} as their
 * second argument and {@link OptionalDependencies} object is passed as the third. `null` is passed as the third argument otherwise.
 * You can extend this class to support your Categories, but make sure that an injection token for this classes name
 * is still provided for the library components that use it.
 */
class CategoryFactory {
    _operators;
    _log;
    _searchIndexResolverService;
    _categoryResolver;
    _allowedNetsService;
    _userResourceService;
    _optionalDependencies;
    constructor(_operators, _log, _searchIndexResolverService, _categoryResolver, _allowedNetsService, _userResourceService) {
        this._operators = _operators;
        this._log = _log;
        this._searchIndexResolverService = _searchIndexResolverService;
        this._categoryResolver = _categoryResolver;
        this._allowedNetsService = _allowedNetsService;
        this._userResourceService = _userResourceService;
        this._optionalDependencies = {
            categoryFactory: this,
            searchIndexResolver: this._searchIndexResolverService,
            allowedNetsService: this._allowedNetsService,
            userResourceService: this._userResourceService,
        };
    }
    /**
     * Create an instance of {@link Category} class.
     * @param categoryClass the class that should be instantiated
     * @returns a new instance of the provided class
     */
    get(categoryClass) {
        return new categoryClass(this._operators, this._log, this._optionalDependencies);
    }
    /**
     * Create an instance of {@link Category} class and preselects it's default operator.
     * @param categoryClass the class that should be instantiated
     * @returns a new instance of the provided class with the default operator selected
     */
    getWithDefaultOperator(categoryClass) {
        const category = this.get(categoryClass);
        category.selectDefaultOperator();
        return category;
    }
    /**
     * Attempts to deserialize the provided `string` into a {@link Category} class,
     * create an instance from it and preselect it's default operator.
     * @param serializedCategoryClass the serialized form of a {@Link Category} class
     * @returns a new instance of the provided class with the default operator selected
     */
    getByNameWithDefaultOperator(serializedCategoryClass) {
        return this.getWithDefaultOperator(this._categoryResolver.toClass(serializedCategoryClass));
    }
    /**
     * Reconstructs a {@link Category} from saved metadata. The category is NOT in its initial state.
     * It is in its final state instead and immediately provides a search predicate.
     * @param metadata - the saved metadata generated by a previous {@link Category} instance
     * @returns an Observable, that emits the deserialized Category, once the deserialization finishes
     */
    getFromMetadata(metadata) {
        const result$ = new ReplaySubject(1);
        const category = this.get(this._categoryResolver.toClass(metadata.category));
        category.loadFromMetadata(metadata).subscribe(() => {
            result$.next(category);
            result$.complete();
        });
        return result$.asObservable();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryFactory, deps: [{ token: OperatorService }, { token: LoggerService }, { token: SearchIndexResolverService }, { token: CategoryResolverService }, { token: AllowedNetsService }, { token: UserResourceService, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryFactory });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CategoryFactory, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: OperatorService }, { type: LoggerService }, { type: SearchIndexResolverService }, { type: CategoryResolverService }, { type: AllowedNetsService }, { type: UserResourceService, decorators: [{
                    type: Optional
                }] }] });

/**
 * Holds information about the filter that is currently applied to the view component, that provides this services.
 */
class SearchService {
    _log;
    _categoryFactory;
    /**
     * {@link Filter} that is applied to the view, even if the user doesn't search anything.
     */
    _baseFilter;
    /**
     * Holds the {@link Predicate} tree root for user search queries.
     */
    _rootPredicate;
    /**
     * Holds the {@link Filter} that is currently being applied to the view.
     */
    _activeFilter;
    /**
     * Holds the full text {@link Filter} if set, `undefined` otherwise.
     */
    _fullTextFilter;
    /**
     * The index of a removed {@link Predicate} is emmited into this stream
     */
    _predicateRemoved$;
    _loadingFromMetadata$;
    /**
     * The `rootPredicate` uses this stream to notify the search service about changes to the held query
     */
    _predicateQueryChanged$;
    subFilter;
    /**
     * The {@link Predicate} tree root uses an [AND]{@link BooleanOperator#AND} operator to combine the Predicates.
     * @param _log {@link LoggerService}
     * @param _categoryFactory a {@link CategoryFactory} instance. This dependency is optional.
     * It is required if we want to load predicate filter from saved metadata
     * @param baseFilter Filter that should be applied to the view when no searching is being performed.
     * Injected trough the {@link NAE_BASE_FILTER} injection token.
     */
    constructor(_log, _categoryFactory, baseFilter) {
        this._log = _log;
        this._categoryFactory = _categoryFactory;
        if (baseFilter.filter instanceof Filter) {
            this._baseFilter = baseFilter.filter.clone();
        }
        else if (baseFilter.filter instanceof Observable) {
            this._baseFilter = new SimpleFilter('', baseFilter.filterType, { process: { identifier: '__EMPTY__' } });
        }
        else {
            throw new Error('Unsupported BaseFilter input! You must provide the NAE_BASE_FILTER injection token with proper values!');
        }
        this._predicateQueryChanged$ = new Subject();
        this._rootPredicate = new EditableClausePredicateWithGenerators(BooleanOperator.AND, this._predicateQueryChanged$, undefined, true);
        this._activeFilter = new BehaviorSubject(this._baseFilter);
        this._predicateRemoved$ = new Subject();
        this._loadingFromMetadata$ = new LoadingEmitter();
        if (baseFilter.filter instanceof Observable) {
            this.subFilter = baseFilter.filter.subscribe((filter) => {
                this._baseFilter = filter.clone();
                this.updateActiveFilter();
            });
        }
        this.predicateQueryChanged$.subscribe(() => {
            this.updateActiveFilter();
        });
    }
    ngOnDestroy() {
        this._predicateRemoved$.complete();
        this._activeFilter.complete();
        this._predicateQueryChanged$.complete();
        if (this.subFilter) {
            this.subFilter.unsubscribe();
        }
        this._loadingFromMetadata$.complete();
        this._rootPredicate.destroy();
    }
    /**
     * @returns the Filter that is currently applied to the view
     */
    get activeFilter() {
        return this._activeFilter.getValue();
    }
    /**
     * @returns an `Observable` that updates every time the active Filter changes.
     */
    get activeFilter$() {
        return this._activeFilter.asObservable();
    }
    /**
     * @returns `true` if a filter other than the base filter is currently applied.
     * Returns `false` if only the base filter is currently applied.
     */
    get additionalFiltersApplied() {
        return !this._rootPredicate.query.isEmpty || !!this._fullTextFilter;
    }
    /**
     * @returns `true` if any visible predicates are applied.
     * Returns `false` if there are no predicates, or if there are only hidden predicates applied
     */
    get hasVisiblePredicates() {
        for (const predicate of this._rootPredicate.getPredicateMap().values()) {
            if (predicate.isVisible) {
                return true;
            }
        }
        return false;
    }
    /**
     * @returns a copy of the base filter
     */
    get baseFilter() {
        return this._baseFilter.clone();
    }
    /**
     * @returns an Observable that emits the index of the removed predicate whenever a predicate is removed
     */
    get predicateRemoved$() {
        return this._predicateRemoved$.asObservable();
    }
    /**
     * @returns the root predicate of the search service, that can be used to generate search requests with custom queries
     */
    get rootPredicate() {
        return this._rootPredicate;
    }
    /**
     * @returns the type of the filter held in this search service instance
     */
    get filterType() {
        return this.baseFilter.type;
    }
    /**
     * @returns whether the search service is currently loading its state from metadata or not.
     *
     * See [loadFromMetadata()]{@link SearchService#loadFromMetadata}
     */
    get loadingFromMetadata() {
        return this._loadingFromMetadata$.value;
    }
    /**
     * @returns an `Observable` that emits `true` if the search service is currently loading its state from metadata,
     * emits `false` otherwise.
     *
     * See [loadFromMetadata()]{@link SearchService#loadFromMetadata}
     */
    get loadingFromMetadata$() {
        return this._loadingFromMetadata$.asObservable();
    }
    /**
     * @returns an Observable that emits whenever the root predicates query changes
     */
    get predicateQueryChanged$() {
        return this._predicateQueryChanged$.asObservable().pipe(map(() => this._rootPredicate.query), distinctUntilChanged((prev, curr) => prev && prev.equals(curr)));
    }
    /**
     * Adds a {@link Predicate} to the Predicate root and updates the active Filter.
     *
     * Predicates added this way will not be visible in the search GUI.
     * If you want to make sure your predicates are visible (and editable)
     * use the [addGeneratedLeafPredicate()]{@link SearchService#addGeneratedLeafPredicate} method instead.
     * @param newPredicate Predicate that should be added to the search queries.
     * @returns the index of the added Predicate
     */
    addPredicate(newPredicate) {
        return this._rootPredicate.addPredicate(newPredicate, false);
    }
    /**
     * Adds a new hidden branch of the predicate tree with a singular leaf node containing the provided Query.
     *
     * This can be used to add predicates to the search tree (think header search),
     * which can be made visible and editable in the search GUI later.
     * @param generator the generator that is in such state, that it generates the Query, that should be added as branch/leaf.
     * If the generator doesn't currently generate a query a node with an empty query will be added.
     */
    addGeneratedLeafPredicate(generator) {
        const branchId = this._rootPredicate.addNewClausePredicate(BooleanOperator.OR, false);
        const branch = this._rootPredicate.getPredicateMap().get(branchId).getWrappedPredicate();
        branch.addNewPredicateFromGenerator(generator);
        return branchId;
    }
    /**
     * Removes the {@link Predicate} object from the provided index. If the index is invalid does nothing.
     * Updates the the active Filter if the Predicate tree was affected.
     * @param index index of the Predicate that should be removed
     * @param clearInput whether the input, that corresponds to the predicate should be cleared
     */
    removePredicate(index, clearInput = true) {
        if (this._rootPredicate.removePredicate(index)) {
            this._predicateRemoved$.next({ index, clearInput });
        }
    }
    /**
     * Removes all {@link Predicate} objects that contribute to the search. Updates the active Filter if it was affected.
     *
     * @param clearHidden whether the hidden predicates should be cleared as well
     */
    clearPredicates(clearHidden = false) {
        if (this._rootPredicate.getPredicateMap().size > 0) {
            for (const [id, predicate] of this._rootPredicate.getPredicateMap().entries()) {
                if (clearHidden || predicate.isVisible) {
                    this.removePredicate(id);
                }
            }
            this.updateActiveFilter();
        }
    }
    /**
     * Adds a {@link Filter} with the [fullText]{@link CaseSearchRequestBody#fullText} attribute set to the provided value.
     * If full text filter is already set, it will be replaced.
     * @param searchedSubstring value that should be searched on all full text fields
     */
    setFullTextFilter(searchedSubstring) {
        const whiteSpacedSubstring = searchedSubstring.replace(/ /g, '\\ ');
        this._fullTextFilter = new SimpleFilter('', this._baseFilter.type, { fullText: whiteSpacedSubstring });
        this.updateActiveFilter();
    }
    /**
     * Clears the full text filter (if set). If the full text filter is not set, does nothing.
     */
    clearFullTextFilter() {
        const wasFulltextSet = this._fullTextFilter !== undefined;
        this._fullTextFilter = undefined;
        if (wasFulltextSet) {
            this.updateActiveFilter();
        }
    }
    /**
     * Shows the predicates with the given ids. Skips ids that don't exist.
     * @param predicateIds the ids of the predicates that should be shown.
     */
    show(predicateIds) {
        this._rootPredicate.showPredicates(predicateIds);
    }
    /**
     * Reads the current query from the predicate tree, combines it with the base Filter and full text Filter (if set)
     * and updates the active Filter.
     */
    updateActiveFilter() {
        let additionalFilter;
        if (!this._rootPredicate.query.isEmpty) {
            additionalFilter = new SimpleFilter('', this._baseFilter.type, { query: this._rootPredicate.query.value });
        }
        if (this._fullTextFilter) {
            if (additionalFilter) {
                additionalFilter = additionalFilter.merge(this._fullTextFilter, MergeOperator.AND);
            }
            else {
                additionalFilter = this._fullTextFilter;
            }
        }
        if (additionalFilter) {
            this._activeFilter.next(this._baseFilter.merge(additionalFilter, MergeOperator.AND));
        }
        else {
            this._activeFilter.next(this._baseFilter.clone());
        }
    }
    /**
     * @returns `undefined` if the predicate tree contains no complete query.
     * Otherwise returns the serialized form of the completed queries in the predicate tree.
     */
    createPredicateMetadata() {
        return this._rootPredicate.createGeneratorMetadata();
    }
    /**
     * Replaces the current predicate filter by the one corresponding to the provided generator metadata.
     *
     * The {@link CategoryFactory} instance must be provided for this service if we want to use this method. Logs an error and does nothing.
     *
     * The `filterType` of this search service must match the `filterType` of the provided metadata. Otherwise an error is thrown.
     *
     * @param metadata the serialized state of the predicate tree that should be restored to this search service
     */
    loadFromMetadata(metadata) {
        if (this._categoryFactory === null) {
            this._log.error('A CategoryFactory instance must be provided for the SearchService'
                + ' if you want to reconstruct a predicate filter from saved metadata');
            return;
        }
        if (metadata.filterType !== this.filterType) {
            throw Error(`The filter type of the provided metadata (${metadata.filterType}) does not match the filter type of the search service (${this.filterType})!`);
        }
        this.clearPredicates(true);
        this._loadingFromMetadata$.on();
        const generatorObservables = [];
        if (Array.isArray(metadata.predicateMetadata)) {
            for (const clause of metadata.predicateMetadata) {
                const branchId = this._rootPredicate.addNewClausePredicate(BooleanOperator.OR);
                const branchPredicate = this._rootPredicate.getPredicateMap().get(branchId)
                    .getWrappedPredicate();
                for (const predicate of clause) {
                    const localBranchReference = branchPredicate;
                    generatorObservables.push(this._categoryFactory.getFromMetadata(predicate).pipe(tap(generator => {
                        localBranchReference.addNewPredicateFromGenerator(generator);
                    })));
                }
            }
        }
        forkJoin(generatorObservables).subscribe(() => {
            this._loadingFromMetadata$.off();
            this.updateActiveFilter();
        });
    }
    /**
     * @returns an Array of filter text segments that correspond to the currently displayed completed predicates
     */
    createFilterTextSegments() {
        return this._rootPredicate.createFilterTextSegments();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchService, deps: [{ token: LoggerService }, { token: CategoryFactory, optional: true }, { token: NAE_BASE_FILTER }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SearchService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LoggerService }, { type: CategoryFactory, decorators: [{
                    type: Optional
                }] }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_BASE_FILTER]
                }] }] });

class AbstractFilterFieldContentComponent {
    _filterField;
    _fieldSearchService;
    filterLoaded = false;
    _searchServiceSub;
    constructor(_filterField, _fieldSearchService) {
        this._filterField = _filterField;
        this._fieldSearchService = _fieldSearchService;
        this._fieldSearchService.loadFromMetadata(this._filterField.filterMetadata);
        this._searchServiceSub = this._fieldSearchService.loadingFromMetadata$.pipe(filter(loading => !loading), take(1)).subscribe(() => {
            this.filterLoaded = true;
        });
    }
    get editable() {
        return !!this._filterField.behavior.editable;
    }
    ngOnDestroy() {
        if (this._searchServiceSub && !this._searchServiceSub.closed) {
            this._searchServiceSub.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldContentComponent, deps: [{ token: NAE_FILTER_FIELD }, { token: SearchService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterFieldContentComponent, selector: "ncc-abstract-filtercontent-field", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filtercontent-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: FilterField, decorators: [{
                    type: Inject,
                    args: [NAE_FILTER_FIELD]
                }] }, { type: SearchService }] });

var Dashboard;
(function (Dashboard) {
    Dashboard["FILTER_TAB_VIEW_ID"] = "filter-tab-view";
    Dashboard["FILTER_CASE_VIEW_ID"] = "filter-case-view";
    Dashboard["FILTER_TASK_VIEW_ID"] = "filter-task-view";
    Dashboard["FILTER_TAB_VIEW_TITLE_KEY"] = "tabTitle";
    Dashboard["FILTER_TAB_VIEW_ICON_KEY"] = "tabIcon";
    Dashboard["FILTER_TAB_VIEW_COMPONENT_ID"] = "filter-tab-view";
})(Dashboard || (Dashboard = {}));

class AbstractFilterFieldTabViewComponent {
    _registry;
    _filterField;
    _tabContentComponent;
    _tabViewComponent;
    tabs;
    constructor(_registry, _filterField, _tabContentComponent, _tabViewComponent) {
        this._registry = _registry;
        this._filterField = _filterField;
        this._tabContentComponent = _tabContentComponent;
        this._tabViewComponent = _tabViewComponent;
        this.tabs = [
            {
                label: {
                    text: this._filterField.filterMetadata[Dashboard.FILTER_TAB_VIEW_TITLE_KEY] ?? this._filterField.title,
                    icon: this._filterField.filterMetadata[Dashboard.FILTER_TAB_VIEW_ICON_KEY] ?? 'home'
                },
                canBeClosed: false,
                tabContentComponent: this.tabContentComponent(),
                injectedObject: {
                    tabViewComponent: this.tabViewComponent(),
                    tabViewOrder: 0,
                }
            }
        ];
    }
    tabContentComponent() {
        let tabContentComponent = this._tabContentComponent;
        if (!!this._registry.getType(Dashboard.FILTER_CASE_VIEW_ID)) {
            tabContentComponent = this._registry.getType(Dashboard.FILTER_CASE_VIEW_ID);
        }
        return tabContentComponent;
    }
    ;
    tabViewComponent() {
        let tabViewComponent = this._tabViewComponent;
        if (!!this._registry.getType(Dashboard.FILTER_TASK_VIEW_ID)) {
            tabViewComponent = this._registry.getType(Dashboard.FILTER_TASK_VIEW_ID);
        }
        return tabViewComponent;
    }
    ;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldTabViewComponent, deps: [{ token: ComponentRegistryService }, { token: FilterField }, { token: i0.Type }, { token: i0.Type }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterFieldTabViewComponent, selector: "ncc-abstract-filter-field-tab-view", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldTabViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-field-tab-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: ComponentRegistryService }, { type: FilterField }, { type: i0.Type }, { type: i0.Type }] });

class AbstractFilterFieldTabViewContentComponent extends AbstractFilterFieldContentComponent {
    registry;
    injector;
    componentPortal;
    constructor(registry, injector, filterField, searchService) {
        super(filterField, searchService);
        this.registry = registry;
        this.injector = injector;
    }
    ngAfterViewInit() {
        this.createFilter();
        this._filterField.valueChanges().subscribe(() => {
            this.createFilter();
        });
    }
    createFilter() {
        const portalInjector = Injector.create({
            providers: [
                {
                    provide: NAE_FILTER_FIELD,
                    useValue: this._filterField
                },
                {
                    provide: NAE_BASE_FILTER,
                    useValue: { filter: SimpleFilter.fromQuery({ query: this._filterField.value }, FilterType.CASE) }
                },
                {
                    provide: NAE_VIEW_ID_SEGMENT,
                    useValue: this._filterField.parentCaseId + '_' + this._filterField.parentTaskId + '_' + this._filterField.stringId
                },
                { provide: ViewIdService, useClass: ViewIdService }
            ],
            parent: this.injector
        });
        this.componentPortal = this.registry.get(Dashboard.FILTER_TAB_VIEW_ID, portalInjector);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldTabViewContentComponent, deps: [{ token: ComponentRegistryService }, { token: i0.Injector }, { token: NAE_FILTER_FIELD }, { token: SearchService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterFieldTabViewContentComponent, selector: "ncc-abstract-filter-field-tab-view-content", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterFieldTabViewContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-field-tab-view-content',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: ComponentRegistryService }, { type: i0.Injector }, { type: FilterField, decorators: [{
                    type: Inject,
                    args: [NAE_FILTER_FIELD]
                }] }, { type: SearchService }] });

class AbstractFilterDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _parentInjector;
    initialized;
    portal;
    constructor(_parentInjector, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._parentInjector = _parentInjector;
    }
    ngOnInit() {
        const providers = [
            { provide: NAE_FILTER_FIELD, useValue: this.dataField }
        ];
        const injector = Injector.create({ providers, parent: this._parentInjector });
        this.portal = new ComponentPortal(this.getFilterContentComponent(), null, injector);
        this.initialized = true;
    }
    get editable() {
        return !!this.dataField.behavior.editable;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterDefaultFieldComponent, deps: [{ token: i0.Injector }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterDefaultFieldComponent, selector: "ncc-abstract-filter-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-default-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractI18nFieldComponent extends AbstractDataFieldComponent {
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractI18nFieldComponent, selector: "ncc-abstract-i18n-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-i18n-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class LanguageIconsService {
    _domSanitizer;
    _languageIcons;
    constructor(_domSanitizer) {
        this._domSanitizer = _domSanitizer;
        /* eslint-disable */
        /* tslint:disable */
        this._languageIcons = {
            xx: {
                languageName: 'Default',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" stroke="rgb(67.843137%,70.980392%,74.117647%)" stroke-width=".04" class="language-svg-icon"><path d="M.02.02h23.957v17.957H.02zm0 0" fill-rule="evenodd" fill="rgb(100%,100%,100%)"/><g fill="none"><path d="M.02.02L23.98 17.98"/><path d="M23.98.02L.02 17.98"/></g></svg>')
            },
            sq: {
                languageName: 'Albanian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(89.411765%,11.764706%,12.54902%)"/><g fill="rgb(0%,0%,0%)"><path d="M10.199 3.5c-.172 0-.461.055-.457.188-.488-.078-.535.117-.508.297.047-.07.102-.109.148-.113.063-.012.133.012.203.051s.125.094.18.156c-.172.039-.309.012-.441-.008a.66.66 0 0 1-.215-.09c-.059-.039-.074-.078-.16-.164-.102-.105-.211-.074-.18.086.082.152.211.219.375.25.082.012.199.035.336.035s.285-.016.367 0c-.051.031-.105.086-.219.105s-.281-.066-.387-.09c.012.086.125.168.344.215.359.074.656.133.855.242.156.09.293.207.406.348.176.203.188.367.195.402.039.332-.078.52-.297.578a.45.45 0 0 1-.367-.109c-.074-.082-.137-.223-.117-.449.016-.082.113-.312.031-.355a9.76 9.76 0 0 0-1.211-.566c-.094-.039-.168.09-.199.141a1.88 1.88 0 0 1-1.348-.887c-.16-.285-.426 0-.379.273.07.301.297.516.578.676.281.152.637.305.992.301.195.035.191.285-.039.332-.453 0-.816-.008-1.156-.336-.262-.238-.402.043-.332.199.129.492.828.633 1.539.473.277-.043.113.25.035.254-.297.211-.828.418-1.297 0-.211-.168-.359-.031-.277.207.207.617 1.004.484 1.547.188.137-.082.266.098.098.238-.68.473-1.016.48-1.324.301-.383-.156-.414.27-.187.41.25.152.891.039 1.363-.262.203-.148.211.086.082.18-.559.484-.777.613-1.359.535-.289-.023-.285.332-.059.473.309.188.918-.125 1.387-.52.199-.105.23.066.133.273a2.02 2.02 0 0 1-.816.676c-.262.102-.512.086-.687.027-.215-.078-.242.148-.121.352.07.125.367.16.688.047s.668-.383.906-.691c.203-.184.184.059.086.23-.473.75-.91 1.027-1.48.984-.254-.047-.312.148-.152.336.285.234.637.227.953-.008.273-.262.801-.84 1.078-1.145.195-.156.262 0 .199.313-.051.18-.18.375-.535.512-.242.137-.059.328.121.336.102 0 .305-.121.461-.293.203-.23.219-.387.328-.746.105-.172.297-.09.297.09-.094.359-.168.426-.355.57-.176.168.125.227.227.156.289-.195.395-.453.492-.684.074-.164.277-.086.18.188-.223.652-.598.906-1.246 1.043-.066.012-.105.047-.082.121l.262.266-1.133.297-.555-.367c-.051-.117-.074-.305-.367-.176-.195-.09-.289-.055-.398.039.156 0 .227.043.289.117.082.211.27.234.461.176.125.102.187.184.316.289l-.629-.02c-.223-.238-.398-.227-.555-.039-.125.02-.172.02-.254.164.129-.051.211-.066.266-.008.238.137.391.105.508 0l.656.039c-.082.074-.195.113-.281.18-.34-.098-.52.039-.578.313-.047.109-.062.23-.047.348.031-.113.086-.207.184-.262.301.074.414-.051.434-.23.148-.117.367-.145.512-.266l.43.145c.059.188.199.258.422.207.262.008.219.121.242.207.074-.121.07-.246-.094-.359-.062-.16-.195-.234-.367-.141-.168-.047-.207-.113-.375-.164l1.121-.293.285.258c.059.031.109.039.145 0 .258-.375.375-.703.609-.949.094-.105.211-.242.34-.273.063-.02.141-.008.195.047.047.055.09.156.074.309-.027.215-.078.285-.141.414s-.133.207-.211.309c-.152.199-.355.316-.473.395-.242.152-.34.086-.527.074-.238.027-.297.145-.105.305.184.098.348.109.48.082.113-.023.25-.168.348-.246.105-.125.285.023.16.168-.223.262-.437.434-.711.43-.289.039-.234.199-.047.277.344.141.652-.121.809-.297.121-.133.207-.137.188.07-.121.371-.285.512-.555.531-.215-.023-.219.152-.059.262.359.25.621-.18.746-.434.086-.234.223-.125.234.066 0 .262-.109.465-.422.73L12 14.5l.719-8.023L12 5.211c-.074-.066-.328-.367-.395-.41-.027-.023-.035-.039-.004-.055a1.25 1.25 0 0 1 .168-.035c-.148-.156-.285-.203-.57-.285.07-.031.137-.016.348-.023a1.15 1.15 0 0 0-.508-.383c.16-.113.188-.121.348-.25-.25-.02-.496-.066-.734-.145-.141-.066-.293-.109-.449-.125zm.031.313c.141 0 .227.051.227.109s-.086.109-.227.109-.234-.055-.234-.113.09-.105.234-.105zm0 0"/><path d="M13.801 3.5c.172 0 .461.055.457.188.488-.078.535.117.508.297-.047-.07-.102-.109-.148-.113-.062-.012-.133.012-.203.051s-.125.094-.18.156c.172.039.309.012.441-.008a.66.66 0 0 0 .215-.09c.059-.039.074-.078.16-.164.102-.105.211-.074.18.086-.082.152-.211.219-.375.25-.082.012-.199.035-.336.035s-.285-.016-.367 0c.051.031.105.086.219.105s.281-.066.387-.09c-.012.086-.125.168-.344.215-.359.074-.656.133-.855.242-.156.09-.293.207-.406.348-.176.203-.187.367-.195.402-.039.332.078.52.297.578a.45.45 0 0 0 .367-.109c.074-.082.137-.223.117-.449-.016-.082-.113-.312-.031-.355a9.76 9.76 0 0 1 1.211-.566c.094-.039.168.09.199.141a1.88 1.88 0 0 0 1.348-.887c.16-.285.426 0 .379.273-.07.301-.297.516-.578.676-.281.152-.637.305-.992.301-.195.035-.191.285.039.332.453 0 .816-.008 1.156-.336.262-.238.402.043.332.199-.129.492-.828.633-1.539.473-.277-.043-.113.25-.035.254.297.211.828.418 1.297 0 .211-.168.359-.031.277.207-.207.617-1.004.484-1.547.188-.137-.082-.266.098-.098.238.68.473 1.016.48 1.324.301.383-.156.414.27.188.41-.25.152-.891.039-1.363-.262-.203-.148-.211.086-.082.18.559.484.777.613 1.359.535.289-.023.285.332.059.473-.309.188-.918-.125-1.387-.52-.199-.105-.23.066-.133.273a2.02 2.02 0 0 0 .816.676c.262.102.512.086.688.027.215-.078.242.148.121.352-.07.125-.367.16-.687.047s-.668-.383-.906-.691c-.203-.184-.184.059-.086.23.473.75.91 1.027 1.48.984.254-.047.313.148.152.336-.285.234-.637.227-.953-.008-.273-.262-.801-.84-1.078-1.145-.195-.156-.262 0-.199.313.051.18.18.375.535.512.242.137.059.328-.121.336-.102 0-.305-.121-.461-.293-.203-.23-.219-.387-.328-.746-.105-.172-.297-.09-.297.09.094.359.168.426.355.57.176.168-.125.227-.227.156-.289-.195-.395-.453-.492-.684-.074-.164-.277-.086-.18.188.223.652.598.906 1.246 1.043.066.012.105.047.082.121l-.262.266 1.133.297.555-.367c.051-.117.074-.305.367-.176.195-.09.289-.055.398.039-.156 0-.227.043-.289.117-.082.211-.27.234-.461.176-.125.102-.187.184-.316.289l.629-.02c.223-.238.398-.227.555-.039.125.02.172.02.254.164-.129-.051-.211-.066-.266-.008-.238.137-.391.105-.508 0l-.656.039c.082.074.195.113.281.18.34-.098.52.039.578.313.047.109.063.23.047.348-.031-.113-.086-.207-.184-.262-.301.074-.414-.051-.434-.23-.148-.117-.367-.145-.512-.266l-.43.145c-.059.188-.199.258-.422.207-.262.008-.219.121-.242.207-.074-.121-.07-.246.094-.359.063-.16.195-.234.367-.141.168-.047.207-.113.375-.164l-1.121-.293-.285.258c-.059.031-.109.039-.145 0-.258-.375-.375-.703-.609-.949-.094-.105-.211-.242-.34-.273-.062-.02-.141-.008-.195.047-.047.055-.09.156-.074.309.027.215.078.285.141.414s.133.207.211.309c.152.199.355.316.473.395.242.152.34.086.527.074.238.027.297.145.105.305-.184.098-.348.109-.48.082-.113-.023-.25-.168-.348-.246-.105-.125-.285.023-.16.168.223.262.438.434.711.43.289.039.234.199.047.277-.344.141-.652-.121-.809-.297-.121-.133-.207-.137-.187.07.121.371.285.512.555.531.215-.023.219.152.059.262-.359.25-.621-.18-.746-.434-.086-.234-.223-.125-.234.066 0 .262.109.465.422.73L12 14.5l-.719-8.023L12 5.211c.074-.066.328-.367.395-.41.027-.023.035-.039.004-.055a1.25 1.25 0 0 0-.168-.035c.148-.156.285-.203.57-.285-.07-.031-.137-.016-.348-.023a1.15 1.15 0 0 1 .508-.383c-.16-.113-.187-.121-.348-.25.25-.02.496-.066.734-.145.141-.066.293-.109.449-.125zm-.031.313c-.141 0-.227.051-.227.109s.086.109.227.109.234-.055.234-.113-.09-.105-.234-.105zm0 0"/></g></svg>')
            },
            ar: {
                languageName: 'Arabic',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.ar-B{stroke:rgb(75.294118%,57.647059%,0%)}.ar-C{fill:rgb(100%,100%,100%)}.ar-D{stroke-width:.039}.ar-E{fill:rgb(75.294118%,57.647059%,0%)}.ar-F{stroke-width:.036}.ar-G{stroke-linejoin:round}.ar-H{stroke-width:.033}.ar-I{stroke-width:.027}]]></style><path d="M0 12h24v6H0zm0 0" fill="rgb(0%,0%,0%)"/><path d="M0 6h24v6H0zm0 0" class="ar-C"/><path d="M0 0h24v6H0zm0 0" fill="rgb(80.784314%,6.666667%,14.901961%)"/><path d="M12.023 9.07l2.055 1.91-.145-3.465c-.023-.527-.48-.406-.812-.215-.332.215-.719.215-1.121.074-.406.141-.789.141-1.121-.074-.332-.191-.789-.313-.812.215l-.145 3.465zm0 0" class="ar-B ar-C ar-D ar-G"/><g class="ar-E"><path d="M10.305 7.395l-.145 3.371-.238.215.145-3.465a.81.81 0 0 1 .238-.121zm.289.242l-.121 2.816-.238.246.145-3.254c.047.047.188.164.215.191zm.262.215l-.094 2.352-.195.188.121-2.68.168.141zm.285.121l-.094 2.004-.191.152.094-2.23c.047.023.141.074.191.074zm.262 0l-.066 1.668-.195.191.074-1.84c.043 0 .168 0 .188-.02zm2.292-.578l.145 3.371.238.215-.145-3.465a.81.81 0 0 0-.238-.121zm-.289.242l.121 2.816.238.246-.145-3.254c-.047.047-.187.164-.215.191zm-.262.215l.094 2.352.195.188-.121-2.68-.168.141zm-.285.121l.094 2.004.191.152-.094-2.23c-.047.023-.141.074-.191.074zm-.262 0l.066 1.668.195.191-.074-1.84c-.043 0-.168 0-.187-.02zm0 0"/><path d="M12.098 9.449l.285 1.316-.094.094-.102-.074-.16-1.172.07 1.172-.098.121-.094-.121.07-1.172-.164 1.172-.102.074-.094-.094.285-1.312h.195zm0 0" class="ar-B ar-H"/></g><g class="ar-G ar-B"><path d="M11.355 8.875l-.574 2.031.789.117.332-1.527zm0 0" class="ar-C ar-F"/><g fill="none" class="ar-D"><path d="M11.164 9.57l.07.164.371-.352"/><path d="M11.426 9.148l.078.73.234-.313m-.094.121l.129.449m.051-.164l-.262.395m.082.398l-.086-.398-.07-.402-.18.238-.074-.273-.246.254.125.453.172-.281.094.289.18-.277m-.61.492l.16-.223.102.344.145-.242.094.289"/></g><path d="M12.645 8.875l.574 2.031-.789.117-.332-1.527zm0 0" class="ar-C ar-F"/><g fill="none" class="ar-D"><path d="M12.836 9.57l-.07.164-.371-.352"/><path d="M12.574 9.148l-.078.73-.234-.313m.094.121l-.129.449m-.051-.164l.262.395m-.082.398l.086-.398.07-.402.18.238.074-.273.246.254-.125.453-.172-.281-.094.289-.18-.277m.61.492l-.16-.223-.102.344-.145-.242-.094.289"/></g><g stroke-linecap="round" class="ar-C"><path d="M12 11.813c.602 0 1.172-.047 1.508-.141.141-.027.141-.098.141-.195.141-.047.07-.215.168-.215-.102.031-.117-.164-.238-.141 0-.168-.172-.187-.313-.141-.285.094-.789.117-1.266.117-.48-.023-.977-.023-1.266-.121-.141-.043-.309-.023-.309.145-.121-.023-.141.168-.242.141.102 0 .027.172.168.215 0 .098 0 .168.145.195.332.094.906.141 1.504.141zm0 0" stroke-width=".072"/><g class="ar-D"><path d="M11.188 10.906c.191.027.406.047.574.027.098 0 .168.164-.027.188a2.49 2.49 0 0 1-.57-.023l-.551-.121c-.168-.07-.047-.211.047-.191a3.44 3.44 0 0 0 .527.121zm1.625 0c-.191.027-.406.047-.57.027-.102 0-.172.164.023.188a2.48 2.48 0 0 0 .57-.023l.551-.121c.168-.07.047-.211-.047-.191a3.44 3.44 0 0 1-.527.121zm0 0"/><path d="M10.59 10.813c-.145-.027-.211.141-.164.238.02-.051.121-.051.141-.098.027-.07-.02-.07.027-.141zm.574.441c0-.098.094-.086.094-.18 0-.047-.023-.121-.07-.121s-.094.043-.098.098c-.02.09.074.105.074.203zm.684-.273c.141 0 .125.188.059.285 0-.07-.121-.098-.121-.145 0-.07.109-.07.062-.141zm1.559-.168c.148-.027.215.141.168.238-.02-.051-.121-.051-.141-.098-.027-.07.02-.07-.027-.141zm-.566.437c0-.098-.098-.086-.098-.18 0-.047.027-.121.074-.121s.094.047.094.098c.023.094-.074.105-.074.203zm-.691-.27c-.141 0-.125.188-.059.285 0-.07.121-.098.121-.145 0-.07-.109-.07-.062-.141zm0 0"/></g><path d="M10.641 10.859c.047 0 .121.023.141.047zm.238.074c.023 0 .117.02.164.047zm.855.094c-.043 0-.141 0-.164.023l.164-.027zm-.258 0c-.027-.027-.121-.027-.168 0zm1.883-.168c-.051 0-.102.02-.141.047zm-.234.074a.46.46 0 0 0-.168.047zm-.859.094c.043 0 .141 0 .168.023l-.168-.027zm.258 0c.027-.027.121-.027.168 0zm0 0" class="ar-I"/></g></g><g class="ar-E"><path d="M10.598 11.238c-.012-.004-.023-.02-.016-.031.004-.02.016-.027.027-.023s.027.02.027.023l-.012.023h-.004c0 .008-.012.008-.023.008zm1.652.117c-.008 0-.02-.016-.02-.02 0-.016.02-.031.031-.031l.023.012c.008.008.008.027-.004.035-.004.008-.023.008-.031 0zm.008.074c-.012-.004-.016-.012-.02-.023s0-.02.016-.027l.012-.008.012.008c.012.008.023.012.023.023s-.012.02-.023.023zm0 0"/><path d="M10.734 11.102c-.012 0-.027.012-.035.016-.02.004-.043.016-.062 0-.016-.004-.039 0-.043.023.004.023.027.031.047.02.012-.016.047-.027.051 0-.016.023-.012.051-.023.07 0 .016-.008.027-.016.039-.016 0-.031 0-.043.012-.016 0-.035.008-.047.023s-.023.035-.027.059c.004.02.031.023.051.027l.059.02.094.027.145.031.016.004c.023.004.031-.016.031-.031l.031-.105c.004-.016.012-.047-.016-.039-.012.008-.027.023-.047.023-.027 0-.012.027 0 .039 0 .016-.004.039-.016.051s-.035 0-.055-.004c-.012 0-.051-.008-.035-.031l.016-.055c.008-.016.008-.039.016-.059-.012-.02-.031.008-.047.012s-.047.008-.027.031c.016.012.004.031 0 .051s-.023.031-.043.02c-.02 0-.047-.016-.031-.031l.016-.055.023-.059c0-.023.008-.039.016-.055 0-.023.016-.039.016-.062zm-.113.219v.023c-.016-.012-.016-.016-.008-.02zm-.027.148c-.016-.012-.012-.02.008-.039.012-.004.016-.004.027.004.02.016.02.023 0 .039-.023.004-.027.004-.035 0zm.09.031c-.016-.004-.023-.02-.02-.035s.012-.016.027-.016c.023 0 .023.004.027.023 0 .012 0 .016-.008.02s-.016.008-.023.008zm2.676 0c-.008-.027-.004-.035.016-.043s.027-.008.035.008.008.023-.004.035c-.004.008-.008.008-.023.008s-.02 0-.023-.004zm-2.551.035c-.012 0-.02-.012-.02-.023s0-.012.008-.02l.02-.004h.016c.016.016.02.027.012.039s-.02.012-.039.008zm.656.031l-.008-.012c0-.016 0-.031.008-.051 0-.016 0-.027.004-.043l.012-.086c0-.016 0-.027.008-.039 0-.027 0-.047.004-.066 0-.012.012-.031.02-.02.012.02.027.031.043.047.012.008 0 .02-.012.023s-.016.016-.016.027l-.004.039c0 .02 0 .039-.008.059v.055l-.008.035c0 .012 0 .027-.012.031s-.023.008-.031 0zm.891-.297l-.039.039c-.02.012.012.02.016.031.008.02.008.035.008.055s.008.031.004.051-.023.016-.035.027c-.016.004-.02.02-.031.031-.004.012-.008.031-.012.047s-.008.027 0 .043l.004.004h.016l.043-.004.113-.008.066-.008c.016.004.027-.012.027-.027-.012-.023-.004-.043-.012-.062s-.004-.043-.008-.062-.02-.027-.031-.016-.027.016-.035.027c-.008.02.02.02.023.031l.004.047c.004.016-.016.016-.031.02s-.035.008-.043-.008-.008-.031-.008-.047c0-.031-.008-.055-.008-.082s-.008-.062-.008-.094c0-.016-.004-.035-.023-.035zm-.02.246h.008v.023l-.008.004c-.023-.004-.023-.012-.016-.02zm-.898-.273c-.012 0-.027.02-.039.016-.027.004-.023.031 0 .039v.023c0 .027-.012.047-.012.07s-.008.051-.008.078c-.008.027-.008.055-.012.082s-.02.016-.035.008v-.031c.004-.023-.016-.031-.035-.035s-.031-.016-.027-.031c.012-.012.031-.012.047-.012.031.008.027-.031.012-.047s-.035-.031-.043-.047a.08.08 0 0 0-.035-.062c-.031-.004-.059.023-.07.055-.016 0-.027.004-.039.012-.023.004-.051.039-.023.055.016.004.066.016.043.035-.012.027-.035.027-.059.02-.02 0-.043-.012-.043-.035s-.004-.047-.012-.07-.035-.016-.035.008c-.023.016-.02.039-.004.059.008.02 0 .047-.012.066-.004.031-.035.031-.055.035-.008.008-.047 0-.035.023.023.008.051.012.074.008s.043-.023.059-.043.043-.004.066-.004.047.012.07 0c.004-.012.035-.043.043-.012 0 .023.023.035.047.035s.016.016.016.035c0 .027.02.043.043.055h.023c.023-.012.047-.02.055-.043s.008-.047.016-.066a.45.45 0 0 0 .012-.102c.008-.031.008-.062.012-.098l.008-.066zm-.203.121c.008.027.012.035.023.039v.008l-.027.008c-.012 0-.027-.008-.035-.016l-.004-.004.023-.023c.008-.008.016-.012.02-.012zm1.98-.234c-.016 0-.035.004-.051.008-.031 0-.047.027-.016.047.02.047.047-.012.074-.004.043.004.047.051.055.09 0 .031.012.066.023.098.027.031-.023.055-.043.031s-.062-.047-.082-.02c-.027.012-.031.047-.051.059-.035.012-.039-.035-.059-.051-.02-.027-.051-.031-.078-.039-.012-.027-.008-.07-.031-.09-.023.012-.066.051-.031.074s-.016.039-.027.059c-.027.027-.031.059-.031.09-.039.023-.047-.023-.051-.051s-.031-.023-.051-.012c-.031.012-.043.039-.062.059v.063c.008.027.039.016.055.012.031-.012.043.02.02.039s-.066.008-.059.043h.047c.031-.012.066-.035.07-.07s.051-.027.074-.035.066-.012.078.031c.02.02.066.047.09.016.023-.016.035-.043.031-.07s.039-.023.051-.008c.016.023.063.02.086 0s.031-.047.066-.047l.164-.047c.043-.008-.008-.035-.02-.055-.027-.012-.059.051-.094.02-.031-.02-.027-.059-.039-.094-.008-.043-.004-.09-.035-.121-.016-.02-.047-.023-.074-.023zm-.203.281c.027.016.035.027.035.039l-.023.016c-.008 0-.02-.012-.02-.016v-.012zm.195.016c.012 0 .016 0 .023.008s0 .016-.012.023l-.016.008-.012-.012c-.008-.02.004-.027.016-.031zm-.27 0c.016.012.02.012.02.023v.016c0 .012 0 .008-.02.008s-.02 0-.02-.02c0-.012 0-.016.008-.02zm-.164.043c.012.02.012.027.008.031-.012.004-.023.004-.031 0v-.016l.008-.008zm.277.035l.016.004v.02h-.039v-.008zm-.516.145c0-.016.016-.016.023-.023.016-.008.031-.016.043-.031 0-.012.012-.016.012-.027l-.004-.043c-.004-.012-.012-.023-.023-.031s-.023-.004-.023-.016.008-.02.012-.027l.016-.039c.012-.008.023 0 .023.008l.016.031c.012.008.016.016.02.027s.012.023.012.031l.004.039c0 .016 0 .031-.004.047l-.02.023c-.008.012-.016.02-.027.023s-.016.012-.027.012h-.047zm-.207.012c-.008-.027-.008-.027 0-.035.016-.012.02-.012.043 0s.031.012.031.004.016-.016.031-.016c.02.012.023.016.023.027s0 .016-.012.023-.008.008-.02.008-.02-.008-.023-.02h-.012c-.008 0-.02.008-.023.016l-.016.004c-.012 0-.012 0-.023-.012zm-.594-.266c-.02 0-.039.016-.043.039.004.02.023.043.012.066.008.027-.023.039-.047.027-.012-.031-.016-.062-.039-.09-.023-.008-.031.031-.051.047.012.02.035.043.039.07s-.012.059-.035.07c-.02.02-.051.016-.074.02-.031.016.02.023.035.023.031.004.063 0 .09-.023.023-.012.02-.051.047-.055l.145.008c.023.008.063-.004.078.016 0 .031.031.055.059.066.016.004.031-.016.043-.02.031-.008.023-.043.039-.059h.152c.004 0 .008-.016.016-.023l-.004-.055c-.008-.023 0-.055-.016-.074-.027-.008-.047.016-.07.016-.031.012-.051.039-.055.07-.016.027-.043-.008-.031-.031l-.004-.027c-.012-.016-.039-.012-.062-.012l-.09-.008c-.027 0-.055.004-.082-.004-.027 0-.027-.027-.027-.055-.008-.004-.016-.004-.023-.004zm.063.109l.027.004h.039c.031.008.063.008.09.008.008 0 .016.004.02.012v.059c0 .008 0 .02-.004.023-.016.004-.023 0-.027-.008v-.043c-.008-.004-.016-.008-.023-.008l-.078-.004-.059-.004c-.008-.004-.02 0-.027-.012-.008-.004.004-.016.012-.02s.02-.008.031-.008zm.34.012l.012.023c-.023.012-.039.012-.043.004zm0 0"/></g><g class="ar-B ar-C"><path d="M12 9.816c.977-.75.895-1.855.895-1.855l-.074.008c-.207 0-.699-.121-.812-.27-.117.137-.621.273-.828.273l-.074-.012S11.02 9.062 12 9.816zm0 0" class="ar-H"/><path d="M12.816 8.039h-.023c-.187 0-.617-.094-.785-.234-.176.129-.617.238-.801.238-.008 0-.016 0-.023-.004a2.27 2.27 0 0 0 .078.563c.121.441.379.832.738 1.113a2.15 2.15 0 0 0 .738-1.117c.051-.18.074-.367.078-.559zm0 0" class="ar-I"/></g><path d="M11.684 7.949c-.164.055-.332.082-.5.09l.004.125c.008.145.035.293.074.434.082.297.223.57.422.805zm.617 0v1.477c.203-.238.355-.523.438-.828a2.34 2.34 0 0 0 .074-.434l.004-.121h-.023a1.72 1.72 0 0 1-.492-.098zm0 0" class="ar-E"/><g class="ar-B"><path d="M12.367 7.59c.023.004-.023-.105-.023-.105.051.055.25.07.25.07-.121-.055-.238-.453-.227-.773s-.043-.445-.09-.492c-.059-.063-.254-.113-.379-.121-.074-.004-.059.055-.059.055-.137-.035-.273-.047-.332-.008s-.066.227-.023.191c.098-.078.188-.004.246.082.055.074.051.293-.027.547-.07.191-.172.371-.301.531.121 0 .289-.105.289-.105l-.039.164c.125-.059.227-.152.227-.152l.117.125c.039-.051.121-.125.121-.125a.43.43 0 0 0 .25.121zm0 0" class="ar-C ar-F"/><path d="M11.883 6.828s-.066.492-.191.629m.301-.645s-.031.5-.113.66m.207-.637l.027.637m.09-.613s.023.461.141.625" fill="none" class="ar-D"/><g stroke-width=".009" class="ar-E"><path d="M11.762 6.59c-.004-.035-.016-.07-.031-.102-.059-.09-.148-.16-.246-.082 0 0 .031-.102.109-.105.051-.004.18.043.297.234 0 0-.086-.02-.105 0-.039.027-.023.055-.023.055zm0 0"/><path d="M11.473 6.277c.008-.027.02-.051.039-.063.059-.039.191-.027.328.008 0 0-.016-.059.059-.055.125.008.316.059.379.121.02.02.031.043.043.07-.031-.043-.113-.039-.133-.035-.031.004-.051 0-.094.012-.023.008-.051.012-.07.023-.012.012-.023.047-.043.047-.027 0-.027-.004-.039-.012-.008-.016-.012-.035-.027-.031-.027.004-.082-.02-.148-.074s-.094-.066-.18-.063-.113.059-.113.059zm0 0"/></g></g><path d="M12 6.32c0 .02-.016.035-.035.035s-.035-.016-.035-.035.016-.035.035-.035.035.016.035.035zm0 0" class="ar-C"/></svg>')
            },
            hy: {
                languageName: 'Armenian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v6H0zm0 0" fill="rgb(100%,0%,0%)"/><path d="M0 6h24v6H0zm0 0" fill="rgb(0%,0%,100%)"/><path d="M0 12h24v6H0zm0 0" fill="rgb(100%,64.705882%,0%)"/></svg>')
            },
            az: {
                languageName: 'Azerbaijani',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.az-B{fill:rgb(92.941176%,16.078431%,22.352941%)}.az-C{fill:rgb(100%,100%,100%)}]]></style><path d="M.004 0h24v18h-24zm0 0" fill="rgb(24.705882%,61.176471%,20.784314%)"/><path d="M.004 0h24v12h-24zm0 0" class="az-B"/><path d="M.004 0h24v6h-24zm0 0" fill="rgb(0%,72.54902%,89.411765%)"/><path d="M14.102 9a2.7 2.7 0 1 1-5.402 0 2.7 2.7 0 1 1 5.402 0zm0 0" class="az-C"/><path d="M14.25 9a2.25 2.25 0 1 1-4.5 0 2.25 2.25 0 1 1 4.5 0zm0 0" class="az-B"/><path d="M14.398 7.5l.289.805.773-.367-.367.777.805.285-.805.289.367.773-.773-.367-.289.805-.289-.805-.77.367.367-.773L12.898 9l.809-.289-.367-.773.77.367zm0 0" class="az-C"/></svg>')
            },
            be: {
                languageName: 'Belarusian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 0h36.004v11.957H0zm0 0" fill="rgb(69.803922%,0%,0%)"/><path d="M0 11.957h36.004V18H0zm0 0" fill="rgb(25.882353%,62.352941%,0%)"/><path d="M0 0h3.988v18H0zm0 0" fill="rgb(100%,100%,100%)"/><g fill="rgb(69.803922%,0%,0%)"><path d="M.191.305h.188v.309H.191zm.566 0h.57v.309h-.57zM.949 0h.191v.305H.949zm.949 0h.191v.305h-.191zm.758.305h.57v.309h-.57zM2.848 0h.191v.305h-.191zM.57.613h.379v.301H.57zm.57 0h.379v.301h-.379zm1.328 0h.379v.301h-.379zm.57 0h.379v.301h-.379zM.379.914h.379v.305H.379zm.949 0h.379v.305h-.379zm.949 0h.379v.305h-.379zm.949 0h.379v.305h-.379zm.379-.609h.191v.309h-.191zm-3.414.914H.57v.309H.191zm1.328 0h.379v.309H1.52zm1.898 0h.379v.309h-.379zm-3.039.914h.379v.309H.379zm.191.309h.379v.305H.57zm.758-.305h.379v.305h-.379zm-.187.305h.379v.305h-.379zm-.383.305h.57v.305h-.57zm0 0"/><path d="M.949 3.051h.191v.309H.949zm1.328-.914h.379v.305h-.379zm.191.305h.379v.305h-.379zm.758-.305h.379v.305h-.379zm-.187.305h.379v.305h-.379zm-.383.305h.57v.305h-.57zm.191.305h.191v.309h-.191zm-.949-.309h.191v.305h-.191zM0 2.742h.191v.305H0zm3.797 0h.191v.305h-.191zM.949 4.27h.191v.305H.949zm-.191.309h.57v.301h-.57zm-.187.301h.949v.309H.57zm2.277-.605h.191v.305h-.191zm-.191.305h.57v.301h-.57zm-.187.301h.949v.305h-.949zm.188 1.527h.949v.305h-.949zm-.379-1.219h1.328v.305H2.277zm-1.898 0h1.328v.305H.379zM.57 6.711h.57v.305H.57zm-.191-.305h.949v.305H.379zm2.66-.605h.949v.305h-.949zm-.191.914h.57v.305h-.57zm0 0"/><path d="M.758 7.016h.191v.309H.758zm2.281 0h.188v.309h-.187zM0 5.797h.949v.305H0zm1.707.609h.57v.305h-.57zm.191.309h.191v.305h-.191zm-.57-.914h1.328v.305H1.328zm.762-4.582h.379v.309H2.09zm-.383.309h.57v.305h-.57zm-.187.305h.379v.301H1.52zm.57 0h.379v.301H2.09zM0 1.527h.379v.305H0zm.191.305H.57v.301H.191zm3.414-.305h.383v.301h-.383zm-.187.301h.379v.301h-.379zM0 4.57h.191v.305H0zm3.797 0h.191v.305h-.191zm-2.09 2.445h.57v.305h-.57zm-.187.305h.379v.301H1.52zm.57 0h.379v.301H2.09zm-.762.301h.379v.305h-.379zm.949 0h.379v.305h-.379zm-1.137.305h.379v.309h-.379zm1.328 0h.379v.309h-.379zm-1.52.313h.379v.305H.949zm1.707 0h.383v.305h-.383zM.57 8.543h.57v.305H.57zm2.277 0h.57v.305h-.57zm.379-.305h.379v.305h-.379zm.191-.309h.379v.309h-.379zm.188-.305h.383v.305h-.383zm-3.227.613h.379v.305H.379zM.191 7.93H.57v.309H.191zM0 7.629h.379v.305H0zm.758 1.223h.191v.305H.758zm2.281 0h.188v.305h-.187zm-1.141-.914h.191v.305h-.191zm-.57.914h.191v.305h-.191zm1.141 0h.188v.305h-.187zm-.57 0h.191v.305h-.191zM0 8.852h.191v.305H0zm3.797 0h.191v.305h-.191zM1.898 4.578h.191v.301h-.191zM.949 1.527h.191v.305H.949zm1.898 0h.191v.305h-.191zM1.707 3.66h.57v.305h-.57zm-.379.305h.57v.309h-.57zm.191.309h.188v.305H1.52zm-.379-.613h.379v.305h-.379zm.188-.301h.57v.301h-.57zm.191-.309h.188v.309H1.52zm.57.309h.566v.301H2.09zm.188-.309h.191v.309h-.191zm.191.609h.379v.305h-.379zm-.379.305h.566v.309H2.09zm.188.309h.191v.305h-.191zm.762-.613h.379v.305h-.379zm.188-.301h.57v.301h-.57zm.379.301h.383v.305h-.383zm-.379.305h.57v.309h-.57zm.191.309h.188v.305h-.187zm0-1.223h.188v.309h-.187zM0 3.656h.379v.305H0zm.191-.301h.566v.301H.191zm.379.301h.379v.305H.57zm-.379.305h.566v.309H.191zm0 0"/><path d="M.379 4.273H.57v.305H.379zm0-1.223H.57v.309H.379zM.191 5.492h.758v.305H.191zm.949 0h.758v.305h-.758zm.949 0h.758v.305H2.09zm.949 0h.758v.305h-.758zm-1.52.609h.949v.305H1.52zm-1.328 0h.949v.305H.191zm2.656 0h.949v.305h-.949zm.949 1.223h.191v.301h-.191zM0 7.324h.191v.301H0zm.191 10.371h.188v-.305H.191zm.566 0h.57v-.305h-.57zM.949 18h.191v-.305H.949zm.949 0h.191v-.305h-.191zm.758-.305h.57v-.309h-.57zm.191.305h.191v-.305h-.191zM.57 17.387h.379v-.301H.57zm.57 0h.379v-.301h-.379zm1.328 0h.379v-.301h-.379zm.57 0h.379v-.301h-.379zm-1.711-.301h.379v-.305h-.379zm.949 0h.379v-.305h-.379zm.949 0h.379v-.305h-.379zm.379.609h.191v-.309h-.191zm-3.414-.914H.57v-.309H.191zm1.328 0h.379v-.309H1.52zm1.898 0h.379v-.309h-.379zm-3.039-.914h.379v-.309H.379zm.191-.309h.379v-.305H.57zm.758.309h.379v-.309h-.379zm-.187-.309h.379v-.305h-.379zm-.383-.305h.57v-.305h-.57zm.191-.305h.191v-.305H.949zm1.328.914h.379v-.305h-.379zm.191-.305h.379v-.305h-.379zm.758.309h.379v-.309h-.379zm-.187-.309h.379v-.305h-.379zm-.383-.305h.57v-.305h-.57zm.191-.305h.191v-.305h-.191zm-.949.309h.191v-.305h-.191zm-1.898 0h.191v-.305H0zm3.797 0h.191v-.305h-.191zM.949 13.73h.191v-.305H.949zm-.191-.309h.57v-.301h-.57zm-.187-.301h.949v-.309H.57zm2.277.605h.191v-.305h-.191zm0 0"/><path d="M2.656 13.422h.57v-.301h-.57zm-.187-.301h.949v-.309h-.949zm.188-1.527h.949v-.309h-.949zm-.379 1.219h1.328v-.305H2.277zm-1.898 0h1.328v-.305H.379zm.191-1.523h.57v-.305H.57zm-.191.305h.949v-.309H.379zm2.66.605h.949v-.305h-.949zm-.191-.914h.57v-.305h-.57zM0 12.199h.949v-.305H0zm1.707-.609h.57v-.305h-.57zm.191-.305h.191v-.305h-.191zm-.57.914h1.328v-.305H1.328zm.762 4.578h.379v-.309H2.09zm-.383-.309h.57v-.297h-.57zm-.187-.305h.379v-.305H1.52zm.57 0h.379v-.305H2.09zM0 16.473h.379v-.301H0zm.191-.305H.57v-.301H.191zm3.414.305h.383v-.301h-.383zm-.187-.305h.379v-.301h-.379zM0 13.43h.191v-.305H0zm3.797 0h.191v-.305h-.191zM1.52 10.68h.379v-.301H1.52zm.57 0h.379v-.301H2.09zm-.762-.301h.379v-.309h-.379zm.949 0h.379v-.309h-.379zm-1.137-.309h.379v-.305h-.379zm1.328 0h.379v-.305h-.379zm-1.52-.309h.379v-.305H.949zm1.707 0h.383v-.305h-.383zM.57 9.457h.57v-.305H.57zm2.277 0h.57v-.305h-.57zm.379.305h.379v-.305h-.379zm.191.309h.379v-.309h-.379zm.188.305h.383v-.305h-.383zM.379 9.762h.379v-.305H.379zm-.188.309H.57v-.309H.191zM0 10.371h.379v-.305H0zm.758-1.223h.191v-.305H.758zm1.141.914h.191v-.305h-.191zm0 3.355h.191v-.301h-.191zm-.949 3.051h.191v-.297H.949zm1.898 0h.191v-.297h-.191zm-1.141-2.125h.57v-.305h-.57zm-.379-.305h.57v-.309h-.57zm.191-.309h.188v-.305H1.52zm-.379.613h.379v-.305h-.379zm.188.297h.57v-.297h-.57zm.191.309h.188v-.305H1.52zm.57-.309h.566v-.297H2.09zm.188.309h.191v-.305h-.191zm.191-.609h.379v-.305h-.379zm-.379-.305h.566v-.309H2.09zm.188-.309h.191v-.305h-.191zm.762.617h.379v-.305h-.379zm.188.297h.57v-.297h-.57zm.379-.301h.383v-.305h-.383zm-.379-.305h.57v-.309h-.57zm.191-.309h.188v-.305h-.187zm0 1.223h.188v-.305h-.187zM0 14.344h.379v-.305H0zm.191.297h.566v-.297H.191zm0 0"/><path d="M.57 14.34h.379v-.305H.57zm-.379-.305h.566v-.309H.191zm.188-.309H.57v-.305H.379zm0 1.223H.57v-.305H.379zm-.188-2.441h.758v-.305H.191zm.949 0h.758v-.305h-.758zm.949 0h.758v-.305H2.09zm.949 0h.758v-.305h-.758zm-1.52-.609h.949v-.305H1.52zm-1.328 0h.949v-.305H.191zm2.656 0h.949v-.305h-.949zm.949-1.219h.191v-.309h-.191zM0 10.68h.191v-.309H0zm1.707-1.527h.191v.305h-.191zm.383 0h.188v.305H2.09zm0-.609h.188v.305H2.09zm-.383 0h.191v.305h-.191zM.379 16.781h.379v.305H.379zm2.66-5.797h.188v-.309h-.187zm-2.281 0h.191v-.309H.758zm.949-.309h.57v.309h-.57zm0 0"/></g></svg>')
            },
            bn: {
                languageName: 'Bengali',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(0%,41.568627%,30.588235%)"/><path d="M16.5 9c0 3.313-2.687 6-6 6s-6-2.687-6-6 2.688-6 6-6 6 2.688 6 6zm0 0" fill="rgb(95.686275%,16.470588%,25.490196%)"/></svg>')
            },
            bs: {
                languageName: 'Bosnian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(0%,0%,60%)"/><g fill-rule="evenodd"><path d="M4.984 0l17.969 18.012v-18zm0 0" fill="rgb(100%,80%,0%)"/><path d="M18.465 16.93l-.98-.715-1.004.711.379-1.168-.992-.723h1.23l.379-1.168.375 1.172h1.234l-.984.727zm2.859.363l-1.23-.004-.379-1.172-.379 1.168h-1.23l.992.723-.379 1.168 1.004-.711.984.711-.367-1.16zm-5.473-3.77l.984-.727-1.23-.004-.375-1.168-.379 1.168-1.23-.004.992.723-.379 1.168 1.004-.711.984.715zm-2.258-2.266l.984-.727-1.23-.004-.379-1.168-.383 1.168h-1.227l.992.719-.379 1.168 1.004-.711.98.715zM11.352 9.02l.984-.727h-1.23l-.371-1.176-.379 1.168h-1.23l.992.719-.383 1.172 1.008-.715.984.715-.371-1.16zM9.09 6.762l.984-.727-1.23-.004-.375-1.168-.387 1.164H6.855l.996.723-.379 1.168 1.004-.711.98.715-.363-1.16zM6.852 4.516l.984-.73h-1.23L6.23 2.613l-.383 1.168h-1.23l1 .719-.383 1.168 1.004-.711.977.719zm-2.25-2.25l.984-.73h-1.23L3.98.363l-.383 1.168h-1.23l1 .719-.387 1.172 1.008-.715.977.719zM2.352.016l.98-.73h-1.23l-.379-1.168-.375 1.164H.117L1.113 0 .734 1.168 1.738.457l.977.719zm0 0" fill="rgb(100%,100%,100%)"/></g></svg>')
            },
            bg: {
                languageName: 'Bulgarian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 12h24v6H0zm0 0" fill="rgb(83.921569%,14.901961%,7.058824%)"/><path d="M0 0h24v6H0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 6h24v6H0zm0 0" fill="rgb(0%,58.823529%,43.137255%)"/></svg>')
            },
            ca: {
                languageName: 'Catalan',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.ca-B{stroke-linecap:round}.ca-C{fill:none}.ca-D{fill:rgb(99.607843%,87.45098%,0%)}.ca-E{stroke-width:.026}.ca-F{fill:rgb(83.529412%,16.862745%,11.764706%)}.ca-G{stroke:rgb(43.921569%,23.921569%,16.078431%)}.ca-H{stroke-width:.022}.ca-I{stroke-width:.024}.ca-J{fill:rgb(98.823529%,85.098039%,0%)}.ca-K{stroke-width:.012}.ca-L{fill:rgb(78.039216%,70.196078%,49.803922%)}.ca-M{stroke-width:.034}.N{stroke:rgb(78.039216%,70.196078%,49.803922%)}.O{stroke-width:.011}.P{fill:rgb(100%,100%,100%)}.Q{stroke:rgb(99.607843%,87.45098%,0%)}.R{fill:rgb(0%,39.607843%,74.117647%)}]]></style><path d="M0 0h24v18H0z" fill="rgb(81.568627%,6.27451%,22.745098%)"/><path d="M0 0h16.32v18H0zm0 0" class="ca-D"/><path d="M0 0h7.68v18H0zm0 0" fill="rgb(0%,9.411765%,65.882353%)"/><path d="M11.266 5.121c.289 0 .406.25.695.25.18 0 .281-.059.441-.148.109-.059.176-.094.301-.094s.203.039.273.152c.035.059.066.184.047.25-.023.105-.055.211-.102.313-.027.059-.047.094-.047.156 0 .152.207.207.352.211.031 0 .289 0 .449-.16-.086-.004-.184-.074-.184-.16 0-.098.066-.16.16-.191.02-.004.051.012.066 0 .023-.012.016-.035.035-.051.047-.039.074-.062.137-.062.035 0 .059.004.094.027.016.016.023.031.035.031.047 0 .07-.031.113-.031.031 0 .063.008.086.023s.023.055.055.055c.016 0 .09-.031.129-.031a.2.2 0 0 1 .18.094c.016.016.023.051.039.051.074.008.141.047.18.113.012.016.027.051.043.055.02.012.035.008.063.027.063.039.102.105.105.18 0 .027-.012.059-.02.082-.066.246-.234.324-.406.535-.074.094-.129.164-.129.281 0 .023.035.078.047.098-.008-.051.02-.117.074-.121.078 0 .145.059.152.133 0 .023-.004.047-.012.07.047-.031.098-.047.148-.055h.074c.121 0 .262.07.348.145.184.156.285.387.273.629-.031.195-.012.555-.516.695.094.039.156.113.156.195 0 .047-.016.09-.047.125s-.074.051-.117.055c-.051 0-.098-.02-.133-.055-.105.105-.125.215-.125.363 0 .09.016.145.055.227a.47.47 0 0 0 .137.191c.039-.059.078-.098.152-.098.063 0 .117.023.145.082.008.02 0 .035.012.051.012.023.031.027.043.051.016.035 0 .066.016.102.012.023.035.027.047.051.016.039.02.063.02.102 0 .113-.102.195-.215.195-.039 0-.051-.016-.086-.012.063.063.113.094.16.168a.66.66 0 0 1 .113.387c.004.148-.035.293-.105.422a.74.74 0 0 1-.262.316c-.176.129-.383.211-.602.242a2.94 2.94 0 0 1-.41.051l-.531.031c-.27.016-.457.055-.648.246.09.066.152.133.152.242s-.07.199-.176.23c-.027.008-.047 0-.074.016s-.023.051-.051.063c-.043.027-.094.043-.145.039a.29.29 0 0 1-.238-.094c-.082.066-.113.129-.207.184-.031.016-.043.039-.078.039-.055 0-.082-.039-.129-.07-.059-.043-.117-.09-.164-.148-.086.047-.133.09-.234.09-.055.004-.105-.012-.152-.039-.023-.016-.027-.043-.055-.059s-.051-.012-.078-.027c-.113-.047-.187-.129-.187-.254 0-.109.066-.176.164-.227-.187-.187-.375-.215-.637-.23l-.527-.031a3.46 3.46 0 0 1-.41-.051c-.125-.02-.195-.027-.309-.078-.383-.18-.629-.426-.676-.844-.008-.039-.008-.059-.008-.094 0-.219.086-.355.242-.508-.039-.012-.066 0-.105-.012-.094-.035-.164-.102-.164-.207 0-.035 0-.062.016-.098.016-.02.039-.023.047-.051.008-.039 0-.059.016-.094.012-.02.027-.023.035-.047.039-.07.078-.125.156-.125.066 0 .109.035.141.094.066-.031.082-.078.121-.141.09-.148.109-.332.051-.496-.016-.059-.02-.094-.066-.141-.039.039-.074.055-.129.055-.105 0-.187-.094-.187-.199 0-.078.043-.145.113-.176-.059-.051-.113-.055-.176-.094-.098-.062-.133-.129-.195-.227-.043-.059-.055-.105-.074-.176a.75.75 0 0 1-.039-.293.76.76 0 0 1 .176-.445c.066-.086.109-.141.215-.184.086-.039.141-.066.234-.066l.074.004a.36.36 0 0 1 .105.031c.016.008.039.035.039.016s-.012-.031-.012-.051c0-.074.059-.148.137-.148.055 0 .078.051.109.102.016-.031.027-.055.027-.086 0-.129-.074-.195-.152-.297-.176-.219-.395-.32-.395-.602 0-.082.039-.137.113-.184.02-.012.051 0 .066-.012s.016-.035.027-.051c.02-.027.039-.039.063-.059.035-.039.074-.023.113-.059.023-.016.031-.035.047-.051.047-.062.094-.09.172-.09a.19.19 0 0 1 .094.016l.039.016c.008-.008.027-.027.055-.039s.055-.023.082-.023c.043 0 .066.023.113.023.012 0 .016-.016.031-.023.035-.027.055-.039.102-.039s.066.012.102.039c.039.02.039.051.078.066.016.012.035.008.055.016.098.035.168.098.168.199 0 .055-.012.094-.051.133-.035.023-.066.02-.105.035a.59.59 0 0 0 .422.133c.16 0 .352-.062.352-.223 0-.074-.039-.113-.07-.18a.69.69 0 0 1-.078-.316.38.38 0 0 1 .07-.254c.063-.086.137-.109.246-.109zm0 0" class="ca-L"/><g class="ca-C ca-G"><g class="ca-E"><path d="M10.215 5.961a.13.13 0 0 0 .09.09c.031.012.102.008.145-.051.035-.047.035-.105.02-.148-.012-.035-.035-.063-.063-.086zm0 0" stroke-linejoin="round"/><path d="M15.039 8.855c-.047-.109-.164-.062-.168 0-.016.137.102.18.188.156.043-.012.074-.039.094-.074s.031-.09.016-.141c-.004-.02-.016-.043-.027-.059s-.031-.035-.051-.047c-.035-.02-.07-.02-.129-.02-.203 0-.387.242-.449.5a1.09 1.09 0 0 0-.012.449.85.85 0 0 0 .223.426 1.05 1.05 0 0 0 .371.219c.051.012.102.012.148 0 .121-.023.18-.141.113-.262-.047-.094-.199-.148-.27-.02-.004.008-.016.031-.016.055 0 .035.016.074.039.09.055.035.141.023.137-.074" class="ca-B"/></g><path d="M14.391 10.273a.44.44 0 0 1 .25-.137.48.48 0 0 1 .309.074c.246.113.406.363.402.637a.86.86 0 0 1-.074.355c-.031.063-.113.336-.574.523-.266.113-.676.133-.965.148-.387.012-.75.027-.953.285" stroke-width=".03"/><g class="ca-E"><path d="M14.488 10.715c-.008-.039 0-.078.031-.125.047-.059.141-.078.227-.039a.39.39 0 0 1 .094.086l.039.059c.027.039.039.074.039.094.094.262-.055.543-.246.66-.148.09-.324.129-.539.148-.094.016-.148.012-.242.02h-.359a3.1 3.1 0 0 0-.27 0l-.285.031-.203.035c-.023 0-.047.008-.07.016l-.043.012c-.137.043-.262.09-.367.156-.031.02-.066.039-.094.066l-.051.043c-.074.074-.145.152-.164.254v.059c0 .066.055.16.203.188m.207-6.375c.027.051.047.086.027.145-.02.066-.066.105-.133.105-.148 0-.238-.18-.168-.293.117-.199.348-.086.563.012-.012-.047-.031-.066-.027-.129.004-.16.121-.227.168-.375.027-.086.039-.164-.027-.227-.055-.047-.117-.047-.187-.023-.145.059-.32.223-.625.227-.309-.004-.48-.168-.625-.227-.074-.023-.137-.023-.191.027-.063.059-.055.137-.027.227.051.141.164.211.168.375 0 .059-.012.074-.023.125.211-.098.449-.219.563-.012.063.121-.02.289-.172.289-.066 0-.109-.035-.133-.102-.016-.055 0-.105.031-.148"/><path d="M11.797 5.996c.063.039.098.113.09.188-.008.094-.027.117-.105.168m.09-.141c-.004.055-.023.094-.086.117" class="ca-B"/></g></g><path d="M10.375 5.75l.027.016.031.031.02.039.004.027v.074l-.004.027-.02.023-.023.023-.035.02-.035.008-.039.008-.035-.02-.035-.023-.02-.031-.016-.035v-.016zm0 0" class="ca-L"/><g class="ca-C ca-G"><g class="ca-E"><path d="M10.32 5.895c-.012-.063-.082-.074-.113-.035-.039.055-.012.148.074.176.055.008.113-.012.148-.055s.031-.105.02-.148c-.016-.035-.035-.062-.066-.082-.102-.078-.266-.062-.32.074-.07.164.082.293.223.387.172.117.375.141.527.141.344-.004.605-.168.773-.262.039-.023.082-.02.102.008s.02.074-.012.102" class="ca-B"/><path d="M9.301 10.547l-.074.023-.078.063-.035.047-.043.074-.02.059-.012.066-.008.051m.711-.379l-.004.07-.012.043-.035.082-.051.07-.055.043-.043.02-.059.016"/></g><path d="M11.988 12.34c-.012.066-.07.137-.199.16l-.023.008" stroke-width=".03"/><path d="M15.156 10.359c.137.129.215.312.211.504a.89.89 0 0 1-.074.352c-.031.066-.113.34-.574.527-.309.098-.633.148-.961.148-.387.012-.742.027-.953.273" class="ca-M"/><path d="M14.531 10.609c.031-.039.133-.09.219-.043.035.02.063.043.086.074" class="ca-H"/><path d="M15.059 10.266l.055.02a.24.24 0 0 0 .148 0c.105-.027.172-.125.121-.258-.016-.031-.039-.059-.066-.078" class="ca-M"/><path d="M9.012 7.492c-.074.043-.125.055-.18.117a.95.95 0 0 0-.098.254m1.723-1.938c0 .066-.043.105-.109.121" class="ca-B ca-E"/><path d="M14.891 7.199c.191.004.375.086.504.227a.7.7 0 0 1 .195.516c0 .602-.371.695-.52.734" class="ca-H"/><path d="M14.941 7.199c.301-.012.617.215.633.777.012.438-.301.637-.449.676" class="ca-E"/><g class="ca-H"><path d="M14.766 9.316l.004-.063.023-.094.027-.074.035-.059.035-.051m.293-.125v.055l-.02.039-.023.039-.031.023-.047.02h-.039l-.031-.004m-.535-1.98l.012-.063.027-.062.098-.137.055-.055.074-.082.074-.07.043-.051.055-.07.055-.074.027-.063.02-.082.004-.102-.008-.031m-.461 4.809l.059-.016.047-.023.027-.027.016-.027.012-.047v-.035m-5.93-.453h.098l.063-.02m.188-1.371l-.008.055-.016.02-.016.023-.023.02-.027.012-.039.004h-.023m.371-.582l-.008.078-.02.039-.031.043-.043.035-.047.023-.086.016m.574-1.488l-.02.051-.02.035-.027.039-.039.039-.047.016-.039.012-.023-.004m.012-.23v.035"/><path d="M9.535 8.398c-.023.023-.047.043-.078.055m5.645 1.68l.02.008c.051.031.156-.008.125-.09" class="ca-B"/><path d="M14.918 8.984c.035.051.109.063.164.051.039-.012.074-.039.094-.078s.031-.09.016-.137c-.008-.023-.02-.043-.035-.059-.012-.023-.027-.043-.047-.059l-.016-.008m.238 1.277c.004-.012.004-.02.004-.027.004-.043-.016-.082-.047-.113l-.031-.031m.016.02c0-.066-.055-.117-.129-.129m-.156.105l-.047-.039a.6.6 0 0 1-.164-.402c0-.156.063-.313.137-.375m-2.117 3.168l.066-.059.043-.039.086-.051.086-.039.059-.016.113-.023.133-.023m-1.105.727a.61.61 0 0 1-.285.23c-.113-.047-.215-.129-.285-.23"/><path d="M11.789 12.473c-.012.059-.043.113-.082.156" class="ca-B"/><path d="M11.801 12.395l-.016.082m-.086.16l-.035.039-.066.031-.074.023m-.211-6.668c.012-.027.02-.051.02-.098-.004-.156-.121-.227-.168-.375-.027-.086-.039-.16.027-.223.051-.055.117-.055.188-.023.148.055.32.219.625.227-.305-.008-.48-.172-.621-.227-.078-.031-.145-.039-.199.02-.066.059-.047.141-.02.227.047.148.156.219.16.375 0 .047-.012.07-.02.098M12 5.551c.301-.016.559-.219.641-.238.074-.016.113-.008.168.043-.051-.051-.109-.047-.187-.02-.141.055-.312.219-.621.227m2.984 4.234c-.145-.113-.23-.285-.23-.469 0-.152.063-.312.133-.375m-2.625 3.66c-.047.078-.16.188-.285.234a.69.69 0 0 1-.285-.234"/><path d="M11.5 6.141l.086-.051c.039-.023.086-.02.109.008s.027.074-.008.105" class="ca-B"/><path d="M11.051 6.348c.207-.043.375-.133.504-.207m1.207 6.16c.02.012.031.035.031.035.004.008.008.02.008.031.012.055-.023.09-.074.098-.063.008-.113-.031-.129-.074m-1.559-6.055c.207-.039.375-.133.504-.203m3.66 4.008c-.039.016-.063.012-.113-.008l-.066-.039c-.137-.078-.246-.195-.316-.336a.7.7 0 0 1-.063-.172c-.012-.043-.02-.082-.02-.125-.004-.203.059-.406.176-.574.043-.059.078-.094.156-.098M9.57 7.316c.066.051.102.129.102.215 0 .113-.098.305-.34.375-.078.02-.164.008-.234-.031"/><path d="M9.609 7.711c.043.027.063.063.063.121 0 .039-.027.09-.07.141-.086.094-.207.148-.332.148-.074 0-.148-.012-.223-.063a.33.33 0 0 1-.145-.203"/><path d="M9.609 7.961c.047.047.063.102.063.172 0 .102-.043.18-.141.262a.29.29 0 0 1-.074.059m4.855-.828v.129m-.012-.164v.188m.012-.594v.25m-.012-.301v.332m-.07 3.078c-.039.078-.09.148-.156.207-.063.066-.137.117-.219.156s-.16.066-.246.082a1.13 1.13 0 0 1-.254.031c-.094 0-.148 0-.242-.004l-.25-.031c-.082-.008-.129-.016-.211-.012a1.15 1.15 0 0 0-.414.066c-.098.039-.211.113-.234.145a.83.83 0 0 0-.238-.145.87.87 0 0 0-.191-.051c-.09-.016-.133-.016-.219-.016a1.91 1.91 0 0 0-.211.012l-.25.031-.242.004c-.172 0-.344-.039-.5-.109a.74.74 0 0 1-.242-.18m1.578 2l.07-.008m1.137-.09l.066-.004.063-.023.047-.031.062-.074.012-.023.012-.062v-.031m1.762-5.125c.027-.098-.008-.203-.105-.199M9.664 8.801c-.02.074-.066.137-.133.176m.137-1.75c-.023.066-.07.121-.137.148s-.148 0-.195-.027"/><path d="M9.141 7.59c.059.031.117-.016.105-.09-.008-.043-.047-.078-.094-.082" class="ca-B"/><path d="M9.383 10.746c.012.012.016.027.031.031.023.008.043.016.07-.02s.012-.105-.02-.145a.19.19 0 0 0-.219-.039c-.027.02-.063.039-.098.082l-.039.062c-.027.039-.039.074-.043.09-.074.219.016.449.156.586"/><path d="M12.758 12.293l.027.031.008.031c.008.059-.027.09-.078.098-.059.008-.105-.031-.121-.074" class="ca-B"/><path d="M14.602 5.805a.28.28 0 0 1 .238.262c0 .168-.059.227-.145.348-.094.125-.398.359-.398.625 0 .16.043.262.16.316.074.035.16 0 .203-.039.098-.09.055-.242-.047-.262-.121-.023-.145.172-.027.16m.672 2.586c-.012-.063-.066-.109-.133-.109-.078 0-.141.063-.141.137 0 .039.016.074.039.098"/><path d="M14.395 7.316c-.063.051-.102.129-.098.215 0 .113.094.305.336.375.09.023.18.02.23-.012m-5.848-.387c-.074.023-.137.07-.18.133-.09.141-.121.312-.082.473.012.078.043.148.086.211l.035.047.047.035m2.398 3.453c.184.078.316.137.43.316.027.059.043.121.043.184 0 .102-.035.215-.121.285-.07.063-.164.09-.254.074-.07-.008-.137-.059-.148-.098M9.523 8.402c.102.082.148.16.148.281s-.055.223-.152.281"/><path d="M9.43 8.863c.152.191.238.305.242.531a.72.72 0 0 1-.188.512" class="ca-B"/><path d="M12.367 6.348c.027-.02.047-.047.055-.082.02-.055.02-.105-.004-.148.035.051.035.094.023.148-.004.039-.027.059-.059.086m1.93 3.23v.605l-.004.094c0 .023-.004.043-.012.066"/><path d="M14.301 9.523v.746l-.016.098m.016-1.609v.547m.012-.504v.441m0-1.004v.332m-.012-.371v.41m.012-.711v.129m-.012-.156v.188m-.066 2.445l-.016.027a.68.68 0 0 1-.152.211c-.063.066-.141.117-.223.152-.074.039-.156.066-.242.082a1.17 1.17 0 0 1-.258.035c-.094 0-.148 0-.238-.008l-.254-.031-.211-.012c-.082 0-.129 0-.215.016-.066.008-.129.027-.191.051-.102.043-.215.113-.242.145-.023-.031-.137-.102-.234-.145a.89.89 0 0 0-.195-.051c-.082-.016-.133-.016-.219-.016a1.91 1.91 0 0 0-.211.012l-.25.031c-.094.008-.148.012-.238.008a1.34 1.34 0 0 1-.504-.113c-.082-.039-.156-.09-.219-.156a.76.76 0 0 1-.094-.102m-.074-.121c.012.102-.02.207-.086.289-.031.031-.098.098-.187.098-.141 0-.18-.094-.187-.121m.291-.328a.96.96 0 0 1 .07.094c.039.07.023.184-.004.234m-.773.691a1.14 1.14 0 0 0 .41.266c.266.113.68.133.965.148.375.012.723.027.938.262m.648-.148c.066.051.121.125.148.207m-.273.43c-.008.012-.016.02-.027.027a.31.31 0 0 1-.246.074c-.074-.008-.145-.059-.16-.098m-.203-.109l.012.016a.27.27 0 0 0 .191.09m1.012 0a.7.7 0 0 1-.289.23.69.69 0 0 1-.285-.23l-.012-.02m.586.016l.027.027c.066.059.16.09.25.074.063-.008.117-.043.148-.094l.02-.027"/><path d="M12.711 12.621l-.023.047-.043.035-.063.027h-.062"/><path d="M12.863 12.199c.039.027.07.066.09.109.012.023.016.055.02.086 0 .059-.02.113-.059.156-.051.059-.125.09-.203.09m-.008-.008a.24.24 0 0 1-.191-.082m2.387-2.547a.83.83 0 0 1-.18-.238.67.67 0 0 1-.063-.168c-.012-.043-.02-.082-.02-.125-.004-.203.055-.406.172-.574.027-.031.051-.066.078-.082m-.047-2.848c.094.008.18.113.18.215 0 .145-.051.207-.164.348-.098.121-.398.34-.387.547a.17.17 0 0 0 .039.102m-.117.133c.02.023.047.039.074.051.051.023.109.02.16-.008m-.789-1.617a.23.23 0 0 1 .086.098c.066.168-.086.297-.227.391-.094.062-.199.102-.312.121m.29-.29c-.043 0-.086-.02-.117-.055-.008-.012-.02-.023-.023-.039m-.562.184c-.02-.008-.035-.02-.047-.035-.035-.039-.055-.086-.031-.164s.141-.273.145-.41c.008-.211-.074-.336-.199-.383"/><path d="M13.023 5.492l-.004.078-.023.082-.035.113-.039.07-.031.07-.012.047-.008.039.004.035m1.422 4.734l.023.031c.027.035.121.113.207.113.141 0 .172-.098.176-.121.02-.109-.02-.137-.074-.168 0 0-.031-.016-.07-.008" class="ca-B"/><path d="M8.887 10.289a.27.27 0 0 1-.137 0c-.109-.031-.195-.133-.152-.262m.504-1.191c.012.012.016.023.016.035.016.145-.105.18-.187.16-.047-.016-.086-.047-.113-.086-.016-.027-.023-.059-.027-.086m.824-.887c.023.02.039.039.051.062m-.043-.316c.02.016.035.031.043.047"/><path d="M9.672 7.895a.34.34 0 0 1-.063.09c-.082.094-.203.145-.328.148-.074 0-.148-.016-.227-.063a.37.37 0 0 1-.148-.211" class="ca-B"/><path d="M9.578 7.324c.039.031.07.078.09.129"/><path d="M9.668 7.621c-.035.113-.133.246-.324.297-.09.02-.207-.008-.246-.039" class="ca-B"/><path d="M9 7.598c.012.098.074.172.203.172.176.004.285-.25.125-.43"/><path d="M8.602 8.457c.027.031.059.063.09.09.066.055.145.098.227.125m.195.016c.156-.016.246-.137.223-.273-.008-.105-.102-.187-.172-.191" class="ca-B"/><path d="M9.367 7.055c.07 0 .113.059.109.113"/><path d="M9.352 6.113c.035.094.102.172.188.219m5.41 1.164a.17.17 0 0 1-.152.262c-.066 0-.133-.035-.168-.094" class="ca-B"/><path d="M14.313 6.34v.598"/><path d="M9.141 7.586c.055.039.125-.027.094-.098-.016-.043-.082-.098-.176-.035-.105.074-.074.293.121.297.176 0 .285-.254.129-.434-.152-.172-.426-.137-.602.008a.8.8 0 0 0-.27.438.87.87 0 0 0 0 .348c.02.098.059.195.113.281l.047.063.074.074a.58.58 0 0 0 .391.141c.172-.008.273-.129.258-.277-.016-.141-.16-.211-.254-.145-.062.047-.086.184.027.219.059.02.117-.066.074-.113m4.855-2.691c.102-.055.18-.047.238.035s.074.176.059.27-.059.164-.129.219m.08-.487c.117-.074.242-.039.309.062.051.074.066.133.063.227a.42.42 0 0 1-.215.344" class="ca-B"/><path d="M14.813 5.969c.098.008.172.094.172.191 0 .145-.035.207-.148.352-.102.121-.398.336-.391.547 0 .078.066.148.125.156"/><path d="M14.828 7.586c-.059.039-.125-.023-.094-.09.02-.043.082-.105.176-.043.102.074.074.293-.125.297-.176 0-.301-.246-.125-.434.148-.172.438-.141.617.004.074.059.23.227.262.449.039.262.035.586-.238.789-.113.078-.262.113-.398.113-.172-.008-.273-.133-.254-.281.02-.141.148-.199.25-.145s.086.203-.027.219c-.063.008-.113-.066-.074-.113" class="ca-B"/><path d="M14.734 7.496c.031-.133.137-.141.23-.141.246.004.418.297.422.578 0 .359-.152.57-.414.582-.07 0-.187-.031-.187-.113"/><path d="M14.887 7.437c.258.059.348.293.348.516 0 .184-.016.438-.375.523" stroke-linecap="square"/><path d="M15.316 9.949a.15.15 0 0 0-.098-.164c-.066-.023-.141.008-.176.07s-.02.137.035.184"/><g class="ca-B"><path d="M14.789 9.727c.055.074.113.156.238.227m-.051.395c-.117-.082-.355-.187-.562-.082-.074.027-.137.086-.164.164-.039.121-.016.258.066.355.035.039.102.098.188.102.145 0 .176-.098.18-.121.016-.105-.043-.145-.074-.152s-.105-.008-.121.047c-.004.02-.004.051.008.074"/><path d="M12.77 12.316c.035.082-.008.117-.062.125-.082.012-.121-.051-.125-.113-.004-.043.012-.086.043-.121s.074-.051.117-.055c.086 0 .152.059.188.133.012.027.02.055.02.09.004.055-.016.109-.055.152-.051.059-.125.094-.199.094-.16.004-.281-.141-.281-.293 0-.285.426-.449.598-.484a2.99 2.99 0 0 1 .672-.09c.133-.004.234 0 .379-.02.133-.012.203-.02.336-.051a.99.99 0 0 0 .473-.238c.109-.102.172-.168.223-.309.059-.172.043-.363-.047-.52-.086-.141-.227-.234-.387-.258-.141-.016-.266.043-.34.184-.035.066-.023.18.004.23.039.066.105.109.18.113.145 0 .176-.098.18-.121.016-.105-.043-.145-.074-.156s-.105-.004-.121.051c-.004.02-.004.051.008.074m-1.855 1.126c-.18.078-.316.137-.426.316a.39.39 0 0 0-.047.184c0 .102.043.215.125.285a.29.29 0 0 0 .25.074c.074-.008.141-.059.152-.098"/></g><path d="M14.441 8.402c-.086.031-.145.16-.145.281-.008.117.051.223.148.281"/><path d="M14.535 8.863c-.148.191-.238.305-.238.531 0 .215.063.359.188.512" class="ca-B"/><path d="M13.723 5.699l.012-.02c.063-.09.176-.113.258-.055.098.074.121.203.098.336-.02.086-.074.156-.152.207"/><path d="M9.941 5.656c-.098-.047-.176-.039-.238.035s-.078.176-.059.27c.023.102.055.145.133.219" class="ca-B"/><path d="M9.699 5.699c-.051-.035-.113-.047-.172-.035s-.109.047-.141.098c-.047.066-.07.145-.059.227.004.156.102.285.215.344m-.179-.528c-.125.016-.223.121-.223.246 0 .172.035.238.129.363s.402.359.402.625c0 .16-.047.262-.16.316-.078.035-.164 0-.203-.039-.098-.09-.059-.242.043-.262.125-.023.148.172.027.16m-.23-1.245c-.094.008-.187.086-.187.188 0 .145.059.211.176.355.098.121.379.336.371.543 0 .074-.059.172-.109.16"/><path d="M8.926 8.855c.047-.109.164-.062.172 0 .016.137-.105.18-.191.156-.039-.012-.074-.039-.094-.074-.023-.043-.027-.094-.016-.141a.18.18 0 0 1 .035-.059c.012-.02.027-.035.043-.047.039-.02.074-.02.129-.02.207 0 .391.242.449.5.023.082.051.273.012.449a.84.84 0 0 1-.219.426 1.03 1.03 0 0 1-.375.219.26.26 0 0 1-.145 0c-.105-.031-.172-.129-.121-.262.047-.098.203-.148.273-.02.008.008.016.031.016.055 0 .035-.016.074-.035.09-.055.035-.141.023-.137-.074" class="ca-B"/><path d="M8.766 10.141c.039.016.063.012.109-.008l.07-.039c.098-.055.207-.141.312-.34.031-.055.051-.109.066-.168l.02-.125c.004-.207-.059-.406-.18-.574-.039-.059-.074-.094-.156-.098m-.355 1.164a.14.14 0 0 1 .094-.164.14.14 0 0 1 .176.062.15.15 0 0 1-.035.188m-.18-.238c.012-.066.07-.113.141-.109s.133.063.133.137a.15.15 0 0 1-.035.098"/><path d="M8.977 9.797c.148-.109.234-.281.234-.465 0-.152-.063-.313-.137-.375"/><path d="M9.176 9.727a.62.62 0 0 1-.234.227" class="ca-B"/><path d="M9.547 10.266c-.035-.086-.105-.121-.219-.133s-.203.02-.305.07a.7.7 0 0 0-.406.637.94.94 0 0 0 .074.359c.035.059.113.336.574.523.313.098.637.145.965.145.391.016.75.031.961.285"/><path d="M8.988 10.348c.125-.082.355-.187.566-.082.074.031.133.09.16.164.043.121.016.258-.066.355-.035.039-.102.098-.188.102-.141 0-.176-.098-.18-.121-.016-.105.047-.145.074-.156s.105-.004.121.051c.008.02.008.051-.008.074" class="ca-B"/><path d="M9.477 10.715c.012-.039.008-.082-.031-.125-.059-.062-.148-.074-.223-.039-.027.02-.063.039-.09.086-.016.012-.039.039-.047.059-.027.039-.039.074-.039.094-.094.262.059.539.246.66.164.105.328.133.539.148l.246.02h.359.27l.285.031.203.035c.02 0 .043.008.066.016l.043.012c.137.043.266.09.367.156.031.02.07.039.094.066l.051.043c.074.074.148.152.164.254v.059c0 .066-.051.16-.199.188m-.582-.162c-.039.082.004.117.059.125.082.012.125-.051.133-.113 0-.043-.016-.09-.047-.121a.16.16 0 0 0-.121-.055c-.082.004-.156.055-.187.133-.012.027-.016.059-.02.09 0 .055.02.109.055.152a.27.27 0 0 0 .203.094c.156.004.281-.141.281-.293 0-.285-.43-.449-.602-.484a2.99 2.99 0 0 0-.672-.09c-.129-.004-.23 0-.379-.02a2.19 2.19 0 0 1-.336-.051c-.176-.035-.336-.117-.469-.238-.258-.191-.336-.547-.176-.824.082-.141.223-.238.387-.262a.32.32 0 0 1 .336.184c.039.066.023.18-.004.23-.035.066-.105.109-.18.113-.141 0-.176-.098-.18-.121-.016-.105.047-.145.074-.156s.105-.004.121.051c.008.02.008.051-.008.074"/><path d="M10.25 5.699l-.016-.02c-.063-.09-.176-.113-.258-.055-.098.074-.125.203-.094.336.02.086.074.16.148.207" class="ca-B"/><path d="M13.754 5.984c-.148.164-.301.219-.527.227-.074 0-.207-.023-.285-.078-.051-.039-.105-.098-.07-.207.02-.07.137-.27.141-.41.012-.211-.07-.324-.199-.371-.23-.082-.484.152-.637.203a.49.49 0 0 1-.191.031.51.51 0 0 1-.195-.031c-.148-.051-.398-.285-.637-.203-.129.047-.207.16-.199.375.004.137.121.34.145.406.035.109-.02.168-.074.207-.074.055-.211.078-.281.074-.223-.004-.379-.059-.527-.223"/><path d="M11.148 11.789c.031.012.008-.008.199.074.176.062.324.18.422.336a.37.37 0 0 1 .035.273" class="ca-B"/><path d="M11.164 12.602c.035.02.078.031.121.031.156.004.281-.141.281-.293 0-.105-.059-.195-.137-.262"/><path d="M11.199 12.316c-.039.086.012.129.066.137.082.008.125-.051.133-.113s-.027-.125-.082-.156" class="ca-B"/><path d="M14.629 5.805c.121 0 .227.137.227.27 0 .16-.086.258-.148.332-.047.059-.102.109-.164.176"/><path d="M14.484 5.676a.34.34 0 0 1 .105.09c.051.078.066.141.063.234-.008.156-.121.266-.227.336m-.176-.66l.023.027c.07.082.074.203.059.27-.016.086-.066.16-.141.203m-.187-.539c.098.074.125.203.094.336-.023.094-.082.152-.16.195m.418 1.543c.012.035.035.047.055.074a.54.54 0 0 0 .234.133c.09.023.172.004.234-.035M8.766 9.906c.047 0 .094.035.125.086.004.008.016.031.016.059s-.016.066-.039.082c-.055.039-.148.02-.148-.074" class="ca-B"/><path d="M9.055 8.672c.188.039.367.262.422.5a1.1 1.1 0 0 1 .012.449.82.82 0 0 1-.227.43c-.023.023-.051.051-.078.07l-.039.027m-.297-.453a.15.15 0 0 1 .105.246m-.156-.164c.078 0 .156.074.156.156 0 .043-.02.086-.055.113"/><path d="M9.523 8.98c.07.086.121.184.145.289m0 .32c-.012.051-.031.102-.059.148a.58.58 0 0 1-.133.176" class="ca-B"/><path d="M9.535 8.41c.07.059.113.113.133.18"/><path d="M9.672 8.23a.38.38 0 0 1-.129.172m-.344-.645l.082-.023.047-.035.031-.043.027-.066.012-.055" class="ca-B"/><path d="M9.039 7.473c-.027.008-.063.016-.094.031a.31.31 0 0 0-.133.113c-.09.141-.117.312-.082.477a.57.57 0 0 0 .086.207l.039.055c.051.047.098.074.172.063"/><path d="M9.488 7.117c-.012.051-.039.109-.113.102" class="ca-B"/><path d="M9.215 7.445c-.074-.074-.227-.09-.379.008l-.063.047a.68.68 0 0 0-.051.059.69.69 0 0 0-.09.188c-.027.113-.027.211-.023.238 0 .035.008.07.012.102.023.105.051.18.086.23.035.059.113.188.289.203.066.004.18-.027.188-.113"/><path d="M13.641 5.887c.012-.059.09-.07.113-.035.047.059.016.156-.074.184-.055.008-.109-.012-.141-.055-.039-.047-.035-.105-.02-.148.008-.031.031-.059.063-.082.102-.078.266-.062.324.074.066.164-.082.293-.227.387-.172.117-.375.141-.523.137-.348 0-.605-.164-.777-.262-.039-.02-.078-.016-.102.012s-.02.074.012.102m1.422-.369c.035 0 .043.016.055.027.047.059.012.156-.074.188m.668 1.93c-.133.141-.008.387.09.441.035.027.047.012.074.027" class="ca-B"/><path d="M14.367 7.703c-.043.031-.059.062-.063.125-.004.055.016.109.055.148a.52.52 0 0 0 .348.137c.074 0 .152-.012.227-.063a.33.33 0 0 0 .141-.203m-.777 2.32l-.008.094a.7.7 0 0 1-.078.262.74.74 0 0 1-.156.211c-.063.063-.137.113-.223.148a.85.85 0 0 1-.242.086 1.76 1.76 0 0 1-.496.023l-.254-.031-.211-.012c-.137-.004-.277.023-.406.07-.102.039-.215.113-.242.145-.023-.035-.137-.105-.234-.145-.063-.023-.129-.043-.195-.055-.082-.016-.133-.016-.219-.016s-.129.008-.211.016l-.25.027c-.094.008-.145.012-.234.008s-.18-.012-.266-.031-.164-.043-.242-.082-.156-.09-.219-.152-.117-.137-.156-.215-.066-.168-.074-.258c-.008-.039-.008-.094-.008-.094v-3.82h4.621v3.82zm0 0"/></g></g><g class="ca-L"><path d="M9.301 10.711c0-.051.043-.094.094-.094s.094.043.094.094-.043.094-.094.094-.094-.043-.094-.094zm-.582-.66c0-.051.031-.086.066-.086s.066.035.066.086c0 .043-.031.082-.066.082s-.066-.039-.066-.082zm0 0" class="ca-N ca-O"/><path d="M9.047 8.387c0-.039.031-.07.066-.07s.063.031.063.07-.027.066-.062.066-.066-.031-.066-.066zm1.152-2.461c0-.039.02-.074.055-.074s.063.02.066.059-.02.074-.055.074-.059-.023-.066-.059zm0 0"/></g><g class="ca-C ca-H ca-N"><path d="M8.973 8.773c-.016.004-.02.008-.027.02s-.016.016-.023.035l-.008.043m.176 1.004l.039-.039.02-.039.02-.035.027-.051m-.051.527l-.055.027-.043.02c-.016.012-.031.02-.047.031l-.047.039m.563-1.422l-.027-.031-.039-.031-.031-.027" class="ca-B"/><path d="M9.531 8.438l-.043.02-.059.012"/><path d="M8.902 7.816c.008.02.008.035.02.055.008.027.02.043.031.063.027.043.059.078.098.102l.059.031m-.039-.219l.051.023a.28.28 0 0 0 .113.023l.066-.004m.27-1.527l-.074-.043a.29.29 0 0 1-.074-.059l-.043-.047-.031-.051m.281-.172l.023.062c.012.027.031.055.051.078.039.035.066.047.105.082m.055-.227c.012.027.012.039.027.059.004.02.012.031.027.047l.051.047c.023.023.043.027.074.043" class="ca-B"/></g><g fill="rgb(43.921569%,23.921569%,16.078431%)"><path d="M12.5 5.684c0-.063-.066-.066-.09-.066-.07 0-.086.043-.176.086a.41.41 0 0 1-.25.074c-.09 0-.176-.023-.25-.074-.086-.043-.102-.086-.172-.086-.023 0-.047.012-.062.027s-.023.039-.02.063v.035l.008.008c0-.031.004-.047.02-.066s.039-.027.063-.027c.066 0 .094.043.18.09.109.059.156.07.25.074a.45.45 0 0 0 .254-.074c.086-.047.113-.094.18-.094.023 0 .039.016.051.035v.035l.008.004c0-.012.008-.016.008-.039zm0 0" stroke-width=".008" class="ca-G"/><path d="M9.914 11.023c.02-.016.035-.008.039-.02l-.047-.02-.027-.016c-.023.016.016.016.004.051a.14.14 0 0 1-.031.047l-.098.113-.008.004v-.164l.004-.066c.008-.016.031 0 .035-.016-.02-.012-.031-.012-.055-.02l-.035-.02c-.008 0-.02-.008-.023 0l.004.012c.016.008.02.012.02.035v.277c0 .02.004.023.008.027zm0 0"/><path d="M10.031 11.07c.012-.043.039-.016.039-.031l-.059-.023c-.016 0-.027-.012-.043-.016-.02.016.023.016.016.055l-.066.207c-.012.035-.035.023-.039.035v.004l.043.016.063.02h.008c.008-.016-.043-.012-.023-.062zm.141.039c.004-.023.016-.02.031-.016.039.012.055.047.039.094-.008.02-.016.043-.074.027-.012-.004-.027-.008-.023-.016zm-.105.188c-.02.051-.047.027-.051.043l.07.027.031.012h.016c.004-.02-.039-.012-.027-.059l.023-.074c.004-.016.004-.02.023-.012s.023.012.027.031l.012.074c.008.035.012.063.039.074.02 0 .043 0 .051-.016l-.008-.008h-.008l-.039-.145c0-.008.016-.008.031-.012s.031-.027.035-.047.016-.082-.066-.109l-.078-.02-.047-.016h-.012c-.004.02.043.016.027.066l-.055.188zm.313.094c-.016.051-.051.016-.055.035l.066.023.055.016c.02-.016-.027-.016-.016-.074l.047-.191c0-.023.008-.023.023-.02l.039.008c.039.012.016.055.035.059.008 0 .008-.016.008-.023l.004-.035v-.016l-.125-.027-.117-.031-.027.066c.02.02.02-.043.063-.031l.035.008c.016.004.02.008.016.031zm.477-.125c.016-.023.031-.02.035-.027l-.051-.012-.031-.012c-.02.02.02.012.016.055 0 .008-.004.023-.023.047l-.074.125-.012.008v-.008l-.027-.148c-.004-.023-.008-.047-.004-.07s.027-.008.027-.02l-.059-.012c-.012 0-.023-.008-.035-.012s-.02-.004-.023.004l.004.008c.02.008.023.012.027.031l.047.273c.004.02.008.027.012.027zm.023.254c0 .012 0 .012.008.02.023.008.035.023.063.027.055.008.098-.027.105-.082s-.012-.082-.051-.109c-.051-.035-.07-.043-.066-.078.004-.023.027-.035.055-.035.066.012.059.098.066.098l.02-.074v-.016h-.023c-.016 0-.027-.02-.059-.027-.047-.008-.086.027-.094.074s.016.07.043.09c.063.043.082.055.074.09s-.031.055-.062.051c-.043-.008-.059-.055-.066-.098l-.016.07zm.594-.168c.012-.027.027-.023.027-.035l-.047-.008-.035-.004c-.016.023.023.008.023.051 0 .008-.004.023-.02.051l-.066.133-.004.012-.004-.012-.043-.148c-.004-.02-.008-.043-.008-.062s.023-.012.023-.023l-.059-.008-.039-.004-.016.008c.016.008.023.012.027.031l.078.266.016.027.145-.277zm0 0"/><path d="M11.535 11.57c0 .043-.039.035-.039.055l.094.004.016-.004c0-.023-.051.008-.051-.074v-.16h.012l.191.238.008.004.008-.012v-.25c0-.051.039-.039.039-.051l-.098-.008c-.008.023.043.016.043.059v.148l-.004.016-.016-.012-.16-.199-.082-.012-.008.004c0 .023.047-.008.047.078zm.391-.207c0-.043.027-.027.027-.043l-.109-.008c-.012.023.027.008.027.055v.211c0 .043-.027.031-.027.047l.109.008c.012-.023-.031 0-.031-.055zm.168.207c0 .055-.047.035-.047.051l.129.008c.012 0 .02 0 .02-.012s-.055 0-.055-.051v-.203c0-.023 0-.023.02-.023h.039c.043-.004.031.047.047.047.008 0 .004-.016.004-.023l-.004-.039-.129-.012h-.125l-.008.012-.004.063.004.012c.02 0 .008-.059.055-.059h.031c.016 0 .02 0 .023.023v.211zm.234-.086h-.012l.004-.016.023-.082v-.008l.008.004.047.094zm.07.02c.012 0 .012 0 .027.039l.008.031c0 .023-.023.02-.023.035h.059l.047-.004c.016-.023-.004-.008-.02-.031l-.129-.266-.012-.012-.094.289c-.008.027-.027.027-.027.039h.09c.016-.023-.027-.012-.031-.047l.008-.035c.008-.031.016-.031.023-.031l.078-.008zm.309-.187c-.004-.027 0-.027.047-.035.074-.008.051.047.074.043.008 0 0-.016 0-.023l-.004-.039c-.047-.008-.074 0-.102.004l-.105.016c-.008.023.039.008.043.043l.027.207c.008.055-.027.039-.023.055l.059-.004.047-.004c.012 0 .02 0 .02-.008s-.047.004-.055-.047l-.008-.062c-.004-.027-.004-.035.012-.039h.031c.039-.008.035.043.047.039l-.008-.098c-.016-.012-.012.027-.043.031l-.027.004c-.02.004-.02 0-.023-.016zm.152.105c.016.086.078.141.156.125.129-.027.133-.137.121-.199-.02-.094-.086-.141-.164-.125-.094.02-.133.102-.113.199zm.039-.035c-.008-.062 0-.129.066-.141.051-.012.113.031.125.129.012.074 0 .133-.066.148s-.113-.074-.125-.133zm.313-.156c-.004-.027.008-.027.023-.031.035-.008.066.016.078.059.008.027.012.051-.047.066-.012 0-.027.004-.031-.008l-.02-.086zm0 .215c.016.051-.02.047-.02.059.039.004.055-.008.074-.012l.039-.008c.008-.02-.031.004-.039-.043l-.02-.074c0-.016-.008-.016.016-.02.016-.008.023-.004.039.012l.051.059c.016.023.035.051.066.043.02-.004.035-.02.035-.035l-.004-.004-.012.004-.105-.109.02-.02c.008-.016.012-.035.008-.062-.004-.02-.027-.078-.113-.059l-.078.023-.047.004c-.008.027.035 0 .047.047zm.328-.074c.008.051-.039.043-.035.059s.012.008.02.008l.051-.02.059-.012c.012-.023-.035 0-.051-.051l-.047-.199c-.008-.02 0-.023.012-.027l.035-.008c.043-.012.043.039.059.035.008 0 0-.02 0-.027l-.016-.035-.129.023-.121.027v.012l.004.059c.031.012 0-.043.051-.055l.027-.008c.016-.004.023 0 .027.02zm.203-.273c-.008-.039.023-.035.016-.051h-.012l-.051.016-.047.012c-.008.023.035 0 .047.035l.059.211c.008.039-.02.039-.02.051l.051-.008.059-.016c.008-.023-.027.008-.043-.047zm.086.102c.027.086.098.125.18.098.117-.039.109-.152.09-.211-.031-.09-.105-.125-.18-.102-.09.031-.121.121-.09.215zm.039-.039c-.023-.062-.023-.133.043-.148.047-.02.109.012.145.105.023.07.02.137-.043.16-.07.02-.121-.059-.145-.121zm.285-.207c-.008-.027 0-.031.016-.035.035-.012.074.008.09.051.008.023.016.047-.043.07-.012 0-.023.008-.027 0zm.031.211c.02.051-.016.051-.008.063l.07-.023.035-.004c0-.027-.031.004-.047-.043l-.031-.07c-.004-.016-.004-.02.012-.027s.027-.004.043.012l.059.051c.02.02.043.043.074.031.012-.008.035-.027.027-.039l-.008-.004-.008.008h-.016l-.105-.094.016-.023c.008-.02.008-.043 0-.062s-.039-.074-.117-.043l-.074.031-.047.016-.008.008c.008.016.043-.016.059.031l.078.188zm0 0"/></g><path d="M9.906 6.582h1.969v1.969H9.906zm0 0" class="ca-F"/><g class="ca-P"><path d="M10.828 8.133s0 .07-.02.125c-.023.066-.023.066-.043.098s-.055.07-.094.094a.22.22 0 0 1-.145.039c-.129-.008-.191-.152-.219-.27s-.121-.191-.18-.145c-.035.027-.035.07-.008.113.027.031.059.055.098.066l-.07.09s-.148-.02-.18-.18c-.012-.059.02-.168.117-.203.129-.043.207.047.25.125.051.105.074.297.223.27.082-.02.121-.137.121-.191l.059-.062zm0 0"/><path d="M10.953 8.133a.54.54 0 0 0 .016.125c.027.066.027.066.047.098s.055.07.09.094c.051.031.098.043.145.039.129-.008.191-.152.223-.27s.121-.191.18-.145c.035.027.035.07.008.113a.23.23 0 0 1-.098.066l.066.09s.152-.02.18-.18c.016-.059-.016-.168-.117-.203-.125-.043-.203.047-.246.125-.051.105-.078.297-.227.27-.082-.02-.117-.137-.117-.191l-.059-.062zm0 0"/></g><path d="M11.066 7.297l.258-.281s.039-.031.039-.082l-.051.008-.012-.027-.004-.027.07-.016V6.84l.008-.031-.074.004.004-.031.016-.023.043-.012h.047c.043-.082.219-.152.344-.023.094.098.074.27-.047.316a.15.15 0 0 1-.164-.027l.051-.094c.063.039.117-.008.113-.059a.11.11 0 0 0-.102-.109c-.059-.004-.098.023-.121.074-.016.031-.008.051-.012.086s0 .055-.012.09-.031.063-.059.086l-.266.289-1.031 1.113-.074-.07zm0 0" class="ca-D"/><path d="M10.309 7.391s.063.324.285.805c.113-.039.176-.066.297-.066s.184.023.297.066c.121-.258.219-.527.285-.805l-.582-.742-.586.742zm0 0" class="ca-P"/><path d="M10.945 6.898l.402.52s-.051.254-.215.633a.99.99 0 0 0-.187-.031zm-.113 0l-.402.52a3.94 3.94 0 0 0 .215.633 1.01 1.01 0 0 1 .188-.031zm1.254-.316h1.973v1.969h-1.973zm0 0" class="ca-D"/><path d="M12.363 6.582h.293v1.969h-.293zm.563 0h.293v1.969h-.293zm.563 0h.297v1.969h-.297zm0 0" class="ca-F"/><path d="M9.91 10.258c.004.035.02.098.055.16.035.055.02.051.102.141.043.047.094.082.148.109a1.21 1.21 0 0 0 .563.098 1.74 1.74 0 0 0 .246-.027 2.94 2.94 0 0 1 .414-.02c.055 0 .113.012.176.02a1.82 1.82 0 0 1 .262.078V8.766H9.902v1.398l.008.09zm0 0" class="ca-D"/><path d="M10.141 10.617l.094.055.125.047V8.762h-.219zm1.094.09V8.762h-.219v1.977l.219-.023zm.438-1.945h-.215v1.953a2.23 2.23 0 0 1 .215.035zm-.875 0v2s-.145.008-.219 0v-2zm0 0" stroke="rgb(83.529412%,16.862745%,11.764706%)" class="ca-F ca-O"/><path d="M14.051 10.258c-.008.055-.023.109-.051.156-.035.059-.023.059-.105.145s-.191.145-.309.168c-.133.035-.266.047-.398.039-.105-.004-.184-.016-.25-.023a1.81 1.81 0 0 0-.262-.023.94.94 0 0 0-.148 0c-.152.016-.297.051-.441.102V8.762h1.973v1.402l-.008.09zm0 0" class="ca-D"/><path d="M12.59 8.93l-.016.004-.016.02-.031.02-.016.012c-.004.008 0 .012-.004.023s-.008.016-.016.023-.016.012-.023.023l-.031.023-.004.004h-.016c-.012.004-.012.016-.02.02l.008.012.02.035c.004.008.004.016.012.02s.02.004.031.004c.02.004.031.004.047.012l.035.02.031.012h.043v.008l.051.023c-.008.016-.008.023-.008.027.016.047.031.07.039.078s.02.02.023.035l-.004.008c-.016.012-.031.023-.043.043-.016.027-.027.027-.008.066l.035.059a.1.1 0 0 1 .02.047c.008.016.008.027.008.047l.023.008.02-.012.012-.031v-.023c-.004-.027.008-.023.012-.031s-.008-.02-.016-.027c-.016-.016-.031-.02-.039-.043 0-.008 0-.012.012-.02l.047-.043c.004.004.016.004.023.004l.031.008c.016.008.023 0 .031 0h.008l.004.016c0 .023-.004.07.004.082l.008.016.004.016v.047l-.004.043c0 .008-.008.016-.012.023s-.016.008-.027.016v.023l.027.012.031.008.02-.008v-.012l.012-.016c.012-.004.02 0 .023 0 0-.035-.004-.043-.008-.059-.004-.023-.004-.043-.004-.066 0-.016 0-.023.008-.035 0-.023.008-.035.012-.055s.008-.039.012-.059c.078.012.164.008.242-.016.02.016.039.031.063.039v.023l.012.023c.023-.008.023-.012.023-.02v-.02h.043v.027c.016.012.023.012.027.012.008-.008.004-.016.008-.027v-.016l.023-.008-.008.043c-.004.012-.012.02-.02.031s-.012.027-.023.039l-.016.016-.016.02-.02.027c-.016.012-.027.004-.047.02l-.008.023.031.016.031.004.012-.004c0-.008 0-.016.008-.02.023-.008.035-.008.039-.016.012-.004.012-.023.016-.035.02-.035.043-.066.074-.094l.039-.031c.008-.012.012-.016.012-.027l-.004-.012-.004-.023c.035.016.023.016.027.031s0 .023.004.043.012.023.012.043-.004.035-.008.055 0 .031-.012.051c-.004.012-.016.023-.027.035l-.012.012-.004.023.027.012.039.008.008-.008c.004-.016 0-.039.008-.039s.02 0 .02-.008v-.016l.02-.109.008-.047.012-.039c.016-.047-.008-.055-.027-.086-.012-.02-.016-.023-.016-.035v-.07-.066l.012-.008c.027-.016.039-.02.055-.059.008-.012.008-.023.008-.035v-.023l-.008-.027c-.004-.004-.008-.012-.016-.016-.016-.027-.039-.027-.066-.039-.035-.012-.059-.008-.094-.012-.043-.004-.066-.004-.105 0-.047 0-.074.012-.121.02l-.121.008c-.055 0-.105-.012-.137-.008-.059.004-.062.016-.148.023l-.094.008-.051-.02c.02-.008.027-.012.035-.023s.004-.016.016-.027l.016-.023c-.008-.004-.012-.008-.02-.008h-.027c-.008 0-.02 0-.027.008l-.02.012-.051-.027c-.023-.012-.047-.02-.074-.023zm.047.281zm0 0" class="ca-F"/><g class="ca-Q"><path d="M13.652 9.227l-.02.008c-.023.012-.039.012-.062.012-.063.008-.105-.023-.168-.02-.035 0-.047.027-.086.039-.012 0-.027.004-.039.004l.012-.023s-.027.008-.047.008-.027-.004-.039-.008l.023-.023-.031-.004c-.008-.004-.016-.012-.023-.016.012-.004.027-.004.039-.008.035-.012.051-.031.094-.035.027 0 .074 0 .184.02.07.012.105.004.133-.008.02-.008.023-.023.023-.043s-.008-.031-.016-.043c-.004 0-.016-.008-.027-.008" class="ca-B ca-C ca-I"/><path d="M12.594 9.016c-.012 0-.02 0-.031.008s-.012.016-.023.023c.012.004.02.012.031.008s.012-.004.02-.012.008-.016.008-.027zm0 0" class="ca-J ca-K"/><g class="ca-C ca-I"><path d="M12.863 9.332l.023.055c.008.02 0 .027.008.047v.039m.16-.168l-.008.031-.023.086v.016m-.262-.098c.02.004.012.082.043.098" class="ca-B"/><path d="M13.441 9.477l.012-.008c.023-.012.047-.023.063-.043"/><path d="M13.258 9.434c.082-.023.141-.062.184-.07m-.098-.035h.02c.035-.008.039.012.066.027.043.023.047.055.102.082h.008l.02.012" class="ca-B"/></g><path d="M12.426 9.109h.016l.02-.008c.02.008.02.008.023.012.004.02-.004.023-.012.023-.02-.012-.027-.012-.035-.016zm0 0" class="ca-J ca-K"/></g><path d="M12.602 9.34l-.047-.02c.008-.008.016-.008.023-.012.008-.012.008-.02.012-.031s.004-.023.016-.035c.008-.004.02-.004.027-.004s.02.012.023.02-.004.023-.008.035-.008.02-.004.035c0 .008.004.012.008.023l-.047-.012zm-.023.023c.02-.016.027-.012.027-.004-.016.02-.02.016-.023.016zm-.039-.398h-.008c-.008-.008-.008-.02-.012-.027s-.008-.02-.008-.027v-.051c-.004-.023-.016-.027-.012-.031.02 0 .023.004.031.012s.012.016.016.023l.012.035.004.02.012.016-.016.02zm.086.258l.051.023a.22.22 0 0 0 .086-.094.36.36 0 0 0 .031-.105l-.043-.012h-.008c-.012.043-.016.066-.039.102s-.039.055-.062.07zm.117.434l.02-.031.035-.023h.008c0 .02-.004.043-.012.066l-.008.023-.012.012c-.012-.02-.031-.031-.031-.047zm.793.043l.035.016.035.023v.012l-.035.004h-.031-.023l-.016-.012c.012-.016.02-.035.035-.043zm-.234-.047l.035.012.035.023c-.023.016-.043.02-.066.02l-.023-.004-.016-.008c.012-.016.02-.039.035-.043zm-.418.051l.035.012.039.023v.012c-.023.008-.047.008-.07.008h-.023l-.016-.012c.016-.016.02-.039.035-.043zm-.215-.715c-.016-.008-.023-.023-.016-.039.02-.016.016-.02.016-.027l-.004-.023-.004-.027c0-.012 0-.023.008-.035s.02-.016.02-.016c0 .031.004.035.008.047l.016.031c.008.016.012.02.012.035s0 .016-.004.027-.008.016-.016.02-.012.008-.02.012zm0 0" class="ca-R"/><path d="M12.59 9.805l-.016.008-.016.02c-.012.008-.02.012-.031.016l-.016.016c-.004.004 0 .012-.004.023s-.008.012-.016.023-.016.012-.023.023l-.031.023-.004.004h-.016c-.012.004-.012.012-.02.02l.008.012.02.035c.004.008.004.016.012.02s.02.004.031 0c.02.008.031.008.047.016l.035.016c.012.008.02.012.031.016h.043v.004l.051.027c-.008.016-.008.023-.008.027.016.047.031.07.039.078s.02.02.023.035l-.004.008c-.016.012-.031.023-.043.043-.016.027-.027.027-.008.066l.035.059a.1.1 0 0 1 .02.047c.008.016.008.027.008.047l.023.008.02-.016.012-.027v-.023c-.004-.027.008-.023.012-.031s-.008-.02-.016-.027c-.016-.016-.031-.02-.039-.047l.059-.059c.004.004.016.004.023.004l.031.008c.016.004.023 0 .031 0h.008l.004.016c0 .023-.004.07.004.082l.008.016.004.016v.047l-.004.039c0 .012-.008.02-.012.027s-.016.008-.027.016v.023l.027.012.031.008.02-.008v-.016l.012-.012c.012-.004.02 0 .023 0 0-.035-.004-.043-.008-.059-.004-.023-.004-.043-.004-.066 0-.016 0-.023.008-.035 0-.027.008-.035.012-.055s.008-.039.012-.059c.078.012.164.008.242-.016.02.016.039.027.063.039v.023l.012.023c.023-.008.023-.016.023-.02v-.02h.043v.027c.016.012.023.012.027.012.008-.008.004-.016.008-.027v-.016l.023-.008-.008.043c-.004.012-.012.02-.02.031s-.012.023-.023.035l-.031.039-.02.023c-.016.016-.027.008-.047.023l-.008.023.031.016.031.004.012-.004c0-.008 0-.016.008-.02.023-.012.035-.012.039-.016.012-.008.012-.023.016-.035.02-.035.043-.066.074-.094l.039-.035c.008-.008.012-.012.012-.023l-.004-.012-.004-.027c.035.02.023.02.027.035s0 .023.004.043.012.023.012.043-.004.035-.008.055 0 .031-.012.051c-.004.012-.016.023-.027.035l-.012.012-.004.023.027.008.039.012.008-.008c.004-.016 0-.039.008-.039s.02 0 .02-.008v-.016l.02-.109.008-.047.012-.039c.016-.051-.008-.055-.027-.086-.012-.02-.016-.027-.016-.039v-.066-.07l.012-.004c.027-.016.039-.02.055-.059.008-.012.008-.023.008-.035v-.027l-.008-.023c-.004-.008-.008-.012-.016-.02-.016-.023-.039-.023-.066-.035-.035-.012-.059-.008-.094-.012-.043-.004-.066-.004-.105 0-.047 0-.074.012-.121.016l-.121.012c-.055 0-.105-.012-.137-.012-.059.008-.062.02-.148.027-.031.004-.062.004-.094.004l-.051-.016c.02-.008.027-.012.035-.023s.004-.016.016-.027l.016-.023c-.008-.004-.012-.008-.02-.008h-.027c-.008 0-.02 0-.027.004l-.02.016-.051-.027c-.023-.012-.047-.02-.074-.023zm.047.285zm0 0" class="ca-F"/><g class="ca-Q"><path d="M13.652 10.105l-.02.008c-.023.012-.039.012-.062.012-.063.004-.105-.027-.168-.02-.035 0-.047.027-.086.035-.012.004-.027.008-.039.008l.012-.023s-.027.004-.047.004-.027 0-.039-.004l.023-.023-.031-.004c-.008-.004-.016-.012-.023-.02.012 0 .027-.004.039-.004.035-.012.051-.031.094-.035.027 0 .074 0 .184.02.07.012.105.004.133-.008.02-.008.023-.023.023-.043s-.008-.035-.016-.043c-.004 0-.016-.008-.027-.008" class="ca-B ca-C ca-I"/><path d="M12.594 9.895c-.012 0-.02 0-.031.004s-.012.02-.023.027c.012.004.02.012.031.008s.012-.004.02-.012.008-.016.008-.027zm0 0" class="ca-J ca-K"/><g class="ca-C ca-I"><path d="M12.863 10.211l.023.055c.008.02 0 .027.008.047v.039m.16-.168l-.008.031-.023.082v.02m-.262-.098c.02.004.012.078.043.098" class="ca-B"/><path d="M13.441 10.355l.012-.008c.023-.012.047-.027.063-.043"/><path d="M13.258 10.309c.082-.02.141-.063.184-.066m-.098-.039h.02c.035-.004.039.016.066.031.043.023.047.055.102.082h.008l.02.012" class="ca-B"/></g><path d="M12.426 9.988h.016l.02-.008c.02.008.02.008.023.012.004.02-.004.023-.012.023-.02-.016-.027-.016-.035-.016zm0 0" class="ca-J ca-K"/></g><path d="M12.602 10.219l-.047-.02c.008-.008.016-.008.023-.012.008-.012.008-.02.012-.031s.004-.027.016-.035.02-.004.027-.004.02.012.023.02-.004.023-.008.035-.008.02-.004.031.004.016.008.027l-.047-.012zm-.023.023c.02-.016.027-.012.027-.004-.016.02-.02.016-.023.012zm-.039-.398h-.008c-.008-.008-.008-.02-.012-.027s-.008-.02-.008-.027v-.051c-.004-.027-.016-.027-.012-.031.02 0 .023.004.031.012s.012.012.016.023l.012.035.004.02.012.016-.016.02zm.086.254l.051.027a.22.22 0 0 0 .086-.094.36.36 0 0 0 .031-.105l-.043-.012h-.008c-.012.043-.016.066-.039.102s-.039.055-.062.07zm.117.438l.02-.031.035-.027h.008c0 .023-.004.047-.012.07l-.008.023-.012.012c-.012-.02-.031-.031-.031-.047zm.793.043l.035.016.035.02v.016l-.035.004h-.031-.023l-.016-.012c.012-.016.02-.035.035-.043zm-.234-.047l.035.012.035.023c-.023.016-.043.02-.066.02l-.023-.004-.016-.008c.012-.016.02-.039.035-.043zm-.418.051l.035.012.039.023v.012c-.023.004-.047.008-.07.004h-.023l-.016-.008c.016-.016.02-.039.035-.043zm-.215-.715c-.016-.008-.023-.023-.016-.039.02-.016.016-.023.016-.027l-.004-.027-.004-.023c0-.012 0-.023.008-.039.008-.004.02-.012.02-.012 0 .031.004.035.008.047l.016.031c.008.016.012.02.012.035s0 .016-.004.027-.008.016-.016.02a.03.03 0 0 1-.02.008zm0 0" class="ca-R"/><path d="M9.902 6.582h1.973v1.969H9.902zm2.184 0h1.973v1.969h-1.973zM9.91 10.258c.004.035.02.098.055.16.035.055.02.051.102.141.043.047.094.082.148.109a1.21 1.21 0 0 0 .563.098 1.74 1.74 0 0 0 .246-.027 2.94 2.94 0 0 1 .414-.02c.055 0 .113.012.176.02a1.82 1.82 0 0 1 .262.078V8.766H9.902v1.398l.008.09zm4.141 0a.48.48 0 0 1-.051.16c-.039.055-.023.051-.102.141-.043.047-.094.082-.152.109-.047.027-.086.039-.164.062-.129.031-.262.047-.398.035-.102-.004-.18-.02-.242-.027-.09-.012-.18-.02-.27-.02a.94.94 0 0 0-.148 0c-.055 0-.109.012-.176.02-.129.027-.262.078-.262.078V8.762h1.977v1.406l-.008.09zm0 0" stroke-width=".019" class="ca-C ca-G"/></svg>')
            },
            zh: {
                languageName: 'Chinese',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(87.058824%,16.078431%,6.27451%)"/><path d="M2.879 6.66L4.5 1.801 6.121 6.66l-4.32-2.969h5.398zm7.027-4.765l-1.668.367L9.352.965l-.109 1.746-.926-1.543zm1.684 2.132l-1.68-.309 1.527-.762-.777 1.566-.254-1.785zm-.246 2.989l-1.41-.965 1.707-.07-1.348 1.109.496-1.73zM9.223 8.973l-.926-1.434 1.602.59-1.672.504L9.352 7.23zm0 0" fill="rgb(100%,87.058824%,0%)"/></svg>')
            },
            hr: {
                languageName: 'Croatian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.hr-B{fill:rgb(0%,0%,0%)}.hr-C{fill:rgb(100%,100%,100%)}.hr-D{fill:rgb(96.862745%,85.882353%,9.019608%)}.hr-E{fill-rule:evenodd}.hr-F{fill:rgb(100%,0%,0%)}.hr-G{fill:rgb(9.019608%,9.019608%,58.823529%)}.hr-H{fill:rgb(0%,57.647059%,86.666667%)}]]></style><path d="M0 0h24v18H0z" class="hr-G"/><path d="M0 0h24v12H0zm0 0" class="hr-C"/><path d="M0 0h24v6H0zm12 13.652c1.922 0 3.5-1.574 3.5-3.496V6h-7v4.156c0 1.926 1.578 3.5 3.5 3.5zm0 0" class="hr-F"/><path d="M12 13.598a3.44 3.44 0 0 0 3.434-3.43V6.066H8.57v4.098c.004 1.891 1.539 3.422 3.43 3.43zm0 0" class="hr-C"/><path d="M10.016 6.195H8.699v1.449h1.32zm0 2.902h1.324V7.645h-1.328zM8.699 10.16c0 .129.008.262.023.387h1.297V9.098h-1.32zm3.965-1.062h-1.32v1.449h1.32zm0 2.902h1.32v-1.453h-1.32zm1.32.797a3.4 3.4 0 0 0 .754-.797h-.75v.797zM10.016 12h1.324v-1.453h-1.328zm-.754 0a3.4 3.4 0 0 0 .754.797V12zm2.969 1.453c.148-.012.285-.031.43-.062V12h-1.32v1.391a3.2 3.2 0 0 0 .426.063c.156.008.309.004.465 0zm3.046-2.906c.016-.125.023-.258.023-.387V9.098h-1.32v1.449zM12.66 9.098h1.32V7.645h-1.32zm0-2.902h-1.32v1.449h1.32zm2.641 1.449v-1.45h-1.32v1.449zm0 0" class="hr-F"/><path d="M15.375 5.953l.816-1.855-.621-1.004-1.035.383-.727-.832-.953.551L12 2.492l-.852.699-.957-.547-.727.832L8.43 3.09l-.621 1.012.816 1.852A8.24 8.24 0 0 1 12 5.23a8.2 8.2 0 0 1 3.375.723zm0 0" class="hr-C"/><path d="M9.488 3.555L8.461 3.18l-.574.926.223.5.555 1.262c.418-.184.852-.336 1.297-.449zm0 0" class="hr-H"/><path d="M9.426 4.473a.5.5 0 0 1 .062.234.5.5 0 0 1-.504.496.5.5 0 0 1-.492-.402c.09.16.258.258.441.258a.51.51 0 0 0 .383-.18.49.49 0 0 0 .109-.406zm0 0" stroke="rgb(0%,0%,0%)" stroke-width=".011" class="hr-C"/><path d="M8.535 4.273l.039-.184-.145-.117-.004-.004.008-.004.172-.062.039-.18v-.008l.008.004.137.121.172-.059h.008v.008l-.035.18.137.117.008.008h-.012l-.172.063-.035.18v.008l-.004-.004-.141-.121-.172.059h-.012zm0 0" class="hr-B"/><path d="M8.762 4.035l.129.113.16-.059zm0-.008l.289.059-.125-.109zm-.312-.059l.293.055-.133-.113zm.293.063l-.293-.055.129.109zm.016-.012l.195-.223-.164.055zm-.211.242l.195-.227-.164.055zm.199-.223l-.195.227.16-.059zm.207-.242l-.191.227.16-.055zm-.207.227l-.098-.285-.035.168zm.102.301l-.094-.281-.035.168zm-.09-.285l.098.281.031-.168zm-.102-.301l.094.281.035-.168zm0 0" class="hr-D"/><path d="M11.156 3.277l-.953-.539-.715.82.473 1.859a7.87 7.87 0 0 1 1.352-.223zm0 0" class="hr-G"/><path d="M9.844 4.957a8.45 8.45 0 0 1 1.434-.238l-.039-.484a9.09 9.09 0 0 0-1.516.25zm-.234-.937a9.44 9.44 0 0 1 1.59-.262l-.043-.477a10.47 10.47 0 0 0-1.668.277zm0 0" class="hr-F"/><path d="M12.852 3.277l-.004.004-.844-.695-.844.691.156 1.918.688-.031.688.031zm0 0" class="hr-H"/><path d="M12 4.141c-.02.027-.035.047-.055.066-.016.008-.02.016-.012.031-.023 0-.027.02-.027.039-.023-.035-.047-.043-.074-.027 0-.02-.016-.031-.039-.035-.016 0-.027-.004-.039-.012-.023-.02-.035-.012-.031-.004l.074.117.02.051c-.023.004-.043 0-.062 0s-.023-.004-.031-.012c-.008.055.004.098.043.141h-.059c.004.035.023.063.066.078-.02.008-.031.023-.031.047s-.008.031-.02.039c.02.027.047.027.074.02-.012.023-.02.051-.016.074.02.008.035.004.055-.004-.004.008-.004.016-.004.027s-.004.02-.012.031c.031.016.059.016.082.004 0 .023 0 .043.008.066.023-.016.039-.035.059-.043.004.008.008.016.012.02.012.004.016.012.016.027.016.012.047-.023.055-.043.02.012.027.02.039.039.016-.023.02-.043.02-.066.023.012.051.012.078.004l-.008-.039c0-.012 0-.02-.004-.027.016.008.035.012.055.004.004-.023-.004-.051-.02-.074.031.008.059.008.082-.008-.016-.02-.02-.031-.023-.051s-.012-.039-.031-.047a.12.12 0 0 0 .074-.07c-.027-.008-.051-.008-.07-.008.039-.043.055-.086.055-.137-.016.004-.023.008-.039.008s-.039 0-.059.012c0-.023.008-.035.012-.047l.074-.133c-.02-.004-.023 0-.027.004-.012.008-.023.012-.039.012-.023.004-.039.016-.039.035-.027-.016-.051-.008-.074.027 0-.02 0-.039-.023-.039.004-.016 0-.023-.016-.031-.02-.02-.043-.039-.059-.062zm0 0" class="hr-B"/><g class="hr-D"><path d="M12.227 4.266c-.02.016-.02.023-.012.023l.012-.008zm-.445 0c.016.016.016.023.012.023-.016-.016-.016-.023-.012-.023zm.402.078zm-.359 0zm.383-.027c-.066-.008-.133-.012-.199-.012a1.77 1.77 0 0 0-.203.012l.203-.004a1.59 1.59 0 0 1 .195.012zm0 0"/><path d="M11.805 4.309l.203-.008c.066 0 .133.004.199.012l.012-.016c-.016-.004-.016-.016-.012-.027s.016-.016.02-.012l.047-.055c-.02.012-.027.02-.051.023s-.039.012-.035.027c-.043-.012-.062.008-.074.035-.008.016-.016.016-.016 0 0-.039-.008-.047-.02-.039-.008-.012-.004-.016-.008-.023L12 4.152l-.047.063c-.016.02-.012.023-.008.027-.023 0-.027.008-.031.027 0 .035-.008.035-.016.02-.008-.027-.031-.047-.059-.031-.012.008-.02.008-.016-.004s-.012-.023-.035-.027-.035-.012-.051-.023l.035.059c.012-.008.023 0 .027.008s.004.023-.004.023zm.391.082c-.02.02-.027.023-.035.027.004-.008.012-.016.016-.02-.004-.008-.012-.008-.02-.012-.008.004-.012.008-.02.012-.02.008-.016.008-.016.008.016-.016.02-.02.023-.02-.012 0-.02 0-.031-.004h-.008c-.023.004-.027.008-.027.012-.012-.012-.02-.012-.031-.012-.02.008-.016.008-.016.008-.004-.008-.016-.012-.027-.012s-.02.004-.031.004h-.039-.031c-.016.004-.027.004-.035.004.016.008.02.012.023.02l-.039-.02c-.008 0-.016.004-.023.004.012.012.02.02.027.023-.012 0-.02-.004-.023-.012-.031-.02-.043-.023-.062-.023s-.031-.004-.043-.008c.004.008.008.016.012.02s.012.012.02.012c.004.02.008.027.016.039.004.004.012.008.02.012-.008-.008-.012-.016-.016-.023s-.008-.023-.008-.035c.004.012.004.023.012.035s.016.02.027.031c-.02 0-.031-.008-.039-.016s-.012-.023-.016-.035c-.008-.004-.016-.008-.02-.016s-.008-.012-.012-.02c.004.039.016.07.043.102a.04.04 0 0 0 .023.02c-.004.012 0 .016.008.02s.02.012.02.023a.04.04 0 0 0-.023-.02l-.035-.016h-.039c.02.012.027.016.039.02s.016.004.023.008.012.008.016.016c-.008-.004-.016-.008-.02-.012-.035-.008-.043-.012-.051-.016 0 .023.023.039.059.047.012.004.02.008.027.008s.016.004.023.004c-.008.004-.016.004-.023.004-.016-.004-.02-.004-.023-.004-.02 0-.039.02-.039.043.008-.004.016-.012.023-.016s.023-.008.031-.008c-.008.004-.02.008-.027.012a.17.17 0 0 0-.027.023c-.004.012-.008.023-.02.035.023 0 .031-.004.039-.008s.016-.004.023-.004c-.008.004-.016.008-.023.008s-.012.008-.02.012c.02.004.043-.004.059-.008s.023-.008.027-.012c-.016.02-.02.02-.02.023-.012.008-.016.016-.02.023l.043-.031c-.008.012-.02.02-.027.027l-.02.031c.008-.004.016-.012.027-.02s.023-.012.035-.012c-.012.004-.023.008-.031.016s-.023.02-.035.035c.02 0 .035-.004.051-.008.008-.004.016-.016.02-.016l.016-.016c-.008.016-.012.02-.016.023s-.016.016-.016.023c-.004.02-.004.031-.012.051.02-.016.023-.023.027-.031s.008-.02.016-.023.016-.012.023-.016c-.008.008-.016.012-.02.02s-.012.012-.016.02-.004.016-.012.023c.004.012.016.004.023 0s.008-.012.012-.02c.004.012-.004.02-.008.023s-.012.008-.02.008c.016 0 .027-.004.043-.008.004-.004.008-.016.012-.02.012-.02.016-.023.023-.023-.016.02-.016.023-.02.027s-.004.02-.004.027c0 .02 0 .035.004.055.004-.008.008-.012.016-.02 0-.008 0-.02.004-.027s0-.023-.004-.031c.008.008.008.02.008.031s0 .016-.004.023c.012-.016.012-.023.016-.031-.004-.023-.004-.023 0-.023.004.008.004.016.004.023.012-.02.012-.023.012-.031.008.008.008.012.008.02 0 .027.004.039.012.043s.012.012.016.023v-.035c0-.016-.004-.023-.012-.035.012.008.016.02.016.035a.08.08 0 0 1 0 .043c.012-.008.035-.023.031-.055.016.008.016.008.02.008-.004-.023-.004-.031-.004-.035l.012.043c.004-.027.004-.035.004-.047.004.012.004.02.004.031s.004.02.004.027c.008.008.012.012.016.02.004-.02.008-.035.004-.055 0-.008-.004-.02-.004-.027-.012-.02-.016-.02-.023-.023.008-.004.016 0 .02.008.012.012.016.027.02.031.016.004.027.008.043.008a.03.03 0 0 1-.02-.008c-.008-.004-.012-.012-.016-.02.008.004.016.012.02.016s.027.012.035.012c-.02-.02-.023-.023-.027-.035s-.008-.016-.012-.02-.012-.012-.023-.016c.012 0 .02.004.027.012s.012.012.016.023.004.016.012.02c.004-.008.008-.02.004-.039-.004-.012-.02-.023-.02-.027.008-.004.016.008.023.012.016.004.031.008.047.008-.008-.016-.02-.027-.031-.035s-.02-.012-.031-.008c.012-.008.023-.004.035.004s.02.016.027.027c-.008-.02-.016-.027-.023-.039a.07.07 0 0 0-.027-.02c.016 0 .023.008.031.016s.016.02.02.027c0-.004-.004-.012-.008-.02s-.008-.016-.016-.023-.02-.016-.02-.016c-.008-.008-.016-.008-.02-.008.02 0 .023.004.027.004s.012.004.02.008c.016.008.039.012.059.008-.008-.004-.016-.008-.02-.012s-.016-.004-.023-.004c.008-.004.016-.004.023 0l.023.012c.004-.016 0-.027-.004-.039s-.02-.016-.027-.023-.02-.008-.027-.004c.008-.008.02-.008.031 0s.016.012.023.02c-.004-.027-.02-.047-.039-.047.039-.02.063-.035.078-.07-.023.016-.035.02-.047.023-.027.008-.031.012-.035.016.02-.02.023-.02.031-.023.016-.004.023-.008.031-.012 0-.008-.016-.008-.027-.008s-.027.012-.035.016-.02.012-.02.02c-.004-.012.004-.02.016-.023.004-.004.012-.008.02-.012-.004-.012.008-.02.012-.027a.18.18 0 0 0 .039-.102.03.03 0 0 1-.008.02c-.008.008-.012.012-.02.016-.004.012-.008.023-.016.035s-.02.016-.035.02c.012-.016.02-.023.023-.035s.008-.023.008-.035c.004.012.004.023-.004.035s-.008.016-.016.023c.008-.004.012-.008.02-.012.004-.012.012-.02.012-.035.012-.004.016-.008.023-.016a.03.03 0 0 0 .008-.02c-.012.004-.023.004-.039.008a.12.12 0 0 0-.051.012zm0 0"/><path d="M12.188 4.375c-.059-.008-.121-.008-.18-.008l-.184.008h.18l.184.008zm0 0"/><path d="M11.824 4.367l.184-.008c.059 0 .117.004.18.012l.004-.012c-.012 0-.016-.004-.02-.008.016-.016.02-.012.023-.008l.004-.012c-.062-.008-.129-.012-.191-.012l-.195.008.004.016c.016-.004.02 0 .02.008zm.273-.035c-.012.016-.004.023 0 .023.012-.02.008-.023 0-.023zm0 .004zm-.094-.008c-.012.02-.008.023 0 .023.008-.016.004-.023 0-.023zm0 .008zm-.098-.004c-.008.02-.004.023 0 .023.012-.02.008-.023 0-.023zm0 .004zm0 0" class="hr-E"/></g><g class="hr-B"><path d="M12.008 4.266c-.016-.023-.02-.023-.027-.023.004-.008.008-.016.012-.02l.012-.023c.008.008.008.016.012.02s.012.008.02.012c-.02.02-.02.027-.023.035zm0-.012l.016-.02c-.012-.016-.016-.02-.016-.023-.012.02-.016.023-.02.023.016.012.02.016.02.02zm.074.453l-.047.02.043-.023zm.004-.027l-.055.027.051-.035zm-.164-.008l.055.031-.059-.023zm.004.031l.047.016-.047-.012zm.023.039c.012 0 .02.004.031 0l.016-.055c-.008 0-.02-.004-.027-.004s-.016-.008-.016-.016-.004-.023-.004-.031c.008.008.004.02.008.027.023.016.031.016.043.016s.016 0 .027-.004c.02-.016.02-.02.02-.027-.02-.008-.023-.008-.027-.008.02-.008.023-.008.027-.004.008.02.008.027 0 .031s-.012.012-.02.016-.016.004-.023.004v.043c.023.016.035.012.047.008-.012.012-.023.012-.031.012s-.016-.004-.02-.012c-.004.008-.012.008-.02.012s-.023 0-.035-.004zm.031.016h.035l-.035.008zm.051-.273l.039-.027c.012-.004.023-.008.031-.008-.008.008-.02.008-.027.016s-.023.016-.039.023zm-.055.004a.14.14 0 0 0-.039-.027c-.012-.004-.023-.008-.031-.008.008-.008.023-.004.035.004s.027.016.043.027zm-.016.09c0-.008.004-.012.012-.02l.016-.016c-.004.012-.008.016-.012.02s-.008.012-.012.02zm.031-.152c.004.004.008.012.012.02v.023c.004.008.004.016 0 .023s-.004.016-.008.023c-.02.008-.023.008-.027.008 0 .008.004.02 0 .027-.02-.008-.023-.008-.027-.008l-.023-.012c-.016-.016-.02-.02-.02-.023-.008-.02-.016-.023-.02-.027-.016-.012-.016-.016-.016-.016.012.004.016.008.02.012s.012.004.02.008.02.004.031.012.02.008.027.016c.023.004.027.004.031-.004.008-.023.008-.031.008-.039s0-.016-.004-.023c-.012-.02-.012-.02-.008-.02zm-.035.094c-.008-.008-.016-.016-.027-.02s-.016-.008-.027-.008c.004.016.004.02.008.023.02.016.023.016.031.02.016.008.02.008.02.008.004-.008 0-.016 0-.023zm.07-.09c-.012.023-.012.031-.012.039v.023c0 .004.004.012.008.02.016.008.02.008.023.004h.004c.012-.012.02-.016.031-.02s.02-.008.031-.012.012-.008.02-.008c.012-.012.016-.016.016-.012-.02.02-.023.023-.031.027-.004.02-.004.023-.008.027-.02.016-.027.02-.035.023-.016.004-.02.008-.023.008-.008-.008-.008-.02-.004-.027-.02 0-.023-.004-.027-.008s-.008-.016-.012-.023v-.023c0-.008.004-.016.004-.023s.008-.016.012-.02zm.082.063c-.008 0-.016.004-.027.008s-.016.012-.027.02c-.004.008-.004.016-.004.023.012-.004.016-.004.02-.008s.016-.004.02-.008c.016-.016.02-.02.02-.023zm0 0"/><path d="M12.082 4.496c-.012 0-.02.012-.02.02s.008.02.02.02.02-.008.02-.02-.008-.02-.02-.02zm0 .008c-.012.02-.008.027 0 .027.012-.023.008-.027 0-.027zm0 .004zm-.152-.012c.012 0 .02.012.02.02s-.008.02-.02.02-.016-.008-.016-.02.008-.02.016-.02zm0 .008c.016.02.008.027 0 .027-.012-.023-.004-.027 0-.027zm0 .004zm0 0" class="hr-E"/><path d="M11.609 3.266l-.051.07c-.016.008-.02.02-.016.031-.023 0-.023.02-.023.039-.023-.031-.047-.039-.074-.023 0-.02-.016-.027-.039-.031-.016 0-.031-.008-.039-.012-.027-.016-.035-.008-.031-.004l.074.113c0 .008.004.016.012.02l.012.035h-.062c-.016 0-.023-.004-.031-.012-.008.055.008.098.051.137-.02.004-.043.004-.062.004.008.039.027.063.07.078-.02.008-.027.023-.031.047s-.004.031-.016.039c.02.027.047.027.078.016-.016.027-.02.051-.016.078.02.004.035 0 .055-.008-.004.008-.004.016-.004.027s-.004.02-.008.031c.031.016.059.012.082.004 0 .02 0 .043.008.063.023-.016.039-.035.059-.047 0 .008.004.016.012.02s.016.016.016.031c.016.008.047-.027.055-.047.02.008.027.02.039.039.016-.027.016-.047.016-.066.023.008.051.008.082 0-.008-.02-.012-.031-.012-.043s-.004-.02-.004-.023c.016.004.035.008.055 0 0-.023-.008-.051-.023-.074.031.008.059.004.082-.012-.016-.016-.023-.027-.023-.051s-.016-.035-.035-.043c.043-.02.063-.043.07-.07-.027-.012-.047-.012-.07-.012.039-.043.051-.086.051-.133-.016 0-.023.004-.039.008s-.039.004-.059.012a.12.12 0 0 1 .008-.043c.008-.008.012-.012.008-.02l.066-.117c-.02-.004-.027 0-.031.004-.012.008-.023.012-.039.012-.02.008-.035.02-.035.039-.027-.016-.051-.004-.07.027-.004-.02-.008-.039-.031-.035.008-.016.004-.027-.016-.031-.016-.02-.043-.039-.059-.062zm0 0"/></g><g class="hr-D"><path d="M11.84 3.383c-.016.016-.016.023-.012.027l.012-.012zm-.445.016c.02.016.02.023.016.027-.02-.016-.02-.023-.016-.027zm.406.066zm-.359.012zm.383-.039c-.066-.008-.137-.008-.203-.004a1.71 1.71 0 0 0-.199.016l.199-.008a1.13 1.13 0 0 1 .199.004zm0 0"/><path d="M11.418 3.445c.07-.012.137-.016.203-.02s.133 0 .203.004l.008-.016c-.016-.004-.016-.016-.012-.023s.016-.02.02-.016l.043-.055c-.016.012-.027.02-.051.023s-.035.012-.031.027c-.043-.008-.062.016-.074.039-.016-.008-.016-.012-.016-.02-.004-.02-.008-.023-.02-.016-.012-.012-.004-.02-.008-.027l-.074-.07-.047.066c-.012.02-.008.023-.004.027-.023.004-.027.008-.031.027 0 .035-.008.035-.016.02-.008-.023-.031-.043-.059-.027-.012.008-.02.008-.016-.004s-.012-.023-.035-.027-.035-.008-.055-.02l.039.059c.012-.008.023-.004.027.008s.004.02-.004.023zm.395.066c-.02.016-.023.023-.031.027.004-.008.008-.016.012-.02s-.008-.012-.02-.012c-.004.004-.012.008-.02.012 0-.012-.012-.012-.02-.012h-.008-.023-.039-.039-.035c-.02.004-.027.004-.039.004s-.02 0-.027.004c-.02 0-.031 0-.039.004.016.008.023.012.027.016a.03.03 0 0 1-.02-.008c-.008-.004-.016-.004-.023-.008s-.016.004-.023.004c.016.012.02.02.027.023-.012 0-.016-.004-.023-.012-.027-.02-.043-.02-.062-.023s-.027 0-.043-.004c.004.008.008.016.016.02.02.012.02.016.02.016.004.012.008.023.016.031s.012.012.02.016c-.008-.008-.016-.016-.02-.023s-.008-.023-.008-.035c.008.008.008.02.016.031s.012.023.027.031c-.02 0-.031-.004-.039-.016s-.016-.02-.016-.035c-.012 0-.016-.004-.023-.012a.03.03 0 0 1-.008-.02c.004.039.016.07.043.102.004.004.016.016.023.016-.004.016.004.016.012.02s.02.016.02.023c-.008-.008-.016-.012-.023-.02l-.035-.012c-.016 0-.027 0-.043.004l.043.016c.008 0 .016.004.023.008.016.012.016.016.016.016-.008-.004-.016-.008-.02-.012s-.012-.004-.02-.008c-.016 0-.023-.004-.031-.008s-.012-.008-.02-.012c.02.035.043.051.078.059.012.004.023.004.031.004s.012.004.023.004c-.012.004-.016.004-.027.004s-.02-.004-.023 0c-.02 0-.035.02-.035.043.008-.004.016-.012.023-.02s.02-.008.031-.004c-.012 0-.02.004-.031.012s-.016.012-.027.023c0 .012-.004.023-.016.031.023 0 .031-.004.039-.004s.016-.008.023-.008c-.008.008-.016.008-.023.012s-.012.004-.02.008c.02.004.043 0 .059-.008s.023-.008.027-.012c.02-.008.02-.008.02-.004-.012.004-.012.004-.02.012-.016.012-.02.012-.02.016-.008.008-.012.016-.016.023s-.004.016-.008.023c.008-.012.012-.02.02-.027s.016-.02.027-.027a.17.17 0 0 1-.023.027c-.008.012-.016.023-.02.035.008-.004.016-.016.023-.023s.027-.016.039-.012c-.012.004-.023.008-.035.016s-.02.023-.031.035a.12.12 0 0 0 .051-.012c.008 0 .016-.012.02-.012.016-.016.016-.02.016-.016-.012.016-.012.02-.016.023s-.016.016-.016.023c-.004.02 0 .031-.008.051.02-.02.023-.023.023-.035s.008-.016.016-.023.012-.012.023-.016l-.02.02c-.008.008-.012.016-.012.023l-.012.023c.027-.008.031-.012.031-.02.004.008 0 .016-.008.023s.012.004.023-.004c.008 0 .008-.016.012-.02.012-.02.016-.023.023-.023-.012.02-.016.023-.02.027.004.008-.004.02-.004.027 0 .02.004.035.008.055.004-.008.008-.012.016-.02v-.031-.027c.008.008.008.02.008.031s-.004.016-.004.023c.012-.02.012-.023.012-.031 0-.023-.004-.023 0-.023.008.008.008.016.008.023.008-.02.008-.027.012-.031.004.023.004.031.008.039s.004.016.012.02.012.016.016.023v-.035l-.012-.031c.012.004.016.016.016.031a.08.08 0 0 1 0 .043c.012-.008.035-.023.031-.055.012.004.016.008.02.008-.008-.023-.008-.031-.004-.039.004.008.004.016.004.023s.004.012.008.02v-.043c.008.008.008.02.008.027s.004.02.004.031c.008.004.012.012.016.016.004-.016.004-.035.004-.055 0-.004-.008-.02-.008-.027-.012-.016-.016-.02-.023-.02.023.008.023.012.027.02.008 0 .008.016.016.016s.027.008.039.008c-.023-.012-.031-.02-.035-.027.012.004.016.012.02.016s.027.012.039.012c-.02-.02-.027-.027-.031-.035s-.008-.016-.012-.02-.016-.012-.023-.016c.012 0 .02.004.027.012a.06.06 0 0 1 .016.023c.004.008.008.012.012.02.008-.008.008-.023.004-.039s-.023-.023-.02-.027.012.004.023.008.031.008.047.008l-.031-.031c-.012-.008-.023-.012-.035-.012.012-.008.023-.004.035.008.012.004.02.012.031.023-.008-.016-.016-.027-.023-.035s-.02-.016-.031-.023c.016 0 .023.008.035.02s.012.016.02.027c-.004-.008-.004-.016-.008-.023s-.008-.016-.02-.023c-.004-.004-.02-.012-.02-.016-.02-.004-.023-.004-.02-.008.02.004.023.004.027.008.035.012.059.016.078.008a.03.03 0 0 1-.02-.008c-.008 0-.016-.004-.023-.004.008-.004.016-.004.023 0s.016.004.023.008c.004-.012-.004-.023-.004-.035-.012-.008-.02-.016-.031-.023s-.02-.008-.027-.004c.008-.008.02-.004.031 0s.016.012.023.02c0-.027-.02-.047-.039-.047.039-.02.063-.039.074-.074-.023.016-.031.02-.047.023-.008.004-.012.008-.02.008-.012.016-.012.016-.016.016.004-.008.008-.016.016-.02s.012-.004.02-.008l.031-.012c-.004-.008-.016-.008-.031-.008s-.023.012-.035.016-.016.012-.016.02c-.004-.008 0-.016.012-.023l.023-.012c-.004-.012.004-.02.008-.027.023-.031.035-.066.035-.102 0 .008-.004.012-.008.02s-.012.012-.02.016c0 .012-.008.023-.016.035s-.016.016-.031.02c.008-.016.016-.023.023-.035s.004-.023.004-.035c.008.012.004.023 0 .039-.004.004-.008.012-.016.02.023-.023.027-.035.031-.047.008-.004.016-.012.02-.016l.012-.023c-.016.008-.027.008-.043.012s-.031.008-.047.016zm0 0"/><path d="M11.805 3.496a.92.92 0 0 0-.18-.004c-.062 0-.121.008-.184.016l.18-.008a1.44 1.44 0 0 1 .184 0zm0 0"/><path d="M11.445 3.504a1.33 1.33 0 0 1 .18-.02l.18.004.004-.008c-.012 0-.016-.004-.02-.008.016-.016.02-.012.023-.008l.004-.016-.195-.004-.191.016.004.016c.016-.004.02 0 .02.008l-.008.016-.004.004zm.27-.051c-.012.02-.004.023 0 .023.012-.016.004-.023 0-.023zm0 .008zm-.098-.004c.008.02.012.016.012.008zm0 .004zm-.094 0c-.012.012-.012.016-.008.02.016.004.02-.004.02-.008zm0 .008zm0 0" class="hr-E"/></g><g class="hr-B"><path d="M11.621 3.391c-.016-.02-.02-.023-.027-.023.004-.008.008-.012.012-.02a.03.03 0 0 0 .008-.02c.008.004.012.012.016.016s.012.012.02.012l-.016.016c-.004.004-.004.012-.008.02zm0-.012c.012-.016.012-.02.016-.02l-.02-.02c-.008.016-.012.02-.016.023.016.008.02.012.02.016zm.09.453l-.047.02.043-.027zm.004-.031l-.051.031.047-.035zm-.164 0l.055.027-.055-.02zm.008.031l.047.016-.051-.012zm.02.035c.012.004.023.004.035.004.004-.004.012-.008.016-.016l-.004-.043c-.008 0-.02 0-.027-.004-.02-.023-.02-.035-.02-.043.008.008.004.02.008.027.023.012.031.012.043.012s.02 0 .027-.004c.02-.016.02-.023.02-.027-.02-.008-.023-.008-.027-.008.016-.008.023-.008.027-.004.008.02.004.027 0 .031s-.012.012-.02.016-.016.004-.023.004v.043c.004.008.012.012.02.012s.02 0 .031-.004c-.012.012-.023.012-.031.012s-.016-.004-.02-.012c-.004.008-.012.012-.02.012s-.023.004-.035 0zm.035.02l.035-.004-.035.012zm.039-.277l.039-.027c.012-.008.02-.012.031-.012-.008.008-.02.012-.027.02s-.023.016-.035.027zm-.051.008c-.016-.012-.027-.02-.043-.027s-.023-.008-.031-.008c.008-.008.023-.004.035.004s.027.016.043.027zm-.016.09c.004-.008.004-.016.012-.02.016-.016.016-.02.02-.016-.008.008-.012.016-.016.02s-.008.012-.012.02zm.027-.156c.004.008.008.012.008.02s.008.016.008.027c-.004.027-.004.035-.008.043-.02.012-.023.012-.031.012.004.008.008.016.004.027-.02-.008-.023-.008-.027-.008-.012-.004-.016-.008-.023-.012-.016-.012-.02-.02-.023-.023-.008-.02-.012-.023-.02-.023-.016-.016-.016-.016-.012-.02l.035.023c.012 0 .023.004.031.008s.02.008.031.016c.023.004.027 0 .027-.004s.008-.012.008-.02c0-.031-.004-.039-.004-.043s-.008-.012-.012-.02zm-.031.094c-.008-.004-.02-.012-.027-.016s-.02-.004-.027-.008c0 .02.004.023.008.027.016.012.023.012.031.016.016.004.02.008.02.008.004-.008 0-.016-.004-.023zm.066-.09c-.004.004-.008.012-.008.02l-.004.023c.004.027.004.031.012.039s.02.008.023.004c.012-.012.023-.016.031-.023s.023-.008.031-.008.016-.008.02-.012c.012-.016.016-.016.016-.012-.016.02-.023.023-.027.027-.004.02-.008.027-.012.031-.016.016-.023.016-.031.02-.016.008-.02.012-.023.012-.008-.008-.008-.02-.004-.027-.02 0-.027-.004-.031-.008s-.008-.016-.008-.023c-.004-.031-.004-.039 0-.047s.004-.012.008-.02zm.086.059c-.012.004-.02.008-.027.012s-.02.012-.027.016c-.004.012-.004.02-.004.027.012-.004.016-.008.02-.008s.016-.008.02-.012c.016-.012.016-.016.02-.023zm0 0"/><path d="M11.703 3.621c-.008 0-.016.008-.016.02s.008.02.02.02.02-.012.016-.02-.008-.02-.02-.02zm.004.004c-.008.004-.016.008-.016.016.023.012.027.004.027 0zm0 .008zm-.152-.008c.012 0 .02.008.02.02s-.008.02-.02.02-.02-.008-.02-.016.008-.02.02-.023zm0 .008c.012.02.008.027 0 .027-.012-.02-.008-.027 0-.027zm0 .004zm0 0" class="hr-E"/><path d="M12.391 3.27a.41.41 0 0 0-.055.066c-.02.004-.023.016-.016.031-.023-.004-.027.016-.031.035-.02-.035-.043-.043-.07-.031 0-.02-.016-.027-.035-.035-.02 0-.031-.008-.039-.012-.027-.02-.035-.012-.031-.008l.066.121c0 .008 0 .012.008.02l.012.035c-.023 0-.043-.004-.062-.004s-.023-.008-.031-.016c-.012.055.004.098.039.141h-.062c.004.039.023.063.066.082-.02.008-.031.023-.035.043s-.008.035-.02.039c.02.027.047.031.074.023-.012.023-.02.047-.02.074.02.008.035.004.055 0-.004.004-.004.016-.004.027s-.004.02-.012.027c.031.02.059.016.082.008 0 .023-.004.043.004.066l.059-.043c.004.008.008.016.016.02s.012.016.012.031c.016.012.047-.023.055-.043.02.012.027.023.039.043.016-.023.02-.043.02-.066.023.012.051.016.082.008-.004-.02-.008-.031-.008-.043s0-.02-.004-.023c.016.008.035.012.055.008.004-.027-.004-.055-.016-.078.027.008.059.008.082-.008-.016-.016-.02-.031-.02-.051s-.012-.035-.031-.047c.043-.016.063-.039.074-.062-.023-.012-.047-.016-.066-.016.039-.043.055-.082.059-.133-.016 0-.027.004-.039.008-.02 0-.039 0-.059.008 0-.023.008-.035.012-.047l.082-.129c-.02-.004-.023-.004-.031 0s-.023.012-.039.012c-.023.004-.039.016-.039.035-.027-.016-.051-.008-.074.023 0-.02 0-.039-.023-.039.008-.016 0-.023-.016-.031-.016-.023-.039-.043-.055-.066zm0 0"/></g><g class="hr-D"><path d="M12.613 3.402c-.02.016-.02.023-.016.023l.016-.008zm-.445-.016c.016.016.016.023.012.023-.016-.016-.016-.023-.012-.023zm.398.094zm-.355-.012zm.379-.016l-.199-.02-.199.004.199.004.199.02zm0 0"/><path d="M12.188 3.43a1.76 1.76 0 0 1 .203 0 1.19 1.19 0 0 1 .203.02l.008-.016c-.012-.004-.016-.016-.008-.027s.016-.016.02-.012l.047-.051c-.016.008-.027.016-.051.02s-.035.012-.035.023c-.043-.012-.066.012-.074.035-.008.016-.016.016-.016 0 0-.039-.008-.047-.02-.039-.008-.012-.004-.02-.004-.027-.031-.031-.055-.051-.07-.074l-.051.063c-.016.016-.008.023-.008.027-.023 0-.027.004-.031.023-.004.035-.012.035-.016.02-.012-.027-.031-.047-.059-.035-.012.008-.02.008-.016-.004s-.008-.023-.035-.027c-.02-.004-.031-.016-.051-.027l.035.063c.012-.008.023 0 .027.008s0 .023-.004.027zm.387.098l-.035.027c.008-.008.012-.016.016-.02-.023-.012-.031-.008-.035-.004-.016.012-.016.012-.02.012.004-.008.008-.016.016-.016 0-.008-.008-.008-.02-.008l-.008-.004h-.023c-.016-.004-.027-.004-.035-.004-.02.012-.02.008-.02.008 0-.008-.012-.008-.023-.008s-.02-.004-.031-.004h-.039-.031c-.02 0-.027 0-.039.004.02.008.023.012.027.02-.008-.004-.012-.008-.02-.012a.03.03 0 0 0-.02-.008h-.023c.012.016.016.02.023.027-.012-.004-.016-.008-.023-.012-.027-.023-.039-.027-.059-.031s-.031 0-.043-.008l.012.023c.02.012.02.012.02.016 0 .012.008.023.012.035.008.004.012.008.02.012-.008-.008-.012-.016-.016-.023s-.008-.023-.004-.035c.004.012.004.023.008.035s.016.02.027.031c-.02 0-.031-.008-.039-.02s-.012-.02-.012-.035c-.012-.004-.016-.008-.02-.016-.012.02.004.055.027.086.004.008.012.016.02.02-.004.012.004.016.008.02.012.008.02.016.02.023-.004-.008-.012-.012-.02-.02s-.023-.012-.035-.016h-.043c.02.012.027.016.043.02a.03.03 0 0 1 .02.008c.008.004.012.008.016.016-.008-.004-.012-.008-.02-.012s-.012-.004-.02-.008l-.031-.012c0 .023.023.039.059.051.012.004.02.008.027.008s.016.004.023.004c-.008.008-.016.004-.023.004-.016-.004-.02-.004-.023-.004-.023 0-.039.02-.043.043.008-.004.02-.012.027-.016s.02-.008.031-.008l-.031.012c-.008.004-.02.012-.027.02-.004.016-.008.027-.02.035.023 0 .031-.004.039-.004s.016-.004.023-.004c-.008.004-.016.008-.023.008s-.012.004-.02.008c.02.004.039 0 .059-.004s.023-.008.027-.012c-.016.02-.02.02-.023.023s-.012.016-.016.023-.004.012-.008.02c.008-.008.012-.02.02-.027s.02-.016.031-.02c-.008.008-.02.016-.027.023s-.016.02-.02.031c.004-.004.016-.012.023-.02s.027-.012.039-.008c-.012.004-.023.008-.035.016s-.023.016-.031.027c.016.004.031 0 .047-.004.008-.004.016-.012.023-.012l.016-.016c-.012.016-.016.02-.016.023l-.02.02c-.004.02-.004.035-.012.051.02-.016.023-.023.027-.031s.008-.016.016-.023.016-.012.023-.012c-.004.008-.012.012-.02.016s-.012.016-.016.023-.008.016-.012.02c.027 0 .031-.008.035-.016 0 .012-.004.02-.012.023s.012.004.023 0 .012-.016.016-.02c.012-.016.016-.02.023-.023-.016.02-.02.023-.02.027s-.008.02-.008.027c0 .02 0 .035.004.055.004-.008.012-.012.016-.016 0-.012.004-.023.004-.031v-.031c.008.012.008.02.004.031v.023c.008-.016.012-.023.012-.031 0-.02 0-.02.004-.023.004.012.004.02.004.027.012-.02.012-.027.012-.031a.2.2 0 0 1 .004.039c0 .008.004.016.012.02s.012.016.016.027c0-.012.004-.027 0-.035 0-.016-.004-.023-.008-.035.012.008.016.02.016.035s0 .027-.004.043c.008-.008.035-.023.035-.055.012-.012.012-.02.016-.027.004.008.004.016.004.023l.004.023c.004-.027.004-.039.008-.047.004.008.004.02.004.027v.031c.008.004.012.012.016.02.004-.02.008-.035.008-.055 0-.008-.008-.02-.004-.027-.012-.02-.016-.023-.023-.023.008-.004.016 0 .02.008.012.012.012.027.02.031l.039.012c-.023-.016-.027-.023-.031-.031.008.004.012.012.02.016s.023.012.035.016c-.02-.02-.023-.027-.027-.035l-.012-.023c-.008-.008-.012-.012-.02-.016.008 0 .016.004.023.012s.012.016.016.023.004.016.008.023c.008-.008.012-.023.008-.039s-.02-.027-.016-.031.012.008.02.012c.016.008.031.012.051.012-.012-.016-.023-.027-.031-.035s-.023-.012-.031-.012c.012-.008.023 0 .031.008s.02.016.027.027a.18.18 0 0 0-.02-.039.17.17 0 0 0-.027-.023c.012.004.023.012.031.02s.012.02.016.027c-.008-.027-.012-.035-.02-.043s-.02-.016-.02-.02c-.008-.004-.016-.004-.02-.008.02.004.023.004.027.008.035.016.059.02.078.016-.008-.004-.016-.008-.02-.008s-.016-.004-.023-.008c.008-.004.016 0 .023 0l.023.012c.004-.012 0-.023-.004-.035s-.016-.02-.027-.027-.016-.008-.027-.004c.012-.008.023-.004.031 0s.016.012.023.02c0-.023-.016-.043-.035-.047.039-.02.063-.031.078-.066a.2.2 0 0 1-.047.02.03.03 0 0 0-.02.008c-.016.012-.016.012-.02.012.004-.012.012-.016.016-.02s.016-.004.023-.004l.031-.012c-.004-.008-.016-.008-.031-.008l-.035.012c-.012.004-.016.012-.02.02-.004-.012.004-.02.016-.023s.016-.008.023-.008c-.02-.004-.02-.008-.012-.012s.016-.012.023-.016c.023-.031.039-.062.043-.102-.004.008-.008.012-.012.02s-.012.012-.02.012c-.004.016-.008.027-.016.035s-.02.016-.035.02c.012-.016.02-.023.023-.035s.008-.023.008-.035c.008.012.004.027-.004.039s-.008.016-.016.02c.008 0 .012-.008.02-.012s.012-.02.016-.035c.008-.004.016-.008.02-.012s.008-.012.012-.02c-.012.004-.027.004-.039.004-.02 0-.035.004-.051.012zm0 0"/><path d="M12.57 3.512a.93.93 0 0 0-.18-.016 1.44 1.44 0 0 0-.184 0l.18.008a.93.93 0 0 1 .18.016zm0 0"/><path d="M12.207 3.492l.184-.004.18.02v-.012c-.016-.016-.012-.02-.004-.02l.016-.008a1.51 1.51 0 0 0-.191-.02 1.63 1.63 0 0 0-.195 0l.004.016c.016-.004.02 0 .02.008zm.273-.027c-.012.016-.004.023 0 .023.012-.02.008-.023 0-.023zm0 .004zm-.094-.012c-.012.02-.008.023 0 .023.012-.016.004-.02 0-.023zm0 .008zm-.094-.008c-.012.02-.008.023-.004.023.012-.02.008-.023.004-.023zm0 .008zm0 0" class="hr-E"/></g><g class="hr-B"><path d="M12.391 3.395c-.012-.023-.016-.023-.023-.027.004-.008.012-.012.016-.016s.008-.016.008-.023c.008.008.012.016.016.02.02.016.02.02.016.02-.02.012-.02.02-.023.027zm.004-.012c.012-.016.016-.02.02-.02-.016-.016-.02-.02-.02-.023l-.016.023c.012.012.016.016.016.02zm.055.457l-.047.016.043-.023zm.008-.027l-.055.027.051-.035zm-.164-.012l.055.031-.059-.027zm.004.027l.047.02-.051-.016zm.02.039c.012.004.023.004.031.004l.02-.055c-.012-.004-.02-.004-.027-.008s-.016-.008-.016-.016-.004-.02 0-.027c.004.008 0 .02.004.027.023.012.031.016.039.016s.02 0 .027-.004a.03.03 0 0 0 .02-.008c.004-.02.004-.023 0-.023-.016-.004-.02-.004-.023-.004.02-.008.023-.004.027-.004.008.02.004.027 0 .035s-.012.008-.02.012-.016.004-.023.004l-.004.043c.023.016.035.016.047.012-.012.008-.023.012-.031.008s-.016-.004-.02-.012c-.004.004-.012.008-.02.012s-.02 0-.035-.004zm.031.02h.035l-.035.008zm.063-.273l.039-.023c.012-.004.023-.008.031-.008-.008.008-.02.008-.031.016s-.023.012-.035.023zm-.055.004a.14.14 0 0 0-.039-.027c-.012-.008-.023-.012-.031-.012.012-.008.023-.004.035.004s.027.02.039.031zm-.023.09c.004-.008.008-.016.016-.02s.008-.012.016-.016c-.004.012-.008.016-.012.02s-.008.012-.012.02zm.039-.152c.004.004.008.012.012.02v.023.023a.03.03 0 0 1-.008.02c-.023.012-.027.012-.031.012.004.008.004.016 0 .027-.02-.008-.023-.008-.027-.012s-.016-.008-.02-.012l-.016-.008c-.008-.023-.008-.027-.008-.031-.023-.016-.027-.02-.031-.023.023.008.031.012.035.016l.035.012c.008.004.016.012.027.02.02.004.023 0 .027-.004.012-.023.012-.031.012-.039s0-.016-.004-.023c-.008-.02-.012-.02-.008-.02zm-.035.09c-.008-.008-.02-.012-.027-.016s-.02-.008-.027-.012c0 .016.004.023.008.023.016.016.023.02.031.023s.016.008.02.008c0-.008 0-.016-.004-.023zm.07-.086a.03.03 0 0 0-.008.02c-.004.027-.004.035-.004.043s.004.012.008.02c.012.008.02.008.023.008v-.004c.012-.008.023-.012.031-.016s.023-.008.035-.012.012-.004.02-.008c.02-.008.02-.008.016-.008-.02.016-.023.02-.031.023-.004.02-.008.023-.012.031v-.004c-.02.016-.027.02-.035.02v.004c-.016.004-.02.004-.023.008-.008-.012-.004-.02-.004-.031-.02 0-.023-.004-.027-.008s-.008-.016-.008-.023v-.023c0-.008.004-.016.004-.023s.008-.012.012-.02zm.082.066c-.008 0-.02.004-.027.008s-.02.012-.027.016c-.004.012-.008.02-.008.027.016-.004.02-.008.023-.008s.012-.008.02-.008c.016-.016.016-.02.02-.023zm0 0"/><path d="M12.461 3.629c-.012 0-.02.008-.02.02s.008.02.016.02.02-.008.02-.02-.008-.02-.016-.02zm0 .008c-.016.02-.008.023-.004.023.016-.02.008-.023.004-.023zm0 .004zm-.152-.016c.012 0 .02.008.02.02s-.012.02-.02.02-.02-.012-.02-.023.008-.016.02-.016zm0 .004c.012.023.008.027 0 .027-.012-.02-.008-.027 0-.027zm0 .008zm0 0" class="hr-E"/></g><path d="M14.52 3.559l-.723-.824-.945.543-.16 1.918c.457.035.91.109 1.355.223l.473-1.855zm0 0" class="hr-G"/><path d="M13.039 3.676c.031-.008.063-.008.098.012.012.004.023.012.031.02.012-.008.023-.02.043-.027.02-.02.043-.031.066-.039.035-.02.07-.031.102-.031h.105c.031 0 .063.004.086.02l.074.039c.031.016.059.031.086.035.051.023.109.027.168.02.016-.008.023.004.008.016-.125.074-.223.008-.305-.023.027.02.055.043.078.066.031.027.066.059.133.09.059.027.121.035.188.023l.016.004-.004.02c-.031.02-.066.027-.098.027-.07 0-.137-.016-.195-.051-.055-.023-.086-.059-.125-.09-.031-.023-.07-.043-.113-.051-.035-.008-.07-.008-.109 0 .012.004.02.008.023.016.02.012.039.016.074.02.016 0 .008.008-.016.023-.016.02-.039.031-.062.031-.035.023-.047.008-.062-.008 0 .012 0 .02-.008.031l.008.039c.016.023.02.031.02.043l.031.035c.023.008.031.027.039.047.016.008.023.02.027.035.008 0 .012.008.02.012l.098.004c.031.004.055.023.078.047h.043c.016-.008.031-.012.051-.012h.086c.016.008.031.016.043.031.02.02.047.016.066.008.031-.016.063-.016.09 0 .012-.008.027-.008.039-.008.016-.012.027-.016.039-.016.02 0 .035 0 .031.031-.02.035-.035.039-.059.039-.004.016-.012.027-.02.031.012.031 0 .047-.027.043 0 .012-.008.016-.02.016-.012.012-.023.02-.039.02l.016.023c.016.023-.008.035-.031.035v.047c.027.016.031.031.008.043.016.027.012.051-.02.063 0 .016 0 .027-.012.035-.004.008-.016.012-.008.023.008.02.004.043-.008.047l-.008.004-.008.008c-.02.008-.039.02-.059.035a.57.57 0 0 1-.074.09c0 .02-.016.039-.035.043 0 .023.008.035-.004.051s-.031.023-.051.031c-.035.012-.062.008-.074-.008s-.012-.023 0-.027c-.027 0-.031-.008-.031-.027.027 0 .039-.008.051-.012l.02-.023c0-.027.016-.039.039-.051s.039-.02.055-.043l.031-.059c-.004-.004-.008-.016-.012-.023s-.012-.016-.016-.023c-.02 0-.027-.008-.027-.02-.023.004-.031.012-.039.008-.012.016-.027.027-.039.039s-.016.02-.027.02c-.039 0-.055.043-.074.063-.008.004-.012.016-.016.027 0 .02-.004.035-.016.035h-.016c-.004.012-.004.023-.016.035-.004.012-.012.016-.027.016-.023 0-.043 0-.062-.008s-.016-.02-.016-.027c-.012-.008-.016-.012-.012-.02l.035-.016c.02-.02.043-.039.07-.051.004-.012.016-.02.023-.027 0-.02.02-.035.039-.051l.004-.023v-.012c-.008-.012-.012-.027-.004-.035-.004-.008-.004-.016 0-.023-.043.023-.059.016-.062-.004-.012.012-.027.02-.035 0-.016.004-.031.012-.047.004l-.027.008-.016.023c0 .02-.008.039-.02.059s-.016.039-.027.055c-.004.043-.012.055-.02.059s-.012.02-.016.027v.008c.004.012.004.027-.008.039l-.039.023h-.035c-.016-.012-.016-.016-.012-.023l-.035-.012.039-.043c.02-.027.027-.035.035-.039l.027-.059.008-.023c-.004-.023-.004-.039.008-.055s.023-.051.012-.074v-.031h-.012c-.008-.008-.016 0-.023.008l-.016.023c-.004.031-.02.055-.035.059v.047c0 .016 0 .027-.008.027s-.016.008-.02.016c.008.023.004.039-.008.051-.023.023-.051.02-.082.012-.023-.012-.031-.02-.027-.031-.031 0-.027-.027 0-.035s.055-.023.07-.051c0-.031.008-.047.027-.051 0-.02.008-.039.016-.055s.012-.031.008-.047c-.016-.012-.016-.023 0-.039-.012-.008-.012-.02-.012-.027-.031-.012-.027-.02-.016-.031l-.004-.031c-.016-.012-.008-.023 0-.035l-.016-.027c-.023 0-.035-.016-.02-.035l.023-.023c.004-.012.012-.02.008-.027-.008-.023.02-.039.039-.055-.016-.027-.012-.035 0-.043-.035-.012-.035-.031-.02-.059-.02-.012-.016-.027.02-.055-.016-.016-.027-.012-.039-.004s-.023.008-.031.004-.012-.012-.016-.016-.012-.016-.008-.023c-.039 0-.043-.023-.023-.035.012-.012.023-.023.027-.035.008-.023.027-.039.047-.055v-.02c-.008-.008-.016-.012-.023-.012-.004-.012-.012-.02-.023-.027-.023-.027-.02-.039-.012-.051zm0 0" class="hr-B"/><g class="hr-D"><path d="M13.668 4.574l-.035.027-.016.012c0 .012-.008.016-.02.016h-.004v-.027c-.004.02-.004.023-.004.031-.031.008-.047.039-.07.063l-.016.031c0 .008 0 .031-.012.031h-.008-.051c-.008.008.016.008.023.012-.004.047-.062.039-.082.027-.008-.004-.008-.012-.008-.02h.012c.008 0 .016 0 .02-.008-.023-.004-.031-.004-.039-.004h-.004l.031-.012c.02-.023.043-.039.07-.051l.031-.027c0-.027.016-.035.031-.055l.012-.027v-.012c-.008-.016-.012-.027-.004-.035-.004-.012-.004-.023 0-.031s.02-.02.027-.027v.031c-.008.012-.008.016-.008.02v.004l.012-.02.027-.016.027-.023v.039l-.023.023v.004h.004c.004-.008.012-.016.02-.023s.023-.02.035-.023v.039c.004.012.012.023.02.031zm0 0"/><path d="M13.086 4.238l.008-.008.016-.023c.008-.008.012-.016.02-.023-.008.008-.012.02-.016.027s-.012.012-.016.02v.008c.004.012.004.02.012.027l.012-.016c.004-.008.008-.012.016-.016s.016-.016.02-.023h.004l-.008.016-.027.023-.008.023c-.008.012-.02.02 0 .027v.047l.02-.008.027-.035.004-.02h.004c0 .008-.004.016-.004.023-.008.008-.012.016-.02.02l-.02.031c.008 0 .008.012.008.023h.004l.008-.008.008-.016h.004l-.008.016-.008.012c-.016.031-.012.035 0 .047v.043l.004.012h-.004v-.012c-.016.027-.023.043-.027.07-.023 0-.02.027-.023.047a.11.11 0 0 1-.07.055c-.004 0-.02.004-.02.012.031-.012.043 0 .023.016v.012c.02.016.059.02.082.008.012-.012.02-.02.008-.035 0-.02.008-.035.031-.043v-.016l.004-.051.008-.004c.008 0 .02-.023.023-.047v-.016c.012-.008.012-.012.02-.016.008-.012.02-.02.031-.016-.004-.008-.004-.02-.004-.027s-.004-.027 0-.039l.008-.008.012-.023.012-.027h.004l-.023.055v.004c-.004.012-.008.027-.004.039l.008.031.008.016v.023c.012.023 0 .063-.012.082-.008.008-.008.02-.004.031s0 .016-.004.023v.004l-.035.078c-.016.004-.02.012-.023.023-.023.027-.035.035-.047.039.016.02.023.008.031 0 .004.008 0 .016 0 .027l.023.012c.016 0 .035-.016.047-.023s.008-.02.004-.031c-.027-.004-.031-.008-.039-.012.012.008.027.008.039.008v-.012a.07.07 0 0 0 .02-.027c.012-.008.012-.016.012-.035l.004-.02c.012-.02.02-.039.027-.059.016-.016.02-.035.02-.055.016-.016.02-.023.023-.027l.004-.016c.008-.016.008-.02.008-.027-.008-.016-.008-.02-.008-.023v-.004h.004c.008.016.008.02.008.027-.004.023-.008.023-.008.027l.02.008.016-.02.008-.023c0 .012 0 .02-.004.027l-.012.012c.016.008.027 0 .039 0v-.051l.016-.023-.008.027v.039c.004.016.008.02.02.012l.012-.008v-.004c.023-.023.047-.043.07-.059-.012.012-.023.02-.031.027l-.031.027v.012c0 .012.004.02.023.012l.023-.008c.016-.012.023-.016.031-.02l.016-.012c.004-.008.004-.016.004-.023l.027-.047c.02-.008.031-.023.043-.043h.004l-.016.027c-.008.008-.016.016-.027.02l-.027.043-.004.023v.031c.008 0 .016 0 .027-.012l.027-.027c0-.004.004-.012.008-.02l.02-.012v.004c-.02.016-.023.023-.023.027v.043l.035-.02v.039c0 .008.008.02.016.027.008-.008.012-.016.02-.02l.02-.02.012-.008-.008.012-.008.008-.012.008v.016h.023c0 .02 0 .023.02.023v-.039h.004l-.004.039c.008.012.012.016.027.023l.008-.02.004-.016v.02l-.012.02v.02l.02-.027c-.012.02-.012.023-.016.031l.008.004c-.023.039-.047.094-.094.113a.05.05 0 0 0-.039.047c-.008.004-.016.012-.016.023l-.047.008.039.004c.004 0 0 .02-.02.031v.004c.016.023.051.016.07.008.016 0 .039-.02.047-.035.004-.008 0-.016-.008-.02-.031.004-.023-.023 0-.012.031-.02.043-.031.047-.051.023-.027.047-.051.063-.078l.012-.039v-.012h.004v.016l.059-.016c0-.012.008-.016.016-.016l.008-.004c.004-.016 0-.023-.008-.031-.004-.016.004-.02.016-.027.004-.008.004-.023.004-.035v-.008h.004v.004c.012-.004.023-.012.027-.023s-.004-.023-.012-.031c-.008.004-.016.008-.023.008.012-.004.02-.008.027-.016.02-.016 0-.023-.008-.027l-.023-.027v-.004l.023.023v-.043l-.008-.016c-.02-.02-.023-.027-.02-.031l.008.016.012.016h.039c.012-.012-.008-.027-.012-.035l-.004-.02h.004l-.012-.016.016.012c.016 0 .023-.008.031-.02-.02-.02-.023-.02-.031-.023v-.004h.004c.012.008.02.016.031.027.016 0 .016 0 .02-.012-.008-.02-.012-.023-.016-.027l.02.027.016-.004c.012-.004 0-.027 0-.035l-.012-.008h.008l.008.004.016-.023c0-.016 0-.008.02-.012s.023 0 .031-.02.008-.027 0-.027c-.02 0-.031 0-.039.012v.012l-.008-.008c-.016 0-.027 0-.043.008h-.004l.004.008.004.016c-.008-.02-.012-.023-.016-.027-.012-.008-.027-.008-.039-.008l.008.004.008.008v.004c-.012-.012-.012-.016-.016-.016-.012 0-.023 0-.035.008l-.02.008.012.016.008.023c0-.008-.004-.016-.012-.023-.02-.012-.027-.012-.031-.016l.008.012-.012-.012c-.008-.004-.012-.004-.02-.008a.23.23 0 0 1 .008.055c0-.012-.004-.023-.008-.035s0-.016-.004-.023c-.012-.016-.02-.02-.031-.023.004.008 0 .02-.004.027.004-.012.008-.023 0-.031s-.023-.008-.035-.008c.008.008.012.02.02.031l.012.016v.02c-.008-.023-.012-.027-.016-.031s-.008-.016-.012-.02l-.027-.016h.004-.039c.023.023.035.055.039.086-.004-.016-.008-.031-.016-.043s-.016-.027-.023-.039h-.023c.004.004.012.008.016.016-.016-.008-.02-.012-.023-.012l-.016.004c.016.012.027.023.039.039-.008-.008-.016-.016-.023-.02s-.016-.012-.023-.016h-.023c.012.02.02.039.02.063h-.004c0-.008-.004-.02-.008-.031s-.004-.02-.012-.031c-.008.02-.004.039-.004.059v.004c0-.012-.004-.023-.008-.035s-.004-.023-.008-.031a.25.25 0 0 0-.051-.039c.012.012.016.027.016.043v.004c0-.012-.004-.02-.008-.027s-.008-.016-.016-.023h-.047c.008.004.016.016.016.023 0-.008-.012-.02-.023-.027h-.023l.012.012.008.02.008.023.016.016c-.008-.004-.016-.008-.02-.012s-.008-.02-.008-.027l-.02-.031h-.027l.008.031.004.039h-.004c.004-.016.004-.027 0-.039s-.004-.02-.012-.031-.012-.016-.02-.016l-.004.008c-.008-.027-.012-.035-.023-.039v.016l-.008.016h-.004l.004-.02v-.016c0-.023-.008-.039-.031-.047V4l-.004.02h-.004V4l-.016-.027v.023c-.004.012-.012.023-.016.031h-.004c.004-.008.008-.02.012-.031s.004-.02.004-.027l-.008-.004h-.004v-.008l.004-.004v-.004c0-.008-.008-.016-.012-.02-.004.008-.004.012-.008.02h-.004l.008-.023-.012-.004.004-.016c0-.012 0-.016-.008-.023-.02.004-.023.008-.031.012v-.004c.02-.012.027-.012.031-.012l-.039.004c-.012 0-.023-.004-.031-.008h.027c.012 0 .027 0 .043-.008l.008-.023.004-.004v-.008c.023 0 .027.008.031.012s.02 0 .031-.008h-.008v-.004h.012c.023 0 .039 0 .055-.02-.016.004-.027.004-.039 0s-.016 0-.023-.008l.027.004h.039l.016-.012c-.023 0-.051-.008-.074-.02-.004-.008-.012-.012-.023-.012s-.035 0-.051.012l-.012-.012-.016-.008h-.02.043c.02-.008.043-.012.063-.012s.043-.008.066-.008V3.73c.012-.012.016-.023.012-.031s-.016-.02-.031-.027h-.051c-.008 0-.02 0-.027.004l.02.016.016.035v.004h-.008c0-.012-.004-.027-.012-.035s-.023-.012-.027-.016l-.051.008-.023.016c.012-.004.02 0 .027 0s.02.012.023.027v.004h-.008c0-.012-.008-.02-.02-.027s-.043 0-.059.012l-.023.023h-.008v-.008l.027-.023.027-.012c.008-.012.023-.02.035-.02l.051-.008c-.004-.008-.012-.016-.02-.02s-.02-.004-.031 0-.035.016-.055.027h.02l.004.008h-.02l-.07.043c-.02 0-.031 0-.039.008l-.004.023-.008.027c-.02.016-.035.031-.047.055-.004.008-.008.012-.012.02l.012-.004.008-.016h.004l-.004.035h-.008-.027l-.008.012c0 .008.008.008.02.008.023 0 .004.016.016.027l.02.016h.016c0-.016 0-.023.008-.023l.004.016c.012-.004.023-.008.039-.008.027-.031.035-.023.016 0l-.004.008c-.004.008-.008.016-.008.023-.008.004-.039.027-.027.035.008.016-.004.031 0 .043h.012c.008-.008.02-.016.027-.023s.012-.02.016-.027h.004l.012-.031c0-.008.004-.02.012-.027l.012.012.027-.012h.004c-.016.016-.02.016-.023.016-.012-.004-.016-.008-.02-.012-.008.016-.012.035-.02.055s-.027.039-.043.055l.008.02.035-.039.031-.035c-.004.004-.008.012-.012.02v.043h-.004v-.035l-.012.012c-.012.012-.023.027-.035.039s-.023.012-.008.023l.012-.008.016-.012v.004l-.012.008-.016.012.035-.012-.023.027c-.016.012-.051.031-.043.047l.023-.008.023-.02c-.008.012-.016.016-.023.023v.008-.004c-.008 0-.02.004-.027.004.004.016 0 .023-.012.035 0 .004-.035.035-.02.039zm0 0"/><path d="M13.102 3.754c-.008-.004-.012-.008-.023-.012-.004-.008-.008-.016-.016-.02l.004-.016.02.008c-.012-.008-.016-.008-.02-.012l-.023-.016.016.004.008.004c.012-.016.039-.016.063 0 .016.004.023.008.031.02l-.008.008c-.02 0-.031 0-.039.008s-.008.016-.008.023zm0 0"/></g><g class="hr-B"><path d="M13.688 4.566l-.016.008c0-.012.008-.016.012-.023v.008zm.074.16c-.02.02-.027.023-.031.027V4.75l.012-.016.016-.012zm.051-.062l-.008.012h-.004l.008-.012zm-.027 0c-.012.02-.02.023-.027.027v-.004c.02-.016.02-.02.02-.027h.004zm.043-.059l-.008.016a.03.03 0 0 1 .008-.02zm.039 0v.02l-.012.016.004-.016zm-.016-.227a.11.11 0 0 1 .016.059c0-.008.004-.016.004-.023.008-.012.016-.027.012-.043l.004.023-.012.023-.008.035h-.004c0-.023 0-.047-.016-.07v-.004zm-.027.039v.012h-.004v-.016h.004zm-.008.051c.004.02.004.035.008.055l.012-.016h.004c-.016.016-.016.02-.016.027 0-.012-.004-.023-.004-.035s-.008-.02-.008-.031zm.035.02c.004.016.008.031.004.047v-.023c0-.008 0-.016-.004-.023zm.039-.008v.023c-.004.027-.004.035 0 .043l.004.02c-.004-.008-.008-.012-.012-.02s-.004-.016 0-.023.008-.012.008-.02V4.48zm.02-.055l-.004.012v.008h-.004v-.023h.004zm-.02-.098v.008-.008zm.008-.074v.027c-.012.02-.012.027-.008.035h-.004c-.004-.008-.004-.016 0-.023zm-.074-.027c.012.008.02.016.027.027s.012.016.012.031l-.023-.008v.07c-.008.016-.016.027-.035.035a.19.19 0 0 0 0-.066h.004c.004.02.004.039 0 .059.012-.004.02-.016.023-.027.008-.023.012-.051.004-.074l.023.008c0-.012-.004-.016-.012-.027s-.016-.02-.023-.023zm.191-.039v.008-.008zm-.043 0l.012.004.004.012-.016-.016zm-.066.02l.012.02v.023l-.004-.023c-.004-.008-.008-.016-.012-.02zm-.227.02v.016l-.004.004v-.02zm.039-.023l.008.016v.004h-.004v-.004l-.004-.012zm.09.063zm.027-.07v.008zm-.203.012c-.004.012 0 .02.008.027l.008.031h-.004V4.25c-.008-.016-.012-.023-.012-.027zm.082.059l.008.023v.027c0 .012 0 .023.008.031l.02.023c-.004-.012-.004-.023-.004-.035l.012-.039.012-.027h.004v.016c-.004.008-.008.016-.012.02-.008.012-.012.023-.012.035s0 .02.008.035h-.004c-.016-.008-.02-.016-.027-.027s-.012-.02-.008-.031v-.027c-.004-.008-.004-.016-.008-.023zm-.035.051c0 .008 0 .02-.008.027s-.008.016-.016.02h.012c.012-.004.02-.012.027-.02l.012-.012c-.012.016-.016.02-.02.023v.004l-.035.012v-.004l.016-.023.008-.027zm-.039 0v.004-.008zm0 0"/><path d="M13.613 4.266c.008.008.008.02.008.035s-.008.023-.016.031a.04.04 0 0 0-.02.023c-.004.004-.004.012-.008.02l.008-.012.02-.008c.016-.012.027-.023.039-.035h.004c-.012.016-.027.027-.043.039s-.027.02-.031.027c0-.016 0-.027.008-.035l.02-.023.016-.031c0-.012 0-.023-.008-.031zm.086.129l.004.016.004.004c.008.012.012.02.012.031l-.004.035h-.004c-.004-.012-.008-.027-.016-.035s-.02-.02-.031-.023v-.004c.016.008.027.016.035.027l.012.02c0-.031 0-.039-.004-.047l-.004-.008zm.035 0l.004.008h-.004l-.004-.008zm.039.012l-.008.027-.008.023.008-.023zm.027.148v.004zm-.027-.043v.012l-.008.016v-.016l.004-.016h.004zm-.039 0h.004v.004h-.004zm-.039-.023l-.004.016h-.004l.004-.016zm-.062.066c-.004.016-.008.02-.012.016v-.008l.012-.012zm-.18.176zm.027-.016zm.039-.023zm.055-.145l-.004.016-.004.016v-.031zm.039-.383c-.008.016-.008.016-.012.02h-.004l.008-.012.004-.012zm-.039-.039c.004.012.008.023.004.039 0-.027-.004-.031-.008-.035zm-.051.063c-.008-.004-.012-.008-.016-.016h.004zm.055.098v.008h-.004v-.008zm-.074-.074l.023.039.004.027.016-.043c.004-.008.008-.016.008-.023l.008-.02.016.031.012.035h-.004c0-.012-.004-.023-.012-.035l-.012-.023c0 .023-.004.027-.012.035l-.004.035-.012.012v.016h-.004c0-.016 0-.031-.008-.043s-.012-.027-.02-.039zm.043.188v.027h-.004v-.031h.004zm-.082.035v.012l-.004-.012zm.074-.094c-.004.008-.004.016-.008.02l-.012.02c-.008.008-.012.016-.012.023s-.004.02 0 .027c-.004-.008-.004-.02-.004-.027s.004-.02.012-.027c.016-.023.016-.031.02-.039zm-.02-.031v.023c-.004.008-.012.016-.02.023s-.012.012-.016.016l-.008.02h-.004l.008-.023.02-.016c.004-.008.008-.012.012-.02s.004-.016.004-.023zm-.09.047c0 .012 0 .023-.008.035s-.012.023-.023.031h-.004v-.004c.012-.008.02-.02.023-.031s.008-.023.008-.035zm-.113.063v.008l.004.004v.004h-.004l-.004-.008v-.008zm-.051 0v.027l.016.02.004.02V4.5l.016-.02c.004-.008.008-.016.008-.023v.023l-.02.023h-.004c0-.023-.004-.027-.008-.035l-.012-.023v-.027zm.008.156c0-.008.004-.02.004-.027h.004c0 .008-.004.02-.004.027zm-.008.043v-.016l.004.016zm-.027.074l.016-.023h.004l-.016.023zm-.043-.246v.008h-.004v-.008zm-.074.168v-.012h.004v.012zm.188-.301l-.012.039c0 .008.004.02.012.023s.016.016.02.027v-.016l.004-.016v.039h-.004l-.02-.031c-.012-.008-.016-.016-.016-.027l.008-.039zm-.016-.047c.004.008.004.02 0 .027a.19.19 0 0 1-.012.027c-.004.012-.008.023-.008.039s.004.023.012.035v.004c-.012-.023-.016-.051-.008-.078.004-.008.008-.02.008-.027s.004-.02 0-.027h.004zm-.086.121l.004.035c-.004-.008-.008-.012-.012-.02l.008-.02zm-.035-.016v.012c-.004.016-.008.02-.004.023l.004.008v.004c-.012-.016-.012-.023-.008-.027l.004-.02zm.215-.32c-.004.02.004.039.012.055-.008-.008-.012-.016-.016-.027v-.027zm-.027.027c.012.02.02.039.02.063h-.004c0-.023-.008-.043-.016-.062zm-.133 0c-.016.02-.02.039-.023.051l.008.035.008.027c0 .012-.004.023-.008.031v-.031c.004-.008.004-.02 0-.027s-.012-.027-.012-.039.008-.027.023-.047zm.125-.051v.02l-.016.016-.012.039c-.004-.008-.004-.016 0-.023s.004-.016.012-.02c.012-.02.012-.027.012-.031zm-.133.012v.027c0 .008-.008.012-.016.02s-.012.016-.016.023-.004.02-.004.027h-.004c0-.012.004-.02.004-.031s.008-.016.016-.023l.016-.02c.004-.008.004-.016 0-.023zm.074.004zm0-.02c-.008.004-.016.008-.02.016l-.008.027.008.016v.027c.004-.008.004-.016 0-.027l-.008-.012c-.012.012-.02.027-.02.043s.004.039.02.059h-.004c-.012-.02-.02-.039-.02-.059s.008-.035.023-.047c0-.012 0-.023.004-.031s.012-.012.02-.016zm-.027-.031v.004c0 .012 0 .023-.004.027-.012.016-.012.02-.012.027h-.004c0-.023.004-.027.012-.031s.008-.016.008-.023zm.215.227l.004.02v.016c0-.023-.004-.027-.008-.031h.004zm0 .074v.023l-.008.023-.012.02.008-.02c.004-.008.008-.016.008-.023s.004-.02 0-.027h.004zm-.043-.066c.023.023.035.059.023.094h-.004c.012-.031.004-.066-.02-.09v-.004zm0 .074c-.012.02-.023.039-.039.055-.008.008-.016.023-.02.035 0-.008 0-.016-.004-.023-.016-.023-.02-.035-.016-.047l.008-.031.012-.023.004-.02c0 .016-.004.031-.012.047-.004.008-.008.016-.012.027s0 .023.008.031.012.02.012.027c.004-.012.012-.02.02-.027s.012-.016.02-.023l.012-.027zm-.121-.035c0 .016.004.035.016.051v.004h-.004c-.004-.008-.008-.016-.012-.027v-.027zm-.062.035v.012h-.004v-.012zm.02-.059l-.004.02h-.004zm-.059.117c-.008-.023-.012-.043-.012-.066s.012-.027.023-.035l.016-.027c.004-.008.008-.02.004-.039l.004.039-.023.027c-.012.008-.016.023-.02.035 0 .02 0 .039.012.066zm-.039-.043l.004.027c-.008-.02-.008-.027-.008-.031h.004zm.176-.121c.004.008.008.02.008.031s0 .023-.004.035h-.004l.008-.035-.012-.031zm.051-.039c.008.02.008.043 0 .063 0-.012-.004-.02-.008-.031s-.012-.012-.02-.016c.016.008.023.02.027.035v-.023c0-.008 0-.02-.004-.027zm.031-.047l.016.031v.035c0 .027.004.031.004.035-.008-.02-.008-.027-.004-.035s-.004-.023-.004-.035-.008-.02-.016-.027zm-.082-.008c-.008.008-.012.012-.012.02v.027c-.004-.008-.004-.02 0-.027s0-.016.008-.02zm-.168.113c0 .012-.004.027-.012.039s-.016.02-.027.023l.027-.023c.004-.012.008-.023.008-.039l.004-.004zm0-.059v.016c0 .008-.004.016-.012.02l.004-.02v-.016zm.109-.008v.035h-.004v-.035zm.027-.051c-.008.012-.012.02-.012.031l.008.027.012.043c0 .016-.008.027-.016.043l.012-.043c0-.016-.004-.031-.012-.043l-.008-.027c0-.012 0-.023.012-.031zm-.172-.301c.008-.012.023-.02.035-.02s.031 0 .047.012h.031-.031c-.016.016-.031.023-.043.023s-.023 0-.031-.008c.008.008.023.008.031 0 .008 0 .023-.004.039-.016-.012-.008-.023-.008-.039-.004s-.023.004-.035.012zm0 0"/><path d="M13.184 3.789zm.07.059c.012-.008.02-.016.027-.027l-.023.031zm.137-.059c.016 0 .02.004.023.008l-.023-.004zm-.074.004l.039-.02v.004c-.012-.004-.02-.004-.027 0s-.012.012-.012.02zm.008.012l.016-.012zm-.137.043l-.004.012-.004.016c0-.02 0-.023.008-.027zm.039.02v.008zm-.023-.043h.023c-.016.004-.02.004-.023.004zm.023-.074l-.016.012.02-.012zm-.039.008l-.012.008zm-.023 0l-.012.012zm-.031.027zm0 .031v.004l-.008.008V3.82l.008-.008zm-.027.008v.012l-.004.004v-.016zm.039.055v.02h-.004v-.02zm-.023-.016v.012h-.004v-.012zm-.023-.168c.008 0 .016.004.02.012v.004h-.004zm.195.25c.008.016.008.035 0 .051h-.004c.008-.016.008-.031 0-.047v-.004zm-.062.074c0-.012.008-.02.012-.027l.016-.02c.008-.008.008-.016.008-.027s.004-.02 0-.027h.004c.004.02 0 .039-.008.059-.008.004-.012.012-.016.016l-.012.027zm-.082-.023c.012-.012.016-.012.02-.012zm-.016-.008l.023-.016v.004c-.016.008-.02.012-.02.016zm.086-.082h.008l.012.004c-.008.004-.016.004-.023 0zm-.047-.004l.004-.004v.004zm.91.266l.004.008zm-1.004.469l.008.008.02.004c-.023 0-.027-.004-.031-.008zm0 0"/></g><g class="hr-F"><path d="M13.832 3.734a.19.19 0 0 0 .066 0c-.023.012-.047.023-.074.027.012-.02.012-.023.008-.027zm-.051-.004h.047v.016c-.027.016-.043.016-.059.016.008-.004.012-.012.012-.02zm-.395-.113c.027-.008.051-.008.074-.008.008.004.016.012.02.016s.008.02.004.031l.004.004h.004l-.004-.039-.004-.008a.26.26 0 0 1 .078.023c.008.008.012.012.008.02l-.012.02v.008h.008l.012-.027.063.02c-.004.023-.008.027-.016.027v.004l.004.004c.012 0 .016-.008.02-.012l.047.004v.012c-.012.016-.016.016-.012.02.012 0 .02-.008.023-.016l.016-.008a.22.22 0 0 0 .047.016c.004.02 0 .023-.004.027v.008c-.051-.004-.102-.035-.152-.055l-.02-.004-.059-.023-.004-.004c-.02-.008-.039-.012-.059-.016s-.039-.004-.059 0h-.004l-.004-.031c-.004-.004-.012-.012-.02-.016zm0 0"/><path d="M13.297 3.637a.52.52 0 0 1 .074-.02c.016.004.023.012.027.02v.023c-.02-.004-.043 0-.062.008-.008-.012-.016-.02-.027-.023zm.277.148c-.004-.008-.012-.012-.02-.016-.035-.02-.07-.031-.109-.031.008-.016.012-.031.008-.039-.004-.016-.012-.023-.023-.031h.035c.027.004.051.012.078.023 0 .012.004.02 0 .027s-.008.02-.02.027c.016 0 .023-.012.023-.023v-.027l.039.02.039.031c0 .016 0 .023-.012.031h-.035v.008zm0 0"/><path d="M13.648 3.84l-.066-.051c.016 0 .027 0 .039-.008.004-.004.012-.016.012-.031l.039.039.023.016v.016c-.004.012-.008.016-.016.016h-.027zm0 0"/><path d="M13.734 3.891a.32.32 0 0 1-.078-.047h.027l.02-.023.078.047c0 .012 0 .016-.012.02s-.023.004-.035.004zm.082.035c-.027-.008-.051-.016-.078-.031.016 0 .027 0 .039-.004s.012-.008.012-.02c.016.008.031.016.047.02v.016l-.016.016zm0 0"/><path d="M13.996 3.906c-.047.039-.109.039-.172.02.008-.004.016-.008.02-.016l.066-.004-.023.023c.012.004.02-.004.023-.008.031-.012.055-.012.082-.016zm-.363.902l-.008.016-.047.008.039.004c.004 0 0 .02-.02.031v.004c.016.023.051.016.07.012s.035-.02.051-.039l-.012-.02c-.016.004-.023 0-.02-.008-.02-.008-.039-.012-.055-.008zm-.566-.18c-.012.012-.027.016-.039.02s-.023.004-.023.012c.031-.012.043 0 .023.016v.012c.02.016.059.02.082.008.012-.008.023-.02.008-.035l-.023-.008-.016-.012zm.375.129h-.004c-.008.008.012.008.02.012s.008.012.008.02c-.012.027-.07.02-.09.008-.008-.004-.008-.012-.008-.02h.012c.008 0 .016 0 .023-.008v-.008h-.008c-.02.008-.027.008-.035.008l-.004-.008h.004l.027-.008.004-.004c.02 0 .039 0 .051.008zm-.27-.016l-.008.012c-.012.012-.023.02-.035.023.016.02.027.008.031 0v.027l.023.012c.016 0 .039-.016.047-.023s.008-.02.004-.031c-.027-.004-.031-.008-.039-.012zm.102-.988h.012l.023.004c.02-.008.043-.012.063-.012s.043-.008.066-.008V3.73c.012-.012.016-.023.012-.031s-.016-.02-.031-.027h-.051c-.008 0-.02 0-.027.004l.02.016.016.035c-.008-.016-.016-.023-.016-.031l-.031-.016c-.016 0-.035.004-.051.008s-.016.008-.023.012l.027.004c.012 0 .02.012.023.027-.008-.008-.012-.016-.023-.023s-.047 0-.062.008l-.023.023.074.016zm-.086-.016v-.004l.027-.023.027-.012c.008-.012.023-.02.035-.02l.051-.008c-.004-.008-.012-.016-.02-.02l-.031-.004-.055.031h.02l.004.008h-.016-.02l-.047.035c.008.004.02.008.023.016zm0 0"/></g><path d="M15.336 5.867l.781-1.762-.574-.926-1.023.375-.477 1.867c.445.113.875.262 1.293.445zm0 0" class="hr-H"/><path d="M14.348 4.238a9.52 9.52 0 0 1 1.484.512l-.301.684a8.85 8.85 0 0 0-1.367-.477zm0 0" class="hr-C"/><path d="M15.578 5.324l.203-.457c-.473-.207-.965-.379-1.465-.508l-.117.469c.473.121.938.281 1.387.477l-.004.016zm0 0" class="hr-F"/><path d="M14.461 4.719c.012-.012.023-.008.039-.004.012-.008.027-.008.039-.008l.023-.008c-.004-.016-.004-.02 0-.023-.027-.016-.039-.035-.047-.055-.012 0-.02-.008-.02-.012h-.016c-.031 0-.039-.012-.051-.02-.008 0-.016-.008-.023-.016l-.012-.012c-.004-.012-.004-.023.008-.023h.027c.012-.004.023-.008.035-.004s.02-.012.031-.023v-.016c.02-.004.031.004.039.016.02 0 .039.012.043.027.027 0 .043.008.047.016s-.008.016-.02.023v.008l.016.016.039.027c.035-.004.098.02.18.074.051.008.102.023.152.043h.035c.09-.012.176 0 .254.059.031.004.055.016.082.023.02.008.039.012.059.012.035.004.07.012.098.027.039.008.074.023.09.047.016.016.012.035-.004.043-.012.023-.035.023-.07.012-.02.004-.047-.016-.074-.035-.031-.008-.059-.027-.09-.047l-.047-.023h-.031v.008c.008.008.016.016.016.031v.035c0 .016.012.023.023.035l.039.016.027.074.016.012c.02.02.008.035-.012.035-.016.016-.031.027-.051.031s-.023 0-.023-.008c-.035-.023-.02-.043.02-.031l.008-.008c-.004-.012-.004-.023 0-.035l-.012-.008c-.012-.004-.027-.012-.035-.023a.92.92 0 0 0-.09-.051c-.027 0-.047-.016-.07-.027h-.027c-.008 0-.016 0-.02.008s-.02.008-.031.008h-.059c-.016 0-.027 0-.039.012s-.016.008-.023 0c-.023-.008-.031-.008-.031-.016-.02-.004-.023-.008-.023-.016-.023-.004-.012-.023 0-.023l.055.004c.012.004.035 0 .043-.004l.02-.02c-.023 0-.047-.008-.066-.02-.043-.027-.078-.035-.105-.012-.008.008-.012.008-.023.004-.039.004-.051 0-.066-.004-.023.004-.047.004-.07 0-.02.012-.035.016-.043.008s-.016-.012-.023-.016c-.016-.004-.02-.008-.02-.012-.016 0-.016-.008-.016-.016.012-.02.023-.02.035-.012.012 0 .02.004.023.008h.023c.004-.004.016-.004.035-.004l.027-.008v-.008c-.016 0-.023-.016-.035-.027-.02 0-.039-.008-.055-.02-.016 0-.027-.004-.039-.012h-.023c-.02.008-.035.008-.055 0h-.031c-.008.012-.023.012-.035.008s-.02-.016-.031-.02c-.027-.02-.027-.027-.016-.031s.02-.008.039 0zm0 0" class="hr-B"/><path d="M15.047 4.895c-.043 0-.074 0-.094-.016-.027-.016-.051-.031-.078-.031l.027-.016h.055c.027 0 .055.008.078.016.012.008.027.02.035.031s.023.016.031.027h-.027c-.008-.004-.02-.008-.027-.012zm0 0" class="hr-C"/><path d="M15.113 3.551v.008l.031.184-.137.121-.008.004.008.004.176.059.039.184v.008l.008-.004.137-.125.172.062h.012v-.004l-.035-.184.137-.121.008-.008h-.012l-.172-.059-.039-.184v-.008l-.008.004-.137.121-.176-.059zm0 0" class="hr-B"/><path d="M15.023 3.863l.129-.113.168.051zm.316-.066l.129-.109.164.055zm.293-.047l-.125.113-.168-.059zm-.312.059l-.133.113-.16-.055zm-.187-.238l.16.051.031.176zm.203.238l.168.059.031.168zm.191.23l-.16-.055-.035-.172zm-.207-.242l-.164-.055-.031-.168zm.109-.285l.039.172-.133.113zm-.102.301l.031.172-.125.113zm-.102.281l-.035-.168.133-.113zm.102-.297l-.031-.176.129-.109zm0 0" class="hr-D"/></svg>')
            },
            cz: {
                languageName: 'Czech',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v9H0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 9h24v9H0zm0 0" fill="rgb(84.313725%,7.843137%,10.196078%)"/><path d="M13.5 9L0 0v18zm0 0" fill="rgb(6.666667%,27.058824%,49.411765%)"/></svg>')
            },
            da: {
                languageName: 'Danish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(78.431373%,6.27451%,18.039216%)"/><g fill="rgb(100%,100%,100%)"><path d="M7.715 0h2.57v18h-2.57zm0 0"/><path d="M0 7.715h24.004v2.57H0zm0 0"/></g></svg>')
            },
            nl: {
                languageName: 'Dutch',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(12.941176%,27.45098%,54.509804%)"/><path d="M0 0h24v12H0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 0h24v6H0zm0 0" fill="rgb(68.235294%,10.980392%,15.686275%)"/></svg>')
            },
            en: {
                languageName: 'English',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(0.392157%,12.941176%,41.176471%)"/><path d="M2.813 0l9.148 6.789L21.074 0H24v2.324l-9 6.715 9 6.672V18h-3l-9-6.711L3.039 18H0v-2.25l8.961-6.676L0 2.398V0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M15.898 10.539L24 16.5V18l-10.164-7.461zM9 11.289l.227 1.313L2.023 18H0zM24 0v.113l-9.336 7.051.074-1.652L22.125 0zM0 0l8.961 6.602h-2.25L0 1.574zm0 0" fill="rgb(78.431373%,6.27451%,18.039216%)"/><path d="M9.039 0v18h6V0zM0 6v6h24V6zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 7.238v3.598h24V7.238zM10.238 0v18h3.598V0zm0 0" fill="rgb(78.431373%,6.27451%,18.039216%)"/></svg>')
            },
            eo: {
                languageName: 'Esperanto',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(0%,60%,0%)"/><path d="M0 0h9v9H0zm0 0" fill-rule="evenodd" fill="rgb(100%,100%,100%)"/><path d="M4.5 1.352L2.664 7.051 7.5 3.523h-6l4.836 3.527zm0 0" fill="rgb(0%,60%,0%)"/></svg>')
            },
            et: {
                languageName: 'Estonian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 0h24v17.922H0zm0 0" fill="rgb(0%,0%,0%)"/><path d="M0 12.027h24V18H0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 0h24v5.973H0zm0 0" fill="rgb(7.058824%,56.862745%,100%)"/></svg>')
            },
            fi: {
                languageName: 'Finnish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill="rgb(0%,20.784314%,50.196078%)"><path d="M0 6.543h24v4.914H0zm0 0"/><path d="M6.582 0h4.906v18h-4.91zm0 0"/></g></svg>')
            },
            fr: {
                languageName: 'French',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M0 0h8v18H0zm0 0" fill="rgb(0%,14.901961%,32.941176%)"/><path d="M16 0h8v18h-8zm0 0" fill="rgb(80.784314%,6.666667%,14.901961%)"/></g></svg>')
            },
            ka: {
                languageName: 'Georgian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill="rgb(100%,0%,0%)"><path d="M10.199 0h3.602v18h-3.602zm0 0"/><path d="M0 7.199h24v3.602H0zm0 0"/><path d="M5.504 13.992c.039-.633.152-1.168.152-1.168l-.555.039c-.184 0-.555-.039-.555-.039a9.44 9.44 0 0 0 .148 1.172c-.633-.039-1.172-.152-1.172-.152a4.56 4.56 0 0 0 .039.555c0 .277-.039.555-.039.555s.539-.109 1.172-.148c-.039.633-.148 1.172-.148 1.172s.277-.039.555-.039a4.56 4.56 0 0 1 .555.039s-.113-.539-.152-1.172a9.44 9.44 0 0 1 1.172.148l-.039-.555c0-.184.039-.555.039-.555s-.535.113-1.168.152zM19.305 3.191c.039-.629.148-1.168.148-1.168l-.555.039c-.184 0-.555-.039-.555-.039s.113.539.152 1.168c-.637-.039-1.172-.145-1.172-.145a4.56 4.56 0 0 0 .039.555c0 .277-.039.555-.039.555s.535-.113 1.172-.152c-.039.637-.152 1.172-.152 1.172s.277-.039.555-.039a4.56 4.56 0 0 1 .555.039s-.109-.535-.148-1.168c.633.039 1.172.152 1.172.152l-.039-.559c0-.184.039-.555.039-.555s-.539.109-1.172.148zm-13.801 0c.039-.629.152-1.168.152-1.168l-.555.039c-.184 0-.555-.039-.555-.039a9.58 9.58 0 0 0 .148 1.172c-.633-.039-1.172-.148-1.172-.148a4.56 4.56 0 0 0 .039.555c0 .277-.039.555-.039.555s.539-.113 1.172-.152c-.039.637-.148 1.172-.148 1.172s.277-.039.555-.039a4.56 4.56 0 0 1 .555.039s-.113-.535-.152-1.172a9 9 0 0 1 1.172.152l-.039-.555c0-.184.039-.555.039-.555s-.535.109-1.168.148zm13.801 10.801c.039-.633.148-1.168.148-1.168l-.555.039c-.184 0-.555-.039-.555-.039a9 9 0 0 0 .152 1.172c-.637-.039-1.172-.152-1.172-.152a4.56 4.56 0 0 0 .039.555c0 .277-.039.555-.039.555s.535-.109 1.172-.148c-.039.633-.152 1.172-.152 1.172s.277-.039.555-.039a4.56 4.56 0 0 1 .555.039s-.109-.539-.148-1.172a9.58 9.58 0 0 1 1.172.148l-.039-.555c0-.184.039-.555.039-.555s-.539.113-1.172.152zm0 0" fill-rule="evenodd"/></g></svg>')
            },
            de: {
                languageName: 'German',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 12h24v6H0zm0 0" fill="rgb(100%,80.784314%,0%)"/><path d="M0 0h24v6H0zm0 0" fill="rgb(0%,0%,0%)"/><path d="M0 6h24v6H0zm0 0" fill="rgb(86.666667%,0%,0%)"/></svg>')
            },
            el: {
                languageName: 'Greek',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.el-B{fill-rule:evenodd}.el-C{fill:rgb(0%,35.686275%,68.235294%)}.el-D{fill:rgb(100%,100%,100%)}]]></style><g class="el-B"><path d="M0 0h24v2H0zm0 0" class="el-C"/><path d="M0 2h24v2H0zm0 0" class="el-D"/><path d="M0 4h24v2H0zm0 0" class="el-C"/><path d="M0 6h24v2H0zm0 0" class="el-D"/></g><g class="el-C"><path d="M0 0h10v10H0zm0 0"/><path d="M0 8h24v2H0zm0 0" class="el-B"/></g><path d="M0 10h24v2H0zm0 0" class="el-B el-D"/><path d="M0 12h24v2H0zm0 0" class="el-B el-C"/><g class="el-D el-B"><path d="M0 14h24v2H0zM4 0h2v10H4zm0 0"/><path d="M0 4h10v2H0zm0 0"/></g><path d="M0 16h24v2H0zm0 0" class="el-C"/></svg>')
            },
            he: {
                languageName: 'Hebrew',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M24.914 4.063H-.871V1.691h25.785zm0 12.352H-.871v-2.367h25.785zM7.887 6.723l3.883 6.754 3.965-6.723-7.848-.027zm0 0" fill="rgb(0%,0%,80%)"/><path d="M11.039 11.203l.734 1.25.754-1.242-1.492-.008zm0 0" fill="rgb(100%,100%,100%)"/><path d="M7.871 11.301l3.887-6.754 3.961 6.727zm0 0" fill="rgb(0%,0%,80%)"/><path d="M11.039 6.754l.734-1.25.754 1.246-1.492.004zM9.496 9.555l-.766 1.27 1.445-.004zm-.754-2.344l1.453.012-.699 1.281zm5.332 2.363l.734 1.25-1.469-.016zm.723-2.363l-1.453.012.699 1.281zm-4.031 0l-1 1.813 1.016 1.773 1.859.043 1.129-1.816-1.043-1.832-1.961.016zm0 0" fill="rgb(100%,100%,100%)"/></g></svg>')
            },
            hi: {
                languageName: 'Hindi',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v6H0zm0 0" fill="rgb(100%,60%,20%)"/><path d="M0 6h24v6H0zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 12h24v6H0zm0 0" fill="rgb(7.058824%,53.333333%,2.745098%)"/><path d="M14.398 9A2.4 2.4 0 0 1 12 11.398 2.4 2.4 0 0 1 9.602 9 2.4 2.4 0 0 1 12 6.602 2.4 2.4 0 0 1 14.398 9zm0 0" fill="rgb(0%,0%,53.333333%)"/><path d="M14.102 9c0 1.16-.941 2.102-2.102 2.102S9.898 10.16 9.898 9 10.84 6.898 12 6.898 14.102 7.84 14.102 9zm0 0" fill="rgb(100%,100%,100%)"/><g fill="rgb(0%,0%,53.333333%)"><path d="M12.422 9c0 .23-.191.422-.422.422s-.422-.191-.422-.422.191-.422.422-.422.422.191.422.422zm1.766.289c-.008.059-.059.102-.121.094s-.098-.062-.09-.121.059-.102.121-.094.098.063.09.121zm0 0"/><path d="M12 11.102l.07-1.262-.07-.602-.07.602zm2.039-1.254c-.023.055-.086.078-.141.055s-.082-.086-.059-.141.086-.078.141-.059.082.086.059.145zm-2.582 1.179l.395-1.199.086-.598-.223.563zm2.293-.683c-.035.047-.102.059-.148.02s-.059-.102-.023-.148.105-.059.152-.02.059.102.02.148zm-2.801.476l.691-1.059.238-.555-.359.484zm2.395-.066c-.047.035-.117.027-.152-.023s-.027-.113.02-.148a.11.11 0 0 1 .152.02c.035.047.027.113-.02.152zm-2.828-.27l.941-.84.375-.477-.477.375zm2.328.555c-.055.023-.117-.004-.141-.059s.004-.117.059-.141.117.004.141.059-.004.117-.059.141zm-2.664-.988l1.129-.57.484-.359-.555.238zm2.109 1.137c-.062.008-.113-.031-.121-.09s.031-.113.09-.121.113.031.121.09-.031.113-.09.121zM9.973 9.543l1.234-.258.563-.223-.598.086zm1.738 1.645c-.059-.008-.102-.059-.094-.121s.063-.098.121-.09.102.059.094.121-.062.098-.121.09zM9.898 9l1.262.07.602-.07-.602-.07zm1.254 2.039c-.055-.023-.078-.086-.055-.141s.086-.082.141-.059.078.086.059.141-.086.082-.145.059zM9.973 8.457l1.199.395.598.086-.562-.223zm.683 2.293c-.047-.035-.059-.102-.02-.148s.102-.059.148-.023.059.105.02.152-.102.059-.148.02zm-.476-2.801l1.059.691.555.238-.484-.359zm.066 2.395c-.035-.047-.027-.117.023-.152s.113-.027.148.02a.11.11 0 0 1-.02.152c-.047.035-.113.027-.152-.02zm.27-2.828l.84.941.477.375-.375-.477zm-.555 2.328c-.023-.055.004-.117.059-.141s.117.004.141.059-.004.117-.059.141-.117-.004-.141-.059zm.988-2.664l.57 1.129.359.484-.238-.555zM9.813 9.289c-.008-.062.031-.113.09-.121s.113.031.121.09-.031.113-.09.121-.113-.031-.121-.09zm1.644-2.316l.258 1.234.223.563-.086-.598zM9.813 8.711c.008-.059.059-.102.121-.094s.098.063.09.121-.059.102-.121.094-.098-.062-.09-.121zM12 6.898l-.07 1.262.07.602.07-.602zM9.961 8.152c.023-.055.086-.078.141-.055s.082.086.059.141-.086.078-.141.059-.082-.086-.059-.145zm2.582-1.179l-.395 1.199-.086.598.223-.562zm-2.293.683c.035-.047.102-.059.148-.02s.059.102.023.148-.105.059-.152.02-.059-.102-.02-.148zm2.801-.476l-.691 1.059-.238.555.359-.484zm-2.395.066c.047-.035.117-.027.152.023s.027.113-.02.148a.11.11 0 0 1-.152-.02c-.035-.047-.027-.113.02-.152zm2.828.27l-.941.84-.375.477.477-.375zm-2.328-.555c.055-.023.117.004.141.059s-.004.117-.059.141-.117-.004-.141-.059.004-.117.059-.141zm2.664.988l-1.129.57-.484.359.555-.238zm-2.109-1.136c.063-.008.113.031.121.09s-.031.113-.09.121-.113-.031-.121-.09.031-.113.09-.121zm2.316 1.644l-1.234.258-.562.223.598-.086zm0 0"/><path d="M12.289 6.813c.059.008.102.059.094.121s-.062.098-.121.09-.102-.059-.094-.121.063-.098.121-.09zM14.102 9l-1.262-.07-.602.07.602.07zm0 0"/><path d="M12.848 6.961c.055.023.078.086.055.141s-.086.082-.141.059-.078-.086-.059-.141.086-.082.145-.059zm1.179 2.582l-1.199-.395-.598-.086.563.223zm0 0"/><path d="M13.344 7.25c.047.035.059.102.02.148s-.102.059-.148.023-.059-.105-.02-.152.102-.059.148-.02zm.476 2.801l-1.059-.691-.555-.238.484.359zm0 0"/><path d="M13.754 7.656c.035.047.027.117-.023.152s-.113.027-.148-.02a.11.11 0 0 1 .02-.152c.047-.035.113-.027.152.02zm-.27 2.828l-.84-.941-.477-.375.375.477zm.555-2.328c.023.055-.004.117-.059.141s-.117-.004-.141-.059.004-.117.059-.141.117.004.141.059zm-.988 2.664l-.57-1.129-.359-.484.238.555zm1.137-2.109c.008.063-.031.113-.09.121s-.113-.031-.121-.09.031-.113.09-.121.113.031.121.09zm-1.645 2.316l-.258-1.234-.223-.562.086.598zm0 0"/></g></svg>')
            },
            hu: {
                languageName: 'Hungarian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M24 18H0v-6h24zm0 0" fill="rgb(21.960784%,55.294118%,0%)"/><path d="M24 6.004H0v-6h24zm0 0" fill="rgb(83.137255%,20.784314%,8.627451%)"/></g></svg>')
            },
            id: {
                languageName: 'Indonesian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 0h24v9.336H0zm0 0" fill="rgb(90.588235%,0%,6.666667%)"/><path d="M0 9h24v9H0zm0 0" fill="rgb(100%,100%,100%)"/></svg>')
            },
            it: {
                languageName: 'Italian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M0 0h8v18H0zm0 0" fill="rgb(0%,57.254902%,27.45098%)"/><path d="M16 0h8v18h-8zm0 0" fill="rgb(80.784314%,16.862745%,21.568627%)"/></g></svg>')
            },
            ja: {
                languageName: 'Japanese',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><path d="M17.598 9a5.6 5.6 0 0 1-5.594 5.598A5.6 5.6 0 0 1 6.406 9c0-3.09 2.504-5.594 5.598-5.594S17.598 5.91 17.598 9zm0 0" fill-rule="evenodd" fill="rgb(82.745098%,0%,0%)"/></svg>')
            },
            kk: {
                languageName: 'Kazakh',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(0%,67.058824%,76.078431%)"/><g fill-rule="evenodd" fill="rgb(100%,92.54902%,17.647059%)"><path d="M2.258 17.512c.125.121.082.32.422.293.52 0 .535-.316.535-.535s-.777-.531-.816-.855A.33.33 0 0 1 2.762 16c.176 0 .297.102.297.191s-.082.121-.207.121.055-.062-.055-.113-.18.074-.18.152.27.102.449.047c.039.176.055.188-.199.488.18-.117.195-.145.395-.074-.199-.172-.047-.52-.043-.605s-.039-.191-.113-.242c-.148-.133-.457-.141-.645-.055-.273.121-.289.48-.219.602l.758.766c.051.09.074.344-.246.355-.34.027-.457-.434-.52-.59-.078.168-.168.629-.508.605-.324-.012-.383-.262-.332-.355l.777-.789c.074-.121.059-.48-.215-.602-.187-.086-.5-.074-.641.055-.082.051-.129.152-.121.242s.156.434-.039.602c.195-.066.211-.039.391.074-.25-.297-.23-.309-.195-.488.18.063.449.039.449-.039s-.074-.211-.184-.16.074.117-.055.117c-.121 0-.211-.027-.211-.113s.121-.199.301-.199.395.09.359.418-.828.68-.828.898c0 .227.055.492.57.492.34.027.379-.172.504-.293zm0 0"/><path d="M2.215 12.875c.125-.121.227-.473.563-.453.52 0 .715.289.715.512s-1.051 2.023-1.09 2.352.18.418.359.418.301-.102.301-.195-.09-.113-.211-.113.051.063-.055.113-.18-.078-.18-.156.27-.105.449-.043c.035-.176.051-.187-.199-.488.18.113.195.141.395.074-.199.172-.051.516-.043.602s-.039.195-.117.246c-.145.133-.457.137-.645.055-.27-.125-.285-.48-.215-.602l1.02-2.199c.059-.09-.086-.387-.406-.398-.34-.027-.457.328-.516.48l.461-.035s.02.074 0 .121c-.152.008-.309.031-.461.059l-.02.23h.227l-.016.105s-.191-.012-.211 0-.035.234-.035.234-.039.016-.078.016-.074-.016-.074-.016-.016-.223-.031-.234-.211 0-.211 0l-.02-.105h.23l-.02-.23s-.227-.047-.461-.059c-.016-.047 0-.117 0-.117l.461.031c-.062-.152-.176-.508-.516-.484-.32.016-.465.313-.41.402l1.02 2.199c.07.117.055.477-.215.602-.187.082-.504.074-.645-.055-.078-.051-.125-.156-.117-.242s.152-.437-.043-.602c.199.063.215.039.391-.078-.246.301-.23.313-.191.488.176-.062.445-.039.445.043 0 .074-.074.207-.18.156s.074-.113-.055-.113c-.121 0-.211.023-.211.113s.121.195.297.195.395-.094.363-.414c-.039-.328-1.09-2.137-1.09-2.355 0-.227.195-.508.715-.508.336-.023.461.328.578.449zm0 0"/><path d="M2.215 11.977c.125.121.227.473.563.449.52 0 .715-.285.715-.508s-1.051-2.027-1.09-2.352.18-.418.359-.418.301.102.301.195-.09.113-.211.113.051-.059-.055-.113-.18.078-.18.156.27.105.449.043c.035.176.051.188-.199.488.18-.113.195-.141.395-.074-.199-.172-.051-.516-.043-.602s-.039-.195-.117-.246c-.145-.129-.457-.137-.645-.055-.27.125-.285.48-.215.602l1.02 2.195c.059.09-.086.387-.406.398-.34.027-.457-.328-.516-.484l.461.039s.02-.074 0-.121l-.461-.059-.02-.234h.227l-.016-.102s-.191.012-.211 0-.035-.234-.035-.234-.039-.016-.078-.016-.074.016-.074.016-.016.223-.031.234-.211 0-.211 0l-.02.102h.23l-.02.234s-.227.047-.461.059a.27.27 0 0 0 0 .117l.461-.035c-.062.156-.176.512-.516.488-.32-.016-.465-.312-.41-.402l1.02-2.195c.07-.121.055-.477-.215-.602-.187-.082-.504-.074-.645.055-.078.051-.125.156-.117.242s.152.434-.043.602c.199-.062.215-.039.391.078-.246-.301-.23-.312-.191-.488.176.063.445.039.445-.043s-.074-.207-.18-.156.074.113-.055.113c-.121 0-.211-.023-.211-.113s.121-.195.297-.195.395.09.363.414c-.039.328-1.09 2.137-1.09 2.355s.195.504.715.504c.336.027.461-.324.578-.445zm0 0"/><path d="M2.215 6.023c.125-.121.227-.473.563-.449.52 0 .715.285.715.508s-1.051 2.027-1.09 2.355a.33.33 0 0 0 .359.414c.18 0 .301-.102.301-.191s-.09-.121-.211-.121.051.066-.055.121-.18-.082-.18-.16.27-.105.449-.043c.035-.176.051-.187-.199-.488.18.117.195.141.395.074-.199.172-.051.52-.043.602a.29.29 0 0 1-.117.246c-.145.133-.457.137-.645.055-.27-.125-.285-.48-.215-.602l1.02-2.195c.059-.09-.086-.387-.406-.398-.34-.027-.457.328-.516.484l.461-.039s.02.074 0 .121c-.238.012-.461.059-.461.059l-.02.234h.227l-.016.102s-.191-.008-.211 0-.035.238-.035.238-.039.012-.078.012-.074-.012-.074-.012-.016-.227-.031-.238-.211 0-.211 0l-.02-.102h.23l-.02-.234s-.227-.047-.461-.059c-.016-.047 0-.117 0-.117l.461.035c-.062-.156-.176-.512-.516-.488-.32.016-.465.313-.41.402l1.02 2.195c.07.121.055.477-.215.602-.187.082-.504.074-.645-.055-.078-.051-.125-.156-.117-.242s.152-.434-.043-.602c.199.063.215.039.391-.078-.246.301-.23.313-.191.488.176-.062.445-.035.445.043s-.074.207-.18.156.074-.113-.055-.113c-.121 0-.211.023-.211.113s.121.195.297.195.395-.09.363-.414C1.977 8.109.926 6.305.926 6.082s.195-.504.715-.504c.336-.027.461.324.578.449zm0 0"/><path d="M2.215 5.125c.125.121.227.477.563.453.52 0 .715-.289.715-.512s-1.051-2.023-1.09-2.352.18-.418.359-.418.301.105.301.195-.09.117-.211.117.051-.062-.055-.117-.18.078-.18.156.27.105.449.043c.035.176.051.188-.199.488.18-.113.195-.141.395-.074-.199-.168-.051-.516-.043-.602s-.039-.195-.117-.246c-.145-.129-.457-.137-.645-.051a.48.48 0 0 0-.215.598l1.02 2.199c.059.09-.086.387-.406.402-.34.023-.457-.328-.516-.484l.461.035s.02-.074 0-.121c-.152-.008-.309-.027-.461-.055l-.02-.234h.227l-.016-.105s-.191.012-.211 0-.035-.234-.035-.234-.039-.016-.078-.016-.074.016-.074.016-.016.223-.031.234-.211 0-.211 0l-.02.105h.23l-.02.234s-.227.043-.461.055c-.016.051 0 .121 0 .121l.461-.035c-.062.156-.176.508-.516.484-.32-.016-.465-.312-.41-.402l1.02-2.199c.07-.117.055-.477-.215-.602-.187-.082-.504-.074-.645.055-.078.051-.125.156-.117.242s.152.438-.043.602c.199-.062.215-.039.391.078-.246-.301-.23-.312-.191-.488.18.063.445.039.445-.043 0-.074-.074-.207-.18-.156s.074.117-.055.117c-.121 0-.211-.027-.211-.117s.121-.195.297-.195.398.094.363.414c-.039.328-1.09 2.137-1.09 2.355 0 .227.195.512.715.512.336.023.461-.332.578-.453zm0 0"/><path d="M2.258.488c.125-.121.082-.32.422-.293.52 0 .535.316.535.535s-.777.531-.816.855A.33.33 0 0 0 2.762 2c.176 0 .297-.102.297-.191s-.082-.121-.207-.121.055.063-.055.113-.18-.074-.18-.152.27-.105.449-.047c.039-.176.055-.187-.199-.488.18.117.195.145.395.074-.199.172-.047.52-.043.605s-.039.191-.113.242c-.152.141-.461.141-.648.059-.273-.121-.289-.48-.219-.602L3 .723c.051-.09.074-.344-.246-.355-.34-.027-.457.434-.52.59C2.156.79 2.066.325 1.726.349c-.324.012-.383.262-.332.355l.777.789c.074.121.059.48-.215.602-.187.086-.5.078-.641-.055-.082-.051-.129-.152-.121-.242s.156-.434-.039-.602c.195.066.211.039.391-.074-.25.297-.23.309-.195.488.18-.062.449-.039.449.039s-.074.211-.184.16.074-.117-.055-.117c-.121 0-.211.027-.211.113s.121.199.301.199.395-.09.359-.418-.828-.68-.828-.898c0-.227.055-.492.57-.492.34-.027.379.172.504.293zm10.894 4.004c1.879 0 3.406 1.445 3.406 3.23s-1.527 3.227-3.406 3.227-3.406-1.445-3.406-3.227 1.523-3.23 3.406-3.23zm0 0"/><path d="M12.992 2.57c-.035 0-.184 1.07-.242 1.313-.055.539.723.52.594-.02l-.352-1.297zm.27 10.395c.027 0 .262-1.059.336-1.293.094-.535-.684-.562-.598-.02zM7.836 7.699c0 .027 1.117.254 1.363.324.563.094.602-.641.023-.559l-1.387.238zm10.875.129c0-.027-1.129-.211-1.383-.277-.562-.066-.566.664 0 .566zM8.98 4.297c-.02.02.715.852.863 1.059.387.398.895-.16.387-.434l-1.25-.621zm8.449 6.844c.02-.02-.789-.789-.957-.977-.422-.367-.871.23-.344.461l1.301.52zm-6.766-8.004c-.023.012.32 1.043.379 1.289.191.508.887.176.527-.262l-.902-1.027zm4.93 9.301c.027-.012-.242-1.062-.277-1.309-.156-.52-.871-.238-.547.227l.828 1.078zm1.211-8.582c-.023-.02-.914.668-1.129.801-.426.363.152.852.449.375zM9.48 11.609c.02.02.961-.602 1.184-.723.453-.328-.086-.859-.418-.402l-.762 1.125zM8.078 5.844c-.012.023.961.586 1.176.734.5.262.793-.418.219-.527zm10.156 3.938c.012-.023-.922-.652-1.121-.812-.48-.297-.82.363-.258.508zM15.007 2.86c-.027-.008-.586.938-.73 1.141 0 .137.086.254.211.297s.266 0 .348-.105zm-3.758 9.777c.027.016.652-.895.813-1.09a.31.31 0 0 0-.547-.227zM8.148 9.863c.012.027 1.121-.238 1.379-.277.547-.152.242-.824-.238-.512zm10.09-4.109c-.008-.023-1.133.164-1.395.188-.559.117-.301.809.203.531zm-4.144-3.117c-.027-.004-.402 1.016-.516 1.242-.164.52.602.648.59.094l-.07-1.34zm-1.941 10.242c.031.008.48-.988.609-1.207.199-.508-.551-.684-.578-.133l-.035 1.34zm-.387-10.141c-.027.008.078 1.086.078 1.336.074.531.824.348.574-.148zm2.723 10.082c.027-.004 0-1.09.02-1.34-.035-.539-.801-.402-.586.109l.563 1.23zM9.836 3.633c-.023.016.508.973.609 1.199.289.469.91.031.473-.344zm6.598 8.32c.023-.016-.441-1.008-.52-1.238-.254-.484-.902-.086-.496.313zM8.43 4.977c-.02.027.844.738 1.023.922.445.336.855-.289.313-.484zm9.371 5.594c.016-.023-.789-.793-.957-.984-.414-.367-.871.23-.344.465zM7.813 6.656c-.008.027 1.051.43 1.285.547.535.18.707-.535.121-.551zm10.703 2.313c.012-.023-1.02-.496-1.242-.629-.52-.215-.75.488-.168.543zM7.777 8.715c.004.027 1.148.008 1.406.031.57-.031.434-.754-.109-.559zM18.59 6.914c0-.027-1.145-.086-1.402-.121-.57-.012-.488.723.07.559l1.332-.441zm-9.832 3.937c.016.027 1.039-.461 1.277-.555.5-.262.043-.855-.355-.453zm8.895-6.094c-.016-.023-1.066.395-1.32.473-.516.227-.102.852.32.477zm-7.23 7.512c.023.012.754-.82.941-.996.348-.43-.32-.801-.52-.281zm5.59-8.957c-.02-.016-.812.766-1.008.93-.375.402.266.82.496.316l.508-1.246zm0 0"/><path d="M7.941 9.867c.063.207.07 1.363 1.305 2.477 1.223 1.109 3.316 1.355 3.316 1.355s.012.156-.137.164c-.148.02-.867-.121-1.227-.23-.348-.098-.66-.281-.695-.273-.047.02-.113.133-.219.117s-.613-.512-.84-.645A6.89 6.89 0 0 1 8.25 11.57c-.246-.371-.309-.621-.387-.621s-.367.184-.367.184-.262-.371-.488-.969c-.234-.594-.207-.937-.156-.965.063-.023.063.438.234.859.176.43.422.563.422.563s-.16-.223-.281-.777-.176-1.09-.086-1.254.164-.215.172-.207c.02.016-.148.254-.035.891s.422 1.172.492 1.148-.043-.156-.09-.527.047-.605.141-.637c.043-.031.113.414.121.609zm-.855 1.059c-.234-.207-.602-.926-.68-.891-.086.039.594 1.07.609 1.156.02.098.168.379.055.336s-.926-.848-.832-.691.711.867.676.906-.508-.395-.527-.336c-.008.047.465.477.457.527s-.309-.273-.309-.207.309.387.309.438-.262-.23-.176-.082c.078.164.305.305.297.355s-.191-.066-.191-.043.34.141.418.23c.086.094.648.703 1.066 1.008s1.625.844 1.711.844c.078 0 .203-.164.176-.23s-1.207-.449-1.527-.727l-1.207-.992c-.062-.043-.246-.023-.246-.066s.238.023.219 0c-.008-.023-.32-.156-.312-.18.016-.027.219.047.219.023s-.367-.215-.352-.258.273.117.273.086c0-.02-.352-.25-.344-.289s.273.18.262.129-.207-.328-.207-.363.313.281.348.215c.02-.055-.113-.594-.105-.602s.238.117.273.043c.043-.086-.16-.191-.352-.34zm4.027 4.063c-.164.023-.242-.035-.148-.164.133 0 .48-.109.602-.16s.254-.113.359-.203c.105-.109.176.055.113.148-.043.055-.242.164-.391.223-.219.066-.414.164-.535.156zm1.094-.422c-.113-.117-.02-.199.148-.289.242-.125.172-.297.488-.437.141-.082 2.098-.824 2.734-1.223s2.426-1.676 2.906-2.559c.473-.875.246-.941.316-.973.063-.043.129.121.121.32-.016.191-.176.77-.121.824s.715-.453.996-1.07.488-1.266.621-1.266-.23 1.059-.465 1.469c-.227.414-.496.621-.437.711.07.082.754-.453.988-.848.227-.406.445-.762.488-.687-.07.484-.27.941-.586 1.328-.367.398-.801.688-.73.746.059.066.559.129 1.074-.199.523-.34.574-.824.637-.801.07.023-.062.691-.559 1.105s-1.152.453-1.137.547c.035.082 1.422-.383 1.398-.273-.027.098-1.801.758-1.816.824 0 .051.305.066.785-.039.473-.102.926-.457.988-.371.016.113-.344.395-.883.527-.551.133-.82.305-.84.348-.008.039.98-.117.98-.066s-1.293.289-1.305.355c-.016.055 1.223-.242 1.207-.168-.035.059-1.687.52-1.668.547.008.031 1.379-.281 1.352-.23-.035.055-2.305.66-2.32.699s2.008-.43 1.988-.387-1.047.281-1.047.305.832-.125.813-.082c-.008.031-2.098.535-2.141.609-.043.086 1.086-.203 1.066-.055s-2.418.906-2.43.766 1.461-.496 1.453-.535c-.02-.043-.848.082-.867.008-.008-.082.551-.25.508-.281-.043-.043-.465.117-.43.023.047-.09.84-.437.824-.461s-.289.082-.266 0c.035-.09 1.723-.555 1.695-.609s-.777.113-.848.129c-.023-.047 1.051-.43 1.031-.492-.035-.059-.574.223-.609.148-.02-.086.949-.437.891-.496s-.5.148-.559.09.914-.691.766-.711c-.148-.008-.332.199-.348.066.016-.164.762-.437.594-.57-.262-.074-1.145.059-1.512.266s-1.59 1.355-1.887 1.535-1.309.578-1.5.66c-.297.102-.352.25-.656.398-.551.141-.543.297-.805.387-.094.023-1.082.473-1.09.438zm-1.383.578c-.164.082-.312.281-.219.363.055.098.219-.223.352-.207l.699.035c.375.023.559-.074.77-.059s.672-.109.891-.109.262.027.277-.066c.027-.082-.68-.023-.996-.031-.312-.016-.707.059-.941.059-.219-.008-.594-.074-.832.016zm0 0"/><path d="M11.727 14.922c.082 0 .148.055.148.125s-.066.121-.148.121-.148-.055-.148-.121.066-.125.148-.125zm3.632-.117c.148-.023.551.109.828.168.508.188 1.453.098 1.453.188s-.062.199-.281.215-.77-.082-.75-.082.434.191.313.238-.48-.105-.539-.066.328.117.262.141c-.055.027-.324-.031-.414-.023-.086.016.07.109-.031.141-.105.043-.281-.051-.352-.023-.078.023.156.164.055.18s-.352-.066-.492-.082c-.137 0 .133.133.043.148-.086.008-.328-.105-.391-.105s0 .164-.09.164-.191-.141-.242-.141 0 .164-.086.164-.125-.172-.195-.164c-.086.016 0 .223-.121.207-.113-.008-.133-.215-.227-.207-.086.016.016.207-.07.207s-.105-.191-.191-.207c-.09-.008-.055.18-.105.18s-.105-.18-.141-.18c-.027 0 0 .18-.105.164s-.102-.199-.129-.187c-.035.016-.035.148-.105.148s-.078-.133-.105-.117c-.035.008-.141.172-.211.148-.078-.023.02-.156-.016-.156s-.121.09-.176.082 0-.117-.016-.117-.148.066-.211.066-.227.082-.27.008c-.043-.082.113-.082.148-.156.027-.074-.09-.297.035-.371.113-.082.488.109 1.047-.023l1.879-.547zm0 0"/></g></svg>')
            },
            ko: {
                languageName: 'Korean',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><g fill="rgb(0%,0%,0%)"><path d="M2.629 5.469l2.5-3.746.621.418-2.496 3.742zm.938.621l2.496-3.742.625.418-2.496 3.742zm.937.625L7 2.973l.625.414-2.5 3.746zm11.855 7.906l2.496-3.742.621.414-2.496 3.746zm.934.625l2.496-3.742.625.414-2.496 3.746zm.938.625l2.496-3.742.625.414-2.496 3.742zm0 0"/><path d="M17.293 12.544l3.121 2.082" stroke="rgb(100%,100%,100%)" stroke-width=".375"/></g><path d="M8.246 6.508c1.379-2.066 4.172-2.625 6.242-1.246s2.625 4.172 1.246 6.242zm0 0" fill="rgb(80.392157%,18.039216%,22.745098%)"/><path d="M8.246 6.508c-1.379 2.07-.82 4.863 1.246 6.242s4.863.82 6.242-1.246c.688-1.035.41-2.434-.625-3.121s-2.43-.41-3.117.621zm0 0" fill="rgb(0%,27.843137%,62.745098%)"/><path d="M11.367 5.887a2.25 2.25 0 0 1 .625 3.117c-.691 1.035-2.09 1.313-3.121.625s-1.312-2.086-.625-3.121a2.25 2.25 0 0 1 3.121-.621zm0 0" fill="rgb(80.392157%,18.039216%,22.745098%)"/><g fill="rgb(0%,0%,0%)"><path d="M5.137 16.289l-2.496-3.742.621-.418 2.5 3.746zm.934-.625l-2.496-3.742.625-.418 2.496 3.746zm.938-.621l-2.496-3.746.625-.414 2.496 3.742zm11.854-7.91l-2.496-3.742.625-.414 2.496 3.742zm.938-.621l-2.5-3.746.625-.414 2.496 3.742zm.934-.625l-2.496-3.746.625-.414 2.496 3.742zm0 0"/><path d="M4.668 13.899l.938-.625m11.699-7.802l1.09-.731m.938-.625l.934-.625" stroke="rgb(100%,100%,100%)" stroke-width=".375"/></g></g></svg>')
            },
            ky: {
                languageName: 'Kyrgyz',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><defs><clipPath id="A"><path d="M0 0h23.996v18H0zm0 0"/></clipPath></defs><g clip-path="url(#A)"><path d="M0 0h24v18H0z" fill="rgb(100%,0%,0%)"/></g><g fill-rule="evenodd"><g fill="rgb(100%,100%,0%)"><path d="M6.695 9.18c.477-.582 1.473-.016 2.285-.434-.965.055-1.488-.465-2.246-.391.785-.484 1.457.16 2.336-.098-1.164-.098-1.113-.621-2.176-.695.941-.402 1.406.414 2.332.227-1.09-.25-1.23-.887-2.039-1.023 1.18-.176 1.102.52 2.258.602-1.172-.5-.867-.941-1.848-1.324 1.102-.023 1.027.738 2.145.934-.957-.602-.84-1.156-1.625-1.586.934.016 1.02.969 1.973 1.266-.848-.672-.625-1.242-1.355-1.844.926.219.789 1.039 1.758 1.566-.719-.793-.445-1.363-1.066-2.012.895.285.551 1.066 1.477 1.813-.527-.875-.199-1.434-.723-2.168.828.426.426 1.227 1.195 2.02-.363-.895 0-1.449-.371-2.246.711.527.289 1.383.863 2.199-.211-1.125.273-1.309.121-2.293.539.66-.062 1.32.352 2.297-.051-1.109.539-1.367.438-2.25.531.793-.301 1.484.047 2.336.09-1.047.777-1.32.789-2.137.422.75-.492 1.289-.344 2.285.297-1.098 1.031-1.23 1.125-1.969.25.863-.754 1.266-.695 2.23.301-.977 1.219-1.09 1.406-1.809.117.914-.785 1.078-1.043 2.09.477-.824 1.309-.891 1.68-1.547-.027.91-1.047 1.027-1.359 1.875.586-.719 1.324-.598 1.914-1.234-.066.82-1.102.773-1.652 1.621.633-.586 1.594-.41 2.082-.918-.023.727-1.297.668-1.898 1.32.738-.41 1.68-.168 2.223-.547-.098.633-1.441.484-2.086.984.887-.246 1.574.133 2.285-.141-.348.617-1.566.227-2.215.625.773-.129 1.59.34 2.289.188-.227.535-1.566-.035-2.285.301.859-.008 1.418.543 2.215.504-.43.484-1.605-.18-2.293-.066.84.176 1.477.867 2.109.902-.523.395-1.492-.512-2.285-.398.816.219 1.5 1.141 1.965 1.164-.504.344-1.496-.793-2.176-.75.828.375 1.203 1.32 1.75 1.453-.672.215-1.332-1.027-2.055-1.074.836.527.883 1.336 1.527 1.695-.68.164-1.16-1.238-1.875-1.355.688.5.793 1.582 1.246 1.918-.691.035-.941-1.43-1.648-1.641.605.504.461 1.602.934 2.074-.719-.152-.625-1.43-1.375-1.859.539.68.266 1.648.617 2.191-.703-.281-.398-1.426-1.062-2.074.359.727-.027 1.57.258 2.27-.637-.312-.211-1.668-.699-2.207.227.84-.187 1.531-.02 2.281-.656-.758.098-1.52-.469-2.289.148.883-.469 1.5-.371 2.238-.52-.605.281-1.57-.125-2.332.086.867-.711 1.629-.656 2.18-.422-.703.469-1.535.227-2.332-.047.828-.855 1.277-1.008 2.035-.27-.832.691-1.434.605-2.254-.273.777-1.055 1.09-1.328 1.848-.227-.836.914-1.273.941-2.148-.352.816-1.285 1-1.594 1.625-.113-.824 1.188-1.195 1.238-1.977-.422.75-1.441.781-1.793 1.379-.051-.82 1.32-.922 1.535-1.785-.418.641-1.535.559-2.004 1.078.074-.762 1.562-.809 1.801-1.496-.555.535-1.582.316-2.16.738.32-.754 1.719-.594 2.031-1.137-.617.32-1.711.008-2.25.332.492-.711 1.574-.285 2.191-.773-1 .145-1.602-.254-2.293-.07zm0 0"/><path d="M15.5 9.004a3.49 3.49 0 0 1-3.488 3.488 3.49 3.49 0 0 1-3.488-3.488c0-1.926 1.559-3.488 3.484-3.488s3.488 1.563 3.488 3.488zm0 0"/></g><path d="M15.051 9.012c0 1.676-1.359 3.031-3.035 3.031a3.03 3.03 0 0 1-3.031-3.031c0-1.676 1.355-3.035 3.031-3.035s3.035 1.359 3.035 3.035zm0 0" fill="rgb(100%,0%,0%)"/><path d="M14.629 9.016c0 1.441-1.168 2.605-2.605 2.605s-2.605-1.164-2.605-2.605 1.168-2.602 2.605-2.602 2.605 1.164 2.605 2.602zm0 0" fill="rgb(100%,100%,0%)"/><path d="M9.805 7.313c.723-.016 1.617.051 2.211.52.637-.395 1.383-.57 2.129-.504l.387.707a3.57 3.57 0 0 0-1.758.289c.801.59 1.254 1.543 1.215 2.535-.094.121-.246.25-.34.371.141-1.004-.387-2.121-1.156-2.707.625.898.992 1.707.891 2.824l-.352.227c.164-.984-.07-2.145-.797-2.812.422.613.836 1.723.578 2.848-.113.035-.289.129-.402.16a3.38 3.38 0 0 0-.379-2.766c-.484.695-.645 1.758-.371 2.742l-.371-.109c-.199-1.055.078-2.25.559-2.871-.492.285-.953 1.5-.824 2.742l-.324-.152c-.16-.926.258-2.129.859-2.828-.68.43-1.238 1.488-1.141 2.625-.105-.094-.203-.137-.309-.234-.117-.988.457-1.988 1.129-2.586-.566-.258-1.055-.305-1.758-.297l.324-.727zm0 0" fill="rgb(100%,0%,0%)"/></g></svg>')
            },
            lo: {
                languageName: 'Lao',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(80.784314%,6.666667%,14.901961%)"/><g fill-rule="evenodd"><path d="M-1.5 4.473h27v9.055h-27zm0 0" fill="rgb(0%,15.686275%,40.784314%)"/><path d="M15.879 9A3.88 3.88 0 0 1 12 12.879 3.88 3.88 0 0 1 8.121 9 3.88 3.88 0 0 1 12 5.121 3.88 3.88 0 0 1 15.879 9zm0 0" fill="rgb(100%,100%,100%)"/></g></svg>')
            },
            lv: {
                languageName: 'Latvian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><path d="M0 0h24v7.199H0zm0 10.801h24V18H0zm0 0" fill-rule="evenodd" fill="rgb(59.607843%,11.764706%,19.607843%)"/></svg>')
            },
            lt: {
                languageName: 'Lithuanian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 0h24v17.922H0zm0 0" fill="rgb(0%,41.568627%,26.666667%)"/><path d="M0 12.027h24V18H0zm0 0" fill="rgb(75.686275%,15.294118%,17.647059%)"/><path d="M0 0h24v5.973H0zm0 0" fill="rgb(99.215686%,72.54902%,7.45098%)"/></svg>')
            },
            lb: {
                languageName: 'Luxembourgish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 9h24v9H0zm0 0" fill="rgb(0%,63.137255%,87.058824%)"/><path d="M0 0h24v9H0zm0 0" fill="rgb(92.941176%,16.078431%,22.352941%)"/><path d="M0 6h24v6H0zm0 0" fill="rgb(100%,100%,100%)"/></svg>')
            },
            mk: {
                languageName: 'Macedonian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(82.352941%,0%,0%)"/><g fill="rgb(100%,90.196078%,0%)"><path d="M0 0h3.602L12 8.676 20.398 0H24L0 18h3.602L12 9.324 20.398 18H24zm24 7.199v3.602L0 7.199v3.602zM10.5 0L12 7.715 13.5 0zm0 18l1.5-7.715L13.5 18zm0 0"/><path d="M14.891 9a2.89 2.89 0 1 1-5.781 0 2.89 2.89 0 1 1 5.781 0zm0 0" stroke="rgb(82.352941%,0%,0%)" stroke-width=".641"/></g></svg>')
            },
            ms: {
                languageName: 'Malay',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(80%,0%,0%)"/><path d="M.02 1.496h23.96v1.441H.02zm0 2.953h23.96v1.438H.02zm0 2.953h23.96v1.441H.02zm0 0" fill="rgb(100%,100%,100%)"/><path d="M0 .02h12v10.5H0zm0 0" fill="rgb(0%,0%,40%)"/><path d="M7.781 2.766l.227 1.527.859-1.273-.465 1.469 1.332-.781L8.68 4.832l1.539-.117-1.437.555 1.438.555-1.539-.121 1.055 1.125-1.332-.781.461 1.477-.859-1.281-.227 1.527-.223-1.527-.859 1.277.465-1.473-1.332.781 1.051-1.125-1.539.121 1.441-.555-1.437-.555 1.539.117-1.055-1.125 1.332.781-.465-1.473.859 1.277zm-1.25.066a2.66 2.66 0 0 0-3.18.797c-.754.965-.754 2.316 0 3.281a2.66 2.66 0 0 0 3.18.797c-1.242.891-2.957.703-3.98-.434a3 3 0 0 1 0-4.008c1.023-1.141 2.738-1.328 3.98-.434zm0 0" fill="rgb(100%,80%,0%)"/><path d="M.02 10.359h23.96v1.438H.02zm0 2.93h23.96v1.441H.02zM0 16.559h23.961V18H0zm0 0" fill="rgb(100%,100%,100%)"/></svg>')
            },
            mn: {
                languageName: 'Mongolian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.mn-B{fill:rgb(76.862745%,15.294118%,18.431373%)}.mn-C{fill:rgb(97.647059%,81.176471%,0.784314%)}.mn-D{stroke:rgb(76.862745%,15.294118%,18.431373%)}.mn-E{stroke-width:.143}]]></style><path d="M0 0h24v18H0z" class="mn-B"/><path d="M8 0h8v18H8zm0 0" fill="rgb(0.392157%,31.764706%,59.215686%)"/><path d="M5.324 7.09a1.31 1.31 0 0 1-1.312 1.312c-.723 0-1.313-.586-1.313-1.312s.59-1.312 1.313-1.312 1.313.59 1.313 1.313zm0 0" class="mn-C"/><path d="M5.445 6.496a1.43 1.43 0 0 1-1.434 1.43c-.789 0-1.434-.641-1.434-1.43s.645-1.434 1.434-1.434a1.43 1.43 0 0 1 1.434 1.434zm0 0" class="mn-B"/><g class="mn-C"><path d="M3.418 4.941c0 .332.266.598.594.598s.598-.266.598-.598c0-.234-.152-.27-.152-.355s.09-.211-.09-.359c.09.148-.059.18-.059.328s.059.152.059.27c-.008.055-.059.098-.117.098s-.105-.043-.117-.098c0-.117.117-.238.117-.414 0-.184-.027-.242-.117-.391s-.242-.27-.121-.391c-.18.063-.09.301-.09.449s-.121.238-.121.414.09.215.09.332c-.008.055-.059.098-.117.098s-.105-.043-.117-.098c0-.117.059-.117.059-.27s-.148-.18-.059-.328c-.18.148-.09.27-.09.359s-.148.117-.148.355zm0 0" fill-rule="evenodd"/><path d="M4.965 6.73a.95.95 0 0 1-.953.953c-.523 0-.953-.426-.953-.953s.43-.953.953-.953a.96.96 0 0 1 .953.953zM1.387 8.641v5.727h1.191V8.641zm4.059 0v5.727h1.191V8.641zm-2.625.957v.477h2.383v-.477zm0 3.336v.48h2.383v-.477zm0-4.293h2.383l-1.191.715zm0 5.012h2.383l-1.191.711zm0 0"/><path d="M5.277 11.504c0 .699-.566 1.266-1.266 1.266s-1.262-.566-1.262-1.266.566-1.262 1.262-1.262 1.266.566 1.266 1.262zm0 0" class="mn-D mn-E"/></g><path d="M4.012 10.238a.63.63 0 1 1 0 1.266.64.64 0 0 0-.59.301.65.65 0 0 0 0 .664.64.64 0 0 0 .59.301" fill="none" class="mn-D mn-E"/><path d="M4.254 10.871a.24.24 0 0 1-.242.238c-.133 0-.238-.105-.238-.238s.105-.238.238-.238a.24.24 0 0 1 .242.238zm0 1.266c0 .129-.109.238-.242.238a.24.24 0 1 1 0-.48c.133 0 .242.109.242.242zm0 0" class="mn-B"/></svg>')
            },
            ne: {
                languageName: 'Nepali',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M.227 17.795h13.337L4.838 8.944l9.054.012L.231.226v17.569zm0 0" fill="rgb(80.784314%,0%,0%)" stroke="rgb(0%,0%,38.823529%)" stroke-width=".486"/><path d="M6.352 13.07l-.949.316.746.695-1-.062.41.922-.898-.434.02 1.008-.66-.734-.379.934-.32-.926-.715.727.063-.977-.945.402.441-.879-1.027.02.754-.641-.961-.371.953-.316-.75-.695.996.063-.406-.922.898.434-.016-1.004.66.734.375-.937.32.926.719-.723-.066.973.949-.402-.445.879 1.031-.02-.754.645zM5.215 6.578l-.398.297.195.16A3.29 3.29 0 0 0 6.094 5.77c.063.75-.625 2.426-2.418 2.441-.66.012-1.297-.246-1.77-.711s-.738-1.098-.742-1.758c.352.641.57.949 1.125 1.281l.164-.152-.371-.316.48-.125-.262-.437.508.039-.062-.508.441.258.141-.473.316.379.301-.359.16.492.414-.289-.051.5.5-.059-.238.465zm0 0" fill="rgb(100%,100%,100%)"/></g></svg>')
            },
            no: {
                languageName: 'Norwegian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(92.941176%,16.078431%,22.352941%)"/><g fill="rgb(100%,100%,100%)"><path d="M6.75 0h4.5v18h-4.5zm0 0"/><path d="M0 6.75h24v4.5H0zm0 0"/></g><g fill="rgb(0%,14.901961%,39.215686%)"><path d="M7.875 0h2.25v18h-2.25zm0 0"/><path d="M0 7.875h24v2.25H0zm0 0"/></g></svg>')
            },
            fa: {
                languageName: 'Persian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24" height="18" class="language-svg-icon"><style><![CDATA[.fa-B{fill:rgb(100%,100%,100%)}.fa-C{fill:rgb(85.490196%,0%,0%)}]]></style><path d="M0 0h24v18H0z" class="fa-B"/><g fill-rule="evenodd"><path d="M-3.75 12.086h31.5V18h-31.5zm0 0" class="fa-C"/><g class="fa-B"><path d="M2.242 12.34h1.723v.117H2.242zm.254.59h.121v.117h-.121zm1.473 0v.117h-.344v-.121zm.184-.59h.121v.703h-.121zm0 0"/><path d="M4.844 12.926v.121h-.656v-.121zm-1.219-.277h.113v.398h-.117zm0 0"/><path d="M4.742 12.34h.121v.703h-.121zm-.293 0h.113v.703h-.113zm-1.574.281v.121h-.633v-.121zm1.379 0v.121h-.633v-.121zm0 0"/><path d="M3.625 12.652h.113v.391h-.117zm0 0"/><path d="M3.625 12.652h.113v.391h-.117zm0 0"/><path d="M3.625 12.652h.113v.391h-.117zm-1.383 0h.117v.391h-.117zm1.016 0h.117v.391h-.117zm-.504 0h.121v.391h-.121zm0 0"/><use xlink:href="#B"/><path d="M-.594 12.34h1.723v.117H-.594zm.258.59h.117v.117H-.34zm1.473 0v.117H.793v-.121zm.184-.59h.117v.703H1.32zm0 0"/><path d="M2.008 12.926v.121h-.652v-.121zm-1.215-.277h.113v.398H.793zm0 0"/><path d="M1.91 12.34h.121v.703H1.91zm-.297 0h.117v.703h-.117zm-1.574.281v.121h-.633v-.121zm1.383 0v.121H.789v-.121zm0 0"/><path d="M.793 12.652h.113v.391H.793zm0 0"/><path d="M.793 12.652h.113v.391H.793zm0 0"/><path d="M.793 12.652h.113v.391H.793zm-1.383 0h.117v.391H-.59zm1.012 0h.117v.391H.422zm-.5 0h.117v.391h-.117zm0 0"/><path d="M.504 12.926v.121h-.527v-.121zm.035-.305v.121H.203v-.121zm4.512-.281h1.723v.117H5.051zm.254.59h.121v.117h-.121zm1.477 0v.117h-.348v-.121zm.184-.59h.121v.703h-.121zm0 0"/><use xlink:href="#C"/><path d="M7.555 12.34h.117v.703h-.117zm-.297 0h.117v.703h-.121zm-1.574.281v.121h-.633v-.121zm1.379 0v.121H6.43v-.121zm0 0"/><use xlink:href="#D"/><use xlink:href="#D"/><path d="M6.434 12.652h.121v.391h-.121zm-1.379 0h.117v.391h-.117zm1.012 0h.117v.391h-.117zm-.504 0h.121v.391h-.121zm0 0"/><use xlink:href="#B" x="2.812"/><path d="M7.875 12.34h1.727v.117H7.879zm.262.59h.117v.117h-.117zm1.469 0v.117h-.344v-.121zm.188-.59h.117v.703h-.117zm0 0"/><path d="M10.48 12.926v.121h-.652v-.121zm-1.219-.277h.121v.398h-.121zm0 0"/><path d="M10.383 12.34h.121v.703h-.121zm-.297 0h.117v.703h-.117zm-1.578.281v.121h-.629v-.121zm1.383 0v.121h-.629v-.121zm0 0"/><use xlink:href="#D" x="2.828"/><use xlink:href="#D" x="2.828"/><path d="M9.262 12.652h.121v.391h-.121zm-1.383 0H8v.391h-.121zm1.012 0h.121v.391h-.121zm-.496 0h.113v.391h-.113zm0 0"/><use xlink:href="#B" x="5.641"/><path d="M10.719 12.34h1.719v.117h-1.719zm.254.59h.121v.117h-.121zm1.473 0v.117h-.344v-.121zm.188-.59h.117v.703h-.117zm0 0"/><use xlink:href="#C" x="5.668"/><use xlink:href="#E"/><use xlink:href="#D" x="5.668"/><use xlink:href="#D" x="5.668"/><path d="M12.102 12.652h.121v.391h-.121zm-1.383 0h.117v.391h-.117zm1.016 0h.117v.391h-.117zm-.504 0h.117v.391h-.121zm0 0"/><path d="M11.816 12.926v.121h-.535v-.121zm.035-.305v.121h-.344v-.121zm0 0"/></g><path d="M-3.75 0h31.5v5.914h-31.5zm0 0" fill="rgb(13.72549%,62.352941%,25.098039%)"/><g class="fa-B"><path d="M13.57 12.34h1.723v.117H13.57zm.258.59h.121v.117h-.121zm1.473 0v.117h-.348v-.121zm.188-.59h.113v.703h-.113zm0 0"/><path d="M16.172 12.926v.121h-.652v-.121zm-1.215-.277h.117v.398h-.121zm0 0"/><path d="M16.078 12.34h.117v.703h-.117zm-.297 0h.117v.703h-.117zm-1.578.281v.121h-.633v-.121zm1.383 0v.121h-.633v-.121zm0 0"/><path d="M14.953 12.652h.125v.391h-.125zm0 0"/><path d="M14.953 12.652h.125v.391h-.125zm0 0"/><path d="M14.953 12.652h.125v.391h-.125zm-1.379 0h.121v.391h-.121zm1.012 0h.121v.391h-.121zm-.5 0h.117v.391h-.117zm0 0"/><path d="M14.672 12.926v.121h-.535v-.121zm.035-.305v.121h-.336v-.121zm1.703-.281h1.723v.117H16.41zm.254.59h.121v.117h-.121zm1.477 0v.117h-.348v-.121zm.184-.59h.121v.703h-.121zm0 0"/><use xlink:href="#C" x="11.36"/><path d="M18.914 12.34h.117v.703h-.117zm-.297 0h.117v.703h-.117zm-1.574.281v.121h-.629v-.121zm1.379 0v.121h-.629v-.121zm0 0"/><use xlink:href="#D" x="11.359"/><use xlink:href="#D" x="11.359"/><path d="M17.793 12.652h.121v.391h-.121zm-1.379 0h.117v.391h-.117zm1.012 0h.117v.391h-.117zm-.504 0h.121v.391h-.117zm0 0"/><path d="M17.508 12.926v.121h-.531v-.121zm.035-.305v.121h-.34v-.121zm1.707-.281h1.723v.117H19.25zm.258.59h.117v.117h-.117zm1.473 0v.117h-.348v-.121zm.18-.59h.121v.703h-.121zm0 0"/><path d="M21.852 12.926v.121h-.656v-.121zm-1.219-.277h.117v.398h-.117zm0 0"/><path d="M21.754 12.34h.117v.703h-.117zm-.297 0h.117v.703h-.117zm-1.574.281v.121h-.633v-.121zm1.383 0v.121h-.633v-.121zm0 0"/><path d="M20.633 12.652h.117v.391h-.117zm0 0"/><path d="M20.633 12.652h.117v.391h-.117zm0 0"/><path d="M20.633 12.652h.117v.391h-.117zm-1.383 0h.117v.391h-.117zm1.016 0h.117v.391h-.117zm-.504 0h.121v.391h-.121zm0 0"/><path d="M20.348 12.926v.121h-.531v-.121zm.035-.305v.121h-.34v-.121zm1.722-.281h1.723v.117h-1.723zm.254.59h.121v.117h-.121zm1.473 0v.117h-.344v-.121zm.184-.59h.121v.703h-.121zm0 0"/><path d="M24.707 12.926v.121h-.656v-.121zm-1.219-.277h.117v.398h-.117zm0 0"/><use xlink:href="#E" x="11.386"/><path d="M23.488 12.652h.117v.391h-.117zm0 0"/><path d="M23.488 12.652h.117v.391h-.117zm0 0"/><path d="M23.488 12.652h.117v.391h-.117zm-1.379 0h.113v.391h-.113zm1.012 0h.117v.391h-.117zm-.504 0h.121v.391h-.121zm0 0"/><path d="M23.199 12.926v.121h-.527v-.121zm.035-.305v.121h-.336v-.121zM2.242 5.043h1.723v.117H2.242zm.254.598h.121v.109h-.121zm1.473-.008v.117h-.344v-.117zm.184-.59h.121v.707h-.121zm0 0"/><path d="M4.844 5.633v.117h-.656v-.117zm-1.219-.277h.113v.395h-.117zm0 0"/><path d="M4.742 5.043h.121v.707h-.121zm-.293 0h.113v.707h-.113zm-1.574.281v.117h-.633v-.113zm1.379 0v.117h-.633v-.113zm0 0"/><path d="M3.625 5.355h.113v.395h-.117zm0 0"/><path d="M3.625 5.355h.113v.395h-.117zm0 0"/><path d="M3.625 5.355h.113v.395h-.117zm-1.383 0h.117v.395h-.117zm1.016 0h.117v.395h-.117zm-.504 0h.121v.395h-.121zm0 0"/><use xlink:href="#F"/><path d="M-.594 5.043h1.723v.117H-.594zm.258.598h.117v.109H-.34zm1.473-.008v.117H.793v-.117zm.184-.59h.117v.707H1.32zm0 0"/><path d="M2.008 5.633v.117h-.652v-.117zM.793 5.355h.113v.395H.793zm0 0"/><path d="M1.91 5.043h.121v.707H1.91zm-.297 0h.117v.707h-.117zm-1.574.281v.117h-.633v-.113zm1.383 0v.117H.789v-.113zm0 0"/><path d="M.793 5.355h.113v.395H.793zm0 0"/><path d="M.793 5.355h.113v.395H.793zm0 0"/><path d="M.793 5.355h.113v.395H.793zm-1.383 0h.117v.395H-.59zm1.012 0h.117v.395H.422zm-.5 0h.117v.395h-.117zm0 0"/><path d="M.504 5.633v.117h-.527v-.117zm.035-.305v.113H.203v-.113zm4.512-.285h1.723v.117H5.051zm.254.598h.121v.109h-.121zm1.477-.008v.117h-.348v-.117zm.184-.59h.121v.707h-.121zm0 0"/><use xlink:href="#G"/><path d="M7.555 5.043h.117v.707h-.117zm-.297 0h.117v.707h-.121zm-1.574.281v.117h-.633v-.113zm1.379 0v.117H6.43v-.113zm0 0"/><use xlink:href="#H"/><use xlink:href="#H"/><path d="M6.434 5.355h.121v.395h-.121zm-1.379 0h.117v.395h-.117zm1.012 0h.117v.395h-.117zm-.504 0h.121v.395h-.121zm0 0"/><use xlink:href="#F" x="2.812"/><path d="M7.875 5.043h1.727v.117H7.879zm.262.598h.117v.109h-.117zm1.469-.008v.117h-.344v-.117zm.188-.59h.117v.707h-.117zm0 0"/><path d="M10.48 5.633v.117h-.652v-.117zm-1.219-.277h.121v.395h-.121zm0 0"/><path d="M10.383 5.043h.121v.707h-.121zm-.297 0h.117v.707h-.117zm-1.578.281v.117h-.629v-.113zm1.383 0v.117h-.629v-.113zm0 0"/><use xlink:href="#H" x="2.828"/><use xlink:href="#H" x="2.828"/><path d="M9.262 5.355h.121v.395h-.121zm-1.383 0H8v.395h-.121zm1.012 0h.121v.395h-.121zm-.496 0h.113v.395h-.113zm0 0"/><use xlink:href="#F" x="5.641"/><path d="M10.719 5.043h1.719v.117h-1.719zm.254.598h.121v.109h-.121zm1.473-.008v.117h-.344v-.117zm.188-.59h.117v.707h-.117zm0 0"/><use xlink:href="#G" x="5.668"/><use xlink:href="#I"/><use xlink:href="#H" x="5.668"/><use xlink:href="#H" x="5.668"/><path d="M12.102 5.355h.121v.395h-.121zm-1.383 0h.117v.395h-.117zm1.016 0h.117v.395h-.117zm-.504 0h.117v.395h-.121zm0 0"/><path d="M11.816 5.633v.117h-.535v-.117zm.035-.305v.113h-.344v-.113zm1.719-.285h1.723v.117H13.57zm.258.598h.121v.109h-.121zm1.473-.008v.117h-.348v-.117zm.188-.59h.113v.707h-.113zm0 0"/><path d="M16.172 5.633v.117h-.652v-.117zm-1.215-.277h.117v.395h-.121zm0 0"/><path d="M16.078 5.043h.117v.707h-.117zm-.297 0h.117v.707h-.117zm-1.578.281v.117h-.633v-.113zm1.383 0v.117h-.633v-.113zm0 0"/><path d="M14.953 5.355h.125v.395h-.125zm0 0"/><path d="M14.953 5.355h.125v.395h-.125zm0 0"/><path d="M14.953 5.355h.125v.395h-.125zm-1.379 0h.121v.395h-.121zm1.012 0h.121v.395h-.121zm-.5 0h.117v.395h-.117zm0 0"/><path d="M14.672 5.633v.117h-.535v-.117zm.035-.305v.113h-.336v-.113zm1.703-.285h1.723v.117H16.41zm.254.598h.121v.109h-.121zm1.477-.008v.117h-.348v-.117zm.184-.59h.121v.707h-.121zm0 0"/><use xlink:href="#G" x="11.36"/><path d="M18.914 5.043h.117v.707h-.117zm-.297 0h.117v.707h-.117zm-1.574.281v.117h-.629v-.113zm1.379 0v.117h-.629v-.113zm0 0"/><use xlink:href="#H" x="11.359"/><use xlink:href="#H" x="11.359"/><path d="M17.793 5.355h.121v.395h-.121zm-1.379 0h.117v.395h-.117zm1.012 0h.117v.395h-.117zm-.504 0h.121v.395h-.117zm0 0"/><path d="M17.508 5.633v.117h-.531v-.117zm.035-.305v.113h-.34v-.113zm1.707-.285h1.723v.117H19.25zm.258.598h.117v.109h-.117zm1.473-.008v.117h-.348v-.117zm.18-.59h.121v.707h-.121zm0 0"/><path d="M21.852 5.633v.117h-.656v-.117zm-1.219-.277h.117v.395h-.117zm0 0"/><path d="M21.754 5.043h.117v.707h-.117zm-.297 0h.117v.707h-.117zm-1.574.281v.117h-.633v-.113zm1.383 0v.117h-.633v-.113zm0 0"/><path d="M20.633 5.355h.117v.395h-.117zm0 0"/><path d="M20.633 5.355h.117v.395h-.117zm0 0"/><path d="M20.633 5.355h.117v.395h-.117zm-1.383 0h.117v.395h-.117zm1.016 0h.117v.395h-.117zm-.504 0h.121v.395h-.121zm0 0"/><path d="M20.348 5.633v.117h-.531v-.117zm.035-.305v.113h-.34v-.113zm1.722-.285h1.723v.117h-1.723zm.254.598h.121v.109h-.121zm1.473-.008v.117h-.344v-.117zm.184-.59h.121v.707h-.121zm0 0"/><path d="M24.707 5.633v.117h-.656v-.117zm-1.219-.277h.117v.395h-.117zm0 0"/><use xlink:href="#I" x="11.386"/><path d="M23.488 5.355h.117v.395h-.117zm0 0"/><path d="M23.488 5.355h.117v.395h-.117zm0 0"/><path d="M23.488 5.355h.117v.395h-.117zm-1.379 0h.113v.395h-.113zm1.012 0h.117v.395h-.117zm-.504 0h.121v.395h-.121zm0 0"/><path d="M23.199 5.633v.117h-.527v-.117zm.035-.305v.113h-.336v-.113zm0 0"/></g><path d="M.582 11.938h.211v.367H.582zm5.641 0h.211v.367h-.211zm-9.973 0h.211v.367h-.211zm2.867 0h.211v.367h-.211zm2.844 0h.211v.367h-.211zm1.406 0h.211v.367h-.211zm1.437 0h.211v.367h-.211zm2.824 0h.211v.367h-.211zm7.137 0h.215v.367h-.211zm-5.699 0h.211v.367h-.211zm1.406 0h.211v.367h-.211zm1.426 0h.211v.367h-.211zm1.422 0h.211v.367h-.211zm11.359 0h.211v.367h-.211zm-8.531 0h.211v.367h-.211zm1.434 0h.211v.367h-.211zm1.453 0h.211v.367h-.211zm1.363 0h.211v.367h-.211zm1.453 0h.211v.367h-.211zm1.418 0h.211v.367h-.211zm4.211 0h.211v.367h-.211zm-1.363 0h.211v.367h-.211zm-28.441 0h.211v.367h-.211zm0 0" fill="rgb(85.098039%,0%,0%)"/><path d="M.582 5.715h.211v.371H.582zm5.641 0h.211v.371h-.211zm-9.973 0h.211v.371h-.211zm2.867 0h.211v.371h-.211zm2.844 0h.211v.371h-.211zm1.406 0h.211v.371h-.211zm1.437 0h.211v.371h-.211zm2.824 0h.211v.371h-.211zm7.137 0h.215v.371h-.211zm-5.699 0h.211v.371h-.211zm1.406 0h.211v.371h-.211zm1.426 0h.211v.371h-.211zm1.422 0h.211v.371h-.211zm11.359 0h.211v.371h-.211zm-8.531 0h.211v.371h-.211zm1.434 0h.211v.371h-.211zm1.453 0h.211v.371h-.211zm1.363 0h.211v.371h-.211zm1.453 0h.211v.371h-.211zm1.418 0h.211v.371h-.211zm4.211 0h.211v.371h-.211zm-1.363 0h.211v.371h-.211zm-28.441 0h.211v.371h-.211zm0 0" fill="rgb(13.72549%,61.960784%,24.705882%)"/><g class="fa-C"><path d="M12.836 6.945c.297.363 1.215 2.375-.551 3.695-.832.625-.316.656-.293.762 1.336-.707 1.77-1.672 1.758-2.531s-.465-1.617-.914-1.926zm.176-.097a2.59 2.59 0 0 1 1.215 1.848c.11.77-.137 1.539-.664 2.105.957-.211 2.18-3.039-.551-3.953zm-2.023 0a2.58 2.58 0 0 0-1.211 1.848c-.105.766.137 1.539.66 2.105-.957-.211-2.18-3.039.551-3.953zm0 0"/><path d="M11.164 6.945c-.297.363-1.215 2.375.551 3.695.832.625.316.656.293.762-1.336-.707-1.77-1.672-1.758-2.531s.465-1.617.914-1.926zm0 0"/><path d="M13.695 11.219c-.523.008-1.184-.07-1.672-.328l.23.414c.465.043 1.105.098 1.441-.086zm-3.34 0c.523.008 1.18-.07 1.668-.328l-.227.414c-.465.043-1.109.098-1.441-.086zm.957-4.875c.109.281.387.32.68.156.219.129.555.137.668-.145.09.695-.645.527-.668.395-.273.266-.781.113-.68-.406zm0 0"/><path d="M12.016 11.656l.273-.316.039-4.219L12 6.832l-.328.273.066 4.254zm0 0"/></g></g><defs ><path id="B" d="M3.336 12.926v.121h-.531v-.121zm.035-.305v.121h-.336v-.121zm0 0"/><path id="C" d="M7.652 12.926v.121h-.656v-.121zm-1.219-.277h.121v.398h-.121zm0 0"/><path id="D" d="M6.434 12.652h.121v.391h-.121zm0 0"/><path id="E" d="M13.219 12.34h.121v.703h-.121zm-.293 0h.117v.703h-.117zm-1.574.281v.121h-.633v-.121zm1.379 0v.121h-.633v-.121zm0 0"/><path id="F" d="M3.336 5.633v.117h-.531v-.117zm.035-.305v.113h-.336v-.113zm0 0"/><path id="G" d="M7.652 5.633v.117h-.656v-.117zm-1.219-.277h.121v.395h-.121zm0 0"/><path id="H" d="M6.434 5.355h.121v.395h-.121zm0 0"/><path id="I" d="M13.219 5.043h.121v.707h-.121zm-.293 0h.117v.707h-.117zm-1.574.281v.117h-.633v-.113zm1.379 0v.117h-.633v-.113zm0 0"/></defs></svg>')
            },
            pl: {
                languageName: 'Polish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><path d="M24 18H0V9h24zm0 0" fill-rule="evenodd" fill="rgb(86.27451%,7.843137%,23.529412%)"/></svg>')
            },
            pt: {
                languageName: 'Portuguese',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24" height="18" class="language-svg-icon"><style><![CDATA[.pt-B{stroke:rgb(0%,0%,0%)}.pt-C{fill:rgb(100%,100%,0%)}.pt-D{stroke-width:.02}.pt-E{fill:rgb(0%,0%,0%)}.pt-F{fill:rgb(100%,100%,100%)}.pt-G{fill:rgb(0%,20%,60%)}.pt-H{stroke-width:.5}.pt-I{fill:rgb(100%,0%,0%)}]]></style><path d="M9.602 0H24v18H9.602zm0 0" class="pt-I"/><path d="M0 0h9.602v18H0zm0 0" fill="rgb(0%,40%,0%)"/><g fill-rule="evenodd" stroke-linecap="round" stroke-linejoin="round" stroke-width=".022" class="pt-B pt-C"><path d="M12.73 11.484c-1.211-.039-6.75-3.496-6.785-4.051l.301-.508c.551.801 6.215 4.164 6.773 4.043l-.289.516"/><path d="M6.184 6.855c-.109.293 1.449 1.254 3.316 2.391s3.484 1.84 3.598 1.742l.059-.105c-.023.039-.078.047-.164.023-.504-.148-1.82-.75-3.453-1.742S6.488 7.266 6.266 6.879c-.016-.039-.023-.078-.023-.117h-.008l-.043.082zm6.574 4.641c-.02.039-.059.039-.133.031-.449-.047-1.82-.715-3.445-1.687C7.289 8.707 5.73 7.68 5.902 7.41l.047-.082.004.004c-.148.457 3.082 2.301 3.273 2.422 1.867 1.156 3.441 1.832 3.578 1.656zm0 0"/><path d="M9.609 7.77c1.207-.012 2.699-.164 3.563-.508l-.187-.301c-.508.281-2.008.469-3.387.492-1.629-.012-2.781-.168-3.359-.555l-.172.324c1.059.449 2.145.543 3.543.547"/><path d="M13.219 7.266c-.031.051-.594.242-1.418.383a14.25 14.25 0 0 1-2.195.164c-.707 0-1.41-.043-2.109-.137-.867-.133-1.312-.32-1.48-.391l.039-.082c.477.188.93.301 1.453.383a15.58 15.58 0 0 0 2.094.141c.73 0 1.461-.055 2.184-.164.844-.137 1.305-.313 1.375-.391l.059.098zm-.164-.301c-.09.074-.547.234-1.352.363-.691.102-1.391.148-2.094.148-.824 0-1.5-.059-2.016-.133-.816-.105-1.254-.301-1.41-.355l.051-.082c.121.066.539.234 1.367.352a14.98 14.98 0 0 0 2.008.125 14.79 14.79 0 0 0 2.078-.148c.809-.113 1.242-.316 1.309-.367zM5.637 9.227c.742.398 2.395.598 3.961.613 1.422.004 3.277-.219 3.969-.586l-.02-.398c-.215.336-2.203.66-3.965.652-1.762-.016-3.402-.285-3.949-.641v.359"/><path d="M13.605 9.168v.094c-.105.129-.758.316-1.574.449a16.63 16.63 0 0 1-2.453.168c-.777.004-1.555-.047-2.324-.164a5.77 5.77 0 0 1-1.668-.449v-.109c.367.242 1.348.422 1.68.473.59.09 1.352.16 2.313.16 1.008 0 1.812-.074 2.438-.168.59-.086 1.426-.305 1.59-.453zm0-.336v.094c-.105.121-.758.309-1.574.445-.812.117-1.633.176-2.453.168-.777.004-1.555-.047-2.324-.16-.574-.066-1.137-.219-1.668-.449v-.113c.367.242 1.352.418 1.68.473.766.113 1.539.164 2.313.16 1.008 0 1.816-.074 2.438-.168.59-.082 1.426-.305 1.59-.449zM9.594 11.41c-1.711-.008-3.176-.465-3.488-.539l.223.352a9.39 9.39 0 0 0 3.281.539c1.301-.039 2.438-.141 3.234-.531l.234-.367c-.547.258-2.402.547-3.488.547"/><path d="M12.934 11.148l-.105.148a7.89 7.89 0 0 1-1.223.316 10.86 10.86 0 0 1-2.012.188c-1.516-.023-2.758-.316-3.34-.574l-.047-.078.008-.016.078.035a10.81 10.81 0 0 0 3.309.543c.703 0 1.406-.078 1.973-.18.867-.176 1.223-.309 1.328-.367l.027-.016zm.199-.328l-.074.129c-.203.074-.75.234-1.551.348-.523.07-.852.141-1.898.16-1.195-.012-2.383-.187-3.531-.527l-.039-.094a14.56 14.56 0 0 0 3.574.527c.957-.02 1.367-.09 1.887-.16.93-.145 1.398-.301 1.539-.344l.098-.043zm0 0"/><path d="M13.156 8.91c.004 1.125-.574 2.137-1.035 2.578-.684.668-1.594 1.043-2.543 1.059-1.137.02-2.207-.719-2.496-1.047a3.8 3.8 0 0 1-1.031-2.527c.07-1.23.555-2.082 1.25-2.672.68-.559 1.531-.859 2.406-.852a3.68 3.68 0 0 1 2.664 1.336c.469.57.676 1.188.785 2.125zm-3.57-3.848c2.184 0 3.957 1.762 3.973 3.945 0 2.188-1.773 3.965-3.961 3.965s-3.965-1.777-3.965-3.965c-.004-2.176 1.773-3.945 3.953-3.945"/><path d="M9.598 5.043c2.18 0 3.957 1.777 3.957 3.961s-1.777 3.961-3.953 3.961a3.97 3.97 0 0 1-3.961-3.961c0-2.184 1.777-3.961 3.961-3.961zM5.723 9c0 2.129 1.75 3.875 3.875 3.875A3.89 3.89 0 0 0 13.469 9c0-2.129-1.75-3.875-3.871-3.875S5.723 6.871 5.723 9zm3.879-3.625c2 .004 3.617 1.625 3.625 3.625a3.64 3.64 0 0 1-3.625 3.629c-1.988 0-3.629-1.633-3.629-3.629a3.64 3.64 0 0 1 3.629-3.625zM6.059 9c0 1.949 1.598 3.539 3.543 3.539S13.141 10.945 13.141 9s-1.598-3.539-3.539-3.539C7.648 5.469 6.066 7.047 6.059 9zm0 0"/><path d="M9.762 5.023h-.34v7.961h.336zm0 0"/><path d="M9.723 4.98h.086v8.051h-.082V4.98zm-.336 0h.09v8.051h-.086V4.98zm0 0"/><path d="M13.559 9.156v-.293l-.238-.223-1.363-.359L10 8.082l-2.359.121-1.684.395-.336.254v.293l.859-.383 2.039-.32h1.961l1.441.156.996.242zm0 0"/><path d="M9.602 8.391a14.19 14.19 0 0 1 2.559.227c.742.148 1.266.336 1.445.543v.105c-.219-.262-.918-.449-1.465-.562a14.29 14.29 0 0 0-2.543-.223c-.98 0-1.895.098-2.602.23-.562.113-1.316.336-1.41.555v-.109c.051-.148.613-.375 1.398-.535.711-.137 1.625-.23 2.613-.23zm0-.34c.855 0 1.715.074 2.559.227.742.148 1.266.336 1.445.547v.102c-.219-.258-.918-.449-1.465-.559-.711-.141-1.609-.227-2.543-.227A13.79 13.79 0 0 0 7 8.375c-.543.102-1.328.332-1.414.551V8.82c.055-.148.625-.387 1.398-.535.715-.141 1.625-.234 2.617-.234zm-.023-1.73c1.473-.008 2.758.203 3.348.504l.215.375c-.512-.277-1.898-.562-3.559-.523-1.355.012-2.801.148-3.527.539l.258-.426c.594-.313 1.996-.469 3.266-.469"/><path d="M9.602 6.625a13.31 13.31 0 0 1 2.297.164c.602.109 1.176.277 1.258.367l.063.109c-.199-.125-.699-.273-1.336-.391s-1.449-.164-2.285-.16c-.949-.004-1.687.047-2.32.16-.434.059-.855.191-1.246.387l.063-.117c.227-.113.574-.254 1.168-.359.656-.121 1.402-.156 2.34-.16zm0-.336c.801-.008 1.598.039 2.215.148.402.062.789.188 1.148.375l.094.152c-.16-.176-.75-.348-1.281-.438-.613-.105-1.375-.148-2.176-.156-.75-.008-1.496.047-2.234.164-.383.055-.758.172-1.109.344l.082-.125c.219-.113.57-.219 1.016-.305a13.49 13.49 0 0 1 2.246-.164zm1.965 4.359c-.652-.109-1.312-.16-1.969-.148-2.457.031-3.25.508-3.348.648l-.187-.301c.633-.449 1.965-.703 3.547-.68.824.012 1.531.07 2.125.188l-.168.297"/><path d="M9.586 10.457c.68.012 1.348.039 1.996.16l-.043.082c-.602-.113-1.246-.152-1.949-.152-.914-.004-1.828.082-2.625.309-.254.07-.668.234-.715.367l-.043-.074c.016-.082.262-.246.734-.375.914-.262 1.77-.313 2.645-.316zm.027-.344c.723 0 1.441.063 2.152.188l-.051.086c-.691-.125-1.395-.187-2.102-.184-.906 0-1.871.066-2.746.324-.281.082-.773.262-.789.398l-.043-.082c.008-.125.43-.297.813-.402.883-.262 1.848-.324 2.766-.328zm0 0"/><path d="M13.102 10.895l-.293.461-.852-.754-2.195-1.48-2.484-1.363-1.285-.438.273-.512.094-.047.801.199L9.797 8.32l1.523.961 1.281.918.52.602zm0 0"/><path d="M5.949 7.332c.223-.152 1.879.586 3.621 1.633 1.727 1.051 3.387 2.238 3.234 2.457l-.047.078-.023.02c.004-.004.031-.035 0-.117-.074-.242-1.25-1.18-3.199-2.355C7.637 7.918 6.051 7.234 5.898 7.43zm7.215 3.559c.141-.285-1.398-1.445-3.305-2.574C7.91 7.211 6.5 6.559 6.238 6.754l-.051.109c0 .004 0-.008.016-.02.043-.039.125-.039.156-.039.441.008 1.707.59 3.48 1.605.781.449 3.285 2.062 3.273 2.512 0 .039.004.047-.012.07l.066-.098zm0 0"/></g><path d="M7.223 9.441a2.35 2.35 0 0 0 .703 1.668c.441.449 1.043.703 1.672.703s1.234-.25 1.68-.695.695-1.043.695-1.672V6.277l-4.75-.008zm0 0" stroke-width=".028" class="pt-B pt-F"/><path d="M7.312 9.445c0 .602.242 1.176.672 1.602s1.004.668 1.609.672a2.27 2.27 0 0 0 1.605-.664c.426-.426.668-1 .668-1.602V6.375H7.32v3.07m3.641-2.148v1.957l-.004.203a1.35 1.35 0 0 1-.402.961c-.254.254-.598.398-.957.398-.379 0-.711-.16-.957-.406-.254-.254-.398-.602-.402-.961v-2.16zm0 0" class="pt-B pt-D pt-I"/><g class="pt-C"><path d="M7.609 7.176c.004-.219.16-.27.16-.27s.172.055.172.273h-.332"/><g class="pt-B pt-D"><path d="M7.473 6.91l-.027.25h.168c0-.207.16-.238.16-.238s.16.043.164.238h.168l-.035-.254h-.598zm-.039.254h.68c.012 0 .023.012.023.027 0 .023-.012.035-.023.035h-.68c-.012 0-.027-.012-.027-.035 0-.016.016-.027.031-.027zm0 0"/><path d="M7.68 7.16c0-.133.094-.168.094-.168s.09.043.09.168H7.68m-.23-.359h.652c.012 0 .023.016.023.031s-.012.023-.023.023h-.652c-.012 0-.023-.012-.023-.027s.012-.023.023-.023zm.016.059h.613c.016 0 .027.016.027.031s-.012.027-.027.027h-.617c-.016 0-.023-.012-.023-.027s.008-.031.023-.031zm.199-.422h.047v.031h.035v-.031h.055v.035h.035v-.039h.047v.078c0 .016-.008.027-.02.027h-.176c-.012 0-.023-.012-.023-.023zm.184.109l.012.254h-.172l.012-.258h.148"/><path d="M7.641 6.664v.137h-.16v-.137zm.421 0v.137h-.16v-.137zm0 0"/><use xlink:href="#B"/><use xlink:href="#C"/></g></g><g class="pt-E"><path d="M7.758 6.625c0-.023.035-.023.035 0v.063h-.035v-.062"/><use xlink:href="#D"/><use xlink:href="#D" x="0.426"/></g><g class="pt-C"><path d="M7.609 9.027c.004-.219.16-.27.16-.27s.172.055.172.277h-.332"/><g class="pt-B pt-D"><path d="M7.473 8.762l-.027.25h.168c0-.207.16-.238.16-.238s.16.043.164.238h.168l-.035-.254h-.598zm-.039.254h.68c.012 0 .023.012.023.031s-.012.031-.023.031h-.68c-.012 0-.027-.012-.027-.031s.016-.031.031-.031zm0 0"/><path d="M7.68 9.012c0-.129.094-.168.094-.168s.09.043.09.168H7.68m-.23-.359h.652c.012 0 .023.016.023.031s-.012.027-.023.027h-.652c-.012 0-.023-.012-.023-.031 0-.012.012-.023.023-.023zm.016.062h.613c.016 0 .027.012.027.027s-.012.027-.027.027h-.617c-.016 0-.023-.012-.023-.027s.008-.027.023-.027zm.199-.426h.047v.031h.035v-.031h.055v.035h.035v-.039h.047v.082c0 .016-.008.023-.02.023h-.176c-.012 0-.023-.008-.023-.02zm.184.109l.012.254h-.172l.012-.258h.148"/><path d="M7.641 8.516v.137h-.16v-.137zm.421 0v.137h-.16v-.137zm0 0"/><use xlink:href="#B" y="1.852"/><use xlink:href="#C" y="1.852"/></g></g><path d="M7.758 8.477c0-.023.035-.023.035 0v.066h-.035v-.066m-.215.089c0-.023.031-.023.031 0v.047h-.031v-.047m.426 0c0-.023.031-.023.031 0v.047h-.031v-.047" class="pt-E"/><g class="pt-C"><path d="M8.328 10.961c-.152-.16-.078-.309-.078-.309s.16-.082.316.074l-.234.234"/><g class="pt-B pt-D"><path d="M8.046 10.869l.16.199.117-.121c-.148-.149-.055-.281-.055-.281s.141-.082.285.051l.117-.117-.203-.16-.422.426zm.156.207l.477-.48c.008-.008.027-.008.039.004s.012.031.004.039l-.481.48c-.008.008-.023.008-.039-.004s-.012-.027 0-.039zm0 0"/><path d="M8.374 10.901c-.094-.094-.055-.184-.055-.184s.09-.039.184.051l-.129.133m-.422-.09l.461-.465c.008-.008.027-.004.039.008s.008.023 0 .035l-.461.461c-.008.008-.023.008-.035-.004s-.008-.023 0-.031zm.055.031l.434-.437c.008-.008.027-.008.039.004s.012.027 0 .035l-.434.441c-.012.012-.027.008-.039-.004s-.016-.027-.004-.035zm-.16-.442l.035-.035.023.023.023-.027-.023-.02.039-.039.023.027.027-.027-.031-.027.035-.035.059.059c.012.012.012.02 0 .031l-.121.125c-.012.008-.023.012-.031 0zm.207-.055l.191.172-.121.121-.176-.192.102-.105"/><path d="M7.991 10.576l.098.098-.113.113-.098-.094zm.301-.301l.094.098-.109.113-.098-.098zm0 0"/><path d="M7.784 10.639l.035-.035.027.027.027-.023-.027-.027.031-.035.027.027.027-.023-.027-.031.031-.031.059.055c.012.012.012.023.004.031l-.121.121c-.012.012-.027.012-.035 0zm0 0"/><path d="M8.085 10.338l.035-.035.027.027.023-.023-.027-.027.035-.035.027.027.023-.023-.027-.031.035-.031.055.055c.012.012.012.023.004.031l-.121.121c-.008.012-.023.012-.035 0zm0 0"/></g></g><path d="M8.043 10.465c-.016-.016.008-.043.023-.023l.047.043-.023.027-.047-.047m-.086.215c-.02-.02.004-.043.02-.023l.035.031-.023.023-.031-.031m.296-.301c-.016-.02.008-.043.023-.023l.035.031-.023.023-.035-.031" class="pt-E"/><g class="pt-C"><path d="M9.438 7.176c.004-.219.16-.27.16-.27s.172.055.172.273h-.332"/><g class="pt-B pt-D"><path d="M9.301 6.91l-.027.25h.168c0-.207.16-.238.16-.238s.16.043.164.238h.168l-.035-.254h-.598zm-.039.254h.68c.012 0 .023.012.023.027 0 .023-.012.035-.023.035h-.68c-.016 0-.027-.012-.027-.035 0-.016.012-.027.031-.027zm0 0"/><path d="M9.508 7.16c0-.133.094-.168.094-.168s.09.043.09.168h-.184m-.23-.359h.652c.012 0 .023.016.023.031s-.012.023-.023.023h-.652c-.012 0-.023-.012-.023-.027s.012-.023.023-.023zm.016.059h.613c.016 0 .027.016.027.031s-.012.027-.027.027h-.617c-.016 0-.023-.012-.023-.027s.008-.031.023-.031zm.199-.422h.047v.031h.035v-.031h.055v.035h.035v-.039h.047v.078c0 .016-.008.027-.02.027h-.176c-.012 0-.023-.012-.023-.023zm.184.109l.012.254h-.172l.012-.258h.148"/><path d="M9.469 6.664v.137h-.16v-.137zm.422 0v.137h-.16v-.137zm0 0"/><path d="M9.281 6.562h.047v.039h.035v-.039h.047v.039h.039v-.039h.047v.078c0 .016-.008.023-.02.023h-.172c-.016 0-.023-.008-.023-.023zm.422 0h.051v.039h.035v-.039h.047v.039h.035v-.039h.051v.078c0 .016-.012.023-.023.023h-.172c-.012 0-.023-.008-.023-.023zm0 0"/></g></g><g class="pt-E"><path d="M9.586 6.625c0-.023.035-.023.035 0v.063h-.035v-.062"/><use xlink:href="#D" x="1.828"/><use xlink:href="#D" x="2.254"/></g><g class="pt-C"><path d="M11.586 7.176c-.008-.219-.16-.27-.16-.27s-.172.055-.172.273h.332"/><g class="pt-B pt-D"><path d="M11.719 6.91l.027.25h-.168c0-.207-.156-.238-.156-.238s-.16.043-.164.238h-.168l.031-.254h.598zm.043.254h-.684c-.012 0-.023.012-.023.027 0 .023.012.035.023.035h.684c.012 0 .023-.012.023-.035 0-.016-.012-.027-.027-.027zm0 0"/><path d="M11.512 7.16c0-.133-.09-.168-.09-.168s-.094.043-.094.168h.184m.23-.359h-.648c-.016 0-.027.016-.027.031s.012.023.027.023h.648c.016 0 .027-.012.027-.027s-.012-.023-.027-.023zm-.016.059h-.613c-.012 0-.023.016-.023.031s.012.027.023.027h.617c.016 0 .027-.012.027-.027s-.012-.031-.027-.031zm-.199-.422h-.047v.031h-.035v-.031h-.055v.035h-.035v-.039h-.047v.078c0 .016.008.027.02.027h.176c.012 0 .023-.012.023-.023zm-.184.109l-.012.254h.172l-.012-.258h-.148"/><path d="M11.551 6.664v.137h.16v-.137zm-.422 0v.137h.16v-.137zm0 0"/><use xlink:href="#E"/><use xlink:href="#F"/></g></g><path d="M11.438 6.625c0-.023-.039-.023-.039 0v.063h.039v-.062m.21.089c0-.027-.031-.027-.031 0v.047h.031v-.047m-.425 0c0-.027-.031-.027-.031 0v.047h.031v-.047" class="pt-E"/><g class="pt-C"><path d="M11.586 9.027c-.008-.219-.16-.27-.16-.27s-.172.055-.172.277h.332"/><g class="pt-B pt-D"><path d="M11.719 8.762l.027.25h-.168c0-.207-.156-.238-.156-.238s-.16.043-.164.238h-.168l.031-.254h.598zm.043.254h-.684c-.012 0-.023.012-.023.031s.012.031.023.031h.684c.012 0 .023-.012.023-.031s-.012-.031-.027-.031zm0 0"/><path d="M11.512 9.012c0-.129-.09-.168-.09-.168s-.094.043-.094.168h.184m.23-.359h-.648c-.016 0-.027.016-.027.031s.012.027.027.027h.648c.016 0 .027-.012.027-.031 0-.012-.012-.023-.027-.023zm-.016.062h-.613c-.012 0-.023.012-.023.027s.012.027.023.027h.617c.016 0 .027-.012.027-.027s-.012-.027-.027-.027zm-.199-.426h-.047v.031h-.035v-.031h-.055v.035h-.035v-.039h-.047v.082c0 .016.008.023.02.023h.176c.012 0 .023-.008.023-.02zm-.184.109l-.012.254h.172l-.012-.258h-.148"/><path d="M11.551 8.516v.137h.16v-.137zm-.422 0v.137h.16v-.137zm0 0"/><use xlink:href="#E" y="1.852"/><use xlink:href="#F" y="1.852"/></g></g><path d="M11.438 8.477c0-.023-.039-.023-.039 0v.066h.039v-.066m.21.089c0-.023-.031-.023-.031 0v.047h.031v-.047m-.425 0c0-.023-.031-.023-.031 0v.047h.031v-.047" class="pt-E"/><g class="pt-C"><path d="M10.863 10.961c.152-.16.078-.309.078-.309s-.16-.082-.316.074l.234.234"/><g class="pt-B pt-H"><g transform="matrix(-.0282 -.028383 -.028383 .0282 20.605357 12.006067)"><path d="M186.794 147.696l-.713 6.35 4.212-.054c.018-5.248 3.957-5.994 3.957-5.994.138 0 4.001 1.119 4.191 6.022l4.143.014-.737-6.425-15.054-.053zm-.989 6.349l16.987.059c.276.001.62.347.55.692.067.484-.279.828-.555.827l-16.987-.059c-.276-.001-.551-.278-.619-.762a.65.65 0 0 1 .693-.688zm0 0"/><path d="M191.951 153.998c.012-3.315 2.293-4.204 2.293-4.204s2.344.975 2.402 4.221l-4.696-.016m-5.769-8.997l16.366-.012c.276.001.551.416.55.831-.001.276-.278.551-.624.619l-16.296-.057c-.276-.001-.551-.278-.55-.692.001-.276.278-.551.554-.55zm.409 1.521l15.399-.015c.276.001.62.347.55.692.068.346-.279.69-.555.689l-15.537.015c-.414-.001-.551-.278-.55-.692s.21-.759.555-.689zm5.009-10.617l1.243.004-.072.759.967.003-.066-.76 1.312-.064-.003.967.967.003-.065-1.036 1.243.004-.076 2.002c-.001.414-.14.552-.486.62l-4.419-.015c-.276-.001-.552-.14-.55-.554zm4.617 2.709l.254 6.354-4.281-.015.299-6.49 3.729.013"/><path d="M191.028 141.565l-.012 3.453-4.005-.014-.057-3.384zm0 0"/></g><path d="M191.062 141.602l-.081 3.383-4.005-.014.081-3.383zm0 0" transform="matrix(-.0282 -.028383 -.028383 .0282 20.306591 11.705208)"/><path d="M186.272 138.993l1.243.004-.003.967.897.072-.065-1.036 1.243.004-.003.967.897.072.073-1.036 1.105.004.062 2.003c-.001.414-.209.621-.554.55l-4.281-.015c-.346.068-.621-.209-.55-.554zm0 0" transform="matrix(-.0282 -.028383 -.028383 .0282 20.605357 12.006067)"/><path d="M186.306 139.031l1.174-.065.065 1.036.829.003.003-.967 1.243.004-.003.967.829.003.073-1.036 1.174.073-.007 1.933c-.001.414-.209.621-.486.62l-4.281-.015c-.346.068-.621-.209-.619-.624zm0 0" transform="matrix(-.0282 -.028383 -.028383 .0282 20.306591 11.705208)"/></g></g><path d="M11.148 10.465c.02-.016-.008-.043-.023-.023l-.047.043.027.027.043-.047m.09.215c.016-.02-.008-.043-.023-.023l-.035.031.023.023.035-.031m-.3-.301c.016-.02-.004-.043-.023-.023l-.031.031.02.023.035-.031" class="pt-E"/><use xlink:href="#G" class="pt-G"/><g class="pt-F"><use xlink:href="#H"/><use xlink:href="#H" x="0.332"/><use xlink:href="#H" x="0.164" y="0.16"/><use xlink:href="#H" y="0.328"/><use xlink:href="#H" x="0.332" y="0.328"/></g><path d="M9.305 8.059c0 .082.031.164.086.227s.133.094.215.098.16-.043.211-.098c.059-.062.09-.145.086-.227v-.434h-.598v.434" class="pt-G"/><g class="pt-F"><use xlink:href="#I"/><use xlink:href="#I" x="0.332"/><path d="M9.668 7.949a.06.06 0 0 1-.059.059c-.035 0-.062-.027-.062-.059s.027-.059.063-.059a.06.06 0 0 1 .059.059zm0 0"/><use xlink:href="#I" y="0.328"/><use xlink:href="#I" x="0.332" y="0.328"/></g><use xlink:href="#G" x="-0.832" class="pt-G"/><g class="pt-F"><use xlink:href="#H" x="-0.832"/><use xlink:href="#H" x="-0.5"/><use xlink:href="#H" x="-0.668" y="0.16"/><use xlink:href="#H" x="-0.832" y="0.328"/><use xlink:href="#H" x="-0.5" y="0.328"/></g><use xlink:href="#G" x="0.832" class="pt-G"/><g class="pt-F"><use xlink:href="#H" x="0.832"/><use xlink:href="#H" x="1.164"/><use xlink:href="#H" x="0.996" y="0.16"/><use xlink:href="#H" x="0.832" y="0.328"/><use xlink:href="#H" x="1.164" y="0.328"/></g><path d="M9.305 10.129c0 .086.031.168.086.227s.133.098.215.098.16-.039.211-.098a.3.3 0 0 0 .086-.227v-.43h-.598v.43" class="pt-G"/><g class="pt-F"><use xlink:href="#H" y="1.031"/><use xlink:href="#H" x="0.332" y="1.031"/><use xlink:href="#H" x="0.164" y="1.192"/><use xlink:href="#H" y="1.36"/><use xlink:href="#H" x="0.332" y="1.36"/></g><defs ><path id="B" d="M7.453 6.562H7.5v.039h.035v-.039h.051v.039h.035v-.039h.047v.078c0 .016-.008.023-.02.023h-.172c-.016 0-.023-.008-.023-.023zm0 0"/><path id="C" d="M7.875 6.562h.051v.039h.035v-.039h.047v.039h.035v-.039h.051v.078c0 .016-.008.023-.023.023h-.172c-.012 0-.023-.008-.023-.023zm0 0"/><path id="D" d="M7.543 6.715c0-.027.031-.027.031 0v.047h-.031v-.047"/><path id="E" d="M11.738 6.562h-.047v.039h-.035v-.039h-.047v.039h-.039v-.039h-.047v.078c0 .016.008.023.02.023h.172c.016 0 .023-.008.023-.023zm0 0"/><path id="F" d="M11.316 6.562h-.047v.039h-.039v-.039h-.047v.039h-.035v-.039h-.047v.078c0 .016.008.023.02.023h.172c.012 0 .023-.008.023-.023zm0 0"/><path id="G" d="M9.305 9.098a.34.34 0 0 0 .086.227c.055.063.133.098.215.098s.16-.039.211-.098c.059-.062.09-.141.086-.227v-.434h-.598v.434"/><path id="H" d="M9.504 8.828c0 .035-.027.063-.059.063s-.062-.027-.062-.062.027-.059.063-.059a.06.06 0 0 1 .059.059zm0 0"/><path id="I" d="M9.504 7.789c0 .035-.027.059-.059.059s-.062-.023-.062-.059.027-.059.063-.059a.06.06 0 0 1 .059.059zm0 0"/></defs></svg>')
            },
            ro: {
                languageName: 'Romanian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" fill-rule="evenodd" class="language-svg-icon"><path d="M0 0h8v18H0zm0 0" fill="rgb(0%,19.215686%,61.176471%)"/><path d="M8 0h8v18H8zm0 0" fill="rgb(100%,87.058824%,0%)"/><path d="M16 0h8v18h-8zm0 0" fill="rgb(87.058824%,12.941176%,6.27451%)"/></svg>')
            },
            ru: {
                languageName: 'Russian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,100%,100%)"/><g fill-rule="evenodd"><path d="M0 6h24v12H0zm0 0" fill="rgb(0%,22.352941%,65.098039%)"/><path d="M0 12h24v6H0zm0 0" fill="rgb(83.529412%,16.862745%,11.764706%)"/></g></svg>')
            },
            sr: {
                languageName: 'Serbian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24" height="18" class="language-svg-icon"><style><![CDATA[.sr-B{fill:rgb(12.941176%,13.72549%,11.764706%)}.sr-C{fill:rgb(100%,100%,100%)}.sr-D{fill:rgb(92.941176%,72.54902%,18.039216%)}.sr-E{stroke:rgb(12.941176%,13.72549%,11.764706%)}.sr-F{stroke-width:.02}.sr-G{fill:rgb(4.705882%,25.098039%,46.27451%)}.sr-H{fill:rgb(77.647059%,21.176471%,23.529412%)}]]></style><path d="M0 0h24v18H0z" class="sr-C"/><path d="M-1.199 0h27v12h-27zm0 0" class="sr-G"/><path d="M-1.199 0h27v6h-27zm0 0" class="sr-H"/><path d="M8.27 5.203v-.004h.02v.004l-.012.012-.012-.012zm.02 0v.012h-.012l.008-.012zm-1.859.105l-.023.004.008-.012.082-.004.082-.008.234-.012.074-.008.148-.008.07-.004h.066l.066-.004.063-.004.066-.004.059-.004h.059l.063-.004.059-.004.055-.004h.055l.055-.004.051-.004h.051l.047-.008h.043l.047-.004h.043l.039-.004h.039l.043-.004h.105v.02h-.113l-.035.004H8.09l-.039.004h-.043l-.094.008h-.047l-.102.008h-.047l-.055.008h-.055l-.062.004-.055.004h-.059l-.062.008-.133.008-.062.004h-.07l-.07.004-.074.004-.07.008-.074.004-.078.004-.078.008-.082.004-.078.004-.086.004zm-.023.004l-.004-.008h.012zm.129.625l-.129-.625.02-.004.129.625-.008.012zm.012.008h-.008l-.004-.008.008.008zm1.898-.078l-.004.02h.004-.117l-.059.004h-.059l-.059.004h-.059l-.059.004h-.121l-.059.004h-.062l-.059.004h-.059l-.062.004h-.062l-.062.004H7.43l-.059.004h-.062l-.059.004h-.059l-.062.004H7.07l-.059.004h-.062l-.059.004h-.062l-.055.004h-.117l-.051.004h-.055v-.02h.113l.055-.004h.117l.059-.004h.063l.055-.004h.059l.063-.004h.059l.059-.004h.063l.059-.004h.063l.059-.004h.059l.063-.004h.063l.059-.004h.063l.059-.004h.059l.063-.004h.059l.063-.004h.059l.059-.004h.063l.055-.004h.059l.059-.004h.004zm-.004 0h.004zm1.891.066l.02.004-.008.008h-.059l-.055-.004h-.176l-.059-.004h-.059l-.059-.004H9.82l-.059-.004h-.062l-.059-.008h-.062l-.059-.004h-.059l-.062-.004H9.34l-.062-.004h-.062l-.059-.004h-.059l-.062-.004h-.059l-.062-.004h-.059l-.059-.004h-.062l-.059-.004h-.059l-.062-.004H8.5l-.059-.004.004-.02H8.5l.059.004h.063l.055.004h.059l.063.004h.059l.059.004h.063l.059.004h.063l.059.004h.059l.063.004h.059l.059.004h.066l.059.004h.059l.063.004h.059l.063.004h.059l.059.004h.063l.059.004h.117l.055.004h.059l.055.004h.055l-.012.012zm.02.004v.008h-.008zm.129-.625l-.129.621h-.02l.129-.625.012-.008zm-.008-.012h.012v.012l-.008-.012zm-1.871-.098h.02l-.012-.012h.105l.043.004h.039l.039.004h.039l.051.004h.047l.047.008h.102l.051.004h.055l.059.008.059.004h.059l.059.008.063.004.066.004.063.004.07.004h.066l.074.008.07.004.074.004.07.004.082.004.074.008.082.004.078.004.086.008v.02l-.086-.004-.082-.008-.078-.004-.082-.004-.074-.008-.074-.004-.07-.004-.074-.004-.07-.004h-.066l-.066-.008-.066-.004-.125-.008h-.059l-.059-.004-.062-.004H9.23l-.051-.004h-.051l-.055-.008h-.047l-.051-.004-.043-.004h-.047l-.043-.004h-.039l-.039-.004h-.043l-.035-.004h-.066l-.008-.012zm.008.008h-.012v-.012l.008.012zm.008-.016v.004h-.02v-.004l.008-.008zm-.02 0v-.008h.008zm-.16.008l.004-.02h.176l.008.004v.016h-.012v.004h-.004l-.004-.02h.004v.012h.004-.164zm.004 0zm-.164.004v-.02l-.004.02h-.008l-.012-.012v-.008l.004-.004h.188v.02H8.27l.004-.004v-.016H8.27h.008zm0-.02v.02l-.012-.012.008-.008zm-.012.008v-.008h.008l-.012.008zm0 0" class="sr-B"/><path d="M10.469 5.301c.066-.133.137-.262.227-.375-.234.176-.363.148-.375-.082-.016-.004-.035-.004-.051-.004-.18.281-.355.242-.527-.117-.227.371-.426.363-.582-.02-.266.336-.488.336-.672.004v-.039l-.027-.004c-.023.004-.027.004-.035 0l-.004.008c-.023.004-.031 0-.02 0v.039c-.184.328-.41.328-.676-.008-.156.383-.352.391-.582.02-.168.363-.34.402-.52.121-.02 0-.043 0-.055.004-.016.227-.141.254-.375.078.09.113.16.242.227.375l2.023-.102 2.031.102zm0 0" class="sr-D"/><path d="M10.699 4.934l-.012-.02.016.02-.008.012-.016.016-.008.012-.012.012-.004.012-.016.023-.012.012-.004.012-.008.012-.008.008-.008.012-.004.012-.023.035-.004.012-.008.008-.008.016-.004.012-.016.023-.004.012-.008.012-.004.016-.004.012-.016.023-.004.012-.008.012-.004.016-.02-.008.004-.016.008-.012.008-.023.016-.023.004-.016.008-.012.004-.012.016-.023.004-.012.031-.047.004-.012.008-.012.004-.012.012-.012.008-.012.004-.012.016-.023.012-.012.008-.012.004-.012.016-.023.012-.008.008-.016.008-.008.016.012zm-.383-.078l.004-.02.012.008v.02l.004.023v.02l.008.012.008.031.008.016.004.012.008.008.004.012.008.008.012.008.008.004.008.008.012.004h.008l.008.004h.039l.012-.004.016-.004.016-.008.016-.004.016-.008.039-.023.02-.008.02-.016.02-.012.02-.016.02-.02.016.02-.02.016-.023.016-.059.035-.02.008-.02.012-.016.008-.02.008-.031.008h-.016l-.016.004h-.039l-.016-.004-.012-.004-.012-.008-.008-.008-.012-.008-.02-.02-.016-.023-.008-.016-.004-.012-.008-.039v-.016l-.004-.02v-.02zm.004-.02l.008.004v.004l-.004-.008zm-.043.012l-.016-.012.008-.004h.039v.004h.008l-.004.02h-.023v-.004h-.023l.008-.004zm-.016-.012v-.004h.008zm-.504-.105l-.023-.012h.023l.016.035.016.027.016.031.047.07.047.059.016.016.02.012.012.012.02.008.016.004.016.008.016.004h.043L10.07 5l.02-.004.016-.004.016-.008.031-.023.016-.016.016-.012.02-.02.031-.039.016-.023.02-.027.016.012-.016.027-.02.02-.016.023-.02.02-.012.023-.039.023-.016.012-.02.012-.012.008-.02.012-.039.008H10l-.02-.008-.016-.008-.02-.012-.012-.008-.023-.012-.012-.016-.02-.016-.031-.039-.02-.02-.016-.027-.016-.023-.016-.027-.031-.062-.016-.035h.02zm-.023-.012l.012-.016.012.016zm-.562-.012l-.02-.012.023.004.012.035.012.031.016.027.027.055.02.027.031.039.016.012.016.016.016.012.02.012.016.008.016.004.02.004h.051l.02-.008.016-.004.02-.008.016-.012.02-.016.02-.012.023-.02.039-.039.02-.023.02-.027.039-.062.023-.035.023.012-.027.035-.02.027-.023.031-.039.055-.02.023-.047.039-.039.031-.02.012-.059.023h-.062L9.383 5l-.02-.008-.016-.012-.02-.008-.016-.016-.02-.016-.016-.02-.02-.02-.016-.02-.047-.082-.016-.031-.031-.07h.02zm-.02-.012l.012-.012.012.016h-.023zm-.676.016h.02v-.004l.02.031.02.027.016.023.02.023.016.02.02.02.016.023.02.016.016.012.023.012.039.016.016.008.02.008.02.004h.039l.02-.004.023-.008.02-.008.023-.008.02-.012.023-.012.02-.012.027-.016.02-.02.027-.02.023-.02.02-.027.027-.027.023-.027.023-.031.02.016-.027.031-.02.027-.027.027-.023.027-.047.039-.02.02-.027.02-.023.016-.02.012-.027.012-.02.012-.027.004-.023.008h-.02l-.023.004h-.02l-.027-.004-.02-.004-.059-.023-.02-.016-.02-.012-.02-.02-.02-.016-.023-.023-.02-.023-.016-.023-.02-.027-.016-.027-.02-.031v-.008zm0 .004v-.004zm.02-.043v.039h-.02v-.039l.016-.012.008.012zm-.02 0v-.02l.016.008-.016.008zm-.02.004l.02-.008-.008-.004h.02l-.004.004v.008l.008-.023h.004v.008l.004.004v.012h-.035l-.008-.008zm.012.008h-.008v-.008zm.004-.02l.004.004-.02.008v-.008l.004-.016.012.008zm-.012-.012l.008-.004.004.012zm-.02.023l.004-.023h.016l.004.023zm.004 0zm-.012-.008l-.02-.008.016-.008h.016v.02h-.02l.008-.008zm-.02-.008l.008-.012h.004zm0 .008V4.66l.02.008-.004.008-.008.004-.012-.012zm.016.008v.004h-.008zm-.02-.008h-.02l.012.008v.004h.004v-.016h-.004.004l.004-.004h.012l.004.02h-.039v-.004h-.004v-.008h.004v-.004h.004l.016.008zm-.016-.008l.016-.008v.016l-.016-.012zm-.004.047v-.039h.02v.047zm.02 0v.004zm-.672 0l-.02-.008h.02l.02.027.027.027.023.027.023.023.027.02.023.023.02.023.023.012.02.016.023.012.02.012.027.008.039.016h.02l.02.004h.02l.039-.008.023-.008.039-.016.02-.016.016-.012.02-.016.016-.023.02-.02.016-.02.023-.023.016-.023.016-.027.02-.031.016.008-.02.031-.016.027-.02.027-.016.023-.043.043-.016.02-.059.047-.02.012-.02.008-.023.008-.02.004-.023.004h-.043l-.02-.004-.027-.004-.02-.008-.023-.008-.02-.016-.023-.012-.027-.016-.023-.016-.07-.059-.047-.055-.027-.031-.02-.031h.016zm-.02-.008l.004-.016.016.012zm-.566.031l-.02-.012h.02l.02.035.02.027.023.031.02.023.082.082.039.031.02.012.016.008.039.016h.055L7.5 4.98l.031-.016.02-.012.016-.012.02-.016.016-.016.031-.039.016-.027.016-.023.016-.031.016-.027.016-.031.016-.039.02.008-.031.07-.016.031-.016.027-.016.023-.02.027-.016.02-.02.02-.012.02-.023.016-.016.012-.02.008-.016.012-.039.008H7.43l-.023-.008-.02-.004-.02-.008-.02-.012-.039-.031-.039-.039-.023-.02-.02-.031-.02-.023-.023-.031-.02-.031-.023-.035h.02zm-.02-.012l.008-.016.012.016zm-.512.133v-.02l.004.004.02.023.016.027.031.039.016.016.02.016.016.016.02.012.016.012.012.004.016.008.016.004.02.004h.043L6.914 5l.02-.008.012-.008.02-.012.031-.031.031-.039.02-.02.016-.023.012-.023.02-.027.031-.062.016-.035.02.008-.02.035-.016.031-.02.027-.012.027-.02.023-.016.027-.016.02-.02.02-.016.02-.031.031-.02.012L6.941 5l-.02.012-.02.008-.016.004h-.051l-.02-.004-.016-.004-.02-.008-.039-.02-.016-.012-.035-.035-.012-.016-.023-.02-.016-.02-.02-.027-.012-.027.008.004zm0-.02h.004v.004l-.008-.004zm-.047.016h-.02l.008-.012h.027v-.004h.027v.02h-.039v.004H6.57zm-.02 0V4.84h.008l-.008.004zm-.359.07l-.012.016.012-.02.02.02.023.012.023.016.02.012.02.008.016.008.02.008.031.016.031.008h.012l.016.004h.035l.023-.012.016-.016.012-.008.004-.008.004-.012.008-.012.004-.012.008-.016.004-.016v-.016l.008-.02v-.02l.004-.02h.02v.02l-.004.023-.008.039-.004.012-.004.02-.008.016-.008.012-.004.012-.016.023-.012.012-.012.008-.016.004-.023.008h-.066l-.016-.008-.016-.004-.02-.008-.016-.008-.02-.008L6.289 5l-.02-.012-.023-.012-.02-.012-.02-.016-.023-.02.016-.016zm.219.371v.023l-.008-.008-.008-.023-.008-.012-.004-.012-.016-.023-.004-.016-.023-.035-.004-.012-.012-.012-.004-.012-.008-.012-.008-.016-.008-.008-.016-.023-.008-.016-.008-.012-.012-.023-.008-.012-.008-.008-.008-.016-.008-.008-.008-.012-.008-.008-.031-.047.016-.016.031.047.008.008.008.012.008.008.008.012.008.016.008.008.039.059.004.012.012.012.004.012.008.012.012.012.004.016.023.035.004.016.039.059.004.016.008.012-.012-.008zm0 .023H6.41v-.008l.008.008zm2.031-.121v.02l-.066.004h-.062l-.059.008h-.066l-.062.004-.066.004H8l-.059.008-.066.004h-.066l-.059.008h-.07l-.059.004h-.066l-.066.004-.059.004h-.066l-.066.008h-.059l-.133.008h-.059l-.066.008h-.066l-.059.004-.066.004h-.066l-.062.004h-.059l-.066.008H6.48l-.059.004-.008-.023h.066l.063-.004h.063l.066-.004.063-.004h.059l.066-.008h.066l.059-.004h.066l.063-.008h.063l.063-.004h.066l.059-.004h.066l.063-.008.063-.004h.066l.063-.004h.059l.066-.008.066-.004h.059L8 5.211l.059-.004h.066l.066-.008.059-.004h.066l.063-.004.063-.008h.004zm0 0zm2.023.098v.023h-.062l-.125-.008h-.066l-.059-.008h-.066l-.062-.008h-.062l-.133-.008h-.059l-.066-.004-.062-.004h-.062l-.062-.008h-.066l-.062-.004h-.066l-.062-.008-.059-.004h-.066l-.066-.008h-.059l-.066-.004h-.062l-.066-.004-.059-.004-.062-.004h-.066l-.062-.008h-.059l-.066-.004.004-.02h.059l.066.004.125.008.066.004h.059l.066.008h.063l.125.008.066.004h.059l.066.008h.059l.133.008h.059l.066.004h.066l.059.008h.066l.066.004h.059l.066.008h.066l.059.004h.066l.063.004h.066l.059.004.066.004h.063zm0 .023zm0 0v-.023l.008.016-.012.008zm.008-.008l-.004.008h-.008zm0 0" class="sr-B"/><g class="sr-D"><path d="M7.988 5.543l.453-.23.461.23-.461.227zm0 0"/><path d="M8.281 5.199v.004l-1.867.109.133.621 1.895-.059 1.902.059.129-.621-1.859-.109v-.004c.031-.008-.02-.008-.168-.004-.141-.004-.203-.004-.16.004zm0 0"/><path d="M10.746 4.75l-.074-.012c-.141.352-.27.359-.293.027.031-.012.02-.066.059-.047.02.012.039-.02.023-.039-.039-.031-.07-.027-.105.008-.016-.055-.062-.078-.109-.055-.02.008-.016.051.008.047.035-.004.02.031.031.063-.25.328-.379.289-.348-.148l-.191-.047c-.23.469-.395.488-.527.066.027-.02.02-.074.059-.059.027.012.047-.031.023-.051-.047-.039-.098-.023-.137.027-.027-.059-.078-.078-.129-.043-.023.012-.012.059.016.051.047-.012.023.051.059.07-.098.395-.617.422-.531-.164l-.133.004-.133-.004c.082.582-.43.559-.531.16.031-.02.012-.078.059-.066.023.004.039-.043.016-.055-.055-.035-.105-.016-.133.043-.035-.055-.086-.066-.133-.027-.023.02 0 .059.02.051.043-.016.035.039.063.059-.133.422-.301.402-.527-.066-.062.02-.129.031-.191.047.031.434-.098.473-.348.141.012-.027 0-.062.035-.059.02 0 .031-.039.008-.047-.047-.02-.09 0-.105.055-.035-.035-.07-.039-.109-.008-.02.02.008.051.023.039.035-.02.023.035.059.047-.027.332-.152.32-.293-.027l-.074.016c0 .078.027.168.074.234.215.27.371.207.379-.094.277.328.488.285.523-.062.234.438.609.23.617-.039.102.391.672.387.711-.062.035.449.605.453.707.063.008.27.383.477.621.039.031.348.246.391.52.063.008.301.164.363.379.094a.39.39 0 0 0 .074-.234zm0 0"/></g><path d="M10.676 4.727l.07.012-.004.02-.07-.012-.008-.012.012-.012zm-.012.008v-.012h.012l-.012.008zm-.285.02l.004.02.004-.012.004.027v.027l.008.027.004.023.008.039.008.02.008.016.004.016.008.012.004.008.008.012.008.004.004.004h.027l.008-.008.008-.004.012-.008.008-.004.012-.012.008-.012.012-.016.016-.02.012-.016.016-.023.012-.027.012-.023.012-.027.023-.062.023.008-.02.031-.047.109-.023.039-.016.02-.016.016-.012.016-.012.012-.008.012-.012.004-.016.012-.012.004h-.023l-.012-.004-.008-.008-.012-.008-.02-.02-.004-.012-.016-.031-.008-.039-.008-.02-.008-.055-.004-.031v-.031l.008-.008zm-.012.008v-.008h.008zm.07-.055l-.008.02v-.004h-.008v.004h-.008v.004l-.004.004v.008l-.004.004-.004.008v.004h-.004v.004h-.004v.004h-.008l-.004.004-.004-.02v-.004h.004v-.004h.004v-.004l.004-.004v-.012h.004v-.008l.004-.004v-.004l.008-.008h.004l.004-.004h.02l.004.004zm-.008.02zm.023-.039l.012-.02v.004h.004l.004.004v.031h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.008v.008h-.016l-.008-.008.012-.02v.004h.008v-.004h.004v-.004h.004v-.016zm.012-.02v.004zm-.125.02l.02-.008-.016-.004h.004l.012-.012.008-.004h.004l.004-.008h.004v-.004h.008l.004-.004h.047l.004.004h.004l.004.004h.004l.004.008h.004l.008.008-.012.016-.008-.004h-.004l-.008-.008h-.004l-.004-.004h-.043v.004h-.008v.004h-.004l-.004.004v.004h-.008v.004l-.004.004-.02-.008zm.02.004l-.012.012-.004-.016.02.004zm-.113-.055l-.008-.02h.012l.008-.004h.039l.008.004h.008l.004.008h.004v.004l.008.004h.004l.004.004v.004l.004.004v.004l.008.008v.004l.004.008v.004l.004.004v.004l-.02.004v-.008h-.004v-.008l-.004-.004V4.66h-.008v-.008h-.004v-.008h-.004v-.004h-.008v-.004h-.012v-.004h-.039l-.004.004zm0 .031l.004.02h-.012v-.004h-.004l-.012-.012v-.039l.008-.008.008-.004.008.02h-.004v.027zm.047.074l-.016-.012v.008-.004h-.004v-.02h-.004v-.02l-.004-.004h-.016v-.023h.012l.008.004.004.004h.004v.004l.004.004v.008h.004v.031h.004v.016zm0-.012h.004l-.004.008zm-.359-.133l.004-.02.008.012v.039l-.004.039v.098l.004.027v.027l.008.02.008.039.016.031.008.012.016.016.012.008.008.004h.02l.012-.004.016-.008.012-.008.02-.012.02-.008.012-.016.02-.016.023-.02.039-.039.02-.031.02-.027.027-.027.016.012-.023.031-.023.027-.043.043-.02.027-.02.02-.039.031-.016.012-.02.012-.016.008-.016.004h-.016l-.016.004h-.016l-.016-.004-.012-.004-.012-.012-.016-.023-.012-.016-.008-.02-.008-.039-.004-.023-.004-.027v-.203l.012.012zm.004-.02h.008v.012zm-.187-.031l-.02-.008.016-.008.004.004h.008l.008.004h.004l.004.004h.008l.008.004h.012l.004.004h.008l.008.004h.012l.008.004h.008l.008.004h.012l.008.004h.012l.004.004h.012l.004.004h.02l.004.004h.008l-.008.023h-.016l-.004-.004h-.012l-.008-.004h-.016l-.004-.004h-.012l-.008-.008h-.016l-.008-.004H9.82l-.004-.004h-.012l-.008-.004h-.004l-.004-.004h-.012l-.008-.004h-.008l-.008-.004h-.008l-.008-.004h-.004zm-.02-.008l.008-.008h.008l-.012.008zm-.523.063l.012.016.008-.012.012.039.008.035.016.031.012.035.016.027.012.023.012.02.031.039.012.016.012.012.016.008.012.008.016.004h.027l.02-.004.012-.004.039-.02.012-.016.02-.016.02-.02.016-.02.023-.023.02-.027.016-.027.02-.031.039-.07.02-.043.023-.039.023.008-.027.043-.039.078-.02.035-.039.063-.02.023-.02.027-.023.02-.055.055-.02.008-.016.008-.02.004-.016.004h-.039l-.016-.004-.031-.016-.016-.012-.016-.016-.016-.023-.012-.02-.016-.02-.012-.027-.016-.027-.016-.031-.023-.07-.016-.035.004-.012zm-.004.012v-.008l.004-.004zm.078-.07l-.008.02H9.27l-.004-.004h-.004v.004h-.004v.004H9.25v.008h-.004v.008l-.004.008-.004.004v.004l-.004.008-.004.004-.004.008h-.004l-.012-.016.008-.008v-.012h.004v-.008h.004V4.57l.004-.008v-.004l.012-.012h.004v-.004h.012v-.004h.016l.004.004zm.012-.035l.012-.016.008.008v.004l.004.008v.027l-.004.004v.004l-.004.004h-.004v.004h-.004v.004h-.004l-.004.004h-.02l.008-.02h.012v-.004h.004v-.012h.004v-.016h-.004v-.004zm-.141.023l.023-.008h-.023l.004-.004v-.008h.008l.004-.008.02-.02h.004l.004-.008h.008l.004-.004h.008l.004-.004h.047l.004.004h.004l.008.004h.004l.008.008h.004l.004.004.008.004-.012.016-.004-.004h-.004L9.285 4.5l-.008-.004h-.004l-.004-.004h-.051v.004h-.008l-.004.004h-.004v.004h-.004l-.004.008-.012.012v.004l-.008.008h-.02zm.023.004l-.016.012-.004-.02.02.004zm-.141-.043l-.008-.02h.004l.004-.004h.008l.008-.004h.004l.004-.004h.008l.008-.004h.031l.004.004h.004l.008.004h.004l.004.008.008.008v.004l.008.004.008.008V4.5l.008.008.008.012v.004l-.016.008-.004-.008-.004-.004v-.004l-.008-.004v-.004l-.012-.012h-.004v-.004h-.004l-.008-.004h-.004l-.004-.004h-.008L9.09 4.48h-.027l-.004.004h-.008l-.004.004h-.004l-.008.008zm.008.035l.008.02h-.012l-.004-.004h-.004l-.012-.012v-.004l-.004-.004v-.031l.008-.008.008-.004.008.02h-.004v.023h.004v.004h.008zm.074.082l-.02-.004.004.008h-.004l-.004-.004H9.09v-.004h-.004l-.004-.008V4.59l-.004-.004v-.008l-.004-.004v-.008l-.004-.004v-.004l-.004-.004v-.004h-.004v-.004h-.012l-.008-.02h.02l.008.004h.004v.008h.004v.008l.004.004v.004h.004v.008l.004.008v.008h.004v.012h.004l.008.008.008.012zm-.004-.012l.004.004v.008zm-.543-.145v-.02l.012.008-.004.055-.004.051v.043l.004.039.004.043.012.031.008.031.016.027.012.02.016.027.02.02.059.035.02.008.027.008h.047l.027-.004.023-.008.023-.012.023-.008.023-.016.023-.02.02-.016.02-.02.039-.055.016-.023.016-.031.012-.035.012-.031.02.004-.012.039-.012.031-.039.063-.039.055-.02.02-.07.059-.027.012-.023.012-.055.008h-.051l-.023-.004-.027-.008-.023-.012-.02-.016-.059-.059-.016-.031-.016-.027-.012-.035-.008-.035-.008-.039-.004-.043v-.039l.004-.055.008-.051.008.012zm0-.02h.016v.008l-.012-.008zm-.129.023l.004-.02h.078l.004-.004h.043v.02h-.082l-.004.004zm.004 0zm-.125-.016h-.02l.008-.008h.102l.004.004h.027v.02h-.082l-.004-.004h-.043l.012-.012zm-.02 0V4.43h.008zm-.527.156l.008.016.008-.008.012.031.008.035.016.031.02.027.016.027.039.047.047.039.023.012.023.008.023.012.023.008.023.004h.051l.023-.008.02-.004.023-.012.02-.012.059-.059.012-.023.023-.062.008-.035.004-.043V4.59l.004-.047-.004-.051-.004-.055h.02l.004.055.004.051v.043l-.008.086-.012.035-.008.031-.016.031-.016.027-.02.023-.02.02-.039.031-.027.012-.023.008-.027.004h-.055l-.047-.008-.055-.023-.023-.016-.027-.02-.023-.02-.02-.02-.02-.023-.02-.027-.02-.031-.016-.031-.012-.035-.012-.039.004-.008zm-.004.012v-.008l.004-.004zm.074-.082l-.004.02-.008-.004H7.82v.004l-.004.004v.008l-.004.004v.012l-.004.004v.004l-.004.008v.004l-.004.004v.004h-.004v.004h-.008l-.004.004h-.004l-.008-.012.008-.008h.004v-.008l.004-.004v-.012l.004-.004v-.008l.004-.008v-.004l.016-.016h.004l.004-.004h.023zm.008-.035l.012-.02v.004h.004v.004h.004v.004l.004.004v.031l-.004.004v.004l-.012.012h-.02l.008-.02h.008v-.008l.004-.004v-.016h-.004v-.004h-.004zm-.137.039l.016-.012h-.016v-.004l.004-.008.008-.008v-.004l.023-.023h.008l.004-.004.008-.004h.004l.004-.004h.012l.004-.004h.031l.008.004h.004l.008.004h.004l.008.008h.008l-.012.02-.004-.004h-.004l-.004-.004h-.008l-.004-.004h-.012l-.004-.004h-.023l-.004.004h-.008v.004h-.004l-.016.016-.008.004-.004.004v.004l-.004.008-.004.004v.004h-.004zm.02 0l-.008.016-.012-.016zm-.137-.023l-.02-.016.004-.004.008-.004h.004l.004-.008h.004l.004-.004h.008l.004-.004h.051l.008.004h.004l.008.008h.004l.004.008h.004l.016.016h.004v.008l.008.008-.016.012-.004-.004V4.52l-.008-.004-.004-.004-.004-.008-.004-.004h-.004l-.004-.004v-.004h-.004l-.004-.004H7.66l-.004-.004h-.035l-.004.004h-.004l-.004.004h-.004l-.004.008h-.004l-.004.004zm.008.031l.008.02H7.59l-.008-.004-.004-.004h-.004v-.004l-.004-.004v-.004l-.004-.004V4.5l.008-.008v-.004l.016.016-.004.004v.023l.008.008zm.078.074l-.023-.008.004.012H7.66v-.008h-.004v-.004h-.004v-.004h-.004V4.59h-.004v-.012h-.004v-.012l-.008-.008h-.004v-.004h-.012v.004l-.008-.02h.008l.004-.004h.012l.008.008h.004v.004l.004.004.004.008v.004l.004.004v.004l.004.004v.004l.02.02.004.012zm-.004-.012l.004.004v.008zm-.535-.051l-.004-.02.008.008.023.039.02.039.023.043.059.094.02.027.016.023.039.039.02.016.012.016.02.012.012.008.02.004.016.004h.023l.016-.004.012-.008.016-.008.016-.012.012-.016.016-.016.012-.02.016-.02.016-.027.012-.027.016-.031.012-.027.016-.039.012-.039.02.012-.012.039-.016.031-.012.035-.012.031-.016.027-.012.027-.016.023-.016.02-.016.016-.012.016-.031.023-.02.008-.016.008h-.039l-.02-.004-.016-.008-.02-.008-.02-.012-.039-.039-.016-.02-.02-.02-.02-.023-.039-.055-.059-.105-.023-.039-.02-.047.012.008zm-.004-.02h.004l.004.008-.012-.008zm-.18.059h-.02l.008-.012h.012l.008-.004h.012l.008-.004h.02l.004-.004h.012l.004-.004h.012l.008-.004h.008l.004-.004h.012l.008-.004h.012l.004-.004h.008l.008-.004h.004l.008-.004h.004l.008-.004h.004l.004.02h-.012l-.008.004h-.004l-.008.004h-.004l-.008.004H7.09l-.008.004h-.008l-.008.004h-.012l-.008.004h-.012l-.004.004H7.02l-.004.004H7l-.004.004H6.98l-.004.004h-.016v.004h-.008zm-.02 0v-.012h.008zm-.348.141l.02.008v-.012l.039.055.023.027.039.039.02.023.023.016.016.016.02.012.012.008.016.008.012.004h.016l.012.008h.008l.008-.008.016-.008.008-.008.016-.023.004-.016.008-.02.008-.039v-.055l.004-.031v-.102l-.004-.035h.02v.039l.004.039v.098l-.004.027v.027l-.008.023-.004.023-.008.02-.004.02-.008.012-.008.016-.012.012-.023.016-.016.004H6.84l-.012-.004-.016-.008-.02-.012-.016-.008-.059-.047-.062-.062-.02-.027-.023-.027-.02-.031-.004-.012zm0 .008v-.004.008zm.039-.074v.02h-.012v.016l-.004.008v.02h-.004v.008l-.02-.012v-.008l.004-.004v-.016h.004v-.012l.004-.004v-.004h.008v-.004h.02zm.004-.027l.008-.02.004.004h.004v.004h.004v.012h.004v.027l-.004.004v.004l-.008.008h-.004l-.004.004h-.012v-.02h.008V4.66h.004v-.016l-.004-.004zm-.113.055l.016-.016-.016.004v-.004l.004-.008v-.004l.004-.008v-.004l.008-.008v-.004l.004-.004v-.004l.008-.004h.004v-.008h.004l.008-.004.004-.004h.008v-.004h.051l.004.004h.004l.008.004-.008.02-.008-.004h-.008l-.004-.004H6.59l-.008.004h-.004v.004h-.004l-.004.004v.004h-.004l-.004.004v.004h-.004v.008l-.004.004v.004h-.004v.012l-.004.004-.02.004zm.02-.008l-.008.016-.012-.008zM6.43 4.68l-.016-.012v-.004l.008-.004h.004l.004-.004h.004l.004-.004.008-.004h.004l.004-.004h.039l.004.004H6.5l.008.004h.004l.012.012h.004l.004.008v.004l-.012.016v-.004h-.008v-.004l-.004-.004-.008-.004h-.008v-.004h-.004l-.004-.004h-.039v.004h-.004l-.008.008H6.43l-.004.004zm-.016-.012v-.004zm.027.035l.012.02H6.43l-.008-.004-.004-.004v-.004h-.004l-.004-.004v-.008l-.004-.004V4.68l.004-.004h.004l.016.008v.016h.004v.004h.004v.004h.004zm.074.055h-.023l.008.008v-.004h-.008v-.004h-.004v-.004h-.004V4.75H6.48v-.004l-.004-.004v-.008h-.004V4.73l-.004-.008v-.004h-.016l-.012-.016h.004l.004-.004h.023l.008.008v.004h.004v.008l.004.004v.012h.004v.004l.008.008h.008zm-.008-.012h.008v.008zm-.297-.008v-.02l.008.004.016.031.012.031.016.027.016.023.023.047.023.039.008.012.016.016.008.012.012.008.016.016.012.004h.02l.008-.008.008-.004.008-.008.004-.008.008-.008.008-.012.004-.02.008-.016.008-.039.008-.027.004-.023v-.031l.004-.027h.02v.031l-.008.055-.004.023-.008.039-.016.039-.008.016-.016.023-.008.008L6.434 5l-.008.004-.016.004h-.02L6.379 5l-.016-.008-.012-.008-.008-.012-.016-.012-.027-.027-.035-.059-.012-.027-.012-.023-.016-.027-.023-.062zm0-.02h.008v.004l-.008-.008zm-.074.012l.07-.012v.02l-.07.012-.012-.008.008-.012zm-.012.012v-.008h.008zm.094.227l-.016.016-.004-.008v-.004l-.012-.012-.004-.008-.004-.004-.004-.008v-.008l-.008-.008-.008-.016v-.008l-.004-.008v-.008l-.008-.008v-.008l-.004-.008v-.008l-.004-.008v-.016l-.004-.008v-.016l-.004-.008v-.027l-.004-.008V4.75h.02v.039l.004.008v.023l.004.008v.016l.004.004v.008l.004.008.008.008v.008l.004.012.004.004v.008l.008.016.004.004v.004l.008.016v.004l.008.008.004.008.004.004.004.008.004.004zm.375-.094l-.016.016.02-.008-.004.027v.031l-.012.07-.008.02-.008.039-.016.031-.008.012-.031.031-.016.008-.012.004h-.016l-.016.004h-.012l-.016-.004-.02-.004-.016-.004-.02-.008-.012-.012-.02-.012-.023-.012-.016-.016-.02-.023-.039-.039-.016-.02-.02-.027.016-.012.02.027.02.02.016.02.02.02.02.016.016.023.02.008.031.023.016.008.012.004h.016l.016.004h.027l.012-.004.008-.004.012-.004.008-.004.02-.02.008-.012.008-.016.004-.016.008-.016.004-.02.008-.023.004-.02.004-.023v-.023l.004-.027v-.023l.023-.008zm-.02.008v-.027l.02.02zm.547-.062l-.02.008.02-.004-.004.031v.031l-.008.023-.008.027-.008.023-.012.023-.008.02-.016.023-.012.02-.012.012-.012.016-.031.023-.02.008h-.016l-.02.004h-.055l-.02-.004-.02-.008-.027-.008-.02-.016-.023-.012-.023-.016-.02-.016-.027-.02-.023-.02-.027-.023-.023-.027-.023-.031-.027-.027.016-.016.023.031.023.027.023.023.027.023.043.043.023.016.023.012.02.016.02.012.039.016.02.004h.02l.016.004h.02l.02-.004.012-.008.016-.008.012-.012.016-.008.023-.023.012-.016.008-.023.008-.02.012-.02.004-.023.008-.027.008-.023v-.031l.004-.031h.02zm-.02 0l.004-.031.016.031zm.633-.039l-.016.008h.02v.02l-.004.027-.008.023-.008.027-.012.02-.023.047-.012.02-.039.039-.02.016-.02.012-.02.016-.02.012-.023.008-.023.012-.027.004h-.074l-.027-.004-.023-.008-.031-.008-.023-.016-.027-.02-.027-.016-.023-.023-.027-.023-.02-.031-.027-.031-.023-.035-.02-.043.016-.008.02.039.023.031.027.035.023.027.02.027.027.02.023.02.023.016.023.012.027.008.023.012.023.004h.074l.023-.008.02-.004.02-.008.023-.008.023-.012.02-.016.012-.016.02-.02.012-.016.012-.02.016-.02.012-.02.008-.02.008-.027.004-.02v-.051h.02zm.715-.059l-.02.004h.02l-.004.039-.008.043-.012.031-.016.035-.016.031-.02.023-.02.027-.02.02-.027.02-.023.023-.027.016-.055.023-.062.008h-.027l-.035.004-.027-.004-.063-.008-.055-.023-.031-.012L7.875 5l-.023-.02-.027-.02-.02-.023-.039-.055-.02-.035-.012-.031-.012-.035.02-.008.012.035.012.031.016.031.02.027.02.023.023.027.047.039.023.016.027.016.027.008.027.012.031.004.027.004h.09l.031-.004.027-.008.023-.012.027-.008L8.281 5l.02-.02.023-.016.02-.02.039-.055.012-.031.016-.031.012-.035.008-.035.004-.043h.02zm.707.059l-.02.004h.02l-.008.039-.012.031-.02.031-.02.027-.023.031-.02.023-.047.039-.031.02-.023.012-.031.012-.027.012-.094.012H8.77l-.031-.004-.027-.004-.027-.008-.031-.012-.027-.012-.023-.016-.031-.023-.023-.02-.02-.02-.023-.027-.02-.027-.016-.031-.023-.07-.008-.039-.008-.043.02-.004.008.043.004.035.012.035.012.031.016.027.02.027.016.023.02.02.023.02.027.016.023.016.055.023.027.008.027.004h.09l.031-.004.055-.016.027-.012.027-.016.023-.016.047-.039.02-.02.039-.055.016-.031.012-.031.008-.035h.02zm.621.043h-.02l.02.004-.023.039-.023.035-.047.063-.055.047-.027.02-.027.016-.023.012-.027.008-.027.012-.027.004h-.07l-.023-.008-.023-.004-.027-.008-.059-.035-.02-.016-.02-.023-.031-.039-.023-.039-.012-.023-.004-.027-.008-.023-.004-.023v-.023l.02-.004v.027l.008.023.004.02.008.023.023.039.012.023.016.02.012.02.023.016.016.016.039.023.059.023.027.004.023.004h.047l.027-.004.047-.016.023-.012.027-.016.047-.039.027-.023.023-.027.023-.031.02-.035.023-.039.02.004zm-.02-.004l.016-.031.004.031zm.543.063h-.02l.02.008-.027.027-.027.031-.023.023-.023.02-.023.023-.027.02-.023.016-.02.016-.023.016-.02.012-.023.008-.02.008-.023.004-.02.004h-.039l-.02-.008h-.016l-.016-.008-.031-.023-.016-.016-.012-.016-.035-.059-.008-.02-.016-.055-.004-.027-.004-.035-.008-.031.02-.004.008.063.008.027.004.023.008.027.008.02.012.02.008.02.016.016.012.016.012.012.012.008.012.016.012.004.02.004h.016l.016.004h.016l.039-.008.016-.004.039-.023.027-.012.02-.012.023-.016.023-.02.02-.02.027-.023.023-.027.055-.055zm-.02-.008l.02-.02v.027zm.379.098l.016.012-.02.027-.059.059-.023.02-.016.016-.02.012-.016.012-.016.008-.02.008-.016.008-.02.004-.012.004h-.031l-.016-.004-.012-.004-.023-.016-.012-.012-.008-.012-.012-.012-.008-.016-.008-.02-.004-.02-.008-.02-.004-.02-.008-.02-.004-.027v-.027l-.004-.023v-.027h.02v.051l.004.027.004.02.004.023v.023l.008.02.008.012.008.016.012.016.008.008.008.012.016.016.012.004.012.008h.012l.012.004h.012l.016-.004h.012l.012-.008.016-.012.023-.008.012-.008.02-.012.016-.023.02-.012.016-.02.02-.02.039-.047zm.082-.215v-.02l.012.008v.059l-.004.008v.012l-.004.008v.012l-.004.008v.004l-.004.008v.008l-.008.008v.008l-.008.016v.008l-.004.004-.023.047-.004.004-.008.016-.008.008-.02-.012.016-.016.008-.016.004-.004.004-.008v-.012l.008-.004V4.91l.008-.016v-.008l.004-.004v-.008l.004-.008v-.016l.004-.008V4.84l.004-.008V4.82l.004-.008v-.02l.004-.008V4.75l.012.008zm0-.02h.012v.008l-.012-.012zm0 0v.02zm0 .02zm0 0" class="sr-B"/><path d="M8.441 5.277h-.453l-.023.004H7.82l-.027.004h-.086l-.023.004h-.047l-.125.008h-.008l-.18.008h-.016l-.363.027h-.004l-.531.047c-.098.012-.117-.105 0-.121l.527-.043.742-.043h.047l.309-.012h.336.145.332l.301.012h.066l.742.043.523.043c.117.012.098.133 0 .121l-.527-.047h-.008l-.367-.023h-.012l-.184-.012h-.004c-.047 0-.086-.004-.129-.008h-.047l-.023-.004h-.09l-.027-.004h-.141l-.023-.004zm0 0" class="sr-D"/><path d="M8.441 2.102a.35.35 0 0 1 .348.348.35.35 0 0 1-.348.352c-.184 0-.34-.156-.34-.348s.156-.348.34-.348zm0 0" class="sr-G"/><path d="M8.508 1.703c.031-.004.059-.031.059-.066s-.027-.059-.059-.062c0-.035-.031-.062-.066-.062s-.059.027-.059.063c-.031 0-.062.027-.062.063s.027.063.063.063v.129h-.109c0-.035-.027-.059-.062-.059s-.059.023-.062.059c-.035 0-.059.027-.059.059 0 .039.023.066.059.066a.06.06 0 0 0 .059.059c.035 0 .066-.023.066-.059h.109v.43h.125v-.43h.109c0 .035.027.063.063.063s.059-.027.063-.062c.035 0 .059-.027.059-.062s-.027-.062-.059-.062c0-.035-.027-.062-.059-.062-.043 0-.066.027-.066.059h-.109zm0 0" class="sr-D"/><g class="sr-B"><path d="M8.555 1.637h.02v.02H8.57v.012h-.004v.004l-.004.008-.004.004v.004h-.004l-.008.008h-.004v.004h-.004l-.004.004h-.004v.004h-.016l-.004.004h-.004v-.02h.012V1.68h.004l.008-.004h.004v-.004h.004v-.004l.004-.004V1.66h.004l.004-.004v-.008l.004-.004zm-.059-.062h.02l-.008-.012h.004l.004.004h.008l.008.004h.004l.008.008h.004v.004h.004l.004.004.004.008.004.004v.004h.004v.008h.004v.008l.004.008v.012h-.02v-.016h-.004v-.008l-.004-.004v-.008h-.008v-.004h-.004v-.004h-.004l-.004-.004h-.004v-.008h-.016l-.012-.012zm.008.008h-.008v-.008l.008.012zm-.059-.059v-.02h.012l.004.004h.004l.008.004h.004l.008.008h.004v.004l.004.004.004.008.004.004v.004h.004v.008h.004v.016h.004v.008h-.02v-.012h-.004v-.012h-.004v-.004l-.012-.012h-.004v-.004h-.004l-.004-.004h-.008l-.008-.004h-.008zm-.066.059v-.02l-.008.012v-.016l.004-.004v-.016h.004v-.012h.004v-.004l.012-.012h.004v-.004h.004v-.004h.008l.004-.004h.012l.004-.004h.008v.02h-.012v.004h-.004l-.008.004H8.41v.004h-.004v.004h-.004v.004l-.004.004v.004h-.004v.012h-.004v.02l-.012.012zm.012-.008v.012h-.012l.012-.008zm-.062.066h-.02v-.02l.004-.008v-.008l.004-.004v-.004l.004-.004.004-.008.004-.004h.004l.008-.004h.004v-.004h.004V1.57h.012l.004-.004h.016v.02h-.016l-.004.004h-.004l-.016.016v.004h-.004v.008l-.004.008v.016zm.063.059h-.02l.008.012h-.02v-.008h-.012v-.004H8.34v-.004h-.004l-.004-.008-.004-.004V1.68h-.004v-.004l-.008-.008v-.012h-.004v-.02h.02v.02h.004v.008h.004v.004h.004v.004l.004.004h.004v.004h.004l.008.004h.012v.004h.004zm-.012-.008h.012v.012l-.012-.016zm-.008.141v-.129h.02v.125l-.012.012-.008-.012zm.02 0v.008h-.012l.012-.012zM8.27 1.82h.109v.02H8.27l-.008-.012zm0 .02h-.008v-.012zm-.059-.059v-.023h.023v.008h.004l.008.004.004.004.008.004v.004l.008.008.004.008.004.004v.008l.004.004v.016h-.02v-.012l-.004-.004v-.012H8.25v-.004h-.004v-.004l-.008-.008h-.004v-.004h-.008l-.004-.004h-.016zm-.066.059v-.02l-.008.008v-.016l.004-.008v-.004l.004-.004v-.004h.004v-.004l.004-.004h.004v-.008h.004l.008-.008h.004v-.008h.016v-.004h.02v.02h-.02l-.004.004H8.18v.004h-.004v.004h-.004l-.004.004v.004h-.004v.008H8.16v.016l-.004.004v.008l-.012.012zm.012-.012v.012h-.012zm-.059.063h-.023v-.027h.004v-.004h.004v-.008l.008-.004.004-.008v-.004h.004v-.004h.004v-.004h.004l.004-.004h.004V1.82h.016l.004-.004h.016v.023h-.016l-.004.004h-.004v.004h-.004v.004h-.004l-.008.008v.004h-.004v.008h-.004v.016zm.059.063h-.02l.008.012h-.02v-.004h-.008l-.004-.004h-.004v-.004h-.004l-.008-.008v-.004H8.09v-.004l-.004-.004v-.012h-.004v-.008l-.004-.004v-.02h.02v.02h.004v.004l.004.008h.004v.004h.004v.004h.004v.004h.004l.004.004h.012v.004h.008l.012.008zm-.012-.008h.012v.008zm.063.059v.02h-.02l-.004-.004h-.008v-.004h-.004v-.004h-.008l-.008-.008V2h-.004v-.008h-.004v-.008h-.004v-.012l-.004-.004v-.008h-.004v-.008h.02v.012h.004v.008h.004v.008l.008.004v.004h.004v.004h.004v.004h.004L8.188 2h.004l.004.004zm.063-.059v.02l.012-.008v.016l-.004.004v.008h-.004v.004l-.004.008-.012.012-.008.004-.004.004h-.004l-.004.004h-.004l-.008.004h-.016v-.02h.02V2h.004l.004-.004h.004v-.004h.004l.004-.004v-.004h.004V1.98l.004-.008v-.004l.004-.004v-.008l.012-.012zm-.008.012v-.016h.008l-.008.012zm.117.008H8.27v-.02h.109l.012.012-.012.012zm0-.02h.012v.012l-.012-.008zm-.008.441v-.434h.02v.43l-.012.012-.008-.012zm.008.012h-.008v-.012zm.129 0h-.129v-.02h.129l.008.008zm.008-.012v.012h-.008zm0-.43v.426h-.02v-.43l.012-.008zm-.02 0v-.016h.012l-.012.012zm.121.012h-.109v-.02h.109l.008.012zm0-.02h.008v.012zm.059.059v.02h-.02l-.008-.004h-.004l-.008-.008h-.004v-.004h-.004l-.004-.004v-.004h-.004V2l-.004-.004v-.012h-.004V1.98h-.004v-.023l-.004-.004h.02v.008l.004.004v.004l.004.008v.004h.004v.004h.004l.004.004v.004h.004l.004.004h.004V2h.023zm.063-.059v.02l.012-.012v.016h-.004v.012l-.004.004v.008h-.004v.008h-.004v.004H8.73v.004h-.008v.004l-.004.004h-.008l-.004.004h-.004l-.004.004h-.016v-.02h.016v-.004h.004V2h.004l.008-.008v-.008h.004V1.98l.004-.008v-.004l.004-.004v-.012l.012-.012zm-.008.008v-.016h.008l-.008.012zm.059-.059h.02v.02l-.004.004v.004h-.004v.012h-.004l-.004.004v.004h-.004v.004h-.004v.004h-.004v.004h-.008l-.004.004h-.004l-.008.004h-.016v-.02h.02v-.004h.004v-.004h.004l.008-.008h.004v-.008l.004-.004v-.004h.004v-.016l.004-.008zm-.059-.062h.02l-.012-.016h.016l.004.004h.008l.008.004.004.008.008.004.012.012v.012h.004v.004h.004v.016l.004.004v.008h-.02v-.012h-.004v-.008l-.008-.008v-.004h-.004l-.008-.008h-.004v-.012H8.75l-.004-.004h-.012l-.008-.012zm.008.008H8.73v-.008zm-.059-.059v-.02h.023l.004.004h.008v.004h.004v.004l.008.004.004.004h.004v.008h.004v.008l.004.004v.008h.004v.012h-.02v-.016h-.004v-.008l-.016-.016h-.004v-.004h-.012v-.004H8.68zm-.062.059v-.02l-.012.012v-.02l.004-.004v-.012l.004-.004.004-.008.004-.004h.004v-.004l.004-.004h.004v-.004h.004l.004-.004h.004l.004-.004h.008l.004-.008h.02v.023h-.02l-.008.004h-.004v.004h-.004l-.004.004v.004l-.008.008v.004l-.004.004v.012l-.012.016zm.008-.008v.008h-.012zm-.117-.012h.109v.02h-.109l-.012-.008zm0 .02h-.012v-.008zm.008-.141v.133h-.02v-.133l.008-.016.012.012zm-.02 0v-.008h.008l-.008.012zm.012 0v-.008.012zm-.012 0v-.008h.008l-.008.012zm0 0"/><path d="M8.797 2.453h-.02v-.035l-.004-.02v-.016l-.008-.016-.008-.031-.008-.016-.004-.016-.016-.023-.008-.016-.012-.016-.008-.012-.012-.012-.012-.008-.016-.012-.023-.023-.008-.012-.016-.008-.023-.016-.02-.008-.012-.008-.02-.004-.016-.004h-.016l-.016-.004H8.48l-.02-.008h-.02v-.02h.039l.016.004h.02l.031.016.016.004.016.008.02.008.016.008.012.008.016.012.012.008.016.012.012.016.047.047.008.016.012.016.008.02.008.012.016.031.004.02.008.016.004.016v.02l.004.016v.039zm-.355.355v-.02h.035l.02-.004.047-.012.02-.004.012-.004.047-.023.023-.016.016-.012.012-.008.023-.023.008-.012.012-.012.008-.012.008-.016.008-.012.016-.031.008-.02.004-.012.008-.016.004-.016v-.02l.004-.016v-.031h.02v.055l-.004.016-.004.02-.008.02-.004.012-.008.016-.004.02-.008.02-.008.012-.012.012-.008.016-.012.016-.047.047-.016.012-.012.012-.016.012-.012.008-.031.016-.02.004-.016.008-.016.004-.02.004-.016.008h-.016l-.02.004h-.02zm-.352-.355h.02v.035l.004.016v.016l.008.016.008.031.008.02.004.012.012.016.008.016.004.016.023.023.008.016.012.008.012.012.008.012.016.008.012.012.016.008.012.008.016.012.012.004.031.016.047.012h.039l.012.004v.02h-.035l-.016-.004-.02-.004-.031-.008-.02-.008-.016-.004-.031-.016-.012-.008-.016-.008-.016-.012-.012-.008-.016-.008-.012-.012-.012-.016-.012-.012-.008-.016-.012-.012-.008-.016-.008-.012-.008-.02-.016-.031-.004-.016-.008-.02-.004-.016v-.02L8.086 2.5v-.039zm.352-.359v.02h-.035l-.012.008h-.016l-.016.004-.016.008-.02.004-.012.008-.016.004-.031.016-.012.008-.016.008-.012.012-.012.008-.035.035-.008.012-.012.016-.008.016-.012.012-.008.016-.008.031-.008.016-.008.031v.02l-.004.02v.031h-.02v-.055l.004-.02.004-.016.008-.02.004-.02.008-.016.004-.016.008-.012.008-.02.008-.016.012-.012.008-.016.016-.012.047-.047.031-.016.012-.008.016-.008.016-.004.016-.012.023-.004.012-.004h.02l.016-.004h.016l.023-.004h.016zm0 0"/></g><path d="M8.781 2.379c.004.043.004.082 0 .121l-.34-.004-.34.004c-.008-.039-.004-.082.004-.121l.336-.004.34.004zm0 0" class="sr-D"/><path d="M8.797 2.453h-.02v-.047h-.004v-.023l.02-.004v.035l.004.004zm-.016.059l.004-.02-.012.008v-.016l.004-.004v-.023h.02V2.5h-.004l-.008.012zm.012-.008v.004h-.008l.012-.008zm-.348 0v-.02h.234l.008.004h.098v.02H8.57l-.008-.004h-.121zm-.348 0l.02-.008-.012-.008h.094l.008-.004h.234v.02h-.223l-.008.004h-.109l-.012-.004zm.012.004h-.012V2.5zm-.016-.059h.02v.047l-.02.008zm.016-.082v.02l.012-.004v.016l-.004.004v.051h-.02v-.062h.004v-.008l.008-.008zm-.008.012v-.008h.008zm.344-.016v.02h-.18l-.012.004h-.133l-.016.004v-.02h.051l.008-.004h.184l.008-.004zm.352.016l-.02.004.008.008h-.074l-.008-.004h-.207l-.012-.004h-.039v-.02h.199l.008.004h.125l.008.012zm-.012-.012h.008v.012zm0 0" class="sr-B"/><path d="M8.176 2.668c-.07-.043-.086.027-.082.098.008.262.059.516-.016.844-.027.125-.07.199-.027.227.113.063.164.121.148.152.027.066.113.055.238.035.133.02.215.031.25-.035-.023-.031.031-.09.145-.152.047-.023 0-.102-.027-.227-.07-.328-.02-.582-.016-.844 0-.074-.008-.141-.078-.098-.168.09-.371.09-.535 0zm0 0" class="sr-D"/><path d="M8.102 2.766h-.023v-.031l.004-.004v-.031l.008-.008v-.004h.004v-.012l.004-.004v-.004h.004l.004-.008.008-.008h.004l.004-.004h.035l.016.008h.008l.008.008-.008.02-.008-.008h-.008l-.004-.004h-.008l-.004-.004h-.023v.004h-.004v.004l-.004.008v.004l-.004.004v.008l-.004.004v.008l-.004.004v.051zm-.012.844l-.02-.004.004-.031.008-.027.008-.031.004-.027.004-.031.004-.027v-.051l.004-.027v-.266l-.004-.023v-.051l-.004-.023v-.02l-.004-.027v-.023l-.004-.023v-.047l-.008-.027v-.055h.023v.07l.004.023v.055l.004.023v.027l.004.023v.051l.004.023v.023l.004.027v.266l-.004.031v.027l-.008.031-.004.027-.004.031-.004.027-.008.063zm-.035.223l-.008.016-.008-.004-.012-.012v-.004l-.004-.008V3.77l.004-.004v-.008l.004-.008v-.008l.004-.008v-.012l.008-.008.004-.008v-.008l.004-.008v-.008l.008-.012V3.66l.004-.008.004-.012v-.012l.008-.012.02.004-.004.016v.012l-.008.008v.016l-.008.016v.012l-.004.008v.012l-.008.008v.008l-.004.008v.008l-.004.008v.008l-.004.008v.008l-.004.008v.039l.008.008zm.152.156l-.02.008v-.008h.004v-.02l-.004-.004v-.004l-.004-.004v-.012l-.008-.004-.008-.008H8.16l-.004-.008-.012-.012h-.004l-.008-.008-.023-.012-.008-.008-.008-.004-.012-.008-.008-.008-.008-.004-.012-.008-.012-.004.012-.02.012.008.008.008.012.004.008.008.012.008.008.004.008.008.012.004.004.008.008.004.02.02.008.004.008.008.004.008.008.004.004.004v.004l.004.008v.004l.008.004v.008l.004.004v.023L8.207 4zm-.02.008v-.008zm.258.02l-.004.02h.004-.023l-.012.004h-.023l-.012.004h-.02l-.008.004H8.25l-.008-.004h-.004l-.008-.004-.004-.004-.008-.004-.02-.02h-.004l-.008-.016.02-.008v.004L8.211 4l.012.012h.004l.004.004h.004l.008.004h.004l.008.004h.008l.004.004h.086l.008-.004h.02l.012-.004h.023l.012-.004zm-.004 0h.004zm.242-.02l.02-.008v.008l-.012.012h-.004l-.008.016-.016.008-.004.004-.008.004h-.008l-.004.004h-.008l-.008.004H8.52l-.012-.004h-.012l-.012-.004h-.023l-.008-.004h-.012l.004-.023h.035l.008.004H8.5l.016.008h.02l.012.004h.082l.008-.004h.004l.004-.008h.008l.012-.012L8.672 4l.004-.004v-.008l.004-.004v.012zm.02-.008v.008zm.129-.16l.012.02-.012.004-.012.008-.008.008-.016.008-.008.008-.008.004-.008.008-.008.004-.008.008-.008.004h-.004l-.004.008-.008.004-.004.008h-.004l-.004.008-.008.008v.004l-.008.004v.016h-.004v.023L8.688 4v-.004l-.004-.004v-.023l.004-.004v-.008l.008-.004v-.008l.004-.004.004-.008.027-.027.008-.004.004-.008.008-.004.012-.004.008-.008.008-.004.008-.008.008-.004.012-.008.008-.004.012-.004.008-.008.012-.004zm-.035-.215l.02-.004v.012l.008.012.004.012.004.008v.016l.008.012v.008l.004.008v.012l.004.012.004.008v.008l.004.008v.008l.004.008v.012l.004.004v.016l.004.004v.039l-.004.004v.004l-.008.008h-.004l-.008.008-.012-.02h.004l.004-.004v-.008h.004v-.051L8.84 3.77v-.008l-.004-.004V3.75l-.004-.008V3.73l-.004-.008v-.008l-.008-.008v-.012l-.004-.008v-.012l-.004-.012v-.012l-.008-.012v-.012l-.008-.023zm-.012-.844h.02v.117l-.004.027v.023l-.004.027v.023l-.004.027v.051l-.004.023v.051l-.004.023v.188l.004.027v.031l.004.023.008.063.004.027.004.031.004.023.008.031-.02.008-.008-.031-.004-.031-.004-.027-.004-.031-.004-.023-.004-.031v-.027l-.004-.031v-.035l-.004-.023v-.207l.004-.027v-.051l.004-.027v-.023l.004-.023v-.027l.004-.023v-.047l.004-.023v-.078zm-.066-.09l-.012-.02h.008l.008-.004.004-.004h.004l.008-.004h.027l.004.004h.004l.004.004v.004l.004.004h.004v.008l.004.004v.008h.004v.016l.004.004v.031l.004.004v.023h-.02v-.047l-.004-.008v-.016l-.004-.004v-.012l-.004-.004v-.004h-.004v-.004h-.004V2.66h-.004v-.004h-.023l-.004.004h-.004l-.008.004-.004.004zm-.539 0l.008-.02.016.008.012.012.016.008.012.004.016.008.031.008.02.004.016.004.02.004h.016l.02.004h.016l.02.004h.094l.012-.004h.02l.016-.004h.016l.035-.012.031-.008.063-.031.012-.004.012.02-.016.008-.012.008-.016.008-.016.004-.02.008-.016.008-.012.004-.02.004-.016.004-.02.004h-.016l-.02.004h-.02l-.02.008h-.09l-.02-.008h-.016l-.059-.012-.012-.004-.016-.004-.016-.008-.02-.004-.016-.004-.016-.008-.012-.008-.016-.008zm0 0" class="sr-B"/><path d="M6.059 4.254c-.039-.082-.004-.199.008-.223.004-.016-.012-.043-.02-.055-.262-.367-.266-.402-.086-.539.16-.121.523-.242.781-.324.055-.043.09-.102.137-.145-.5.035-1.039.238-1.309.477-.145.125.031.383.242.762.137.102.199.141.246.047zm0 0" class="sr-D"/><path d="M6.055 4.027l.02.008v.004l-.004.004v.004l-.004.008v.008l-.004.004v.012l-.004.008v.016l-.004.008v.031l-.004.008v.051l.004.008v.008l.004.008v.008l.004.008v.008l.008.008-.02.004V4.25l-.008-.008V4.23l-.004-.008v-.008l-.004-.008v-.016l-.004-.012v-.059l.004-.008v-.027l.004-.004v-.008l.004-.004v-.012l.004-.008v-.012l.004-.004v-.004zm-.02-.047l.02-.012v.004h.004v.008h.004v.008h.004v.004l.004.004v.008h.004v.027l-.02-.008v-.012l-.004-.004v-.004L6.047 4v-.004l-.004-.004v-.004h-.004v-.004zm-.078-.551l.008.02-.016.012-.012.012-.016.012-.012.012-.012.008-.012.012-.008.012-.012.012-.004.008-.008.008-.004.012v.008l-.008.012v.035l.004.012.004.016.004.012.008.02.008.016.008.02.035.059.016.027.02.023.016.027.02.027.02.031.02.027.027.035-.016.012-.027-.035-.02-.031-.02-.027-.02-.031-.039-.047-.016-.027-.023-.039-.016-.02-.008-.02-.012-.02-.008-.016-.004-.02-.004-.016v-.012l-.004-.016v-.027l.012-.035.008-.012.008-.016.012-.008.008-.012.012-.008.039-.039.016-.012.012-.012zm.777-.328l.016.02h-.004l-.023.008-.023.012-.023.008-.031.004-.023.008-.027.012-.031.008-.023.012-.031.008-.027.012-.027.008-.023.012-.031.008-.027.012-.023.012-.031.008-.027.012-.023.012-.027.012-.027.008-.023.016-.047.023-.02.008-.023.012-.023.008-.02.016-.02.012-.02.008-.02.016-.016.012-.012.012-.012-.02.016-.012.02-.012.016-.012.02-.016.02-.012.02-.008.047-.023.023-.008.02-.016.055-.023.023-.012.027-.008.023-.008.055-.023.027-.008.027-.012.027-.008.027-.012.055-.016.027-.012.027-.008.023-.008.027-.008.027-.012.023-.008.027-.008.047-.016zm.016.02h-.004zm.133-.141v-.023l.008.02-.004.004-.008.004-.004.004-.004.008-.008.008v.004l-.008.004-.008.008-.008.016-.008.004-.004.004-.004.008v.004l-.004.004-.004.008-.004.004-.008.004-.012.012h-.004l-.004.008-.008.004-.004.004-.004.008-.004.004-.008.004-.004.004-.012-.02v-.004l.004-.004.008-.004.012-.012.008-.004.008-.008v-.004l.016-.016v-.004l.008-.004.004-.004.008-.016v-.004l.008-.008L6.828 3l.004-.004v-.004l.012-.004.008-.008.004-.008.004-.004h.004l.004-.004.008.016zm0-.023l.027-.004-.02.023-.008-.023zm-1.309.492l-.012-.016.031-.02.055-.047.031-.023.027-.02.07-.039.031-.02.043-.023.035-.02.078-.039.043-.016.039-.02.043-.016.039-.016.047-.016.047-.02.043-.012.047-.016.047-.012.047-.008.047-.016.094-.023.051-.008.094-.016.047-.004.094-.016.047-.004v.023l-.094.008-.047.008-.043.004L6.645 3l-.043.008-.051.008-.043.012-.187.047-.043.016-.043.012-.043.02-.047.016-.043.016-.039.02-.039.016-.047.02-.078.039-.035.016-.039.02-.035.02-.031.023-.035.02-.027.02-.035.02-.027.023-.027.02-.027.023zm.246.75l-.012.016-.004-.004-.02-.031-.02-.039-.02-.031-.02-.035-.016-.035-.02-.031-.016-.031-.02-.031-.02-.027-.012-.031-.047-.082-.008-.027-.012-.023-.012-.027-.008-.023-.012-.023-.004-.02-.008-.02-.008-.023v-.023l-.004-.02V3.52l.008-.016.004-.016.008-.016.012-.016.008-.016.012-.012.016.016-.012.012-.008.012-.008.016-.008.012-.004.012-.004.016v.094l.008.02v.02l.016.039.008.027.012.023.008.023.012.027.016.027.012.027.016.027.02.027.012.031.023.031.016.027.02.035.016.031.039.07.02.039.02.031h-.004zm-.012.016l-.004-.004zm.25.027v.02l.012-.004-.008.008-.008.016-.008.004-.004.004-.004.008-.008.004-.004.004H6.02l-.008.004h-.043l-.008-.004-.012-.004-.008-.004-.004-.004-.012-.004-.008-.008-.012-.004-.016-.016-.012-.004-.012-.008-.008-.008-.035-.023-.012-.012.012-.016.016.008.008.008.035.023.008.012.016.008.008.008.012.004.008.008.008.004.012.004.008.004h.008l.008.004h.031l.004-.004h.004l.004-.008.004-.004.008-.004.004-.004v-.008l.008-.008.004-.008.008-.008zm-.008.004v-.008h.008zm.008.012v-.02l.012.008zm.012-.012l.004.012h-.016l.012-.016zm0 0" class="sr-B"/><path d="M5.98 4.285l-.02-.094c-.016-.059-.008-.117.008-.168l-.176-.266c-.031-.066-.059-.141-.039-.215s.09-.133.152-.18a1.39 1.39 0 0 1 .273-.152c.219-.09.398-.141.527-.141l-.082.078c-.242.078-.527.184-.668.289-.18.137-.172.172.086.539.008.012.027.039.02.055-.012.023-.035.145 0 .227-.02.039-.051.02-.082.023zm0 0" class="sr-D"/><path d="M5.949 4.191l.02-.004v.016l.004.004v.012h.004v.02l.004.004v.008l.004.004v.016h.004v.012h.004l-.02.008v-.008l-.004-.004v-.004l-.004-.008v-.008l-.004-.008v-.012h-.004v-.012l-.004-.004v-.016l-.004-.004zm.02-.004zm-.008-.156l.02-.012v.012l-.004.008v.004l-.004.004v.02l-.004.004v.016l-.004.004v.094l.004.008-.02.004v-.012l-.004-.004V4.07h.004v-.02l.004-.004v-.008l.004-.004v-.004l.004-.008v.012zm.02-.012v.012-.016zm-.195-.258l.02-.008v.012l.008.008.004.008v.008l.008.008.004.008.008.012v.008l.016.016.016.031.008.012.004.008.008.008.012.023.008.012.004.008.016.016.008.016.008.008.008.016.008.008.004.008.008.012-.02.012-.004-.008-.008-.012-.004-.008-.023-.023-.012-.023-.008-.008-.004-.012-.008-.008-.008-.004-.008-.016-.008-.012-.004-.008-.008-.008-.008-.012-.008-.008-.008-.016-.004-.012-.004-.008-.008-.008-.008-.016-.008-.012-.008-.016-.004-.012-.004-.008zm-.039-.219l.02.008-.004.004v.082l.004.008v.008l.004.004v.016l.008.008v.008l.004.008v.012l.004.004v.008l.008.004v.004l.004.008v.008l.004.004-.02.012v-.004l-.004-.008-.004-.004v-.008l-.004-.008v-.008l-.008-.004v-.008l-.004-.004-.004-.008v-.004l-.008-.004V3.68l-.004-.008v-.008l-.004-.004v-.016l-.004-.008v-.027l-.004-.008V3.57l.004-.004v-.016l.004-.004zm.152-.187l.012.016-.016.016h-.008l-.004.008-.02.02-.008.004-.004.008-.004.004-.008.004-.012.012-.008.004v.008l-.016.016-.004.008-.008.004-.008.016v.004l-.004.008-.004.004v.008l-.008.008v.004l-.004.008v.008l-.02-.008v-.008l.004-.008V3.52l.008-.016v-.008l.016-.016.004-.008v-.004l.008-.012.004-.008.02-.02.008-.004.004-.004.004-.008.004-.004.008-.004.012-.012.008-.004.004-.008.004-.004.008-.004.004-.004h.008zm.277-.148l.008.016-.008.004-.012.004-.008.004-.012.004-.016.008-.008.008-.023.008-.008.004h-.012l-.008.004-.012.008-.004.004-.008.004-.012.004-.016.008-.008.008-.016.008-.008.008-.008.004-.012.004-.008.004-.004.004-.023.012-.004.008-.008.004-.012.004-.012-.016.008-.004h.008l.016-.016.023-.012.008-.008.031-.016.023-.008.016-.008.008-.008h.008l.008-.004.008-.008.012-.004.008-.004.012-.004.012-.008.016-.008h.008l.008-.004.012-.004.016-.008h.012zm0 0zm.539-.129l-.012-.016.008.016H6.68l-.012.004h-.035l-.016.004h-.016l-.012.004h-.016l-.031.008h-.016l-.016.004-.016.008-.02.004-.031.008-.02.008-.02.004-.02.008-.016.004-.02.004-.016.008-.02.004-.02.012-.02.008-.016.008-.023.008-.059.023-.008-.02.039-.016.02-.012.02-.008.02-.004.02-.012.02-.004.02-.008.023-.008.016-.004.02-.008.016-.008.02-.004.016-.008h.02l.016-.008.016-.004.02-.004.016-.004h.016l.031-.008h.012l.016-.004h.016l.016-.004h.027l.008-.004h.039l.008.016zm-.008-.02h.027l-.02.02zm-.086.078l.078-.074.016.012-.078.078-.008.004zm.012.016l-.004.004zm-.668.297l-.012-.02.016-.012.012-.008.023-.012.012-.008.016-.012.02-.012.016-.008.023-.008.02-.008.016-.012.023-.008.02-.012.02-.004.02-.012.047-.016.023-.012.02-.008.023-.008.047-.023.02-.008.027-.008.07-.023.027-.012.02-.008.047-.016.023-.004.023-.008.004.02-.023.004-.02.008-.027.008-.02.008-.023.012-.027.008-.023.004-.023.008-.02.008-.047.023-.02.008-.027.008-.02.008-.027.008-.02.008-.023.012-.02.008-.02.012-.023.012-.023.008-.02.012-.02.008-.02.012-.016.008-.02.012-.047.023-.016.012-.016.008-.012.008zm.09.523l-.016.008-.027-.035-.02-.027-.02-.031-.039-.055-.02-.023-.016-.023-.023-.039-.016-.023-.016-.039-.012-.012-.004-.023-.004-.012v-.016l-.004-.012v-.031l.012-.035.016-.023.043-.043.012-.008.016-.016.016-.012.012-.016.012.02-.016.012-.012.012-.016.012-.023.023-.012.008-.008.012-.012.012-.004.008-.008.012-.004.008v.012l-.004.012v.043l.004.016.023.047.008.02.012.02.008.023.016.02.016.023.02.027.012.023.02.027.02.031.023.031.023.035zm.02.059l-.02-.004v-.023h-.004V4l-.004-.004v-.004h-.004v-.008l.012-.012.004.004v.008h.004v.004l.004.004v.004L6.07 4v.008h.004v.027zm.004.234l-.02-.012v.012l-.008-.016v-.008l-.004-.012v-.012l-.004-.008v-.008l-.004-.008v-.109l.004-.008v-.016l.004-.008v-.008l.004-.008v-.008l.004-.004.02.008v.004l-.004.004v.012l-.004.004v.012l-.004.004v.023l-.004.008v.102l.004.008v.016l.004.012v.008l.008.016v.008zm0-.008v.008zm-.102.02v.02-.02h.004l.004-.004h.031v.004h.027l.004-.004h.004V4.27h.004v-.004l.004-.004.004-.008.02.012-.008.008v.004l-.004.004h-.004v.004l-.004.004h-.008l-.004.004h-.008v.004h-.059v-.02zm0 .02v-.02l.012.004-.008.012zm.012-.016l.004.012H5.98l.012-.012zm0 0" class="sr-B"/><path d="M8.16 2.648c.004-.047 0-.039-.008.035-.004-.016-.016-.023-.027-.023-.02 0-.031.035-.035.105l.004.059c-.66-.016-1.055.086-1.152.277-.086.16.059.422.27.727.027.035.023.031 0 .059-.035.047-.074.121-.047.184-.125.074-.281.086-.418.031-.02-.059-.066-.09-.109-.117-.008-.004-.039-.02-.039-.027l-.203-.633c-.191-.617 1.504-.676 1.766-.676zm0 0" class="sr-D"/><path d="M8.145 2.688l.02-.012-.02.008v-.039h.004v-.023l.004-.004.012-.004.008.004v.031h-.02v-.023l.008.004h.012v-.004.02l-.004.004v.039zm.02 0l-.004.031-.012-.031h.02zm-.039-.016v-.02h.016v.004h.008v.004h.004v.004h.004v.004h.004v.004h.004v.004l-.02.012v-.004h-.004v-.008h-.004v-.004zm0 0zm-.023.094h-.023V2.73l.004-.008v-.016l.008-.008v-.012h.004V2.68l.004-.008.008-.008h.004V2.66h.004v-.004h.008v.02h-.004v.004h-.004v.004l-.004.004v.008l-.004.004v.012l-.004.004v.043l-.004.004v.008zm-.023 0zm.016.066v-.02l-.012.012v-.047h-.004V2.77l.023-.004v.035l.004.004v.02l-.012.012zm.012-.008v.008h-.012zm-1.156.285l-.02-.012.012-.02.016-.016.012-.02.016-.016.023-.016.059-.047.027-.016.023-.012.027-.012.063-.023.031-.016.07-.016.043-.012.035-.008.039-.008.043-.008.047-.004.043-.004.047-.008.047-.004.051-.004h.051l.055-.004h.055l.055-.004h.18v.02h-.238l-.055.004H7.75l-.102.008-.047.004-.047.008-.086.008-.039.008-.043.008-.039.008-.07.016-.035.012-.031.008-.062.023-.023.008-.027.016-.023.012-.02.016-.02.012-.02.016-.023.012-.012.02-.023.031-.012.02zm.27.711l-.016.012-.059-.082-.02-.031-.016-.023-.016-.031-.023-.023-.012-.027-.031-.055-.016-.023-.016-.027-.012-.02-.012-.023-.008-.027-.012-.023-.008-.023-.008-.02-.012-.02-.004-.023-.008-.023-.008-.02-.004-.023v-.02l-.004-.02v-.055l.008-.016.004-.02.004-.016.008-.016.02.012-.008.012-.012.047v.09l.004.02.008.02v.023l.008.02.008.023.008.02.008.023.012.02.008.023.012.027.016.023.012.027.012.02.031.055.016.023.016.027.02.027.016.027.02.023.02.031.02.027.02.031zm0 .078l-.016-.016.004-.008.004-.004h.004v-.004l.004-.004v-.008l-.004-.004v-.004h-.004v-.004h-.004v-.008h-.004l.016-.012.004.004.004.008v.004h.004v.008h.004v.004l.004.004v.02l-.004.004v.004H7.23v.004l-.008.008-.004.008zm-.047.18l-.012-.016-.004.012V4.07l-.004-.012v-.004l-.004-.008v-.07l.004-.004v-.008l.004-.008.004-.004v-.008l.004-.008.008-.004v-.008l.004-.004v-.004l.008-.004.004-.008v-.004l.008-.008v-.008l.008-.004.004-.004.016.016-.008.008v.004h-.008v.004l-.004.008-.004.004v.004l-.008.008v.004l-.004.004-.004.008v.016l-.004.004v.004l-.004.004v.012l-.004.008v.055l.004.008.004.004-.004.012zm.004-.012v.008l-.004.004zm-.441.039l.023-.008-.008-.004.016.004.035.012h.016l.023.008h.016l.012.004h.113l.012-.004h.012l.016-.004h.012l.023-.008.016-.004.012-.004.016-.004.023-.016.012-.004.012-.008.012-.004.012.02-.012.004-.016.008-.012.008-.012.004-.012.008-.016.004-.023.008-.016.004-.012.004h-.012l-.012.004H7l-.012.004h-.016l-.012.004h-.102l-.012-.004h-.016l-.012-.004h-.016l-.012-.008-.012-.004-.016-.008-.012-.004-.016-.004-.008-.008zm.008.004l-.004-.004v-.004zm-.109-.117l.012-.02.008.008h.004l.008.008h.004l.004.004v.004h.008v.008h.004l.004.004h.004l.004.008.02.02v.004l.004.004v.004l.008.004.004.004v.004l.012.012v.004l.008.008v.004l.004.008-.02.008-.004-.004V4.09h-.004v-.008l-.008-.008V4.07l-.008-.008v-.004l-.008-.004-.004-.004-.004-.008-.004-.004-.008-.004H6.68l-.004-.008v-.004l-.004-.004h-.008v-.008H6.66l-.004-.004h-.004l-.004-.004h-.004L6.641 4h-.004l-.004-.004h-.004zm-.039-.031l.016-.008h.004v.004h.004l.004.004h.004v.004h.008v.004h.004l.004.004h.004l-.012.02-.004-.004h-.004v-.004h-.008V3.98h-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.004zm-.207-.637l.02-.008.004.02.008.02.004.016.008.023.004.02.008.016.008.02.004.02.008.02.004.02.008.023.004.016.004.02.016.039.004.02.008.02.004.02.008.023.008.02.004.02.023.059.004.02.012.023.004.02.008.02.008.023.016.039.008.027-.02.004-.008-.02-.004-.023-.008-.02-.008-.023-.008-.039-.008-.023-.008-.02-.004-.02-.008-.02-.008-.023-.004-.02-.008-.02-.004-.02-.012-.02-.008-.02-.004-.02-.008-.023-.008-.02-.004-.016-.016-.039-.004-.02-.008-.02-.004-.016-.008-.023-.004-.02-.008-.02-.004-.016-.008-.02-.008-.016-.004-.02zm1.766-.676h.02l-.012.008h-.105l-.051.004h-.055l-.062.004-.066.004-.07.004-.07.008-.156.016-.082.008-.078.012-.086.012-.078.016-.086.02-.078.016-.082.02-.074.02-.074.027-.066.027-.066.031-.059.027-.055.035-.043.031-.043.043-.031.035-.023.043-.016.043-.008.047v.051l.012.055-.02.008-.012-.059v-.055l.008-.055.02-.047.023-.043.035-.043.039-.039.051-.039.055-.031.059-.031.066-.031.07-.027.074-.02.078-.023.078-.02.078-.023.164-.023.086-.012.078-.012.082-.012.078-.008.082-.008.07-.008.07-.004.066-.004.063-.004h.059l.047-.004h.109l-.012.008zm.02 0v.008H8.16l.016-.008zm-.012 0h-.008.012zm.016 0v.008h-.012l.016-.008zm0 0" class="sr-B"/><path d="M6.898 3.816c.07 0 .129.055.129.125a.13.13 0 0 1-.129.129c-.066 0-.125-.059-.125-.129s.059-.125.125-.125zm0 0" class="sr-C"/><path d="M7.039 3.941h-.02c0-.043-.027-.086-.066-.105-.016-.008-.035-.012-.055-.012v-.02c.047 0 .094.023.117.063.012.023.02.047.02.074zm-.141.141v-.02c.047 0 .086-.027.105-.066.008-.016.012-.035.016-.055h.02c0 .047-.027.094-.07.121-.02.016-.047.02-.07.02zm-.137-.141h.02c0 .047.027.09.066.109.016.008.035.008.051.008v.02c-.047 0-.09-.023-.113-.066-.016-.02-.02-.047-.02-.07zm.137-.141v.023a.11.11 0 0 0-.102.066c-.008.016-.016.031-.016.051h-.02c0-.047.027-.094.066-.121.023-.012.047-.02.074-.02zm0 0" class="sr-B"/><path d="M5.816 4.082c.063 0 .121.055.121.121s-.059.121-.121.121-.121-.055-.121-.121.055-.121.121-.121zm0 0" class="sr-C"/><path d="M5.945 4.203h-.02c0-.039-.023-.078-.059-.094-.016-.012-.031-.016-.051-.016v-.02c.043 0 .082.023.109.059.012.023.02.047.02.074zm-.129.129v-.02c.039 0 .078-.023.094-.059.008-.016.012-.031.016-.051h.02a.13.13 0 0 1-.062.109c-.02.012-.043.02-.066.02zm-.129-.129h.02c0 .043.023.082.059.098.016.008.031.012.051.012v.02c-.043 0-.086-.023-.109-.059-.016-.02-.02-.047-.02-.07zm.129-.129v.02c-.039 0-.082.027-.102.059-.008.02-.012.035-.008.055h-.02a.13.13 0 0 1 .059-.109c.02-.016.047-.023.07-.023zm0 0" class="sr-B"/><path d="M5.699 3.863c.07 0 .121.055.121.121s-.051.121-.121.121c-.062 0-.117-.055-.117-.121s.055-.121.121-.121zm0 0" class="sr-C"/><path d="M5.828 3.984h-.02c0-.039-.023-.078-.059-.098-.016-.008-.031-.012-.047-.012v-.02c.043 0 .086.023.109.059.012.023.02.047.02.07zm-.129.129v-.02c.039 0 .082-.023.098-.055.008-.016.012-.035.012-.055h.02c0 .047-.023.086-.059.113-.02.012-.043.02-.066.02zm-.125-.129h.02c0 .043.023.082.059.098.016.008.031.012.051.012v.02c-.043.004-.086-.02-.105-.059-.016-.02-.02-.043-.023-.066zm.129-.129v.02c-.039 0-.074.02-.094.055-.008.02-.012.035-.012.055h-.023c0-.043.027-.086.063-.109.02-.012.043-.02.066-.02zm0 0" class="sr-B"/><path d="M5.598 3.645c.063 0 .117.055.117.121s-.055.121-.117.121-.121-.055-.121-.121.055-.121.121-.121zm0 0" class="sr-C"/><path d="M5.723 3.766h-.02c0-.043-.023-.082-.059-.102-.016-.008-.031-.012-.047-.012v-.02c.043 0 .086.023.105.063.016.02.02.043.02.07zm-.125.129v-.023a.11.11 0 0 0 .094-.051c.008-.02.012-.035.012-.055h.02c0 .039-.02.086-.059.109-.02.012-.043.02-.066.02zm-.129-.129h.02c0 .039.02.082.059.098.016.008.031.012.051.012v.02c-.047 0-.086-.02-.109-.059-.012-.02-.02-.043-.02-.066zm.129-.129v.02c-.043 0-.082.023-.098.059a.12.12 0 0 0-.012.051h-.02c0-.043.02-.086.059-.109.02-.012.043-.02.07-.02zm0 0" class="sr-B"/><path d="M7.688 4.055c.066-.004.047.117.039.145-.02.039-.035.039-.062.004-.016-.023-.047-.145.023-.148zm0 0" class="sr-D"/><path d="M7.73 4.203l-.02-.008h.004v-.012l.004-.008v-.008l.004-.008v-.066h-.004v-.008l-.004-.004v-.004l-.004-.004h-.004l-.004-.004h-.004l-.004-.004h-.008v-.02h.016l.004.004h.008l.004.004v.004l.008.004.004.004.004.008v.004l.004.004v.016l.004.008v.074l-.004.004v.012l-.004.004v.012H7.73zm-.074.008l.02-.016.004.008v.004h.004v.004h.004v.004h.012l.004-.004v-.004h.004v-.004h.004v-.008l.02.008v.004l-.004.004v.004h-.004v.004l-.008.008h-.008v.004H7.68v-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.004v-.008h-.008zm.027-.168v.02h-.008v.004h-.008v.004H7.66v.004l-.004.004v.008h-.004v.066l.004.004v.012l.004.004v.008l.004.004v.004l.008.004v.004h.004l-.023.012v-.008l-.004-.004v-.004l-.004-.008V4.18l-.004-.008v-.004l-.004-.004v-.016l-.004-.008v-.059l.004-.008V4.07l.016-.016h.004l.004-.008.004-.004h.012l.004-.004zm0 0" class="sr-B"/><path d="M7.691 4.121c.16-.012.117.277.086.344-.039.082-.078.086-.133.008-.039-.059-.117-.34.043-.352zm0 0" class="sr-C"/><path d="M7.789 4.469l-.02-.008.008-.016v-.008l.004-.012.004-.008v-.012l.004-.012.004-.016v-.027l.004-.012v-.102l-.004-.016v-.012l-.008-.016-.004-.012-.008-.008-.004-.012-.008-.008-.004-.008-.012-.008-.008-.004-.012-.004-.008-.004h-.027v-.02h.027l.012.004.016.004.023.016.016.016.008.016.004.012v.016l.008.012.004.012v.016l.004.016v.125l-.004.016v.016l-.004.012v.012l-.008.012v.012l-.004.008v.008l-.008.008zm-.152.008l.016-.008.004.004.004.008.008.004.004.008h.004V4.5h.008l.008.008h.008l.004.004h.02v-.004h.004l.004-.004V4.5l.008-.008h.004l.004-.008v-.008l.008-.004.008-.008.004-.008.02.008-.008.008-.004.012-.004.004-.008.016-.008.008-.004.008-.004.004-.008.004h-.004v.008h-.008l-.004.004h-.023l-.008-.004h-.004l-.004-.008v-.004l-.008-.004-.004-.004-.008-.004-.012-.012-.008-.016zm.051-.344v-.02.02h-.012l-.016.004-.008.004-.012.004-.023.023-.004.008-.008.012-.004.012v.012l-.004.008v.016l-.004.016v.012l.004.012v.027l.004.016v.016l.008.016v.012l.004.012.004.016.004.008.004.012.004.016.008.016.004.012.004.008.004.004-.02.012v-.008l-.008-.016-.004-.012v-.012l-.008-.008-.004-.016-.008-.023-.004-.016v-.016l-.008-.012V4.32l-.004-.012v-.035l-.004-.016v-.016l.004-.016v-.012l.004-.012v-.016l.008-.012.004-.012.016-.023.008-.008.023-.016.012-.004.016-.004h.016zm0-.02v.02zm0 0" class="sr-B"/><path d="M6.395 4.227c.066-.02.078.102.07.133-.008.043-.023.047-.055.023-.02-.027-.078-.133-.02-.156zm0 0" class="sr-D"/><path d="M6.477 4.363l-.02-.004v-.059l-.004-.004v-.016l-.004-.004V4.27l-.004-.004v-.004l-.008-.004-.004-.004-.004-.008-.008-.004h-.008l-.004-.004h-.012l-.008-.023h.031l.012.012.008.004.004.008.004.004v.008l.004.004v.008l.004.008v.004l.004.008v.004l.004.008v.016l.004.004v.051zm-.07.02l.016-.012h.004v.004h.004l.004.004h.004v.004h.008l.004-.004v-.004h.004v-.012h.004v-.008l.02.004v.008h-.004v.012l-.004.004v.004h-.004l-.008.008h-.004l-.004.004h-.02v-.004h-.008l-.004-.004h-.004v-.004H6.41l-.004-.004v-.004zm-.016-.164l.008.02h-.008l-.004.004h-.004v.004l-.004.004v.004l-.004.004v.035l.004.008v.008l.004.008v.004l.004.004.004.008v.004l.004.008.004.004v.004l.008.004v.004l.004.004.004.008.008.004-.016.012h-.004v-.008l-.008-.004v-.004l-.004-.004v-.008l-.008-.004v-.004l-.004-.004V4.34l-.004-.004v-.008l-.004-.008v-.004l-.008-.008v-.016l-.004-.004v-.035l.008-.004.004-.008.004-.004.004-.008.004-.004h.004l.008-.004zm0 0" class="sr-B"/><path d="M6.414 4.293c.152-.051.184.242.168.313-.02.09-.055.098-.125.039-.051-.047-.191-.301-.039-.352zm0 0" class="sr-C"/><path d="M6.594 4.605l-.023-.004v-.016l.004-.008V4.52l-.004-.016v-.031l-.004-.012v-.016l-.008-.016-.004-.016-.008-.023-.004-.016-.004-.012-.008-.012-.004-.008-.008-.012-.008-.008-.008-.004-.008-.008-.008-.012-.012-.004h-.008l-.012-.004h-.02l-.012.008-.012-.02.016-.004h.043l.016.004.012.004.023.016.008.012.008.008.023.035.004.012.008.016.004.012.004.016.008.016.004.016v.016l.004.016V4.5l.004.016v.09zm-.141.047l.008-.02.012.008.008.008h.008l.004.008h.004l.008.008h.008l.004.004h.027l.008-.008.008-.016v-.012l.004-.004v-.004l.004-.008v-.004l.004-.008.023.004v.008l-.004.008v.008l-.012.012v.008l-.008.016v.004l-.004.004h-.004v.008l-.008.004h-.004l-.004.004h-.016l-.004.004h-.012l-.004-.004h-.004L6.5 4.688h-.008l-.008-.004-.004-.004h-.008l-.004-.008-.008-.004-.004-.004-.004-.008zm-.043-.371l.008.02-.016.004-.012.008-.008.004-.016.016-.004.012-.004.008v.012l-.004.012v.051l.004.012.004.016.008.023.004.016v.012l.008.016.023.035.004.012.012.012.008.012.004.008.016.016.008.016-.008.02-.008-.008-.004-.008-.016-.016-.008-.012-.008-.008-.008-.016-.031-.047-.004-.012-.008-.016-.004-.016-.008-.012-.004-.016-.008-.016-.004-.016v-.016l-.004-.012v-.035l.008-.023.008-.012.004-.012.02-.02.012-.008.016-.004.012-.008zm0 .008v-.008zm0 0" class="sr-B"/><path d="M8.082 2.762c-.344-.031-.699.004-1.043.141-.297.121-.27.465.09.945a.53.53 0 0 0-.055.219h.098c-.027-.055 0-.129.035-.18.02-.031.027-.023 0-.059-.215-.305-.355-.566-.27-.727.098-.191.492-.293 1.152-.277 0-.023 0-.039-.004-.055zm0 0" class="sr-D"/><path d="M7.039 2.914l-.004-.02.031-.012.035-.012.063-.023.035-.008.063-.016.035-.012.027-.008.035-.008.031-.008.035-.004.031-.008.035-.004h.035l.031-.008.07-.008.031-.004h.066l.031-.004h.23l.031.004h.031l.031.008v.02l-.031-.004h-.098l-.031-.004h-.195l-.031.004H7.66l-.062.008-.035.004-.031.004H7.5l-.035.008-.031.008-.035.004-.031.012-.031.004-.035.012-.027.008-.07.016-.062.023-.035.016-.062.023zm.102.938l-.02-.008.004.012-.035-.039-.031-.047-.055-.086-.027-.039-.023-.039-.02-.043-.039-.078-.016-.035-.012-.035-.008-.039-.012-.031-.008-.035-.008-.031-.004-.035v-.086l.004-.027.008-.027.016-.047.012-.023.012-.02.031-.039.023-.016.02-.016.023-.016.031-.012.023-.012.008.02-.047.023-.02.012-.039.039-.023.016-.035.059-.008.02-.008.027-.008.047v.074l.004.031.004.035.016.063.012.035.031.07.02.039.016.039.02.039.023.039.027.043.027.039.027.043.031.039.031.047zm0-.008l.004.004-.004.008zm-.062.219v.02l-.012-.012v-.047l.004-.012v-.02l.004-.008v-.012l.004-.012v-.008l.004-.004v-.008l.008-.008V3.93l.004-.008v-.008l.004-.004v-.008l.004-.004v-.008l.004-.004v-.008l.004-.004.004-.008v-.004l.008-.008v-.008l.02.012v.008l-.008.004v.004l-.004.008-.004.004v.008l-.004.004v.008l-.004.008v.004l-.004.008v.008l-.004.004v.008l-.004.008v.016l-.004.004v.016l-.004.008v.016l-.004.012v.027l-.004.008v.012l-.012-.012zm0 .02h-.012V4.07zm.086-.008l.023-.008-.012.016h-.094v-.02h.094l-.012.016zm.023-.008l.004.016h-.016l.008-.016zm.02-.18l.012.012-.004.004v.008l-.008.008v.004l-.004.004v.008l-.004.008-.004.004v.008l-.004.004v.004l-.004.008v.012l-.004.004v.012L7.18 4v.047l.004.004v.008l.004.004-.023.012v-.012l-.004-.004v-.016l-.004-.004v-.055l.004-.008v-.004l.004-.004v-.008l.008-.004v-.008l.004-.008v-.008l.004-.004.004-.008v-.004l.004-.004.004-.008v-.004l.004-.008v-.004h.008l.004-.008zm0-.051l.012-.008.004.004.004.008v.004h.004v.008h.004v.008l.004.004v.008l-.004.004v.008H7.23v.004l-.004.004v.004h-.004v.004l-.004.004-.016-.012v-.004l.008-.008v-.004h.004v-.008h.004v-.004h-.004v-.004l-.004-.004v-.008h-.004v-.004h-.004zm-.277-.734l.02.012-.008.016-.004.012-.008.031v.094l.004.02.008.02v.02l.008.02.023.07.012.02.008.023.016.023.012.023.012.027.012.02.047.082.016.023.02.027.016.027.059.082.02.031-.016.012-.02-.023-.023-.031-.02-.027-.02-.031-.016-.023-.016-.027-.02-.027-.047-.082-.012-.023-.016-.027-.012-.02-.012-.023-.012-.027-.008-.023-.012-.023-.016-.039-.016-.047-.004-.02-.004-.023v-.02l-.004-.02v-.059l.004-.016.008-.02.004-.016.008-.016zm1.152-.273h.023l-.012.012h-.289l-.055.004h-.051l-.051.004-.047.004-.047.008-.086.008-.039.008-.043.008-.039.008-.07.016-.035.012-.031.008-.062.023-.023.008-.027.016-.027.012-.02.016-.02.012-.02.016-.047.047-.012.016-.012.02-.02-.012.016-.02.012-.016.016-.02.016-.016.059-.047.02-.012.023-.016.027-.016.027-.012.035-.012.027-.008.035-.016.035-.012.035-.008.039-.008.035-.012.043-.004.086-.016.043-.004.051-.004.047-.008.051-.004h.047l.055-.004h.055l.055-.004h.184l-.016.012zm.023 0v.012h-.012zm-.023-.047l.016-.012v.035h.004v.023h-.02v-.047l-.004-.004V2.77v.004zm.016-.012v.004zm-.023-.008l.016.012v-.012.004h.004v.004l-.016.016v-.008h-.004zm0 .012l-.008-.004.008-.008v.016zm.016 0l-.016-.012h.008l.008.016zm-.008-.012h.02l-.012.016zm0 0" class="sr-B"/><path d="M6.41 2.859c.07 0 .121.055.121.121s-.051.129-.121.129-.121-.055-.121-.125c0-.035.012-.066.035-.09s.055-.031.086-.031zm0 0" class="sr-C"/><path d="M6.543 2.984h-.02c0-.043-.023-.082-.059-.102-.016-.008-.035-.012-.055-.012v-.02c.047 0 .09.023.113.059.016.023.02.047.02.074zm-.133.133v-.02c.043 0 .082-.023.102-.059.008-.02.012-.039.012-.055h.02c0 .043-.023.086-.059.113-.023.012-.047.02-.074.02zm-.133-.133h.02c0 .039.023.082.063.098.016.012.031.016.051.016v.02c-.047 0-.086-.023-.113-.059-.012-.023-.02-.051-.02-.074zm.133-.137v.023c-.039 0-.082.027-.102.063a.12.12 0 0 0-.012.051h-.02c0-.043.02-.086.063-.113.02-.012.043-.02.07-.02zm0 0" class="sr-B"/><path d="M6.652 2.781c.066 0 .125.055.125.125s-.059.117-.125.117-.121-.051-.121-.117.051-.129.121-.129zm0 0" class="sr-C"/><path d="M6.785 2.906h-.02c0-.043-.027-.086-.062-.105-.016-.008-.031-.012-.051-.012v-.02c.047 0 .09.023.117.063a.15.15 0 0 1 .02.074zm-.133.133v-.02c.039 0 .078-.027.098-.062.012-.016.016-.035.016-.051h.02a.13.13 0 0 1-.062.109c-.02.016-.043.02-.07.023zm-.133-.133h.02c0 .039.023.082.063.102.016.008.031.012.051.012v.02c-.047 0-.09-.023-.113-.062-.012-.023-.02-.047-.02-.07zm.133-.137v.02c-.039 0-.082.023-.102.063-.008.016-.012.035-.012.055h-.02c0-.051.023-.098.063-.117.023-.016.047-.02.07-.02zm0 0" class="sr-B"/><path d="M6.684 2.887c.012.016.027.031.039.047-.195.109-.277.223-.258.336.004.02.063.23.195.637a1.22 1.22 0 0 1 .199.168c-.004.008.016.027.012.031.012.063-.059.047-.102.035-.023-.062-.09-.121-.133-.152-.008-.004-.039-.02-.039-.027l-.203-.633c-.062-.199.07-.34.289-.437zm0 0" class="sr-D"/><path d="M6.727 2.945l-.012-.02v.016h-.004v-.004h-.004v-.004l-.004-.004h-.004v-.004l-.004-.004v-.004h-.004v-.004h-.004V2.91l-.008-.008v-.004h-.004l.016-.016.004.004h.004v.008h.004v.004h.004v.004l.008.008v.004h.004v.004h.004v.004l.004.004zm.004-.02l.004.012-.008.008zm-.254.344l-.02.004v-.078l.016-.047.004-.008.004-.012.008-.012.008-.008.004-.016.02-.02.008-.012.012-.012.012-.008.023-.023.008-.012.031-.016.012-.012.016-.008.016-.012.02-.012.016-.008.016-.012.008.02-.02.008-.012.012-.02.008-.016.012-.016.008-.012.008-.016.008-.012.012-.016.008-.012.012-.012.008-.008.008-.012.008-.012.012-.008.012-.008.008-.016.023-.004.008-.004.012-.004.008-.004.012-.004.008-.004.012v.012l-.004.008v.063zm0 0zm.188.629l-.012.016-.004-.004-.012-.039-.035-.105-.008-.031-.012-.031-.012-.027-.008-.031-.016-.055-.008-.023-.008-.027-.008-.02-.008-.027-.016-.039-.004-.02-.008-.02-.004-.016-.004-.02-.004-.016-.008-.023v-.012l-.008-.008v-.012l-.004-.008v-.016h-.004v-.008h.02v.008l.004.004v.008l.004.008v.008l.008.023.004.016.004.012.004.016.008.02.004.016.008.039.008.02.004.02.008.02.008.027.008.023.004.023.012.027.008.027.012.031.008.031.023.063.008.035.012.039.023.07-.004-.004zm-.012.016l-.004-.004zm.215.168l-.012-.012v.012l-.023-.023-.008-.004-.008-.008-.004-.008-.004-.004-.008-.004-.027-.027-.016-.008-.008-.008-.016-.008-.008-.008-.008-.004-.004-.008-.012-.004-.008-.004-.004-.008-.008-.004-.008-.008-.012-.004-.008-.008-.008-.004.012-.016.012.008.008.004h.008l.016.016.008.004.008.008.008.004.008.008.008.004.004.008.012.008.004.004.008.004.02.02.008.004.035.035.008.004.004.008.004.004.008.004.008.008.004.008v.012zm0-.012l.008.004-.008.008zm.012.031l-.02.004.004-.008v.004h-.004v.004-.004l-.004-.004v-.004h-.004v-.027l.016.012v-.004h.004v.004l.004.004v.004l.004.008v.012l-.004.004.004-.012zm-.02.004v-.004l.004-.004-.004.012zm-.098.035l.02-.008-.008-.004h.008l.004.004h.012l.008.004h.047v-.004h.004v-.027l.02-.004v.031l-.004.004v.004l-.004.004h-.004l-.004.004h-.008l-.004.004h-.059l-.008-.004h-.008l-.008-.004h-.008l-.008-.008zm.004.008h-.004v-.008zm-.133-.152l.012-.02.004.008h.004l.004.004h.004l.004.008.008.004.012.012h.004l.004.008.004.004v.008l.008.004.039.039.012.023.008.008v.008l.008.004v.008l.004.008v.004l-.02.008v-.004l-.008-.016v-.004l-.008-.004v-.004l-.004-.004-.004-.008-.008-.008-.004-.008-.004-.004-.004-.008-.008-.008v-.004l-.02-.02-.008-.004-.008-.008h-.004l-.004-.004h-.004l-.004-.008h-.004l-.004-.008h-.004l-.004-.004zm.012-.02l.004.008-.004-.004zm-.055-.012l.02-.008.004.004h.004v.004h.004v.004h.008v.004h.004l.004.004h.004l-.012.02-.004-.004h-.004v-.004h-.008v-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004H6.59zm-.199-.637l.016-.008.004.02.008.02.004.016.008.023.004.02.008.016.008.02.004.02.008.02.004.02.008.023.004.016.004.02.016.039.004.02.008.02.004.023.016.039.004.02.023.059.004.023.012.02.004.02.008.02.008.023.016.039.008.027-.02.004-.008-.02-.004-.023-.016-.039-.004-.023-.004-.02-.008-.023-.008-.02-.004-.02-.008-.02-.008-.023-.004-.02-.008-.02-.004-.02-.012-.02-.008-.02-.004-.02-.008-.023-.008-.02-.004-.016-.016-.039-.004-.02-.008-.02-.004-.016-.008-.023-.004-.02-.008-.02-.004-.016-.008-.02-.008-.016-.004-.02zm.301-.445l-.016.012h.012l-.02.012-.02.008-.02.012-.016.008-.02.008-.016.008-.02.012-.016.012-.016.008-.012.012-.016.012-.023.023-.012.016-.012.012-.008.012-.008.016-.008.012-.008.016-.008.012-.008.016-.004.012v.016l-.004.016v.016l-.004.016v.051l.004.016v.02l.008.016-.02.008-.004-.023v-.016l-.008-.02v-.074l.004-.02.004-.016.004-.012.008-.016.008-.012.008-.023.012-.012.008-.012.012-.016.008-.012.012-.016.016-.012L6.488 3l.02-.012.012-.012.016-.008.016-.016.02-.008.012-.012.023-.008.02-.012.016-.008.039-.023.012.004zm-.012-.004l.008-.004.004.008zm0 0" class="sr-B"/><path d="M5.922 4.352l-.012.043c-.055.008-.105.012-.145.004.066-.066.121-.078.152-.047zm0 0" class="sr-D"/><path d="M5.898 4.391l.008-.043.023.004-.008.043-.008.008-.012-.012zm.023 0v.008h-.008zm-.16.004l.012.012-.004-.02.004.004h.082l.004-.004h.02l.004-.004h.016l.004-.004h.004l.004.02h-.016l-.008.004h-.008l-.008.004h-.027v.004H5.77l-.008-.02zm.004.02l-.023-.008.02-.012zm.164-.062l-.023-.004.004.012v-.004h-.012v-.004h-.012l-.004-.004h-.023v.004h-.012l-.008.008h-.008l-.027.027-.016.008h-.004l-.008.008-.004.008-.016-.016.008-.004.004-.008.008-.004.004-.008.004-.004.008-.004.004-.004h.008l.008-.008h.004l.004-.004h.008l.004-.008h.016l.004-.004h.012l.008-.004h.023l.004.004h.008l.004.004h.004l.012.012v.008zm0-.008v.008zm-.012.008h.008-.012zm.008-.012l.004.004v.008zm0 0" class="sr-B"/><path d="M5.91 4.258c.039.008.043.016.055.02.02 0 .051 0 .066-.02.082-.043.082.039.051.102-.02.047-.012.102.012.141s.02.063 0 .078l-.031.023c-.02.023-.035.02-.039-.012-.078-.035-.102-.109-.125-.176-.035-.094-.156-.117.016-.152zm0 0" class="sr-D"/><path d="M5.969 4.266v.02h-.016v-.004h-.008l-.004-.004h-.008l-.004-.004h-.016l-.008-.004.004-.02h.012l.004.004h.008l.004.004h.008v.004h.016v.004zm.059-.012l.012.02V4.27l-.004.004h-.008v.004h-.004l-.004.004h-.004l-.004.004h-.043v-.02h.047l.004-.004h.004v-.004h.004l.004-.004zm0 0zm.063.109l-.02-.008v-.004l.008-.008v-.012l.004-.004v-.012l.004-.004v-.047h-.004v-.004h-.004v-.004h-.023l-.008.004-.004.004-.008.004-.012-.02.016-.008h.008l.008-.004h.035l.008.008v.004l.004.008v.008l.004.004v.051l-.004.004v.008l-.004.008v.004l-.004.008v.004zm.012.129l-.023.008v-.008l-.004-.004V4.48l-.004-.004v-.004l-.004-.004v-.012l-.004-.004v-.016l-.004-.004v-.047l.004-.004v-.004l.004-.008v-.008l.004-.004.023.008-.004.004v.012l-.008.004v.016l-.004.004v.039l.004.004v.012l.008.004v.008h.004v.004l.004.004v.008h.004zm0 .09l-.012-.02h.004v-.004h.004v-.031l-.004-.004v-.008l-.004-.004v-.004l-.008-.004V4.5l.02-.012v.004l.004.004V4.5l.004.004v.004l.004.004v.008l.004.004v.035l-.004.004v.004h-.004v.004h-.004v.004l-.004.004zm0 0zm-.035.023l-.016-.016v-.004h.004l.004-.004h.004v-.004h.008v-.004h.004V4.57h.008v-.004h.008l.012.016h-.004v.004H6.09v.004h-.008l-.004.004h-.004v.004H6.07l-.004.004zm-.016-.016v-.004zm-.035 0l.008-.016.008.008v.012h.004v.004h.008v-.004h.004V4.59h.004l.016.012-.008.008-.008.004h-.004v.004h-.02l-.004-.004v-.004l-.004-.004v-.008h-.004v-.016l.004.008zm.008-.016h.008v.008zm-.141-.16l.02-.008.004.004v.008l.004.004v.008l.004.008v.004l.008.008.004.008v.008l.004.004.004.008v.004l.008.008v.004l.004.004V4.5l.004.008.004.004.004.008v.004l.008.004.004.008.012.012h.004l.004.004.016.008.004.004h.008l.004.004-.008.023-.008-.008-.008-.004-.004-.004-.016-.008-.004-.004-.004-.008-.004-.004-.008-.004-.004-.004-.004-.008-.004-.004-.004-.008-.008-.008-.004-.008-.004-.004-.004-.008v-.008l-.004-.004v-.008l-.008-.004v-.008l-.004-.004v-.004l-.004-.008v-.008l-.004-.004-.004-.008v-.004l-.004-.008V4.41zm.027-.168v.02l-.023.008h-.012l-.012.004h-.008l-.008.008h-.004v.004l-.004.004v.004h-.008v.004l.012.012.004.008.008.008.008.004v.008l.008.004.016.031.008.008.004.008v.012l.004.008-.02.004v-.008l-.012-.023-.008-.004-.004-.008v-.004l-.012-.012-.004-.008V4.34l-.016-.008-.004-.008V4.32l-.008-.016v-.012l.004-.008v-.004l.008-.004h.004l.012-.008.016-.008h.008l.016-.008.016-.004zm0 0zm0 .02v-.02zm0-.02zm0 0" class="sr-B"/><path d="M5.941 4.262c.07.023.078-.012.117-.012-.016.102-.031.156-.137.102-.062-.031-.137.012-.148.047-.008.012-.043-.012-.055-.043-.051-.113.137-.129.223-.094zm0 0" class="sr-D"/><path d="M6.07 4.254l-.02-.004.012.012h-.023v.004h-.004l-.004.004h-.004l-.008.004h-.004v.004H6l-.004.004h-.039l-.008-.004h-.008l-.004-.004.004-.02h.008l.004.004h.008l.004.004h.027l.004-.004H6l.004-.004h.012l.004-.004h.004l.004-.004h.012l.004-.004h.008l.012.012zm-.008-.012h.012v.012zm-.145.117l.008-.02.012.008.008.004h.008l.008.008h.008l.008.004h.035l.004-.004.004-.008.004-.004v-.004l.004-.004.004-.008v-.004l.004-.008v-.004l.004-.004v-.012l.004-.008v-.008l.004-.008v-.016l.004-.012.02.004v.012l-.004.008v.016l-.004.012v.008l-.004.008v.008l-.004.008v.008l-.008.016v.004l-.008.004-.004.008-.012.012H6.02l-.008.004h-.004L6 4.391h-.031l-.016-.008h-.008l-.008-.004-.023-.016zm-.137.043l-.02-.008h.004v-.004h.008v-.008l.004-.004v-.004l.008-.004h.004l.004-.008.004-.004h.008l.004-.004h.004l.004-.008h.008l.004-.004h.008l.004-.004h.008l.008-.004h.043l.008.004h.004l.008.004h.004l-.008.02h-.008l-.004-.004h-.008l-.008-.004h-.035l-.004.004H5.84l-.008.004h-.004l-.004.008H5.82l-.008.004h-.004l-.004.004h-.004v.004l-.004.004h-.004v.008h-.004v.004h-.004v.004zm-.07-.043l.02-.004v.008h.004v.008h.004v.004l.004.004h.004v.004l.008.004h.004v.004h.008v.004l.016.012v.004l-.008.004h-.02V4.41H5.75l-.008-.004h-.004v-.004l-.008-.008h-.004v-.008h-.004v-.004h-.004v-.004h-.004v-.012h-.004zm.238-.105l-.008.02-.008-.004h-.008l-.008-.004h-.012l-.008-.004h-.102l-.016.008h-.008l-.008.004-.008.008-.008.004v.004l-.008.004-.004.004v.004l-.008.008v.031l.008.008.004.008-.02.012-.008-.023v-.031l.004-.012.016-.031.008-.004.008-.008.016-.008.012-.004h.008l.012-.004h.02l.012-.004h.066l.012.004h.008l.012.004.008.004h.008zm0 .008v-.008zm0 0" class="sr-B"/><path d="M7.977 2.496c.066 0 .125.055.125.121s-.059.125-.125.125a.12.12 0 0 1-.121-.125c0-.066.055-.121.121-.121zm0 0" class="sr-C"/><path d="M8.109 2.617h-.02c0-.039-.027-.086-.066-.102-.016-.008-.031-.012-.047-.012v-.02c.043 0 .086.023.113.063.012.02.02.047.02.07zm-.133.137V2.73c.039 0 .078-.023.098-.059.012-.016.016-.035.016-.055h.02c0 .047-.02.09-.062.113-.02.016-.047.023-.07.023zm-.133-.137h.02c0 .039.027.086.066.102.012.008.031.012.047.012v.023c-.047-.004-.09-.027-.113-.066-.012-.02-.02-.043-.02-.066zm.133-.133v.02c-.039 0-.082.023-.102.063-.008.016-.012.031-.012.051h-.02c0-.043.023-.09.063-.113.023-.012.047-.02.07-.02zm0 0" class="sr-B"/><path d="M7.727 2.496c.066 0 .121.051.121.121s-.055.125-.121.125a.12.12 0 0 1-.121-.125c0-.066.051-.121.121-.121zm0 0" class="sr-C"/><path d="M7.859 2.617h-.02c0-.039-.027-.082-.062-.102a.12.12 0 0 0-.051-.012v-.02c.047 0 .09.023.113.063.012.02.02.047.02.07zm-.133.137V2.73c.039 0 .078-.023.098-.059.008-.016.012-.035.016-.055h.02c0 .047-.027.09-.066.113-.02.016-.043.023-.07.023zm-.133-.137h.02c0 .039.023.086.063.102.016.008.031.012.051.012v.023c-.047 0-.09-.027-.113-.066-.012-.02-.02-.043-.02-.066zm.133-.133v.02c-.039 0-.082.023-.102.063-.008.016-.012.031-.012.051h-.02c0-.043.023-.086.059-.113.023-.012.047-.02.074-.02zm0 0" class="sr-B"/><path d="M7.477 2.516c.066 0 .121.055.121.121s-.055.125-.121.125a.12.12 0 0 1-.121-.125c0-.066.051-.121.121-.121zm0 0" class="sr-C"/><path d="M7.609 2.637h-.02c0-.039-.027-.078-.062-.102a.12.12 0 0 0-.051-.012v-.02c.043 0 .086.023.113.063.012.02.02.047.02.07zm-.133.137v-.02c.039 0 .078-.027.098-.062.012-.016.016-.035.016-.055h.02c0 .047-.023.09-.062.117-.02.012-.047.02-.07.02zm-.133-.137h.02c0 .047.027.086.066.105.012.008.031.012.047.012v.02c-.047 0-.09-.027-.113-.066-.012-.02-.02-.043-.02-.066zm.133-.133v.02c-.039 0-.082.027-.102.063a.12.12 0 0 0-.012.051h-.02c0-.047.027-.09.066-.113.02-.012.043-.02.066-.02zm0 0" class="sr-B"/><path d="M7.246 2.559c.066 0 .121.059.121.125s-.055.121-.121.121-.125-.055-.125-.121.063-.125.125-.125zm0 0" class="sr-C"/><path d="M7.379 2.688h-.02c0-.047-.027-.086-.066-.105-.016-.008-.031-.012-.047-.012v-.02c.043 0 .086.023.113.063.012.02.02.047.02.07zm-.133.129v-.02c.039 0 .078-.023.102-.062.008-.02.012-.035.012-.051h.02c0 .039-.027.086-.066.109-.02.016-.043.02-.07.02zm-.133-.133h.02c0 .039.023.078.059.098.016.008.035.012.055.012v.02c-.047 0-.09-.02-.113-.059-.016-.023-.02-.047-.02-.07zm.133-.137v.02c-.039 0-.086.027-.102.066-.008.016-.012.031-.012.051h-.02c0-.051.023-.098.066-.121.02-.012.043-.02.063-.016zm0 0" class="sr-B"/><path d="M5.727 3.195c.031 0 .063.016.086.039s.035.055.035.086c0 .07-.055.125-.121.125a.12.12 0 0 1-.121-.125c0-.031.012-.062.035-.086s.055-.039.086-.039zm0 0" class="sr-C"/><path d="M5.859 3.32h-.02c0-.039-.027-.082-.062-.102a.12.12 0 0 0-.051-.012v-.02c.043 0 .09.02.113.059.012.023.02.047.02.074zm-.133.133v-.02c.039 0 .078-.023.098-.059.008-.016.012-.035.016-.055h.02c0 .047-.027.09-.066.113-.02.016-.043.02-.07.02zm-.133-.133h.02c0 .039.023.086.063.102.016.008.031.012.051.012v.02c-.047 0-.086-.02-.113-.059-.012-.023-.02-.047-.02-.074zm.133-.133v.02c-.039 0-.082.023-.102.059-.008.016-.012.035-.012.055h-.02a.15.15 0 0 1 .059-.117c.023-.012.047-.02.074-.02zm0 0" class="sr-B"/><path d="M5.938 3.063c.066 0 .121.055.121.121a.12.12 0 0 1-.121.125c-.07 0-.121-.051-.121-.117 0-.035.012-.066.035-.09s.051-.035.086-.035zm0 0" class="sr-C"/><path d="M6.07 3.188h-.02c0-.043-.027-.086-.062-.102a.12.12 0 0 0-.051-.012v-.02c.043 0 .086.02.113.059.012.023.02.047.02.074zm-.133.133v-.02c.063 0 .113-.051.113-.113h.02c0 .043-.023.086-.059.109-.023.016-.051.023-.074.023zm-.133-.133h.02c0 .039.023.078.059.098.016.008.035.012.055.012v.023c-.047-.004-.09-.023-.113-.062-.016-.023-.02-.047-.02-.074zm.133-.137v.02c-.043 0-.082.023-.102.063a.12.12 0 0 0-.012.051h-.02c0-.047.023-.094.059-.117.023-.012.047-.02.074-.02zm0 0" class="sr-B"/><path d="M6.176 2.945c.066 0 .121.063.121.129s-.055.125-.121.125-.121-.059-.121-.125c0-.035.012-.066.035-.09s.055-.035.086-.035zm0 0" class="sr-C"/><path d="M6.309 3.074h-.02c0-.039-.023-.086-.062-.102-.016-.008-.031-.012-.051-.016v-.02c.047.004.086.023.113.063a.15.15 0 0 1 .02.074zm-.133.133v-.02c.039 0 .082-.027.102-.059.008-.02.012-.035.012-.055h.02c0 .043-.023.086-.062.113-.02.016-.043.02-.07.02zm-.133-.133h.02c0 .039.027.078.063.098.016.012.035.016.055.016v.02c-.047 0-.09-.023-.117-.062-.012-.023-.02-.047-.02-.07zm.137-.137v.02a.12.12 0 0 0-.102.063c-.008.016-.012.035-.012.055h-.02c0-.047.02-.09.059-.117.023-.012.047-.02.074-.02zm0 0" class="sr-B"/><path d="M5.563 3.398c.035 0 .066.012.086.035a.13.13 0 0 1 .035.09c0 .066-.051.125-.121.125s-.121-.062-.121-.129.055-.121.121-.121zm0 0" class="sr-C"/><path d="M5.695 3.523h-.02c0-.039-.027-.086-.062-.102-.016-.008-.031-.012-.051-.012v-.02c.047 0 .086.02.113.059.016.023.02.047.02.074zm-.133.133v-.02c.043 0 .082-.023.102-.059.008-.016.012-.035.012-.055h.02c0 .047-.023.09-.062.113-.02.016-.043.02-.07.02zm-.133-.133h.02c0 .039.023.082.063.102a.12.12 0 0 0 .051.012v.02c-.043 0-.086-.023-.113-.062-.012-.02-.02-.047-.02-.07zm.133-.133v.02c-.039 0-.078.023-.098.059-.012.016-.016.035-.016.055h-.02c0-.047.023-.09.063-.113.023-.016.047-.02.07-.02zm0 0" class="sr-B"/><path d="M7.883 5.543l-.437.258-.469-.199.438-.258zm0 0" class="sr-D"/><path d="M7.422 5.352l-.441.258-.008-.02.438-.258h.012zm-.012-.02h.012zm.473.219l-.469-.199.012-.02.465.199v.02zm.008-.02l.02.012-.02.008zm-.449.262l.441-.262.008.02-.437.258h-.012zm.012.016l-.004.004h-.008zm-.469-.219l.469.199-.008.02-.469-.199v-.02zm-.008.02l-.02-.008.02-.008v.02zm0 0" class="sr-B"/><path d="M7.422 5.43c.113-.008.207.051.215.125s-.086.141-.195.148c-.117.008-.211-.047-.215-.125-.004-.07.082-.141.195-.148zm0 0" class="sr-H"/><path d="M7.645 5.559h-.02v-.016l-.004-.004v-.012l-.004-.008v-.004l-.008-.004-.004-.004-.004-.008-.016-.016-.008-.004H7.57l-.008-.004-.004-.004-.012-.004-.008-.004h-.004l-.008-.004H7.52l-.012-.008h-.02l-.008-.004h-.016l-.012-.004h-.02l-.008.004v-.02h.07l.008.004.012.004h.008l.008.004.012.004.047.023.008.008.008.004.02.02.008.016.004.004.004.008v.008l.008.016v.016zm-.203.16v-.02l.008-.004h.016l.012-.004h.008l.008-.004H7.5l.012-.008h.008l.055-.027.012-.012.008-.004.004-.008v-.004l.008-.008.004-.008.004-.004v-.004l.004-.004v-.012l.004-.008v-.023l.02-.004v.035l-.004.008v.004l-.008.012v.004l-.004.008-.008.008v.004l-.008.008-.004.008-.012.012-.008.004-.008.008-.016.008-.008.008-.016.008-.012.004H7.52l-.008.004-.012.004h-.008l-.008.004h-.008l-.012.004h-.02zm-.227-.137h.02v.012l.004.004v.008l.004.004.004.008v.004l.008.004.004.004v.008l.008.004.004.008.008.004.008.008.008.004.004.004h.008l.008.004h.008l.008.004.012.004h.008l.008.004h.02l.008.004h.047v.02h-.07l-.008-.004h-.008l-.012-.004H7.32l-.008-.008h-.008l-.012-.004-.012-.012-.016-.008-.004-.004-.008-.004-.02-.02v-.008l-.004-.004-.008-.016-.004-.004v-.02zm.207-.16l.004.02h-.031l-.008.004h-.012l-.016.008h-.012l-.008.008-.012.004-.008.004-.004.004-.016.008-.004.004-.008.004-.012.012-.004.008-.008.004-.004.004-.008.016-.004.004v.008l-.008.004v.016l-.004.008v.012l-.02.004v-.027l.004-.008v-.008l.004-.008v-.008l.008-.008.004-.008.004-.004.004-.008.008-.008.004-.008.008-.004.008-.008.008-.004.008-.008.016-.008.008-.008.016-.008.016-.004h.008l.008-.004h.012l.008-.008h.012l.008-.004h.023l.012-.004zm0 0" class="sr-B"/><path d="M6.449 5.418l.477.18-.395.262c-.102-.031-.18-.383-.082-.441zm0 0" class="sr-D"/><path d="M6.922 5.605l-.477-.18.008-.02.473.18v.02zm.004-.02l.02.008-.02.012zm-.398.266l.391-.262.008.016-.391.266h-.008zm.008.023h-.008zm-.082-.469l-.008.02h.008l-.008.004-.016.016-.008.016-.008.031v.031l-.004.016v.055l.004.016v.02l.008.02.008.039.004.012v.023l.012.02.004.012.016.031.031.047.012.008.008.004.004.004.008.004-.004.023-.012-.008-.012-.004-.012-.008-.016-.023-.012-.012-.008-.012-.016-.031-.008-.02-.008-.016-.008-.02-.004-.016-.008-.02-.004-.016-.004-.02-.004-.023v-.016l-.008-.02v-.105l.008-.016.008-.023.023-.035.012-.008zm-.012 0h.012zm.008.008l.004-.008zm-.004-.008h.012zm0 0" class="sr-B"/><path d="M6.457 5.504c.113-.012.207.039.219.117s-.078.148-.191.16c-.074.008-.121-.059-.125-.125-.012-.07.02-.141.094-.148zm0 0" class="sr-G"/><path d="M6.684 5.617h-.02v-.008l-.004-.008v-.004l-.008-.016-.008-.008-.004-.008-.004-.004-.008-.004-.008-.008-.016-.008-.004-.004-.016-.008h-.008l-.012-.008h-.008l-.008-.004h-.016l-.008-.004h-.074l-.004-.02h.078l.008.004h.008l.016.008h.008l.012.008.008.004h.012l.008.004.047.047.004.008v.012l.004.008v.004l.004.008v.008zm-.199.172v-.023h.02l.012-.004h.008l.012-.004.008-.004h.012l.016-.008h.008l.008-.008.016-.008.016-.016.004-.008.008-.004.004-.004.004-.008.008-.008.004-.008v-.008l.008-.004v-.016l.004-.012v-.02h.02v.035l-.004.004v.008l-.004.008-.004.004-.012.023-.012.012-.004.008-.008.008-.008.004-.008.008h-.008l-.008.008-.016.008h-.008l-.008.008-.012.004h-.008l-.008.004-.012.004H6.52l-.008.004h-.016l-.012.004h-.008zm-.137-.137h.02v.016l.004.004v.008l.004.008v.004l.004.004v.004l.004.008.004.004v.008l.008.004.004.004v.004l.004.004h.004l.004.008h.004l.008.008h.008l.004.004h.004l.004.004h.004l.004.004h.027v.02h-.039l-.008-.004h-.008l-.008-.004-.004-.004-.008-.004-.008-.008-.008-.004-.02-.02V5.73l-.004-.004-.004-.008v-.004l-.008-.008v-.008l-.004-.004-.004-.008v-.004l-.004-.008v-.012l-.008-.004v-.008zm.109-.16v.02h-.004l-.008.004H6.43l-.008.008-.008.004-.008.008h-.004l-.004.004v.004l-.008.004v.004h-.004v.008l-.008.008v.016l-.004.008v.008l-.004.004v.047h-.02v-.051l.004-.004v-.008l.004-.004v-.004l.008-.016v-.008l.004-.004.004-.008.004-.004v-.004l.008-.004.004-.004h.004l.008-.008.008-.004.004-.004h.008l.008-.004h.012l.008-.004h.008zm0 0" class="sr-B"/><path d="M7.949 5.625c.035 0 .066.031.066.066s-.031.066-.066.066-.062-.031-.062-.07c0-.031.027-.062.063-.062zm0 0" class="sr-C"/><path d="M8.023 5.691h-.02V5.68L8 5.676v-.004l-.004-.008V5.66h-.004v-.004h-.004v-.004h-.004l-.004-.004-.008-.004h-.004l-.004-.004h-.012v-.02h.02l.008.008h.004l.008.004v.004h.004v.004H8v.008h.004v.004l.004.004v.004h.004v.004l.004.004v.012l.004.004v.004zm-.074.074v-.02h.008l.008-.004h.004l.004-.004h.004v-.004h.004V5.73h.004v-.004l.008-.008v-.004l.004-.004v-.02h.023v.016l-.004.004v.008l-.004.004v.004l-.008.008H8v.008h-.008l-.008.008-.008.004h-.012v.004h-.012v.004h-.004zm-.074-.074h.02v.02h.004v.004l.004.004v.004l.004.004h.004v.004h.004v.004h.008l.004.004h.004v.004h.02v.023h-.016l-.004-.004h-.008v-.004h-.008l-.004-.004-.008-.004-.004-.004h-.004v-.004h-.004l-.004-.008-.004-.004v-.004l-.004-.008v-.008l-.004-.004zm.074-.074v.02h-.016l-.004.004h-.004v.004h-.004v.004h-.008v.004H7.91v.004h-.004v.004l-.004.008v.008h-.004v.016h-.02v-.023l.004-.004V5.66h.004v-.008l.008-.008v-.004h.008v-.004l.004-.004h.004v-.004h.012v-.004h.008v-.004h.02zm0 0" class="sr-B"/><path d="M6.973 5.68c.039 0 .066.031.066.066s-.031.066-.066.066-.066-.031-.066-.066.031-.066.066-.066zm0 0" class="sr-C"/><path d="M7.047 5.746h-.02V5.73l-.004-.004v-.004l-.004-.004v-.008l-.008-.008h-.004v-.004h-.004v-.004h-.008l-.004-.004h-.016v-.023h.012v.004h.016v.004h.008v.004h.004v.004h.008l.004.004.004.008h.004l.004.004.004.008v.004h.004v.016l.004.004v.016zm-.074.074v-.02h.02v-.004h.004L7 5.793h.008v-.004h.004v-.004h.004v-.004l.004-.004V5.77h.004v-.008l.004-.004V5.75h.02v.016l-.004.004v.004l-.004.004v.008h-.004v.008h-.004l-.004.004h-.004v.004h-.008l-.004.004h-.004v.004H7v.004h-.008l-.004.004h-.016zm-.074-.07h.023v.016h.004v.008h.004v.004h.004v.004h.004v.008h.004l.004.004h.004v.004h.008v.004h.016v.02h-.023v-.004h-.008v-.004h-.004l-.008-.008h-.004v-.004h-.004v-.008h-.008v-.004H6.91v-.008l-.004-.004v-.004l-.004-.008V5.75zm.074-.078v.02h-.012v.004h-.012v.004h-.004l-.004.004v.004h-.004l-.004.004v.008l-.004.004v.004h-.004v.012l-.004.008v.008h-.02v-.02l.004-.004v-.008l.004-.004.004-.008v-.008h.008v-.004h.004l.008-.008h.004v-.004h.012l.004-.004h.012l.004-.004h.004zm0 0" class="sr-B"/><path d="M6.941 5.383c.035 0 .063.027.063.066s-.027.063-.062.063-.066-.027-.066-.062.027-.066.066-.066zm0 0" class="sr-C"/><path d="M7.016 5.449h-.023v-.016l-.004-.004v-.008l-.004-.004H6.98V5.41h-.004v-.004h-.004l-.004-.004h-.004l-.004-.004h-.008v-.004h-.008v-.02h.016v.004h.004l.008.004h.004l.004.004h.004v.004l.008.004.004.004.004.008.008.004v.008h.004v.008l.004.004zm-.074.074V5.5h.02v-.004h.004l.004-.004h.004v-.004h.004v-.004h.004V5.48l.008-.008v-.008h.004v-.02h.02v.023l-.004.004-.004.008v.004H7l-.004.008h-.004v.004h-.008V5.5H6.98v.008h-.004l-.004.004h-.008l-.008.004h-.012zm-.074-.074h.02v.016l.004.004v.008h.004v.004l.004.004v.004h.004v.004h.004v.004h.004l.004.004h.012l.004.004h.008v.02h-.016l-.008-.004H6.91l-.008-.004-.004-.004h-.004l-.004-.004-.004-.008h-.008v-.004l-.004-.008v-.004h-.004v-.008l-.004-.004zm.074-.074v.02h-.016v.004h-.012l-.004.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004l-.004.004v.004l-.004.004v.016h-.02v-.023h.004V5.41h.004v-.008h.004v-.004h.004l.004-.004v-.004h.008v-.004h.004l.004-.004h.008v-.004h.012l.004-.004zm0 0" class="sr-B"/><path d="M7.945 5.34c.035 0 .066.031.066.066s-.031.063-.066.063-.062-.027-.062-.062.031-.066.066-.066zm0 0" class="sr-C"/><path d="M8.02 5.406H8v-.016h-.004v-.008l-.004-.004v-.004h-.004v-.004h-.004v-.004l-.004-.004h-.004l-.004-.004h-.004l-.008-.004h-.012v-.02h.02l.004.004h.008l.004.004.008.004.004.004H8v.004h.004v.004h.004v.008h.004v.008l.004.004v.008l.004.004zm-.074.074v-.02h.023v-.004h.004l.008-.008v-.004h.004v-.004h.004v-.004l.004-.008v-.008h.004v-.016h.023v.02l-.004.004v.008l-.027.027h-.004v.004H7.98v.004h-.008l-.004.004h-.02zm-.074-.074h.02v.012l.004.004v.004l.004.004v.008h.004l.004.004v.004h.004v.004h.004l.008.004h.004l.004.004h.016v.02h-.02l-.008-.004H7.91l-.004-.004-.008-.004v-.004l-.008-.008v-.004h-.004v-.008h-.004V5.43l-.004-.004V5.41l-.004-.004v-.004zm.074-.074v.02h-.012v.004h-.008l-.004.004h-.008v.008H7.91v.004l-.008.008v.008h-.004v.016h-.023v-.012l.004-.004v-.008l.004-.004v-.004h.004v-.008h.004v-.008h.004v-.004h.008v-.004l.004-.004.008-.004h.008l.004-.004h.02zm0 0" class="sr-B"/><path d="M6.219 4.762c.047-.016.121.094.141.09.023-.059-.023-.211-.109-.324-.059-.023-.062-.062-.074-.148-.004-.027-.055-.008-.055.039s-.008.074.004.113c.004.016 0 .031-.016.047.09.035.113.082.109.18zm0 0" class="sr-D"/><path d="M6.352 4.852l.02.004-.008.008h-.008l-.008-.004-.008-.008-.008-.004-.008-.008-.004-.008-.008-.004-.016-.016-.008-.004-.004-.008h-.004l-.008-.008H6.27l-.004-.004-.008-.004h-.004l-.008-.004h-.008l-.004-.004h-.008l-.008-.02h.027l.008.004h.004l.008.004.004.004h.004l.008.004.004.004h.004l.012.012v.004l.012.012.008.004v.004l.027.027h.004v.004h.008v.004zm.02.004l-.004.008h-.004l.008-.004zm-.125-.316l.008-.02.004.004.008.012.008.008.008.012.008.016.008.008.004.016.012.012.004.012.023.035.023.07v.012l.004.012v.012l.004.008v.008l.004.008v.066l-.004.008-.02-.004v-.008l.004-.004v-.074l-.004-.008V4.75l-.004-.012-.004-.008-.004-.012v-.012l-.012-.012-.016-.047-.008-.012-.004-.008-.008-.012-.008-.016-.008-.008-.008-.016-.008-.012-.004-.008-.02-.02.004.004zm.008-.02l.004.004zm-.09-.133h.02v.012l.004.008v.02l.004.004v.012l.004.008v.008l.004.004v.008h.004v.008l.004.004v.004h.004v.004h.004l.004.004v.004h.004l.004.004h.004l.004.004h.004l.004.004h.004l.008.004-.008.023h-.004l-.004-.004-.008-.004h-.004l-.004-.004h-.004l-.004-.008-.004-.004h-.004v-.004l-.012-.012v-.004l-.004-.004v-.004l-.004-.008v-.004l-.004-.004v-.004l-.004-.004v-.02l-.004-.008v-.012l-.004-.004v-.023l-.008-.012zm-.035.035h-.02v-.02l.008-.008v-.008h.004l.004-.008h.004l.004-.004.008-.004h.004l.004-.004h.023v.004h.004v.008l.004.004v.004h-.031v.004h-.004v.004h-.004v.004h-.004v.004l-.004.004v.016zm.008.113l-.02.004v-.012l-.004-.004v-.031h-.004v-.07h.02v.082l.004.004v.016l.004.004zm-.02.039l-.012.016v-.02l.004-.004v-.004h.004v-.008h.004v-.008l-.004-.004v-.004l.02-.008v.035h-.004v.008h-.004v.004h-.004v.004l-.004.008h-.004v-.016zm-.012.016l-.016-.008.016-.012zm.102.172h.02-.02v-.008l.004-.012v-.039l-.004-.008v-.012l-.004-.008v-.012l-.004-.004v-.008l-.004-.004-.004-.008v-.004l-.008-.004v-.004l-.008-.008-.008-.004-.004-.004-.008-.004h-.004l-.016-.016-.008-.004h-.008l-.008-.004.008-.02.008.004.012.004.008.004.004.004.023.012.004.004.008.004v.004l.012.012.004.008v.004l.008.004v.008l.004.008v.004l.008.008v.016l.004.004v.016l.004.008v.059zm.02 0h-.02l.008-.008zm-.02 0v-.008h.008zm0 0" class="sr-B"/><path d="M6.176 4.383c-.008.02-.012.035-.016.07 0 .02.012.039.027.059s.035.039.059.051c.016.012.031.035.047.063s.023.059.023.078c0 .07.016.137.047.148.023.004.031.004.047 0-.004-.012 0-.031-.012-.047-.016-.023-.027-.051-.027-.074s-.012-.035-.004-.066.02-.035.02-.055c-.008-.043-.039-.121-.086-.121s-.07-.008-.094-.07c-.004-.02-.02-.031-.023-.039zm0 0" class="sr-D"/><path d="M6.172 4.453l-.02-.004v-.023l.004-.004v-.02h.004v-.016h.004v-.008l.02.008v.008H6.18v.02l-.004.004v.031zm.02.055l-.016.016V4.52h-.004v-.008l-.004-.004v-.004h-.004v-.008H6.16v-.008l-.004-.004v-.016l-.004-.004v-.012h.02v.02h.004v.016h.004v.008h.004v.008h.004v.004h.004v.004zm.063.051l-.016.02v-.004H6.23V4.57h-.004v-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004l-.004-.004v-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.008-.008.016-.016.004.004.004.008v.004h.004l.004.004v.004h.004l.008.008h.004v.004h.004v.004h.004l.008.008h.004v.004zm.047.063l-.02.008v-.004l-.004-.004v-.004l-.004-.004v-.004H6.27v-.004l-.004-.004v-.004h-.004v-.004l-.008-.008v-.004h-.008l-.004-.004h-.004l.012-.02h.004v.004h.004v.004h.004v.004l.008.008v.004h.004v.004h.004v.004l.004.004v.004l.004.004v.004h.004v.008h.004v.004h.004zm.023.086h-.02v-.016l-.004-.004v-.016h-.004V4.66h-.004v-.008h-.004v-.012h-.004v-.004l-.004-.004.02-.008v.008h.004v.008h.004v.012l.004.004v.008h.004v.012h.004v.02h.004zm-.02 0zm.059.137l-.004.02h-.008l-.004-.004-.004-.008v-.004l-.008-.004h-.004l-.004-.004v-.004h-.004v-.008l-.004-.004V4.82l-.004-.004v-.008l-.004-.004v-.012l-.004-.004v-.016l-.004-.008v-.031l-.004-.004v-.031h.02v.043l.004.004v.027l.004.004v.016l.004.008v.004l.004.004v.008l.004.004v.004l.008.008v.004h.004v.004h.004l.004.004zm.035.016l.02-.008-.012.012h-.008v.004h-.027l-.004-.004h-.008l.008-.02h.012v.004h.023v-.004l-.004.012zm.02-.008v.008h-.012l.008-.008zm-.035-.039l.016-.012h.004v.008h.004v.008h.004v.016l.004.004v.02l-.02.008v-.027l-.004-.004v-.016h-.004v-.004zm-.027-.078h.02v.016h.004v.016l.004.004v.004l.004.004v.004h.004v.008h.004v.004h.004v.008l-.016.012v-.004l-.004-.004v-.008h-.004v-.012h-.004v-.004l-.004-.004v-.004l-.004-.004v-.004l-.004-.008V4.75l-.004-.004zm.02 0zm-.023-.07l.02.004v.063l.004.004-.02.004v-.02l-.004-.004zm.02-.051h.02v.016h-.004v.012l-.004.004v.004l-.004.004v.004h-.004v.012h-.004v.004l-.02-.004V4.66h.004v-.008l.004-.004v-.004l.004-.004v-.004l.004-.004v-.02zm-.082-.109v-.02h.023l.004.004h.004l.004.004h.008l.008.008v.004l.008.004v.004l.004.004.004.008v.004l.008.004.004.004.004.008v.004l.004.004v.004l.004.008v.004l.004.004v.008l.004.004v.012l.004.004v.016h-.02v-.02l-.004-.004v-.008l-.008-.016v-.004l-.004-.004v-.004l-.008-.008v-.004l-.004-.004v-.004l-.016-.016-.004-.008-.008-.004-.004-.004zm-.098-.074l.02-.008v.004l.004.008v.004l.004.004v.004l.004.004v.004l.008.008v.004h.004v.004h.004v.004h.008v.004h.016v.004h.031v.02h-.031l-.008-.004h-.008v-.004h-.008v-.004h-.004v-.004h-.008V4.48l-.004-.004-.004-.008-.004-.004v-.004l-.004-.004-.004-.008-.004-.004v-.008l-.004-.004zm-.008-.039l-.023-.012h.027v.008h.004v.004h.004v.004h.004v.008h.004v.004l.004.004v.004l.004.004-.02.008v-.004l-.004-.004v-.004l-.004-.004v-.004H6.18v-.004l-.004-.004v-.004h-.004v-.004h-.008v-.004h.02zm-.023-.012l.012-.02.012.02zm.016.004l.008.004zm-.012-.004l.008-.02.012.02H6.16zm0 0" class="sr-B"/><path d="M6 4.555l.039-.02c.027-.012.055-.012.082-.004.109.031.16.23.035.281-.023.004-.047-.023-.066-.066a.44.44 0 0 0-.082-.137c-.02-.02-.02-.043-.008-.055zm0 0" class="sr-D"/><path d="M6.039 4.523l.008.02h-.008v.004h-.008v.004h-.016v.004h-.004l-.004.004-.016-.012.004-.004v-.004h.008v-.004h.016v-.004h.008v-.004h.008zm.082-.004l-.004.02h-.012v-.004h-.043v.004h-.012l-.004.004-.012-.02h.008l.008-.004h.016v-.004h.031l.004.004zm.039.301l-.004-.02h-.004l.008-.004h.016l.016-.016.004-.008.008-.008.012-.023V4.73l.004-.012v-.066l-.008-.008-.004-.008-.004-.012v-.008l-.008-.008-.004-.012-.008-.004-.004-.012-.023-.023-.012-.004-.004-.008-.012-.004h-.008l.004-.02h.012l.012.004.023.016.012.004.02.02.004.008.016.023.004.012.008.008.004.016.004.012v.012l.008.012v.066l-.008.023-.008.012-.004.008-.004.012-.008.012-.008.008-.008.004-.012.008-.012.004zm0 0zm-.082-.07l.023-.008v.008l.008.008.004.008v.004h.004v.008h.004v.004l.008.008h.004v.004h.004l.004.008h.016v.023h-.016V4.82h-.012l-.016-.016v-.004h-.004l-.004-.008v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.004L6.09 4.77v-.004l-.004-.008-.008-.004zm0 0zM6 4.617l.016-.012.004.004v.004h.004l.004.004v.008h.004l.004.004v.004l.004.004h.004v.008l.004.004v.004l.008.008v.008l.004.004.004.008v.004l.004.004.004.008v.004l.004.008v.004l.008.008.004.008v.008l.008.004v.008l-.023.008v-.012l-.004-.004V4.73l-.004-.004v-.008l-.004-.004v-.008l-.008-.008v-.004l-.004-.004v-.004l-.004-.004-.004-.008v-.004l-.008-.004v-.004h-.004V4.66h-.004v-.008l-.012-.012v-.004l-.004-.004h-.004v-.004L6 4.625zm0 0zm0-.07v.02l.008-.004v.004h-.004v.016h.004v.012l.008.008v.004L6 4.617h-.004v-.004l-.008-.008v-.004h-.004v-.047h.004v-.004h.004zm-.008 0H6zm.008.02v-.02l.008.02zm.008 0h-.004zm0 0" class="sr-B"/><path d="M6.055 4.566c.109-.039.188.168.086.207-.051.02-.055-.051-.066-.086-.016-.051-.121-.082-.016-.121zm0 0" class="sr-D"/><path d="M6.145 4.781l-.008-.02h.008l.004-.004.008-.004.004-.008.004-.004.004-.008v-.012l.004-.008v-.051l-.004-.012-.012-.023-.008-.008-.008-.016-.008-.008-.008-.004-.004-.004-.016-.008h-.008l-.008-.004h-.027l-.008.004-.008-.02h.012l.012-.004h.031l.012.004.016.008.027.027.004.008.008.008.004.008.008.012.012.035v.012l.004.008v.031l-.004.012v.012l-.008.016-.008.012-.008.004-.008.008-.008.004-.012.004zm-.086-.086l.02-.008.004.004v.012l.008.004v.016l.004.004v.008l.004.004v.004l.004.008.004.004v.004h.004v.004h.004l.004.004h.023l.004.016h-.004l-.008.004h-.023l-.004-.004h-.004v-.004l-.004-.004-.008-.004v-.004l-.004-.004v-.004h-.004V4.75l-.004-.004v-.008h-.004v-.016l-.004-.004v-.016l-.004-.004v-.004zm-.008-.137l.008.02h-.008l-.008.008h-.008l-.004.008h-.004l-.004.004v.004H6.02v.008h.004v.004l.004.004v.004h.008v.008l.004.004h.004l.02.02.004.008.004.004v.008l.008.004v.012l-.02.004V4.68l-.004-.004h-.004v-.008l-.008-.004h-.004V4.66l-.004-.008-.012-.012v-.004l-.004-.004h-.004v-.004l-.008-.008v-.004l-.004-.004v-.016l.004-.004v-.008l.008-.004.004-.004.004-.008.008-.004h.008l.008-.004.012-.004zm0 0" class="sr-B"/><path d="M6.066 4.602c.055-.023.125.098.063.129-.047.02-.082-.008-.098-.039-.012-.043 0-.078.035-.09zm0 0" class="sr-G"/><path d="M6.129 4.742l-.008-.023h.008l.004-.004h.004v-.004l.004-.004v-.039l-.004-.004v-.008h-.004v-.008l-.012-.012-.004-.008-.008-.008h-.004v-.004l-.008-.004h-.023l-.004-.02h.031l.02.02.008.004.004.004.004.008v.004l.008.016.004.004v.012l.004.008v.051l-.008.016-.008.008h-.008l-.004.008zm-.105-.051l.02-.008.004.008.004.004v.004l.004.008.008.008h.004v.004h.004l.008.004h.008v.004h.027l.004-.004.012.02h-.016l-.004.004H6.07l-.004-.004h-.004v-.004h-.004l-.004-.004-.008-.004-.004-.008-.008-.004h-.004v-.008l-.004-.004-.004-.008v-.004l-.004-.004v-.004zm.043-.102l.004.02h-.004l-.02.02v.004h-.004v.016l-.004.004v.023l.004.004v.004l-.02.008v-.016l-.004-.004v-.031l.004-.004v-.008l.008-.008.004-.008v-.004l.004-.004v-.004h.008l.008-.008h.004l.004-.004zm.004.012l-.004-.012zm0 0" class="sr-B"/><path d="M6.801 3.605c.07 0 .129.055.129.125s-.059.133-.129.133-.125-.062-.125-.129.059-.125.129-.125zm0 0" class="sr-C"/><path d="M6.941 3.73h-.02c0-.039-.031-.086-.066-.105-.02-.008-.035-.012-.055-.012v-.02c.051 0 .094.023.121.063.012.023.02.051.02.074zm-.141.141v-.02c.043 0 .086-.027.105-.066.008-.016.012-.035.012-.055h.02c0 .051-.027.098-.066.121-.02.016-.047.02-.07.02zm-.137-.141h.02c0 .047.027.086.066.109a.12.12 0 0 0 .051.012v.02c-.047 0-.09-.027-.113-.066-.012-.023-.02-.047-.02-.074zm.141-.141v.023c-.047 0-.086.023-.105.066-.012.016-.016.035-.016.051H6.66c.004-.047.027-.09.066-.113.023-.016.047-.023.074-.023zm0 0" class="sr-B"/><path d="M6.707 3.391c.07 0 .129.059.129.125 0 .074-.059.129-.129.129s-.125-.055-.125-.129.059-.125.129-.125zm0 0" class="sr-C"/><path d="M6.848 3.516h-.023c0-.043-.023-.086-.062-.105-.016-.008-.035-.012-.051-.008v-.023c.047 0 .09.027.117.066.016.023.023.047.023.074zm-.141.141v-.02c.043 0 .086-.027.105-.066.008-.016.012-.031.012-.051h.023c0 .047-.027.094-.066.121-.02.012-.047.02-.07.02zm-.137-.141h.023c0 .047.023.086.063.109a.12.12 0 0 0 .051.012v.02c-.047 0-.09-.023-.113-.066-.016-.02-.023-.047-.023-.07zm.137-.141v.023c-.039 0-.082.027-.102.066-.008.016-.016.035-.012.051H6.57c0-.043.027-.09.066-.117.02-.016.047-.023.07-.023zm0 0" class="sr-B"/><path d="M7.016 2.637c.066 0 .117.055.117.121s-.051.125-.117.125-.125-.055-.125-.125c0-.031.012-.062.035-.086s.055-.035.09-.035zm0 0" class="sr-C"/><path d="M7.145 2.762h-.02c0-.047-.023-.086-.059-.102-.016-.008-.035-.016-.051-.016v-.02a.13.13 0 0 1 .109.063c.016.02.023.047.02.074zm-.129.133v-.023c.039 0 .078-.023.098-.059.008-.02.012-.035.012-.051h.02a.13.13 0 0 1-.059.109c-.023.016-.047.023-.07.023zm-.137-.137h.02c0 .043.027.086.066.102.016.008.031.012.051.012v.023c-.047 0-.09-.023-.113-.062-.016-.02-.02-.047-.02-.07zm.137-.133v.02c-.043 0-.082.023-.102.063-.008.016-.012.031-.016.051h-.02c.004-.043.023-.086.063-.113a.15.15 0 0 1 .074-.02zm0 0" class="sr-B"/><path d="M6.809 2.73c.07 0 .125.059.125.129s-.055.129-.125.129-.129-.062-.129-.129.055-.129.129-.129zm0 0" class="sr-C"/><path d="M6.945 2.859h-.02c-.004-.047-.027-.086-.066-.105-.02-.012-.035-.016-.055-.016v-.02c.047 0 .094.023.117.066.012.02.02.047.02.07zM6.809 3v-.02c.039 0 .082-.031.102-.066.012-.02.016-.035.016-.055h.02c0 .047-.023.094-.066.121-.02.012-.047.02-.07.02zm-.141-.141h.02c0 .043.027.086.066.105.016.008.035.012.055.012v.02c-.051 0-.094-.023-.121-.066a.15.15 0 0 1-.02-.074zm.141-.141v.02c-.047 0-.086.027-.105.066a.12.12 0 0 0-.012.051h-.02a.15.15 0 0 1 .063-.121c.023-.012.051-.02.074-.02zm0 0" class="sr-B"/><path d="M6.656 2.914c.07 0 .125.055.125.129s-.055.125-.125.125-.125-.055-.125-.125.059-.129.125-.129zm0 0" class="sr-C"/><path d="M6.793 3.043h-.02c0-.047-.027-.086-.066-.109-.016-.008-.031-.012-.051-.012v-.02c.047 0 .09.023.117.066a.15.15 0 0 1 .02.074zm-.137.141V3.16c.039 0 .082-.027.105-.066a.12.12 0 0 0 .012-.051h.02c0 .043-.023.09-.066.117-.02.016-.047.023-.07.023zm-.141-.141h.02c0 .039.027.086.066.102.02.012.035.016.055.012v.023c-.047-.004-.09-.027-.117-.066-.016-.023-.02-.047-.02-.074zm.141-.141v.02c-.047 0-.086.023-.105.066-.008.016-.012.035-.012.055h-.02c0-.051.02-.098.063-.121.023-.016.047-.02.07-.02zm0 0" class="sr-B"/><path d="M6.629 3.141c.074 0 .129.059.129.129s-.059.133-.129.133S6.5 3.34 6.5 3.273a.13.13 0 0 1 .129-.129zm0 0" class="sr-C"/><path d="M6.77 3.27h-.023c0-.043-.023-.086-.062-.105-.016-.008-.035-.012-.055-.012v-.02c.051 0 .094.023.121.063.012.023.02.047.02.074zm-.141.141v-.02c.043 0 .086-.027.105-.066.008-.02.012-.035.012-.055h.023c0 .051-.027.102-.07.121-.02.012-.043.02-.07.02zm-.137-.141h.023c0 .043.023.086.063.105.016.008.031.016.051.016v.02c-.047 0-.09-.027-.117-.066-.012-.023-.02-.047-.02-.074zm.137-.137v.02c-.039 0-.082.027-.102.063-.008.02-.012.035-.012.055h-.023c0-.047.027-.09.066-.117.02-.012.043-.02.07-.02zm0 0" class="sr-B"/><path d="M8.289 3.973c-.055-.102-.113-.168-.172-.195.082-.266.102-.605.055-1.023-.008-.066-.023-.094-.047-.094s-.031.035-.035.105l.023.605c-.008.152-.047.281-.082.426-.008.023.008.035.074.074.051.031.086.066.094.102.016-.004.023 0 .031 0 .051.016.07.012.059 0zm0 0" class="sr-D"/><path d="M8.105 3.773l.02.008-.004-.012h.004l.008.004.008.008h.008l.004.004h.008l.012.012.008.004.008.016.008.004.004.008.008.004.016.016.004.012.012.012.008.016.008.008.004.008.008.008.004.008.004.012.008.008.004.008.008.012.004.008-.02.012-.004-.012-.004-.008-.008-.012-.004-.008-.008-.008-.008-.016-.008-.008-.004-.008-.012-.012-.004-.012-.008-.004-.012-.012v-.004l-.008-.008-.004-.008-.008-.008-.008-.004-.004-.004-.008-.004-.02-.02-.008-.004h-.004l-.016-.008-.004-.012zm.008.012h-.008v-.012zm.047-1.031h.02l.004.039.004.035.004.039.004.043v.035l.004.035v.035l.004.039v.301l-.004.027-.004.031v.031l-.008.031-.004.027-.004.031-.008.055-.008.027-.004.027-.008.027-.004.027-.008.023-.008.027-.008.023-.02-.004.008-.023.023-.082.004-.023.008-.023.004-.031.004-.023.008-.027.008-.031.004-.027v-.027l.004-.031v-.027l.004-.035v-.031l.004-.035v-.273l-.004-.035v-.039l-.004-.035-.004-.039-.004-.035-.004-.043-.004-.039zm0 0zm-.035-.082v-.02h.012v.004h.008v.004h.004l.004.004h.004v.012h.004v.008l.004.004v.004l.004.004v.008l.004.008v.02l.004.004v.008h-.02v-.016l-.004-.004v-.012l-.004-.004v-.012h-.004v-.008h-.004v-.004l-.004-.008h-.004v-.004zm-.023.094h-.023V2.73l.004-.004v-.02l.008-.008v-.012h.004V2.68l.004-.008v-.004h.004l.012-.012h.012v.02h-.004v.004h-.004v.004l-.004.004v.008l-.004.004v.012l-.004.004v.031l-.004.012v.012zm-.023 0zm.047.605h-.02v-.285l-.004-.02v-.055l-.004-.02v-.043l-.004-.02v-.02l-.004-.02v-.039l-.008-.02v-.047l-.004-.02.023-.004v.02l.004.023v.043l.004.02v.043l.004.02v.043l.004.02v.039l.004.02v.059l.004.02zm-.086.43l-.02-.008.004-.012V3.77l.004-.016.004-.012.004-.016v-.016l.008-.023.004-.016V3.66l.008-.012v-.012l.004-.012.004-.016v-.008l.008-.031v-.012l.004-.012.004-.016v-.016l.004-.012v-.012l.004-.012v-.016l.004-.016v-.012l.004-.012v-.035l.004-.02h.02v.031l-.004.016v.027l-.004.016v.012l-.004.016v.016l-.004.012v.016l-.004.016-.004.012v.016l-.004.012-.004.016v.012l-.008.016v.012l-.004.012v.012l-.008.016-.004.012v.012l-.008.023-.004.016v.012l-.008.012-.004.016-.004.012v.012zm.07.059l-.008.023-.004-.008H8.09l-.008-.004-.004-.004H8.07l-.004-.008h-.004l-.008-.004h-.004v-.004l-.008-.004h-.004l-.004-.004-.004-.008h-.004v-.004h-.004l-.004-.004v-.004l-.004-.004v-.02l.02.004v.012h.004v.004l.004.004h.004v.004h.004l.004.004.008.004h.004l.008.008h.004l.004.008h.008l.004.004.008.004zm0 0zm.086.105l.008.02-.016-.008v-.004l-.004-.004v-.004l-.004-.004v-.008l-.004-.008-.016-.016-.008-.004v-.004h-.004v-.004h-.008v-.004l-.004-.004h-.004v-.008h-.008l-.004-.004h-.004l-.008-.008h-.004l.012-.02.004.004h.004l.004.008.008.008h.004v.004h.008l.004.008.008.004.004.008.008.004.004.004v.008l.008.004h.004v.004l.004.004v.004h.004v.008l.004.004v.004l.004.008v.004l.004.004v.004l-.012-.004zm.008.02h-.012l-.004-.008zm.027-.023l-.008.02h-.02l-.008-.016h.004l.004-.004zm.066.012h-.02l.012-.008.004.004v.016l-.004.004h-.004v.004H8.25l-.004-.004h-.008l-.004-.004h-.008l.004-.02h.016l.004.004h.02v.004h.016v.008zm-.02 0v-.02l.012.012-.016.008zm0 0h.02l-.02.004zm0 0" class="sr-B"/><path d="M7.969 4.305c.031-.02.039-.016.047-.027s.012-.047.008-.07c-.016-.105.047-.094.121-.043.035.02.07.078.098.105s.059.027.066.039v.184c-.008.012-.035.016-.066.043s-.062.082-.098.105c-.074.047-.137.063-.121-.043.004-.027.004-.055-.008-.07S8 4.52 7.969 4.5c-.02-.012-.035-.027-.047-.043s0-.035 0-.055-.008-.035 0-.051.027-.031.047-.043zm0 0" class="sr-D"/><g class="sr-B"><path d="M8.008 4.273l.016.008-.008.008h-.008v.004H8l-.004.004h-.004l-.004.004h-.004v.008h-.012v.004l-.012-.023h.012v-.004h.004l.004-.004h.004l.004-.004h.008v-.004h.008V4.27h.004zm.008-.066l.02-.004v.059l-.004.008v.004h-.004v.004l-.02-.012v-.004h.004v-.008h.004v-.051zm.133-.055l-.012.02-.008-.004-.012-.012-.008-.004h-.004l-.008-.004h-.004l-.008-.004h-.008v-.004H8.07l-.004-.004h-.02v.004h-.004v.004l-.004.004v.016l-.004.004v.039l-.02.004v-.059l.004-.008v-.008l.004-.004.008-.004.004-.004h.004l.004-.004h.004l.004-.004h.027v.004h.012l.008.004h.004l.008.008h.008l.004.004.016.008.004.004zm.098.109l-.012.012-.004-.004-.008-.004-.004-.008-.008-.008-.008-.004-.004-.004v-.004h-.004V4.23l-.016-.016v-.004l-.004-.004v-.004h-.008l-.004-.004-.008-.004-.004-.004h-.004l-.004-.004v-.004h-.004V4.18h-.004l.012-.023.004.008.004.004v.004h.008v.004h.008l.008.008v.004l.004.004h.004v.008l.008.004.004.004v.004l.012.012h.004v.004l.004.004.004.008.004.004.008.004v.004h.004v.008h.008v.004h.004zm.07.047h-.023v.008h-.004l-.004-.004h-.004v-.004h-.008l-.004-.008h-.004v-.004h-.004v-.004h-.008v-.004l-.008-.004-.008-.008.012-.012h.008v.004h.004v.004h.004v.004h.004v.004h.004l.008.008h.004l.004.004h.004l.004.004h.004v.004h.008v.004l.004.004v.004zm-.004-.004v.004zm0 .098h-.02v-.09l.02-.004zm-.02 0zm0 0h.02zm0 0zm.02.098l-.02-.012v.004-.086h.02zm0-.008v.004zm-.066.051l-.012-.016h.004v-.004l.004-.004.008-.004h.008v-.004h.004v-.004h.004l.004-.004h.004V4.5h.008v-.004h.008v-.004l.02.008-.008.008h-.004v.004h-.008l-.004.008h-.004v.004h-.008v.004H8.27v.004h-.004l-.008.008v.004zm-.098.105l-.016-.016h.004v-.004l.008-.004.008-.008.008-.004.012-.012v-.004h.008V4.59l.004-.008.004-.004v-.004l.004-.004.008-.004v-.004l.008-.008v-.004h.008v-.004l.008-.008h.004v-.008h.008v-.004l.016.016-.012.012v.004H8.23v.004l-.004.004-.008.004-.012.012v.008l-.004.004v.004l-.004.004h-.004v.004h-.008l-.004.008v.004H8.18l-.02.02-.008.004zm-.137-.051l.02.004v.051l.004.008v.004h.004v.004h.035v-.004h.008l.008-.004h.004l.008-.008.004-.008h.008l.008-.008.008-.004.012.016-.008.004-.012.012h-.008l-.008.004-.004.004h-.008l-.004.008h-.008l-.008.004h-.008l-.004.004h-.02l-.004-.004h-.008l-.004-.008-.008-.008v-.004l-.004-.004v-.016l-.004-.008v-.043zm-.004-.062l.016-.012v.004h.004v.008h.004v.012l.004.004v.051l-.02-.004v-.051h-.004v-.008h-.004zm-.047-.027l.012-.016h.004l.004.004h.004l.004.004h.004l.004.004h.012v.004h.004v.004h.004l.004.008.004.004-.016.012L8 4.531h-.004v-.004h-.008l-.004-.004h-.008V4.52h-.004l-.004-.008h-.004v-.004zm.012-.016l.012.004zm-.059-.031l.016-.012.004.004v.004h.004v.008h.004v.004h.004v.004h.004v.004h.004l.008.008h.004v.004h.004l-.008.02v-.004h-.004l-.008-.008h-.004v-.004h-.004v-.004h-.004v-.004h-.004V4.48H7.93v-.004h-.004v-.004l-.004-.004-.008-.004zm-.008-.062h.023v.051l-.016.008v-.004H7.91v-.008l-.004-.004zm.008-.055l.016.012v.008l-.004.004v.035h-.02v-.051h.004v-.008zm.047-.051l.016.023h-.004v.004h-.004l-.023.023v.004h-.004v.004h-.004v.004l-.023-.012h.008V4.34l.008-.008v-.004h.004l.004-.004V4.32h.004v-.004h.004l.004-.004h.004v-.004l.004-.004h.004v-.004h.004zm.016.023l.008-.008zm0 0"/><path d="M8.309 4.418v.02c-.078.008-.137.039-.191.086.035-.055.113-.094.191-.105zm0-.031v-.02c-.078-.008-.137-.039-.191-.086.035.055.113.09.191.105zm0 0"/></g><path d="M8.023 4.156c.02.012.047.023.07.043.031.027.012.078-.031.133-.012.012-.02.039-.02.07 0 .023.008.055.02.07.043.051.063.098.031.133-.02.02-.047.027-.066.039v-.047c.004-.027.004-.055-.008-.07S8 4.52 7.969 4.496c-.016-.008-.031-.023-.043-.043s0-.035 0-.051-.012-.039 0-.055.027-.031.047-.043c.031-.02.039-.016.047-.027s.012-.047.008-.07v-.051zm0 0" class="sr-D"/><path d="M8.102 4.191l-.02.012-.008-.008H8.07v-.004h-.004l-.004-.004h-.004v-.004h-.008V4.18h-.008v-.004h-.004l-.004-.004h-.004l-.004-.004h-.004l.008-.02h.004l.004.004h.004l.004.004h.004l.004.004h.004v.004h.008l.004.004h.004v.004h.004v.004h.004l.008.004zm-.031.145l-.016-.012.004-.004v-.004h.004l.008-.016v-.004l.004-.004v-.008l.004-.004v-.004h.004V4.27l.008-.004v-.008h.004v-.031l-.004-.008-.008-.004-.004-.004.016-.012.008.004v.004l.004.004v.004h.004v.012l.004.004v.02l-.004.004v.008l-.004.004v.012l-.004.004v.008l-.008.004v.008l-.004.008v.004l-.008.004-.004.008v.004l-.008.004-.008.008zm-.02.066h-.02v-.012l.004-.004v-.027h.004v-.02h.004v-.008l.004-.004v-.004h.004V4.32l.02.012h-.004v.008h-.004v.004l-.004.004v.02h-.004v.027h-.004v.012zm.02.066l-.016.012v-.004h-.004v-.004h-.004v-.008h-.004v-.023l-.004-.008v-.02h-.004v-.012h.02v.023l.004.004v.008l.004.004v.008l.004.004v.004h.004zm.031.145l-.02-.016h.008v-.004h.004V4.59l.004-.008v-.035l-.004-.004v-.004l-.004-.004v-.004l-.008-.008V4.52l-.004-.004-.004-.008v-.004L8.066 4.5l-.004-.004v-.004l-.004-.008-.008-.004.016-.012.004.004h.004v.008l.004.004.004.008h.008v.004l.004.008v.008l.008.008v.008l.004.004v.008l.004.004v.012l.004.004v.012l-.004.008v.012l-.004.004v.004l-.004.004v.004l-.008.004v.004zm-.086.035l.02-.004-.016-.008h.016v-.004h.008l.004-.004h.004l.004-.004h.004v-.004h.008v-.004h.004l.008-.008h.004v-.004h.004v-.004l.016.016h-.004v.004h-.004v.004H8.09l-.008.008h-.004l-.004.004H8.07v.004h-.008v.004h-.008v.004h-.012v.004h-.004l-.004.004h-.004l-.012-.008zm.012.008l-.012.008v-.016l.012.012zm-.012-.059l.02.004v.039l-.02.008zm-.008-.062l.016-.012v.004h.004v.008h.004v.012l.004.004v.051l-.02-.004v-.051h-.004v-.008h-.004zm-.047-.027l.016-.016h.004l.004.004h.004l.004.004h.004L8 4.504h.008v.004h.004l.004.004.004.008.004.004-.016.012-.004-.004H8v-.004h-.008l-.004-.004H7.98V4.52h-.004l-.004-.008h-.004v-.004zm0 0l-.004-.004.008.004zm-.047-.047l.02-.008.004.004v.004h.004v.008h.004v.004h.004v.004h.004v.004h.004l.004.004h.004v.004h.004v.004h.004l-.012.02v-.004h-.004L7.949 4.5h-.004v-.004h-.004v-.004h-.004v-.004h-.004v-.004H7.93V4.48h-.004v-.004l-.008-.008v-.004zm0 0l.008.012zm-.004-.059h.02v.047l-.016.012v-.004H7.91v-.008l-.004-.008v-.043zm.004-.059l.02.012v.008l-.004.004v.039h-.023v-.055h.004v-.008zm.051-.047l.012.02h-.004v.004h-.004l-.023.023v.004h-.004v.004h-.004v.004l-.02-.008h.004v-.004l.008-.008v-.004h.004l.004-.004v-.004h.004V4.32h.004l.004-.004h.004v-.004h.004v-.004h.004v-.008h.004zm.047-.02l.016.008-.008.008h-.008v.004h-.008L8 4.301h-.004l-.004.008h-.004v.004h-.012v.004l-.012-.023h.012v-.004h.004l.004-.004h.004l.004-.004H8v-.004h.008v-.004h.004zm.008-.066l.02-.004v.059l-.004.004v.004h-.004v.004l-.02-.008v-.004h.004v-.008h.004zm.008-.039v-.02l.012.012v.043l-.02.004v-.059l.008.012zm0-.02h.012v.012zm0 0v.02h-.004zm-2.008.387l.016-.004c-.031-.047-.043-.086-.027-.129-.027.031-.02.086.012.133zm0 0" class="sr-B"/><path d="M7.016 4.012c.027.031.023.039.039.051s.039.008.066 0c.098-.039.098.039.07.129-.016.039-.059.086-.074.125-.02.031-.016.059-.02.07l-.082.012-.078.008c-.012-.004-.023-.031-.055-.059l-.117-.094c-.062-.07-.094-.137.004-.133.023 0 .047-.004.059-.02s0-.023.008-.062c.008-.023.016-.047.027-.059s.031-.012.047-.016.031-.012.051-.004.039.023.055.047zm0 0" class="sr-D"/><g class="sr-B"><path d="M7.059 4.051l-.012.02-.012-.012v-.004h-.004v-.004l-.004-.004v-.004l-.004-.004v-.004H7.02v-.004l-.008-.008-.004-.008.016-.012.008.008v.004h.004v.012h.004v.008h.004v.004l.004.004v.004h.004v.004l.004.004zm-.012.02zm.07-.02l.004.02h-.008l-.004.004h-.016v.004h-.027l-.004-.004h-.004l-.004-.004h-.004l.008-.02v.004h.016v.004h.023l.004-.004h.008l.004-.004zm.082.141l-.02-.004V4.18l.004-.008V4.16l.004-.008v-.008l.004-.004v-.016l.004-.008v-.035l-.004-.004V4.07h-.004l-.004-.004H7.18l-.008-.004h-.031l-.008.004h-.008l-.008-.016.008-.004h.008l.008-.004h.039l.004.004h.008l.008.016v.004l.004.004.004.008v.066l-.004.008v.012l-.004.008v.008l-.004.008v.008zm-.074.129l-.02-.008v-.004l.004-.008.004-.004v-.004l.004-.004v-.008l.008-.008V4.27l.016-.016.004-.008.004-.004v-.004l.004-.004h.004v-.008l.004-.004v-.004l.008-.008v-.004l.004-.004v-.004l.004-.008.02.008v.004l-.004.004v.004l-.004.004-.004.008v.004l-.004.004v.008l-.008.008v.004l-.008.004-.004.004v.004l-.008.008v.004l-.004.004v.004l-.008.008v.004l-.004.004v.008h-.008v.008l-.008.008v.004zm-.031.078l-.004-.02-.008.004v-.012h.008v-.02l.004-.004V4.34l.004-.004v-.008l.004-.008v-.004h.004l.02.008-.004.004-.004.008v.004h-.004v.016h-.004v.016l-.004.008v.008l-.004.004v.004zm.008 0h-.004zm-.086.012v-.02h.02v-.004h.023v-.004h.023l.008-.004.004.02h-.012l-.004.004h-.02l-.004.004h-.023v.004zm0 0zm0 0v-.02.008-.008.02-.012zm0-.02zm-.082.027l.008-.02h-.004.027l.004-.004h.039l.004-.004.004.02H7v.004h-.027v.004zm.004 0h-.004zm-.059-.059l.008-.02.012.012h.004l.008.008.004.008.004.004v.004h.004v.004h.004v.004l.004.004v.004h.004v.004h.004v.004l-.008.02v-.004h-.004l-.008-.008v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.004l-.012-.012-.004-.008v-.004h-.004v-.004h-.008v-.004zm-.121-.098l.016-.012.004.004.004.008.008.004h.004v.008l.004.004h.008l.004.004h.004l.004.008.012.012h.004v.008l.008.004h.004l.016.016h.004l.012.012h.004v.004l-.008.016h-.008v-.004l-.004-.004h-.004v-.004l-.008-.004h-.004L6.84 4.34l-.008-.004h-.004v-.004l-.004-.004H6.82l-.004-.004h-.004V4.32h-.008l-.008-.008h-.004v-.008h-.004l-.004-.008-.004-.004h-.004v-.004H6.77v-.008l-.004-.004h-.004v-.004l-.008-.004zm.008-.148v.02h-.027l-.004.004h-.008l-.004.004v.004h-.004v.031l.004.004v.008l.008.008.008.016.004.004.004.008.012.012v.004l.016.016-.016.008-.012-.004-.016-.031-.012-.012v-.008l-.004-.008v-.008l-.008-.004V4.18l-.004-.004v-.043l.016-.016h.004l.008-.004h.012l.008-.004h.02zm.051-.016l.016.008-.008.008H6.82v.004h-.004l-.004.004h-.004l-.004.004h-.012l-.004.004h-.02v-.02h.027l.004-.004h.004l.004-.004h.004v-.004h.004v-.004zm0 0zm.008-.059l.02.004v.008H6.84v.043h-.004v.008l-.004.004-.02-.008h.004v-.031l.004-.004v-.016l.004-.004zm.027-.063l.016.012-.004.004v.004h-.004v.008h-.004v.008h-.004v.008l-.004.004v.008l-.004.004v.008l-.02-.004v-.012l.004-.004v-.012l.004-.004V4h.004v-.008h.004v-.008h.004V3.98h.004v-.008h.004zm.016.012l.012-.016-.008.016zm.035-.031l.004.02h-.027v.004h-.008v.004h-.004l-.016-.008.008-.008h.004v-.004h.008l.004-.004h.027zm.004.02h-.012zm.055-.023l-.008.02h-.031l-.008.004h-.008l-.004-.02h.02l.004-.004h.039zm.063.059H7v.004-.004h-.004v-.004l-.02-.02h-.004v-.004h-.004l-.008-.008h-.004l-.004-.004.012-.02v.004h.004l.004.004h.004v.004h.004v.004h.004l.012.012H7v.004h.004v.004L7.016 4v.004zm-.004-.008h.004v.008-.008zM7 4.012h.023L7 4.016v-.008zm0 .004v-.008zm0 0"/><path d="M7 4.402h-.016c-.027-.078-.07-.141-.125-.191.055.027.109.105.141.188zm.027-.004c.008-.086.016-.156.047-.227-.039.051-.055.141-.047.227zm0 0"/></g><path d="M7.164 4.051c-.004.027-.008.063-.02.086-.02.043-.074.027-.129-.012-.02-.012-.047-.016-.07-.012s-.047.016-.059.031c-.031.055-.07.082-.105.055-.02-.02-.039-.047-.055-.07.012-.004.023-.008.043-.008s.047-.004.059-.02 0-.02.012-.059c0-.027.012-.047.023-.063s.031-.012.047-.012.031-.016.051-.004.039.023.055.043c.027.035.023.043.039.051s.043.008.066 0 .031-.012.043-.008zm0 0" class="sr-D"/><path d="M7.152 4.141l-.02-.008.004-.004v-.008l.004-.004v-.008l.004-.004v-.02l.004-.004v-.023h.004v-.008h.023v.02l-.004.008v.02h-.008v.016H7.16v.012h-.004v.008l-.004.004zm-.141-.008l.008-.016.008.004h.004l.004.004h.004l.008.008h.004l.008.008h.004l.008.004h.008v.004h.016l.004.004h.02v-.004h.004l.004-.004.004-.008.004-.004.02.012-.016.016v.004h-.004l-.004.004h-.004l-.004.004h-.043l-.004-.004H7.07l-.004-.004h-.004l-.004-.004h-.004l-.008-.004-.004-.004h-.004l-.004-.008-.004-.004h-.008l-.008-.008zm-.062-.008l-.004-.02h.02v-.004h.027v.004h.012v.004h.008v.004h.004l.004.004-.008.016h-.004v-.004h-.012v-.004zm-.055.023l-.016-.012v-.004h.004v-.004h.004v-.004l.004-.004h.004v-.004h.004l.004-.004h.004l.004-.004h.008v-.004h.016l.004-.004h.012l.004.02h-.016v.004H6.93v.004h-.008l-.004.004h-.004v.004H6.91v.004h-.004v.004h-.004zm-.117.055l.012-.016h.004v.004h.012l.004.004h.008l.008-.004h.004v-.004h.008v-.004h.004V4.18h.008v-.008h.004v-.004l.016-.016v-.004h.004v-.008l.008-.004.016.008v.004l-.008.004v.008l-.004.004h-.004v.008l-.008.004-.012.012h-.004l-.004.008h-.004v.004H6.84l-.008.004h-.008l-.004.004h-.023l-.004-.004h-.004l-.008-.008h-.004zm-.055-.086l.008.02.008-.016v.004h.004v.004l.004.004v.004h.004v.004l.004.004v.004h.004v.004l.004.004.004.008.004.004v.004h.004v.004h.004v.004h.004v.004h.004v.004h.004l-.012.02-.012-.012v-.004h-.004v-.004h-.004v-.004h-.004V4.18H6.75v-.008h-.004v-.004h-.004v-.004h-.004v-.008h-.004v-.004H6.73v-.008h-.004v-.004h-.004v-.027zm0 .016l-.008-.008.008-.008zm.047-.02v.02h-.031v.004H6.73l-.008-.02h.023v-.004zm.051-.016l.016.008-.008.008h-.004v.004H6.82l-.004.004h-.004l-.004.004h-.016l-.004.004h-.023v-.02h.027l.004-.004h.008v-.004h.004v-.004h.004v-.004zm0 0zm.008-.059l.02.008v.004l-.004.008v.035H6.84v.012h-.004l-.02-.008h.004V4.07h.004v-.027zm.027-.063l.016.012-.004.004v.004h-.004v.008h-.004v.008h-.004v.008l-.004.004v.016h-.004v.008l-.02-.004v-.016l.004-.004v-.008l.004-.004v-.008h.004v-.008h.004v-.008h.004v-.004h.004v-.008zm0 0l.008-.012zm.051-.02l.004.02h-.012v.004h-.02v.004h-.004l-.004.004-.016-.012.008-.008h.004v-.004h.008l.004-.004h.027zm0 0h.016zm.063 0l-.012.016h-.035v.004H6.91l-.004-.02h.016v-.004h.043zm-.012.016l.004.004zm.066.031l-.012.012-.004-.004H7v-.004l-.02-.02h-.004v-.004h-.004l-.004-.004h-.004v-.004h-.004l-.004-.004.012-.02v.004h.004l.004.004h.004v.004h.004v.004h.004L7 3.98h.004v.004h.004v.004L7.02 4v.004zm.039.051l-.012.02-.012-.012v-.004h-.004v-.004l-.004-.004v-.004l-.004-.004v-.004h-.004v-.004l-.004-.004-.008-.016.012-.012.008.004.004.008v.004h.004v.004l.004.004v.008h.004v.004l.004.004v.004h.004v.004l.004.004zm-.012.02l-.004-.004h.004zm.07-.02l.004.02h-.012l-.004.004h-.016v.004h-.027l-.004-.004h-.004l-.004-.004h-.004l.012-.02v.004h.012l.004.004h.023l.004-.004h.008l.004-.004zm.055 0h-.02l.008.008h-.02l-.004.004h-.008l-.004.004h-.004l-.004-.02.004-.004h.016v-.004h.031l.008.008zm-.012-.012h.016l-.004.012zm0 0" class="sr-B"/><path d="M6.637 4.438c.012-.02.02-.016.023-.027.004-.02-.008-.039-.02-.062-.043-.094.004-.086.07-.051.02.012.039.027.063.043l.051.047c.035.023.055.023.063.035.02.039.027.07.035.082a.62.62 0 0 1 .031.086c0 .008-.02.012-.035.039s-.023.07-.039.094c-.027.035-.051.055-.07.051s-.031-.027-.035-.086c0-.023-.012-.043-.031-.059-.008-.012-.012-.008-.039-.023-.016-.012-.035-.027-.047-.043s-.016-.023-.02-.039-.016-.031-.016-.047.008-.031.016-.043zm0 0" class="sr-D"/><g class="sr-B"><path d="M6.648 4.406l.023.008v.004l-.008.004v.004H6.66v.004h-.004v.004h-.004l-.004.004v.004h-.004l-.016-.012v-.004l.012-.012h.004V4.41h.004zm.023.008zm-.039-.062l.02-.008v.008l.004.004v.008l.004.004v.004l.004.008v.039l-.02-.008v-.023l-.004-.004v-.008h-.004v-.008h-.004zm.086-.059l-.012.016h-.008l-.004-.008h-.004l-.008-.004H6.68l-.008-.004h-.008l-.004-.004h-.008l-.004-.004h-.012v.031l.004.008.004.004.004.008.004.012-.02.008v-.008l-.008-.016V4.32l-.004-.004v-.031l.004-.004h.004l.004-.004h.004l.004-.004h.023l.004.004h.012l.008.004.004.004h.008l.008.008.008.004h.008zm.055.039l-.012.02v-.008h-.004L6.75 4.34h-.004v-.004h-.004v-.004h-.004v-.004h-.004l-.004-.004h-.004V4.32h-.004l-.008-.008h-.004l-.004-.004.012-.02v.004h.004v.004h.004l.004.004h.004v.004h.004l.004.004h.004v.004h.004v.004h.004l.012.012h.004v.004zm.055.051l-.012.016h-.004v-.004h-.004v-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.008h-.004l-.012-.012H6.77v-.004h-.004v-.004h-.004l.012-.02v.004h.004l.004.004v.004h.004l.008.008h.004v.004h.004v.004h.004v.004h.004l.008.008h.004v.008h.004zm.066.039l-.02.004v.004-.004h-.004v-.004h-.008l-.004-.004h-.004l-.004-.004h-.004l-.004-.004h-.008v-.004h-.008v-.004h-.004v-.004h-.008v-.004l.012-.016.004.004h.008v.004h.004l.004.004h.004l.004.004h.004v.004h.008l.004.004h.008v.004h.004l.004.004h.004v.008zm-.004-.008v.004zm.035.09l-.02.008V4.5l-.004-.004v-.008l-.004-.004v-.012h-.004v-.008l-.004-.004v-.008h-.004v-.012h-.004v-.008h-.004v-.008l.02-.008v.008l.004.008v.004l.004.004v.008l.004.004v.008l.004.004v.008h.004v.008l.004.004v.008h.004zm0 0zm0 0l-.02.008h.004l.008.008-.012-.012.016.012-.012-.012.012.012-.012-.012.004.008-.004-.008v.004l.023-.008v.004V4.5v.008l-.008-.012.012.012-.012-.012.012.012-.008-.012h.008v.008zm0-.004v.004zm.031.098l-.02-.004v.004-.008l-.004-.008v-.004L6.93 4.57v-.004l-.004-.008v-.004l-.004-.004v-.008l-.004-.004v-.004l-.004-.004v-.008L6.91 4.52l.02-.012v.012h.004v.008h.004v.012l.004.004v.004l.004.008v.008l.004.004v.008l.004.004v.004l.004.004zm0-.008v.008zm-.031.047l-.023-.008.004-.004v-.004h.004v-.004l.004-.004v-.004h.008v-.004h.004l.004-.004h.004v-.004h.004v-.004l.02.004v.008h-.004v.004h-.004v.004h-.004l-.02.02zm-.047.102l-.012-.016.004-.004v-.004h.004v-.008l.004-.004v-.008l.004-.004v-.008h.004v-.008h.004v-.012h.004V4.66l.004-.008v-.004l.004-.004v-.004l.004-.004.02.008-.004.004v.008h-.004v.008h-.004v.012l-.004.004v.004l-.004.004v.008l-.004.004v.004l-.004.004v.008l-.004.004v.004h-.004v.008h-.004v.008l-.004.004v.004zm-.074.055l.004-.02h.008V4.77h.004l.004-.004h.004v-.004h.004l.008-.004.012-.012.004-.008.004-.004V4.73h.004v-.008l.02.016h-.004v.008h-.008v.004h-.004v.008h-.008v.008h-.004v.004h-.004l-.012.012h-.008v.004h-.008v.004h-.02zm-.043-.102h.02v.008l.004.004v.02h.004v.012l.004.004v.008l.004.004v.004h.004v.004h.004v.004h.004v.02h-.016v-.004h-.004l-.008-.008v-.008h-.004v-.004l-.004-.004V4.75l-.004-.008v-.008h-.004v-.02l-.004-.004zm-.023-.051l.012-.012.008.004v.004h.004v.004l.004.004v.004h.004v.004l.004.008v.004h.004v.012h.004v.012l-.02.004v-.02h-.004v-.008L6.75 4.66v-.004h-.004v-.004h-.004v-.008h-.004v-.004h-.004zm-.039-.02l.008-.016h.004v.004h.008v.004h.008v.004h.008v.004h.008v.004h.004v.004l-.012.012H6.73l-.004-.004h-.008v-.004h-.008l-.004-.004h-.004l-.004-.004h-.004zm-.051-.043l.012-.012.004.004.008.004.008.008h.004v.008h.004v.004h.004l.004.004h.004v.004h.004l.004.004-.012.02v-.004h-.004v-.004h-.008v-.004l-.004-.004h-.004l-.016-.016h-.004V4.59h-.004v-.008zm-.023-.043l.02-.008v.004h.004v.008h.004v.008h.004v.008h.004v.004l.004.004-.016.016h-.004V4.57h-.004v-.008h-.004v-.008l-.004-.004v-.016h-.004v-.004zm-.012-.051h.02V4.5h.004v.008l.004.004v.004l.004.004v.004l-.02.012v-.023h-.004v-.008h-.004v-.012h-.004v-.016zm.02 0v.004zm.008-.031v-.02l.004.016v.008h-.004v.004h-.004v.016h-.004v.004h-.02v-.016l.004-.004v-.008l.004-.004v-.008h.004v-.008h.004V4.43h.004l.008.016zm0-.02h.02l-.016.016zm0 0v.02l-.008-.016.008-.008zm0 .02h-.02l.012-.016zm0 0"/><path d="M6.93 4.535l.004.02c-.027.008-.051.02-.07.035s-.035.039-.047.063c.004-.027.02-.051.039-.074a.17.17 0 0 1 .078-.043zM6.918 4.5l-.012-.02c-.031 0-.062-.008-.094-.02a.35.35 0 0 1-.086-.055c.02.023.051.047.086.066a.49.49 0 0 0 .102.027zm0 0"/></g><path d="M6.629 4.289c.02.008.031.016.055.035.016.016.027.035.031.063 0 .02 0 .047-.008.074-.004.016 0 .043.012.074s.02.055.039.07c.047.047.082.098.066.133-.004.016-.016.027-.027.035-.008-.012-.02-.023-.027-.043-.004-.027-.016-.051-.031-.07-.012-.012-.016-.027-.039-.043s-.043-.008-.055-.02c-.023-.035-.059-.113-.023-.145s.043-.055.02-.113c-.012-.02-.012-.039-.012-.051zm0 0" class="sr-D"/><path d="M6.691 4.316l-.016.016-.012-.012H6.66v-.004h-.004v-.004h-.008v-.004h-.004l-.004-.004h-.004l-.004-.004h-.008l.004-.02h.008v.004h.008v.004h.008v.004h.008v.004h.004v.004h.008l.008.008h.004v.004h.004v.004zm.031.066l-.02.004v-.016h-.004v-.012h-.004v-.008l-.004-.004v-.004h-.004V4.34h-.004v-.004H6.68v-.004h-.004l.016-.016h.004v.004l.004.004v.004h.004v.004l.004.004v.004h.004v.008l.004.004v.008h.004v.016h.004zm-.004.078h-.02v-.027h.004v-.047l.02-.004v.066l-.004.004zm-.02 0v-.004zm.027.07l-.02.004v-.008l-.004-.008v-.008l-.004-.008v-.016h-.004v-.027h.02V4.5h.004v.012h.004v.016h.004v.008zm.035.066l-.016.012v-.004l-.004-.004h-.004v-.008h-.004V4.59l-.004-.008v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.012l-.008-.008v-.008h-.004l.02-.008v.004l.004.004v.004l.008.008v.008l.004.004v.004h.004v.004h.004v.008h.008v.004h.004v.004h.004v.004zm.07.145l-.02-.008.004-.004v-.027l-.004-.004v-.008l-.004-.004v-.004l-.008-.008v-.004l-.008-.008V4.66l-.004-.008-.004-.004v-.008l-.008-.004-.027-.027h-.004l.016-.016.008.004.004.004.008.016.008.004.004.004v.004l.004.008.008.004.004.004v.004l.004.004.004.008v.004l.008.008v.004l.004.004v.004l.004.008v.012l.008.004v.027l-.008.004zm-.047.035l.02-.008-.016-.004.004-.004h.004v-.004h.004v-.004h.004V4.75l.004-.004v-.004l.004-.004v-.004l.02.008v.004l-.004.004v.004l-.004.004v.004H6.82v.004h-.004v.004h-.004v.004h-.004v.004h-.004l-.004.004zm.016.004l-.008.004-.008-.008zm-.039-.051l.02-.008v.012h.004v.008h.004v.004h.004v.004l.004.004v.004h.004v.008l-.016.008V4.77h-.004v-.004l-.004-.004v-.004h-.004v-.004H6.77v-.008l-.004-.004v-.004l-.004-.004v-.008zm-.031-.066l.016-.016v.004h.004v.008l.008.004v.004l.004.004v.004h.004v.008h.004v.008l.004.004v.008l.004.008v.012l-.016.008v-.012h-.004v-.008l-.008-.004v-.012h-.004v-.004l-.004-.004v-.004l-.004-.004v-.004h-.004v-.004l-.004-.004zm0 0zm-.039-.043l.008-.02.008.004.004.004h.004l.012.012v.004h.004v.004h.004v.004l.008.008v.004h.004v.004l-.016.016-.004-.004v-.008h-.004v-.004h-.004v-.008h-.004v-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.008v-.004zm-.055-.027l.016-.012h.004v.004h.004v.004h.02l.004.004h.008l.004.004h.004l.004.004-.008.02v-.004h-.008l-.004-.004h-.02v-.004h-.008l-.004-.004h-.004zm-.023-.156l.016.016v.004h-.004v.008h-.004v.043l.004.004v.012l.004.004v.004l.004.008v.004l.004.004v.004l.004.004v.004l.004.004v.004h.004v.004l.004.004-.012.016-.004-.008-.004-.004v-.004l-.004-.004v-.004h-.008v-.008l-.004-.004-.004-.008v-.004l-.004-.008v-.004l-.004-.004v-.012l-.004-.008v-.039l.004-.008v-.004h.004l.004-.004.004-.008zm.016-.102l.02-.008v.008l.004.004v.008l.004.004v.012h.004v.035l-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.004l-.004.004-.008.004h-.004l-.004.008-.016-.012.004-.008h.004l.004-.004.004-.008.004-.004v-.004l.004-.004v-.004l.004-.008v-.016l-.004-.004v-.008l-.004-.004-.004-.008v-.004zm0-.059v.02l.008-.016v.031h.004v.02h.004l-.02.012v-.016h-.004v-.016l-.004-.004v-.02l.008-.016zm-.012.008l-.008-.012h.016l-.012.012zm.008.008v-.02zm0-.02zm0 0" class="sr-B"/><path d="M7.48 4.539c-.023.02-.031.02-.039.031s0 .039.004.066c.031.102-.027.086-.098.051-.035-.02-.074-.062-.105-.086s-.051-.023-.059-.035L7.16 4.48c0-.012-.008-.047-.02-.086.008-.016.031-.023.051-.051.02-.035.043-.094.074-.121.059-.066.117-.09.117.027 0 .027.008.059.02.07s.023.008.051.02c.02.012.039.027.055.043s.008.039.012.055.012.035.004.051-.02.035-.039.051zm0 0" class="sr-D"/><g class="sr-B"><path d="M7.453 4.574l-.02-.012h.004v-.008h.008v-.004h.008v-.004h.004l.004-.004h.004v-.004h.004v-.004h.004v-.004l.016.016-.004.004H7.48v.004h-.004l-.008.008h-.004v.004h-.008v.004h-.004zm-.02-.012zm.02.07l-.016.004v-.004l-.004-.004v-.012H7.43V4.57h.004v-.004l.02.008v.004h-.004v.043h.004zm-.109.059l.012-.016h.004l.008.008h.004l.008.004h.004l.004.004h.004l.008.004h.012l.004.004h.016v-.004h.004v-.008l.004-.004V4.66l-.004-.008v-.004l-.004-.008.02-.008v.008l.004.008v.016l.004.008v.02l-.004.008v.004l-.008.008h-.004l-.004.004-.008.004h-.027l-.004-.004h-.012l-.008-.004-.004-.004h-.004l-.016-.008-.004-.004h-.008zm-.109-.086l.012-.02.004.004.008.004.004.008h.004v.004h.008v.008l.008.008h.004v.004h.008l.004.008.008.008.004.008h.004v.004l.004.004h.004l.004.004v.004h.008v.004h.004l.004.004.008.004-.012.02-.004-.004h-.004v-.004l-.008-.004h-.004l-.008-.008h-.004l-.004-.004h-.004v-.008h-.004l-.008-.004h-.004v-.008l-.004-.008h-.004l-.012-.012h-.004v-.004H7.25l-.004-.004-.004-.008-.008-.004-.004-.004h-.004zm.012-.02zm-.078-.02l.02-.004v-.004h.004v.004h.008l.004.004h.008v.004h.016l.004.004h.004l.008.008h.004l.004.004-.012.02v-.004h-.004v-.004H7.23l-.008-.008h-.008l-.004-.004h-.004v-.004h-.008l-.004-.004h-.004l-.004-.004h-.004V4.57H7.18v-.008zm.004.004v-.004zm-.012-.082v-.02l.012.008v.008l.004.004v.02h.004v.027h.004v.02h.004v.008l-.023.004v-.012l-.004-.008v-.012l-.004-.008v-.016h-.004v-.016l-.004-.004V4.48l.008.008zm0-.02h.012v.008zm-.012.012l.023-.004v-.004l-.012-.004v.02h-.008l-.004-.012zm.023-.004zm-.039-.09l.02.008v-.004.02h.004v.023l.004.004v.02l.004.004v.016l-.02.004v-.027l-.004-.004v-.016l-.004-.008v-.012h-.004v-.016l-.004-.004v-.008zm0 .004v-.004zm.051-.055l.02.008-.008.008-.004.008-.008.008H7.18v.004h-.004l-.004.004h-.008v.004H7.16v.004h-.004v.004h-.004l-.02-.004h.004v-.012h.004v-.004h.008v-.004h.004l.012-.012h.008v-.004l.008-.008v-.004h.004v-.004zm.074-.125l.016.012H7.27v.008h-.004v.008l-.008.004v.004l-.004.004v.004H7.25v.008l-.004.004v.008l-.008.004v.004l-.004.004v.004l-.004.004v.004l-.004.004v.008l-.004.008v.004l-.004.004v.004h-.004v.004l-.008.008-.02-.008.004-.004.004-.008v-.004h.004v-.004l.004-.004v-.008l.004-.004v-.004l.004-.004v-.004l.004-.004v-.004l.004-.004V4.27h.004l.004-.008v-.004l.004-.004V4.25l.004-.004v-.004l.008-.004V4.23l.008-.008v-.004l.004-.004h.004v-.008zm.133.035h-.02v-.027l-.004-.008v-.012l-.004-.004v-.008l-.004-.004h-.004V4.18h-.027l-.004.004-.008.004h-.004l-.004.004-.004.008-.008.004-.012.012-.008.004-.004.004-.016-.012.012-.012.008-.004.004-.008.004-.004.016-.008.004-.004h.004l.004-.008h.004l.008-.004h.004l.004-.004h.027l.023.023v.012l.004.012v.008l.004.004zm.02.066l-.016.016-.004-.004V4.32h-.004v-.004l-.004-.004v-.012l-.004-.004v-.016l-.004-.004v-.023h.02v.039h.004v.004l.004.004v.008h.004v.004l.004.004zm0 0zm.047.02l-.008.02-.008-.004h-.004l-.004-.004h-.008V4.34h-.02v-.004h-.008v-.004h-.004v-.004l.012-.012v.004h.008v.004h.016l.004.004h.008l.004.004h.004l.004.004zm.055.047l-.016.012h-.004v-.004l-.004-.004h-.004v-.012H7.48l-.004-.004h-.004v-.004h-.004v-.004h-.008v-.004h-.004l-.004-.004.004-.02.008.004h.004l.008.008h.004v.004h.004l.004.004h.004v.004h.004v.004H7.5v.004h.004v.004h.004v.004h.004zm-.016.012l.008.008zm.031.043l-.02.004v-.023L7.5 4.41v-.016h-.004v-.008l.016-.016v.008l.004.004v.004l.004.004v.043h.004v.004zm0 .063l-.016-.008v-.043l-.004-.004v-.008h.02v.02l.004.004v.035zm-.039.051l-.012-.016h.004v-.004l.004-.004V4.52h.004v-.004h.004v-.004h.004v-.004l.004-.004V4.5l.004-.004v-.004h.004v-.004l.02.008-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.004h-.004v.004l-.008.008v.004h-.004zm-.012-.016zm0 0"/><path d="M7.16 4.465l-.004-.02c.063-.016.117-.055.156-.105-.023.059-.086.105-.156.125zm.004.031c0 .008.004.012.008.02a.32.32 0 0 1 .184.059c-.043-.043-.117-.074-.191-.078zm0 0"/></g><path d="M7.453 4.68c-.023-.004-.047-.016-.066-.031-.031-.023-.023-.074.004-.125.008-.02.012-.047.004-.07 0-.027-.012-.051-.027-.07-.047-.047-.074-.098-.051-.133.016-.027.039-.043.055-.055.008.012.008.027.008.051s.008.059.02.07.023.008.051.02c.02.016.039.027.051.043s.016.039.016.055.012.035.004.051-.02.035-.039.051-.031.02-.039.031 0 .039.004.066c.008.02.008.035.008.047zm0 0" class="sr-D"/><path d="M7.379 4.66l.012-.02h.004v.004h.004l.004.004h.004l.004.004h.004l.008.008h.008v.004h.008l.004.004h.008l.004.004h.004l-.008.02h-.008v-.004h-.008l-.004-.004h-.004V4.68h-.012l-.004-.004h-.004l-.004-.004h-.004v-.004h-.004l-.004-.004h-.004V4.66zm0-.141l.02.008v.004h-.004l-.004.008v.004l-.004.004v.004l-.004.008v.008l-.004.004v.008l-.004.004v.031l.004.008v.004h.004v.004l.008.008-.012.016-.008-.008v-.004h-.004v-.008l-.004-.004v-.008l-.004-.004v-.043h.004v-.016l.004-.004.004-.008v-.004l.004-.004v-.008l.004-.004v-.012zm.008-.066l.02-.004v.016h.004V4.5l-.004.004v.016h-.004v.004l-.02-.008h.004v-.012h.004v-.051zm-.027-.066l.016-.016v.008h.004v.008h.004v.004l.004.004v.004l.004.004v.004l.004.004v.008h.004v.016l.004.004v.016h-.02V4.43l-.004-.004v-.008h-.004V4.41h-.004v-.004l-.004-.004v-.004h-.004v-.004l-.004-.004zm0 0zm-.055-.145l.02.012H7.32v.016l-.004.004v.012l.004.004v.008l.004.004v.008l.004.004v.004l.004.004v.004l.008.004v.004l.008.008v.004l.008.004.004.008v.004l.008.008h.004l-.012.016-.008-.008-.008-.004-.004-.004v-.008l-.016-.016V4.34l-.008-.004-.004-.004h-.004v-.008l-.004-.004v-.004l-.004-.004v-.004l-.004-.008v-.008l-.004-.004v-.02l.004-.008v-.004l.004-.004V4.25zm.078-.051l-.016.008.012.008h-.004l-.004.004h-.004l-.004.004h-.004v.004h-.004v.004h-.004l-.02.02v.004h-.004v.004l-.004.004-.02-.012h.004v-.004l.008-.008v-.004h.004v-.004h.004v-.004h.004v-.004h.004l.008-.008h.004v-.004h.004l.008-.008h.004v-.004zm-.012 0l.008-.008v.012h-.012zm.02.059h-.02v-.043h-.004v-.008l.02-.008v.02h.004v.043zm.02.066l-.016.016-.004-.004v-.004h-.004V4.32l-.004-.004v-.016l-.004-.004v-.016l-.004-.004v-.023h.02v.031h.004v.012l.004.004v.008h.004v.004zm.047.02l-.008.02-.008-.004h-.004l-.004-.004h-.008v-.004h-.02V4.34h-.008v-.004h-.004v-.004l.012-.016v.004h.008v.004h.016l.004.004h.008l.004.004h.004l.004.004zm.055.043l-.016.012h-.004v-.004l-.004-.004h-.004v-.008H7.48l-.004-.004h-.004v-.004h-.004v-.004h-.008v-.004h-.004l-.004-.004.004-.02.008.004h.004l.008.008h.004v.004h.004l.004.004h.004v.004h.004v.004H7.5v.004h.004v.004h.004v.004h.004zm-.016.012l.008.012zm.031.047l-.02.004v-.027H7.5v-.016h-.004v-.008l.016-.012v.004l.004.004v.004l.004.004v.039h.004v.004zm0 .059l-.016-.008v-.043l-.004-.004v-.008h.02v.02l.004.004v.035zm-.039.055l-.012-.016h.004v-.004l.004-.004v-.004h.004V4.52h.004v-.008h.004v-.004l.004-.004V4.5h.004v-.008h.004v-.004l.02.008-.004.004v.004l-.004.004v.004l-.004.008v.004h-.004v.004h-.004v.004l-.008.008v.004h-.004zm-.012-.016zm-.02.043l-.02-.012v-.004h.004v-.004h.004v-.004h.008v-.004h.004l.004-.004h.004v-.004h.004v-.004h.004v-.004l.016.016-.004.004H7.48v.004h-.004l-.008.008h-.004l-.004.004h-.004v.004h-.004v.004zm-.02-.012zm.02.07l-.02.004v-.012h-.004v-.062h.004l.02.008h-.004v.055h.004zm-.02.004zm.016.051l.004-.02-.012.012v-.02h-.004v-.02l-.004-.004.02-.012v.02h.004v.02h.004v.016zm.012-.008v.012l-.012-.004zm-.008 0l-.004.008zm.008 0v.012l-.012-.004zm0 0" class="sr-B"/><path d="M7.012 4.34c.082 0 .16.07.168.156s-.043.152-.121.156-.148-.059-.164-.148c-.016-.078.035-.16.121-.16zm0 0" class="sr-D"/><path d="M7.191 4.492l-.02.004V4.48l-.008-.008v-.004l-.004-.008v-.008l-.008-.016-.004-.004-.008-.016-.008-.008-.004-.008-.008-.004-.004-.004-.004-.008-.008-.004-.004-.004-.008-.004h-.008l-.008-.008H7.07l-.004-.004h-.008l-.008-.004h-.004l-.008-.004h-.027v-.02h.035l.008.004h.008l.008.004h.008l.008.008.031.016.012.012.008.004.004.008.008.004.012.023.008.008.012.023v.008l.004.008v.008l.004.008v.016zm-.133.168v-.02h.016l.004-.004h.016l.004-.004h.008l.004-.004.008-.004h.004l.004-.008h.004l.004-.004.004-.008.008-.004v-.004l.008-.008v-.008l.008-.008.004-.008v-.004l.004-.008v-.012l.004-.008v-.043l.02-.004v.051l-.004.008v.016l-.004.008v.008l-.004.004v.012l-.008.004-.004.008-.008.004h-.004l-.004.008-.012.012h-.004l-.008.004-.004.004h-.004l-.008.008h-.008l-.004.004h-.008l-.004.004h-.031zm-.176-.156l.02-.004v.016l.004.012v.004l.008.008v.008l.008.004.008.016.004.004.004.008.004.004.008.016h.008l.004.004.004.008.004.004.008.004.004.004h.008l.008.004.004.004h.008l.008.004h.012l.008.004h.023v.023H7.02l-.008-.008h-.008l-.008-.004h-.008l-.008-.008-.016-.008-.004-.004-.023-.012-.008-.008-.004-.008-.012-.012-.008-.016-.004-.004-.012-.023v-.008l-.008-.016zm.125-.172v.02h-.02l-.008.004h-.008l-.004.004h-.008l-.004.004h-.004l-.004.008-.008.004-.004.004v.004l-.008.008-.004.008-.004.004v.004l-.008.008v.008l-.004.004v.012l-.004.008v.016l-.004.004v.016l.004.008v.016l-.02.004v-.066l.004-.008V4.43l.004-.008v-.008l.004-.008v-.004l.012-.012.004-.008.004-.004h.004l.004-.012.008-.004.004-.004.008-.004.004-.004.008-.004.004-.004h.008l.008-.004h.008l.004-.004h.02zm0 0" class="sr-B"/><path d="M7.02 4.387c.055-.004.113.047.121.109s-.031.117-.09.117-.109-.047-.117-.109.023-.113.086-.117zm0 0" class="sr-D"/><path d="M7.152 4.492l-.02.004v-.012l-.004-.004v-.004l-.004-.008v-.008l-.004-.004v-.004l-.004-.004-.004-.008v-.004l-.008-.004-.004-.004-.004-.008-.008-.008h-.004l-.004-.004h-.004l-.008-.008h-.004l-.004-.004-.008-.004h-.008v-.004h-.023v-.02h.023l.008.004h.004l.004.004h.004l.008.004h.004l.004.008h.008l.004.004.008.004h.004l.004.004.004.008.008.008v.004l.008.004h.004v.008l.004.008v.008l.008.004.004.004v.008l.004.004v.016l.004.008zm-.102.129v-.02h.023l.004-.004h.008l.004-.004h.004V4.59l.008-.008h.004v-.004l.008-.004V4.57h.004l.004-.004v-.004l.004-.004.004-.008v-.012l.004-.004V4.5h.02v.047l-.004.004v.004l-.004.008v.004l-.008.004-.004.004v.008l-.012.012-.008.004-.008.008h-.004l-.004.004h-.004l-.004.004h-.008l-.004.004h-.027zm0-.02zm-.129-.098h.02l.008.016v.004l.004.008.004.004v.008l.008.004.008.008v.004l.008.008.008.004.008.008H7v.008h.008l.004.004h.012l.004.004h.023v.02H7.02l-.008-.004h-.004L7 4.605h-.004l-.004-.004h-.004l-.004-.008-.008-.004-.004-.008-.02-.02-.004-.008v-.004l-.008-.004-.008-.008v-.008l-.004-.004V4.52l-.004-.004V4.5zm.02 0zm.082-.129v.02h-.012l-.004.004h-.012l-.004.004h-.004l-.008.008h-.004l-.004.008v.004l-.008.004-.004.004v.004h-.004v.008l-.004.004v.004l-.004.004v.016l-.004.004v.031h-.02v-.051h.004v-.008l.004-.008v-.004l.004-.004v-.004l.008-.004v-.004h.004l.004-.008.012-.012h.004l.004-.004h.004l.004-.004h.004l.004-.004H7l.008-.004h.012zm0 0" class="sr-B"/><path d="M7.023 4.426c.039 0 .074.031.082.07s-.023.074-.062.074-.066-.031-.074-.07.02-.07.055-.074zm0 0" class="sr-G"/><path d="M7.113 4.492l-.02.008v-.008l-.004-.004V4.48h-.008v-.008l-.016-.016h-.004l-.008-.008h-.004l-.004-.008h-.012v-.004h-.012v-.02h.02l.004.004h.004l.008.004h.004v.004h.008l.004.008v.004h.004l.004.004.008.004.004.008.004.004v.008h.004v.004l.004.008v.008l.004.004zm-.066.086v-.02h.012l.004-.004h.008v-.004h.004v-.004h.004v-.004h.004v-.004l.008-.004v-.008l.004-.004V4.5l.02-.008v.043h-.004v.004l-.004.008-.008.008h-.004v.004l-.004.004h-.008v.004h-.004l-.004.004h-.008v.004h-.02zm-.086-.074l.02-.004v.008l.004.008v.008h.004v.004l.008.008.004.008.008.008h.008v.004h.008l.004.004h.016v.02H7.02l-.004-.004h-.004l-.008-.004H7v-.004h-.004v-.004l-.008-.004-.004-.004v-.004H6.98v-.008h-.008v-.004l-.004-.004v-.004h-.004V4.52l-.004-.004zm.055-.078h.02l-.012.012h-.012l-.004.004H7v.004h-.004l-.012.012v.004H6.98v.012h-.004v.023l-.02.008v-.035h.004v-.012h.004v-.004h.004v-.008h.008v-.008h.004v-.004h.008V4.43h.004v-.004h.023l.004-.004h.008l-.012.012zm.02 0v.012h-.012zm0 0h-.02l.008-.008zm-.02 0v-.008h.008zm0 0" class="sr-B"/><path d="M8.441 3.672c.078 0 .137.059.137.141a.13.13 0 0 1-.137.133c-.074 0-.137-.059-.137-.137s.063-.141.137-.141zm0 0" class="sr-C"/><path d="M8.59 3.805h-.02c0-.043-.027-.09-.07-.109a.11.11 0 0 0-.059-.016v-.02c.051 0 .098.027.125.07.016.023.023.051.023.074zm-.148.152v-.023c.051 0 .094-.027.117-.066.008-.02.012-.039.012-.062h.023c0 .055-.031.105-.074.133-.023.012-.051.02-.074.02zm-.141-.145h.02c0 .066.059.121.125.121v.023c-.047-.004-.094-.027-.121-.07-.016-.023-.023-.051-.023-.082zm.145-.152v.02a.12.12 0 0 0-.109.07c-.008.02-.016.039-.016.063h-.02c0-.055.027-.102.07-.129.023-.016.051-.023.078-.023zm0 0" class="sr-B"/><path d="M8.441 3.43c.078 0 .137.059.137.141 0 .074-.062.137-.137.137s-.137-.066-.137-.141.063-.137.137-.137zm0 0" class="sr-C"/><path d="M8.59 3.57h-.02c0-.051-.027-.094-.074-.117-.016-.008-.039-.012-.059-.012v-.02c.051 0 .102.023.129.066.012.023.02.055.02.082zm-.148.145v-.02c.051 0 .094-.027.117-.066.008-.02.012-.039.012-.062h.023a.16.16 0 0 1-.074.129c-.023.016-.051.02-.074.02zm-.141-.145h.02c0 .07.055.125.125.125v.02c-.047 0-.094-.023-.121-.066-.016-.023-.023-.051-.023-.082zm.145-.148v.02a.12.12 0 0 0-.109.07c-.008.02-.016.039-.016.059h-.02c0-.051.027-.098.07-.125.023-.016.051-.02.078-.02zm0 0" class="sr-B"/><path d="M8.441 3.199c.078 0 .137.063.137.141s-.062.137-.137.137-.137-.062-.137-.141.063-.137.137-.137zm0 0" class="sr-C"/><path d="M8.59 3.34h-.02c0-.051-.027-.098-.074-.117-.016-.008-.039-.012-.059-.012v-.02c.051 0 .102.027.129.07.012.023.02.051.02.082zm-.148.148v-.02c.047 0 .094-.031.113-.07.008-.023.016-.043.016-.062h.02c0 .055-.027.102-.07.129-.023.016-.051.023-.078.02zm-.145-.148h.02c0 .047.027.094.07.113.02.008.035.012.055.016v.02c-.051-.004-.094-.031-.121-.074-.016-.023-.023-.051-.023-.078zm.145-.148v.02a.12.12 0 0 0-.109.07c-.008.02-.016.039-.016.063h-.02c0-.055.027-.102.07-.129.023-.016.051-.02.078-.02zm0 0" class="sr-B"/><path d="M8.441 2.547c.078 0 .137.063.137.141s-.059.137-.137.137c-.07-.016-.117-.074-.117-.141s.051-.129.117-.137zm0 0" class="sr-C"/><path d="M8.59 2.688h-.02c0-.051-.027-.098-.074-.117-.016-.012-.039-.016-.059-.012v-.023c.051 0 .102.027.129.07.012.023.02.051.02.082zm-.148.145v-.02c.051 0 .094-.027.117-.07.008-.016.012-.039.012-.059h.023c0 .051-.031.102-.074.125-.023.016-.051.023-.074.023zm-.141-.145h.02c0 .043.027.09.07.109.016.012.035.016.055.016v.02c-.047 0-.094-.027-.121-.066-.016-.027-.023-.055-.023-.082zm.145-.152v.023a.12.12 0 0 0-.109.07c-.008.016-.016.039-.016.059h-.02c0-.051.027-.102.07-.125.023-.016.051-.023.078-.02zm0 0" class="sr-B"/><path d="M8.441 2.75c.078 0 .137.059.137.137s-.059.141-.137.141-.137-.062-.137-.141.063-.137.137-.137zm0 0" class="sr-C"/><path d="M8.59 2.887h-.02c0-.047-.027-.094-.07-.113-.02-.012-.039-.016-.059-.012v-.023a.16.16 0 0 1 .129.074c.012.023.02.047.02.074zm-.148.148v-.02c.051 0 .094-.027.117-.07.008-.016.012-.039.012-.059h.023a.16.16 0 0 1-.074.129c-.023.012-.051.02-.074.02zm-.141-.148h.02c0 .047.027.094.07.113.016.012.035.016.055.016v.02c-.051 0-.094-.027-.121-.07-.016-.023-.023-.051-.023-.082zm.145-.148v.02c-.047.004-.09.031-.109.074-.012.02-.016.039-.016.055h-.02c0-.051.027-.102.07-.125.023-.016.051-.023.078-.023zm0 0" class="sr-B"/><path d="M8.441 2.973c.078 0 .137.059.137.137s-.059.141-.137.141-.137-.066-.137-.141.063-.137.137-.137zm0 0" class="sr-C"/><path d="M8.59 3.109h-.02c0-.047-.027-.094-.074-.117-.016-.008-.039-.012-.059-.012v-.02c.051 0 .102.027.129.066a.21.21 0 0 1 .02.082zm-.148.148v-.023c.051 0 .094-.027.117-.066.008-.02.012-.039.012-.059h.023c0 .051-.031.098-.074.125-.023.016-.051.023-.074.023zm-.141-.148h.02c0 .047.027.094.07.113.016.008.035.012.055.012v.023c-.047-.004-.094-.027-.121-.07-.016-.023-.023-.051-.023-.078zm.145-.152v.023a.12.12 0 0 0-.109.07c-.008.016-.016.039-.016.059h-.02c0-.051.027-.102.07-.125.023-.016.051-.023.078-.02zm0 0" class="sr-B"/><path d="M8.539 3.922c.02.031.016.039.027.047s.043.012.07.008c.105-.02.09.047.043.121-.02.035-.074.07-.105.102s-.031.055-.039.063h-.184c-.008-.008-.012-.035-.039-.062s-.086-.066-.105-.102c-.051-.074-.062-.141.043-.121.027.004.051.004.066-.008s.008-.023.027-.051c.012-.02.027-.035.043-.047s.039-.004.055-.004.039-.008.055.004.031.027.043.047zm0 0" class="sr-D"/><g class="sr-B"><path d="M8.574 3.961l-.016.016-.004-.004h-.004v-.008h-.004v-.008h-.004v-.008l-.004-.004v-.004l-.004-.004-.004-.008v-.004l.016-.012v.004h.004v.008l.004.004v.004h.004v.008h.004v.008h.004v.008h.004zm-.016.016l-.004-.004zm.078-.008v.02H8.59l-.008-.004h-.004l-.004-.004H8.57l-.004-.004.012-.02v.004h.004v.004h.02l.004.004h.035zm.051.133l-.016-.012.004-.008.004-.004.008-.016v-.004l.008-.008v-.004l.004-.004v-.012l.004-.004V4l-.004-.004h-.004v-.004h-.012l-.004-.004h-.039l-.004-.02h.055l.008.004h.004l.016.016v.008L8.723 4v.035l-.004.008v.004l-.008.004v.008l-.004.008v.004l-.008.008v.004l-.004.004-.008.012zm-.105.105l-.012-.016.004-.004v-.004h.008l.004-.004v-.004h.008l.004-.004h.004v-.008h.004l.004-.008.004-.004h.004l.004-.004h.004v-.008l.004-.004h.004l.004-.004v-.004l.008-.008h.004v-.008h.008v-.008h.004v-.004h.004v-.008l.023.012-.004.004-.004.008v.004l-.004.004h-.004l-.008.008v.004l-.004.004-.008.004v.004h-.004l-.004.008-.004.004h-.004l-.004.008-.004.004-.008.004-.004.008h-.004v.004l-.008.004h-.004v.008l-.004.004h-.004v.004H8.59l-.008.008zm-.047.066v-.02l-.004.004v-.004h.004V4.25l.004-.004v-.004l.004-.004V4.23l.004-.004v-.004l.004-.004v-.004h.004v-.004l.008-.008.004-.008.016.012v.004l-.008.008-.004.008v.004h-.004v.004l-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.004l-.004.004v.004h-.008zm.008 0h-.004zm-.102.004v-.02h.094v.02zm0-.02h.004zm0 0v.02zm0 0zm-.094.016l.012-.016h-.008.086l.004.02h-.094l-.008-.004zm.008 0h-.004zm-.051-.066l.016-.012v.004l.008.008.004.008.004.004v.004h.004v.008h.004v.008h.004v.008h.004v.008h.004v.004l-.008.016-.004-.004v-.004l-.004-.004v-.004h-.008V4.25h-.004v-.008l-.004-.004v-.004H8.32V4.23l-.004-.008-.012-.012zm-.105-.102l.02-.012v.004l.004.004h.004v.008l.004.004h.004v.004h.004v.008l.004.004h.004l.004.004.008.004v.004l.004.004h.008l.004.008h.004l.004.004v.004h.004l.004.008h.004l.004.004h.004v.008l.004.004h.004v.004h.008v.008l-.012.016-.016-.016-.008-.004v-.004l-.004-.004h-.004L8.27 4.18h-.004l-.004-.004h-.004v-.008l-.008-.004h-.004l-.004-.008v-.004h-.004l-.004-.004v-.004h-.008l-.004-.008v-.004l-.004-.004h-.004v-.004l-.008-.004-.008-.008zm.051-.137v.02l-.012-.004h-.039l-.004.004h-.004v.004h-.004V4l-.004.004v.023l.004.004v.008l.004.004v.004l.008.016v.004l.004.008.012.012.004.008-.02.012v-.008l-.008-.004-.004-.012-.004-.008V4.07l-.004-.008v-.008l-.008-.008v-.008l-.004-.004v-.012l-.004-.008v-.02l.004-.004v-.004l.008-.004.008-.008.008-.004h.004l.008-.004zm.063-.008l.016.016-.004.004H8.32l-.004.004h-.008l-.004.004h-.062v-.02h.051l.004-.004h.008v-.004zm.027-.047l.016.012v.004l-.004.004v.004h-.004v.008h-.004v.02H8.34v.004h-.008v.004l-.004.004-.016-.016h.004v-.008h.004v-.008h.004v-.004l.004-.004V3.93h.004v-.008h.008zm0 0l.004-.008zm.047-.051l.008.02-.004.004h-.004v.004h-.004v.004h-.004l-.012.012v.004h-.004v.004l-.008.008v.004l-.02-.012.008-.008v-.004h.004v-.004l.004-.004h.004v-.004l.008-.008h.004v-.008l.004-.004h.004v-.004h.004l.004-.004zm.055-.004v.02h-.047l-.012-.016h.004v-.004h.008l.004-.004h.043zm.059.004l-.008.02h-.008v-.008h-.043v-.02h.047l.004.004h.004zm0 0l.008.004zm.043.066v-.02l-.008.016-.004-.004v-.004h-.004v-.004l-.008-.008v-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.012v-.004h-.004v-.004l.008-.02h.008l.008.008h.004v.004h.004v.008h.004v.004h.004v.004h.004v.004l.008.008v.004h.004v.004h.004v.004zm.008-.016l.008.016h-.02l.008-.016zm-.008-.004v.02l-.008-.004zm-.008.016l-.012-.016h.02zm0 0"/><path d="M8.43 4.27l-.023-.004c-.008-.074-.039-.141-.086-.195.059.039.098.117.109.199zm0 0"/></g><path d="M8.684 3.977c-.008.02-.02.051-.039.07-.031.031-.082.012-.129-.031a.15.15 0 0 0-.074-.02c-.023 0-.047.008-.066.02-.051.039-.102.063-.133.031a.18.18 0 0 1-.039-.07h.047c.027.008.055.008.07-.008s.004-.02.027-.051c.008-.016.023-.035.043-.047s.035-.004.051-.004.039-.004.055.004.031.027.047.047c.02.035.012.043.023.051a.11.11 0 0 0 .07.008.11.11 0 0 1 .051 0zm0 0" class="sr-D"/><path d="M8.652 4.051l-.016-.012v-.004l.008-.008v-.004h.004V4.02l.004-.004v-.004l.004-.004v-.004L8.66 4v-.004l.004-.004v-.004l.008-.008v-.008l.02.012v.008l-.004.004V4l-.004.004v.008H8.68v.004l-.004.004v.008h-.004v.004h-.008v.004H8.66v.004l-.008.008h-.004zm-.145-.027l.012-.016h.004l.004.004.008.004.004.008.004.004h.008l.004.004h.004l.004.004h.004l.004.004h.004l.004.004h.008l.004.004h.031l.008-.008h.004v-.004l.016.016-.004.004h-.004v.008h-.004l-.008.004h-.004l-.004.004h-.039l-.008-.004H8.57l-.004-.004h-.008l-.004-.004h-.004l-.008-.008h-.008l-.004-.008h-.004l-.016-.016-.008-.004zm.012-.016l.012.008zm-.078-.004v-.02h.039v.004h.012v.004H8.5l.008.004h.004L8.516 4h.004v.004h.004l-.016.02h-.004v-.008H8.5v-.004h-.02v-.004h-.02v-.004zm-.062.02l-.012-.016v-.004h.004L8.375 4h.004v-.004h.004l.004-.004h.008v-.004h.027v-.004h.02v.02H8.41v.004h-.012l-.004.004h-.008v.004h-.004l-.004.004zm-.145.027l.012-.012.008.004.004.004h.004v.004h.035v-.004h.008l.004-.004h.004v-.004h.008l.008-.008h.004l.008-.004h.004l.004-.008.004-.004v-.004h.008l.012.012-.008.008-.008.004-.008.008h-.004l-.004.008h-.008l-.004.004h-.004l-.008.004h-.004l-.004.004h-.004l-.004.004h-.004l-.008.004h-.027l-.012-.004h-.004l-.008-.008zm-.035-.078l.004.02.008-.016v.004l.004.004v.008l.004.004v.008l.004.004v.004h.004v.008h.004v.008h.004v.004h.004v.004h.004v.004l.004.004-.016.016h-.004v-.004h-.004v-.004h-.004v-.012h-.004v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.012h-.004v-.008L8.195 4v-.008h-.004l.008-.016zm-.008.012l-.004-.012.012-.004zm.059-.012l-.004.02-.004-.004h-.043l-.004-.02h.047zm.063-.008l.012.016-.004.004h-.004l-.004.004h-.008l-.004.004h-.055v-.02h.047l.004-.004h.008v-.004zm.012.016l-.008.008zm.016-.062l.012.012v.004l-.004.004v.004h-.004v.012H8.34v.016h-.004v.004h-.004v.004l-.004.004-.016-.016h.004v-.008h.004v-.008h.004v-.004l.004-.004v-.008h.004v-.008h.004v-.004zm.043-.051l.012.02-.004.004h-.004v.004h-.004v.004h-.004l-.012.012v.004h-.004v.004l-.008.008v.004l-.023-.012.008-.004.004-.004v-.004h.004v-.004l.004-.004h.004v-.004l.008-.008h.004v-.004l.004-.008h.004v-.004h.004zm.059-.004v.02h-.047l-.012-.016h.004v-.004h.008l.004-.004h.043zm.059.004l-.012.02H8.48v-.004h-.039v-.023h.047l.004.004h.004zm0 0l.008.004zm.047.051l-.016.012-.004-.004v-.004h-.004v-.004l-.012-.012v-.004h-.004v-.004h-.004v-.004h-.008v-.004h-.004v-.004l.008-.02h.004l.008.008h.004v.008h.004v.004h.004v.004h.004v.004h.004v.004l.008.008v.004h.004v.004h.004zm.027.047l-.016.016-.004-.004h-.004v-.008h-.004v-.008h-.004v-.008l-.004-.008v-.004l-.008-.008V3.93l.016-.012v.004h.004v.004l.004.004v.004h.004v.008h.004v.012h.004v.008h.004zm-.016.016l-.004-.008zm.078-.008v.02H8.59l-.008-.004h-.004l-.004-.004h-.008V3.98h-.004l.016-.02v.004h.004v.004h.016l.004.004h.039zm.059.008l-.02-.008.008.016h-.043l-.004-.02h.047l.012.016zm-.008-.012h.012l-.008.012-.008-.012zm0 .008l.008.004-.012-.004zm0-.008h.012l-.008.012-.008-.012zm0 0" class="sr-B"/><use xlink:href="#B" class="sr-D"/><path d="M8.461 4.27l.016-.004c.008-.074.039-.141.086-.195a.3.3 0 0 0-.102.199zm0 0" class="sr-B"/><path d="M10.824 4.254c.043-.082.008-.199-.004-.223-.008-.016.012-.043.02-.055.262-.367.266-.402.086-.539-.16-.121-.523-.242-.785-.324-.051-.043-.086-.102-.133-.145.5.035 1.039.238 1.309.477.145.125-.031.383-.246.762-.133.102-.195.141-.246.047zm0 0" class="sr-D"/><path d="M10.828 4.027l-.02.008v.004l.004.004v.004l.004.008v.008l.004.004v.012l.004.008v.016l.004.008v.031l.004.008v.051l-.004.008v.008l-.004.008v.008l-.004.008v.008l-.004.008.02.004V4.25l.008-.008V4.23l.004-.008v-.008l.004-.008v-.016l.004-.012v-.059l-.004-.008v-.027l-.004-.004v-.008l-.004-.004v-.012l-.004-.008v-.012l-.008-.004v-.004zm.023-.047l-.023-.012v.004h-.004v.008h-.004v.008h-.004v.004l-.004.004v.008h-.004v.027l.02-.008v-.012l.004-.004v-.004L10.84 4v-.004l.004-.004v-.004h.004v-.004zm.078-.551l-.008.02.016.012.012.012.016.012.008.012.012.008.035.035.004.008.008.008.004.012v.008l.008.012v.035l-.004.012-.004.016-.004.012-.008.02-.008.016-.008.02-.023.039-.016.02-.012.027-.02.023-.016.027-.02.027-.02.031-.02.027-.027.035.016.012.027-.035.02-.031.02-.027.02-.031.02-.023.016-.023.016-.027.016-.02.012-.02.016-.02.008-.02.012-.02.004-.016.004-.02.004-.016v-.012l.004-.016v-.027l-.016-.047-.008-.016-.012-.008-.008-.012-.012-.008L11 3.48l-.016-.012-.012-.016-.016-.012-.012-.012zm-.781-.328l-.012.02h.004l.023.008.023.012.023.008.027.004.027.008.027.012.027.008.027.012.031.008.027.012.027.008.023.012.027.008.031.012.023.012.027.008.031.012.023.012.027.012.027.008.023.016.047.023.02.008.023.012.02.008.02.016.023.012.02.008.02.016.012.012.016.012.012-.02-.016-.012-.02-.012-.016-.012-.02-.016-.02-.012-.023-.008-.02-.012-.023-.012-.023-.008-.02-.016-.082-.035-.047-.016-.031-.012-.023-.012-.027-.008-.027-.012-.027-.008-.027-.012-.055-.016-.027-.012-.055-.016-.023-.008-.027-.012-.023-.008-.027-.008-.023-.008-.027-.008zm-.012.02h.004zm-.133-.141v-.023l-.008.02.004.004.008.004.004.004.004.008.008.008v.004l.008.004.008.008.008.016.008.008.004.008v.004l.008.004.004.008.012.012.008.004.004.004h.004l.004.008.008.004.004.004.004.008.004.004.008.004.004.004.012-.02v-.004l-.008-.004-.016-.016-.008-.004-.008-.008v-.004l-.016-.016v-.004l-.008-.004-.004-.004-.008-.016v-.004l-.008-.004-.004-.004L10.055 3l-.004-.004v-.004l-.008-.004-.008-.008-.004-.008-.004-.004h-.004l-.004-.004-.008.016zm0-.023l-.027-.004.02.023.008-.023zm1.305.492l.016-.016-.031-.02-.055-.047-.031-.023-.027-.02-.105-.059-.039-.023-.035-.02-.078-.039-.043-.016-.039-.02-.043-.016-.039-.016-.047-.016-.047-.02-.043-.012-.047-.016-.047-.012-.047-.008-.047-.016-.094-.023-.051-.008-.094-.016-.047-.004-.094-.016-.047-.004v.023l.094.008.043.008.047.004.141.023.188.047.043.012.047.016.043.012.043.02.043.016.047.016.039.02.039.016.086.039.039.02.035.016.035.02.039.02.031.023.094.059.031.023.027.02.023.023zm-.242.75l.008.016.004-.004.023-.031.02-.039.02-.031.02-.035.016-.035.02-.031.031-.063.02-.027.016-.031.031-.055.023-.055.012-.023.012-.027.008-.023.012-.023.004-.02.008-.02.008-.023v-.023l.004-.02V3.52l-.008-.016-.004-.016-.008-.016-.012-.016-.008-.016-.016-.012-.016.016.023.023.008.016.008.012.004.012.004.016v.094l-.008.02v.02l-.008.02-.012.02-.008.027-.016.047-.012.027-.016.027-.012.027-.016.027-.02.027-.016.031-.02.031-.016.027-.02.035-.016.031-.039.07-.02.039-.023.031h.008zm.008.016l.004-.004zm-.25.027v.02l-.008-.004.008.016.008.008.008.004.004.004.004.008.008.004.004.004h.008l.008.004h.043l.008-.004.012-.004.008-.004.004-.004.012-.004.008-.008.008-.004.012-.008.008-.008.012-.004.012-.008.008-.008.035-.023.008-.012-.008-.016-.016.008-.008.008-.035.023-.008.012-.012.004-.008.004-.008.008-.008.004-.008.008-.008.004-.012.004-.008.004h-.012l-.004.004h-.031l-.004-.004h-.004l-.004-.008-.004-.004-.008-.004-.004-.004v-.008l-.008-.008-.004-.008-.008-.008zm.008.004v-.008h-.008zm-.008.012v-.02l-.008.008zm-.008-.012l-.008.012h.016l-.008-.016zm0 0" class="sr-B"/><path d="M10.906 4.285l.02-.094c.016-.059.008-.117-.012-.168l.18-.266c.031-.066.059-.141.039-.215s-.09-.133-.152-.18a1.39 1.39 0 0 0-.273-.152c-.219-.09-.398-.141-.527-.141l.082.078c.238.078.527.184.668.289.18.137.172.172-.086.539-.012.012-.027.039-.023.055.012.023.039.145 0 .227.023.039.055.02.086.023zm0 0" class="sr-D"/><path d="M10.938 4.191l-.02-.004v.016l-.004.004v.012h-.004v.02l-.004.004v.008l-.004.004v.016h-.004v.012h-.004l.02.008v-.008l.004-.004v-.004l.004-.008v-.008l.004-.008v-.012h.004v-.012l.004-.004v-.016l.004-.004zm-.02-.004zm.008-.156l-.02-.012v.012l.004.008v.004l.004.004v.02l.004.004v.016l.004.004v.094l-.004.008.02.004v-.012l.004-.004V4.07h-.004v-.02l-.004-.004v-.008l-.004-.004v-.004l-.004-.008v.012zm-.02-.012v.012-.016zm.195-.258l-.023-.008v.012l-.004.008-.008.008v.008l-.008.008-.004.008-.004.012v.008l-.016.016-.016.031-.008.012-.004.008-.016.016-.008.016-.004.012-.008.008-.004.008-.008.008-.008.016-.008.008-.008.016-.008.008-.004.008-.008.012.02.012.004-.008.008-.012.004-.008.016-.016.012-.023.008-.008.004-.008.008-.012.008-.008.008-.004.008-.016.008-.012.004-.008.008-.008.008-.012.012-.023.008-.012.008-.016.008-.008.004-.008.008-.012.008-.016.004-.012.004-.008zm.039-.219l-.02.008.004.004v.082l-.004.008v.008l-.004.004v.016l-.008.008v.008l-.004.008v.012l-.004.004v.008l-.008.004v.004l-.004.008v.008l-.008.004.023.012v-.004l.004-.008.004-.004v-.008l.004-.008v-.008l.008-.004v-.008l.004-.004.004-.008v-.004l.004-.004V3.68l.004-.008v-.008l.004-.004v-.016l.004-.008v-.027l.004-.008V3.57l-.004-.004v-.016zm-.156-.187l-.012.016.008.004.004.008.008.004h.004l.027.027.008.004.004.008.004.004.008.004.016.016v.008l.023.023.008.004.008.016v.004l.004.008.004.004v.008l.008.008v.004l.004.008v.008l.02-.008v-.008l-.004-.008V3.52l-.008-.016v-.008l-.016-.016-.004-.008v-.004l-.008-.012-.004-.008-.008-.008-.012-.008-.039-.039-.008-.004-.004-.008-.004-.004-.008-.004-.004-.004H11l-.004-.008-.008-.004zm-.273-.148l-.008.016.016.008.012.004.016.008.012.004.008.008.023.008.008.004h.012l.008.004.008.008.016.008.012.004.016.008.008.008.016.008.008.008.016.008.012.004.004.004.023.012.004.008.016.008.012-.016-.004-.004h-.008l-.016-.016-.023-.012-.008-.008-.012-.004-.031-.016-.012-.004-.016-.008-.008-.008h-.008l-.012-.004-.008-.008-.012-.004-.016-.008-.012-.008-.016-.008h-.008l-.012-.004-.008-.004-.012-.004-.008-.004h-.008zm0 0zm-.539-.129l.012-.016-.008.016h.031l.012.004h.035l.016.004h.016l.012.004h.016l.031.008h.016l.016.004.016.008.02.004.031.008.02.008.016.004.02.008.039.008.016.008.02.004.02.012.02.008.016.008.039.016.023.008.02.008.008-.02-.039-.016-.02-.012-.02-.008-.02-.004-.02-.012-.023-.004-.039-.016-.016-.004-.02-.008-.016-.008-.02-.004-.016-.008h-.02l-.02-.008-.047-.012h-.016l-.031-.008h-.016l-.012-.004h-.016l-.016-.004h-.027l-.012-.004h-.035l-.008.016zm.008-.02h-.031l.023.02zm.086.078l-.078-.074-.016.012.078.078.008.004zm-.016.016l.008.004zm.672.297l.012-.02-.016-.012-.016-.008-.02-.012-.012-.008-.016-.012-.039-.02-.039-.016-.016-.012-.023-.008-.02-.012-.02-.004-.02-.012-.027-.008-.02-.008-.023-.012-.02-.008-.027-.008-.02-.012-.023-.012-.094-.031-.027-.008-.023-.012-.02-.008-.027-.008-.023-.008-.02-.004-.023-.008-.004.02.023.004.02.008.047.016.023.012.023.008.027.004.023.008.02.008.047.023.02.008.027.008.02.008.027.008.02.008.023.012.02.008.02.012.023.012.02.008.02.012.023.008.02.012.016.008.02.012.047.023.016.012.012.008.016.008zm-.09.523l.016.008.027-.035.02-.027.02-.031.039-.055.031-.047.016-.02.012-.02.016-.023.016-.039.008-.012.004-.023.004-.012v-.016l.004-.012v-.031l-.016-.047-.008-.012-.043-.043-.016-.008-.012-.016-.016-.012-.012-.016-.012.02.016.012.012.012.016.012.008.012.012.012.016.008.008.012.012.012.004.008.008.012.004.008v.012l.004.012v.043l-.004.016-.023.047-.008.02-.012.02-.012.023-.012.02-.016.023-.02.027-.012.023-.023.027-.039.063-.023.035zm-.02.059l.02-.004v-.023h.004V4l.004-.004v-.004h.004v-.008l-.016-.012-.004.004v.008h-.004v.004l-.004.004v.004L10.813 4v.008h-.004v.027zm-.004.234l.02-.012v.012l.008-.016v-.008l.004-.012v-.012l.004-.008v-.008l.004-.008v-.109l-.004-.008v-.016l-.004-.008v-.008l-.004-.008v-.008l-.004-.004-.02.008v.004l.004.004v.012l.004.004v.012l.004.004v.023l.004.008v.102l-.004.008v.016l-.008.012v.008l-.008.016v.008zm0-.008v.008zm.098.02v.02-.02h-.004l-.004-.004h-.027v.004h-.027l-.004-.004h-.008V4.27h-.004v-.004l-.004-.004-.004-.008-.02.012.008.008v.004l.004.004h.004v.004l.008.004h.008l.004.004h.008v.004h.059v-.02zm0 .02v-.02l-.012.004.012.012zm-.012-.016l-.004.012h.016zm0 0" class="sr-B"/><path d="M8.727 2.648c-.008-.047 0-.039.004.035.008-.016.016-.023.031-.023s.031.035.035.105l-.004.059c.66-.016 1.055.086 1.152.277.086.16-.059.422-.27.727-.027.035-.027.031 0 .059.035.047.074.121.043.184.129.074.285.086.422.031.02-.059.066-.09.105-.117.012-.004.043-.02.043-.027l.203-.633c.191-.617-1.508-.676-1.766-.676zm0 0" class="sr-D"/><path d="M8.738 2.688l-.02-.012.02.008v-.039h-.004v-.023l-.004-.004-.012-.004-.004.004v.031h.02v-.023l-.008.004h-.012v-.004.02l.004.004v.039zm-.02 0l.004.031.016-.031zm.043-.016v-.02h-.016v.004h-.008v.004h-.004v.004H8.73v.004h-.004v.004h-.004v.004l.02.012v-.004h.004v-.008h.004v-.004zm0 0zm.023.094h.02V2.73l-.004-.008v-.016l-.004-.008v-.012h-.004V2.68l-.004-.008-.008-.008h-.004V2.66h-.004v-.004h-.008v.02h.004v.004h.004v.004l.004.004v.008l.004.004v.012l.004.004v.043l.004.004v.008zm.02 0zm-.012.066v-.02l.008.012v-.047h.004V2.77l-.02-.004v.035l-.004.004v.02l.012.012zm-.012-.008v.008h.012zm1.156.285l.02-.012-.012-.02-.016-.016-.016-.02-.016-.016-.078-.062-.027-.016-.023-.012-.027-.012-.062-.023-.035-.016-.031-.008-.039-.008-.039-.012-.035-.008-.039-.008-.047-.008-.086-.008-.047-.008-.051-.004-.047-.004h-.051l-.055-.004h-.055l-.055-.004h-.18v.02h.238l.055.004h.051l.055.004.047.004.051.004.043.008.047.004.043.004.078.016.043.008.07.016.035.012.031.008.031.012.027.012.027.008.027.016.023.012.02.016.02.012.02.016.02.012.012.02.016.016.012.016.012.02zm-.273.711l.02.012.059-.082.02-.031.016-.023.016-.031.02-.023.047-.082.016-.023.012-.027.012-.02.012-.023.012-.027.012-.023.008-.023.008-.02.012-.02.004-.023.008-.023.004-.02.004-.023v-.02l.004-.02v-.055l-.004-.016-.008-.02-.008-.031-.02.012.008.012.012.047v.09l-.004.02-.008.02v.023l-.008.02-.008.023-.008.02-.008.023-.012.02-.012.023-.012.027-.012.023-.012.027-.012.02-.031.055-.016.023-.016.027-.039.055-.02.023-.016.031-.02.027-.02.031zm0 .078l.02-.016-.004-.008-.004-.004h-.004v-.004l-.008-.004v-.008l.008-.004v-.004h.004v-.004h.004v-.008h.004l-.02-.012-.004.004-.004.008v.004h-.004v.008h-.004v.004l-.004.004v.02l.004.004v.004h.004v.004l.008.008.004.008zm.051.18l.008-.016.004.012V4.07l.004-.012v-.004l.004-.008v-.07l-.004-.004v-.008l-.004-.008-.004-.004v-.008l-.004-.008-.004-.004v-.008l-.004-.004v-.004l-.008-.004-.004-.008v-.004l-.008-.008v-.008l-.008-.004-.004-.004-.016.016.008.008v.004h.008v.004l.004.008.004.004v.004l.008.008v.004l.004.004.004.008v.016l.004.004v.004l.004.004v.012l.004.008v.055l-.004.008-.004.004.004.012zm-.004-.012v.008l.004.004zm.438.039l-.02-.008.004-.004-.047.016h-.016l-.023.008h-.016l-.012.004h-.113l-.016-.004h-.008l-.016-.004h-.012l-.012-.004-.016-.004-.012-.004-.016-.004-.012-.004-.023-.016-.012-.004-.016-.008-.012-.004-.008.02.012.004.012.008.016.008.012.004.012.008.016.004.035.012.016.004h.012l.012.004h.016l.012.004h.012l.016.004h.102l.012-.004h.016l.012-.004h.012l.016-.008.012-.004.016-.008.012-.004.016-.004.004-.008zm-.008.004l.004-.004v-.004zm.113-.117l-.012-.02-.008.008h-.004l-.008.008h-.004l-.004.004v.004h-.008v.008h-.004l-.004.004h-.004l-.004.008-.02.02v.004l-.008.004v.004l-.008.008v.004l-.008.004-.008.008v.004l-.004.008v.004l-.004.008.02.008.004-.004V4.09h.004v-.008l.008-.008V4.07l.008-.008v-.004l.008-.004.004-.004.004-.008.004-.004.008-.004h.004l.004-.008v-.004l.004-.004h.004v-.008h.008l.004-.004h.004l.004-.004h.004L10.246 4h.004l.004-.004h.004zm.039-.031l-.016-.008h-.004v.004h-.004l-.004.004h-.004v.004h-.008v.004h-.004l-.004.004h-.004l.012.02.004-.004h.004v-.004h.008V3.98h.004l.004-.004h.004v-.004h.004v-.004h.004v-.004h.004zm.203-.637l-.02-.008-.008.039-.004.016-.008.023-.004.02-.008.016-.008.02-.004.02-.008.02-.004.02-.008.023-.008.016-.004.02-.008.02-.008.039-.008.02-.004.02-.008.023-.008.02-.004.02-.031.078-.008.023-.008.02-.004.02-.008.023-.016.039-.008.027.02.004.008-.02.004-.023.004-.02.008-.023.004-.02.008-.02.004-.023.012-.02.004-.02.008-.02.008-.023.004-.02.008-.02.004-.02.023-.059.008-.023.004-.02.008-.016.016-.039.004-.02.008-.02.004-.016.008-.023.008-.039.008-.016.004-.02.008-.016.004-.02zm-1.762-.676h-.02l.008.008h.109l.051.004h.055l.059.004.066.004.07.004.074.008.156.016.082.008.078.012.086.012.078.016.086.02.078.016.082.02.074.02.141.055.066.031.059.027.051.035.047.031.039.043.035.035.023.043.016.043.008.047v.051l-.016.055.02.008.016-.059v-.055l-.008-.055-.02-.047-.023-.043-.035-.043-.043-.039-.051-.039-.051-.031-.062-.031-.066-.031-.07-.027-.07-.02-.078-.023-.078-.02-.078-.023-.164-.023-.086-.012-.078-.012-.082-.012-.078-.008-.082-.008-.074-.008-.07-.004-.066-.004-.059-.004h-.059l-.051-.004h-.105l.012.008zm-.02 0v.008h.008l-.012-.008zm.008 0h.008zm-.012 0v.008h.012l-.016-.008zm0 0" class="sr-B"/><path d="M9.984 3.816c-.07 0-.125.055-.125.125s.059.129.125.129a.13.13 0 0 0 .129-.129c0-.07-.059-.125-.129-.125zm0 0" class="sr-C"/><path d="M9.848 3.941h.02c0-.043.027-.086.066-.105a.12.12 0 0 1 .051-.012v-.02c-.043 0-.09.023-.113.063-.016.023-.02.047-.02.074zm.137.141v-.02c-.043 0-.086-.027-.102-.066-.008-.016-.016-.035-.016-.055h-.02c0 .047.027.094.066.121.023.016.047.02.074.02zm.141-.141h-.02c0 .047-.027.09-.066.109-.016.008-.035.008-.055.008v.02c.051 0 .094-.023.117-.066.012-.02.02-.047.02-.07zm-.141-.141v.023c.047 0 .086.023.105.066.008.016.012.031.016.051h.02c0-.047-.027-.094-.07-.121-.02-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M11.07 4.082c-.062 0-.121.055-.121.121s.059.121.121.121.121-.055.121-.121-.055-.121-.121-.121zm0 0" class="sr-C"/><path d="M10.941 4.203h.02c0-.039.02-.078.059-.094.016-.012.031-.016.051-.016v-.02c-.043 0-.082.023-.109.059-.012.023-.02.047-.02.074zm.129.129v-.02c-.039 0-.082-.023-.098-.059-.008-.016-.012-.031-.012-.051h-.02c0 .043.023.086.059.109.023.012.047.02.07.02zm.129-.129h-.02c0 .043-.023.082-.059.098-.016.008-.031.012-.051.012v.02c.043 0 .086-.023.109-.059.012-.02.02-.047.02-.07zm-.129-.129v.02c.039 0 .078.027.102.059.004.02.008.035.008.055h.02a.13.13 0 0 0-.059-.109c-.023-.016-.047-.023-.07-.023zm0 0" class="sr-B"/><path d="M11.188 3.863c-.07 0-.121.055-.121.121s.051.121.121.121c.063 0 .113-.055.113-.121s-.051-.121-.117-.121zm0 0" class="sr-C"/><path d="M11.055 3.984h.02c0-.039.027-.078.063-.098.016-.008.031-.012.047-.012v-.02a.13.13 0 0 0-.109.059c-.012.023-.02.047-.02.07zm.133.129v-.02c-.043 0-.082-.023-.098-.055-.008-.016-.012-.035-.016-.055h-.02c0 .047.023.086.063.113.02.012.043.02.066.02zm.125-.129h-.02c0 .043-.023.082-.062.098-.012.008-.031.012-.047.012v.02c.039.004.086-.02.105-.059.012-.02.02-.043.02-.066zm-.129-.129v.02a.11.11 0 0 1 .094.055c.008.02.012.035.012.055h.02c0-.043-.023-.086-.059-.109-.02-.012-.043-.02-.066-.02zm0 0" class="sr-B"/><path d="M11.289 3.645c-.066 0-.117.055-.117.121s.051.121.117.121.121-.055.121-.121-.055-.121-.121-.121zm0 0" class="sr-C"/><path d="M11.16 3.766h.023c0-.043.023-.082.059-.102.016-.008.031-.012.047-.012v-.02c-.043 0-.086.023-.105.063-.016.02-.023.043-.023.07zm.129.129v-.023a.11.11 0 0 1-.094-.051c-.008-.02-.012-.035-.012-.055h-.023c0 .039.023.086.063.109.02.012.043.02.066.02zm.129-.129h-.02c0 .039-.02.082-.059.098-.016.008-.031.012-.051.012v.02c.047 0 .086-.02.109-.059.012-.02.02-.043.02-.066zm-.129-.129v.02c.039 0 .082.023.098.059a.12.12 0 0 1 .012.051h.02c0-.043-.02-.086-.059-.109-.023-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M9.199 4.055c-.066-.004-.051.117-.039.145.02.039.035.039.059.004.016-.023.051-.145-.02-.148zm0 0" class="sr-D"/><path d="M9.152 4.203l.023-.008h-.004v-.012l-.008-.008v-.008L9.16 4.16v-.066h.004v-.008l.008-.004v-.004l.004-.004h.004l.004-.004h.004l.004-.004h.008v-.02h-.016l-.004.004h-.008l-.008.004v.004l-.008.008-.004.008v.004l-.004.004v.016l-.004.008v.074l.004.004v.012l.004.004v.012h.004zm.074.008l-.016-.016-.004.008v.004h-.004v.004h-.004v.004h-.012l-.004-.004v-.004H9.18v-.004h-.004v-.008l-.023.008v.004l.004.004v.004h.004v.004l.004.004.008.004h.008v.004h.027v-.004h.004v-.004h.004v-.004h.004v-.004h.004v-.008h.004zm-.023-.168v.02h.008v.004h.008v.004h.004v.004l.004.004v.008h.004v.066l-.004.004v.012l-.004.004v.008l-.004.004v.004l-.004.004v.004h-.004l.02.012v-.008l.004-.004v-.004l.004-.008V4.18l.004-.008v-.004l.004-.004v-.016l.004-.008v-.059l-.004-.008V4.07l-.004-.008-.008-.008H9.23l-.004-.008-.008-.004h-.008l-.004-.004zm0 0" class="sr-B"/><path d="M9.195 4.121c-.16-.012-.121.277-.086.344.039.082.078.086.133.008.039-.059.117-.34-.043-.352zm0 0" class="sr-C"/><path d="M9.098 4.469l.02-.008-.008-.016v-.008l-.004-.012-.004-.008v-.012l-.004-.012-.004-.016v-.027L9.09 4.34v-.102l.004-.016v-.012l.008-.016.004-.012.008-.008.004-.012.008-.008.004-.008.008-.008.012-.004.008-.004.012-.004h.027v-.02h-.031l-.023.008-.023.016-.016.016-.008.016-.004.012v.016l-.008.012-.004.012v.016l-.008.016v.125l.008.016v.016l.004.012v.012l.008.012v.012l.004.008v.008l.008.008zm.148.008l-.016-.008-.004.004-.004.008-.004.004-.004.008h-.004V4.5h-.008l-.008.008h-.008l-.004.004h-.02v-.004h-.008l-.004-.004V4.5l-.008-.008h-.004l-.004-.008v-.008l-.012-.012-.004-.008-.02.008.008.008.004.012.004.004.008.016.008.008.004.008.008.008h.004v.008h.008l.004.004h.027l.008-.004h.004l.004-.008v-.004l.008-.004.008-.008.008-.004.004-.008.008-.008zm-.047-.344v-.02.02h.012l.023.008.008.004.008.008.012.008.008.008.004.008.008.012.004.012v.012l.004.008v.016l.004.016v.012l-.004.012v.027l-.004.016v.016l-.008.016v.012l-.004.012-.004.016-.004.008-.004.012-.004.016-.008.008-.004.008-.004.012-.004.008-.004.004.023.012v-.008l.008-.016.004-.012v-.012l.008-.008.004-.016.008-.023.004-.016v-.016l.008-.012V4.32l.004-.012v-.035l.004-.016v-.016l-.004-.016v-.012l-.004-.012v-.016l-.008-.012-.004-.012-.016-.023-.008-.008-.023-.016-.016-.004-.012-.004h-.016zm0-.02v.02zm0 0" class="sr-B"/><path d="M10.492 4.227c-.066-.02-.082.102-.07.133.008.043.023.047.051.023.02-.027.082-.133.02-.156zm0 0" class="sr-D"/><path d="M10.41 4.363l.02-.004v-.059l.004-.004v-.016l.004-.004V4.27l.004-.004v-.004l.008-.004.004-.004.004-.008.008-.004h.004l.008-.004h.012l.008-.023h-.031l-.012.012-.008.004-.004.008-.004.004v.008l-.004.004v.008l-.004.008v.004l-.004.008v.004l-.004.008v.016l-.008.004v.051zm.07.02l-.016-.012h-.004v.004h-.004l-.004.004h-.004v.004h-.008l-.004-.004v-.004h-.004v-.012h-.004v-.008l-.02.004v.008h.004v.012l.004.004v.004h.004l.008.008h.004l.004.004h.02v-.004h.008l.004-.004h.004v-.004h.004l.004-.004v-.004zm.012-.164l-.004.02h.004l.004.004h.004v.004l.008.004v.004l.004.004v.035l-.004.008v.008l-.008.008v.004l-.004.004-.004.008v.004l-.004.008-.004.004v.004l-.004.004v.004l-.016.016.016.012h.004v-.008l.004-.004v-.004l.008-.004v-.008l.004-.004v-.004l.008-.004V4.34l.004-.004v-.008l.004-.008v-.004l.008-.008v-.016l.004-.004v-.035l-.008-.004-.004-.008-.004-.004-.004-.008-.008-.004h-.004l-.008-.004zm0 0" class="sr-B"/><path d="M10.473 4.293c-.156-.051-.184.242-.168.313.02.09.055.098.125.039.051-.047.191-.301.039-.352zm0 0" class="sr-C"/><path d="M10.293 4.605l.02-.004v-.016l-.004-.008V4.52l.004-.016v-.031l.008-.012v-.016l.008-.031.004-.012.008-.012.004-.016.004-.012.008-.012.004-.008.008-.012.008-.008.008-.004.008-.008.008-.012.008-.004h.012l.012-.004h.02l.012.008.008-.02-.012-.004h-.047l-.012.004-.016.004-.008.008-.012.008-.008.012-.008.008-.008.012-.012.012-.004.012-.008.012-.004.016-.008.012-.012.047v.016l-.004.016V4.5l-.004.016v.09zm.141.047l-.008-.02-.012.008-.004.004-.008.004h-.004l-.008.008h-.004l-.004.008h-.008l-.004.004h-.027l-.008-.008-.004-.008-.008-.008v-.012l-.004-.004v-.004l-.004-.008v-.004l-.004-.008-.02.004v.008l.004.008v.008l.004.008.004.004v.008l.008.016v.004l.008.004h.004v.008l.004.004h.004l.008.004h.016l.004.004h.012l.004-.004h.004l.008-.004h.008l.004-.004.008-.004h.004l.008-.008.008-.004.004-.004.004-.008zm.039-.371l-.004.02.012.004.012.008.008.004.012.008.008.008.004.012.004.008v.012l.004.012v.051l-.004.012-.004.016-.008.023-.004.016v.012l-.012.016-.004.012-.039.059-.004.008-.016.016-.008.016.008.02.008-.008.004-.008.016-.016.008-.012.008-.008.008-.016.004-.012.012-.012.016-.023.004-.012.008-.016.004-.016.008-.012.012-.047v-.016l.004-.012v-.035l-.016-.047-.02-.02-.012-.008-.016-.004-.012-.008zm0 .008v-.008zm0 0" class="sr-B"/><path d="M8.801 2.762a2.27 2.27 0 0 1 1.047.141c.297.121.27.465-.09.945.031.059.051.137.051.219h-.094c.023-.055 0-.129-.035-.18-.023-.031-.027-.023 0-.059.211-.305.355-.566.27-.727-.098-.191-.492-.293-1.152-.277 0-.023 0-.039.004-.055zm0 0" class="sr-D"/><path d="M9.848 2.914l.004-.02-.035-.012-.031-.012-.035-.012-.031-.012-.094-.023-.035-.012-.062-.016-.035-.008-.031-.004-.031-.008-.039-.004h-.031l-.035-.008-.031-.004-.035-.004-.031-.004H9.16l-.031-.004h-.23l-.031.004h-.035l-.031.008v.02l.035-.004h.098l.031-.004h.195l.031.004h.035l.094.012.035.004h.031l.035.008.031.008.031.004.035.012.031.004.031.012.063.016.039.008.063.023.035.016.063.023zm-.102.938l.02-.008-.004.012.035-.039.027-.047.031-.043.027-.043.023-.039.027-.039.02-.043.039-.078.016-.035.012-.035.008-.039.012-.031.008-.035.008-.031.004-.035v-.086l-.004-.027-.008-.027-.016-.047-.012-.023-.012-.02-.02-.02-.016-.02-.039-.031-.027-.016-.027-.012-.023-.012-.008.02.047.023.02.012.039.039.02.016.012.02.016.02.012.02.008.02.008.027.008.047v.074l-.004.031-.004.035-.016.063-.016.035-.012.035-.016.035-.02.039-.016.039-.047.078-.023.043-.027.039-.027.043-.031.039-.035.047v.012zm0-.008l-.004.004.004.008zm.059.219v.02l.012-.012v-.047l-.004-.012v-.02l-.004-.008v-.012l-.004-.012v-.008l-.004-.004v-.008l-.004-.008V3.93l-.004-.008v-.008l-.004-.004v-.008l-.004-.004v-.008l-.004-.004v-.008l-.004-.004-.004-.008v-.004l-.008-.008v-.008l-.02.012v.008l.004.004v.004l.012.012v.008l.004.004v.008l.004.008v.004l.004.008v.008l.004.004v.008l.004.008v.016l.004.004v.016l.004.008v.016l.004.012v.027l.004.008v.012l.008-.012zm0 .02h.012V4.07l-.008.012zm-.086-.008l-.02-.008.012.016h.09v-.02h-.09l.008.016zm-.02-.008l-.004.016h.016l-.008-.016zm-.02-.18l-.016.012.008.004v.008l.008.008v.004l.004.004v.008l.004.008.004.004v.008l.004.004v.004l.004.008v.012l.004.004v.012L9.707 4v.047l-.004.004v.008l-.004.004.02.012v-.012l.004-.004v-.016l.004-.004v-.055l-.004-.008v-.004l-.004-.004v-.008l-.004-.004v-.008l-.004-.008v-.008l-.004-.004-.004-.008v-.004l-.004-.004-.004-.008v-.004l-.004-.008v-.004h-.008l-.004-.008zm0-.051l-.016-.008-.004.004-.004.008v.004h-.004v.008h-.004v.008l-.004.004v.008l.004.004v.008h.004v.004l.004.004v.004h.004v.004l.004.004.02-.012v-.004l-.008-.008v-.004h-.004v-.008h-.008v-.004h.008v-.004l.004-.004v-.008h.004v-.004h.004zm.277-.734l-.02.012.008.016.004.012.008.031v.094l-.004.02-.008.02v.02l-.008.02-.016.047-.012.023-.008.02-.035.07-.012.027-.012.02-.047.082-.016.023-.059.082-.016.027-.02.027-.02.031.016.012.02-.023.02-.031.02-.027.023-.031.016-.023.016-.027.02-.027.012-.027.02-.027.016-.027.012-.023.016-.027.012-.02.012-.023.012-.027.008-.023.012-.023.016-.039.008-.023.004-.023.008-.02.004-.023v-.02l.004-.02v-.059l-.008-.016-.004-.02-.004-.016-.008-.016zm-1.156-.273h-.02l.012.012h.289l.051.004h.055l.047.004.051.004.043.008.047.004.043.004.078.016.043.008.07.016.035.012.031.008.031.012.027.012.027.008.027.016.023.012.02.016.023.012.02.016.047.047.012.016.012.02.02-.012-.016-.02-.012-.016-.016-.02-.016-.016-.059-.047-.023-.012-.047-.031-.062-.023-.027-.008-.035-.016-.035-.012-.035-.008-.039-.008-.035-.012-.043-.004-.086-.016-.094-.008-.047-.008-.051-.004h-.051l-.055-.004h-.051l-.059-.004h-.18l.012.012zm-.02 0v.012h.012zm.02-.047l-.012-.012v.035h-.004v.023h.02v-.047l.004-.004V2.77v.004zm-.012-.012v.004zm.023-.008l-.016.012v-.012.004h-.004v.004l.012.016v-.008h.004v-.012zm0 .012l.004-.004-.004-.008v.016zm-.016 0l.016-.012h-.008l-.008.016zm.008-.012h-.02l.012.016zm0 0" class="sr-B"/><path d="M10.473 2.859c-.066 0-.117.055-.117.121s.051.129.117.129.125-.055.125-.125c0-.035-.012-.066-.035-.09s-.055-.031-.09-.031zm0 0" class="sr-C"/><path d="M10.344 2.984h.02c0-.043.023-.082.059-.102a.12.12 0 0 1 .051-.012v-.02a.13.13 0 0 0-.109.059c-.016.023-.023.047-.02.074zm.129.133v-.02c-.039 0-.078-.023-.098-.059-.008-.02-.012-.039-.012-.055h-.02c0 .043.02.086.059.113.02.012.047.02.07.02zm.137-.133h-.02c0 .039-.027.082-.062.098-.016.012-.031.016-.051.016v.02c.043 0 .086-.023.113-.059.012-.023.02-.051.02-.074zm-.133-.137v.023c.039 0 .078.027.098.063.008.016.016.035.016.051h.02c0-.043-.02-.086-.062-.113-.02-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M10.234 2.781c-.07 0-.125.055-.125.125s.055.117.125.117.121-.051.121-.117-.055-.129-.121-.129zm0 0" class="sr-C"/><path d="M10.102 2.906h.02c0-.043.023-.086.063-.105.016-.008.031-.012.047-.012v-.02c-.043 0-.086.023-.113.063a.15.15 0 0 0-.02.074zm.133.133v-.02c-.039 0-.082-.027-.102-.062a.12.12 0 0 1-.012-.051h-.02a.13.13 0 0 0 .063.109c.02.016.043.02.066.023zm.133-.133h-.02c0 .039-.027.082-.062.102-.016.008-.031.012-.051.012v.02c.047 0 .086-.023.113-.062.012-.023.02-.047.02-.07zm-.133-.137v.02c.039 0 .078.023.098.063.012.016.016.035.016.055h.02c0-.051-.023-.098-.066-.117-.02-.016-.043-.02-.066-.02zm0 0" class="sr-B"/><path d="M10.203 2.887l-.043.047c.199.109.281.223.262.336-.004.02-.062.23-.195.637a1.22 1.22 0 0 0-.199.168c.004.008-.016.027-.012.031-.016.063.055.047.102.035.023-.062.09-.121.129-.152.012-.004.043-.02.043-.027l.203-.633c.059-.199-.07-.34-.289-.437zm0 0" class="sr-D"/><path d="M10.16 2.945l.012-.02v.016h.004v-.004h.004v-.004l.004-.004h.004v-.004l.004-.004v-.004h.004v-.004h.004V2.91l.008-.008v-.004h.004l-.016-.016-.004.004h-.004v.008h-.004v.004h-.004v.004l-.008.008v.004h-.008v.004h-.004v.004l-.004.004v.02zm-.004-.02l-.008.012.012.008zm.254.344l.02.004v-.078l-.016-.047-.008-.008-.008-.023-.008-.008-.008-.016-.008-.012-.008-.008-.008-.012-.012-.012-.012-.008-.035-.035L10.289 3l-.016-.008-.012-.012-.016-.008-.016-.012-.02-.012-.016-.008-.016-.012-.008.02.02.008.012.012.016.008.016.012.047.023.012.012.012.008.012.012.035.023.012.012.008.012.008.008.008.012.004.012.008.008.004.012.004.008.004.012.004.008.004.012v.012l.004.008v.063zm0 0zm-.191.629l.012.016.004-.004.012-.039.016-.035.023-.07.008-.031.012-.031.008-.027.012-.031.016-.055.008-.023.008-.027.008-.02.008-.027.008-.02.004-.02.008-.02.004-.02.008-.016.004-.02.004-.016.008-.023v-.012l.008-.008v-.012l.004-.008v-.016h.004v-.008h-.023v.008l-.004.004v.008l-.004.008v.008l-.008.023-.004.016-.004.012-.004.016-.004.02-.004.016-.008.039-.008.02-.004.02-.008.02-.008.027-.016.047-.016.055-.012.031-.008.031-.023.063-.008.035-.016.039-.012.035-.008.035.004-.004zm.012.016l.004-.004zm-.211.168l.012-.012v.012l.035-.035.004-.008.008-.004.004-.004.008-.004.023-.023.016-.008.012-.012.008-.004.008-.008.008-.004.008-.008.012-.004.008-.004.004-.008.008-.004.008-.008.012-.004.012-.012-.012-.016-.008.008-.008.004h-.008l-.016.016-.008.004-.008.008-.012.004-.004.008-.008.004-.02.02-.008.004-.02.02-.008.004-.008.008-.008.004-.004.008-.008.004-.004.004-.004.008-.008.004-.004.008-.004.004-.008.004-.008.008-.004.008v.012zm0-.012l-.008.004.008.008zm-.012.031l.02.004-.004-.008v.004h.004v.004-.004l.004-.004v-.004h.004v-.027l-.016.012v-.004h-.004v.004l-.004.004v.004l-.004.008v.012l.004.004-.004-.012zm.02.004v-.004l-.004-.004.004.012zm.098.035l-.02-.008.008-.004h-.008l-.004.004h-.012l-.012.004h-.043v-.004h-.004v-.027l-.02-.004v.031l.004.004v.004l.004.004h.004l.004.004h.008l.004.004h.059l.008-.004h.008l.008-.004h.008l.008-.008zm-.004.008h.004v-.008zm.133-.152l-.012-.02-.004.008h-.004l-.004.004h-.004l-.023.023h-.004l-.004.008-.004.004v.008l-.008.004-.016.016-.008.004-.004.004-.004.008-.008.008-.012.023-.008.008v.008l-.008.004v.008l-.004.008v.004l.02.008v-.004l.008-.016v-.004l.004-.004v-.004l.004-.004.004-.008.008-.008.004-.008.008-.004.004-.008.008-.008v-.004l.02-.02.008-.004.008-.008h.004l.004-.004h.004l.004-.008h.004l.004-.008h.004l.004-.004zm-.012-.02l-.008.008.008-.004zm.055-.012l-.02-.008-.004.004h-.004v.004h-.004v.004h-.008v.004h-.008l-.004.004h-.004l.016.02.004-.004h.004v-.004h.008v-.004h.004l.004-.004h.004v-.004h.004v-.004h.004v-.004h.004zm.199-.637l-.016-.008-.008.02-.004.02-.004.016-.008.023-.004.02-.008.016-.008.02-.004.02-.008.02-.004.02-.008.023-.008.016-.004.02-.008.02-.008.039-.008.02-.004.023-.016.039-.004.02-.023.059-.008.023-.016.039-.004.02-.008.023-.016.039-.008.027.02.004.008-.02.004-.023.004-.02.008-.02.004-.023.008-.02.004-.023.012-.02.004-.02.008-.02.008-.023.004-.02.008-.02.004-.02.023-.059.008-.023.004-.02.008-.016.016-.039.004-.02.008-.02.004-.016.008-.023.008-.039.008-.016.004-.02.008-.016.004-.02zm-.301-.445l.016.012h-.012l.02.012.02.008.02.012.016.008.02.008.016.008.02.012.016.012.016.008.012.012.016.012.008.012.016.012.012.016.012.012.008.012.008.016.008.012.008.016.008.012.004.016.008.012v.016l.004.016v.016l.004.016v.051l-.008.016v.02l-.004.016.02.008.004-.023v-.016l.008-.02v-.074l-.004-.02-.008-.016-.004-.012-.004-.016-.008-.012-.012-.023-.016-.023-.012-.016-.008-.012-.012-.016-.02-.012L10.395 3l-.016-.012-.012-.012-.016-.008-.016-.016-.02-.008-.016-.012-.02-.008-.02-.012-.016-.008-.039-.023-.012.004zm.012-.004l-.008-.004-.004.008zm0 0" class="sr-B"/><path d="M10.965 4.352l.008.043c.059.008.105.012.148.004-.07-.066-.121-.078-.152-.047zm0 0" class="sr-D"/><path d="M10.984 4.391l-.008-.043-.02.004.008.043.004.008.012-.012zm-.02 0v.008h.008zm.16.004l-.012.012.004-.02-.004.004h-.082l-.004-.004h-.02L11 4.383h-.012l-.004-.004h-.008l-.004.02h.016l.008.004h.012l.008.004h.027v.004h.074l.008-.02zm-.004.02l.02-.008-.016-.012zm-.164-.062l.02-.004-.004.012v-.004h.012v-.004h.012L11 4.348h.027v.004h.012l.008.008h.004l.004.004.008.004.004.004.004.008.008.004.004.004.016.008h.004l.008.008.004.008.016-.016-.008-.004-.004-.008-.008-.004-.004-.008-.004-.004-.008-.004-.004-.004h-.012l-.004-.008h-.008l-.004-.004h-.004l-.008-.008h-.012l-.004-.004h-.012l-.008-.004h-.027l-.004.004h-.004l-.004.004h-.004l-.012.012v.008zm0-.008v.008zm.012.008h-.008zm-.008-.012l-.004.004v.008zm0 0" class="sr-B"/><path d="M10.973 4.258c-.035.008-.039.016-.051.02-.023 0-.051 0-.066-.02-.082-.043-.082.039-.051.102.02.047.008.102-.012.141s-.02.063 0 .078l.031.023c.02.023.035.02.039-.012.078-.035.102-.109.125-.176.035-.094.156-.117-.016-.152zm0 0" class="sr-D"/><path d="M10.918 4.266v.02h.016v-.004h.008l.004-.004h.008l.004-.004h.016l.004-.004-.004-.02h-.008l-.004.004h-.008l-.004.004h-.008v.004h-.016v.004zm-.059-.012l-.012.02V4.27l.004.004h.008v.004h.004l.004.004h.004l.004.004h.039v-.02h-.043l-.004-.004h-.004v-.004h-.004l-.004-.004zm0 0zm-.062.109l.016-.008v-.004l-.004-.008v-.012l-.004-.004v-.012l-.004-.004v-.047h.004v-.004h.004v-.004h.023l.008.004.004.004.008.004.012-.02-.016-.008h-.008l-.008-.004h-.035l-.008.008v.004l-.004.008v.008l-.004.004v.051l.004.004v.008l.004.008v.004l.004.008v.004zm-.012.129l.02.008v-.008l.004-.004V4.48l.004-.004v-.004l.004-.004v-.012l.004-.004v-.016l.004-.004v-.047l-.004-.004v-.004l-.004-.008v-.008l-.004-.004-.02.008.004.004v.012l.004.004v.016l.004.004v.039l-.004.004v.012l-.004.004v.008h-.004v.004l-.004.004v.008h-.004zm0 .09l.012-.02h-.004v-.004h-.004v-.031l.004-.004v-.008l.004-.004v-.004l.004-.004V4.5l-.016-.012v.004l-.004.004V4.5l-.004.004v.004l-.004.004v.008l-.004.004v.035l.004.004v.004h.004v.004h.004v.004l.004.004zm0 0zm.031.023l.016-.016v-.004h-.004l-.004-.004h-.004v-.004h-.008v-.004h-.004V4.57h-.008v-.004h-.004l-.012.016h.004v.004h.008v.004h.004l.004.004h.004v.004h.004l.004.004zm.016-.016v-.004zm.039 0l-.008-.016-.008.008v.012h-.004v.004h-.008v-.004h-.004V4.59h-.004l-.016.012.012.012h.008v.004h.02l.004-.004v-.004l.004-.004v-.008h.004v-.016l-.004.008zm-.008-.016h-.008v.008zm.137-.16l-.02-.008-.004.004v.008l-.004.004v.008l-.004.008v.004l-.008.016v.008l-.004.004-.004.008v.004l-.008.008v.004l-.004.004V4.5l-.004.008-.004.004-.004.008v.004l-.008.004-.004.008-.012.012h-.004l-.008.004-.004.004-.008.004-.004.004h-.008l-.004.004.008.023.008-.008.008-.004.004-.004.008-.004.02-.02.008-.004.004-.004.004-.008.004-.004.004-.008.008-.008.004-.008.004-.004.004-.008v-.008l.004-.004v-.008l.004-.004v-.008l.008-.004v-.004l.004-.008v-.008l.004-.004.004-.008v-.004l.004-.008V4.41zm-.027-.168v.02l.012.004.016.004h.012l.012.004h.008l.008.008h.004v.004l.004.004v.004h.004v.004l-.004.008-.004.004-.004.008-.008.008-.008.004v.008l-.008.004-.008.016-.008.008-.012.023v.012l-.008.008.02.004v-.008l.008-.008.008-.016.008-.004.004-.008v-.004l.012-.012.004-.008V4.34l.008-.004.012-.012V4.32l.008-.016v-.012l-.008-.008v-.004l-.004-.004h-.008l-.008-.008-.016-.008h-.008l-.016-.008zm0 0zm0 .02v-.02zm0-.02zm0 0" class="sr-B"/><path d="M10.945 4.262c-.07.023-.078-.012-.121-.012.02.102.035.156.141.102.063-.031.137.012.148.047.008.012.039-.012.051-.043.055-.113-.133-.129-.219-.094zm0 0" class="sr-D"/><path d="M10.813 4.254l.02-.004-.008.012h.023v.004h.004l.004.004h.004l.008.004h.004v.004h.016l.004.004h.039l.008-.004h.008l.004-.004-.004-.02h-.008l-.004.004h-.008l-.004.004h-.027l-.004-.004h-.004l-.004-.004h-.012l-.004-.004h-.004l-.004-.004h-.012l-.004-.004h-.008l-.012.012zm.012-.012h-.016v.012l.012-.012zm.145.117l-.008-.02-.012.008-.008.004h-.008l-.008.008h-.008l-.008.004h-.035l-.004-.004-.004-.008-.004-.004v-.004l-.004-.004-.004-.008v-.004l-.004-.008v-.004l-.004-.004v-.012l-.004-.008v-.008l-.004-.008v-.016l-.008-.012-.02.004v.012l.004.008v.016l.004.012v.008l.004.008v.008l.008.008v.008l.008.016v.004l.008.004.004.008.012.012h.004l.008.004h.004l.008.004h.031l.016-.008h.008l.008-.004.012-.008.008-.008zm.137.043l.02-.008h-.004v-.004h-.008v-.008l-.004-.004v-.004l-.008-.004h-.004l-.004-.008-.004-.004h-.008l-.004-.004h-.008l-.004-.008h-.004l-.008-.004h-.004l-.004-.004h-.008l-.008-.004h-.047l-.004.004h-.008l-.004.004h-.004l.008.02h.004l.004-.004h.012l.004-.004h.039l.004.004h.008l.004.004h.008l.004.008h.004l.004.004h.004l.004.004h.004v.004l.008.004h.004v.008h.004v.004h.004v.004zm.07-.043l-.023-.004v.008h-.004v.008h-.004v.004l-.004.004h-.004v.004l-.004.004h-.004v.004h-.008v.004l-.016.012v.004l.008.004h.02V4.41h.004l.004-.004h.004v-.004l.008-.008h.004v-.008h.004v-.004h.004v-.004h.008v-.012h.004zm-.238-.105l.008.02.008-.004h.008l.008-.004h.008l.012-.004h.102l.016.008h.008l.008.004.008.008.008.004v.004l.008.004.004.004v.004l.004.008v.031l-.008.016.02.012.008-.023v-.031l-.004-.012-.008-.016-.008-.008-.004-.008-.012-.012-.016-.008-.012-.004h-.008l-.012-.004h-.023l-.008-.004h-.066l-.012.004h-.012l-.016.008h-.008zm0 .008v-.008zm0 0" class="sr-B"/><path d="M8.91 2.496c-.066 0-.125.055-.125.121s.059.125.125.125.121-.055.121-.125-.055-.121-.121-.121zm0 0" class="sr-C"/><path d="M8.777 2.617h.02c0-.039.023-.086.066-.102.012-.008.031-.012.047-.012v-.02c-.047 0-.09.023-.113.063-.016.02-.02.047-.02.07zm.133.137V2.73c-.039 0-.082-.023-.102-.059-.008-.016-.012-.035-.012-.055h-.02c0 .047.02.09.063.113.02.016.043.023.07.023zm.133-.137h-.02c0 .039-.027.086-.066.102-.016.008-.031.012-.047.012v.023c.047-.004.09-.027.113-.066.012-.02.02-.043.02-.066zm-.133-.133v.02c.039 0 .078.023.102.063.008.016.012.031.012.051h.02c0-.043-.023-.09-.066-.113-.02-.012-.043-.02-.066-.02zm0 0" class="sr-B"/><path d="M9.16 2.496c-.066 0-.121.051-.121.121s.055.125.121.125.121-.055.121-.125-.055-.121-.121-.121zm0 0" class="sr-C"/><path d="M9.027 2.617h.02c0-.039.023-.082.063-.102.016-.008.031-.012.051-.012v-.02c-.047 0-.09.023-.113.063-.012.02-.02.047-.02.07zm.133.137V2.73c-.039 0-.082-.023-.102-.059-.008-.016-.012-.035-.012-.055h-.02c0 .047.027.09.066.113.02.016.043.023.066.023zm.133-.137h-.02c0 .039-.027.086-.062.102-.016.008-.031.012-.051.012v.023c.047 0 .09-.027.113-.066.012-.02.02-.043.02-.066zm-.133-.133v.02c.039 0 .078.023.102.063.008.016.012.031.012.051h.02c-.004-.043-.023-.086-.062-.113-.02-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M9.41 2.516c-.066 0-.121.055-.121.121s.055.125.121.125.121-.055.121-.125-.055-.121-.121-.121zm0 0" class="sr-C"/><path d="M9.277 2.637h.02c0-.039.023-.078.063-.102.016-.008.031-.012.051-.012v-.02c-.047 0-.086.023-.113.063-.012.02-.02.047-.02.07zm.133.137v-.02c-.039 0-.082-.027-.102-.062-.008-.016-.012-.035-.012-.055h-.02c0 .047.023.09.063.117.02.012.043.02.07.02zm.133-.137h-.02c0 .047-.027.086-.066.105-.016.008-.031.012-.047.012v.02c.047 0 .09-.027.113-.066.012-.02.02-.043.02-.066zm-.133-.133v.02c.039 0 .078.027.102.063a.12.12 0 0 1 .012.051h.02c0-.047-.027-.09-.066-.113-.02-.012-.043-.02-.066-.02zm0 0" class="sr-B"/><path d="M9.641 2.559c-.066 0-.121.059-.121.125s.055.121.121.121.125-.055.125-.121-.062-.125-.129-.125zm0 0" class="sr-C"/><path d="M9.508 2.688h.02c0-.047.023-.086.066-.105.012-.008.031-.012.047-.012v-.02c-.043 0-.09.023-.113.063-.012.02-.02.047-.02.07zm.133.129v-.02c-.039 0-.082-.023-.102-.062-.008-.02-.012-.035-.012-.051h-.02c0 .039.027.086.066.109.02.016.043.02.066.02zm.133-.133h-.02c0 .039-.023.078-.059.098-.02.008-.035.012-.055.012v.02c.043 0 .086-.02.113-.059.012-.023.02-.047.02-.07zm-.133-.137v.02c.039 0 .082.027.098.066.012.016.016.031.016.051h.02c0-.051-.027-.098-.066-.121-.02-.012-.043-.02-.066-.016zm0 0" class="sr-B"/><path d="M11.16 3.195c-.031 0-.062.016-.086.039s-.035.055-.035.086c0 .07.055.125.121.125s.121-.055.121-.125c0-.031-.012-.062-.035-.086s-.055-.039-.086-.039zm0 0" class="sr-C"/><path d="M11.027 3.32h.02c0-.039.023-.082.063-.102.016-.008.031-.012.051-.012v-.02c-.043 0-.09.02-.113.059-.012.023-.02.047-.02.074zm.133.133v-.02c-.039 0-.082-.023-.102-.059-.008-.016-.012-.035-.012-.055h-.02c0 .047.027.09.066.113.02.016.043.02.066.02zm.133-.133h-.02c0 .039-.027.086-.062.102a.12.12 0 0 1-.051.012v.02c.043 0 .086-.02.113-.059.012-.023.02-.047.02-.074zm-.133-.133v.02c.039 0 .078.023.102.059.008.016.012.035.012.055h.02c0-.047-.023-.09-.062-.117-.02-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M10.949 3.063c-.066 0-.125.055-.125.121 0 .074.059.125.125.125s.121-.051.121-.117c0-.035-.012-.066-.035-.09s-.051-.035-.086-.035zm0 0" class="sr-C"/><path d="M10.816 3.188h.02a.12.12 0 0 1 .059-.102c.02-.008.035-.012.055-.012v-.02c-.043 0-.086.02-.113.059-.012.023-.02.047-.02.074zm.133.133v-.02c-.062 0-.113-.051-.113-.113h-.02c0 .043.023.086.059.109.023.016.047.023.074.023zm.133-.133h-.02c0 .039-.023.078-.062.098-.016.008-.031.012-.051.012v.023c.047-.004.086-.023.113-.062.012-.023.02-.047.02-.074zm-.133-.137v.02c.039 0 .082.023.102.063a.12.12 0 0 1 .012.051h.02c0-.047-.023-.094-.059-.117-.023-.012-.047-.02-.074-.02zm0 0" class="sr-B"/><path d="M10.711 2.945c-.07 0-.121.063-.121.129s.051.125.121.125.117-.059.117-.125c.004-.035-.008-.066-.031-.09s-.055-.035-.086-.035zm0 0" class="sr-C"/><path d="M10.578 3.074h.02c0-.039.023-.086.059-.102.02-.008.035-.012.055-.016v-.02c-.047.004-.086.023-.113.063a.15.15 0 0 0-.02.074zm.133.133v-.02c-.039 0-.082-.027-.102-.059-.008-.02-.012-.035-.012-.055h-.02c0 .043.023.086.059.113.023.016.047.02.074.02zm.133-.133h-.02c0 .039-.027.078-.062.098-.02.012-.035.016-.055.016v.02c.047 0 .09-.023.113-.062.016-.023.023-.047.023-.07zm-.137-.137v.02c.039 0 .082.027.102.063.008.016.012.035.012.055h.02c0-.047-.02-.09-.059-.117-.023-.012-.047-.02-.074-.02zm0 0" class="sr-B"/><path d="M11.32 3.398c-.031 0-.062.012-.086.035s-.035.059-.031.09c0 .066.051.125.117.125s.125-.062.125-.129-.055-.121-.125-.121zm0 0" class="sr-C"/><path d="M11.191 3.523h.02c0-.039.023-.086.063-.102.016-.008.031-.012.047-.012v-.02c-.043 0-.086.02-.109.059-.016.023-.023.047-.02.074zm.129.133v-.02c-.039 0-.078-.023-.098-.059-.008-.016-.012-.035-.012-.055h-.02c0 .047.023.09.063.113.02.016.043.02.066.02zm.137-.133h-.02c0 .039-.027.082-.062.102-.016.008-.035.012-.055.012v.02c.047 0 .09-.023.117-.062.012-.02.02-.047.02-.07zm-.137-.133v.02c.043 0 .082.023.102.059.008.016.016.035.016.055h.02c0-.047-.023-.09-.066-.113-.02-.016-.043-.02-.07-.02zm0 0" class="sr-B"/><path d="M9 5.543l.441.258.469-.199-.441-.258zm0 0" class="sr-D"/><path d="M9.465 5.352l.441.258.008-.02-.441-.258h-.008zm.008-.02h-.008zm-.469.219l.465-.199-.008-.02-.469.199v.02zm-.008-.02l-.02.012.02.008zm.449.262l-.441-.262-.012.02.441.258h.012zm-.012.016l.004.004h.008zm.469-.219l-.469.199.008.02.465-.199v-.02h-.008zm.004.02l.023-.008-.023-.008v.02zm0 0" class="sr-B"/><path d="M9.465 5.43c-.113-.008-.207.051-.215.125s.082.141.195.148.207-.047.215-.125c.004-.07-.086-.141-.195-.148zm0 0" class="sr-H"/><path d="M9.238 5.559h.023v-.016l.004-.004v-.012l.004-.008v-.004l.008-.004.004-.004.004-.008.02-.02h.012l.004-.004.008-.004.012-.004.008-.004h.004l.008-.004h.008l.012-.008h.016l.012-.004h.016l.012-.004h.02l.008.004v-.02h-.07l-.008.004-.012.004h-.008l-.008.004-.023.008-.008.004-.004.004-.023.012-.008.008-.008.004-.02.02-.008.016-.004.004-.004.008v.008l-.008.008-.004.008v.016zm.207.16v-.02l-.008-.004h-.016l-.012-.004h-.008l-.008-.004h-.012l-.008-.008h-.008l-.062-.031-.004-.008-.008-.004-.004-.008v-.004l-.008-.008-.004-.008-.004-.004v-.004l-.004-.004v-.012l-.004-.008v-.023l-.02-.004v.035l.004.008v.004l.008.012v.004l.004.008.008.008v.004l.008.008.004.008.012.012.008.004.008.008.016.008.008.008.016.008.012.004h.008l.016.008h.008l.012.004h.008l.012.004h.02zm.227-.137h-.023v.012l-.004.004v.008l-.004.004-.004.008v.004l-.008.008v.008l-.008.004-.004.008-.008.004-.008.008-.008.004-.004.004h-.012l-.008.004h-.008l-.016.008h-.008l-.008.004h-.02l-.012.004h-.043v.02h.07l.008-.004h.008l.012-.004h.012l.008-.008h.008l.012-.004.012-.012.016-.008.004-.004.008-.004.004-.008.008-.004.004-.008v-.008l.008-.004.008-.016.004-.004v-.02zm-.207-.16l-.004.02h.027l.012.004h.012l.016.008h.012l.008.008.031.016.004.004.016.008.012.012.004.008.008.004.004.004.008.016.004.004v.008l.004.004v.016l.004.008v.012l.02.004v-.027l-.004-.008v-.008l-.004-.008v-.008l-.008-.016-.008-.004-.012-.023-.008-.004-.008-.008-.008-.004-.008-.008-.016-.008-.012-.008-.016-.008-.012-.004h-.008l-.008-.004h-.012l-.008-.008h-.012l-.012-.004h-.02l-.012-.004zm0 0" class="sr-B"/><path d="M10.438 5.418l-.477.18.395.262c.102-.031.18-.383.082-.441zm0 0" class="sr-D"/><path d="M9.965 5.605l.477-.18-.008-.02-.473.18v.02zm-.004-.02l-.02.008.02.012zm.398.266l-.391-.262-.008.016.391.266h.008zm-.008.023h.008zm.082-.469l.008.02h-.008l.008.004.016.016.008.016.008.031v.031l.004.016v.055l-.008.016v.02l-.012.059-.004.012v.023l-.012.02-.004.012-.016.031-.012.012-.004.012-.016.023-.012.008-.008.004-.004.004-.008.004.004.023.012-.008.012-.004.02-.02.008-.012.012-.012.008-.012.016-.031.008-.02.008-.016.004-.02.008-.016.008-.02.004-.016.004-.02.004-.023v-.016l.004-.02v-.105l-.004-.016-.004-.012-.008-.012-.004-.012-.016-.023-.012-.008zm.012 0h-.012zm-.008.008l-.004-.008zm.004-.008h-.012zm0 0" class="sr-B"/><path d="M10.43 5.504c-.113-.012-.211.039-.219.117s.078.148.191.16c.07.008.121-.059.125-.125.012-.07-.02-.141-.094-.148zm0 0" class="sr-G"/><path d="M10.203 5.617h.02v-.008l.004-.008v-.004l.008-.016.008-.008.004-.008.004-.004.008-.004.008-.008.016-.008.004-.004.016-.008h.008l.008-.008h.008l.008-.004h.02l.008-.004h.074l.004-.02h-.078l-.008.004h-.008l-.012.004-.008.004h-.008l-.008.008-.008.004h-.012l-.008.004-.027.027-.008.004-.004.004-.004.008-.004.004-.004.008v.012l-.008.008v.004l-.004.008v.008zm.199.172v-.023h-.02l-.012-.004h-.008l-.012-.004-.008-.004h-.012l-.016-.008h-.008l-.008-.008-.016-.008-.016-.016-.004-.008-.008-.004-.02-.02-.004-.008v-.008l-.004-.004v-.016l-.004-.012v-.02h-.02v.035l.004.004v.008l.004.008.004.004.016.031.012.012.004.008.012.004.008.008h.008l.008.008.016.008h.008l.008.008.008.004h.012l.008.004.012.004h.012l.008.004h.016l.008.004h.012zm.137-.137h-.02v.016l-.004.004v.008l-.004.008v.004l-.004.004v.004l-.012.012v.008l-.008.008v.004l-.004.004h-.004l-.004.008h-.004l-.008.008h-.008l-.004.004h-.004l-.004.004h-.004l-.004.004h-.031v.02h.043l.008-.004h.008l.004-.004.008-.004.004-.004.008-.004.008-.008.008-.004.016-.016V5.73l.004-.004.004-.008v-.004l.008-.008v-.008l.004-.004.004-.008v-.004l.004-.008v-.012l.004-.004v-.008zm-.109-.16v.02h.004l.008.004h.016l.012.012.008.004.004.004h.004l.004.004v.004l.004.004v.004h.008v.008l.008.008v.016l.004.008v.008l.004.004v.047h.02v-.051l-.004-.004v-.008l-.004-.004v-.004l-.008-.016v-.008l-.004-.004-.004-.008-.004-.004v-.004l-.016-.008h-.004l-.004-.008-.016-.008h-.004l-.008-.004h-.012l-.008-.004h-.008zm0 0" class="sr-B"/><path d="M8.938 5.625c-.035 0-.066.031-.066.066s.031.066.066.066S9 5.727 9 5.688c0-.031-.027-.062-.062-.062zm0 0" class="sr-C"/><path d="M8.863 5.691h.02V5.68l.004-.004v-.004l.004-.008V5.66h.004v-.004h.004v-.004h.004l.008-.008h.004l.008-.004h.012v-.02h-.02l-.008.004-.004.004h-.004l-.004.004v.004h-.004v.004h-.004v.008h-.004v.004l-.004.004v.004h-.004v.004l-.004.004v.012l-.004.004v.004zm.074.074v-.02H8.93l-.008-.004h-.004l-.004-.004H8.91v-.004h-.004V5.73h-.004v-.004l-.008-.008v-.004l-.004-.004v-.02h-.023v.016l.004.004v.008l.004.004v.004l.008.008h.004v.008h.004l.004.004.008.004.004.004h.016v.004h.012v.004h.004zm.074-.074h-.023v.02h-.004v.004l-.004.004v.004l-.004.004h-.004v.004h-.004v.004h-.004l-.004.004h-.004v.004h-.02v.023h.016l.004-.004h.008v-.004h.008l.012-.012h.004v-.004h.004l.004-.008L9 5.73v-.004l.008-.008v-.008l.004-.004zm-.074-.074v.02h.016l.004.004h.004v.004h.004v.004h.004v.004h.004v.004h.004v.004l.004.008v.008h.004v.016h.023v-.023L9 5.664V5.66h-.004v-.008l-.008-.008v-.004H8.98v-.004l-.004-.004h-.004v-.004h-.008v-.004h-.008v-.004h-.02zm0 0" class="sr-B"/><path d="M9.91 5.68c-.035 0-.062.031-.062.066s.031.066.066.066.063-.031.063-.066-.027-.066-.062-.066zm0 0" class="sr-C"/><path d="M9.84 5.746h.02V5.73l.004-.004v-.004l.004-.004v-.008l.008-.008h.004v-.004h.004v-.004h.008l.004-.004h.016v-.023h-.016v.004h-.012v.004h-.008v.004h-.004v.004h-.008l-.004.004-.004.008h-.004l-.004.004-.004.008v.004H9.84v.016l-.004.004v.016zm.07.074v-.02h-.02v-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.004-.004V5.77h-.004v-.008l-.004-.004V5.75h-.02v.016l.004.004v.004l.004.004v.008h.004v.008h.004l.004.004h.004v.004h.008l.004.004h.004v.004h.004v.004h.012l.004.004h.016zm.074-.07h-.02v.016h-.004v.008h-.004v.004h-.004v.004h-.004v.008h-.004l-.004.004h-.004v.004H9.93v.004h-.016v.02h.023v-.004h.008v-.004h.004l.008-.008h.004v-.004h.004v-.008h.004v-.004h.004v-.008l.004-.004v-.004l.004-.008V5.75zm-.074-.078v.02h.016v.004h.012v.004h.004l.004.004v.004h.004l.004.004v.008l.004.004v.004h.004v.012l.004.008v.008h.02v-.02L9.98 5.73v-.008l-.004-.004-.004-.008v-.008h-.008v-.004h-.004l-.008-.008h-.004v-.004h-.012l-.004-.004h-.012l-.008-.004H9.91zm0 0" class="sr-B"/><path d="M9.945 5.383c-.035 0-.062.027-.062.066s.027.063.063.063.066-.027.066-.062-.031-.066-.066-.066zm0 0" class="sr-C"/><path d="M9.871 5.449h.02v-.016l.004-.004v-.008l.004-.004h.004V5.41h.004v-.004h.004l.004-.004h.008l.004-.004h.008v-.004h.008v-.02h-.016v.004h-.004l-.008.004H9.91l-.008.004h-.004v.004l-.02.02v.008h-.004v.008l-.004.004zm.074.074V5.5h-.02v-.004h-.004l-.004-.004h-.004v-.004H9.91v-.004h-.004V5.48l-.008-.008v-.008h-.004v-.02h-.02v.023l.004.004.004.008v.004h.004l.004.008h.004v.004h.004V5.5h.004v.008h.004l.004.004h.012l.008.004h.012zm.074-.074H10v.016l-.004.004v.008h-.004v.004l-.004.004v.004h-.004v.004H9.98v.004h-.004l-.004.004h-.012l-.004.004h-.008v.02h.016l.008-.004h.004l.004-.004.008-.004h.004l.004-.004L10 5.5h.008v-.004l.004-.008v-.004h.004v-.008l.004-.004zm-.074-.074v.02h.016v.004h.012l.004.004h.004v.004h.004v.004h.004v.004h.004v.004l.004.004v.004L10 5.43v.016h.02v-.023h-.004V5.41h-.004v-.008h-.004v-.004H10l-.004-.004v-.004h-.004v-.004h-.008l-.004-.004h-.008v-.004h-.008l-.004-.004zm0 0" class="sr-B"/><path d="M8.941 5.34c-.039 0-.066.031-.066.066s.027.063.066.063.063-.027.063-.062-.031-.066-.066-.066zm0 0" class="sr-C"/><path d="M8.867 5.406h.02v-.016h.004v-.008l.004-.004v-.004h.004v-.004h.004v-.004l.004-.004h.004l.004-.004h.004l.008-.004h.012v-.02h-.023l-.004.004h-.004l-.008.004-.008.008h-.004v.004h-.004v.004h-.004v.008h-.004v.008l-.004.004v.008l-.004.004zm.074.074v-.02h-.027v-.004H8.91l-.008-.008v-.004h-.004v-.004h-.004v-.004l-.004-.008v-.008h-.004v-.016h-.02v.02l.004.004v.008l.008.008.004.008.012.012h.004v.004h.008v.004h.008l.004.004h.02zm.074-.074h-.023v.012l-.004.004v.004l-.004.004v.008H8.98l-.004.004v.004h-.004v.004h-.004l-.004.004h-.004l-.004.004h-.016v.02h.02l.008-.004h.004l.008-.004.004-.004v-.004l.008-.004.004-.004v-.004H9v-.008h.004V5.43l.004-.004V5.41l.004-.004v-.004zm-.074-.074v.02h.012v.004h.008l.004.004h.004v.008h.004v.004l.008.008v.008h.004v.016h.027v-.012l-.004-.004v-.008L9 5.375v-.004h-.004v-.008h-.004v-.008h-.004v-.004h-.004v-.004l-.008-.004-.004-.004h-.008l-.004-.004h-.02zm0 0" class="sr-B"/><path d="M10.664 4.762c-.043-.016-.117.094-.137.09-.027-.059.023-.211.109-.324.059-.023.063-.062.074-.148.004-.027.055-.008.055.039s.008.074-.004.113c-.004.016 0 .031.016.047-.09.035-.113.082-.109.18zm0 0" class="sr-D"/><path d="M10.535 4.852l-.02.004.008.008h.008l.008-.004.039-.039.008-.004.004-.004.008-.004.004-.008h.004l.008-.008h.004l.004-.004.008-.004h.004l.004-.004h.008l.004-.004h.008l.008-.02h-.023l-.008.004h-.004l-.008.004-.004.004h-.004l-.008.004-.004.004h-.004l-.008.008-.008.004v.004l-.016.016v.004l-.027.027h-.004v.004h-.008v.004zm-.02.004l.004.008h.004l-.008-.004zm.125-.316l-.008-.02-.004.004-.008.012-.008.008-.008.012-.008.016-.008.008-.008.016-.016.023-.004.012-.016.023-.023.07v.012l-.004.012v.012l-.004.008v.008l-.004.008v.066l.004.008.02-.004v-.008l-.004-.004v-.074l.004-.008V4.75l.004-.012.004-.008.004-.012v-.012l.008-.012.008-.023.008-.012.008-.023.008-.008.008-.012.008-.016.008-.008.008-.016.008-.012.004-.008.02-.02-.008.004zm-.008-.02l-.004.004zm.09-.133h-.02v.012l-.004.008v.02l-.004.004v.012l-.004.008v.008l-.004.004v.008h-.004v.008l-.004.004v.004h-.004v.004h-.004l-.008.004v.004h-.004l-.004.004h-.004l-.004.004h-.004l-.004.004h-.004l-.004.004.008.023h.004l.008-.008h.004l.004-.004h.004l.012-.012h.004v-.004l.012-.012v-.004l.004-.004v-.004l.004-.008v-.004l.004-.004v-.004l.004-.004v-.02l.004-.008v-.012l.004-.004v-.023l.004-.012zm.035.035h.02v-.02l-.008-.008v-.008h-.004l-.004-.008h-.004l-.008-.004-.004-.004h-.004l-.004-.004h-.023v.004h-.004v.008l-.004.004v.004h.031v.004h.004v.004h.004v.004h.004v.004l.004.004v.016zm-.008.113l.02.004v-.012l.004-.004v-.031h.004v-.07h-.02v.082l-.004.004v.016l-.004.004zm.02.039l.012.016v-.02l-.004-.004v-.004h-.004v-.008h-.004v-.008l.004-.004v-.004l-.023-.008v.035h.008v.008h.004v.004h.004v.004l.004.008h.004v-.016zm.012.016l.016-.008-.016-.012zm-.102.172h-.02.02v-.008l-.004-.012v-.039l.004-.008v-.012l.004-.008v-.012l.004-.004v-.008l.004-.004.004-.008v-.004l.008-.004v-.004l.008-.008.008-.004.008-.008h.008l.004-.008.004-.004.016-.008h.008l.008-.004-.008-.02-.008.004-.012.004-.016.008-.004.004-.016.008-.004.004-.008.004v.004l-.012.012-.004.008v.004l-.008.004v.008l-.004.008v.004l-.008.008v.016l-.004.004v.016l-.004.008v.059zm-.02 0h.02l-.008-.008-.016.008zm.02 0v-.008h-.008zm0 0" class="sr-B"/><path d="M10.711 4.383c.008.02.012.035.012.07 0 .02-.008.039-.023.059s-.035.039-.059.051c-.016.012-.031.035-.047.063s-.023.059-.023.078c0 .07-.016.137-.047.148-.027.004-.035.004-.051 0 .004-.012 0-.031.016-.047.016-.023.023-.051.027-.074s.012-.035.004-.066-.02-.035-.02-.055c.008-.043.039-.121.086-.121s.066-.008.094-.07c.004-.02.02-.031.023-.039zm0 0" class="sr-D"/><path d="M10.715 4.453l.02-.004v-.023l-.004-.004v-.02h-.004v-.016h-.004v-.008l-.02.008v.008h.004v.02l.004.004v.031zm-.02.055l.016.016V4.52h.004v-.008l.004-.004v-.004h.004v-.008h.004v-.008l.004-.004v-.016l.004-.004v-.012h-.02v.02h-.004v.016h-.004v.008h-.004v.008h-.004v.004h-.004v.004zm-.062.051l.012.02v-.004h.008V4.57h.004v-.004h.004l.004-.004h.008v-.004h.004v-.004h.004l.004-.004v-.004l.004-.004h.004v-.004h.004v-.004h.004v-.004l.008-.008-.016-.016-.004.004-.004.008v.004h-.004l-.004.004v.004h-.004l-.008.008h-.004v.004h-.004v.004h-.008l-.008.008h-.004v.004zm-.047.063l.02.008v-.004l.004-.004v-.004l.004-.004v-.004h.004v-.004l.004-.004v-.004h.004v-.004l.008-.008v-.004h.004l.004-.004h.004l-.008-.02h-.004v.004h-.004v.004h-.004v.004l-.008.008v.004h-.004v.004h-.004v.004l-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.004h-.004zm-.023.086h.02v-.016l.004-.004v-.016h.004V4.66h.004v-.008h.004v-.012h.004v-.004l.004-.004-.02-.008v.008h-.004v.008h-.004v.012l-.004.004v.008h-.004v.012h-.004v.02h-.004zm.02 0zm-.059.137l.004.02h.008l.004-.004.004-.008v-.004l.008-.004h.004l.004-.004v-.004h.004v-.008l.004-.004V4.82l.004-.004v-.008l.004-.004v-.012l.004-.004v-.016l.004-.008v-.031l.004-.004v-.031h-.02v.043l-.004.004v.027l-.004.004v.016l-.004.008v.004l-.004.004v.008l-.004.004v.004l-.008.008v.004h-.004v.004h-.004l-.004.004zm-.035.016l-.02-.008.008.012h.008v.004h.031l.004-.004h.008l-.008-.02h-.012v.004h-.027v-.004l.008.012zm-.02-.008v.008h.008zm.031-.039l-.016-.012h-.004v.008h-.004v.008h-.004v.016l-.004.004v.02l.02.008v-.027l.004-.004v-.016h.004v-.004zm.031-.078h-.02v.016h-.004v.016l-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.004h-.004v.008l.012.012v-.004l.008-.004v-.008h.004v-.012h.004v-.004l.004-.004v-.004l.004-.004v-.004l.004-.008V4.75l.004-.004zm-.02 0zm.023-.07l-.02.004v.063l-.004.004.02.004v-.02l.004-.004zm-.02-.051h-.02v.016h.004v.012l.004.004v.004l.004.004v.004h.004v.012h.004v.004l.02-.004V4.66h-.004v-.008l-.004-.004v-.004l-.004-.004v-.004l-.004-.004v-.02zm.082-.109v-.02h-.023l-.008.004h-.004l-.004.004h-.004l-.008.008v.004l-.008.004v.004l-.004.004-.004.008v.004l-.008.004-.004.004-.004.008v.004l-.004.004v.004l-.004.008v.004l-.004.004v.008l-.004.004v.012l-.004.004v.016h.02v-.02l.004-.004v-.008l.008-.016v-.004l.004-.004v-.004l.008-.008v-.004l.004-.004v-.004l.004-.004.004-.008.016-.016.008-.004zm.098-.074l-.02-.008v.004l-.004.008v.004l-.004.004v.004l-.004.004v.004l-.008.008v.004h-.004v.004h-.004v.004h-.008v.004h-.016v.004h-.031v.02h.031l.008-.004h.008v-.004h.004v-.004h.008v-.004h.004V4.48l.004-.004.004-.008.008-.004v-.004l.004-.004.004-.008.004-.004v-.008l.004-.004zm.008-.039l.02-.012h-.023v.008h-.004v.004h-.004v.004h-.004v.008h-.004v.004l-.004.004v.004l-.004.004.02.008v-.004l.004-.004v-.004l.004-.004v-.004h.004v-.004l.004-.004v-.004h.004v-.004h.004v-.004h-.016zm.02-.012l-.008-.02-.012.02zm-.012.004l-.008.004zm.012-.004l-.008-.02-.012.02zm0 0" class="sr-B"/><path d="M10.887 4.555l-.039-.02c-.027-.012-.055-.012-.082-.004-.109.031-.16.23-.035.281.023.004.047-.023.066-.066a.44.44 0 0 1 .082-.137c.02-.02.02-.043.008-.055zm0 0" class="sr-D"/><path d="M10.848 4.523l-.008.02h.008v.004h.008v.004h.016v.004h.004l.004.004.016-.012-.004-.004v-.004h-.008v-.004h-.016v-.004h-.008v-.004h-.008zm-.082-.004l.004.02h.012v-.004h.039v.004h.016l.004.004.012-.02h-.008l-.008-.004h-.016v-.004h-.031l-.004.004zm-.039.301l.004-.02h.004l-.012-.004h-.012l-.016-.016-.004-.008-.008-.008-.012-.023V4.73l-.004-.012v-.066l.008-.008.004-.008.004-.012v-.008l.008-.008.004-.012.008-.004.004-.012.023-.023.008-.004.008-.008.012-.004h.008l-.004-.02h-.016l-.023.012-.008.008-.012.004-.02.02-.004.008-.023.035-.012.023-.004.012v.012l-.004.012v.066l.012.035.004.008.016.023.008.008.008.004.012.008.012.004zm0 0zm.078-.07l-.02-.008v.008l-.008.008-.004.008v.004h-.004v.008h-.004v.004l-.008.008h-.004v.004h-.004l-.004.008h-.016v.023h.016V4.82h.012l.016-.016v-.004h.004l.004-.008v-.004h.004v-.004l.004-.004v-.004h.004v-.004l.004-.004v-.004l.004-.008.004-.004zm0 0zm.082-.133l-.016-.012-.004.004v.004h-.004l-.004.004v.008h-.004l-.004.004v.004l-.004.004h-.004v.008l-.004.004v.004l-.008.004-.004.004v.008l-.004.004-.004.008v.004l-.004.004-.004.008v.004l-.004.008v.004l-.008.016v.008l-.008.004v.008l.02.008v-.012l.004-.004V4.73l.008-.004v-.008l.004-.004v-.008l.004-.008v-.004l.008-.004v-.004l.004-.004.004-.008v-.004l.008-.004v-.004h.004V4.66h.004v-.008l.012-.012v-.004l.004-.004h.004v-.004l.004-.004zm0 0zm0-.07v.02l-.008-.004v.004h.004v.016h-.004v.012l-.008.008v.004l.016.012h.004v-.004l.008-.008v-.004h.004v-.047h-.004v-.004h-.004zm.008 0h-.008zm-.008.02v-.02l-.008.02zm-.008 0h.004zm0 0" class="sr-B"/><path d="M10.828 4.566c-.105-.039-.187.168-.086.207.055.02.059-.051.07-.086.012-.051.121-.082.016-.121zm0 0" class="sr-D"/><path d="M10.738 4.781l.008-.02h-.004l-.008-.004-.004-.004-.004-.008-.004-.004-.004-.008v-.012l-.004-.008v-.051l.004-.012.016-.031.008-.008.004-.008.008-.008.008-.004.004-.004.016-.008h.008l.008-.004h.023l.008.004.012-.02h-.016l-.008-.004h-.031l-.012.004-.016.008-.012.008-.008.012-.016.016-.008.016-.008.012-.012.035v.012l-.004.008v.031l.004.012v.012l.008.016.008.012.008.004.008.008.016.008zm.086-.086l-.02-.008-.004.004v.012l-.004.004v.016l-.004.004v.008l-.004.004v.004l-.004.008-.004.004v.004h-.004v.004h-.004l-.004.004h-.023l-.008.016h.008l.004.004h.027l.004-.004h.004v-.004l.004-.004.008-.004v-.004l.004-.004v-.004h.004V4.75l.004-.004v-.008h.004v-.016l.004-.004v-.016l.004-.004v-.004zm.008-.137l-.008.02h.012l.008.008h.008l.004.008h.004l.004.004v.004h.004v.008h-.004v.004l-.004.004v.004h-.008v.008l-.004.004h-.004l-.004.004-.008.004-.012.012-.004.008-.004.004v.008l-.004.004v.012l.02.004V4.68l.004-.004h.004v-.008l.008-.004h.004V4.66l.004-.008.012-.012v-.004l.004-.004h.004v-.004l.008-.008v-.004l.004-.004v-.016l-.004-.004v-.008l-.008-.004-.004-.004-.004-.008-.008-.004h-.008l-.008-.004-.012-.004zm0 0" class="sr-B"/><path d="M10.816 4.602c-.051-.023-.121.098-.059.129.047.02.082-.008.098-.039.012-.043 0-.078-.035-.09zm0 0" class="sr-G"/><path d="M10.758 4.742l.008-.023h-.008l-.004-.004h-.004v-.004l-.004-.004v-.039l.004-.004v-.008h.004v-.008l.012-.012.004-.008.008-.008h.004v-.004l.008-.004h.02l.008-.02h-.031l-.02.02-.008.004-.004.004-.004.008v.004l-.008.008-.004.008-.004.004v.012l-.004.008v.051l.008.016.008.008h.012l.004.008zm.105-.051l-.02-.008-.004.008-.004.004v.004l-.004.008-.008.008h-.008v.004h-.004l-.004.004h-.008v.004h-.027l-.004-.004-.012.02h.016l.004.004h.035l.004-.004h.004v-.004h.008l.004-.004.008-.004.004-.008.008-.004h.004v-.008l.004-.004.004-.008v-.004l.004-.004v-.004zm-.043-.102l-.008.02h.008l.02.02v.004h.004v.016l.004.004v.023l-.004.004v.004l.02.008v-.016l.004-.004v-.031l-.004-.004v-.008l-.008-.008-.004-.008v-.004l-.004-.004v-.004h-.008l-.004-.004-.008-.004h-.004zm-.004.012l.004-.012zm0 0" class="sr-B"/><path d="M10.086 3.605c-.07 0-.129.055-.129.125s.059.133.125.133.129-.062.129-.129-.062-.125-.129-.125zm0 0" class="sr-C"/><path d="M9.945 3.73h.02c0-.039.027-.086.066-.105a.12.12 0 0 1 .051-.012v-.02c-.047 0-.094.023-.117.063-.016.023-.02.051-.02.074zm.141.141v-.02c-.043 0-.086-.027-.105-.066-.008-.016-.012-.035-.012-.055h-.02c0 .051.023.098.066.121.02.016.043.02.07.02zm.137-.141h-.02c0 .047-.027.086-.066.109-.016.008-.035.012-.055.012v.02c.047 0 .094-.027.117-.066.012-.023.02-.047.02-.074zm-.141-.141v.023c.043 0 .086.023.105.066.012.016.016.035.016.051h.02c0-.047-.023-.09-.066-.113-.02-.016-.047-.023-.07-.023zm0 0" class="sr-B"/><path d="M10.18 3.391c-.07 0-.129.059-.129.125 0 .074.059.129.129.129s.125-.055.125-.129-.062-.125-.129-.125zm0 0" class="sr-C"/><path d="M10.039 3.516h.02c0-.043.027-.086.066-.105.016-.008.031-.012.051-.008v-.023c-.047 0-.094.027-.121.066-.012.023-.02.047-.02.074zm.141.141v-.02c-.047 0-.086-.027-.109-.066-.008-.016-.012-.031-.012-.051h-.02c0 .047.023.094.066.121.02.012.047.02.07.02zm.133-.141h-.02c0 .047-.023.086-.062.109a.12.12 0 0 1-.051.012v.02c.047 0 .09-.023.113-.066.016-.02.02-.047.02-.07zm-.133-.141v.023c.039 0 .082.027.102.066a.12.12 0 0 1 .012.051h.02c0-.043-.023-.09-.062-.117-.023-.016-.047-.023-.07-.023zm0 0" class="sr-B"/><path d="M9.871 2.637c-.066 0-.121.055-.121.121s.055.125.121.125.125-.055.125-.125c0-.031-.012-.062-.035-.086s-.055-.035-.09-.035zm0 0" class="sr-C"/><path d="M9.738 2.762h.023c0-.047.023-.086.059-.102.016-.008.035-.016.051-.016v-.02a.13.13 0 0 0-.109.063.12.12 0 0 0-.023.074zm.133.133v-.023c-.039 0-.078-.023-.098-.059-.008-.02-.012-.035-.012-.051h-.023c0 .043.027.09.063.109.02.016.047.023.07.023zm.137-.137h-.023c0 .043-.023.086-.062.102-.016.008-.031.012-.051.012v.023c.047 0 .09-.023.113-.062.012-.02.02-.047.02-.07zm-.137-.133v.02c.039 0 .082.023.102.063.008.016.012.031.012.051h.023c-.004-.043-.023-.086-.062-.113-.023-.012-.047-.02-.074-.02zm0 0" class="sr-B"/><path d="M10.078 2.73c-.07 0-.125.059-.125.129s.055.129.125.129.129-.062.129-.129a.13.13 0 0 0-.129-.129zm0 0" class="sr-C"/><path d="M9.941 2.859h.02c0-.047.027-.086.066-.105.016-.012.035-.016.051-.016v-.02c-.043 0-.09.023-.113.066-.016.02-.02.047-.02.07zm.137.141v-.02c-.039 0-.086-.031-.105-.066-.008-.02-.012-.035-.012-.055h-.02c0 .047.023.094.066.121.02.012.043.02.07.02zm.141-.141h-.02c0 .043-.027.086-.066.105-.02.008-.035.012-.055.012v.02c.047 0 .094-.023.121-.066a.15.15 0 0 0 .02-.074zm-.141-.141v.02c.043 0 .086.027.105.066a.12.12 0 0 1 .012.051h.02c0-.047-.023-.094-.066-.121a.15.15 0 0 0-.074-.02zm0 0" class="sr-B"/><path d="M10.23 2.914c-.07 0-.125.055-.125.129a.12.12 0 0 0 .121.125c.07 0 .129-.055.129-.125a.13.13 0 0 0-.129-.129zm0 0" class="sr-C"/><path d="M10.094 3.043h.02c0-.047.023-.086.066-.109.016-.008.031-.012.051-.012v-.02c-.047 0-.094.023-.117.066a.15.15 0 0 0-.02.074zm.137.141V3.16c-.039 0-.086-.027-.105-.066a.12.12 0 0 1-.012-.051h-.02c0 .043.023.09.063.117.023.016.047.023.074.023zm.141-.141h-.02c0 .039-.031.086-.066.102-.02.012-.039.016-.059.012v.023c.051-.004.094-.027.121-.066.012-.023.02-.047.02-.074zm-.141-.141v.02c.043 0 .086.023.105.066.008.016.012.035.012.055h.02c0-.051-.02-.098-.062-.121-.023-.016-.047-.02-.074-.02zm0 0" class="sr-B"/><path d="M10.258 3.141c-.074 0-.129.059-.129.129s.059.133.129.133.125-.062.125-.129-.055-.129-.125-.129zm0 0" class="sr-C"/><path d="M10.117 3.27h.02c0-.043.027-.086.066-.105.016-.008.035-.012.055-.012v-.02c-.051 0-.098.023-.121.063-.016.023-.02.047-.02.074zm.141.141v-.02c-.047 0-.086-.027-.109-.066-.008-.02-.012-.035-.012-.055h-.02c0 .051.027.102.07.121.02.012.043.02.07.02zm.133-.141h-.02c0 .043-.023.086-.062.105-.016.008-.031.016-.051.016v.02c.047 0 .09-.027.117-.066.012-.023.02-.047.02-.074zm-.133-.137v.02c.039 0 .082.027.102.063.008.02.012.035.012.055h.02c0-.047-.023-.09-.062-.117-.02-.012-.047-.02-.07-.02zm0 0" class="sr-B"/><path d="M8.598 3.973c.055-.102.113-.168.172-.195-.082-.266-.105-.605-.055-1.023.004-.066.02-.094.047-.094.02 0 .031.035.035.105l-.023.605c.008.152.043.281.082.426.008.023-.008.035-.074.074-.055.031-.086.066-.094.102-.016-.004-.027 0-.031 0-.051.016-.074.012-.059 0zm0 0" class="sr-D"/><path d="M8.781 3.773l-.02.008.004-.012h-.004l-.016.008-.004.004h-.004l-.008.004h-.004l-.012.012-.008.004-.008.016-.008.004-.004.008-.008.004-.016.016-.004.012-.008.004-.008.016-.008.008-.008.016-.008.008-.004.008-.004.012-.008.008-.004.008-.008.012-.004.008.02.012.004-.012.004-.008.008-.012.008-.016.008-.008.008-.016.008-.008.004-.008.004-.004.008-.012.008-.004.012-.012v-.004l.008-.008.004-.008.008-.008.008-.004.008-.008.008-.004.004-.004.004-.008.016-.008h.004l.016-.008.004-.012zm-.008.012h.008v-.012zm-.047-1.031h-.02l-.004.039-.004.035-.004.039-.004.043v.035l-.004.035v.035l-.004.039v.301l.004.027.004.031v.031l.008.031.004.027.004.031.012.082.008.027.004.027.008.027.008.023.004.027.012.023.02-.004-.008-.023-.023-.082-.008-.023-.004-.023-.008-.031-.004-.023-.004-.027-.008-.031-.004-.027v-.027l-.004-.031v-.027l-.004-.035v-.031l-.004-.035v-.273l.004-.035v-.039l.004-.035.004-.039.004-.035.004-.043.004-.039zm0 0zm.035-.082v-.02h-.016v.004h-.004v.004h-.004l-.004.004H8.73v.012h-.004v.008l-.004.004v.004l-.004.004v.008l-.004.008v.02l-.004.004v.008h.02v-.016l.004-.004v-.012l.004-.004v-.012h.004v-.008h.004v-.004l.004-.008h.004v-.004zm.023.094h.02V2.73l-.004-.004v-.02l-.004-.008v-.012h-.004V2.68l-.004-.008v-.004h-.004l-.012-.012h-.012v.02h.004v.004h.004v.004l.004.004v.008l.004.004v.012l.004.004v.031l.004.012v.012zm.02 0zm-.043.605h.02v-.285l.004-.02v-.055l.004-.02v-.043l.004-.02v-.02l.004-.02v-.039l.004-.02v-.047l.004-.02-.02-.004v.02l-.004.023v.043l-.004.02v.043l-.004.02v.043l-.004.02v.039l-.004.02v.059l-.004.02zm.086.43l.02-.008-.004-.012V3.77l-.004-.016-.004-.012-.004-.016v-.016l-.008-.023-.004-.016V3.66l-.008-.012v-.012l-.004-.012-.004-.016v-.008l-.008-.031v-.012l-.004-.012-.004-.016v-.016l-.004-.012v-.012l-.004-.012v-.016l-.004-.016v-.012l-.004-.012v-.035l-.004-.02h-.02v.031l.004.016v.027l.004.016v.012l.004.016v.016l.004.012v.016l.004.016.004.012v.016l.004.012.004.016v.012l.004.016v.012l.008.012v.012l.004.016.004.012v.012l.008.012.004.012.004.016v.012l.008.012.004.016.004.012v.012zm-.07.059l.008.023.004-.008h.008l.004-.004.008-.004h.008l.004-.008h.004l.004-.004h.008v-.004l.008-.004h.004l.004-.004.004-.008h.004v-.004h.004l.004-.004v-.004l.004-.004v-.02l-.02.004v.012h-.004v.004l-.004.004H8.84v.004h-.008l-.008.008H8.82l-.008.008h-.004l-.004.008h-.008l-.004.004-.008.004zm0 0zm-.086.105l-.008.02.016-.008v-.004l.004-.004v-.004l.004-.004v-.008l.004-.008.004-.004.004-.008.008-.004.004-.004v-.004h.008v-.004h.004v-.004l.008-.004h.004v-.008h.008l.004-.004h.004l.008-.008h.004l-.012-.02-.004.004h-.004l-.004.008-.008.004-.004.004h-.004v.004h-.008l-.004.008-.02.02v.008l-.008.004h-.004v.004l-.004.004v.004h-.004v.008l-.004.004v.004l-.004.008v.004l-.004.004v.004l.012-.004zm-.008.02h.012l.004-.008zm-.027-.023l.004.02h.023l.008-.016h-.004l-.004-.004h-.031zm-.066.012h.02l-.012-.008-.004.004v.016l.004.004h.004v.004h.035l.004-.004h.004l.004-.004h.012l-.008-.02h-.012l-.004.004h-.02v.004h-.016v.008zm.02 0v-.02l-.012.012.016.008zm0 0h-.02l.02.004zm0 0" class="sr-B"/><path d="M8.918 4.305c-.031-.02-.039-.016-.047-.027s-.012-.047-.008-.07c.016-.105-.051-.094-.121-.043-.035.02-.07.078-.102.105s-.055.027-.062.039v.184c.008.012.035.016.063.043s.066.082.102.105c.07.047.137.063.121-.043-.004-.027-.004-.055.008-.07s.016-.008.047-.027c.02-.012.035-.027.047-.043s0-.035 0-.055.008-.035 0-.051-.027-.031-.051-.043zm0 0" class="sr-D"/><g class="sr-B"><path d="M8.879 4.273l-.016.008.008.008h.008v.004h.008l.004.004h.004l.004.004h.004v.008h.008v.004l.016-.023h-.012v-.004H8.91l-.004-.004h-.004l-.004-.004h-.008v-.004h-.008V4.27h-.004zm-.008-.066l-.02-.004v.059l.004.008v.004h.004v.004l.02-.012v-.004h-.004v-.008h-.004v-.051zm-.133-.055l.012.02.008-.004.012-.012.008-.004h.004l.008-.004h.004l.008-.004h.004v-.004h.008l.004-.004h.023v.004h.004v.004l.004.004v.016l.004.004v.039l.02.004v-.059l-.004-.008v-.008l-.004-.004-.008-.004-.004-.004h-.004l-.004-.004H8.84l-.004-.004h-.031v.004h-.008l-.008.004h-.004l-.008.008H8.77l-.004.004-.031.016zm-.102.109l.012.012.008-.004.02-.02.008-.004.004-.004v-.004h.004V4.23l.016-.016v-.004l.004-.004v-.004h.008l.012-.012h.004l.004-.004v-.004h.008V4.18h.004l-.012-.023-.004.008-.008.004v.004h-.004v.004h-.008l-.008.008v.004l-.004.004h-.004v.008l-.008.004-.004.004v.004l-.012.012h-.004v.004l-.008.004-.004.008-.008.008v.004h-.008v.008h-.004v.004zm-.07.047h.027v.008h.004l.004-.004h.004v-.004h.008l.004-.008h.004v-.004h.004v-.004h.008v-.004l.004-.004.008-.004.004-.004-.016-.012h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004l-.008.008h-.004l-.004.004h-.004l-.004.004h-.008v.004h-.008v.004l-.004.004v.004zm.004-.004v.004zm0 .098h.023v-.09l-.023-.004zm.023 0zm0 0H8.57zm0 0zM8.57 4.5l.023-.012v.004-.086H8.57zm0-.008v.004zm.066.051l.016-.016h-.004v-.004l-.008-.004-.004-.004h-.008v-.004h-.004v-.004h-.004l-.004-.004h-.004V4.5h-.008v-.004h-.008v-.004l-.023.008.008.008h.008v.004h.008l.004.008h.004v.004h.008v.004h.004v.004h.004l.008.008v.004zm.102.105l.012-.016h-.004v-.004l-.004-.004-.008-.004-.02-.02v-.004h-.008V4.59l-.004-.008-.004-.004v-.004l-.004-.004-.008-.004v-.004l-.008-.008v-.004h-.008v-.004l-.008-.004-.004-.004h-.004v-.008h-.004v-.004l-.016.016.012.012v.004h.004v.004l.008.004.004.004.008.004.008.008v.008l.004.004v.004l.004.004h.004v.004h.008l.004.008v.004h.004l.008.008.004.008.008.004zm.137-.051l-.02.004v.051l-.004.008v.004h-.004v.004h-.035v-.004h-.008l-.008-.004h-.004l-.008-.008-.004-.008h-.008l-.008-.008-.008-.004-.012.016.008.004.012.012h.008l.008.004.004.004h.008l.004.008h.008l.004.004h.008l.008.004h.02l.004-.004h.008l.004-.008.008-.008v-.004l.004-.004v-.016l.004-.008v-.043zm.004-.062l-.016-.012v.004h-.004v.008h-.004v.012l-.004.004v.051l.02-.004v-.051h.004v-.008h.004zm.047-.027l-.016-.016h-.004l-.004.004h-.004l-.004.004h-.004l-.004.004h-.008v.004h-.004v.004h-.004l-.004.008-.004.004.016.012.004-.004h.004v-.004h.008l.004-.004h.008V4.52h.004l.004-.008h.008v-.004zm-.016-.016l-.008.004zm.063-.031l-.016-.012-.004.004v.004h-.004v.008h-.004v.004h-.004v.004h-.004v.004h-.004l-.008.008h-.004v.004h-.008l.012.02v-.004h.004l.008-.008h.004v-.004h.004v-.004h.004v-.004h.004V4.48h.004v-.004h.004v-.004l.008-.008v-.004zm.004-.062h-.02v.051l.016.008v-.004h.004v-.008l.004-.004v-.043zm-.004-.055l-.016.012v.008l.004.004v.035h.02v-.051h-.004v-.008zm-.047-.051l-.016.023h.004v.004h.004l.023.023v.004h.004v.004h.004v.004l.02-.012h-.004V4.34l-.008-.008v-.004h-.004l-.004-.004V4.32h-.004v-.004h-.004l-.004-.004h-.004v-.004l-.004-.004h-.004v-.004h-.004zm-.016.023l-.012-.008zm0 0"/><path d="M8.574 4.418v.02c.082.008.141.039.195.086-.035-.055-.113-.094-.195-.105zm0-.031v-.02c.082-.008.141-.039.195-.086-.035.055-.113.09-.195.105zm0 0"/></g><path d="M8.863 4.156c-.02.012-.047.023-.07.043-.031.027-.012.078.031.133.012.012.02.039.02.07 0 .023-.012.055-.02.07-.043.051-.062.098-.031.133.02.02.047.027.066.039v-.047c-.004-.027-.004-.055.008-.07s.016-.008.047-.031c.02-.008.035-.023.047-.043s0-.035 0-.051.008-.039 0-.055-.027-.031-.047-.043c-.031-.02-.039-.016-.047-.027s-.012-.047-.008-.07v-.051zm0 0" class="sr-D"/><path d="M8.785 4.191l.016.012.008-.008h.004v-.004h.004l.004-.004h.004v-.004h.008V4.18h.012v-.004h.004l.004-.004h.004l.004-.004h.004l-.008-.02h-.004l-.004.004h-.004l-.004.004h-.008l-.004.004h-.004v.004H8.82l-.004.004h-.004v.004h-.008v.004h-.004zm.031.145l.016-.012-.004-.004v-.004h-.004l-.008-.016v-.004l-.008-.004v-.008l-.004-.004v-.004h-.004V4.27l-.004-.004v-.008h-.004v-.031l.004-.008.008-.008-.012-.012-.008.004v.004l-.004.004v.004h-.004v.012l-.004.004v.02l.004.004v.008l.004.004v.012l.004.004v.008l.008.004v.008l.004.008v.004l.008.004.004.008v.004l.004.004.008.004.004.004zm.02.066h.02v-.012l-.004-.004v-.027h-.004v-.02h-.004v-.008l-.004-.004v-.004h-.004V4.32l-.02.012h.004v.008h.004v.004l.004.004v.02h.004v.027h.004v.012zm-.02.066l.016.012v-.004h.004v-.004h.004v-.008h.004v-.023l.004-.008v-.02h.004v-.012h-.02v.023l-.004.004v.008l-.004.004v.008l-.004.004v.004h-.004zm-.031.145l.016-.016h-.004v-.004h-.004V4.59l-.004-.008v-.035l.004-.004v-.004l.004-.004v-.004l.004-.008V4.52l.012-.012v-.004l.008-.008v-.004l.012-.012-.016-.012-.004.004h-.004v.008l-.004.004-.004.008h-.004v.004l-.004.008v.008l-.008.008v.008l-.004.004v.008l-.004.004v.012l-.004.004v.012l.004.008v.012l.004.004v.004l.004.004v.004l.008.004v.004zm.086.035l-.02-.004.016-.008h-.016v-.004h-.008l-.004-.004h-.004l-.004-.004h-.004v-.004H8.82v-.004h-.004l-.008-.008h-.004v-.004h-.004v-.004l-.016.016h.004v.004h.004v.004h.004l.008.008h.004l.004.004h.004v.004h.008v.004h.008v.004h.012v.004h.004l.004.004h.004l.012-.008zm-.012.008l.012.008v-.016l-.012.012zm.012-.059l-.02.004v.039l.02.008zm.008-.062l-.016-.012v.004h-.004v.008h-.004v.012l-.004.004v.051l.02-.004v-.051h.004v-.008h.004zm.047-.027l-.016-.016h-.004l-.004.004h-.004l-.004.004h-.004l-.004.004h-.008v.004h-.004l-.004.004-.004.008-.004.004.016.012.004-.004h.004v-.004h.008l.004-.004h.008V4.52h.004l.004-.008h.004v-.004zm0 0l.004-.004-.008.004zm.043-.047l-.016-.008-.004.004v.004h-.004v.008h-.004v.004h-.004v.004h-.004v.004H8.93l-.004.004h-.004v.004h-.004v.004h-.004l.012.02v-.004h.004l.008-.008h.004v-.004h.004v-.004h.004v-.004h.004v-.004h.004V4.48h.004v-.004l.008-.008zm0 0l-.004.012zm.008-.059h-.02v.047l.012.012v-.004h.004v-.008l.004-.008v-.043zm-.008-.059l-.016.012v.008l.004.004v.039h.02v-.055h-.004v-.008zm-.047-.047l-.016.02h.004v.004h.004l.008.004.02.02v.004h.004v.004h.004v.004l.02-.008h-.004v-.004l-.008-.008v-.004h-.004l-.004-.004v-.004h-.004V4.32h-.004l-.004-.004h-.004v-.004H8.93v-.004h-.004v-.008h-.004zm-.047-.02l-.016.008.008.008h.008v.004h.008l.004.004h.004l.004.008h.004v.004h.008v.004l.016-.023H8.91v-.004h-.004l-.004-.004h-.004l-.004-.004h-.008v-.004h-.008v-.004h-.004zm-.008-.066l-.02-.004v.059l.004.004v.004h.004v.004l.02-.008v-.004h-.004v-.008h-.004zm-.008-.039v-.02l-.012.012v.043l.02.004v-.059l-.008.012zm0-.02h-.012v.012zm0 0v.02h.004zm2.008.387l-.016-.004c.031-.047.039-.086.027-.129.023.031.02.086-.012.133zm0 0" class="sr-B"/><path d="M9.871 4.012c-.027.031-.023.039-.039.051s-.039.008-.066 0c-.102-.039-.102.039-.07.129.016.039.055.086.074.125.02.031.016.059.02.07l.082.012.078.008c.012-.004.02-.031.051-.059s.09-.062.121-.094c.063-.07.094-.137-.004-.133-.023 0-.047-.004-.059-.02s0-.023-.008-.062c-.008-.023-.016-.047-.027-.059s-.031-.012-.047-.016-.031-.012-.051-.004-.039.023-.055.047zm0 0" class="sr-D"/><g class="sr-B"><path d="M9.824 4.051l.016.02.012-.012v-.004h.004v-.004l.004-.004v-.004l.004-.004v-.004h.004v-.004l.008-.008.004-.008-.016-.012-.008.008v.004h-.004v.012h-.004v.008h-.004v.004l-.004.004v.004h-.008v.004l-.004.004zm.016.02zm-.07-.02l-.004.02h.008l.004.004h.016v.004h.023l.008-.004h.004l.004-.004h.004l-.012-.02v.004h-.016v.004h-.02l-.004-.004h-.008l-.004-.004zm-.082.141l.02-.004V4.18l-.004-.008V4.16l-.004-.008v-.008l-.004-.004v-.016l-.004-.008v-.035l.004-.004V4.07h.004l.004-.004h.004l.008-.004h.031l.008.004h.008l.008-.016-.008-.004H9.75l-.008-.004h-.035l-.004.004h-.008l-.008.016v.004l-.004.004-.004.008v.066l.004.008v.012l.004.008v.008l.004.008v.008zm.074.129l.02-.008v-.004l-.004-.008-.004-.004v-.004l-.004-.004v-.008l-.008-.008V4.27l-.016-.016-.004-.008-.004-.004v-.004l-.004-.004H9.73v-.008l-.004-.004v-.004l-.008-.008v-.004l-.004-.004v-.004l-.004-.008-.02.008v.004l.004.004v.004l.004.004.004.008v.004l.004.004v.008l.008.008v.004l.008.008v.004l.008.008v.004l.008.004v.004l.008.008v.004l.004.004v.008h.008v.008l.008.008v.004zm.031.078l.004-.02.004.004v-.012h-.004v-.02l-.004-.004V4.34l-.004-.004v-.008l-.004-.008v-.004h-.004l-.02.008.004.004.004.008v.004h.004v.016h.004v.016l.004.008v.008l.004.004v.004zm-.008 0h.004zm.086.012v-.02h-.02v-.004h-.027v-.004h-.02l-.008-.004-.004.02h.008l.008.004h.016l.004.004h.027v.004zm0 0zm0 0v-.02.008-.008.02-.012zm0-.02zm.082.027l-.008-.02h.004-.027l-.008-.004h-.035l-.004-.004-.004.02h.016v.004h.027v.004zm-.004 0h.004zm.059-.059l-.012-.02-.004.004-.004.008h-.004l-.008.008-.004.008-.004.004v.004h-.004v.004h-.004v.004l-.004.004v.004h-.004v.004h-.004v.004l.008.02v-.004h.004l.008-.008v-.004h.004v-.004l.004-.004v-.004h.004v-.004l.012-.012.004-.008v-.004H10v-.004h.008v-.004zm.121-.098l-.016-.012-.004.004-.004.008-.008.004h-.004v.008l-.004.004h-.008l-.004.004h-.004l-.004.008-.008.004-.008.008h-.004v.008l-.004.004h-.004l-.016.016h-.004l-.012.012h-.004v.004l.008.016h.008v-.004l.004-.004h.004v-.004l.008-.004h.004l.008-.008h.004v-.004l.008-.004h.004l.004-.004h.004V4.32h.004l.004-.004.008-.004h.004v-.008h.004l.004-.008.004-.004h.004v-.004h.008v-.008l.004-.004h.004v-.004l.008-.004zm-.008-.148v.02h.023l.004.004h.008l.004.004v.004h.004v.031l-.004.004v.008l-.008.008-.008.016-.004.004-.004.008-.004.004-.004.008v.004l-.016.016.016.008.008-.004.008-.008.016-.031.004-.004v-.008l.008-.008v-.008l.008-.004V4.18l.004-.004v-.043l-.012-.012-.008-.004h-.004l-.004-.004h-.016l-.008-.004h-.016zm-.051-.016l-.016.008.008.008h.004v.004h.004l.004.004h.004l.004.004h.012l.004.004h.02v-.02h-.027l-.004-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004zm0 0zm-.008-.059l-.02.004v.008h.004v.043h.004v.008l.004.004.02-.008h-.004v-.031l-.004-.004v-.016l-.004-.004zm-.027-.063l-.016.012.004.004v.004h.004v.008h.004v.008h.004v.008l.004.004v.008l.004.004v.008l.02-.004v-.012l-.004-.004v-.012l-.004-.004V4h-.004v-.008h-.004v-.008h-.004V3.98h-.004v-.008h-.004zm-.016.012l-.012-.016.008.016zm-.039-.031l-.004.02h.031v.004h.008v.004h.004l.016-.008-.008-.008h-.004v-.004h-.008l-.004-.004H9.98zm-.004.02h.016zm-.051-.023l.008.02h.031l.004.004h.008l.004-.02h-.016l-.004-.004h-.039zm-.062.059h.02v.004-.004h.004v-.004l.02-.02h.004v-.004h.004l.008-.004.004-.004h.004l.004-.004-.012-.02v.004h-.004l-.004.004H9.91v.004h-.004v.004h-.004l-.012.012h-.004v.004h-.004v.004L9.871 4v.004zm.004-.008h-.004v.008-.008zm.016.008h-.02l.02.004v-.008zm0 .004v-.008zm0 0"/><path d="M9.887 4.402h.012c.031-.078.07-.141.129-.191-.059.027-.113.105-.141.188zm-.027-.004c-.008-.086-.016-.156-.047-.227.039.051.055.141.047.227zm0 0"/></g><path d="M9.719 4.051c.004.027.008.063.02.086.023.043.078.027.133-.012.016-.012.043-.016.07-.012s.047.016.059.031c.031.055.066.082.105.055.02-.02.039-.047.051-.07-.008-.004-.023-.008-.039-.008-.023 0-.051-.004-.059-.02s0-.02-.012-.059c0-.027-.012-.047-.023-.063s-.031-.012-.047-.012-.031-.016-.051-.004-.039.023-.055.043c-.027.035-.023.043-.039.051s-.043.008-.066 0-.035-.012-.047-.008zm0 0" class="sr-D"/><path d="M9.73 4.141l.02-.008-.004-.004v-.008l-.004-.004v-.008l-.004-.004v-.02l-.004-.004v-.023H9.73v-.008h-.02v.02l.004.008v.02h.004v.016h.004v.012h.004v.008l.004.004zm.145-.008l-.008-.016-.008.004h-.004l-.004.004h-.004l-.008.008h-.004l-.008.004-.004.004H9.82l-.004.004h-.008v.004h-.016l-.004.004h-.02v-.004h-.004l-.004-.004-.004-.008-.004-.004-.02.012.008.008.004.008v.004h.004l.008.004h.004l.004.004h.039l.004-.004h.004l.008-.004h.004l.004-.004h.004l.008-.004.004-.004h.004l.004-.008.004-.004h.008l.008-.008zm.063-.008l.004-.02h-.02v-.004h-.027v.004h-.012v.004h-.008v.004h-.004l-.004.004.008.016h.004v-.004h.008v-.004zm.051.023l.02-.012v-.004H10v-.004h-.004v-.004l-.004-.004h-.004v-.004h-.004l-.004-.004h-.004l-.004-.004h-.004v-.004h-.016l-.004-.004h-.012l-.004.02h.016v.004h.008v.004h.008l.004.004h.004v.004h.004v.004h.004v.004h.004zm.121.055l-.012-.016h-.004v.004h-.012l-.004.004h-.012l-.004-.004h-.008v-.004h-.004v-.004h-.004V4.18h-.008v-.008h-.004v-.004l-.016-.016v-.004h-.004v-.008l-.008-.004-.016.008v.004l.004.004v.008l.008.004h.004v.008l.008.004.012.012h.004l.004.008h.004v.004h.008l.004.004h.008l.008.004h.023l.004-.004h.004l.008-.008h.004zm.055-.086l-.012.02-.004-.016v.004h-.004v.004l-.004.004v.004h-.004v.004l-.004.004v.004h-.004v.004l-.004.004-.004.008-.004.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004l.012.02.012-.012v-.004h.004v-.004h.004v-.004h.004V4.18h.004v-.008h.004v-.004h.004v-.004h.004v-.008h.004v-.004h.004v-.008h.004v-.004h.004v-.027zm0 .016l.008-.008-.012-.008v.016zm-.047-.02v.02h.027v.004h.008l.012-.02h-.023v-.004zm-.051-.016l-.016.008.008.008h.004v.004h.004l.004.004h.004l.004.004h.016l.004.004h.023v-.02h-.027l-.004-.004h-.012v-.004h-.004v-.004h-.004v-.004zm0 0zm-.008-.059l-.02.008v.004l.004.008v.035h.004v.012h.004l.02-.008h-.004V4.07h-.004v-.027zm-.027-.063l-.016.012.004.004v.004h.004v.008h.004v.008h.004v.008l.004.004v.016h.004v.008l.02-.004v-.016l-.004-.004v-.008l-.004-.004v-.008h-.004v-.008h-.004v-.008h-.004v-.004h-.004v-.008zm0 0l-.008-.012zm-.055-.02l-.004.02h.012v.004h.023v.004h.004l.004.004.016-.012-.008-.008h-.004v-.004h-.008l-.004-.004h-.031zm0 0h-.012zm-.059 0l.012.016h.035v.004h.012l.004-.02h-.016v-.004h-.043zm.012.016l-.004.004zm-.066.031l.012.012.004-.004h.004v-.004l.02-.02h.004v-.004h.004l.004-.004h.008v-.004h.004l.004-.004-.012-.02v.004h-.004l-.004.004h-.004v.004h-.004v.004h-.004l-.012.012h-.004v.004h-.004v.004L9.867 4v.004zm-.039.051l.012.02.012-.012v-.004h.004v-.004l.004-.004v-.004l.004-.004v-.004h.004v-.004l.004-.004.008-.016-.012-.012-.008.004-.004.008v.004h-.004v.004l-.004.004v.008H9.84v.004l-.004.004v.004h-.004v.004l-.004.004zm.012.02l.004-.004h-.004zm-.07-.02l-.004.02h.012l.004.004h.016v.004h.023l.004-.004h.004l.004-.004h.004l-.008-.02v.004h-.012l-.004.004h-.023l-.004-.004h-.008l-.004-.004zm-.055 0h.02l-.012.008h.02l.004.004h.008l.008.004h.004l.004-.02-.004-.004h-.016v-.004h-.031l-.008.008zm.008-.012h-.012l.004.012.012-.012zm0 0" class="sr-B"/><path d="M10.25 4.438c-.016-.02-.02-.016-.023-.027-.004-.02.004-.039.02-.062.043-.094-.008-.086-.07-.051-.023.012-.043.027-.062.043s-.035.035-.055.047c-.031.023-.051.023-.059.035a.69.69 0 0 0-.035.082.62.62 0 0 0-.031.086c0 .008.02.012.035.039s.023.07.039.094c.027.035.051.055.066.051.023 0 .035-.027.039-.086 0-.023.012-.043.027-.059s.012-.008.043-.023c.016-.012.031-.027.047-.043s.012-.023.02-.039.016-.031.016-.047-.008-.031-.02-.043zm0 0" class="sr-D"/><g class="sr-B"><path d="M10.234 4.406l-.02.008v.004l.004.004v.004h.004v.004h.004v.004h.004l.004.004v.004h.004l.02-.012v-.004l-.008-.004-.008-.008h-.004V4.41h-.004zm-.02.008zm.035-.062l-.02-.008v.008l-.004.004v.008l-.004.004v.004l-.004.008v.039l.02-.008v-.023l.004-.004v-.008h.004v-.008h.004zm-.082-.059l.012.016h.008l.004-.008h.004l.008-.004h.004l.008-.004h.004l.004-.004h.012l.004-.004h.012v.031l-.012.012-.004.008-.004.012.02.008v-.008l.008-.008.004-.008V4.32l.004-.004v-.031l-.004-.004h-.004l-.004-.004h-.004l-.004-.004h-.023l-.004.004h-.012l-.008.004-.004.004h-.008l-.008.008-.008.004h-.008zm-.055.039l.012.02v-.008h.004l.004-.004h.004v-.004h.004v-.004h.004v-.004h.004l.004-.004h.004V4.32h.004l.004-.004.008-.004h.004l.004-.004-.012-.02v.004h-.004v.004h-.004l-.004.004h-.004v.004h-.004l-.004.004h-.004v.004h-.004v.004h-.004l-.012.012h-.004v.004zm-.059.051l.012.016h.004v-.004h.004v-.004h.004l.004-.004h.008v-.004h.004v-.004h.004v-.008h.004l.012-.012h.004v-.004h.004v-.004h.004l-.012-.02v.004h-.004l-.004.004v.004h-.004l-.008.008h-.004v.004h-.008v.004h-.004v.004h-.004l-.008.008h-.004v.008h-.004zm-.066.039l.023.004v.004-.004h.004v-.004h.008l.004-.004h.004l.004-.004h.004l.004-.004h.008v-.004h.004v-.004h.008v-.004h.004v-.004l-.012-.016-.004.004h-.004v.004h-.004l-.004.004h-.004l-.004.004h-.004v.004h-.008l-.004.004h-.008v.004H10l-.004.004h-.004v.008zm.004-.008v.004zm-.031.09l.02.008V4.5l.004-.004v-.008l.004-.004v-.012h.004v-.008l.004-.004v-.008H10v-.012h.004v-.008h.004v-.008l-.02-.008v.008l-.004.008v.004l-.004.004v.008l-.004.004v.008l-.004.004v.008h-.004v.008l-.004.004v.008h-.004zm0 0zm0 0l.02.008h-.008l-.004.008.008-.012-.012.012.012-.012-.012.012.008-.012-.004.008.004-.008v.004l-.02-.008v.004V4.5v.008l.008-.012-.012.012.012-.012-.012.012.008-.012h-.008v.008zm0-.004v.004zm-.031.098l.02-.004v.004-.008l.004-.008v-.004l.004-.008v-.004l.004-.008v-.004l.004-.004v-.008l.004-.004v-.004l.004-.004v-.008l.004-.004-.02-.012v.012h-.004v.008h-.004v.012l-.004.004v.004l-.004.008v.008l-.004.004v.008l-.004.004v.004l-.004.004zm0-.008v.008zm.031.047l.02-.008-.004-.004v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.004h-.004l-.004-.004h-.004v-.004h-.004v-.004l-.02.004v.008h.004v.004h.004v.004h.004l.02.02zm.047.102l.012-.016-.004-.004v-.004h-.004v-.008l-.004-.004v-.008l-.004-.004v-.008H10v-.008h-.004v-.012h-.004V4.66l-.004-.008v-.004l-.004-.004v-.004l-.004-.004-.02.008.004.004v.008h.004v.008h.004v.012l.004.004v.004l.004.004v.008l.004.004v.004l.004.004v.008l.004.004v.004h.004v.008H10v.008l.004.004v.004zm.07.055l-.004-.02h-.008V4.77h-.004l-.004-.004h-.004v-.004h-.004l-.016-.016-.004-.008-.004-.004V4.73h-.004v-.008l-.02.016h.004v.008h.008v.004h.004v.008h.008v.008h.004v.004h.004l.012.012h.004v.004h.008v.004h.02zm.047-.102h-.02v.008l-.004.004v.02h-.004v.012l-.004.004v.008l-.004.004v.004h-.008v.004h-.004v.004h-.004v.02h.02v-.004h.004l.008-.008v-.008h.004v-.004l.004-.004V4.75l.004-.008v-.008h.004v-.02l.004-.004zm.023-.051l-.016-.012-.004.004v.004h-.004v.004l-.004.004v.004h-.004v.004l-.004.008v.004h-.004v.012h-.004v.012l.02.004v-.02h.004v-.008l.004-.004v-.004h.004v-.004h.004v-.008h.004v-.004zm.039-.02l-.008-.016h-.004v.004h-.012v.004h-.008v.004h-.008v.004h-.008v.004h-.004v.004l.012.012h.004l.004-.004h.008v-.004h.012l.004-.004h.004l.004-.004h.004zm.051-.043l-.016-.012-.016.016h-.004v.008h-.004v.004h-.004l-.004.004h-.004v.004h-.004l-.004.004.012.02v-.004h.004v-.004h.008v-.004l.004-.004h.004l.016-.016h.004V4.59h.004v-.008zm.023-.043l-.02-.008v.004h-.004v.008h-.004v.008h-.004v.008h-.004v.004l-.004.004.012.016h.004V4.57h.004v-.008h.004v-.008l.004-.004v-.016h.008v-.004zm.012-.051h-.02V4.5h-.004v.008l-.004.004v.004l-.004.004v.004l.02.012v-.023h.004v-.008h.004v-.012h.004v-.016zm-.02 0v.004zm-.008-.031v-.02l-.008.016v.008h.004v.004h.004v.016h.004v.004h.023v-.016l-.004-.004v-.008l-.004-.004v-.008h-.004v-.008h-.004V4.43h-.008l-.008.016zm0-.02h-.02l.012.016.004-.016zm0 0v.02l.008-.016-.008-.008zm0 .02h.02l-.012-.016zm0 0"/><path d="M9.957 4.535l-.004.02c.027.008.051.02.07.035s.035.039.047.063c-.004-.027-.02-.051-.039-.074a.17.17 0 0 0-.078-.043zm.012-.035l.008-.02c.035 0 .066-.008.094-.02s.063-.031.09-.055c-.02.023-.051.047-.086.066-.031.012-.07.023-.105.027zm0 0"/></g><path d="M10.258 4.289c-.02.008-.031.016-.055.035-.016.016-.027.035-.031.063 0 .02 0 .047.008.074.004.016 0 .043-.012.074s-.02.055-.039.07c-.047.047-.082.098-.07.133.008.016.02.027.031.035.008-.012.02-.023.027-.043.004-.027.016-.051.031-.07.008-.012.012-.027.039-.043.02-.012.039-.008.051-.02.027-.035.063-.113.027-.145s-.047-.055-.02-.113c.012-.02.012-.039.012-.051zm0 0" class="sr-D"/><path d="M10.195 4.316l.016.016.012-.012h.004v-.004h.004v-.004h.008v-.004h.004l.004-.004h.004l.004-.004h.008l-.004-.02h-.012v.004h-.008v.004h-.008v.004h-.008v.004h-.004v.004h-.004l-.008.008h-.004v.004h-.004v.004zm-.035.066l.023.004v-.016h.004v-.012h.004v-.008l.004-.004v-.004h.004V4.34h.004v-.004h.004v-.004h.004l-.016-.016h-.004v.004l-.004.004v.004h-.004v.004l-.004.004v.004h-.004v.008l-.004.004v.008h-.004v.016h-.004v.004zm.008.078h.02v-.027h-.004v-.047l-.02-.004v.066l.004.004zm.02 0v-.004zm-.027.07l.02.004v-.008l.004-.008v-.008l.004-.008v-.016h.004v-.027h-.02V4.5h-.004v.012h-.004v.016h-.004v.008zm-.035.066l.012.012v-.004l.004-.004h.004v-.008h.004V4.59l.004-.008v-.004h.004v-.004l.004-.004v-.004h.004v-.012l.008-.004.004-.004v-.008h.004l-.023-.008v.004l-.004.004v.004l-.008.008v.008l-.004.004v.004h-.004v.004h-.004v.008h-.004v.004h-.004v.004h-.004v.004zm-.074.145l.02-.008-.004-.004v-.027l.004-.004v-.008l.004-.004v-.004l.008-.008v-.004l.008-.004.004-.004V4.66l.004-.008.004-.004v-.008l.008-.004.02-.02.004-.008h.004l-.012-.016-.008.004-.004.004-.008.016-.008.004-.004.004v.004l-.004.008-.008.004-.004.004v.004l-.008.004-.004.008v.004l-.008.008v.004l-.004.004v.004l-.004.008v.012l-.004.004v.027l.004.004zm.051.035l-.023-.008.02-.004-.004-.004h-.004v-.004h-.008v-.004h-.004V4.75l-.004-.004v-.004l-.004-.004v-.004l-.02.008v.004l.004.004v.004l.004.004v.004h.004v.004h.004v.004h.004v.004h.004v.004h.004l.004.004zm-.02.004l.012.004.008-.008zm.043-.051l-.02-.008v.012h-.004v.008h-.004v.004h-.004v.004l-.004.004v.004h-.008v.008l.02.008V4.77h.004v-.004l.004-.004v-.004h.004v-.004h.004v-.008l.004-.004v-.004l.004-.004v-.008zm.027-.066l-.016-.016v.004h-.004v.008l-.004.004v.004l-.004.004v.004h-.004v.008h-.004v.008l-.004.004v.008l-.004.008v.012l.016.008v-.012h.004v-.008l.004-.004v-.012h.004v-.004l.004-.004v-.004l.004-.004v-.004h.004v-.004l.004-.004zm0 0zm.043-.043l-.008-.02-.008.004-.004.004h-.004l-.012.012v.004h-.004v.004h-.004v.004l-.008.008v.004h-.004v.004l.012.016.004-.004v-.008h.004v-.004h.004v-.008h.008v-.004h.004v-.004h.004v-.004h.004v-.004h.008v-.004zm.051-.027l-.016-.012h-.004v.004h-.004v.004h-.016l-.004.004h-.008l-.004.004h-.004l-.004.004.008.02v-.004h.008l.004-.004h.016v-.004h.008l.004-.004h.004zm.027-.156l-.016.016v.004h.004v.008h.004v.043l-.004.004v.012l-.004.004v.004l-.004.008v.004l-.004.004v.004l-.004.004v.004l-.008.004v.004h-.004v.004l-.004.004.016.016.004-.008.004-.004v-.004l.004-.004v-.004h.008v-.008l.004-.004.004-.008v-.004l.004-.008v-.004l.004-.004v-.012l.004-.008v-.039l-.004-.008v-.004h-.004l-.004-.004-.004-.008zm-.016-.102l-.02-.008v.008l-.004.004v.008l-.004.004v.012h-.004v.035l.004.004v.004l.004.004v.004h.004v.008h.004v.004l.008.008h.008l.004.008.016-.012-.004-.008h-.004l-.004-.004-.004-.008-.004-.004v-.004l-.008-.004v-.004l-.004-.008v-.016l.004-.004v-.008l.008-.004.004-.008v-.004zm0-.059v.02l-.008-.016v.031h-.004v.02h-.004l.02.012v-.016h.004v-.016l.004-.004v-.02l-.008-.016zm.012.008l.008-.012h-.016l.012.012zm-.008.008v-.02zm0-.02zm0 0" class="sr-B"/><path d="M9.406 4.539c.023.02.031.02.039.031s0 .039-.004.066c-.031.102.027.086.098.051.031-.02.074-.062.105-.086s.051-.023.059-.035c.008-.027.016-.055.02-.086 0-.012.012-.047.02-.086-.008-.016-.027-.023-.047-.051-.02-.035-.047-.094-.074-.121-.059-.066-.121-.09-.121.027 0 .027-.004.059-.02.07s-.02.008-.047.02-.043.027-.055.043-.008.039-.012.055-.012.035-.004.051.02.035.039.051zm0 0" class="sr-D"/><g class="sr-B"><path d="M9.434 4.574l.02-.012h-.004v-.008h-.008v-.004h-.008v-.004H9.43l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.016.016.004.004h.004v.004h.004l.008.008h.004v.004h.008v.004h.004zm.02-.012zm-.02.07l.016.004v-.004l.004-.004v-.012h.004V4.57h-.004v-.004l-.02.008v.004h.004v.043h-.004zm.109.059l-.012-.016h-.004l-.008.008h-.004l-.008.004h-.004l-.008.004h-.004l-.004.004h-.016l-.004.004h-.012v-.004h-.004v-.008l-.004-.004V4.66l.004-.008v-.004l.004-.008-.02-.008v.008l-.004.008v.016l-.004.008v.02l.004.008v.004l.008.008h.004l.004.004.008.004h.023l.008-.004H9.5l.008-.004.004-.004h.004l.016-.008.004-.004h.008zm.105-.086l-.012-.02-.008.008-.004.008h-.004v.004h-.008v.008l-.008.008h-.004v.004h-.008l-.004.008-.016.016H9.57v.004l-.004.004h-.004l-.004.004v.004h-.004v.004h-.004l-.004.004-.008.004.012.02.004-.004h.004v-.004l.004-.004h.004l.008-.008h.004l.004-.004h.008v-.008h.004l.008-.004h.004v-.008l.004-.008h.004l.012-.012h.004v-.004h.004l.016-.016.008-.004h.004zm-.012-.02zm.082-.02l-.02-.004v-.004h-.004v.004h-.008l-.004.004h-.008v.004H9.66l-.004.004h-.004l-.004.004-.008.004h-.004l-.004.004.012.02v-.004h.008v-.004h.004l.008-.008h.008l.004-.004h.004v-.004h.008l.004-.004h.004l.004-.004h.004V4.57h.004v-.008zm-.004.004v-.004zm.012-.082v-.02l-.012.008v.008l-.004.004v.02h-.004v.027h-.004v.02h-.004v.008l.02.004v-.012l.004-.008v-.012l.004-.008v-.016h.004v-.016l.004-.004V4.48zm0-.02h-.012v.008zm.008.012l-.02-.004v-.004l.012-.004v.02h.004l.004-.012zm-.02-.004zm.035-.09l-.02.008v-.004.02h-.004v.023l-.004.004v.02l-.004.004v.016l.02.004v-.027l.004-.004v-.016l.004-.008v-.012h.004v-.016l.008-.004v-.008zm0 .004v-.004zm-.047-.055l-.02.008.008.008.004.008.008.008h.004v.004h.004l.004.004h.004v.004h.004v.004h.004v.004h.004l.02-.004h-.004v-.012h-.004v-.004h-.008v-.004H9.73l-.012-.012h-.004v-.004l-.008-.008v-.004h-.004v-.004zm-.074-.125l-.016.012h.004v.008h.004v.008l.008.004v.004l.004.004v.004h.004v.008l.004.004v.008l.004.004v.004l.004.004v.004l.004.004v.004l.004.004v.008l.004.008v.004l.004.004v.004h.008v.004l.008.008.02-.008-.004-.004-.004-.008v-.004h-.004v-.004l-.004-.004v-.008l-.004-.004v-.004l-.004-.004v-.004l-.004-.004v-.004l-.008-.004V4.27H9.66l-.004-.008v-.004l-.004-.004V4.25l-.004-.004v-.004l-.004-.004V4.23l-.008-.008v-.004l-.004-.004h-.004v-.008zm-.137.035h.023v-.027l.004-.008v-.012l.004-.004v-.008l.004-.004h.004V4.18h.023l.008.004.004.004h.004l.008.004.004.008.008.004.012.012.008.004.004.004.016-.012-.012-.012-.008-.004-.004-.008-.004-.004-.016-.008-.004-.004h-.004l-.008-.008h-.004l-.004-.004h-.008l-.004-.004h-.023l-.023.023v.012l-.004.012v.008l-.004.004v.031zm-.02.066l.016.016.004-.004V4.32h.004v-.004l.004-.004v-.012l.008-.004v-.016l.004-.004v-.023h-.023v.039h-.004v.004l-.004.004v.008h-.004v.004l-.004.004zm0 0zm-.043.02l.008.02.008-.004h.004l.004-.004h.008V4.34h.02v-.004h.008v-.004h.004v-.004l-.012-.012v.004h-.008v.004h-.016l-.004.004h-.008l-.004.004h-.004l-.004.004zm-.055.047l.016.012h.004v-.004l.004-.004h.004v-.012h.004l.004-.004h.004v-.004h.004v-.004h.008v-.004h.004l.004-.004-.004-.02-.008.004h-.004l-.008.008h-.004v.004h-.004l-.004.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004zm.016.012l-.008.008.004-.008zm-.031.043l.02.004v-.023l.004-.004v-.016h.004v-.008l-.012-.016v.008l-.004.004v.004l-.004.004v.043h-.004v.004zm0 .063l.016-.008v-.043l.004-.004v-.008h-.02v.02l-.004.004v.035zm.035.051l.016-.016h-.004v-.004l-.004-.004V4.52h-.004v-.004h-.004v-.004h-.004v-.004l-.004-.004V4.5l-.004-.004v-.004h-.004v-.004l-.02.008.004.004v.004l.004.004v.004h.004v.008h.004v.004h.004v.004l.008.008v.004h.004l.008.008zm.016-.016zm0 0"/><path d="M9.727 4.465l.004-.02c-.062-.016-.117-.055-.156-.105.023.059.086.105.152.125zm-.004.031c0 .008-.004.012-.008.02a.32.32 0 0 0-.184.059c.039-.043.117-.074.191-.078zm0 0"/></g><path d="M9.434 4.68c.023-.004.047-.016.066-.031.031-.023.023-.074-.008-.125-.008-.02-.008-.047-.004-.07s.012-.051.031-.07c.047-.047.074-.098.051-.133-.016-.027-.039-.043-.055-.055-.008.012-.008.027-.008.051s-.008.059-.023.07-.02.008-.047.02-.043.027-.055.043-.012.039-.012.055-.012.035-.004.051.02.035.039.051.031.02.039.031 0 .039-.004.066c-.008.02-.008.035-.008.047zm0 0" class="sr-D"/><path d="M9.508 4.66l-.016-.02h-.004v.004h-.004l-.004.004h-.004l-.004.004h-.004l-.004.008h-.008v.004h-.008l-.004.004h-.008l-.004.004H9.43l.008.02h.008v-.004h.008l.004-.004h.004V4.68h.008l.004-.004h.004l.004-.004h.004v-.004h.004l.008-.004H9.5V4.66zm0-.141l-.023.008v.004h.004l.004.008v.004l.004.004v.004l.004.008v.008l.008.004v.008l.004.004v.031l-.004.008v.004H9.5v.004l-.008.008.016.016.008-.008v-.004h.004v-.008l.004-.004v-.008l.004-.004v-.043h-.004v-.016l-.004-.004-.004-.008v-.004l-.004-.004v-.008l-.004-.004v-.012zM9.5 4.453l-.02-.004v.016h-.004V4.5l.004.004v.016h.004v.004l.02-.008H9.5v-.012h-.004v-.051zm.027-.066l-.016-.016v.008h-.004v.008h-.004v.004l-.004.004v.004l-.004.004v.004l-.004.004v.008h-.004v.016l-.004.004v.016h.02V4.43l.004-.004v-.008h.004V4.41h.004v-.004l.004-.004v-.004h.004v-.004l.004-.004zm0 0zm.051-.145l-.02.012h.004v.016l.004.004v.012l-.004.004v.008l-.004.004v.008l-.004.004v.004l-.004.004v.004l-.004.004v.004l-.008.008v.004l-.008.004-.004.008v.004l-.008.008h-.004l.012.016.008-.008.008-.004.004-.004v-.008l.016-.016V4.34l.008-.008h.004v-.008l.004-.004v-.004l.004-.004v-.004l.008-.008v-.008l.004-.004v-.02l-.004-.008v-.004l-.008-.004V4.25zm-.074-.051l.016.008-.012.008h.004l.004.004h.004l.004.004h.004v.004h.004v.004h.004l.02.02v.004h.004v.004l.004.004.02-.012h-.004v-.004L9.57 4.23v-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.004l-.008-.008h-.004v-.004h-.004l-.008-.008h-.004v-.004zm.012 0l-.008-.008v.012h.012zm-.02.059h.02v-.043h.004v-.008l-.02-.008v.02h-.004v.043zm-.02.066l.012.016.004-.004v-.004h.004V4.32l.004-.004v-.016l.008-.004v-.016l.004-.004v-.023h-.023v.031h-.004v.012l-.004.004v.008h-.004v.004l-.004.004zm-.047.02l.008.02.008-.004h.004l.004-.004h.008v-.004h.02V4.34h.008v-.004h.004v-.004l-.012-.016v.004h-.008v.004h-.016l-.004.004h-.008l-.004.004h-.004l-.004.004zm-.055.043l.016.012h.004v-.004l.004-.004h.004v-.008h.004l.004-.004h.004v-.004h.004v-.004h.008v-.004h.004l.004-.004-.004-.02-.008.004h-.004l-.008.008h-.004v.004h-.004l-.004.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004zm.016.012l-.008.012.004-.012zm-.031.047l.02.004v-.027h.004v-.016h.004v-.008l-.012-.012v.004l-.004.004v.004l-.004.004v.039h-.004v.004zm0 .059l.016-.008v-.043l.004-.004v-.008h-.02v.02l-.004.004v.035zm.035.055l.016-.016h-.004v-.004l-.004-.004v-.004h-.004V4.52h-.004v-.008h-.004v-.004l-.004-.004V4.5h-.004v-.008h-.004v-.004l-.02.008.004.004v.004l.004.004v.004l.004.008v.004h.004v.004h.004v.004l.008.008v.004h.004l.008.008zm.016-.016zm.02.043l.02-.012v-.004h-.004v-.004h-.004v-.004h-.008v-.004H9.43l-.004-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.016.016.004.004h.004v.004h.004l.008.008h.004l.004.004h.004v.004h.004v.004zm.02-.012zm-.02.07l.02.004v-.012h.004v-.062h-.004l-.02.008h.004v.055H9.43zm.02.004zm-.016.051l-.004-.02.012.012v-.02h.004v-.02l.004-.004-.02-.012v.02h-.004v.02h-.004v.016zm-.012-.008v.012l.012-.004zm.008 0l.004.008zm-.008 0v.012l.012-.004zm0 0" class="sr-B"/><path d="M9.875 4.34c-.082 0-.16.07-.168.156s.043.152.117.156c.082 0 .152-.059.168-.148.016-.078-.035-.16-.121-.16zm0 0" class="sr-D"/><path d="M9.695 4.492l.02.004V4.48l.004-.008v-.004l.004-.008v-.008l.008-.016.004-.004.008-.016.004-.004.008-.004.004-.008.008-.004.004-.004.004-.008.008-.004.004-.004.008-.004h.008l.004-.008h.008l.008-.004h.004l.008-.004h.008l.008-.004h.027v-.02H9.84l-.012.004h-.004l-.008.004h-.008l-.008.008-.031.016-.012.012-.008.004-.02.02-.023.047v.008l-.004.008v.008l-.004.008v.016zm.133.168v-.02h-.02l-.004-.004h-.012l-.004-.004h-.008l-.004-.004-.008-.004h-.004l-.004-.008h-.004l-.016-.016v-.004l-.008-.004-.004-.004v-.008l-.008-.016v-.004l-.004-.008v-.012l-.004-.008v-.043l-.02-.004v.051l.004.008v.016l.004.008v.008l.004.004v.012l.008.004.004.008.004.004h.004l.004.008.008.004.004.008h.008l.008.004.004.004h.004l.008.008h.008l.004.004h.008l.004.004h.027zM10 4.504L9.98 4.5v.016l-.004.012v.004l-.004.008v.008l-.008.004-.008.016-.004.004-.004.008-.004.004-.008.016H9.93l-.004.004-.004.008-.008.004-.004.004-.008.004h-.008l-.004.004-.008.004h-.004l-.008.004h-.012l-.008.004h-.023v.023h.039l.008-.008h.008l.008-.004h.008l.012-.012.012-.004.004-.004.023-.012.008-.008.004-.008.012-.012.008-.016.004-.004.012-.023v-.008l.008-.016v-.016zm-.121-.172v.02h.02l.004.004h.008l.008.004h.008l.004.004h.004l.004.008.008.004.004.004v.004l.008.008.004.008.004.004v.004l.004.008v.008l.008.004v.012l.004.008v.016l.004.004v.016l-.004.008v.016l.02.004v-.066l-.004-.008V4.43l-.004-.008v-.008l-.008-.008v-.004l-.004-.008-.004-.004-.004-.008-.004-.004h-.004l-.004-.012-.008-.004-.004-.004-.008-.004-.004-.004-.008-.004-.004-.004h-.008L9.91 4.34h-.008l-.008-.004h-.016zm0 0" class="sr-B"/><path d="M9.867 4.387a.12.12 0 0 0-.121.109c-.012.066.031.117.086.117s.113-.047.121-.109-.023-.113-.086-.117zm0 0" class="sr-D"/><path d="M9.734 4.492l.02.004v-.012l.004-.004v-.004l.004-.008v-.008l.004-.004v-.004l.004-.004.004-.008v-.004l.008-.004.004-.004.004-.008.008-.008h.004l.004-.004h.004l.004-.008h.004l.004-.004.008-.004h.012v-.004h.023v-.02H9.84l-.008.004h-.008l-.004.004h-.004l-.004.004h-.008l-.004.008h-.004l-.004.004-.008.004h-.004l-.004.004-.004.008-.008.008v.004l-.008.004h-.004v.008l-.008.008v.008l-.008.008v.008l-.004.004v.016l-.004.008zm.098.129v-.02h-.02l-.004-.004h-.008l-.004-.004h-.004V4.59l-.008-.008h-.004v-.004l-.008-.004V4.57H9.77l-.004-.004v-.004l-.004-.004-.004-.008v-.012l-.004-.004V4.5h-.02v.047l.004.004v.004l.004.008v.004l.008.008v.008l.008.004.008.008.008.004.008.008h.004l.004.004h.004l.004.004h.004l.004.004h.031zm0-.02zm.133-.098h-.02l-.008.016v.004l-.004.008-.004.004v.008l-.008.004-.008.008v.004l-.008.004-.016.016h-.004v.008h-.008l-.004.004h-.012l-.004.004h-.023v.02h.031l.008-.004h.004l.004-.004h.004l.004-.004h.008l.004-.008.008-.004.004-.008.02-.02.004-.008v-.004l.008-.004.008-.008v-.008l.004-.004V4.52l.004-.004V4.5zm-.02 0zm-.082-.129v.02h.012l.004.004h.012l.004.004h.004l.008.008h.004l.004.008v.004l.008.004.004.004v.004h.004v.008l.004.004v.004l.004.004v.016l.004.004v.031h.02v-.051h-.004v-.008l-.004-.008v-.004l-.004-.004v-.004l-.008-.004v-.004h-.004l-.004-.008-.012-.012h-.004l-.004-.004h-.008l-.004-.004h-.004l-.004-.004h-.012l-.004-.004h-.012zm0 0" class="sr-B"/><path d="M9.863 4.426c-.043 0-.074.031-.082.07s.02.074.063.074c.035-.004.066-.031.07-.07s-.02-.07-.051-.074zm0 0" class="sr-G"/><path d="M9.773 4.492l.02.008v-.008l.004-.004V4.48h.004v-.008l.016-.016h.004l.008-.008h.004l.008-.008h.012v-.004h.012v-.02h-.02l-.004.004h-.008l-.004.004H9.82v.004h-.004l-.004.008v.004h-.008l-.008.008-.004.008-.004.004v.008h-.004v.004l-.004.008v.008l-.004.004zm.066.086v-.02h-.016l-.004-.004h-.008v-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.004-.004v-.008l-.004-.004V4.5l-.02-.008v.043h.004v.004l.004.008.008.008h.004v.004l.004.004h.004v.004h.008l.004.004h.008v.004h.02zm.086-.074l-.02-.004v.008l-.004.008v.008h-.004v.004l-.008.008-.004.008-.008.008h-.008v.004h-.008l-.004.004h-.016v.02h.023l.004-.004h.004l.008-.004h.004v-.004h.004v-.004l.004-.004.008-.004v-.004h.004v-.008h.004v-.004l.004-.004v-.004h.008V4.52l.004-.004zm-.055-.078h-.02l.012.012h.012l.004.004h.004v.004h.004l.012.012v.004h.004v.012h.004v.023l.023.008v-.035h-.004v-.012h-.004v-.004h-.008v-.008H9.91v-.008h-.008v-.004h-.004V4.43h-.008v-.004h-.02l-.004-.004h-.008l.012.012zm-.02 0v.012h.012zm0 0h.02l-.008-.008zm.02 0v-.008h-.008zm0 0" class="sr-B"/><path d="M10.34 5.894c.039.008.059.031.059.059s-.02.051-.059.059c-.012.004-.02.004-.031.004a22.02 22.02 0 0 1-3.73 0c-.012 0-.023-.004-.031-.004-.039-.008-.063-.035-.063-.063s.023-.047.063-.055c.008 0 .02-.004.027-.004a22.02 22.02 0 0 1 3.73 0c.012 0 .02.004.027.004zm0 0" class="sr-D sr-E sr-F"/><path d="M7.039 5.988h-.004v-.004h-.004v-.02h.008v-.004.004-.004h.047l.016-.004h.059l.016-.004h.059l.012-.004h.063l.016-.004h.066l.012-.004h.078l.012-.004h.02v.023h-.059l-.016.004h-.078l-.012.004h-.055l-.016.004h-.059l.016.004h.074l.012.004h.059l.016.004h.074l.012.004h.031v.023h-.074l-.012-.004h-.078l-.016-.004h-.055L7.262 6h-.062l-.012-.004h-.059l-.012-.004h-.059l-.02-.004v-.004zm.004-.016zm.934-.051v.027h-.117l-.012.004h-.133l-.016.004h-.098l-.023.004h-.066v-.023h.066l.02-.004h.102l.016-.004h.117l.016-.008h.133zm.465 0v.02h-.273l-.016.004h-.176v-.02h.031l.016-.004zm.469 0v.027h-.219l-.016-.004h-.234v-.023zm.469.02v.02h-.105l-.016-.004h-.105l-.012-.004h-.129l-.02-.004h-.086v-.031h.016l.016.004h.148l.016.008h.102l.016.004h.102l.012.004h.047zm.469.02v.004h.008v.02h-.004l-.004.004h-.062l-.012.004h-.047L9.715 6h-.078l-.016.004h-.055l-.016.004h-.07l-.016.004h-.074l-.016.004v-.027h.047l.012-.004h.074l.016-.004h.074l.016-.004h.035-.027l-.016-.004h-.055l-.016-.004h-.074l-.012-.004h-.074v-.023h.133l.012.004h.059l.02.004h.055l.012.004h.063l.012.004h.063l.012.004zm0 .016zm-2.336.012h.004l.004.004v.02h-.004v.004h-.004zm1.867.027h-.004l-.004-.004v-.004h-.004v-.02h.004v-.004h.008zm-1.008-.73v-.02h.078v.02h-.082zm0-.02zm-.023 0h.023v.02h-.023zm0 .02zm-.012-.02h.012v.02h-.012zm-.02 0h.02v.02h-.02zm0 0zm-.016 0h.012v.02h-.016v-.02zm0 .02zm-.012-.02h.008v.02h-.008zm0 0zm-.016 0h.016v.02h-.016zm0 0zm-.023 0h.023v.02H8.25zm-.02 0h.02v.02h-.02zm0 0zm-.004 0h.004v.02h-.004zm-.02 0h.02v.02h-.02zm-.051.02v-.02h.051v.02zm0-.02zm-.008 0h.004v.02h-.004zm0 .02zm-.004-.02h.004v.02h-.004zm0 0zm-.02 0h.02v.02h-.02zm0 .02zm-.008-.02h.008v.02h-.008zm0 0zm-.008 0h.008v.02h-.008zm0 .02zm-.027-.02h.027v.02h-.027zm0 0zm0 0v.02zm0 .02h-.004zm-.023-.02h.023v.02l-.023.004zm-.008 0h.008v.023h-.008zm-.016.004h.016v.02h-.016zm0 0h.008zm-.004 0h.004v.02h-.004zm0 .02H8.02zm-.02-.02h.02v.02h-.02zm-.023 0h.023v.02h-.023zm0 0zm-.004 0v.02zm0 .02zm-.02-.02h.02v.02h-.02zm-.012 0h.012v.02h-.008v-.02zm0 0zm0 0v.02zm0 .02zm-.082.008v-.023h.07V5.27h.008v.02h-.055l-.004.008zm0-.023zm-.012 0h.008v.023h-.012v-.023zm0 0zm-.035 0h.031v.023H7.82v-.023zm0 .023zm-.004-.023h.004v.023H7.82zm0 0zm-.027 0h.027v.023h-.023v-.023zm-.02 0h.02v.023h-.02zm-.012 0h.016v.023h-.012v-.023zm0 0zm0 0v.027zm0 .027zm-.031-.023h.031v.023H7.73zm0 .023zm0-.023v.023zm0 0zm-.023 0h.023v.023h-.023zm0 0zm0 0v.023zm0 .023zm-.023-.023h.02l.004.023H7.68v-.023zm-.02 0h.02v.023h-.016v-.023zm0 0zm-.031.004h.031v.023h-.027v-.023zm0 .023zm0-.023v.023zm0 0zm-.121.027v-.02h.031l.004-.004h.078v.02H7.52l-.004.004zm0 0zm-.012-.02h.008v.02h-.004v-.02zm0 0zm-.18.027v-.02h.027l.008-.004h.063l.008-.004h.066v.02h-.102l-.004.004H7.32zm0 0zm-.004-.02h.004v.02h-.008v-.02zm0 0zm-.012 0h.012v.02h-.008v-.02zm-.363.043v-.02h.035l.012-.004h.035l.008-.004h.047l.016-.004h.051l.012-.004h.043l.012-.004h.059l.012-.004h.023v.02h-.043l-.012.004h-.055l-.012.004h-.047l-.012.004H7.07l-.012.004h-.043l-.012.004h-.043l-.012.004h-.012zm0 0zm-.004-.02h.004v.02h-.004zm0 0zm0 0v.02zm0 .02zm-.527.051v-.02h.016l.02-.004h.016l.016-.008h.031l.016-.004h.02l.016-.004h.031l.016-.004h.035l.016-.004h.02l.02-.004h.031l.016-.004h.035l.016-.004h.035l.016-.004h.031l.02-.004h.031l.02-.004v.02h-.047l-.012.004h-.035l-.016.004h-.035l-.016.004H6.77l-.02.004h-.031l-.016.004h-.031l-.02.008h-.031l-.016.004H6.59l-.02.004h-.031l-.02.004h-.012l-.02.004h-.027l-.02.004h-.016l-.02.004zm0 0zm0-.141v.02h-.012l-.008.004h-.012l-.004.004-.016.008h-.004l-.004.004-.004.008-.008.004v.012l-.004.004v.02h.004v.008l.008.008.008.004.004.004h.004l.008.008h.004l.008.004h.02v.02h-.031l-.016-.008-.004-.004-.008-.004-.004-.004-.012-.004-.004-.008-.004-.004v-.008l-.004-.004-.004-.008v-.031l.004-.004.012-.023.012-.012.016-.008.004-.004h.008l.012-.004h.012l.008-.004zm0 .02zm.527-.066v.02h-.039l-.012.004h-.035l-.016.004h-.035l-.016.004h-.066l-.016.004h-.02l-.012.004h-.031l-.02.004H6.59l-.02.004h-.016l-.016.004h-.031l-.02.004h-.016l-.016.004h-.035l-.02.004v-.02h.035l.016-.004h.016l.016-.004H6.5l.02-.004h.031l.016-.004h.035l.02-.004h.016l.016-.004h.035l.016-.004h.031l.023-.004h.012l.016-.004h.035l.016-.004h.031l.02-.004zm0 .02zm0 0v-.02zm0-.02zm.738-.043v.023h-.098l-.02.004h-.043l-.027.004h-.066l-.027.004h-.043l-.027.004h-.043l-.023.004h-.047l-.02.004h-.051l-.023.004h-.023l-.023.004h-.043L7 5.219h-.02l-.023.004h-.023v-.02h.043L7 5.199h.02l.023-.004h.047l.023-.004h.02l.023-.004h.047l.02-.004h.047l.027-.004h.047l.023-.004h.047l.02-.004h.07l.023-.004h.07l.02-.004h.051zm.02.02l-.02.004v-.02h.02v.02zm0 0zm.004 0h-.004v-.02zm-.004-.02zm.008.02h-.004l-.004-.02h.008zm.023 0h-.023v-.02h.023zm0 0zm0 0v-.02zm0-.02zm.309-.008v.02h-.109l-.012.004h-.129l-.008.004h-.051v-.02h.098l.012-.004h.152L8 5.152zm.016.02h-.016v-.02h.016zm0 0zm0 0v-.02zm0-.02zm.027.02h-.027v-.02h.027zm0 0zm.004 0h-.004v-.02h.004zm0 0h-.004zm0 0v-.02zm0-.02zm.027.02h-.027v-.02h.027zm.008 0h-.012v-.02h.008v.02zm-.004-.02zm.016.02h-.012l-.004-.02h.016zm.02 0h-.02v-.02h.02zm0 0zm.004 0h-.004v-.02h.004zm0-.02zm.008.02h-.008v-.02h.008zm.063-.02l.004.02H8.16v-.02h.066zm.023.02h-.02v-.02l.02-.008zm0 0v-.027zm0-.027zm.027.023h-.027v-.023h.027zm.07-.023v.023h-.07v-.023zm0 0zm0 .023v-.023zm0 0zm.023 0h-.023v-.023h.023zm.074-.023v.023h-.07v-.023h.074zm.074 0v.023h-.074v-.023zm.02.023h-.02v-.023h.023v.023zm.004 0zm0 0v-.023zm0-.023zm.074 0v.023h-.074v-.023h.082zm.02.023h-.02v-.023h.023v.023zm.004-.023zm0 .023v-.023zm.02 0h-.02v-.023h.02zm.066-.023v.023H8.66v-.023zm.008.023h-.008v-.023h.012v.023zm0-.023zm.008.023H8.73v-.023h.008zm0 0zm.02 0h-.02v-.023h.02zm.012 0h-.012v-.023h.016v.023zm0-.023zm.012.027H8.77v-.02h.008v.02zm.02 0h-.02v-.02h.02zm0-.02zm0 .02v-.02zm0 0h.004zm.004 0h-.004v-.02h.008v.02zm0 0zm.027 0h-.027v-.02h.027zm0-.02zm0 .02v-.02zm0 0h.004zm.02 0h-.02v-.02h.02zm.305-.012v.02h-.121l-.008-.004h-.148l-.012-.004h-.016v-.02h.117l.008.004h.133l.008.004zm0 0zm0 .02v-.02zm0 0zm.027 0H9.16v-.02h.023zm.008 0h-.008v-.02h.012v.02zm0-.02zm.004.02h-.004v-.02h.004zm0 0zm.02.004h-.02v-.02h.02zm.738.02v.02h-.047l-.023-.004h-.02l-.023-.004h-.043l-.027-.004h-.051l-.02-.004h-.023l-.023-.004h-.043l-.027-.004h-.043l-.02-.004h-.078l-.02-.004h-.055l-.02-.004h-.066l-.02-.004h-.051v-.02h.094l.023.004h.066l.027.004h.047l.023.004h.047l.02.004h.051l.02.004h.047l.023.004h.047l.02.004h.047l.023.004h.023l.02.004h.027l.02.004zm0 0zm0 .02v-.02zm0 0zm.527.027v.02h-.039l-.016-.004h-.02l-.016-.004h-.031l-.012-.004h-.02l-.016-.004h-.031l-.016-.004h-.02l-.016-.004h-.035l-.012-.004h-.031l-.016-.004h-.035l-.02-.004h-.031l-.016-.004H10l-.016-.004h-.031v-.02h.07l.016.004h.031l.02.004h.035l.012.004h.035l.016.004h.035l.016.004h.016l.016.004h.035l.016.004h.02l.016.004h.035l.012.004h.016l.016.004h.035l.016.004zm0 .02zm0 .121v-.02h.035l.004-.004h.008l.012-.012h.004v-.008l.004-.004V5.34h.004v-.027l-.004-.004v-.004h-.004l-.004-.008-.008-.004h-.004l-.004-.008-.008-.004h-.008l-.012-.004h-.008l-.008-.004v-.02h.008l.012.004h.012l.012.008.016.008.012.012.008.004.004.008v.008l.004.004v.004l.004.008v.023l-.004.008v.004l-.008.008-.004.008-.008.004-.008.008-.016.008h-.004l-.008.004h-.031zm0 0zm-.527-.047v-.02h.035l.016.004h.035l.016.004h.039l.012.004h.035l.02.004h.016l.016.004h.035l.012.004h.035l.016.004h.02l.016.004h.031l.016.004h.02l.016.004h.031l.016.004h.02l.012.004v.02h-.02l-.016-.004h-.031l-.016-.004h-.016l-.016-.004h-.035l-.016-.004h-.016l-.02-.004h-.035l-.016-.004h-.016l-.02-.004h-.027l-.016-.004h-.035l-.016-.004h-.031l-.02-.004h-.035L10 5.348h-.031zm0 0zm0-.02v.02zm0 0zm-.004 0h.004v.02h-.008v-.02zm0 .02zm-.371-.027v-.02h.059l.012.004h.059l.012.004h.047l.012.004h.043l.012.004h.047l.008.004h.051l.008.004v.02H9.91l-.008-.004h-.047l-.012-.004h-.043l-.016-.004h-.047l-.012-.004h-.055l-.016-.004h-.055l-.012-.004h-.016zm-.008-.02h.012v.02h-.008v-.02zm0 0zm-.004 0h.004v.02h-.004zm0 .02zm-.184-.008v-.023h.082l.004.004h.066l.004.008h.027v.02h-.031l-.008-.004h-.066l-.008-.004zm0-.023zm-.004 0h.004v.023h-.008v-.023zm0 .023zm-.129-.008v-.02h.09l.004.004h.035v.02h-.09l-.004-.004zm0-.02zm0 0v.02zm0 .02zm-.031-.02h.035v.02h-.035zm0 0zm-.012 0h.016v.02h-.016zm-.02-.004h.02v.02H9.18l.004-.02zm-.004.02zm0-.02h.004v.02-.02zm0 0zm-.023 0h.023v.02H9.16zm0 0zm-.004 0v.02zm0 .02zm-.027-.02h.027v.02h-.027zm0 .02zm-.004-.02h.004v.02h-.004zm0 0zm-.012 0h.012v.02h-.012zm-.02 0h.02v.02h-.02zm-.027-.004h.027v.02h-.027zm0 0zm-.004 0h.004v.02h-.004zm0 .02zm-.031-.02h.031v.02h-.031zm0 0zm-.012 0h.012v.02H9.02zm-.086.02V5.27H9l.004.004h.016v.02zm0 0zm0-.023v.02zm0 0zm-.008 0h.012v.02h-.012zm-.023 0h.023v.02h-.023zm0 .02zm0-.02v.02zm0 0zm-.023 0h.023v.02h-.027v-.02zm-.02 0h.02v.02h-.02zm0 .02h.012zm-.004-.02h.004v.02h-.004zm0 0h-.008zm-.016 0h.016v.02H8.84zm-.012 0h.012v.02h-.012zm-.023 0h.027v.02h-.031v-.02zm0 .02h.004zm0-.02v.02zm0 0zm-.02 0h.02v.02h-.02zm0 .02zm-.008-.02h.008v.02h-.012v-.02zm0 0zm-.008 0h.008v.02H8.77zm0 .02zm-.023-.02h.023v.02h-.023zm0 0zm-.004 0h.004v.02h-.004zm0 .02zm-.004-.02h.004v.02h-.004zm0 0zm-.051.016v-.02h.043v.02H8.68zm-.023-.02h.023v.02h-.023zm-.004 0h.004v.02H8.66zm0 0zm-.02 0h.02v.02h-.02zm-.023 0h.023v.02h-.023zm0 0zm-.016 0h.016v.02h-.016zm0 0zm-.008 0h.008v.02h-.008zm0 .02zm-.016-.02h.016v.02h-.016zm0 0zm-.02 0h.02v.02h-.02zm-.012 0h.012v.02h-.012zm0 .02zm-.023-.02h.023v.02H8.52v-.02zm0 0zm-.074.02v-.02h.078v.02h-.082zm.008.035L8 5.551l-.008-.02.453-.227h.008v.02zm-.012-.02h.008zm.453.25l-.457-.23.008-.02.453.23v.02h-.008zm.008-.02l.023.012-.023.008zm-.457.23l.453-.23.008.02-.453.23h-.008zm.008.02h-.008zM8 5.531l.457.23-.012.02-.457-.23v-.02zm-.008.02l-.02-.008.02-.012zm0 0" class="sr-B"/><path d="M8.441 5.398c.113 0 .207.063.207.141s-.094.141-.207.141-.199-.066-.199-.141.09-.141.199-.141zm0 0" class="sr-G"/><path d="M8.66 5.539h-.02v-.008l-.004-.004v-.012l-.004-.004v-.008l-.008-.008-.004-.008v-.004l-.008-.008-.004-.008-.008-.004-.004-.004-.016-.008-.004-.004-.016-.008-.012-.012h-.012l-.008-.004h-.008l-.008-.004h-.02l-.008-.004h-.039v-.023h.035l.012.004h.012l.008.004h.012l.008.004h.008l.012.004.016.008h.012l.008.008.016.008.004.008.016.008.004.008.008.004.02.039v.008l.004.008v.008l.004.004v.016zm-.219.148v-.02h.031l.008-.004h.023l.012-.004h.008l.008-.008h.008l.012-.004h.008l.004-.008h.008l.008-.008.023-.012.02-.02.004-.008V5.59l.008-.008h.004v-.008l.004-.008v-.012l.004-.008v-.004h.02v.008l-.004.008v.008l-.004.008v.008l-.004.004-.008.016-.047.047-.016.008-.012.004-.016.008h-.008l-.008.008h-.008l-.012.004h-.008l-.012.004h-.023l-.008.004zm-.215-.148h.02v.02l.004.004v.008l.008.004.004.008v.008l.004.004.004.008.008.004.004.004.004.008.008.004.008.008.016.008h.004l.008.008h.008l.008.008h.012l.004.004h.02l.008.004h.031l.012.004h.012v.02h-.039l-.012-.004h-.008l-.012-.004-.008-.004h-.008l-.012-.004h-.008l-.008-.008-.023-.012-.008-.008-.023-.012-.004-.008-.008-.004-.004-.008-.012-.012-.004-.008v-.008l-.008-.016v-.016l-.004-.008v-.008zm.215-.148v.02h-.027l-.008.004h-.008l-.008.004h-.012l-.008.004h-.008l-.012.004h-.008l-.008.008-.031.016-.004.004-.008.004-.027.027-.004.008v.004l-.004.004v.008l-.004.008v.012l-.004.008v.004h-.02v-.02l.004-.012.004-.008v-.004l.004-.008.039-.039.008-.004.004-.008.023-.012h.008l.008-.008.023-.008h.008l.012-.004h.02l.008-.004h.023l.012-.004h.012zm0 0" class="sr-B"/><use xlink:href="#B" class="sr-D"/><path d="M8.609 4.402h-.02v-.02l-.008-.008v-.008l-.004-.008v-.008l-.004-.008V4.34l-.004-.008-.004-.004-.004-.008v-.004l-.008-.004-.004-.008-.008-.008-.008-.004-.008-.008-.016-.008h-.004L8.5 4.27h-.008l-.008-.004h-.008l-.008-.004h-.027V4.23l.012.008h.023l.008.004h.008l.023.012h.008l.008.004.004.008.023.012.004.008.004.004.008.004.008.016.008.004.004.012.004.004v.008l.004.008v.016l.004.008v.02l.004.008zm-.168.164v-.02h.031l.004-.004h.008l.004-.004.008-.004h.008l.008-.004h.004l.004-.004.008-.004.004-.004.004-.008.008-.004.012-.012v-.008l.004-.004.008-.016v-.004l.004-.008v-.016l.004-.008v-.016l.004-.008v-.008h.023v.023l-.004.008v.008l-.004.012v.004l-.008.008v.008l-.012.012-.012.023-.008.004-.008.016-.008.004-.016.016-.008.004-.004.004H8.5l-.004.004-.008.004H8.48l-.008.004zm-.16-.164h.02v.035l.004.004.004.008v.008l.004.004.004.008.008.008.004.008.02.02.004.008.012.012.008.004h.008l.004.004h.008l.008.008h.004l.008.004h.016l.008.004h.012v.02h-.031l-.008-.004h-.008l-.008-.008h-.008l-.008-.004-.012-.012-.012-.004-.004-.004-.023-.012-.008-.016-.008-.004-.004-.008-.004-.004V4.48l-.004-.008v-.004l-.008-.008v-.008l-.004-.012v-.008l-.004-.008v-.027zm.16-.168v.023h-.027l-.008.004h-.004l-.008.004h-.008l-.004.008h-.008l-.004.004-.008.004-.023.023-.004.008-.004.004-.008.016-.004.004-.004.008v.004l-.004.008-.004.004v.016l-.004.008v.02h-.02v-.031l.004-.008v-.008l.008-.016v-.008l.004-.008v-.008l.008-.004.004-.004.008-.016.023-.023.016-.008.004-.004h.008l.004-.004.008-.004h.008l.008-.004h.008l.008-.004h.023zm0 0" class="sr-B"/><path d="M8.441 4.285c.066 0 .113.055.113.117s-.047.117-.113.117c-.059 0-.109-.055-.109-.117s.051-.117.113-.117zm0 0" class="sr-D"/><path d="M8.566 4.402h-.02v-.031h-.004v-.012l-.004-.004v-.004l-.004-.008-.004-.004v-.004l-.008-.004-.012-.012h-.004l-.004-.004h-.008l-.004-.008h-.004l-.008-.004h-.012l-.004-.004h-.023v-.02h.035l.004.004h.008l.004.004h.004l.008.004h.008l.004.008h.004l.023.023v.004l.008.008v.004l.004.004v.004l.004.008.004.004v.012l.004.008zm-.125.125v-.02h.023l.004-.004h.004l.004-.004h.004l.004-.004h.008l.008-.008h.008l.004-.008.004-.004h.004v-.004l.004-.004v-.004l.008-.004.004-.008v-.004l.004-.008v-.004l.004-.004v-.027h.02v.043l-.004.004-.008.016-.004.004v.004l-.008.004v.004l-.004.004-.004.008h-.004l-.004.004H8.52l-.004.008-.008.004h-.004L8.5 4.52l-.008.004h-.004l-.004.004h-.008l-.004.004h-.027zm-.121-.125h.023v.023l.004.008v.004l.004.004v.008l.004.004.004.008.004.004v.004h.004l.004.004.004.008v.004h.008l.004.004h.004l.004.004h.004v.004h.008l.004.004h.004l.008.004h.02v.023H8.41l-.008-.004h-.004l-.008-.004h-.004l-.004-.008-.008-.004-.004-.004-.008-.004h-.004l-.004-.008h-.004l-.004-.008-.012-.012-.004-.008v-.004l-.004-.008h-.004v-.008l-.004-.008v-.012l-.004-.004v-.02zm.121-.125v.02h-.02l-.008.004h-.008l-.012.012h-.008l-.004.004h-.004v.008l-.008.004h-.004l-.004.004v.008l-.004.004v.004l-.004.004v.004l-.004.004v.004l-.004.008v.008l-.004.004v.016h-.02v-.027l.004-.008v-.004l.004-.008.004-.004v-.004l.004-.008.012-.012.004-.008.016-.016h.008l.004-.008h.004l.004-.004h.004l.008-.004h.004l.008-.004h.012l.004-.004zm0 0" class="sr-B"/><path d="M8.441 4.328c.039 0 .074.031.074.074s-.035.07-.074.07a.07.07 0 0 1-.07-.07c0-.043.031-.074.07-.074zm0 0" class="sr-G"/><path d="M8.523 4.402h-.02v-.016H8.5v-.008l-.004-.004v-.004l-.008-.008-.004-.008H8.48l-.008-.004h-.004l-.004-.004h-.004v-.004h-.02v-.02h.027v.004h.008v.004h.008v.004h.004v.008h.008v.004l.008.008.004.008v.004l.004.004.004.008v.008l.004.004v.012zm-.078.082v-.02h.012v-.004h.008l.008-.004h.004l.004-.004v-.004h.004v-.004h.004v-.004h.004v-.004l.004-.004V4.43l.004-.004v-.008h.004v-.02h.02v.02l-.004.004v.004l-.004.004v.004l-.008.008-.004.008-.004.004-.008.004-.004.004H8.48l-.004.004-.008.004h-.02l-.004.004zm-.082-.082h.02v.023l.004.004v.004l.008.008.004.008.008.008h.004v.004h.012l.004.004h.016v.023h-.016l-.004-.004h-.008V4.48h-.008l-.012-.012h-.004v-.004l-.004-.004h-.004v-.004l-.004-.004-.004-.008v-.004l-.004-.004-.004-.008v-.027zm.082-.082v.02h-.02l-.004.004h-.008l-.004.004h-.004v.004h-.004l-.004.008-.012.012v.012h-.004v.02h-.02v-.031l.008-.008v-.004l.023-.023h.004l.004-.004h.004l.004-.004h.004l.008-.004h.02zm0 0" class="sr-B"/><path d="M5.094 6.023v5.426c0 .973.375 1.852.98 2.492a3.28 3.28 0 0 0 2.367 1.039 3.26 3.26 0 0 0 2.367-1.035 3.6 3.6 0 0 0 .984-2.488V6.023zm0 0" class="sr-H"/><g class="sr-C"><path d="M5.066 6v5.539l.004.094.008.09.004.09.023.18.012.086.016.086.02.086.023.086.02.086.023.086.023.078.031.082.027.082.031.078.035.082.035.078.039.078.035.074.043.074.039.074.043.074.043.07.051.07.094.141.055.066.051.063.055.066.055.059.059.063.035-.031-.059-.062-.055-.059-.051-.066-.051-.062-.055-.066-.047-.066-.051-.07-.043-.07-.047-.066-.039-.074-.039-.07-.039-.074-.043-.082-.07-.148-.031-.082-.031-.078-.031-.082-.027-.078-.023-.082-.027-.082-.02-.082-.02-.086-.047-.258-.012-.082-.016-.18-.008-.18V6.051h6.656v5.488l-.004.09-.008.09-.004.086-.012.09-.012.086-.016.086-.02.086-.016.086-.02.086-.02.078-.023.086-.027.082-.027.078-.027.082-.031.078-.031.082-.035.074-.035.078-.039.078-.039.074-.039.07-.043.074-.043.066-.094.141-.102.133-.051.063-.055.063-.051.063-.117.117-.055.063-.062.055-.059.051-.066.051-.059.055-.07.047-.066.051-.066.043-.066.047-.07.043-.141.078-.07.043-.074.031-.074.039-.078.031-.074.031-.074.027-.082.027-.074.023-.082.023-.078.02-.082.02-.078.02-.086.012-.078.012-.086.012-.082.008-.086.008-.086.004h-.086v.047h.09L8.617 15l.258-.023.082-.012.086-.016.078-.016.086-.02.078-.02.082-.023.078-.023.082-.031.078-.027.078-.031.074-.031.074-.035.074-.039.074-.035.07-.043.07-.039.07-.047.07-.043.066-.047.066-.051.066-.047.063-.055.066-.051.059-.055.059-.059.063-.059.059-.059.055-.062.059-.059.051-.066.055-.062.051-.066.047-.07.051-.066.043-.07.047-.07.039-.074.047-.074.078-.148.035-.082.035-.074.031-.078.031-.082.031-.078.027-.082.023-.082.027-.086.02-.086.02-.082.02-.086.016-.09.012-.086.012-.09.016-.18.008-.086v-.105l.004-.09V6zm0 0"/><g class="sr-E sr-F"><path d="M8.473 14.695c.027-.004.082 0 .117-.027.047-.039.027-.195.023-.297l-.07-2.559c-.039-.004-.07 0-.098.004-.035-.008-.07-.008-.102 0l-.07 2.555c-.004.102-.027.262.023.297.035.031.086.02.113.027zm0 0"/><path d="M8.793 14.68c-.031 0-.082.012-.121-.016-.051-.035-.055-.195-.059-.293l-.152-2.555a.22.22 0 0 1 .098-.008l.41 2.523c.02.07.055.246-.004.301-.035.035-.086.031-.113.043zm0 0"/><path d="M9.164 14.629c-.031 0-.074.016-.121-.008-.055-.027-.051-.188-.074-.281-.133-.508-.203-1.348-.395-2.531.039-.016.07-.016.102-.02h.004c.297 1.152.391 1.961.625 2.461.02.07.082.258.023.32-.027.035-.078.039-.105.047l-.063.012zm0 0"/><path d="M9.539 14.52c-.027.008-.078.031-.117.016-.063-.023-.07-.195-.113-.285-.238-.5-.328-1.32-.633-2.48.039-.016.066-.02.098-.027s.02-.02.059-.023c.363 1.148.477 1.941.813 2.438.055.078.094.238.059.289-.027.039-.078.047-.105.063l-.059.016zm-1.441.16c.027 0 .074.012.113-.016.055-.035.063-.195.063-.293l.152-2.555c-.039-.012-.07-.012-.102-.008l-.406 2.523c-.02.07-.059.246 0 .301.035.035.086.031.113.043l.063.004zm0 0"/><path d="M7.719 14.629c.031 0 .082.016.121-.008.055-.027.055-.188.082-.281.125-.508.199-1.348.391-2.531-.039-.016-.074-.016-.102-.02h-.004c-.301 1.152-.395 1.961-.629 2.461-.023.07-.086.258-.027.32.031.035.082.039.109.047zm0 0"/><path d="M7.348 14.52c.027.008.078.031.117.016.063-.023.07-.195.113-.285.234-.5.324-1.32.633-2.48-.039-.016-.07-.02-.102-.027s-.02-.02-.059-.023c-.359 1.148-.477 1.941-.813 2.438-.051.078-.09.238-.055.289.027.039.082.047.105.063l.059.016zm1.992-.859c-.027 0-.066.02-.109 0-.055-.027-.09-.18-.117-.281-.242-.469-.461-1.305-.816-2.469.035-.012.059-.02.09-.02.02-.008.047-.02.086-.023.387 1.152.559 1.98.934 2.441.059.074.109.238.078.289-.023.035-.066.039-.09.051zm0 0"/><path d="M9.039 13.715c-.027 0-.07.012-.109-.008-.055-.031-.07-.188-.09-.289l-.527-2.52c.035-.012.063-.016.09-.016.023-.008.051-.016.09-.016.301 1.176.367 2.051.648 2.5.051.086.078.25.047.297-.027.035-.07.035-.098.043l-.055.008zm0 0"/><path d="M8.727 13.75c-.027-.004-.07.008-.105-.02-.051-.031-.051-.191-.059-.289l-.23-2.555a.26.26 0 0 1 .094-.004c.023-.004.051-.012.09-.008l.359 2.543c.02.102.047.25.008.297-.027.027-.074.027-.102.035l-.051.004zm0 0"/><path d="M7.543 13.656c.027 0 .07.02.109 0 .059-.027.094-.18.121-.281.242-.469.461-1.305.816-2.469-.035-.012-.059-.02-.09-.02-.02-.008-.047-.02-.086-.023-.387 1.152-.559 1.98-.934 2.441-.059.074-.109.238-.082.289.027.035.07.039.094.051zm0 0"/><path d="M7.848 13.715c.027 0 .07.012.109-.008.051-.031.07-.188.09-.289l.523-2.52c-.035-.012-.063-.016-.09-.016-.027-.008-.059-.016-.09-.016-.297 1.176-.363 2.051-.648 2.5-.047.086-.078.25-.043.297.027.035.07.035.094.043zm0 0"/><path d="M8.16 13.75c.027-.004.066.008.105-.02.047-.031.047-.191.055-.289l.234-2.555c-.039-.008-.066-.008-.09-.004-.02-.004-.051-.012-.09-.008l-.359 2.543c-.02.102-.047.25-.008.297.031.027.074.027.102.035l.051.004zm0 0"/><path d="M8.469 13.762c.027 0 .07.004.105-.027.047-.039.027-.195.023-.297l-.066-2.559c-.031-.008-.063-.008-.09 0-.027-.004-.051-.008-.09 0l-.063 2.559c-.004.102-.02.258.023.293.031.031.078.02.102.031zm0 0"/><path d="M9.129 12.961c-.02 0-.051.02-.078 0-.047-.031-.074-.184-.098-.281-.184-.469-.348-1.309-.625-2.469.031-.016.051-.02.07-.02.016-.012.035-.02.066-.02.293 1.145.426 1.977.715 2.434.047.078.078.242.059.289-.016.039-.051.043-.066.051zm0 0"/><path d="M8.899 13.02c-.02 0-.051.012-.086-.012-.039-.031-.051-.188-.066-.285l-.398-2.52c.023-.012.043-.016.066-.016.02-.008.039-.012.066-.016.23 1.176.281 2.051.5 2.504.043.082.063.25.035.293-.023.031-.055.035-.074.043l-.039.012zm0 0"/><path d="M8.66 13.055c-.02 0-.051.008-.082-.02-.039-.035-.039-.191-.043-.293l-.18-2.551c.031-.008.051-.008.074-.008s.039-.012.066-.008l.273 2.539c.016.102.039.258.008.301-.023.031-.059.027-.078.035l-.043.004zm0 0"/><path d="M7.758 12.961c.02 0 .047.02.078 0 .047-.031.074-.184.098-.281.184-.469.348-1.309.617-2.469-.023-.016-.043-.02-.063-.02-.02-.012-.039-.02-.066-.02-.297 1.145-.43 1.977-.715 2.434-.051.078-.086.242-.063.289.016.039.051.043.07.051l.039.016zm0 0"/><path d="M7.988 13.02c.02 0 .051.012.078-.012.047-.031.063-.188.074-.285l.398-2.52c-.02-.012-.043-.016-.066-.016a.27.27 0 0 0-.07-.016c-.227 1.176-.277 2.051-.496 2.504-.039.082-.059.25-.031.293.02.031.055.035.07.043l.039.012zm0 0"/><path d="M8.227 13.055c.02 0 .051.008.078-.02.043-.035.043-.191.047-.293l.18-2.551c-.023-.008-.051-.012-.074-.008-.02-.004-.039-.012-.07-.008l-.273 2.539c-.016.102-.043.258-.008.301.023.031.059.027.078.035l.039.004zm0 0"/><path d="M8.465 13.063c.02-.004.055 0 .078-.027.035-.039.02-.191.02-.293l-.047-2.559c-.031-.004-.055 0-.074.004-.016-.004-.039-.008-.066 0l-.051 2.559c0 .102-.016.254.023.293.023.027.059.023.078.027h.039zm0 0"/><path d="M8.301 11.18l-.008.281-.211.047c0 .094.238 1.105.359 1.105s.363-1.012.363-1.109l-.211-.039v-.004l-.004-.281c-.043.039-.094.105-.145.16l-.141-.16zm0 0"/></g></g><g class="sr-D sr-E sr-F"><path d="M7.039 11.691c-.059.004-.141.039-.367.238-.102.203-.203.41-.344.59l-.117.063a1.65 1.65 0 0 1-.34-.012c-.09-.078-.227-.023-.18.066-.039.031.043.156.105.102.059-.047.258-.004.328-.027-.027.063-.211.102-.336.109-.117.004-.109.121-.063.211.055.035.012-.008.031.016.051.082.164.07.168-.008s.273-.18.313-.238c-.047.117-.164.23-.219.344-.059.063-.098.074-.02.203.09-.016.094-.035.145.016.121-.012.141-.051.121-.145-.02-.102.063-.281.094-.332.023-.047.027-.098.055-.125.043-.051.25-.156.305-.129.098.055.172.02.184-.074-.031-.023-.008-.16-.074-.164-.055-.004-.09.012-.141.055-.078.066-.121.102-.148.094-.059-.016.117-.102.277-.313.219-.289.234-.441.227-.539zm.035 2.333c-.16.125-.301-.164-.16-.551.102-.285.613-.176.328.211-.012.02-.031.012-.027-.008.02-.082-.031-.129-.109-.113-.211.043-.223.441.012.352.043-.004.008.082-.035.113zm0 0"/><path d="M5.703 12.691c-.078-.047-.125-.047-.16-.012-.012.02-.035.012-.023-.02.055-.125.141-.141.215-.086l.055.055c-.012.02-.074.047-.086.063zm1.148-.113c.086-.059.168-.07.211-.039.027.02.051.004.027-.023-.09-.125-.191-.133-.27-.063-.023.02-.039.039-.055.063.023.031.086.063.086.059zm-.672.711c.004-.004-.02-.109-.051-.141-.027.02-.063.039-.086.07-.086.09-.082.219.051.332.031.031.047 0 .031-.031-.02-.055.008-.129.063-.23zm-.328-.27c-.078.031-.109.074-.105.129 0 .031-.02.039-.027.004-.098-.223.004-.266.148-.258a.31.31 0 0 1-.016.125zm0 0"/></g><g class="sr-B"><path d="M6.48 12.426l.02.012h-.004v.035H6.5v.008h.004v.004h.004l.004.008.008.004v.004h.008l.004.008h.004l-.012.02H6.52l-.008-.004h-.004l-.016-.016-.004-.008v-.004h-.004v-.004l-.004-.004v-.004h-.004v-.004l-.004-.004v-.035l.004-.008v-.004zm.129.016l-.016.02-.004-.004-.008-.004-.008-.008H6.57l-.004-.004-.004-.008-.008-.004-.008-.008h-.016l-.004-.004h-.012v.004h-.004l-.004.004v.004H6.5v.008l-.004.004-.02-.016v-.004l.004-.008.008-.008.008-.004H6.5l.008-.004h.008v-.004h.016l.004.004h.008l.004.004h.004l.004.004h.004l.004.004h.004l.004.008h.004l.004.008.004.004.008.004.008.008zm0 0"/><path d="M6.547 12.352l.02.012v.008h-.004v.016l.004.004v.004l.004.004v.004l.004.004.004.008.004.004h.008l.004.004h.004l.008.008h.004l-.012.02h-.004l-.016-.008h-.004l-.008-.008-.004-.008v-.004h-.004l-.004-.004v-.004h-.004v-.012h-.004v-.043h.004v-.004zm.129.016l-.016.02-.004-.004h-.004l-.004-.008-.004-.004-.008-.004h-.004l-.004-.008-.008-.008-.008-.004h-.004v-.004h-.016l-.004.004-.008.004-.004.004v.004l-.004.004-.02-.012.004-.004v-.004h.004v-.008h.008l.004-.008h.004l.004-.004h.008v-.004h.027l.004.004h.004v.004h.004l.008.008h.004l.004.004h.004l.004.008h.004l.004.004v.004l.016.008.004.004zm0 0"/><path d="M6.621 12.258l.02.012-.004.004v.012h-.004v.02l.004.004v.008h.004v.008h.004l.004.004v.004h.004l.004.008.008.008.008.004h.004l.004.004-.012.02-.008-.004-.016-.016v-.004l-.008-.004v-.004l-.004-.004v-.004l-.008-.004v-.008l-.004-.008v-.004h-.004v-.012h-.004v-.02l.004-.008v-.008l.004-.004zm.141.02l-.02.02-.004-.008-.008-.004-.004-.004-.008-.004v-.004l-.004-.004-.008-.004-.008-.008-.004-.008h-.004l-.008-.008H6.68l-.004-.004H6.66l-.016.016v.004h-.004v.008l-.02-.012v-.008l.008-.008v-.004l.008-.004.004-.004v-.004h.004l.004-.004h.008l.004-.004h.023l.004.004h.004l.004.004.008.004h.004l.008.008h.008l.004.008.008.008.008.004.02.02zm0 0"/><path d="M6.695 12.152l.02.012v.012l-.004.004v.035l.004.004v.004l.004.004v.004l.012.012v.004l.008.008h.004l.004.008.004.004.008.004v.004l-.012.016-.008-.004v-.004l-.008-.004-.004-.008-.004-.004v-.004l-.012-.012v-.004l-.004-.008v-.004l-.008-.004-.004-.004v-.004l-.004-.004v-.004l-.004-.008v-.043l.004-.004v-.004zm.152.027l-.02.016-.016-.016-.008-.004-.004-.008v-.004l-.008-.004-.016-.016h-.004l-.004-.004h-.004l-.004-.004h-.008v-.004h-.016v.004l-.012.012v.004l-.008.004v.004l-.023-.008.004-.008.004-.004v-.004l.02-.02.008-.004h.008l.008-.004h.016l.008.004h.004l.004.004h.004l.004.008.008.004.012.012h.008l.004.008.023.023.004.008.008.004zm0 0"/><path d="M6.781 12.051l.023.012v.004l-.004.004-.004.008v.043l.004.004v.004l.008.008v.004l.012.012v.004l.012.012.008.004.004.004.008.004-.02.02-.004-.004-.004-.008-.008-.004-.008-.008-.008-.004-.004-.008v-.004l-.008-.008v-.004l-.008-.004v-.008h-.004v-.008l-.004-.004v-.004l-.004-.004v-.055l.004-.004v-.004l.004-.004v-.004zm.152.027l-.02.02-.004-.008-.012-.012-.004-.008-.008-.004-.004-.004-.004-.008-.008-.008h-.004l-.004-.008-.004-.004h-.004v-.004h-.027l-.008.004v.004h-.004v.008l-.008.008v.004l-.023-.012.004-.004.004-.008.008-.008v-.004l.008-.004h.004l.004-.004h.004l.004-.004h.035l.008.008h.004l.004.004h.008l.004.008.004.004h.008l.004.008.023.023.008.004.004.008zm0 0"/></g><g class="sr-C"><g class="sr-E sr-F"><path d="M8.051 11.613l-.188-.109c-.082.059-.137.27 0 .445.168.219.238.371.277.547.125-.156.168-.324.09-.488-.105-.219-.176-.34-.176-.398zm0 0"/><path d="M8.207 11.461l-.188-.109c-.082.059-.25.266-.113.441.168.215.344.379.387.555.125-.16.176-.324.102-.488-.109-.223-.188-.344-.188-.402zm0 0"/><path d="M7.789 11.383l-.191-.105c-.078.059-.141.27-.004.441.137.16.23.348.281.551.121-.16.168-.324.086-.488l-.176-.395zm0 0"/></g><path d="M6.91 9.379l-.035 1.496c-.012.164-.082.273-.16.34-.07-.102-.113-.23-.121-.387-.008-.082.008-1.176.016-1.398.125-.34.223-.359.297-.051zm0 0"/></g><path d="M6.879 10.875h-.02l.004-.02v-.051l.004-.035v-.078l.004-.047v-.102l.004-.055v-.055l.004-.059v-.062l.004-.059v-.125l.004-.059v-.125l.004-.059V9.77l.004-.055v-.148l.004-.039v-.148h.023v.234l-.008.051v.164l-.004.059v.121l-.004.063v.059l-.004.066v.117l-.004.063v.059l-.004.055v.109l-.004.047v.047l-.004.039v.074l-.004.027v.043zm-.172.34l.016-.008h-.012l.004-.008.016-.016.008-.004.023-.023.008-.012.016-.016.004-.008.016-.016.008-.023.004-.008.008-.012.004-.012.004-.008.008-.012.004-.012.004-.008v-.016l.004-.012v-.012l.008-.016v-.012l.004-.016v-.016l.004-.016v-.027h.02v.043l-.004.016v.016l-.008.012v.016l-.004.016-.004.012-.004.016-.012.035-.016.023-.004.012-.008.012-.004.008-.004.012-.008.008-.004.012-.023.023-.008.012-.023.023-.008.004-.004.008-.008.008-.008.004h-.012zm.012.004l-.008.008-.004-.008zm-.141-.391h.023v.016l.004.016v.027l.004.012v.012l.004.016v.012l.004.012v.031l.008.008v.016l.023.07.004.016.004.008.008.012.004.012.008.008.004.012.004.008.008.012.004.012.004.008.008.008.004.008.008.008-.016.012-.004-.012-.008-.008-.008-.012-.004-.008-.016-.023-.008-.023-.008-.012-.004-.012-.008-.012v-.012l-.004-.012-.008-.008-.004-.012-.004-.016-.004-.012v-.012l-.004-.016-.004-.012v-.012l-.008-.012v-.012l-.004-.016-.004-.012v-.012l-.004-.016v-.02l-.004-.016v-.031zm.023-1.402l.016.008v.16l-.004.043v.203l-.004.055v.23l-.004.063v.379l-.004.043v.219h-.023v-.418l.004-.051v-.293l.008-.055v-.23l.004-.055v-.176l.004-.039v-.086zm0 0zm.32-.047h-.023l-.008-.023-.004-.027-.008-.02-.012-.023-.008-.02-.004-.023-.008-.012-.008-.016-.008-.012-.023-.023-.008-.004h-.004l-.008-.004h-.016l-.008.004-.008.008-.012.008-.02.02-.008.012-.012.016-.008.016-.023.039-.012.023-.035.082-.012.035-.02-.008.016-.031.012-.031.012-.023.012-.031.012-.023.023-.039.008-.02.023-.031.008-.012.023-.023.012-.008.023-.008h.02l.012.004.008.008.012.008.012.012.016.023.016.031.008.02.012.023.004.02.016.055.012.027zm0 0zm0 0" class="sr-B"/><path d="M6.16 9.098l-.051 1.59a4.32 4.32 0 0 0 .27 1.148c.246-.105.301-.676.25-1.23s.008-1.039.047-1.137c0-.125-.02-.258-.02-.387l-.5.016zm0 0" class="sr-C"/><path d="M6.102 10.688l.047-1.59h.02l-.051 1.59h-.02zm.02 0zm.254 1.141l.004.016-.012-.004-.008-.02-.012-.02-.027-.055-.008-.031-.012-.031-.012-.035-.012-.039-.012-.043-.012-.039-.016-.043-.012-.043-.012-.047-.008-.047-.012-.047-.008-.043-.012-.047-.016-.047-.008-.043-.008-.047-.008-.043-.008-.039-.008-.043-.004-.043-.008-.035-.004-.031-.004-.035v-.027l-.008-.027v-.055h.02v.082l.008.063.008.035.004.035.016.078.008.047.008.043.012.043.008.047.008.043.008.047.035.141.047.172.023.078.012.035.012.031.016.027.008.031.012.023.008.02.012.02-.012-.008zm.004.016l-.008.004-.004-.008zm.242-1.238h.02l.004.047v.055l.008.055v.051l.004.051v.25l-.008.047-.004.051-.004.047v.047l-.008.047-.008.043-.004.039-.012.039-.008.043-.012.039-.012.035-.016.031-.012.031-.016.031-.02.027-.016.027-.02.023-.059.059-.02.012-.027.016-.004-.023.02-.008.02-.012.02-.016.039-.039.016-.02.031-.055.016-.031.012-.027.012-.035.008-.039.012-.031.008-.043.012-.039.004-.039.008-.039.004-.047v-.047l.008-.047v-.051l.008-.047v-.352l-.004-.055-.008-.102zm.047-1.137h.02v.004l-.004.008-.008.031-.004.02-.004.016-.004.02-.004.023v.023l-.008.027-.004.023-.004.031v.031l-.004.031v.035l-.008.031v.043l-.004.035v.039l-.004.039v.418l.012.152v.051l-.02.004v-.051l-.008-.102v-.055l-.004-.047v-.402l.004-.043v-.039l.004-.039v-.035l.004-.031.004-.039.004-.031v-.027l.008-.031.004-.023v-.027l.004-.02v-.023l.008-.02.008-.031.008-.023zm.02 0v.004zm-.031-.375V9.07l.008.008v.074l.008.012v.051l.004.012v.039l.004.012v.047l.004.012v.07l.004.016v.047h-.023v-.109l-.004-.008v-.051l-.004-.012V9.25l-.004-.012v-.031l-.004-.012v-.062l-.004-.012v-.043zm0-.023h.008v.008zm-.492.027h-.02l.008-.012h.078l.016-.004h.258l.016-.004h.094l.016-.004h.035v.02h-.082l-.016.004h-.16l-.016.004H6.25l-.016.004h-.078zm-.02 0V9.09h.008zm.012 0h.008-.012zm-.012 0V9.09h.008zm0 0" class="sr-B"/><path d="M5.859 9.359l.035 1.59c-.008.141.223.973.328 1.129.254-.195.203-.996.164-1.238-.078-.48-.062-1.039-.039-1.129l-.012-.41-.473.059zm0 0" class="sr-C"/><path d="M5.887 10.949l-.035-1.59.02-.004.035 1.59h-.02zm.02 0zm.313 1.121l.008.02-.012-.004-.023-.039-.012-.023-.008-.027-.016-.031-.012-.031-.016-.035-.012-.035-.016-.043-.008-.039-.031-.086-.012-.047-.012-.043-.016-.047-.012-.043-.016-.047-.012-.047-.008-.047-.035-.129-.012-.039-.016-.078-.008-.031-.008-.035-.004-.023-.004-.027v-.023l-.004-.02v-.016h.02v.035l.004.02.008.055.004.031.008.035.008.039.008.035.008.039.008.043.012.043.008.043.012.047.016.047.012.047.016.043.012.047.012.043.016.047.016.043.012.043.016.043.016.039.023.07.02.035.023.055.012.023.008.02.012.012h-.012zm.008.02l-.008.004-.004-.008h.016zm.152-1.25l.02-.004v.023l.004.027.004.031.008.07v.039l.008.039.004.043v.039l.004.047v.238l-.004.047v.047l-.004.047-.012.051-.004.047-.008.043-.008.047-.008.043-.008.039-.012.039-.016.043-.031.063-.02.031-.039.055-.027.02-.012-.016.02-.02.023-.02.02-.027.031-.062.016-.035.012-.035.035-.117.008-.047.008-.043.004-.047.004-.051v-.043l.008-.051v-.102l.004-.043v-.137l-.004-.047v-.043l-.004-.039v-.039l-.004-.043-.004-.031-.004-.035-.004-.031v-.023l-.008-.023zM6.34 9.707h.02v.012l-.004.012-.004.016v.02l-.004.016v.047l-.004.027v.055l-.004.035v.301l.004.043v.043l.008.043v.047l.004.047v.043l.008.043.008.047.008.094.004.043.008.047.008.043-.02.004-.012-.043-.004-.051-.008-.043-.008-.047-.016-.187-.004-.043v-.047l-.008-.043v-.09l-.004-.039v-.32l.004-.027v-.027l.004-.023v-.039l.008-.02v-.016l.004-.012v-.016.004zm.02 0zm-.023-.402v-.02l.012.012v.07l.004.012v.078l.004.012v.121l.004.012v.105h-.02v-.105l-.008-.016v-.113l-.004-.012v-.09l-.004-.016v-.047l.008.008zm0-.02h.008v.012l-.012-.008zm-.473.082v-.02l.016-.004h.016l.012-.004h.047l.012-.008h.016l.016-.004h.016l.016-.004h.027l.012-.004h.016l.016-.004h.012l.016-.004h.035l.012-.004h.016l.016-.004h.016l.012-.004h.031l.016-.004h.016l.012-.004h.016l.016-.004v.02h-.012l-.012.004h-.016l-.016.004H6.25l-.016.004h-.016l-.016.004h-.016l-.012.004h-.031l-.016.004h-.016l-.012.008h-.016l-.016.004h-.031l-.012.004h-.016l-.016.004H5.98l-.012.004h-.027l-.02.004h-.016l-.012.004h-.016zm.004 0zm0-.02v.02l-.012-.012.008-.012zm-.012.008v-.012h.008l-.008.008zm0 0" class="sr-B"/><path d="M5.645 9.734l.418-.012c-.039.172-.008.715.066 1.125.066.387.16 1.387-.242 1.625-.25-.527-.059-1.039-.184-1.5-.098-.484-.121-.891-.059-1.238zm0 0" class="sr-C"/><path d="M6.059 9.734l-.414.008v-.02l.418-.008.008.012-.008.008zm0-.02h.016v.012l-.012-.012zm.078 1.133l-.02.004-.008-.043-.004-.039-.016-.078-.008-.043-.004-.039-.004-.043-.004-.039-.004-.047-.012-.117-.004-.047v-.039l-.004-.039v-.039l-.004-.043V9.98l-.004-.035v-.09l.004-.027v-.023l.004-.023v-.02l.004-.023v-.02l.02.008v.016l-.004.02v.02l-.004.027v.105l-.004.035v.098l.004.035v.078l.004.039v.039l.008.039v.039l.004.043.004.039v.039l.016.086.004.043.004.039.008.039.004.043.008.043.008.078.008.043zm-.258 1.633l.016-.012-.012-.004.039-.023.031-.031.027-.031.031-.035.023-.039.02-.039.02-.047.023-.055.02-.047.012-.059.012-.051.016-.117.008-.062.008-.059.004-.059v-.062l.004-.059v-.125l-.008-.117v-.062l-.012-.059-.008-.109-.004-.051-.008-.047-.004-.051-.008-.043-.004-.039-.008-.039h.016l.008.035.008.039.004.047.016.094.008.055.008.109.004.063.004.055.004.059v.313l-.004.059-.008.066-.008.059-.008.055-.012.063-.016.051-.012.055-.016.055-.02.047-.023.047-.047.086-.031.039-.031.031-.031.027-.039.027zm.016 0l-.012.008-.004-.012h.012zm-.199-1.504l.02-.004.016.086.008.047.016.086.004.047v.039l.004.047v.508l.004.051v.047l.004.047.008.051.004.047.012.047.008.051.008.047.016.051.016.047.016.051.02.047.02.051-.016.008-.047-.102-.031-.102-.012-.051-.012-.047-.016-.102-.004-.043-.008-.051-.004-.047v-.051l-.004-.047v-.551l-.008-.094-.004-.043-.023-.129-.012-.043v-.004zm0 0zm-.051-1.254v.02l.008-.008-.004.035-.004.031-.008.07-.004.031v.039l-.008.035v.07l-.004.039v.145l.004.043v.035l.004.039v.039l.004.043.012.117.008.043.004.039.004.047.008.039.016.086.008.047.008.039.008.047.008.043-.02.004-.008-.043-.008-.047-.008-.043-.012-.039-.004-.047-.008-.043-.008-.039-.004-.047-.004-.039-.008-.043-.004-.039-.004-.043-.004-.039v-.039l-.004-.039v-.043l-.004-.035v-.258l.004-.039v-.035l.004-.035.004-.031.008-.07.004-.031.008-.035.008-.008zm-.012.008v-.008h.012zm.012 0v-.008.012zm-.012 0v-.008h.012zm0 0" class="sr-B"/><path d="M7.238 9.09c0 .172-.062 1.328-.078 1.488s-.09.273-.168.332c-.066-.098-.105-.227-.109-.383l.059-1.402c.141-.34.238-.348.301-.039zm0 0" class="sr-C"/><path d="M7.172 10.578h-.023v-.02l.004-.02v-.027l.004-.035v-.039l.004-.043v-.043l.008-.051v-.051l.008-.051.004-.059v-.059l.004-.059.004-.062.004-.059v-.059l.008-.066.004-.059.004-.066v-.059l.004-.059V9.48l.008-.059v-.051l.004-.051v-.039l.004-.043v-.039l.004-.035V9.09h.02v.113l-.004.039v.039l-.004.047v.051l-.008.055-.004.051v.059l-.008.117v.063l-.008.059-.004.063v.063l-.004.059-.004.066-.004.059v.059l-.008.109v.051l-.008.047v.047l-.004.039v.039l-.004.031v.031l-.004.023v.02zm-.187.344L7 10.906l-.016-.004.016-.008.016-.016.008-.004.016-.016.004-.008.016-.016.008-.012.008-.008.004-.012.016-.016.004-.012.008-.008v-.012l.008-.012.008-.023v-.012l.008-.012.008-.023.004-.016v-.02l.004-.016v-.016l.004-.016v-.016h.023v.035l-.008.012-.004.016v.012l-.012.047-.02.059-.008.012-.004.012-.004.008-.008.012-.004.008-.02.02-.004.012-.039.039-.004.008-.008.004-.031.031H6.98zm.012 0l-.008.008-.008-.012h.016zm-.125-.395h.02v.055l.004.016v.016l.004.012v.023l.004.012v.02l.008.023v.016l.008.012v.012l.008.008.004.016.008.023v.012l.004.008.008.012.004.008.008.023.008.008.004.012.004.008.016.016.004.008-.016.012-.004-.012-.008-.008-.008-.012-.004-.012-.008-.012-.004-.008-.008-.012v-.016l-.008-.008-.008-.023-.004-.008-.008-.023-.004-.016-.012-.035v-.016l-.008-.012v-.012l-.004-.016v-.012l-.004-.016v-.027l-.004-.012v-.031l-.004-.016v-.027zm.059-1.402l.016.008v-.004.051l-.004.031v.039l-.004.043v.039l-.004.047v.051l-.004.051v.059l-.004.055v.055l-.004.063v.055l-.008.059v.063l-.004.055V10l-.004.055v.055l-.004.055v.145l-.004.043v.074l-.004.031v.066h-.02v-.137l.004-.039v-.086l.004-.051v-.051l.004-.051.004-.059v-.055l.004-.059v-.059l.004-.059.004-.055v-.062l.004-.055V9.59l.004-.055V9.48l.004-.051v-.051l.008-.047v-.086l.004-.035V9.18l.004-.031zm-.004 0zm.324-.039h-.02v.004l-.008-.027-.004-.023-.016-.047-.004-.02-.016-.039-.008-.012-.012-.012-.008-.012-.004-.008-.008-.008h-.008l-.004-.004h-.023l-.016.008-.012.008-.02.02-.012.016-.008.016-.012.02-.012.016-.008.02-.016.023-.012.023-.012.027-.023.063-.02-.008.012-.031.016-.031.012-.027.023-.047.016-.02.023-.039.012-.016.008-.016.023-.023.023-.012h.012l.012-.008h.023l.008.008.023.016.008.008.016.023.008.016.004.02.008.016.008.023.004.023.008.023.008.027.004.027zm0 0zm-.012 0h.012zm.012 0zm0 0" class="sr-B"/><path d="M6.5 8.145l-.016 1.25c.008.16.055.316.133.453.082-.059.156-.168.168-.332.012-.133.016-.789.02-1.121-.086-.051-.172-.117-.242-.191l-.066-.059zm0 0" class="sr-C"/><path d="M6.492 9.395h-.02V8.93l.004-.051v-.391l.004-.047v-.18l.004-.043v-.074h.023v.156l-.008.047v.188l-.004.051v.25l-.004.047zm.121.445l.012.016h-.016l-.004-.012-.016-.023-.008-.008-.016-.023-.004-.012-.008-.012-.004-.016-.004-.012-.008-.016-.004-.012-.008-.016-.008-.031-.008-.012-.004-.016-.008-.016-.008-.031v-.016l-.004-.016v-.016l-.008-.016v-.016l-.004-.02v-.016l-.004-.016v-.012l-.004-.016v-.031h.02v.051l.004.016v.016L6.5 9.5v.016l.012.047v.016l.004.016.008.016.004.012.004.016v.016l.008.016.004.016.004.012v.016l.016.023.004.016.004.012.008.012.004.012.023.035.004.008.008.012h-.016zm.012.016l-.008.008-.008-.008zm.152-.34h.02l-.004.016v.016l-.004.016v.016l-.004.016-.004.012v.016l-.004.008-.004.016-.004.012-.008.012v.012l-.008.012-.004.012-.008.012-.004.008-.004.012-.008.012-.004.012-.023.023-.008.012-.016.016-.004.008-.012.008-.004.008-.008.008-.008.004-.008.008-.008.004-.012-.016.008-.008.008-.004.008-.008.008-.004.008-.008.008-.004.004-.008.012-.008.008-.008.004-.008.016-.016.004-.012.008-.008.004-.008.008-.012.004-.012.004-.008.004-.012.008-.012.012-.035.004-.016.008-.023V9.59l.008-.016v-.016l.004-.016v-.012l.004-.016zm.02-1.109l.012-.016.004.008v.375l-.004.043v.293l-.004.039v.18l-.004.031v.086l-.004.02v.051h-.02v-.094l.004-.031v-.125l.004-.039v-.238l.004-.039v-.418l.004-.035v-.102l.004.008zm.012-.016h.004v.008l-.004-.012zm-.246-.195v.02l.008-.02.008.016.012.008.004.004.008.012.027.027.004.008.008.008.008.004.008.008.008.004.016.016.008.004.008.008.023.012.016.016.008.004.008.008.008.004h.008l.016.016.023.012-.012.016-.016-.008-.008-.008-.016-.008-.008-.008-.008-.004-.008-.008-.016-.008-.008-.008-.008-.004-.008-.012-.008-.004-.012-.012-.012-.008-.016-.008-.027-.027-.008-.004-.008-.008-.008-.012-.008-.004-.035-.035.004-.016zm-.008.016l-.02-.016h.023zm-.047-.066h-.023l.023-.008.008.008v.004h.004v.008h.008v.004l.008.004.004.004v.004h.008v.004h.004v.004h.004l.004.004v.004h.004v.004l-.004.016v-.02l-.004.02h-.004v-.004h-.004v-.004h-.004v-.004h-.004l-.004-.004v-.004h-.004l-.004-.004-.008-.004h-.004v-.008h-.008v-.004l-.004-.004H6.5V8.16h-.004v-.004h-.004v-.004h-.004zm-.023 0v-.027l.023.02zm0 0" class="sr-B"/><path d="M6.801 8.387v1.086c-.004.137.035.27.105.387.082-.066.16-.176.176-.34a10.31 10.31 0 0 0 .043-.859c-.105-.031-.242-.207-.328-.277zm0 0" class="sr-C"/><path d="M6.809 9.469h-.02v-.258l-.004-.031v-.676l.004-.039v-.082h.02v.293l-.004.039v.742l.004.008v.008zm.094.383l.012.016h-.012l-.008-.012-.004-.012-.008-.012-.004-.008-.004-.012-.008-.008-.008-.023-.004-.008-.008-.012-.027-.082v-.016l-.008-.012v-.012l-.004-.016v-.012l-.004-.016v-.016l-.004-.012v-.016l-.004-.016v-.027l-.004-.016v-.027h.02v.055l.004.016v.012l.004.016v.012l.004.016v.016l.004.012v.012l.004.012v.012l.008.012v.012l.008.016.008.023.004.008.004.012v.012l.008.012.004.012.008.012v.008l.008.012.004.008.004.012.004.008.008.012.004.008zm.012.016l-.008.004-.004-.008h.012zm.16-.348h.023v.035l-.008.012v.016l-.008.016v.016l-.004.012-.004.016-.004.008-.004.016v.012l-.008.012-.004.012-.008.012-.008.023-.008.012-.004.012-.008.008-.008.012-.004.008L7 9.797l-.008.008-.004.008-.016.016-.008.004-.008.012-.004.004-.012.008-.012.012-.016-.016.012-.004.023-.023.004-.008.008-.008.004-.008.023-.023.004-.008L7 9.762l.008-.012.008-.008.004-.008.008-.012.008-.016.008-.012.004-.008.004-.012.004-.016.012-.035.004-.016.004-.012v-.016l.008-.016v-.016l.004-.012v-.016zm.051-.844l.008-.023.004.012v.156l-.004.035v.102l-.004.031v.035l-.004.031v.094l-.004.031v.059l-.004.027v.027l-.004.023v.051l-.004.02v.047l-.004.02v.031l-.004.012v.023h-.02V9.48l.004-.016V9.43l.004-.023v-.043l.004-.023v-.055l.004-.023V9.23l.004-.027v-.062l.004-.031v-.035l.004-.031V8.98l.004-.031v-.09l.004-.031V8.66l.012.012zm.008-.023h.004v.012zm-.32-.266h-.02l.016-.008.008.004.008.008.023.016.008.008.008.012.008.008.012.008.008.012.008.008.008.012.012.008.031.031.008.012.023.023.012.008.043.043.023.016.016.016.008.004.012.008.008.004.012.004.008.004-.008.023-.008-.004-.012-.008-.012-.004-.023-.016-.012-.004-.008-.008-.023-.016-.012-.012-.012-.008-.008-.012-.012-.012-.012-.008-.008-.012-.016-.008-.008-.012-.012-.012-.012-.008-.012-.016-.008-.008-.012-.008-.008-.012-.012-.008-.008-.012-.012-.008-.008-.008-.012-.008-.02-.02-.008-.004-.008-.008.016-.008zm-.02 0v-.02l.016.012-.016.004zm0 0" class="sr-B"/><path d="M6.539 8.113l-.277-.414c-.059.203-.129 1.656-.047 1.777.004.137.051.273.129.387.082-.062.195-.172.16-.336a10.71 10.71 0 0 1 .039-1.414zm0 0" class="sr-C"/><path d="M6.266 7.695l.285.41-.016.012-.289-.41v-.008l.023-.008zm-.02.004l.008-.02.012.012-.02.004zm-.023 1.773h-.02l.004.004-.012-.016-.004-.023-.008-.031v-.035l-.004-.039-.004-.051V9.23l-.004-.055V8.77l.004-.074v-.074l.004-.082.004-.07v-.078l.008-.148.004-.066.008-.07.008-.125.004-.059.008-.051.004-.047.004-.039.008-.043.004-.023.012-.02.02.004-.008.02-.004.027-.004.039-.008.039-.004.047-.008.051-.004.055-.004.062-.008.066-.008.133-.004.07-.004.074v.074l-.008.078v.074l-.004.074v.078l-.004.07v.391l.004.055.008.086v.035l.008.031.008.02.004.012zm0-.004v.004zm.113.383l.012.016-.016-.004-.004-.008-.008-.012-.004-.012-.008-.012-.004-.008-.004-.012-.008-.012-.004-.012-.008-.012-.008-.008-.004-.016-.004-.012v-.012l-.008-.012-.004-.012-.008-.012-.004-.012-.008-.012-.004-.016v-.012l-.004-.008-.004-.016v-.012l-.008-.016V9.57l-.004-.012v-.012l-.004-.016V9.5l-.004-.012v-.016h.02V9.5l.004.016v.012l.004.012v.016l.004.012v.012l.004.016.004.012v.012l.008.012.008.023.004.016v.012l.008.012.012.035.008.012.004.008.004.016.008.008.004.012.008.012.008.016.016.016.004.012.008.012H6.34zm.012.016l-.008.008-.008-.012zm.148-.34l.02-.004v.016l.004.012v.063l-.004.012-.004.016v.012l-.004.016-.008.012-.012.035-.016.023-.004.008-.008.012-.012.008-.004.008-.074.074-.008.004-.016.016-.012-.016.008-.008.012-.004.008-.008.004-.008.008-.004.016-.016.008-.004.008-.008.008-.012.008-.004.008-.008.016-.023.008-.008.008-.012.004-.008.008-.012.008-.008.004-.012v-.012l.012-.035v-.012l.004-.012v-.062l-.004-.016zm.043-1.406v-.02l.012.012-.008.039v.031l-.004.031-.004.043-.004.039v.039l-.008.047v.051l-.004.051v.059l-.008.109v.059l-.004.059v.059l-.008.059v.172l-.004.055v.27l.004.043v.027l.008.027v.02l.004.023-.023.004v-.02l-.004-.023v-.027l-.004-.035v-.078l-.004-.043v-.309l.004-.059V8.82l.004-.059v-.059l.004-.059.004-.055v-.055l.004-.055.004-.051v-.051l.008-.047v-.043l.008-.039v-.039l.004-.031.008-.027v-.023l.004-.02.012.012zm0-.02h.016v.012l-.012-.012zm0 0v.02l-.004-.004.008-.016zm0 .02h-.004v-.004l.008.004zm0 0" class="sr-B"/><path d="M5.961 9.023l-.02.461c.004.152.039.285.109.383.078-.059.18-.168.168-.332-.039-.629.027-1.219.105-1.793-.066-.047-.18-.098-.25-.148-.133.766-.18 1.238-.117 1.43zm0 0" class="sr-C"/><path d="M5.949 9.48h-.02v-.148l.004-.016v-.055l.004-.016V9.18l.004-.02v-.035l.004-.02v-.062l.004-.02h.02v.039l-.004.02v.043l-.004.02v.055l-.004.016v.063l-.004.016v.082l-.004.012zm.094.379l.012.016h-.012l-.008-.012-.004-.008-.008-.012-.004-.012-.004-.008-.004-.012-.008-.012L6 9.793l-.008-.012-.004-.008-.004-.012-.004-.016-.016-.047v-.012l-.008-.012V9.66l-.004-.012v-.016l-.008-.023v-.012l-.004-.016v-.027l-.004-.016v-.027l-.004-.016V9.48h.02v.047l.004.012v.023l.004.016v.012l.004.012v.016l.004.008.004.016v.012l.004.012v.012l.008.012.027.082.008.012.004.012.004.008.004.012.004.008.008.012.004.012.008.008.004.008zm.012.016l-.008.008-.004-.008h.016zm.152-.34h.02v.074l-.004.016v.012l-.004.012v.016l-.008.012-.008.023-.008.012-.004.012-.008.012-.008.023-.012.008-.004.012-.023.023-.004.012-.008.008-.012.008-.008.012-.004.008-.008.004-.012.008-.008.008-.008.004-.004.008-.012-.016.004-.008.008-.004.02-.02.012-.008.008-.004.008-.008.004-.008.008-.012.008-.008.004-.008.016-.016.004-.012.008-.012.004-.008.008-.012.004-.008.004-.012.008-.012.008-.023.004-.016v-.012l.004-.012v-.016l.004-.012zM6.32 7.75l.016-.016.004.012-.012.051-.008.055-.004.051-.016.109-.004.055-.016.109-.004.055-.008.055-.004.059-.008.109-.008.055-.004.055v.063l-.008.055-.008.109v.059l-.004.059v.168l-.004.063v.172l.004.059v.063l.004.055.004.059h-.02l-.004-.059v-.059l-.004-.059V9.25l-.004-.059V9.02l.004-.055v-.062l.004-.051v-.055l.008-.062.004-.051.004-.059v-.066l.004-.051.008-.059.004-.055V8.34l.012-.055.004-.055.016-.109.004-.055.047-.328v.012zm.016-.016l.004.004v.008l-.008-.012zm-.246-.137l-.02-.008.016-.008.008.008.008.004.004.004h.004l.008.008.023.012.008.008.031.016.012.008.031.016.012.008.008.004.012.004.008.004.004.004.008.004h.008l.012.008.008.004.012.012.008.004.004.008.008.004-.012.016-.012-.012h-.004l-.008-.004-.004-.008-.039-.02-.012-.008-.039-.02-.012-.004-.008-.008-.008-.004-.012-.004-.016-.008-.008-.008h-.008l-.008-.008-.023-.012-.012-.012-.012-.004-.008-.004.02-.008zm-.02-.008l.004-.016.012.008zm-.121 1.43l.016.012-.016-.004-.004-.02v-.023l-.008-.02-.004-.023v-.02l-.004-.031v-.031l-.004-.031v-.102l.004-.035v-.039l.004-.039.008-.086.004-.047.004-.051.008-.047.004-.051.008-.051.008-.059.008-.055L6 8.051l.012-.059.012-.062.008-.066.012-.066.023-.141.012-.066.023.004-.012.066-.016.07-.012.07-.016.133-.012.059-.008.059-.008.063-.008.059-.016.109-.004.051-.008.051-.004.051-.004.047-.008.047v.043l-.004.039v.039l-.004.043v.195l.004.027v.023l.004.02.004.023V9l.008.023-.02-.008zm.016.012l-.008.012-.008-.016zm0 0l-.012-.016.02.008-.008.004zm-.012-.016l.02-.02v.027zm0 0" class="sr-B"/><path d="M5.672 9.438l.082.293c.004.152.098.281.164.379.078-.059.148-.16.129-.32-.113-.93-.074-1.547.121-2.301-.441.301-.645.934-.5 1.949zm0 0" class="sr-C"/><path d="M5.738 9.73l-.074-.293.02-.004.078.289zm.023-.004zm.148.379l.016.016H5.91l-.008-.012-.004-.012-.008-.008-.031-.047-.008-.008-.004-.016-.008-.008-.008-.016-.008-.008-.008-.023-.016-.023-.004-.012-.004-.016-.008-.008-.004-.016-.008-.012-.004-.012-.004-.016-.004-.012-.004-.016-.004-.012-.008-.016v-.012l-.004-.012v-.016l-.004-.02v-.012h.023v.027l.004.016v.012l.004.016.004.012v.012l.004.012v.012l.008.016.004.012.008.012v.012l.008.012.004.016.008.012.004.008.023.035.004.008.023.035.004.012.016.016.004.008.008.012.008.008.004.008.012.008h-.02zm.016.016l-.012.004-.004-.008h.016zm.113-.332h.02v.109l-.004.012v.016l-.004.012v.008l-.008.012-.012.035-.016.031-.008.012-.004.008-.008.008-.004.008-.008.012-.012.012-.008.012-.031.031-.016-.016.008-.004.023-.023.008-.004.004-.008.023-.023.004-.008.016-.016.004-.008v-.008L6.016 10l.004-.012.004-.008.004-.012.004-.008.008-.023v-.012l.004-.012v-.012l.004-.012v-.102zm.137-2.293l-.012-.02.016.012-.02.07-.031.141-.016.066-.012.066-.016.066-.023.141-.008.063-.012.066-.004.066-.023.199-.008.133-.004.07v.07l-.008.07v.293l.008.074.008.082.004.074.004.082.008.074.016.164.008.086.012.09h-.02l-.012-.086-.008-.086-.016-.164L6 9.383l-.008-.082-.004-.074-.004-.078v-.074L5.98 9v-.285l.004-.066.004-.07.008-.133.008-.066.008-.07.008-.066.008-.062.012-.07.008-.066.016-.066.012-.066.016-.066.012-.07.016-.07.016-.066.016-.07.023-.074.016.016zm-.012-.02l.02-.012-.004.023zm-.48 1.961h-.02l-.016-.094-.008-.094-.012-.09-.004-.086-.008-.082-.004-.086v-.16l.008-.148.008-.074.008-.066.008-.07.012-.066.02-.062.012-.062.02-.059.02-.062.02-.055.023-.055.047-.102.031-.047.027-.047.027-.039.035-.043.031-.043.035-.039.039-.031.035-.035.043-.031.039-.031.012.016-.117.094-.035.035-.035.039-.062.078-.031.043-.027.043-.031.051-.027.047-.023.051-.039.109-.02.059-.02.063-.016.059-.012.059-.016.07-.008.066-.012.07-.004.07-.008.074-.004.074v.242l.016.172.008.09.023.188zm-.02 0zm.008 0h.012zm-.008 0zm0 0" class="sr-B"/><path d="M5.695 9.723l-.406-.133c-.051.402.027.91.141 1.582.094.578.039 1.031-.031 1.32.434-.059.617-.613.402-1.66-.062-.273-.117-.625-.105-1.109zm0 0" class="sr-C"/><path d="M5.293 9.578l.406.137-.008.02-.406-.133-.004-.012zm-.012.012v-.016l.016.004-.012.012zm.16 1.578l-.02.008-.035-.187-.008-.059-.012-.059-.016-.117-.008-.055-.012-.055-.008-.051-.008-.055-.004-.055-.008-.051-.008-.055-.004-.047-.004-.051-.008-.047-.008-.094v-.047l-.004-.047V10l-.004-.039v-.215l.004-.039.004-.043v-.039l.008-.039.02.008-.004.039-.004.035v.039l-.004.039v.082l-.004.039v.086l.004.047v.047l.004.047.004.043.012.141.004.051.008.051.004.051.008.051.016.109.008.051.008.063.012.055.008.055.008.059.008.063.008.055.012.059.008.063.012.063zm-.039 1.316v.02l-.012-.012.008-.027.004-.027.008-.031.004-.031.016-.062.008-.035.012-.105.004-.039.004-.035v-.043l.008-.078v-.039l.004-.043v-.266l-.008-.094-.004-.051-.004-.047-.004-.051-.008-.055-.004-.051-.008-.051-.008-.055.02-.004.004.055.008.055.008.047.004.055.008.051.008.102v.047l.004.051v.137l.004.043v.086l-.004.043v.039l-.004.039v.039l-.004.043-.004.039-.008.07v.035l-.008.035-.004.035-.008.035-.004.031-.004.027-.016.063-.008.027-.008-.016zm0 .02H5.39v-.012zm.387-1.672l.02-.004.02.102.02.094.023.18.008.086.008.082.008.078.004.082v.145l-.004.066-.004.063-.008.063-.008.059-.012.059-.012.055-.016.051-.039.094-.039.086-.027.035-.023.035-.027.027-.031.027-.027.027-.031.02-.035.02-.035.016-.043.012-.039.012-.039.004v-.02l.039-.008.035-.012.039-.012.031-.016.094-.059.055-.062.023-.031.02-.035.027-.039.02-.039.02-.047.023-.094.016-.055.012-.059.008-.055.008-.062.004-.066v-.07l.004-.066v-.074l-.008-.078-.004-.078-.008-.082-.008-.086-.016-.086-.016-.09-.016-.094-.02-.102zm-.094-1.098l.004-.02.008.008v.336l.004.043.004.035v.039l.004.035v.035l.004.039.004.031.004.039.004.031.004.035.008.063.004.035.004.027.008.031.004.031.008.027.004.027.004.031.008.027.004.027.008.027v.023l.008.023-.02.004-.004-.023-.008-.027-.008-.023-.012-.082-.004-.031-.008-.027-.004-.031v-.031l-.008-.031-.012-.094-.016-.141v-.035l-.008-.039-.004-.035v-.039l-.004-.035v-.082l-.004-.039v-.262l.004.012zm.004-.02l.008.004v.004l-.008-.012zm-.027 1.966h.02v.016h-.016v-.004h-.004zm-.086-.801l.02-.008.008.023.004.027v.02l.008.023.004.027.012.07.008.055.008.047.004.027.004.023.008.027v.027l.004.027v.051l.008.027v.023l.004.027v.051l.004.023v.184h-.02v-.152l-.008-.023v-.055l-.004-.023v-.031l-.004-.023v-.027l-.004-.027v-.02l-.004-.027v-.027l-.008-.023-.004-.027v-.023l-.004-.027-.004-.023-.008-.055v-.023l-.008-.023-.012-.07-.008-.023-.004-.027-.004-.023zm-.109-1.008H5.5V10l.004.031v.066l.004.027v.031l.004.031v.031l.008.031v.063l.008.063v.031l.008.031.008.063.004.027.008.063v.031l.008.031.004.035.008.031.004.027.004.035.008.027.016.063-.023.008-.008-.035-.016-.062-.004-.031-.008-.031-.012-.094-.008-.031-.004-.031-.004-.027-.004-.035-.004-.027-.004-.031v-.035l-.008-.031-.004-.031v-.031l-.004-.031v-.027l-.008-.062v-.031l-.004-.035v-.066l-.004-.027v-.129l-.004-.031zm.023 0h-.023v-.004h.004v-.004h.004v-.004H5.5v.004h.004v.008zm0 0" class="sr-B"/><path d="M5.68 7.348l.266.043-.094.465c-.098.488-.164 1.059-.09 1.684a1.9 1.9 0 0 0 .152.57c-.293-.031-.48-.316-.453-.812-.055-.578-.031-1.039.063-1.387l.156-.566zm0 0" class="sr-C"/><path d="M5.941 7.398l-.262-.043v-.023l.266.047.008.012zm.004-.02h.012v.012zm-.082.48l-.02-.004.004-.008V7.84l.004-.012v-.012l.004-.012v-.012l.004-.016v-.016l.004-.016v-.02l.008-.016.008-.039v-.016l.012-.059.004-.023.004-.02.004-.016v-.02l.004-.012.004-.023v-.012l.008-.016v-.012l.008-.012v-.012l.004-.012v-.008l.004-.008v-.004l.02.004v.012l-.004.008v.012l-.008.012v.012l-.004.012-.008.031v.023l-.004.012-.004.02v.016l-.008.02-.004.023-.004.02-.004.016-.008.039v.02l-.004.02-.004.016-.004.02v.016l-.004.012v.02l-.008.023v.016l-.004.008v.016zm-.09 1.68h-.02l-.008-.055-.004-.059-.008-.062-.004-.055V9.25l-.004-.059v-.051l-.004-.062v-.219l.004-.055V8.75l.004-.051.004-.059.008-.102.004-.055.008-.051.004-.051.023-.152.008-.047.004-.051.016-.094.008-.051.008-.043.012-.047.008-.047.02.004-.008.043-.016.094-.012.047-.008.051-.016.094-.004.047-.016.102-.008.102-.008.051-.004.051-.004.055-.008.102v.051l-.004.055v.055l-.004.055v.23l.004.059v.055l.008.059.004.055.004.063.008.055.004.059zm.141.582v-.02l-.008.016-.008-.016-.008-.012-.004-.016-.008-.016-.008-.02-.004-.012-.016-.031-.012-.047-.008-.02-.004-.016-.008-.02-.004-.016-.012-.059v-.02l-.008-.02-.004-.016-.008-.039v-.02l-.004-.02-.004-.023v-.02l-.008-.02-.004-.02v-.02l-.004-.023-.004-.02.02-.004v.02l.008.02v.023l.004.02v.02l.004.02.004.023.004.02v.02l.016.078.008.016.004.023.004.016.008.02.004.012.004.02.008.016.004.016.004.02.008.016.004.016.008.012v.02l.008.016.008.012.004.016.008.012.008.016.008.012-.012.016zm.008-.016l.008.016h-.02l.012-.012zm-.473-.805l.02-.004v.176l.008.078.004.043.008.035.008.031.012.039.008.031.023.063.023.055.016.027.031.047.02.02.016.023.02.02.023.016.059.047.023.012.047.016.027.008.023.008.023.004h.031l-.008.02h-.023l-.082-.023-.023-.012-.023-.008-.023-.016-.02-.012-.023-.016-.02-.016-.023-.02-.039-.039-.02-.023-.016-.027-.031-.047-.012-.031-.016-.027-.008-.031-.016-.035-.008-.031-.016-.07-.008-.039-.004-.035-.004-.039-.004-.043v-.176zm.02-.004zm.047-1.391l.02.008-.012.031-.016.07-.004.031-.008.035-.008.039-.004.035-.004.039-.004.035-.008.043-.004.039v.039l-.004.039v.043l-.004.039-.004.047v.086l-.004.043v.191l.004.051v.047l.004.051v.051l.016.203.004.059h-.02l-.004-.055-.004-.051-.004-.055-.004-.051v-.051l-.004-.055v-.047l-.004-.051V8.52l.004-.043v-.043l.008-.039v-.043l.004-.043.008-.039.004-.039.004-.035.008-.043.016-.07.004-.035.012-.035.008-.035.008-.031.008-.035zm.164-.57v.02l.008-.004-.008.016-.008.023-.008.012-.008.039-.004.016-.004.02-.008.02-.008.039-.008.02-.004.023-.016.047-.004.02-.004.023-.008.02-.008.023-.004.02-.008.02-.004.023-.004.02-.008.02-.004.02-.012.047v.012l-.004.012v.008l-.02-.004v-.012l.008-.023.004-.016v-.023l.008-.012.004-.02.004-.016.004-.02.004-.023.008-.02.004-.023.004-.02.008-.023.004-.02.012-.02.012-.07.008-.02.004-.02.016-.039.008-.039v-.02l.008-.016.004-.012.008-.016v-.012l.004-.008.004-.012.012-.004zm-.008.004l.004-.008h.004zm.008.008v-.012zm-.008-.008l.004-.008h.004zm0 0" class="sr-B"/><path d="M5.52 7.406l.129.148c-.035.027.027.141-.008.359-.02.129-.098.277-.113.441-.051.531-.051 1.195.109 1.621-.289-.031-.391-.297-.402-.793a7.07 7.07 0 0 1 .094-1.453.52.52 0 0 1 .191-.32zm0 0" class="sr-C"/><path d="M5.641 7.563l-.129-.148.016-.012.129.148v.016h-.016zm.016-.012l.008.008-.012.004v-.016zm-.008.371h-.02l.004-.027v-.02l.004-.02v-.156l-.004-.012v-.023l-.004-.012v-.02l-.004-.008v-.059l.012-.012v-.004l.012.016v.004h-.004v.008h-.004v.047l.004.008v.02l.004.012v.023l.004.016v.16l-.004.02v.02l-.004.023zm0 0zm-.109.434h-.02v-.039l.004-.012.004-.016v-.012l.004-.02v-.016l.008-.016.004-.012.008-.031.004-.012.004-.016.004-.012.004-.016.004-.012.004-.016V8.09l.008-.016.004-.012.004-.016.004-.012v-.012l.008-.012.004-.016.004-.008.004-.016v-.012l.004-.012v-.012l.004-.012v-.012h.02v.027l-.008.012v.012l-.004.012v.016l-.004.016-.008.023v.012l-.008.016-.008.023-.004.016-.008.023-.008.016-.004.012-.004.016-.008.016-.004.016-.004.012-.004.016v.012l-.004.012-.004.016v.016l-.004.016v.012l-.004.016zm.094 1.629v-.02l-.008.016-.016-.039-.012-.043-.016-.043-.012-.047-.008-.043-.012-.051-.016-.094-.023-.152-.004-.051-.004-.055-.008-.055-.004-.051v-.055l-.004-.055v-.047l-.004-.059v-.219l.004-.051v-.055l.004-.055v-.055l.008-.051.008-.055.004-.051.004-.055.004-.047h.02l-.008.051-.004.055-.008.102v.051l-.004.051v.055l-.004.055v.051l-.004.055v.227l.004.051v.055l.004.055.004.051.004.055.004.051.008.051.004.051.008.047.008.051.016.094.012.051.016.043.035.129.012.039-.008.012zm.012-.012l.004.016h-.016zm-.422-.789h.02v.043l.004.047v.039l.008.047.004.039v.039l.004.035.008.035.004.035.004.031.023.094.012.027.008.023.012.027.012.023.012.02.016.02.012.02.016.023.016.02.016.012.02.012.02.016.02.012.023.012.039.016.023.004.055.008-.004.02-.055-.008-.02-.008-.027-.008-.023-.012-.02-.012-.023-.008-.02-.016-.023-.016-.016-.012-.02-.02-.012-.02-.016-.023-.012-.02-.016-.023-.012-.02-.008-.027-.012-.027-.008-.027-.012-.031-.008-.031-.004-.035-.008-.027-.012-.035-.008-.078v-.039l-.008-.039v-.043l-.004-.043v-.047l-.004-.043zm.094-1.457l.023.004-.012.055-.023.152-.004.047-.008.051-.008.047-.004.051-.004.047-.004.051-.008.047v.047l-.008.094v.047l-.004.047v.043l-.008.043v.09l-.004.043v.449h-.02v-.539l.004-.043v-.039l.004-.047v-.047l.016-.187.008-.047.004-.051.004-.047.008-.047.004-.051.031-.203.012-.051.008-.055zm.023.004zm.184-.328l-.016.012h.016l-.008.012-.023.016-.008.008-.008.012-.008.004-.008.008-.008.012-.016.016-.004.012-.008.012-.016.016-.004.008-.008.012-.012.023-.008.012-.004.008-.008.023-.004.008-.008.023-.004.016v.008l-.004.012v.012l-.004.012v.012l-.023-.004v-.012l.008-.023v-.012l.008-.012v-.012l.008-.012.008-.023.004-.008.004-.012V7.59l.008-.012.004-.012.008-.012.004-.012.004-.008.016-.023.004-.012.016-.023.039-.039.008-.012.012-.008.008-.008.008-.012.016-.008h.012zm-.012 0l.008-.008.004.008zm0 0" class="sr-B"/><path d="M6.246 7.801l-.27-.031-.098.523c-.02.18.035.34.098.457.102-.059.145-.187.184-.371s.055-.383.082-.578zm0 0" class="sr-C"/><path d="M5.98 7.762l.266.027v.02l-.27-.031-.008-.012.008-.008zm-.012.004v-.008h.008l-.012.008zm-.082.527h-.02l.004-.012v-.016l.004-.012v-.02l.004-.012v-.016l.008-.012v-.012l.004-.016v-.016l.004-.012v-.02l.008-.031.004-.02v-.016l.008-.02.004-.016V8l.016-.078.004-.023.008-.02.004-.02.008-.047v-.02l.008-.027.02.004-.008.023v.02l-.004.027-.008.02-.004.023-.004.02-.004.023-.016.078v.02l-.004.02-.008.031v.023l-.008.012v.016l-.008.016v.016l-.004.016-.004.012v.012l-.004.016v.023l-.004.012v.023l-.004.008v.02zm.086.453l.012.016h-.016l-.004-.016-.016-.023-.004-.008-.008-.012-.004-.016-.004-.012-.004-.016-.008-.012-.004-.016-.008-.012-.008-.031v-.016l-.004-.012-.004-.016-.004-.012V8.52l-.008-.016v-.016l-.004-.016v-.016l-.004-.012V8.43l-.004-.02v-.121h.02v.133l.004.02v.027l.008.016v.031l.008.031v.016l.008.012.004.016.008.016.02.059.004.016.008.012.008.023.008.012.004.012.008.012-.016-.004zm.012.016l-.012.008-.004-.008zm.172-.379h.02l-.004.02-.008.016-.004.02v.016l-.004.016-.004.012-.008.031v.016l-.008.016-.004.012-.008.012v.016l-.008.012-.004.016-.004.012-.004.008-.008.012-.004.012-.008.008-.008.016-.008.012-.016.016-.008.012-.031.031-.008.012-.012.004-.008.008-.008-.016.008-.008.008-.004.012-.008.004-.008.008-.004.016-.016.008-.012.023-.023.004-.012.008-.008.004-.008.008-.012.004-.012.008-.012.004-.012.004-.016.004-.012.008-.016.008-.023v-.016l.004-.016.008-.016.02-.078.004-.02zm.09-.57v-.02l.012.008v.02l-.008.023v.016l-.004.02v.02l-.004.016v.02l-.004.016v.02l-.004.02v.02l-.004.02v.02l-.004.016v.02l-.004.016v.02l-.004.016v.02l-.004.023-.004.016v.02l-.004.016-.004.02v.016l-.004.02-.008.031v.02l-.008.02v.02l-.004.012h-.023l.008-.02v-.016l.008-.02.004-.016v-.02l.004-.016v-.02l.008-.016.004-.02v-.02l.004-.016v-.023l.004-.016v-.02l.004-.016v-.035l.004-.02v-.02l.004-.016V8l.004-.016v-.02l.008-.02V7.91l.004-.02v-.016l.004-.02V7.84l.004-.023v-.02zm0-.02h.012l-.004.008-.012-.008zm0 0v.02zm0 .02zm0 0" class="sr-B"/><path d="M6.941 8.371h-.238l-.008.445a.71.71 0 0 0 .109.375c.07-.059.141-.164.152-.324s-.012-.328-.016-.5zm0 0" class="sr-C"/><path d="M6.703 8.363h.242v.02h-.242l-.008-.008zm-.008.012v-.012h.008zm.008.441h-.02V8.59l.004-.016v-.09l.004-.016v-.098h.02v.156l-.004.012v.113l-.004.012v.156zm.094.371l.012.012h-.016l-.004-.008-.008-.008-.004-.008-.008-.012-.004-.008-.008-.012v-.008l-.008-.012-.004-.008-.008-.012v-.012l-.016-.047v-.008l-.004-.012-.004-.016L6.711 9v-.012l-.008-.023v-.016l-.004-.008v-.016l-.004-.016v-.008l-.004-.016v-.051l-.004-.016h.02v.023l.004.016v.027l.004.012v.016l.004.012v.016l.004.012v.012l.004.012v.012L6.734 9v.016l.004.012v.012l.004.012.004.008.004.012.008.008.004.016.008.008.012.035.008.008.008.023.008.012.008.008.004.012h-.016zm.012.012l-.008.012-.004-.012h.016zm.137-.332h.02v.031l-.004.016v.027l-.008.016v.012l-.004.016-.004.012-.004.016-.004.012-.004.008-.004.012-.008.012v.008l-.008.016-.004.012-.008.008-.004.012-.004.008-.008.008-.004.012-.008.008-.008.004-.016.016-.004.012-.008.008-.012.008-.008.004-.004.008-.008.004-.016-.012.004-.004.008-.004.008-.008.004-.008.012-.012.004-.008.008-.004.008-.008.004-.008.008-.012.008-.008.012-.023.004-.012.008-.012.004-.008.008-.023.004-.008v-.012l.008-.012v-.012l.008-.012v-.016l.004-.012v-.027l.004-.016v-.031zm0-.484v-.02l.008.012v.109l.004.023v.09l.004.016v.059l.004.016v.184h-.02v-.238l-.004-.016v-.039l-.004-.02V8.5l-.004-.02v-.105l.008.008zm0-.02h.008v.012l-.012-.012zm0 0" class="sr-B"/><path d="M7.199 8.484l-.238.012.004.445a.74.74 0 0 0 .125.371c.07-.062.137-.172.141-.332s-.02-.324-.031-.496zm0 0" class="sr-C"/><path d="M6.961 8.484l.238-.012v.02l-.238.016-.008-.012zm-.008.012v-.012h.008zm.023.445h-.02v-.082l-.004-.012v-.355h.02v.406l.004.008zm.105.363l.016.016h-.016l-.004-.012-.008-.008-.004-.012-.008-.008-.008-.012-.004-.008-.008-.012-.004-.012-.004-.008-.008-.012-.004-.012-.004-.008-.004-.016-.004-.012L7 9.16v-.008l-.008-.023v-.016l-.008-.012-.004-.008v-.016l-.004-.016v-.012l-.004-.012v-.016l-.004-.012v-.016l-.004-.016v-.039h.016v.012l.004.016v.027l.004.016.004.012v.016l.004.012v.012L7 9.074v.016l.008.012v.012l.012.035v.012l.008.012.004.012.004.008.004.012.004.008.016.047.004.008.008.012.004.008.008.008.008.012.004.004h-.016zm.016.016l-.008.008-.008-.012h.016zm.121-.34h.02v.047l-.004.012v.016l-.008.023v.016l-.004.012v.012l-.016.047-.008.012-.004.012-.008.012-.008.016-.016.016-.008.012-.004.008-.008.008-.004.012-.004.008-.008.004-.004.008-.027.027-.016-.016.035-.035.008-.004.008-.012.012-.023.008-.008.008-.016.008-.012.004-.012.008-.008.004-.016.004-.008.02-.059v-.012l.004-.012v-.012l.004-.016v-.012l.004-.016zm-.02-.508v.02l.012-.008v.047l.004.016v.031l.004.016v.066l.004.016v.027l.004.016v.016l.004.016v.051l.004.016v.047l.004.016v.105h-.02v-.148l-.004-.016v-.031l-.004-.016v-.035l-.004-.02v-.027l-.004-.016v-.031l-.004-.016v-.031l-.004-.02v-.031l-.004-.016v-.043l.008-.012zm-.008.012v-.012h.008zm.008.008v-.02zm0 0" class="sr-B"/><path d="M6.699 8.246l-.238-.016-.047.441c-.004.152.023.285.082.387.074-.059.152-.16.176-.316s.016-.328.027-.5zm0 0" class="sr-C"/><path d="M6.461 8.219l.238.02v.023l-.238-.023-.008-.008.008-.008zm-.008.012v-.012h.008zm-.027.445h-.02v-.055l.004-.008v-.035l.004-.012v-.023l.004-.012v-.043l.004-.016v-.027l.004-.016v-.016l.004-.016v-.02l.004-.016v-.02l.004-.02v-.02l.008-.02v-.02l.004-.02v-.02l.02.004v.039l-.008.02v.02l-.004.02v.02l-.004.02v.012l-.004.02v.016l-.004.02v.016l-.004.016v.023l-.004.016v.027l-.004.012v.023l-.004.012v.035l-.004.008zm.063.375l.012.016-.016-.004-.004-.008-.004-.012-.012-.023v-.012l-.008-.012-.004-.008v-.012l-.008-.012v-.012l-.004-.012V8.93l-.008-.008v-.016l-.004-.012v-.035l-.004-.008v-.016l-.004-.012v-.023l-.008-.016v-.109h.023v.133l.004.016v.016l.004.012v.012l.004.008v.012l.004.016.004.012v.012l.004.012v.008l.008.012.012.035.004.008.008.023.004.008.004.012.008.008.004.008h-.016zm.012.016l-.008.004-.008-.008zm.164-.32h.02l-.004.016v.016l-.004.016v.012l-.008.016-.012.035-.008.012-.012.035-.008.012-.004.012-.008.012-.008.008-.004.012-.008.008-.004.008-.008.008-.008.012L6.57 9l-.008.012-.012.012-.008.012-.008.004-.016.016-.008.004-.008.008-.008.004-.008-.016.004-.004.008-.004.008-.008.008-.004.004-.008.008-.004.02-.02.008-.016.008-.012.012-.012.004-.012.016-.016.008-.012.008-.023v-.008l.008-.012.004-.012.004-.008.004-.012.008-.031.008-.023v-.016l.004-.012.004-.02zm.035-.488v-.02l.012.008v.031l-.004.016v.113l-.004.016v.18l-.004.016v.043l-.004.016v.016l-.004.016v.02l-.004.012v.016l-.023-.004v-.016l.008-.016v-.027l.004-.016v-.035l.004-.016v-.066l.004-.016v-.121l.004-.016v-.098l.004-.016v-.047l.012.012zm0-.02h.012v.008l-.012-.012zm0 0" class="sr-B"/><path d="M6.48 7.992l-.266-.109c-.043.176-.102.758 0 1 .09-.059.18-.168.207-.34.031-.18.039-.363.059-.551zm0 0" class="sr-C"/><path d="M6.219 7.875l.262.105-.008.02-.258-.105-.008-.012zm-.012.004l.004-.008.008.004zm.004 1l.012.016-.012-.004-.012-.023-.016-.055-.008-.031-.004-.031-.008-.031-.004-.031-.004-.035v-.035l-.004-.039v-.07l-.004-.039v-.109l.004-.039v-.035l.004-.039.004-.035V8.18l.004-.035.008-.035v-.031l.004-.031.004-.027.008-.031.008-.047.004-.02v-.023l.004-.02.02.008-.004.02v.016l-.004.023-.008.023-.008.055-.012.094v.035l-.004.035v.031l-.004.039v.035l-.004.035v.074l-.004.043v.105l.004.039v.031l.008.07.004.031.004.035.008.027.004.027.012.027.008.023.008.02h-.016zm.012.016l-.008.004-.004-.008zm.188-.355h.023v.02l-.008.016-.004.02v.012l-.008.016-.008.031-.004.012-.008.016-.004.012-.008.012-.008.023-.008.012-.004.012-.012.012-.004.016-.02.02-.004.008-.008.008-.008.012-.008.008-.008.012-.008.004-.031.031-.012.008-.008.008-.008.004-.012-.016.008-.008.008-.004.008-.008.008-.004.055-.055.004-.012.016-.016.004-.008.008-.008.008-.016.008-.008.004-.012.008-.012.004-.012.004-.016.008-.008.008-.031.004-.012.004-.016.008-.012v-.016l.008-.031v-.016zM6.473 8l.008-.02.008.012v.02l-.004.016v.035l-.004.02v.02l-.004.016v.035l-.004.02v.031l-.004.02v.035l-.004.02v.031l-.004.02v.016l-.004.02v.016l-.004.016v.02l-.004.016v.016l-.004.02v.016l-.004.02v.016l-.008.016v.016h-.02v-.016l.004-.02V8.48l.004-.016v-.02l.004-.016v-.02l.004-.016v-.02l.004-.012v-.02l.004-.016v-.031l.004-.02v-.016l.004-.02v-.043l.004-.016v-.035l.004-.016v-.035l.004-.023v-.027l.004-.02v-.016l.004-.023zm.008-.02l.008.004v.008zm0 .012L6.473 8l.004-.008zm0-.012l.008.008v.004l-.008-.008zm0 0" class="sr-B"/><g class="sr-D"><g class="sr-E sr-F"><use xlink:href="#C"/><path d="M6.801 12.785c-.02.066-.102.152-.16.215-.09.098-.07.242-.004.32.07.086.098.184.113.258a.99.99 0 0 1 .02.313c-.008.078-.055.121-.102.152-.02.02.012.063.086.121.008.004.031.02.039.059.004.008.039.008.047 0 .008-.039.031-.055.039-.059.074-.059.105-.102.082-.121-.043-.031-.09-.074-.098-.152-.012-.16.004-.266.016-.313a.6.6 0 0 1 .117-.258c.063-.078.086-.223-.008-.32-.059-.063-.141-.148-.16-.215 0-.016-.008-.02-.016-.02s-.012.004-.012.02zm0 0"/></g><path d="M6.699 13.711h.234a.07.07 0 1 1 0 .141h-.234a.07.07 0 0 1-.07-.07c0-.043.031-.07.074-.07zm0 0"/></g><path d="M6.934 13.719h-.234v-.02h.234zm.078.063h-.02v-.02l-.004-.004v-.008l-.004-.004v-.004H6.98v-.004h-.004v-.004h-.008v-.004h-.004v-.004h-.004l-.004-.004h-.012v-.004h-.012v-.02h.02l.004.004h.008v.004h.008l.004.004h.004v.004h.004v.004l.008.008v.004l.008.004.004.008v.004l.004.008v.008l.004.004zm-.02 0h.02zm-.059.078v-.02h.016l.004-.004h.004l.008-.008h.008v-.004l.004-.004v-.004l.004-.004.004-.008v-.004l.004-.004v-.016h.02v.023l-.004.004v.008H7v.004l-.004.008h-.004v.004h-.004v.008H6.98l-.004.004v.004h-.008l-.004.004h-.004l-.004.004h-.008l-.004.004H6.93zm-.23-.02h.23v.02h-.234v-.02zm-.082-.059h.02v.02l.004.004v.004h.004v.004h.004v.004h.004v.004h.004v.004h.004l.008.004h.004l.012.012h.012v.02h-.023v-.004h-.008l-.004-.004H6.66l-.008-.008-.008-.004-.008-.016-.008-.008v-.004l-.004-.004v-.008l-.004-.004zm.02 0h-.02zm.063-.082v.02H6.68v.004h-.004l-.004.004h-.008v.004H6.66v.004l-.012.012v.004l-.004.008v.008h-.004v.012h-.02v-.023l.004-.004v-.004h.004v-.008h.004v-.004l.004-.004v-.004h.004l.004-.004v-.004h.008v-.004h.004v-.004h.008l.008-.004h.004l.004-.004h.008l.004-.004h.016zm0 0" class="sr-B"/><path d="M7.141 11.582l.008-.219c-.086-.043-.301 0-.391.203-.078.195-.203.367-.363.504.203.039.371-.004.477-.145.145-.199.223-.316.27-.344zm0 0" class="sr-C"/><path d="M7.16 11.367l-.008.219h-.02l.008-.219.012-.012zm-.008-.012l.008.004v.008zm-.387.215l-.023-.008.016-.02.008-.016.012-.02.012-.016.008-.016.012-.016.039-.039.016-.012.012-.012.012-.008.063-.031.016-.004.012-.004.016-.008h.016l.016-.004h.023l.012-.008h.043l.012.008h.012l.012.004.016.008-.008.02-.008-.008h-.008l-.012-.004h-.008l-.012-.004h-.059l-.016.004h-.012l-.016.008-.012.004-.016.004-.012.004-.016.004-.031.016-.023.016-.012.012-.016.012-.008.012-.051.051-.012.02-.008.02-.008.012zm-.367.488l-.004.02-.004-.016.012-.012.012-.008.016-.012.012-.012.016-.012.012-.012.008-.012.012-.012.012-.016.016-.012.008-.012.016-.016.008-.016.012-.012.023-.031.008-.016.012-.016.008-.016.012-.02.008-.016.012-.016.012-.02.012-.016.023-.039.012-.023.008-.02.023-.039.008-.023.012-.023.02.008-.012.023-.012.02-.012.023-.008.02-.008.023-.023.039-.008.02-.023.039-.035.047-.008.02-.023.031-.012.012-.008.016-.012.016-.012.012-.012.016-.023.023-.012.016-.012.012-.012.008-.012.016-.047.047-.016.008-.004-.02zm-.004.02h-.02l.016-.016zm.469-.156l.016.008-.012.016-.008.012-.016.012-.023.023-.012.008-.012.016-.012.008-.016.012-.012.008-.02.004-.012.008-.016.008-.012.004-.016.004-.012.008-.02.004-.016.004h-.016l-.016.004H6.59l-.02.004h-.121l-.059-.012.004-.02.039.008h.02l.016.004h.133l.016-.008h.016l.012-.004.031-.008.016-.008.012-.004.016-.004.016-.008.012-.004.016-.008.012-.008.012-.012.012-.008.043-.043.016-.012.008-.012zm.27-.34h.02l-.004.012-.004.004h-.004l-.008.004-.004.008-.016.016-.004.008-.008.004-.004.008-.008.012-.008.008-.004.008-.008.008-.008.012-.008.008-.016.023-.008.008-.008.016-.012.012-.012.016-.008.012-.012.016-.008.012-.035.047-.012.02-.016.016-.012.02-.012.016-.016-.012.023-.039.012-.016.016-.02.023-.031.012-.012.008-.016.012-.012.008-.016.012-.016.012-.012.047-.07.008-.008.004-.008.008-.012.027-.027.008-.004.004-.004.004-.008.016-.008h.004l.004-.004-.008.008zm.02 0v.008h-.004zm0 0" class="sr-B"/><path d="M7.305 11.613l-.238-.102-.187.402a.67.67 0 0 0-.047.391c.121-.031.223-.117.281-.23.074-.141.117-.305.188-.461zm0 0" class="sr-C"/><path d="M7.07 11.504l.234.102-.004.02-.238-.102-.004-.016zm-.012.004V11.5l.012.004-.016.004zm-.176.414l-.02-.012.004-.004.004-.008.004-.012v-.008l.004-.004.004-.012.008-.016.004-.012.008-.012.004-.008.008-.023.008-.012.008-.008.004-.016.004-.012.008-.012.004-.016.008-.016.008-.012.008-.016.004-.016.031-.062.016-.039.008-.016.012-.016.008-.02.016.012-.008.016-.012.02-.016.031-.008.02-.008.016-.008.02-.012.012-.008.016-.004.016-.008.016-.008.012-.004.012-.008.016-.004.012-.004.016-.008.012-.004.008-.008.012-.004.012-.008.012-.004.012-.008.012-.004.008-.004.012-.008.016v.012l-.004.008-.004.004v.008l-.008.008zm-.055.375l.004.02-.012-.008v-.012l-.004-.012v-.012l-.004-.012v-.035l-.004-.008v-.074l.004-.012v-.023l.004-.016v-.012l.004-.012v-.012l.004-.012.004-.016v-.012l.008-.016v-.012l.008-.016.004-.012.004-.016.004-.012.008-.031.02.008-.008.016v.012l-.008.012-.008.023-.004.016V12l-.004.016v.016l-.008.012v.012l-.004.012v.012l-.004.016v.008l-.004.012v.039l-.004.008v.07l.004.012v.023l.004.012v.012l.004.012-.012-.008zm.004.02h-.008v-.008zm.273-.25l.02.012-.012.012-.004.012-.031.047-.012.012-.023.035-.012.008-.016.016-.012.008-.008.008-.023.016-.008.008-.012.008-.008.008-.012.004-.008.004-.012.004-.016.008-.008.008h-.008l-.012.004-.008.004h-.012l-.008.004h-.012l-.004-.02h.02l.008-.004h.008l.008-.008h.012l.023-.012.023-.008.008-.008.012-.008.008-.004.039-.039.016-.008.016-.016.008-.016.016-.016.023-.035.004-.012.012-.012.008-.016.004-.012zm.195-.445l.004-.016.008.012-.008.012-.004.016-.008.016-.004.016-.008.016-.004.012-.004.016-.004.012-.008.016-.004.016-.008.016-.004.012-.008.016-.008.012-.004.023-.008.023-.008.016-.008.031-.008.016-.004.016-.008.012-.004.016-.004.012-.023.047-.008.012-.004.012-.012.012-.004.016-.02-.012.008-.012.008-.016.004-.012.008-.012.008-.016.004-.012.008-.012.004-.016.004-.012.008-.016.016-.047.008-.012.004-.016v-.016l.008-.016.008-.012.008-.031.008-.012.004-.016.008-.016.004-.016.008-.012.008-.016.004-.02.004-.012.008-.016.004-.016.016-.031.004.016zm.004-.016l.012.004-.004.008zm0 0" class="sr-B"/><path d="M7.371 11.613l-.254-.043-.086.441c-.02.148 0 .281.051.387.09-.043.18-.137.215-.293.043-.156.047-.324.074-.492zm0 0" class="sr-C"/><path d="M7.121 11.563l.25.043v.02l-.254-.043-.008-.012zm-.012.008v-.008l.012.004-.012.008zm-.066.441h-.02L7.027 12v-.02l.004-.012v-.012l.004-.012v-.008l.004-.012v-.016l.004-.008v-.012l.004-.012v-.012l.004-.012.004-.016v-.012l.004-.016v-.012l.004-.016v-.016l.008-.02.004-.016v-.016l.004-.02.012-.035.004-.016.016-.078.02.004-.004.023-.012.059-.004.016-.004.02-.004.016-.004.02-.004.012v.02l-.008.016-.004.016v.016l-.004.012v.012l-.008.031v.012l-.008.023v.008l-.004.012v.016l-.004.008v.023l-.004.012v.008l-.004.008v.023zm.039.379l.012.016-.016-.004-.004-.008-.008-.012-.004-.008v-.012l-.004-.008-.012-.035v-.012l-.004-.012v-.012l-.008-.012v-.012l-.004-.012v-.012l-.004-.012v-.055l-.004-.016v-.105l.004-.016v-.027h.02v.059l-.004.016v.102l.004.012v.023l.004.012v.012l.004.016v.012l.008.012v.008l.004.012v.016l.004.008v.012l.008.012.004.012.004.008.004.012.008.008.004.012-.016-.004zm.012.016l-.012.008-.004-.012zm.199-.301l.02.004-.004.012-.004.016v.016l-.008.012-.004.016-.004.012-.016.023-.004.012-.008.012-.012.023-.008.008-.008.012-.008.008-.008.012-.039.039-.008.012-.008.004-.016.016-.008.004-.016.016-.012.004-.008.008-.016.008-.012-.016.008-.004.008-.008h.008l.008-.008.008-.004.008-.008.008-.004.008-.008.008-.004.031-.031.012-.008.004-.008.016-.016.008-.012.008-.023.008-.012.004-.012.008-.012.008-.008.008-.012.012-.035.008-.016.004-.016.004-.012.004-.016zm.078-.5v.02l.012-.012v.016l-.004.016v.016l-.004.016v.016l-.004.016v.016l-.004.016v.016l-.004.016v.016l-.004.016v.035l-.004.016v.016l-.004.016v.016l-.004.016v.016l-.004.016v.02l-.004.012v.016l-.008.016-.004.016v.012l-.008.031v.012l-.008.031-.02-.004.008-.031v-.016l.004-.016v-.012l.004-.016V12l.004-.016v-.016l.004-.016v-.027l.004-.02v-.012l.004-.016v-.02l.004-.016v-.016l.004-.016v-.031l.008-.016v-.016l.004-.016v-.02l.004-.012v-.016l.004-.016v-.02l.004-.02v-.012l.004-.016.012-.008zm-.008.004v-.008h.012l-.008.012zm.012.012v-.02zm0 0" class="sr-B"/><path d="M7.406 11.27h.152c.09.039.18.242.074.438a1.36 1.36 0 0 0-.187.586c-.148-.137-.219-.297-.164-.469.066-.23.133-.504.125-.559zm0 0" class="sr-C"/><path d="M7.559 11.281h-.152v-.02h.156zm0-.02h.004zm.082.449l-.016-.012.008-.02.016-.031.008-.02.004-.016.004-.02v-.016l.008-.02v-.078l-.004-.02v-.012l-.008-.016-.012-.047-.008-.012-.004-.012-.008-.012-.004-.012-.008-.012-.004-.008-.031-.031-.012-.004-.012-.012.008-.02.008.008.012.004.012.008.023.023.016.023.004.012.008.012.004.012.008.016.004.012.008.016.004.012.004.016v.016l.004.02v.016l.004.016v.07l-.004.02v.02l-.008.016-.004.02-.023.059-.012.02zm-.199.59l.008-.016-.016.008v-.016l.004-.02v-.047l.008-.02v-.016l.004-.016.004-.02.004-.016v-.02l.004-.016.004-.02.004-.016.004-.02.004-.016.008-.02.004-.016.016-.039.008-.016.008-.023.023-.059.012-.02.016-.039.012-.02.012-.027.012-.02.012-.023.02.012-.016.02-.012.023-.023.039-.012.023-.008.023-.008.02-.012.02-.008.016-.016.039-.004.02-.008.016-.016.039-.004.016-.004.02-.008.016-.004.016-.004.02-.004.016-.004.02v.012l-.008.016v.023l-.004.012v.016l-.004.016v.02l-.004.016v.035l-.02.004zm.012-.008v.02l-.016-.012zm-.184-.473l.02.008-.004.02-.004.016v.016l-.004.012v.016l-.004.02v.059l.008.031v.016l.004.012.008.016.008.031.016.023.008.016.008.012.012.016.008.016.016.023.012.016.008.012.023.023.012.016.016.012.008.016-.012.012-.031-.023-.012-.016-.012-.012-.012-.016-.012-.012-.008-.016-.016-.012-.023-.047-.008-.012-.016-.031-.008-.012-.004-.02-.008-.012-.008-.031-.008-.012V12l-.004-.016v-.016l-.004-.016v-.051l.004-.016v-.016l.008-.016.008-.02.004-.016zm.141-.559v.02l.008-.012v.035l-.004.008v.023l-.004.016-.004.012v.016l-.008.016v.016l-.004.023-.004.016-.008.039v.02l-.008.02-.004.02-.008.02-.004.023-.004.02-.004.023-.008.02-.004.023-.008.02-.008.023-.004.023-.008.023-.004.023-.004.02-.008.023-.02-.008.008-.02.004-.02.012-.023.004-.02.016-.047.004-.02.008-.027.008-.02.004-.023.008-.02.008-.039.008-.047.008-.039.004-.016.004-.02.008-.031v-.016l.008-.016v-.016l.004-.016v-.012l.004-.012v-.039l.008-.012zm-.012.012v-.012h.008l-.012.008zm.008 0v-.012zm-.012 0v-.012h.008l-.008.008zm0 0" class="sr-B"/><path d="M7.477 11.164l-.242-.086-.168.41c-.043.145-.051.281-.02.391a.43.43 0 0 0 .281-.23c.066-.148.09-.328.148-.484zm0 0" class="sr-C"/><path d="M7.238 11.066l.242.086-.008.023-.242-.09-.004-.012zm-.012.008l.004-.008h.008l-.016.008zm-.148.418l-.02-.004v-.008l.004-.008v-.008l.004-.008v-.008l.008-.012.004-.008v-.012l.004-.012.008-.008.016-.047.008-.012.008-.023.004-.016.008-.012.004-.012.016-.031.004-.016.016-.031.008-.02.008-.016.004-.02.008-.016.012-.02.008-.016.004-.023.02.012-.016.039-.008.016-.016.039-.016.031-.004.016-.008.016-.012.016-.004.016-.008.016-.004.016-.008.012-.004.012v.02l-.008.012-.004.012-.008.012v.012l-.004.012-.004.008-.008.023v.008l-.008.012-.004.008v.008l-.008.008v.008l-.004.004v.008zm-.035.383l.004.02-.012-.008-.004-.012v-.012l-.004-.012v-.008l-.004-.012v-.012l-.004-.016v-.145l.004-.016v-.023l.004-.012v-.016l.004-.012v-.012l.008-.012.004-.016v-.012l.008-.023.004-.016.02.008-.004.012-.004.016-.008.023v.016l-.004.012v.016l-.008.023v.012l-.004.012v.02l-.004.016v.129l.004.012v.023l.004.008.004.012v.008l.004.012-.012-.008zm.004.02h-.008v-.008l.008.004zm.273-.254l.016.012-.008.012-.012.023-.008.012-.008.016-.008.012-.008.008-.016.023-.02.02-.012.008-.031.031-.012.004-.008.012-.012.008-.012.004-.008.008-.008.004-.012.008h-.008l-.012.008-.008.004-.012.004-.008.004h-.012l-.012.004-.008.004h-.008l-.008-.016.008-.004h.012l.008-.004.012-.004h.008l.012-.008.023-.012.012-.004.016-.016.012-.004.012-.008.008-.008.012-.004.039-.039.008-.012.008-.008.012-.008.008-.012.008-.008.016-.023.004-.012.008-.012.004-.012.008-.016zm.152-.469l.008-.02.004.012-.004.02-.008.016-.004.016-.004.012-.004.016-.004.023-.004.012-.004.016-.008.016v.016l-.016.063v.02l-.008.012-.012.047v.016l-.008.016-.012.047-.004.012-.008.016-.008.031-.008.016-.004.012-.008.016-.004.012-.02-.012.008-.008.008-.016.004-.012.008-.012.004-.016.008-.016.012-.047.004-.012.004-.02.004-.012v-.016l.008-.016.004-.016.004-.02.008-.031.004-.012.008-.016.012-.047.004-.02.004-.012.004-.016.004-.02.008-.016.004-.012.004-.016.008-.016.004-.016.008.012zm.008-.02l.008.004v.008zm-.004.012l-.004.008zm.004-.012l.008.004v.008zm0 0" class="sr-B"/><path d="M7.313 10.992l-.051-.328c-.059-.012-.133.117-.203.191-.02.02-.039.035-.051.055-.031.051-.055.105-.066.16-.043.203-.129.395-.262.555.203-.004.359-.078.438-.242.098-.219.152-.352.195-.391zm0 0" class="sr-C"/><path d="M7.27 10.664l.051.328h-.02l-.051-.324.016-.012.008.008zm-.008-.008h.008v.004l-.004-.008zm-.195.207l-.016-.016.027-.027.004-.008.016-.016.004-.012.004-.008.008-.008.004-.008.008-.008.008-.012.008-.016.008-.004.004-.008.012-.012.012-.008.004-.008.008-.004.004-.004.016-.008h.008l.008-.008h.004l.008-.004h.023l-.004.02h-.02l-.008.004-.008.008-.008.004-.012.012v.008l-.008.004-.027.027-.008.012-.008.008-.004.008-.008.008-.004.008-.008.008-.008.012-.004.008-.047.047-.004.008zm-.047.051L7 10.902v-.004h.008l.004-.004v-.004h.004v-.004h.004v-.004h.004v-.004h.004v-.004l.004-.004h.004v-.004l.004-.004h.004v-.004h.004v-.004h.004v-.004l.02.012h-.004l-.004.004v.004h-.004v.004h-.004l-.004.004v.004h-.004l-.004.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004l-.004.004v.004zm-.066.156l-.02-.004v-.012l.004-.008v-.008l.004-.004v-.016l.004-.008v-.004L6.949 11v-.008h.004v-.008l.004-.004v-.004l.004-.004v-.004l.004-.008v-.004l.004-.004v-.004l.008-.004v-.004h.004v-.008l.004-.004v-.004l.008-.004v-.008L7 10.906l.016.012-.004.008v.004l-.004.004-.008.004v.008l-.008.008v.004l-.004.008v.004l-.008.008v.004l-.004.008v.004l-.004.004V11l-.004.008v.004l-.004.008v.008l-.004.008v.004l-.004.004v.012l-.004.004v.016zm-.27.539v.02l-.004-.016.008-.016.012-.016.008-.012.012-.016.008-.012.012-.016.008-.012.012-.016.008-.012.012-.016.008-.016.008-.012.047-.094.016-.039.008-.016.004-.02.008-.016.008-.023.004-.02.016-.039.004-.023.008-.02.008-.027.004-.027.004-.023.02.004-.004.027-.008.02-.008.023-.004.023-.012.023-.008.02-.004.023-.031.078-.008.016-.008.023-.016.031-.008.02-.012.016-.008.016-.004.016-.012.016-.016.031-.008.012-.023.031-.012.012-.008.016-.012.016-.008.012-.012.016-.008.016-.012.012-.008-.016zm0 .02h-.02l.016-.016.008.016zm.426-.254l.02.008-.008.012-.008.02-.008.016-.008.012-.012.016-.008.012-.012.012-.008.012-.023.023-.023.016-.016.008-.012.008-.016.008-.012.008-.016.008-.012.008-.016.004-.016.008-.031.008-.02.004-.016.004-.02.004-.016.004h-.02l-.016.004h-.02l-.016.004h-.039v-.02h.055l.02-.004h.016l.016-.004.02-.004h.016l.02-.008.016-.004.012-.004.016-.004.016-.008.016-.004.012-.008.012-.004.016-.008.035-.023.016-.008.008-.012.012-.012.012-.008.02-.02.008-.012.008-.016.012-.012.008-.012.008-.016zm.195-.387h.02v.008L7.32 11v.008l-.008.004-.012.012-.004.008-.004.004-.004.008v.008l-.008.012-.004.008-.008.012-.012.035-.023.035-.004.02-.008.016-.008.012-.004.016-.008.02-.008.016-.008.02-.008.016-.008.02-.012.02-.023.059-.02-.008.012-.02.008-.023.016-.039.012-.02.008-.016.008-.02.023-.047.008-.02.004-.012.008-.016.016-.023.008-.016.004-.012.008-.008.008-.023.004-.008.008-.008.004-.012.004-.004.016-.031.008-.008.008-.004.004-.004-.004.008zm.02 0v.008zm0 0" class="sr-B"/><g class="sr-D sr-E sr-F"><path d="M9.848 11.691c.059.004.137.039.367.238.102.203.199.41.34.59l.121.063a1.65 1.65 0 0 0 .34-.012c.09-.078.227-.023.18.066.035.031-.043.156-.105.102-.059-.047-.262-.004-.328-.027.027.063.207.102.336.109.117.004.109.121.059.211-.051.035-.008-.008-.027.016-.051.082-.164.07-.168-.008s-.273-.18-.316-.238c.051.117.164.23.223.344.059.063.098.074.02.203-.09-.016-.094-.035-.148.016-.117-.012-.137-.051-.117-.145.02-.102-.066-.281-.094-.332s-.031-.098-.055-.125c-.043-.051-.254-.156-.305-.129-.102.055-.176.02-.188-.074.035-.023.008-.16.078-.164.055-.004.086.012.141.055.078.066.117.102.148.094.059-.016-.117-.102-.277-.313-.219-.289-.238-.441-.227-.539zm0 0"/><use xlink:href="#C" x="3.254"/><path d="M11.184 12.691c.078-.047.125-.047.16-.012.012.02.035.012.023-.02-.055-.125-.141-.141-.215-.086l-.055.055c.012.02.074.047.086.063zm-1.148-.113c-.086-.059-.168-.07-.211-.039-.027.02-.051.004-.027-.023.086-.125.191-.133.27-.063.023.02.039.039.055.063-.023.031-.086.063-.086.059zm.672.711c-.004-.004.02-.109.051-.141.027.02.059.039.086.07.086.09.082.219-.051.332-.031.031-.047 0-.031-.031.02-.055-.008-.129-.063-.23zm.328-.27c.078.031.105.074.102.129 0 .031.02.039.031.004.098-.223-.004-.266-.148-.258a.31.31 0 0 0 .016.125zm0 0"/></g><g class="sr-B"><path d="M10.406 12.426l-.02.012h.004v.035h-.004v.008h-.004v.004h-.004l-.004.008-.008.004v.004h-.008l-.004.008h-.004l.012.02h.004l.008-.004h.004l.008-.008.004-.008.008-.008v-.004h.004v-.004l.004-.004v-.004h.004v-.004l.004-.004v-.035l-.004-.008v-.004zm-.129.016l.016.02.016-.016h.008l.004-.004.004-.008.008-.008.008-.004h.016l.004-.004h.012v.004h.004l.004.004v.004h.004v.008l.004.004.02-.016v-.004l-.004-.008-.012-.012h-.008l-.004-.004h-.008v-.004h-.016l-.004.004h-.008l-.004.004h-.004l-.004.004h-.004l-.004.004h-.004l-.004.008h-.004l-.023.023zm0 0"/><path d="M10.34 12.352l-.02.012v.008h.004v.016l-.004.004v.004l-.004.004v.004l-.004.004-.004.008-.008.004h-.004l-.004.004h-.004l-.008.008h-.004l.012.02h.004l.008-.004.004-.004h.004l.008-.008.004-.008v-.004h.004l.004-.004v-.004h.004v-.012h.008v-.043h-.008v-.004zm-.129.016l.012.02.004-.004h.004l.004-.008.008-.004.004-.004h.004l.016-.016.008-.004h.004v-.004h.016l.012.012v.004l.008.004.02-.012-.004-.004v-.004h-.008v-.008h-.004l-.008-.008h-.004l-.004-.004h-.004v-.004h-.027l-.004.004h-.004v.004h-.004l-.008.008h-.004l-.004.004h-.004l-.004.008h-.004l-.008.004v.004l-.004.004-.008.004-.004.004zm0 0"/><path d="M10.266 12.258l-.02.012.004.004v.012h.004v.02l-.004.004v.008h-.004v.008h-.004l-.004.004v.004h-.004l-.004.008-.004.004-.008.004-.004.004h-.004l-.004.004.012.02.012-.012.008-.004.004-.004v-.004l.004-.004v-.004l.008-.004v-.004l.008-.004v-.008l.004-.008v-.004h.004v-.012h.004v-.02l-.004-.008v-.008l-.004-.004zm-.141.02l.016.02.012-.012.008-.004.004-.004v-.004l.016-.008.008-.008.004-.008h.004l.008-.008h.004l.004-.004h.016l.008.008.004.008v.004h.004v.008l.023-.012v-.008l-.008-.008v-.004l-.008-.004-.004-.004v-.004h-.008l-.004-.004h-.004l-.004-.004h-.023l-.004.004h-.004l-.004.004-.008.004h-.004l-.008.008h-.008l-.004.008-.008.004-.012.012-.008.004-.004.008-.004.004zm0 0"/><path d="M10.191 12.152l-.02.012v.012l.004.004v.035l-.004.004v.004l-.008.004v.004l-.004.004-.004.008v.004l-.008.004-.004.004h-.004l-.004.008-.008.008v.004l.012.016.004-.004v-.004l.008-.004.004-.008.008-.004v-.004l.012-.012v-.004l.004-.008v-.004l.008-.004.004-.004v-.004l.004-.004v-.004l.004-.008v-.043l-.004-.004v-.004zm-.152.027l.02.016.004-.004.004-.008.008-.004.012-.012v-.004l.008-.004.016-.016h.004l.004-.004h.004l.004-.004h.008v-.004h.012v.004l.008.004.008.008v.004l.004.004v.004l.027-.008-.004-.008-.004-.004v-.004l-.016-.016-.008-.004-.004-.004h-.012l-.004-.004h-.016l-.008.004h-.004l-.004.004h-.004l-.004.008-.008.004-.004.004-.008.004-.004.004h-.004l-.004.008-.008.004-.004.004-.004.008-.008.008-.004.008-.008.004zm0 0"/><path d="M10.105 12.051l-.023.012v.004l.004.004.004.008v.043l-.004.004v.004l-.008.008v.004l-.012.012v.004l-.008.004-.016.016-.008.004.016.02.008-.004.004-.008.004-.004.008-.004.016-.016v-.004l.008-.008v-.004l.008-.004v-.008h.004v-.008l.004-.004v-.004l.004-.004v-.055l-.004-.004v-.004l-.004-.004v-.004zm-.152.027l.02.02.008-.016.035-.035h.004l.004-.008.004-.004h.004v-.004h.027l.004.004v.004h.004v.008l.008.004.004.004v.004l.023-.012-.004-.004-.004-.008-.004-.004-.008-.004v-.004l-.008-.004h-.004l-.004-.004h-.004l-.004-.004h-.031l-.008.008h-.004l-.004.004h-.008l-.012.012h-.004l-.004.008-.008.004-.004.004-.004.008-.008.008-.008.004-.004.008zm0 0"/></g><g class="sr-C"><g class="sr-E sr-F"><path d="M8.832 11.613l.191-.109c.082.059.137.27 0 .445-.168.219-.238.371-.281.547-.121-.156-.164-.324-.086-.488.105-.219.172-.34.176-.398zm0 0"/><path d="M8.68 11.461l.188-.109c.082.059.25.266.113.441-.172.215-.348.379-.387.555-.125-.16-.18-.324-.102-.488.109-.223.188-.344.188-.402zm0 0"/><path d="M9.098 11.383l.191-.105c.078.059.141.27.004.441a1.3 1.3 0 0 0-.281.551c-.125-.16-.168-.324-.086-.488l.176-.395zm0 0"/></g><path d="M9.977 9.379l.035 1.496c.012.164.082.273.16.34.07-.102.113-.23.121-.387.008-.082-.008-1.176-.016-1.398-.129-.34-.223-.359-.301-.051zm0 0"/></g><path d="M10.008 10.875h.02l-.004-.02v-.051l-.004-.035v-.078l-.004-.047v-.102l-.004-.055v-.055l-.004-.059v-.062L10 10.254v-.125l-.004-.059v-.125l-.004-.059V9.77l-.004-.055v-.148l-.004-.039v-.148h-.02v.234l.004.051v.164l.004.059v.121l.004.063v.059l.004.066v.117l.004.063v.059l.004.055v.109l.004.047v.047l.004.039v.074l.004.027v.043zm.172.34l-.016-.008h.012l-.004-.008-.012-.008-.008-.008-.008-.004-.004-.008-.016-.016-.008-.012-.016-.016-.004-.008-.016-.016-.008-.023-.008-.008-.008-.023-.004-.008-.008-.012-.004-.012-.004-.008v-.016l-.004-.012v-.012l-.008-.016v-.012l-.004-.016v-.016l-.004-.016v-.027H10v.043l.004.016v.016l.008.012v.016l.004.016.004.012.004.016.012.035.016.023.008.023.004.008.008.012.004.008.008.012.023.023.008.012.016.016.004.008.008.004.004.008.008.008.008.004h.016zm-.016.004l.012.008.004-.008zm.141-.391h-.02v.016l-.004.016v.027l-.004.012v.012l-.004.016v.012l-.004.012v.031l-.008.008v.016l-.004.012-.008.012-.016.047-.004.016-.004.008-.008.023-.008.008-.004.012-.004.008-.008.012-.004.012-.004.008-.008.008-.004.008-.008.008.016.012.004-.012.008-.008.008-.012.004-.008.008-.012.008-.023.016-.023.008-.023v-.012l.008-.012.008-.008.004-.012.004-.016.004-.012v-.012l.004-.016.004-.012v-.012l.008-.012v-.012l.004-.016.004-.012v-.012l.004-.016v-.02l.004-.016zm-.02-1.402l-.016.008v.16l.004.043v.203l.004.055v.23l.004.063v.379l.004.043v.219h.02v-.418l-.004-.051v-.293l-.004-.055v-.23l-.004-.055v-.176l-.004-.039v-.086zm0 0zm-.32-.047h.02l.008-.023.008-.027.008-.02.012-.023.008-.02.004-.023.008-.012.008-.016.008-.012.027-.027h.008l.008-.004h.016l.008.004.016.016.012.008.008.012.012.012.012.016.008.016.023.039.008.023.023.055.016.027.012.035.02-.008-.016-.031-.012-.031-.016-.023-.012-.031-.008-.023-.023-.039-.008-.02-.023-.031-.043-.043-.023-.008h-.023l-.008.004-.012.008-.02.02-.016.023-.016.031-.012.02-.008.023-.008.02-.023.082zm0 0zm0 0" class="sr-B"/><path d="M10.727 9.098l.051 1.59a4.32 4.32 0 0 1-.27 1.148c-.246-.105-.301-.676-.25-1.23s-.012-1.039-.047-1.137c0-.125.02-.258.02-.387l.5.016zm0 0" class="sr-C"/><path d="M10.785 10.688l-.047-1.59h-.02l.051 1.59h.02zm-.02 0zm-.254 1.141l-.004.016.012-.004.008-.02.012-.02.012-.023.035-.094.012-.035.012-.039.012-.043.012-.039.023-.086.016-.047.008-.047.012-.047.008-.043.023-.094.008-.043.012-.047.008-.043.008-.039.008-.043.004-.043.008-.035.004-.031.004-.035v-.027l.008-.027v-.055h-.02v.082l-.008.063-.016.07-.004.039-.008.039-.008.047-.012.043-.008.043-.008.047-.008.043-.008.047-.035.141-.016.043-.008.043-.023.086-.012.039-.016.039-.008.035-.016.031-.012.027-.008.031-.012.023-.008.02-.012.02.012-.008zm-.004.016l.008.004.004-.008zm-.242-1.238h-.02l-.008.047v.055l-.004.055v.051l-.004.051v.25l.004.047.004.051.004.047v.047l.008.047.012.043.004.039.012.039.008.043.012.039.012.035.016.031.012.031.016.031.02.027.012.027.02.023.023.02.039.039.02.012.027.016.004-.023-.02-.008-.02-.012-.02-.016-.02-.02-.023-.02-.012-.02-.031-.055-.016-.031-.012-.027-.012-.035-.012-.039-.008-.031-.012-.043-.008-.039-.004-.039-.008-.039-.004-.047v-.047l-.008-.047v-.051l-.008-.047v-.352l.004-.055.008-.102zm-.047-1.137h-.02v.004l.004.008.008.031.004.02.004.016.004.02.004.023v.023l.004.027.004.023.004.031v.031l.008.031v.035l.004.031v.043l.008.035v.039l.004.039v.418l-.004.051-.008.051-.004.051v.051l.023.004v-.051l.008-.102v-.055l.004-.047v-.402l-.004-.043v-.039l-.004-.039v-.035l-.004-.031-.004-.039-.004-.031v-.027l-.008-.031-.004-.023v-.027l-.008-.02v-.023l-.004-.02-.008-.031-.008-.023zm-.02 0v.004zm.027-.375V9.07l-.008.008v.074l-.004.012v.051l-.004.012v.039l-.004.012v.047l-.004.012v.07l-.004.016v.047h.02v-.109l.004-.008v-.051l.004-.012V9.25l.004-.012v-.031l.004-.012v-.062l.004-.012v-.043l-.008.016zm0-.023h-.008v.008l.012-.008zm.492.027h.02l-.008-.012h-.078l-.016-.004h-.254l-.016-.004h-.094l-.016-.004h-.035v.02h.082l.012.004h.16l.016.004h.145l.016.004h.078l-.008-.008zm.02 0V9.09h-.008zm-.008 0h-.008zm.012 0V9.09h-.008zm0 0" class="sr-B"/><path d="M11.027 9.359l-.039 1.59a4.28 4.28 0 0 1-.328 1.129c-.25-.195-.199-.996-.164-1.238.082-.48.066-1.039.043-1.129l.012-.41.473.059zm0 0" class="sr-C"/><path d="M11 10.949l.035-1.59-.02-.004-.035 1.59H11zm-.02 0zm-.312 1.121l-.012.02.016-.004.023-.039.012-.023.008-.027.016-.031.012-.031.016-.035.012-.035.016-.043.008-.039.016-.043.012-.043.012-.047.016-.043.016-.047.012-.043.035-.141.035-.129.012-.039.016-.078.008-.031.004-.035.008-.023.004-.027v-.023l.004-.02v-.016h-.02v.035l-.004.02-.008.055-.004.031-.008.035-.008.039-.008.035-.008.039-.008.043-.016.043-.008.043-.035.141-.016.043-.012.047-.016.043-.012.047-.016.043-.012.043-.016.043-.016.039-.016.035-.012.035-.016.035-.023.055-.012.023-.012.02-.012.012h.016zm-.012.02l.008.004.008-.008h-.016zm-.148-1.25l-.023-.004v.023l-.004.027-.004.031-.008.07v.039l-.004.039-.004.043v.039l-.004.047v.238l.004.047v.047l.004.047.008.051.008.047.004.043.008.047.012.043.008.039.012.039.016.043.031.063.02.031.039.055.023.02.012-.016-.039-.039-.02-.027-.031-.062-.016-.035-.012-.035-.035-.117-.008-.047-.008-.043-.008-.047-.004-.051v-.043l-.004-.051v-.102l-.004-.043v-.137l.004-.047v-.043l.004-.039v-.039l.004-.043.004-.031.004-.035.004-.031v-.023l.008-.023zm.039-1.133h-.02v.012l.004.012.004.016v.02l.004.016v.047l.004.027v.055l.004.035v.301l-.004.043v.043l-.008.043v.047l-.004.047v.043l-.008.043-.008.047-.008.094-.008.043-.004.047-.008.043.02.004.012-.043.004-.051.008-.043.008-.047.016-.187.004-.043v-.047l.004-.043v-.09l.004-.039v-.32l-.004-.027v-.027l-.004-.023v-.039l-.004-.02v-.016l-.004-.012v-.016.004zm-.02 0zm.023-.402v-.02l-.012.012v.07l-.004.012v.078l-.004.012v.121l-.004.012v.105h.02v-.105l.004-.016v-.113l.004-.012v-.09l.004-.016v-.047l-.008.008zm0-.02h-.008v.012l.008-.008zm.473.082v-.02l-.016-.004h-.016l-.016-.004h-.043l-.012-.008h-.02l-.012-.004h-.016l-.016-.004h-.027l-.016-.004h-.016l-.012-.004h-.012l-.016-.004h-.035l-.012-.004h-.016l-.016-.004h-.016l-.016-.004h-.027l-.016-.004h-.016l-.016-.004h-.016l-.012-.004v.02h.012l.012.004h.016l.016.004h.031l.012.004h.016l.02.004h.016l.012.004h.031l.016.004h.016l.012.008h.016l.016.004h.031l.012.004h.016l.016.004h.012l.012.004h.031l.02.004h.012l.016.004h.016zm-.004 0zm0-.02v.02l.012-.012-.008-.012zm.012.008v-.012h-.008l.008.008zm0 0" class="sr-B"/><path d="M11.242 9.734l-.422-.012c.043.172.012.715-.062 1.125-.066.387-.16 1.387.238 1.625.25-.527.063-1.039.188-1.5.098-.484.117-.891.059-1.238zm0 0" class="sr-C"/><path d="M10.824 9.734l.418.008v-.02l-.422-.008-.008.012zm0-.02h-.012v.012zm-.074 1.133l.02.004.008-.043.004-.039.016-.078.004-.043.004-.039.004-.043.004-.039.004-.047.012-.117.004-.047v-.039l.008-.039v-.039l.004-.043V9.98l.004-.035v-.09l-.004-.027v-.023l-.004-.023v-.02l-.008-.023v-.02l-.02.008v.016l.004.02v.02l.004.027v.105l.004.035v.098l-.004.035v.078l-.004.039v.039l-.004.039v.039l-.008.043-.004.039v.039l-.004.043-.008.043-.004.043-.004.039-.008.039-.004.043-.008.043-.004.039-.008.039-.004.043zm.258 1.633l-.02-.012.016-.004-.039-.023-.062-.062-.027-.035-.047-.078-.02-.047-.02-.055-.02-.047-.012-.059-.012-.051-.016-.117-.008-.062-.008-.059-.004-.059v-.062l-.004-.059v-.125l.008-.117v-.062l.008-.059.004-.055.008-.055.004-.051.008-.047.004-.051.008-.043.004-.039.008-.039h-.02l-.008.035-.004.039-.008.047-.004.047-.008.047-.008.055-.008.109-.004.063-.004.055-.004.059v.313l.004.059.008.066.008.059.008.055.008.063.016.051.031.109.039.094.027.043.023.043.027.039.035.031.031.027.035.027zm-.016 0l.008.008.008-.012h-.016zm.199-1.504l-.02-.004-.012.043-.008.043-.008.047-.004.043-.008.043-.004.047v.039l-.004.047v.508l-.004.051v.047l-.004.047-.008.051-.004.047-.012.047-.008.051-.012.047-.012.051-.016.047-.016.051-.02.047-.02.051.016.008.023-.051.02-.051.047-.152.012-.047.016-.102.004-.043.008-.051.004-.047v-.051l.004-.047v-.551l.008-.094.004-.043.023-.129.012-.043v-.004zm0 0zm.051-1.254v.02l-.012-.008.008.035.004.031.008.07.004.031v.039l.008.035v.07l.004.039v.145l-.004.043v.035l-.004.039v.039l-.008.043-.012.117-.004.043-.004.039-.008.047-.004.039-.016.086-.008.047-.008.039-.008.047-.008.043.02.004.008-.043.008-.047.008-.043.008-.039.008-.047.008-.043.004-.039.008-.047.004-.039.008-.043.004-.039.004-.043.004-.039v-.039l.004-.039v-.043l.004-.035v-.258l-.004-.039v-.035l-.004-.035-.004-.031-.008-.07-.004-.031-.008-.035-.012-.008zm.008.008v-.008h-.008zm-.008 0v-.008.012zm.008 0v-.008h-.008zm0 0" class="sr-B"/><path d="M9.645 9.09a45.59 45.59 0 0 0 .082 1.488c.012.16.09.273.168.332.066-.098.105-.227.109-.383l-.059-1.402c-.141-.34-.238-.348-.301-.039zm0 0" class="sr-C"/><path d="M9.715 10.578h.02v-.02l-.004-.02v-.027l-.004-.035v-.039l-.004-.043v-.043l-.004-.051v-.051l-.008-.051-.004-.059v-.059l-.004-.059-.004-.062-.004-.059v-.059l-.008-.066-.004-.059-.004-.066v-.059l-.004-.059V9.48l-.008-.059v-.051l-.004-.051v-.039l-.004-.043v-.039l-.004-.035V9.09h-.02v.113l.004.039v.039l.004.047v.051l.004.055.004.051v.059l.008.059.004.059v.063l.008.059.004.063v.063l.004.059.004.066.004.059v.059l.008.109v.051l.008.047v.047l.004.039v.039l.004.031v.031l.004.023v.02zm.188.344l-.016-.016.012-.004-.008-.004-.02-.02-.008-.004-.016-.016-.004-.008-.012-.008-.008-.008-.004-.012-.008-.008-.008-.012-.004-.008-.008-.008-.004-.012-.008-.008v-.012l-.008-.012-.008-.023v-.012l-.008-.012-.008-.023-.004-.016v-.02l-.008-.016v-.016l-.004-.016v-.016h-.02v.035l.004.012.004.016v.012l.012.047.012.035.008.012.004.012.008.012.004.012.004.008.008.012.004.008.012.012.004.008.008.012.016.016.004.008.012.008.008.008.004.008.008.004.031.031h.016zm-.016 0l.012.008.004-.012h-.012zm.129-.395h-.02v.055l-.004.016v.016l-.004.012v.023l-.008.012v.02l-.008.023v.016l-.004.012v.012l-.008.008-.004.016-.008.023v.012l-.004.008-.008.012-.004.008-.008.023-.008.008-.004.012-.016.016-.004.008-.008.008.016.012.008-.012.008-.008.008-.012.004-.012.008-.012.004-.008.008-.012v-.016l.008-.008.008-.023.004-.008.008-.023.004-.016.012-.035v-.016l.004-.012v-.012l.004-.016v-.012l.008-.016v-.027l.004-.012v-.031l.004-.016v-.027zm-.059-1.402l-.016.008v-.004.051l.004.031v.039l.004.043v.039l.004.047v.051l.004.051v.059l.004.055v.055l.004.063v.055l.004.059v.063l.004.055V10l.008.055v.055l.004.055v.145l.004.043v.074l.004.031v.066h.02v-.137l-.004-.039v-.086l-.004-.051v-.051L10 10.109l-.004-.059v-.055l-.004-.059v-.059l-.004-.059-.004-.055v-.062l-.004-.055V9.59l-.008-.055V9.48l-.004-.051v-.051l-.004-.047v-.086l-.004-.035V9.18l-.004-.031zm.004 0zm-.324-.039h.02v.004l.004-.027.023-.07.004-.02.016-.039.023-.035.004-.008.008-.008h.008l.008-.004h.023l.016.008.008.008.012.008.008.012.023.031.012.02.012.016.008.02.012.023.016.023.012.027.023.063.02-.008-.012-.031-.016-.031-.016-.027-.023-.047-.035-.059-.023-.031-.023-.023-.012-.008-.008-.004h-.012l-.012-.008h-.023l-.012.008-.008.008-.012.008-.008.008-.016.023-.008.016-.004.02-.012.016-.004.023-.016.047-.004.027-.008.027zm0 0zm.008 0h-.012zm-.012 0zm0 0" class="sr-B"/><path d="M10.387 8.145l.016 1.25c-.008.16-.055.316-.133.453-.082-.059-.156-.168-.168-.332-.012-.133-.02-.789-.023-1.121a1.16 1.16 0 0 0 .246-.191zm0 0" class="sr-C"/><path d="M10.391 9.395h.02V8.93l-.004-.051v-.391l-.004-.047v-.18l-.004-.043v-.074h-.02v.156l.004.047v.188l.004.051v.25l.004.047zm-.117.445l-.012.016h.016l.004-.012.016-.023.008-.008.004-.012.016-.023.004-.012.004-.016.008-.012.008-.016.004-.012.008-.016.008-.031.008-.012.016-.062v-.016l.008-.016v-.016l.004-.016v-.016l.004-.02v-.016l.004-.016v-.012l.004-.016v-.031h-.02v.051l-.004.016v.016l-.004.016v.016l-.012.047v.016l-.004.016-.008.016-.004.012-.004.016v.016l-.008.016-.004.016-.004.012v.016l-.012.012-.004.012-.008.016-.008.023-.008.012-.004.012-.016.023-.004.008-.008.012h.016zm-.012.016l.008.008.008-.008zm-.152-.34h-.02l.004.016v.016l.004.016v.016l.004.016.004.012v.016l.004.008.004.016.004.012.008.012v.012l.008.012.008.023.004.008.008.012.004.012.008.012.023.023.008.012.016.016.004.008.016.016.004.008.008.004.008.008.012.004.012-.016-.008-.008-.008-.004-.008-.008-.008-.004-.008-.008-.008-.004-.023-.023-.004-.008-.016-.016-.004-.012-.016-.016-.008-.023-.008-.008-.02-.059-.004-.016-.008-.023V9.59l-.008-.016v-.016l-.004-.016v-.012l-.004-.016zm-.02-1.109l-.016-.016-.004.008v.375l.004.043v.293l.004.039v.18l.004.031v.086l.008.02v.051h.02v-.094l-.004-.031v-.125l-.004-.039v-.238l-.004-.039v-.418l-.004-.035v-.102l-.004.008zm-.016-.016h-.004v.008l.004-.012zm.25-.195v.02l-.008-.02-.008.008-.004.008-.012.012-.008.012-.043.043-.008.004-.027.027-.008.004-.008.008-.023.012-.016.016-.008.004-.008.008-.008.004h-.008l-.016.016-.016.008-.012.004.016.016.016-.008.008-.008.016-.008.008-.008.008-.004.008-.008.016-.008.008-.008.008-.004.008-.012.008-.004.02-.02.008-.004.012-.004.027-.027.008-.004.008-.008.008-.012.008-.004.008-.008.004-.008.012-.008.004-.008.008-.004-.004-.016zm.004.016l.023-.016h-.027l.008.016zm.051-.066h.02l-.02-.008-.008.008v.004h-.004v.008h-.008v.004l-.008.004-.004.004v.004h-.008v.004h-.004v.004h-.008l-.004.004v.004h-.004v.004l.004.016v-.02l.008.02h.004v-.004h.004v-.004h.004v-.004h.004l.004-.004v-.004h.004l.004-.004.008-.004h.004v-.008h.008v-.004l.004-.004h.004V8.16h.004v-.004h.004v-.004h.004zm.02 0v-.027l-.02.02zm0 0" class="sr-B"/><path d="M10.086 8.387v1.086c.004.137-.035.27-.109.387a.5.5 0 0 1-.176-.34l-.039-.859c.105-.031.238-.207.328-.277zm0 0" class="sr-C"/><path d="M10.078 9.469h.02v-.258l.004-.031v-.676l-.004-.039v-.082h-.02v.293l.004.039v.742l-.004.008v.008zm-.094.383l-.016.016h.016l.004-.012.008-.012.004-.012.008-.008.004-.012.008-.008.008-.023.004-.008.008-.012.027-.082v-.016l.004-.012v-.012l.008-.016v-.012l.004-.016v-.016l.004-.012v-.016l.004-.016v-.027l.004-.016v-.027h-.02v.055l-.004.016v.012l-.004.016v.012l-.004.016v.016l-.004.012v.012l-.008.012v.012l-.004.012v.012l-.008.016-.008.023-.004.008-.004.012v.012l-.008.012-.004.012-.008.012v.008l-.008.012-.004.008-.008.012-.004.008-.004.012-.008.008zm-.016.016l.008.004.008-.008h-.016zm-.16-.348h-.02v.035l.008.012v.016l.004.016v.016l.004.012.004.016.012.023v.012l.008.012.004.012.008.012.008.023.008.012.004.012.008.008.008.012.004.008.008.012.004.008.008.008.004.008.008.008.012.004.008.012.004.004.012.008.012.012.012-.016-.008-.004-.023-.023-.004-.008-.008-.008-.004-.008-.012-.008-.004-.008-.016-.016-.004-.008-.008-.012-.008-.008-.004-.008-.008-.012-.008-.016-.008-.012-.004-.008-.008-.012-.004-.016-.012-.035-.004-.016-.004-.012v-.016l-.004-.016v-.016l-.004-.012v-.016zm-.047-.844l-.008-.023-.008.012v.156l.004.035v.102l.008.031v.035l.004.031v.094l.004.031v.059l.004.027v.027l.004.023v.051l.004.02v.047l.004.02v.031l.004.012v.023h.02V9.48l-.004-.016V9.43l-.004-.023v-.043l-.004-.023v-.055l-.004-.023V9.23l-.004-.027v-.062l-.004-.031v-.035l-.004-.031V8.98l-.004-.031v-.09l-.004-.031V8.66l-.012.012zm-.008-.023h-.008v.012zm.32-.266h.02l-.016-.008-.012.004-.016.016-.012.008-.008.008-.008.012-.008.008-.012.008-.008.012-.012.008-.008.012-.039.039-.008.012-.016.012-.008.012-.016.008-.008.012-.031.031-.023.016-.008.008-.012.008-.008.004-.008.008-.008.004-.012.004-.008.004.008.023.008-.004.012-.008.008-.004.023-.016.016-.004.008-.008.023-.016.031-.031.008-.012.016-.008.008-.012.016-.008.008-.012.012-.012.012-.008.008-.016.023-.016.008-.012.012-.008.008-.012.012-.008.023-.023.016-.012.008-.004.008-.008-.016-.008zm.02 0v-.02l-.016.012.016.004zm0 0" class="sr-B"/><path d="M10.348 8.113l.277-.414c.059.203.125 1.656.047 1.777a.76.76 0 0 1-.129.387c-.082-.062-.195-.172-.16-.336a10.71 10.71 0 0 0-.039-1.414zm0 0" class="sr-C"/><path d="M10.621 7.695l-.285.41.016.012.285-.41v-.008l-.02-.008zm.02.004l-.008-.02-.012.012.016.004zm.023 1.773h.02l-.004.004.012-.016.004-.023.008-.031v-.035l.004-.039.004-.051V9.23l.004-.055V8.77l-.004-.074v-.074l-.004-.082-.004-.07v-.078l-.008-.148-.004-.066-.008-.07-.008-.125-.004-.059-.008-.051-.008-.047-.004-.039-.004-.043-.008-.023-.008-.02-.02.004.008.02.004.027.004.039.008.039.004.047.004.051.008.055.004.062.004.066.008.066.004.066.004.07.004.074v.074l.008.078v.074l.004.074v.078l.004.07v.391l-.004.055-.008.086v.035l-.008.031-.008.02-.008.012v.004zm0-.004v.004zm-.113.383l-.012.016.012-.004.008-.008.004-.012.008-.012.004-.012.008-.008.004-.012.008-.012.004-.012.008-.012.008-.008.004-.016.004-.012v-.012l.008-.012.008-.023.008-.012.004-.012.004-.016v-.012l.008-.008.004-.016v-.012l.008-.016V9.57l.004-.012v-.012l.004-.016V9.5l.004-.012v-.016h-.023V9.5l-.004.016v.012l-.004.012v.016l-.004.012v.012l-.004.016-.004.012v.012l-.012.035-.004.016v.012l-.008.012-.012.035-.008.012-.004.008-.004.016-.008.008-.008.012-.004.012-.008.008-.008.016-.008.008-.004.012-.008.012h.012zm-.012.016l.008.008.008-.012zm-.148-.34l-.02-.004v.016l-.004.012v.063l.004.012.004.016v.012l.004.016.012.035.008.012.004.012.008.012.008.008.008.012.012.008.004.008.043.043.004.008.008.008.012.008.008.008.008.004.016.016.012-.016-.008-.008-.012-.004-.008-.008-.004-.008-.008-.004-.016-.016-.008-.004-.008-.008-.008-.012-.008-.004-.008-.008-.016-.023-.008-.008-.008-.012-.004-.008-.012-.012-.004-.008-.004-.012v-.012l-.008-.012-.008-.023v-.012l-.004-.012v-.062l.004-.016v-.012zm-.043-1.406v-.02l-.016.012.008.02.004.02v.031l.004.031.004.043.004.039v.039l.008.047v.051l.004.051v.059l.008.109v.059l.004.059v.059l.004.059v.172l.004.055v.27l-.004.043v.027l-.004.027v.02l-.004.023.02.004v-.02l.004-.023v-.027l.004-.035v-.078l.004-.043v-.309l-.004-.059V8.82l-.004-.059v-.059l-.004-.059-.004-.055v-.055l-.004-.055-.004-.051v-.051l-.004-.047v-.043l-.008-.039v-.039l-.004-.031-.008-.027v-.023l-.004-.02-.012.012zm0-.02h-.016v.012l.012-.012zm0 0v.02l.004-.004-.008-.016zm0 .02h.004v-.004l-.008.004zm0 0" class="sr-B"/><path d="M10.926 9.023l.02.461c-.004.152-.039.285-.109.383-.078-.059-.18-.168-.168-.332.039-.629-.027-1.219-.109-1.793.07-.047.18-.098.25-.148.137.766.18 1.238.121 1.43zm0 0" class="sr-C"/><path d="M10.938 9.48h.02v-.148l-.004-.016v-.055l-.004-.016V9.18l-.004-.02v-.035l-.004-.02v-.062l-.004-.02h-.02v.039l.004.02v.043l.004.02v.055l.004.016v.063l.004.016v.082l.004.012zm-.094.379l-.016.016h.016l.008-.012.004-.008.008-.012.004-.012.004-.008.004-.012.008-.012.004-.008.004-.012.004-.008.008-.012.004-.016.016-.047v-.012l.008-.012V9.66l.004-.012v-.016l.008-.023v-.012l.004-.016v-.027l.004-.016v-.027l.004-.016V9.48h-.02v.047l-.004.012v.023l-.004.016v.012l-.004.012v.016l-.004.008-.004.016v.012l-.008.012v.012l-.031.094-.008.012-.004.012-.004.008-.004.012-.004.008-.008.012-.004.012-.016.016zm-.016.016l.012.008.004-.008zm-.148-.34h-.023v.074l.008.016v.012l.004.012v.016l.008.012.008.023.008.012.004.012.008.012.008.023.008.008.004.012.023.023.008.012.008.008.012.008.008.012.004.008.008.004.008.008.012.008.008.004.004.008.012-.016-.008-.008-.008-.004-.004-.008-.008-.004-.016-.016-.008-.004-.008-.008-.004-.008-.008-.012-.023-.023-.004-.008-.008-.012-.004-.012-.004-.008-.008-.012-.004-.008-.004-.012-.008-.012-.008-.023-.004-.016v-.012l-.004-.012v-.016l-.004-.012zm-.117-1.785l-.012-.016-.004.012.008.051.008.055.008.051.004.055.031.219.004.055.008.055.004.059.008.109.008.055.004.055v.063l.012.164v.059l.004.059v.168l.004.063v.172l-.004.059v.063l-.004.055-.004.059h.023l.004-.059v-.059l.004-.059V9.25l.004-.059V9.02l-.004-.055v-.062l-.004-.051v-.055l-.008-.062-.004-.051-.004-.059v-.066l-.008-.051-.004-.059-.008-.055V8.34l-.008-.055-.004-.055-.016-.109-.004-.055-.016-.109-.012-.055-.004-.055-.012-.055-.008-.055v.012zm-.012-.016l-.004.004v.008zm.246-.137l.02-.008-.016-.008-.008.008-.008.004-.004.004h-.004l-.008.008-.023.012-.012.008-.008.004-.004.004-.016.008-.012.008-.023.012-.012.004-.008.008-.008.004-.012.004-.008.004-.004.004-.008.004h-.008l-.012.008-.016.008-.004.008-.008.004-.008.008-.008.004.012.016.012-.012h.008l.008-.004.004-.008.039-.02.008-.008.016-.008.012-.004.016-.008.012-.004.008-.008.031-.016.008-.008h.008l.012-.008.023-.012.012-.012.016-.008-.016-.008zm.02-.008l-.004-.016-.012.008zm.121 1.43l-.016.012.016-.004.004-.02v-.023l.008-.02.004-.023v-.02l.004-.031v-.031l.004-.031v-.102l-.004-.035v-.039l-.004-.039-.008-.086-.004-.047-.004-.051-.008-.047-.004-.051-.008-.051-.008-.059-.008-.055-.016-.117-.012-.059-.012-.062-.008-.066-.012-.066-.016-.07-.012-.07-.012-.066-.02.004.012.066.023.141.012.066.008.066.012.059.008.059.008.063.008.059.008.055.004.055.008.051.008.102.008.047.004.047v.043l.008.039v.039l.004.043v.195l-.004.027v.023l-.008.02-.004.023V9l-.008.023.023-.008zm-.016.012l.008.012.008-.016zm0 0l.012-.016-.02.008.008.004zm.012-.016l-.02-.02v.027zm0 0" class="sr-B"/><path d="M11.215 9.438l-.082.293c-.004.152-.098.281-.164.379-.082-.059-.152-.16-.129-.32.113-.93.074-1.547-.121-2.301.438.301.645.934.5 1.949zm0 0" class="sr-C"/><path d="M11.145 9.73l.078-.293-.02-.004-.078.289zm-.02-.004zm-.152.379l-.012.016h.016l.004-.012.008-.012.008-.008.031-.047.008-.008.004-.016.008-.008.004-.016.008-.008.008-.012.004-.012.008-.012.004-.012.008-.012.004-.016.008-.008.004-.016.008-.012.004-.012.004-.016.004-.012.004-.016.004-.012.004-.016v-.012l.004-.012v-.016l.004-.02v-.012h-.02v.027l-.004.016v.012l-.004.016-.004.012v.012l-.004.012v.012l-.008.016-.004.012-.008.012v.012l-.008.012-.008.016-.004.012-.008.008-.004.012-.016.023-.004.008-.023.035-.004.012-.023.023-.008.012-.004.008-.016.016h.016zm-.012.016l.008.004.008-.008h-.016zm-.113-.332h-.023v.109l.004.012v.016l.008.012v.008l.008.012.012.035.016.031.008.012.008.016.008.008.008.012.004.004.004.008.043.043.016-.016-.008-.004-.023-.023-.008-.004-.004-.008-.012-.008-.008-.008-.004-.008-.008-.008-.004-.008-.008-.008-.004-.008v-.008L10.871 10l-.004-.012-.004-.008-.004-.012-.004-.008-.008-.023v-.012l-.004-.012v-.012l-.004-.012v-.102zm-.137-2.293l.012-.02-.016.012.02.07.031.141.016.066.012.066.016.066.023.141.008.063.012.066.004.066.023.199.008.133.004.07v.07l.004.07v.293l-.004.074-.008.082-.004.074-.004.082-.008.074-.016.164-.012.086-.012.09h.023l.012-.086.008-.086.016-.164.008-.078.004-.082.004-.074.004-.078v-.074L10.902 9v-.285l-.004-.066-.004-.07-.012-.199-.008-.07-.008-.066-.008-.062-.012-.07-.008-.066-.016-.066-.012-.066-.016-.066-.012-.07-.016-.07-.02-.066-.016-.07-.02-.074-.016.016zm.012-.02l-.02-.012.004.023zm.48 1.961h.02l.023-.187.012-.09.004-.086.008-.082.004-.086v-.16l-.008-.148-.008-.074-.008-.066-.012-.07-.012-.066-.016-.062-.012-.062-.02-.059-.023-.062-.039-.109-.023-.051-.027-.051-.055-.094-.031-.039-.031-.043-.035-.043-.031-.039-.039-.031-.039-.035-.078-.062-.012.016.078.063.035.031.039.035.035.039.063.078.031.043.027.043.027.051.027.047.027.051.039.109.02.059.02.063.016.059.012.059.012.07.012.066.016.141.008.074.004.074v.242l-.012.086-.004.086-.012.09-.008.094-.012.094zm.02 0zm-.008 0h-.012zm.008 0zm0 0" class="sr-B"/><path d="M11.191 9.723l.406-.133c.047.402-.031.91-.141 1.582-.094.578-.043 1.031.027 1.32-.43-.059-.613-.613-.398-1.66.059-.273.117-.625.105-1.109zm0 0" class="sr-C"/><path d="M11.594 9.578l-.406.137.008.02.406-.133.004-.012zm.012.012v-.016l-.016.004.012.012zm-.16 1.578l.02.008.012-.062.008-.062.012-.062.023-.117.016-.117.016-.109.008-.051.016-.109.008-.051.008-.055.004-.047.004-.051.008-.047.008-.094v-.047l.004-.047V10l.004-.039v-.215l-.004-.039-.004-.043v-.039l-.008-.039-.02.008.004.039.004.035v.039l.004.039v.082l.004.039v.086l-.004.047v.047l-.004.047-.004.043-.008.094-.008.047-.008.102-.008.051-.004.051-.016.109-.008.051-.008.063-.012.055-.008.055-.008.059-.012.063-.008.055-.008.059-.008.063-.012.063zm.039 1.316v.02l.008-.012-.008-.027-.004-.027-.004-.031-.008-.031-.004-.031-.008-.031-.008-.035-.012-.105-.004-.039-.004-.035v-.043l-.004-.039-.008-.039v-.039l-.004-.043v-.266l.004-.047.008-.047.004-.051.004-.047.004-.051.008-.055.004-.051.008-.051.008-.055-.02-.004-.004.055-.008.055-.008.047-.008.055-.012.152v.047l-.008.051v.137l-.004.043v.086l.004.043v.039l.004.039v.039l.004.043.004.039.004.035.008.035v.035l.008.035.004.035.008.035.004.031.004.027.016.063.004.027.012-.016zm0 .02h.012v-.012l-.016.012zm-.387-1.672l-.023-.004-.02.102-.016.094-.023.18-.008.086-.012.082-.004.078-.004.082v.145l.004.066.004.063.008.063.008.059.012.059.012.055.016.051.039.094.039.086.023.035.027.035.055.055.031.027.031.02.035.02.035.016.039.012.043.012.039.004v-.02l-.039-.008-.039-.012-.035-.012-.031-.016-.035-.02-.027-.02-.031-.02-.055-.062-.023-.031-.023-.035-.023-.039-.02-.039-.02-.047-.016-.047-.012-.047-.012-.055-.012-.059-.008-.055-.008-.062-.004-.066v-.07l-.004-.066v-.074l.008-.078.004-.078.008-.082.008-.086.012-.086.016-.09.016-.094.023-.102zm.094-1.098l-.004-.02-.008.008v.336l-.004.043-.004.035v.039l-.004.035v.035l-.004.039-.004.031-.004.039-.004.031-.004.035-.008.063-.004.035-.004.027-.008.031-.004.031-.008.027-.004.027-.004.031-.008.027-.004.027-.008.027v.023l-.008.023.02.004.004-.023.008-.027.008-.023.012-.082.004-.031.008-.027.004-.031v-.031l.008-.031.012-.094.016-.141v-.035l.008-.039.004-.035v-.039l.004-.035v-.082l.004-.039v-.262l-.004.012zm-.004-.02l-.008.004v.004l.008-.012zm.027 1.966h-.02v.016h.016v-.004h.004zm.086-.801l-.02-.008-.008.023-.004.027v.02l-.008.023-.004.027-.008.023-.008.047-.008.055-.008.047-.004.027-.004.023-.004.027v.027l-.004.027v.051l-.008.027v.023l-.004.027v.051l-.004.023v.184h.02v-.152l.004-.023v-.055l.004-.023v-.031l.004-.023v-.027l.004-.027v-.02l.008-.027v-.027l.004-.023.004-.027v-.023l.008-.027.004-.023.008-.055v-.023l.008-.023.012-.07.008-.023.004-.027.004-.023zm.109-1.008h-.023V10l-.004.031v.066l-.004.027v.031l-.004.031v.031l-.008.031v.063l-.008.063v.031l-.008.031-.008.063-.004.027-.004.031-.008.031v.031l-.008.031-.004.035-.004.031-.004.027-.008.035-.004.027-.016.063.02.008.012-.035.008-.031.004-.031.016-.062.012-.094.008-.031.004-.031.004-.027.004-.035.004-.027.004-.031v-.035l.008-.031.004-.031v-.031l.004-.031v-.027l.008-.062v-.031l.004-.035v-.066l.004-.027v-.129l.004-.031zm-.023 0h.023v-.004h-.004v-.004h-.004v-.004h-.016v.004h-.004v.008zm0 0" class="sr-B"/><path d="M11.207 7.348l-.266.043.094.465c.098.488.164 1.059.09 1.684a1.9 1.9 0 0 1-.152.57c.293-.031.48-.316.453-.812.051-.578.031-1.039-.062-1.387l-.156-.566zm0 0" class="sr-C"/><path d="M10.945 7.398l.262-.043v-.023l-.266.047-.008.012zm-.004-.02h-.012v.012zm.082.48l.02-.004-.004-.008V7.84l-.004-.012v-.012l-.004-.012v-.012l-.004-.016v-.016l-.004-.016v-.02l-.008-.016-.008-.039v-.016l-.012-.059-.004-.023-.004-.02-.004-.016v-.02l-.008-.012-.004-.023v-.012l-.004-.016v-.012l-.008-.012v-.012l-.004-.012v-.008l-.004-.008v-.004l-.02.004v.012l.004.008v.012l.008.012v.012l.004.012.008.031v.023l.004.012.004.02v.016l.004.02.004.023.004.02.004.016.008.039v.02l.008.02.004.016.004.02v.016l.004.012v.02l.008.023v.016l.004.008v.016zm.09 1.68h.02l.004-.055.008-.059.004-.062.004-.055V9.25l.008-.059v-.051l.004-.062v-.219l-.004-.055V8.75l-.004-.051-.004-.059-.008-.102-.008-.055-.008-.102-.023-.152-.008-.047-.004-.051-.012-.047-.004-.047-.012-.051-.008-.043-.016-.094-.02.004.008.043.023.141.008.051.012.047.008.047.004.047.016.102.008.102.008.051.004.051.004.055.008.102v.051l.004.055v.055l.004.055v.23l-.004.059v.055l-.008.059-.004.055-.004.063-.008.055-.004.059zm-.141.582v-.02l.008.016.008-.016.004-.012.016-.031.008-.02.004-.012.016-.031.012-.047.008-.02.004-.016.004-.02.004-.016.008-.02.008-.039v-.02l.008-.02.004-.016.008-.039v-.02l.004-.02.004-.023v-.02l.008-.02.004-.02v-.02l.004-.023.004-.02-.02-.004v.02l-.008.02v.023l-.004.02v.02l-.004.02-.004.023-.008.02v.02l-.016.078-.004.016-.008.023-.004.016-.004.02-.004.012-.004.02-.008.016-.004.016-.004.02-.008.016-.004.016-.008.012v.02l-.008.016-.008.012-.008.016-.008.012-.004.016-.008.012.012.016zm-.008-.016l-.008.016h.02l-.012-.012zm.473-.805l-.02-.004v.176l-.008.078-.008.043-.008.035-.008.031-.008.039-.008.031-.023.063-.012.027-.031.055-.012.023-.016.023-.02.02-.02.023-.02.02-.078.063-.023.012-.023.008-.027.008-.047.016-.027.004h-.027l.004.02h.027l.055-.016.023-.008.027-.012.023-.008.023-.016.02-.012.023-.016.02-.016.039-.039.023-.02.02-.023.012-.027.016-.023.02-.023.012-.031.016-.027.008-.031.012-.035.012-.031.016-.07.004-.039.008-.035.004-.039.004-.043v-.176zm-.02-.004zm-.047-1.391l-.02.008.012.031.016.07.004.031.008.035.004.039.008.035.004.039.004.035.004.043.004.039v.039l.008.039v.043l.004.039.004.047v.086l.004.043v.191l-.004.051v.047l-.004.051v.051l-.016.203-.004.059h.02l.004-.055.004-.051.004-.055.004-.051v-.051l.004-.055v-.047l.004-.051V8.52l-.004-.043v-.043l-.008-.039v-.043l-.004-.043-.008-.039-.004-.039-.008-.035-.004-.043-.039-.176-.008-.031-.008-.035zm-.164-.57v.02l-.008-.004.008.016.012.035.008.039.004.016.008.02.008.039.016.039.004.023.016.047.004.02.004.023.008.02.004.023.008.02.004.02.008.023.008.039.008.02.012.047v.012l.004.012v.008l.02-.004v-.012l-.008-.023-.004-.016v-.023l-.008-.012-.004-.02-.004-.016-.004-.02-.008-.023-.004-.02-.004-.023-.008-.02-.004-.023-.016-.039-.012-.07-.008-.02-.004-.02-.016-.039-.004-.02-.008-.02v-.02l-.008-.016-.004-.012-.004-.016v-.012l-.008-.008-.004-.012-.008-.004zm.008.004l-.004-.008h-.004zm-.008.008v-.012zm.008-.008l-.004-.008h-.004zm0 0" class="sr-B"/><path d="M11.367 7.406l-.129.148c.035.027-.027.141.008.359.02.129.098.277.113.441.047.531.047 1.195-.109 1.621.289-.031.391-.297.398-.793.008-.41.008-.895-.094-1.453-.02-.129-.082-.234-.187-.32zm0 0" class="sr-C"/><path d="M11.246 7.563l.129-.148-.016-.012-.129.148v.016h.012zm-.016-.012l-.008.008.008.004v-.016zm.004.371h.023l-.008-.027v-.02l-.004-.02v-.156l.004-.012v-.023l.008-.012v-.02l.004-.008v-.059l-.012-.012v-.004l-.016.016v.004h.004v.008h.004v.047l-.004.008v.02l-.004.012v.023l-.004.016v.16l.004.02v.02l.008.023zm0 0zm.113.434h.02v-.039l-.004-.012-.004-.016v-.012l-.004-.02v-.016l-.008-.016-.004-.012-.008-.031-.004-.012-.004-.016-.004-.012-.004-.016-.004-.012-.008-.016V8.09l-.004-.016-.004-.012-.004-.016-.004-.012v-.012l-.008-.012-.004-.016-.004-.008-.004-.016v-.012l-.004-.012v-.012l-.004-.012v-.012h-.02v.027l.004.012v.012l.008.012v.016l.004.016.008.023v.012l.008.016.008.023.004.016.008.023.004.016.004.012.008.016.008.031.004.012.004.016v.012l.004.012.008.016v.016l.004.016v.012l.004.016zm-.098 1.629v-.02l.012.016.016-.039.023-.086.012-.047.012-.043.008-.051.012-.047.008-.047.023-.152.004-.051.008-.109.004-.051v-.055l.004-.055v-.047l.004-.059v-.219l-.004-.051v-.055l-.004-.055v-.055l-.004-.051-.008-.055-.004-.051-.004-.055-.004-.047h-.02l.008.051.004.055.008.102v.051l.004.051v.055l.004.055v.051l.004.055v.227l-.004.051v.055l-.004.055-.004.051-.004.055-.004.051-.008.051-.004.051-.008.047-.012.051-.016.094-.008.051-.016.043-.035.129-.016.039zm-.008-.012l-.008.016h.016zm.418-.789h-.02v.043l-.004.047v.039l-.004.047-.004.039v.039l-.004.035-.008.035-.004.035-.004.031-.016.063-.012.031-.008.027-.008.023-.012.027-.012.023-.012.02-.016.02-.012.02-.016.023-.016.02-.016.012-.02.012-.023.016-.039.023-.039.016-.027.004-.023.004-.027.004.004.02.055-.008.02-.008.027-.008.023-.012.02-.012.023-.008.039-.031.016-.012.023-.02.012-.02.016-.023.012-.02.012-.023.012-.02.023-.055.008-.027.012-.031.008-.031.004-.035.008-.027.008-.035.008-.039.004-.039v-.039l.004-.039v-.043l.004-.043v-.047l.004-.043zm-.094-1.457l-.02.004.012.055.008.051.004.051.008.051.008.047.008.051.008.047.004.051.004.047.004.051.008.047v.047l.008.094v.047l.004.047v.043l.004.043v.09l.004.043v.449h.02v-.539l-.004-.043v-.039l-.004-.047v-.047l-.02-.234-.004-.051-.004-.047-.008-.047-.004-.051-.031-.203-.012-.051-.008-.055zm-.02.004zm-.184-.328l.016.012h-.016l.008.012.012.008.016.016.008.012.008.004.012.008.008.012.016.016.004.012.008.012.008.008.004.008.008.008.004.012.004.008.008.008.004.008.008.012.004.008.008.023.004.008.008.023.004.016v.008l.004.012v.012l.004.012v.012l.02-.004v-.012l-.008-.023v-.012l-.004-.012v-.012l-.008-.012-.008-.023-.004-.008-.004-.012V7.59l-.008-.012-.004-.012-.008-.012-.004-.012-.008-.008-.004-.012-.023-.035-.004-.012-.078-.078-.012-.008h-.012zm.012 0l-.008-.008-.004.008zm0 0" class="sr-B"/><path d="M10.641 7.801l.266-.031.102.523c.02.18-.035.34-.102.457-.098-.059-.141-.187-.184-.371s-.051-.383-.078-.578zm0 0" class="sr-C"/><path d="M10.906 7.762l-.266.027v.02l.27-.031.008-.012-.012-.008zm.012.004v-.008h-.012l.016.008zm.078.527h.023l-.004-.012v-.016l-.004-.012v-.02l-.004-.012v-.016L11 8.195v-.012l-.004-.016v-.016l-.008-.012v-.02l-.008-.031-.004-.02v-.016l-.004-.02-.004-.016V8l-.016-.078-.004-.023-.008-.02-.004-.02-.008-.047v-.02l-.008-.027-.02.004.004.023v.02l.008.027.008.02.004.023.004.02.004.023.016.078v.02l.004.02.008.031v.023l.008.012v.016l.004.016v.016l.004.016.004.012v.012l.004.016v.023l.004.012v.023l.004.008v.02zm-.086.453l-.008.016h.012l.008-.016.016-.023.004-.008.008-.012.004-.016.004-.012.004-.016.008-.012.004-.016.004-.012.008-.031v-.016l.008-.012.004-.016.004-.012V8.52l.008-.016v-.016l.004-.016v-.016l.004-.012V8.43l.004-.02v-.121h-.023v.133l-.004.02v.027l-.004.016v.031l-.008.016-.004.016v.016l-.004.012-.004.016-.008.016-.02.059-.004.016-.008.012-.008.023-.016.023-.004.012.012-.004zm-.008.016l.008.008.004-.008zm-.172-.379h-.02l.004.02.004.016.004.02v.016l.008.016.004.012.008.031v.016l.008.016.004.012.008.012v.016l.008.012.004.016.004.012.004.008.008.012.004.012.008.008.008.016.004.012.008.008.012.008.008.012.031.031.008.012.008.004.008.008.012-.016-.008-.008-.012-.004-.008-.008-.004-.008-.008-.004-.016-.016-.008-.012-.023-.023-.008-.012-.008-.008-.004-.008-.008-.023-.008-.012-.004-.012-.004-.016-.004-.012-.008-.016-.008-.023v-.016L10.75 8.5l-.023-.094-.004-.02zm-.09-.57v-.02l-.012.008v.02l.008.023v.016l.004.02v.02l.004.016v.02l.004.016v.02l.004.02v.02l.004.02v.02l.004.016v.02l.004.016v.02l.004.016v.02l.004.023.004.016v.02l.004.016.004.02v.016l.004.02.008.031v.02l.008.02v.02l.004.012h.02l-.004-.02v-.016l-.008-.02-.004-.016v-.02l-.004-.016v-.02l-.008-.016-.004-.02v-.02l-.004-.016v-.023l-.004-.016v-.02l-.004-.016v-.035l-.004-.02v-.02l-.004-.016V8l-.004-.016v-.02l-.008-.02V7.91l-.004-.02v-.016l-.004-.02V7.84l-.008-.023v-.02l-.012.016zm0-.02h-.012l.004.008zm0 0v.02zm0 .02zm0 0" class="sr-B"/><path d="M9.945 8.371h.238l.008.445c-.008.152-.047.281-.109.375-.07-.059-.141-.164-.152-.324s.012-.328.016-.5zm0 0" class="sr-C"/><path d="M10.184 8.363h-.242v.02h.242l.008-.008zm.008.012v-.012h-.008zm-.008.441h.02V8.59l-.004-.016v-.09l-.004-.016v-.098h-.02v.156l.004.012v.113l.004.012v.156zm-.094.371l-.016.012h.02l.004-.008.008-.008.004-.008.008-.012.004-.008.008-.012v-.008l.008-.012.004-.008.004-.012v-.012l.008-.012.012-.035v-.008l.004-.012.004-.016.004-.012v-.012l.008-.023v-.016l.004-.008v-.016l.004-.016v-.008l.004-.016v-.051l.004-.016h-.02v.023l-.004.016v.027l-.004.012v.016l-.004.012v.016l-.004.012v.012l-.008.012v.012L10.152 9v.016l-.008.012v.012l-.004.012-.004.008-.004.012-.004.008-.004.016-.008.008-.012.035-.008.008-.008.023-.008.012-.008.008-.004.012h.012zm-.016.012l.012.012.004-.012zm-.133-.332h-.02v.031l.004.016v.027l.008.016v.012l.004.016.004.012.004.016.004.012.004.008.004.012.008.012v.008l.008.016.004.012.004.008.004.012.008.008.004.008.008.012.008.008.008.004.016.016.004.012.016.016.008.004.008.008.008.004.016-.012-.004-.004-.012-.004-.008-.016-.008-.004-.008-.008-.004-.008-.012-.012-.004-.008-.008-.012-.008-.008-.012-.023L10 9.078l-.004-.012-.004-.008-.008-.012-.004-.012-.004-.008v-.012l-.004-.012v-.012l-.008-.012v-.016l-.004-.012v-.027l-.004-.016v-.031zm0-.484v-.02l-.008.012v.109l-.004.023v.09l-.004.016v.059l-.004.016v.184h.02v-.238l.004-.016v-.039l.004-.02V8.5l.004-.02v-.105l-.008.008zm0-.02h-.008v.012l.012-.012zm0 0" class="sr-B"/><path d="M9.688 8.484l.238.012-.004.445a.74.74 0 0 1-.125.371c-.07-.062-.137-.172-.141-.332s.02-.324.031-.496zm0 0" class="sr-C"/><path d="M9.926 8.484l-.238-.012v.02l.238.016.008-.012zm.008.012v-.012h-.008zm-.023.445h.02v-.082l.004-.012v-.355h-.02v.406l-.004.008zm-.109.363l-.012.016h.016l.004-.012.004-.008.008-.012.004-.008.008-.012.008-.008.008-.012.004-.012.004-.008.008-.012.004-.012.004-.008.004-.016.008-.023v-.008l.008-.012.004-.012v-.016l.004-.012.004-.008v-.016l.008-.016v-.012l.004-.012v-.016l.004-.012v-.016l.004-.016v-.039h-.016v.012l-.004.016v.027l-.004.016-.004.012v.016l-.004.012v.012l-.008.012v.016l-.004.012v.012l-.012.035v.012l-.008.012-.004.012-.004.008-.004.012-.004.008-.008.023-.008.012-.004.012-.004.008-.004.012-.008.008-.004.008-.008.012-.004.004h.016zm-.012.016l.008.008.008-.012h-.016zm-.125-.34h-.02v.047l.004.012v.016l.008.023v.016l.008.012v.012l.016.047.008.012.004.012.008.012.008.016.016.016.004.012.008.008.004.008.008.012.004.008.008.004.004.008.027.027.012-.016-.004-.008-.027-.027-.008-.004-.008-.012-.004-.008-.008-.008-.008-.016-.008-.008-.004-.008-.008-.023-.008-.008-.004-.016-.004-.008-.02-.059v-.012l-.004-.012v-.012l-.004-.016v-.012l-.008-.016zm.023-.508v.02l-.012-.008v.047l-.004.016v.031l-.004.016v.066l-.004.016v.027l-.004.016v.016l-.004.016v.051l-.004.016v.047l-.004.016v.105h.02v-.148l.004-.016v-.031l.004-.016v-.035l.004-.02v-.027l.004-.016v-.031l.004-.016v-.031l.004-.02v-.031l.004-.016v-.043l-.008-.012zm.008.012v-.012h-.008zm-.008.008v-.02zm0 0" class="sr-B"/><path d="M10.188 8.246l.238-.016.043.441c.004.152-.02.285-.078.387-.078-.059-.156-.16-.176-.316s-.016-.328-.027-.5zm0 0" class="sr-C"/><path d="M10.426 8.219l-.238.02v.023l.238-.023.008-.008-.008-.008zm.008.012v-.012h-.008zm.027.445h.02v-.055l-.004-.008v-.035l-.004-.012v-.023l-.004-.012v-.043l-.004-.016v-.027l-.004-.016v-.016l-.004-.016v-.02l-.004-.016v-.02l-.004-.02v-.02l-.008-.02v-.02l-.004-.02v-.02l-.02.004v.039l.008.02v.02l.004.02v.02l.004.02v.012l.004.02v.016l.004.02v.016l.004.016v.023l.004.016v.027l.004.012v.023l.004.012v.035l.004.008zm-.066.375l-.008.016.012-.004.004-.008.004-.012.004-.008.008-.008.004-.008v-.012l.008-.012.004-.008v-.012l.008-.012v-.012l.004-.012V8.93l.008-.008v-.016l.004-.012v-.035l.004-.008v-.016l.004-.012v-.023l.004-.016v-.109h-.02v.133l-.004.016v.016l-.004.012v.012l-.004.008v.012l-.004.016-.004.012v.012l-.004.012v.008l-.008.012-.012.035-.004.008-.008.023-.008.008-.004.012-.008.016h.016zm-.008.016l.008.004.004-.008-.016.004zm-.164-.32h-.02l.004.016v.016l.004.016v.012l.008.016.02.059.008.012.004.012.008.012.004.012.008.012.008.008.004.012.008.008.004.008.008.008.008.012.004.008.008.012.008.004.008.008.008.012.008.004.016.016.008.004.012.012.012-.016-.016-.008-.004-.008-.008-.004-.004-.008-.008-.004-.027-.027-.004-.008-.008-.012-.004-.008-.004-.004-.008-.012-.004-.008-.008-.008-.008-.012-.008-.023v-.008l-.008-.012-.004-.012-.004-.008-.004-.012-.008-.016-.004-.016-.008-.023v-.016l-.004-.012-.004-.02zm-.035-.488v-.02l-.012.008v.031l.004.016v.113l.004.016v.18l.004.016v.043l.004.016v.016l.004.016v.02l.004.012v.016l.02-.004v-.016l-.004-.016v-.027l-.004-.016v-.035l-.004-.016v-.066l-.004-.016v-.121l-.004-.016v-.098l-.004-.016v-.047l-.012.012zm0-.02h-.012v.008l.012-.012zm0 0" class="sr-B"/><path d="M10.406 7.992l.266-.109c.043.176.102.758 0 1a.46.46 0 0 1-.207-.34c-.031-.18-.039-.363-.062-.551zm0 0" class="sr-C"/><path d="M10.664 7.875l-.258.105.004.02.262-.105.008-.012zm.016.004l-.004-.008-.012.004zm-.004 1l-.016.016.016-.004.012-.023.016-.055.008-.031.004-.031.008-.031.004-.031.004-.035v-.035l.004-.039v-.07l.004-.039v-.109l-.004-.039v-.035l-.004-.039-.004-.035V8.18l-.008-.035-.004-.035v-.031l-.004-.031-.004-.027-.008-.031-.008-.047-.004-.02v-.023l-.004-.02-.023.008.004.02v.016l.016.047.008.055.012.094v.035l.004.035v.031l.004.039v.035l.004.035v.074l.004.043v.105l-.004.039v.031l-.008.07-.004.031-.004.035-.008.027-.004.027-.012.027-.008.023-.008.02h.016zm-.016.016l.012.004.004-.008zm-.187-.355h-.02v.02l.008.016.004.02v.012l.008.031.008.016.004.012.004.016.008.012.004.012.008.012.004.012.008.012.004.012.012.012.004.016.008.008.008.012.008.008.004.008.008.012.02.02.008.004.031.031.012.008.008.008.008.004.012-.016-.008-.008-.008-.004-.008-.008-.008-.004-.055-.055-.008-.012-.004-.008-.023-.023-.004-.016-.008-.008-.004-.012-.008-.012-.004-.012-.004-.016-.008-.008-.004-.016-.008-.016-.004-.012-.004-.016-.004-.012v-.016l-.008-.016-.004-.016v-.016zM10.414 8l-.008-.02-.008.012v.02l.004.016v.035l.004.02v.02l.004.016v.035l.004.02v.031l.004.02v.035l.004.02v.031l.004.02v.016l.004.02v.016l.004.016v.02l.004.016v.016l.004.02v.016l.004.02v.016l.008.016v.016h.02v-.016l-.004-.02V8.48l-.004-.016v-.02l-.004-.016v-.02l-.004-.016v-.02l-.004-.012v-.02l-.004-.016v-.031l-.004-.02v-.016l-.004-.02v-.043l-.004-.016v-.035l-.004-.016v-.035l-.004-.023v-.027l-.004-.02v-.016l-.004-.023zm-.008-.02l-.008.004v.008zm0 .012L10.41 8zm0-.012l-.008.008v.004l.008-.008zm0 0" class="sr-B"/><g class="sr-D"><g class="sr-E sr-F"><path d="M10.328 14.024c-.156.125-.301-.164-.156-.551.098-.285.609-.176.324.211-.012.02-.031.012-.027-.008.02-.082-.031-.129-.109-.113-.211.043-.223.441.012.352.043-.004.008.082-.035.113zm0 0"/><path d="M10.086 12.785c.02.066.102.152.16.215.09.098.066.242.004.32a.6.6 0 0 0-.117.258c-.008.047-.027.148-.016.313.008.078.055.121.102.152.02.02-.012.063-.086.121-.008.004-.031.02-.039.059-.004.008-.043.008-.047 0-.008-.039-.031-.055-.039-.059-.074-.059-.109-.102-.082-.121.043-.031.09-.074.098-.152.012-.16-.004-.266-.016-.313-.016-.074-.047-.172-.121-.258-.059-.078-.082-.223.012-.32.059-.063.141-.148.16-.215 0-.016.004-.02.012-.02s.016.004.016.02zm0 0"/></g><path d="M10.188 13.711h-.234a.07.07 0 1 0 0 .141h.234a.07.07 0 0 0 .07-.07c0-.043-.035-.07-.074-.07zm0 0"/></g><path d="M9.953 13.719h.234v-.02h-.234zm-.078.063h.02v-.02l.004-.004v-.008l.004-.004v-.004h.004v-.004h.004v-.004h.004v-.004h.008v-.004h.004l.004-.004h.012v-.004h.012v-.02h-.02l-.004.004h-.008v.004h-.008l-.004.004h-.004v.004h-.004v.004l-.008.004-.004.004v.004l-.004.004-.004.008v.004l-.004.008v.008l-.004.004zm.02 0h-.02zm.059.078v-.02h-.016l-.004-.004H9.93l-.008-.008h-.008v-.004l-.004-.004v-.004l-.004-.004-.004-.008v-.004l-.004-.004v-.016h-.02v.023l.004.004v.008h.004v.004l.004.008h.004v.004h.004v.008h.004l.008.004v.004h.004l.008.004h.004l.004.004h.008l.004.004h.016zm.23-.02h-.23v.02h.234v-.02zm.082-.059h-.023v.02l-.004.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004v.004h-.004l-.004.004h-.004l-.012.012h-.012v.02h.023v-.004h.008l.004-.004h.004l.02-.02.004-.008.008-.008v-.004l.004-.004v-.008l.004-.004zm-.023 0h.023zm-.059-.082v.02h.023v.004h.004l.004.004h.004v.004h.004v.004l.012.012v.004l.004.008v.008h.004v.012h.023v-.023l-.004-.004v-.004h-.004v-.008h-.008v-.004l-.004-.004v-.004h-.004l-.004-.004v-.004h-.004v-.004h-.008v-.004h-.004l-.008-.004h-.004l-.004-.004h-.008l-.004-.004h-.016zm0 0" class="sr-B"/><path d="M9.746 11.582l-.012-.219c.09-.043.305 0 .395.203.078.195.203.367.359.504-.199.039-.367-.004-.473-.145-.145-.199-.223-.316-.273-.344zm0 0" class="sr-C"/><path d="M9.727 11.367l.008.219h.02l-.008-.219-.016-.012zm.004-.012l-.004.004v.008zm.391.215l.02-.008-.012-.02-.008-.016-.012-.02-.012-.016-.008-.016-.012-.016-.016-.012-.012-.012-.012-.016-.016-.012-.012-.012-.016-.008-.012-.008-.047-.023-.031-.008-.012-.008h-.016l-.016-.004H9.84l-.016-.008h-.039l-.012.008h-.012l-.023.008-.008.004.008.02.008-.008h.012l.012-.004h.008l.012-.004h.059l.016.004h.012l.012.008.016.004.012.004.031.008.016.008.012.008.016.008.008.008.031.023.008.012.039.039.008.012.016.02.008.02.008.012zm.363.488l.004.02.004-.016-.012-.012-.012-.008-.023-.023-.016-.012-.035-.035-.012-.016-.012-.012-.008-.012-.016-.016-.008-.016-.016-.012-.008-.016-.012-.016-.008-.016-.012-.016-.008-.016-.012-.02-.008-.016-.016-.016-.012-.02-.008-.016-.023-.039-.012-.023-.008-.02-.023-.039-.012-.023-.008-.023-.02.008.012.023.008.02.012.023.012.02.008.023.023.039.008.02.023.039.035.047.008.02.023.031.012.012.008.016.012.016.012.012.012.016.023.023.012.016.008.012.012.008.012.016.016.012.035.035.016.008.004-.02zm.004.02h.023l-.02-.016zm-.465-.156l-.016.008.012.016.008.012.016.012.047.047.012.008.016.012.012.008.016.004.031.016.012.004.016.004.012.008.031.008h.02l.016.004h.016l.02.004h.121l.02-.004.016-.004.02-.004-.004-.02-.02.004-.016.004h-.02l-.016.004h-.133l-.016-.008h-.016l-.031-.008-.012-.004-.016-.008-.012-.004-.016-.004-.016-.008-.012-.004-.016-.008-.012-.008-.012-.012-.012-.008-.012-.012-.012-.008-.012-.012-.008-.012-.016-.012-.008-.012zm-.27-.34h-.02l.004.012.004.004h.004l.027.027.004.008.008.004.004.008.008.012.004.008.016.016.004.012.02.02.008.012.008.008.008.016.012.012.008.016.012.012.008.016.012.012.035.047.012.02.012.016.016.02.012.016.016-.012-.012-.02-.016-.02-.012-.016-.012-.02-.023-.031-.012-.012-.008-.016-.012-.012-.012-.016-.008-.016-.012-.012-.039-.059-.012-.012-.004-.008-.008-.008-.008-.012-.004-.008-.02-.02-.008-.004-.004-.004-.004-.008-.016-.008H9.75l-.008-.004.008.008zm-.02 0v.008h.004zm0 0" class="sr-B"/><path d="M9.582 11.613l.234-.102.191.402c.055.141.07.277.047.391a.43.43 0 0 1-.281-.23c-.074-.141-.121-.305-.191-.461zm0 0" class="sr-C"/><path d="M9.813 11.504l-.234.102.008.02.234-.102.008-.016-.012-.004zm.016.004V11.5l-.012.004zm.172.414l.023-.012-.004-.004-.004-.008-.004-.012v-.008l-.004-.004-.008-.012-.008-.016-.008-.023-.004-.008-.008-.012-.008-.023-.008-.008-.004-.016-.004-.012-.008-.012-.004-.016-.008-.016-.008-.012-.008-.016-.004-.016-.031-.062-.016-.039-.008-.016-.012-.016-.008-.02-.016.012.008.016.012.02.016.031.008.02.008.016.008.02.008.012.016.031.004.016.016.023.008.016.004.012.004.016.008.012.004.008.008.012.004.012.008.012.008.023.008.008.004.012.008.016v.012l.004.008.004.004v.008l.008.008zm.055.375l-.004.02.012-.008v-.012l.004-.012v-.012l.004-.012v-.035l.004-.008v-.074l-.004-.012v-.023l-.004-.016v-.012l-.004-.012v-.012l-.004-.012-.004-.016v-.012l-.004-.016v-.012l-.008-.016-.004-.012-.004-.016-.004-.012-.008-.031-.02.008.008.016v.012l.008.012.008.023.004.016V12l.004.016v.016l.008.012v.012l.004.012v.012l.004.016v.008l.004.012v.039l.004.008v.07l-.004.012v.023l-.004.012v.012l-.004.012.012-.008zm-.004.02h.012v-.008zm-.27-.25l-.02.012.012.012.004.012.039.059.012.012.016.023.012.008.016.016.012.008.008.008.012.008.008.008.023.016.008.008.012.004.023.012.012.004.008.008h.008l.012.004.008.004h.012l.008.004h.008l.004-.02h-.016l-.008-.004h-.008l-.008-.008h-.012l-.008-.004-.012-.004-.016-.008-.012-.004-.008-.008-.012-.008-.008-.004-.016-.016-.012-.008-.016-.016-.012-.008-.016-.016-.008-.016-.016-.016-.008-.012-.012-.012-.008-.012-.004-.012-.008-.012-.008-.016-.004-.012zm-.195-.445l-.008-.016-.004.012.004.012.016.031.004.016.008.016.004.012.004.016.004.012.008.016.004.016.008.016.004.012.004.016.008.012.016.047.008.016.008.031.008.016.004.016.008.012.004.016.004.012.008.016.004.016.012.016.004.012.008.012.012.012.004.016.02-.012-.008-.012-.008-.016-.004-.012-.008-.012L9.746 12l-.008-.012-.004-.012-.008-.016-.004-.012-.004-.016-.016-.047-.008-.012-.004-.016v-.016l-.008-.016-.008-.012-.004-.016-.008-.016-.004-.012-.008-.016-.004-.016-.008-.016-.004-.012-.008-.016-.004-.02-.004-.012-.008-.016-.004-.016-.016-.031-.004.016zm-.008-.016l-.008.004.004.008zm0 0" class="sr-B"/><path d="M9.516 11.613l.254-.043.086.441c.02.148 0 .281-.055.387-.086-.043-.176-.137-.211-.293-.043-.156-.047-.324-.074-.492zm0 0" class="sr-C"/><path d="M9.766 11.563l-.25.043v.02l.254-.043.008-.012zm.012.008v-.008l-.012.004.012.008zm.066.441h.02L9.859 12v-.02l-.004-.012v-.012l-.004-.012v-.008l-.004-.012v-.016l-.004-.008v-.012l-.004-.012v-.012l-.004-.012-.004-.016v-.012l-.008-.016v-.012l-.004-.016v-.016l-.004-.02-.004-.016v-.016l-.008-.02-.004-.012-.004-.023-.004-.016-.016-.078-.02.004.004.023.012.059.004.016.004.02.004.016.004.02.004.012v.02l.008.016.004.016v.016l.004.012v.012l.008.031v.012l.008.023v.008l.004.012v.016l.004.008v.023l.004.012v.008l.004.008v.023zm-.039.379l-.012.016.016-.004.004-.008.004-.012.004-.008v-.012l.008-.008.012-.035v-.012l.004-.012v-.012l.008-.012v-.012l.004-.012v-.012l.004-.012v-.055l.004-.016v-.105l-.004-.016v-.027h-.02v.059l.004.016v.102l-.004.012v.023l-.008.012v.012l-.004.016v.012l-.004.012v.008l-.004.012v.016l-.008.008v.012l-.008.023-.004.008-.004.012-.008.008-.004.012.016-.004zm-.012.016l.012.008.004-.012zm-.199-.301l-.02.004.004.012.004.016v.016l.008.012.004.016.004.012.016.023.004.012.008.012.012.023.008.008.004.012.008.008.008.012.012.008.031.031.008.012.008.004.016.016.008.004.016.016.012.004.008.008.016.008.012-.016-.008-.004-.008-.008h-.008l-.008-.008-.008-.004-.008-.008-.012-.004-.008-.008-.008-.004-.008-.008-.004-.008-.016-.016-.012-.008-.004-.008-.016-.016-.008-.012-.004-.012-.008-.012-.004-.012-.016-.023-.004-.008-.008-.012-.012-.035-.008-.016-.004-.016-.004-.012-.004-.016zm-.078-.5v.02l-.012-.012v.016l.004.016v.016l.004.016v.016l.004.016v.016l.004.016v.016l.004.016v.016l.004.016v.035l.004.016v.016l.004.016v.016l.004.016v.016l.004.016v.02l.004.012v.016l.008.031v.012l.008.031v.012l.008.016.004.016.02-.004-.008-.031v-.016l-.004-.016v-.012l-.008-.016V12l-.004-.016v-.016l-.004-.016v-.027l-.004-.02v-.012l-.004-.016v-.02l-.004-.016v-.016l-.004-.016v-.031l-.004-.016v-.016l-.004-.016v-.02l-.004-.012v-.016l-.004-.016v-.02l-.004-.02v-.012l-.004-.016-.012-.008zm.008.004v-.008h-.012l.008.012zm-.012.012v-.02zm0 0" class="sr-B"/><path d="M9.477 11.27h-.152c-.086.039-.18.242-.074.438.109.18.176.379.191.586.148-.137.215-.297.164-.469-.066-.23-.137-.504-.129-.559zm0 0" class="sr-C"/><path d="M9.324 11.281h.152v-.02H9.32zm0-.02H9.32zm-.078.449l.016-.012-.012-.02-.016-.031-.004-.02-.008-.016-.004-.02v-.016l-.004-.02v-.078l.004-.02v-.012l.008-.031.008-.016.004-.016.004-.012.016-.023.004-.012.008-.012.004-.008.031-.031.008-.004.008-.008.008-.004-.012-.02-.008.008-.008.004-.012.008-.023.023-.023.035-.004.012-.008.012-.004.016-.004.012-.008.016-.004.012-.004.016v.016l-.004.02v.016l-.004.016v.07l.004.02v.02l.008.016.004.02.031.078zm.199.59l-.008-.016.016.008v-.016l-.004-.02v-.047l-.008-.02v-.016l-.004-.016-.004-.02-.004-.016v-.02l-.004-.016-.004-.02-.008-.016-.004-.02-.004-.016-.004-.02-.008-.016-.004-.02-.008-.02-.008-.016-.008-.023-.023-.059-.012-.02-.008-.02-.012-.02-.008-.02-.012-.027-.012-.02-.012-.023-.02.012.016.02.012.023.023.039.008.023.012.023.008.02.012.02.008.016.016.039.004.02.008.016.008.02.004.02.004.016.008.02.008.016.004.016.004.02.004.016.004.02v.012l.008.016v.023l.004.012v.016l.004.016v.02l.004.016v.035l.02.004zm-.012-.008v.02l.016-.012zm.184-.473l-.02.008.004.02.004.016v.016l.004.012v.016l.004.02v.059l-.008.031v.016l-.004.012-.008.016-.004.016-.008.016-.016.023-.004.016-.012.012-.016.031-.016.023-.012.016-.008.012-.023.023-.012.016-.016.012-.008.016.012.012.016-.012.012-.012.012-.016.016-.012.012-.016.012-.012.008-.016.012-.012.008-.016.012-.016.004-.016.012-.012.016-.031.008-.012.004-.02.008-.012.008-.031.004-.012V12l.004-.016v-.016l.004-.016v-.051l-.004-.016v-.016l-.004-.016-.008-.02-.004-.016zm-.141-.559v.02l-.008-.012v.035l.004.008v.023l.004.016.004.012v.016l.004.016v.016l.004.023.004.016.004.02.008.02v.02l.008.02.004.02.008.02.004.023.004.02.004.023.008.02.004.023.008.02.004.023.008.023.004.023.008.023.004.02.008.023.02-.008-.008-.02-.004-.02-.012-.023-.008-.02-.004-.023-.008-.023-.008-.02-.004-.027-.008-.02-.004-.023-.008-.02-.008-.039-.008-.047-.008-.039-.004-.016-.008-.02-.008-.031v-.016l-.004-.016v-.016l-.004-.016v-.012l-.004-.012v-.039l-.008-.012zm.012.012v-.012H9.48l.008.008zm-.008 0v-.012zm.008 0v-.012H9.48l.012.008zm0 0" class="sr-B"/><path d="M9.41 11.164l.238-.086.168.41c.047.145.055.281.023.391a.43.43 0 0 1-.281-.23c-.066-.148-.09-.328-.148-.484zm0 0" class="sr-C"/><path d="M9.645 11.066l-.238.086.008.023.238-.09.008-.012-.012-.008zm.016.008l-.004-.008h-.008zm.148.418l.02-.004v-.008l-.004-.008v-.008l-.008-.008v-.008l-.004-.012-.004-.008v-.012l-.008-.012-.004-.008-.016-.047-.008-.012-.008-.023-.004-.016-.016-.023-.008-.016-.004-.016-.008-.016-.004-.016-.008-.016-.008-.02-.008-.016-.004-.02-.008-.016-.012-.02-.008-.016-.008-.023-.02.012.012.02.008.02.008.016.016.039.016.031.004.016.023.047.004.016.008.016.004.012.008.012v.02l.008.012.004.012.008.012v.012l.004.012.004.008.008.023v.008l.008.012.004.008v.008l.004.008v.008l.004.004v.008zm.035.383l-.004.02.012-.008.004-.012v-.012l.004-.012v-.008l.004-.012v-.012l.004-.016v-.145l-.004-.016v-.023l-.004-.012v-.016l-.004-.012v-.012l-.008-.012-.004-.016v-.012l-.004-.012-.008-.012-.004-.016-.02.008.008.012.004.016.008.023v.016l.004.012v.016l.008.023v.012l.004.012v.02l.004.016v.129l-.004.012v.023l-.004.008-.004.012v.008l-.004.012.012-.008zm-.004.02h.008v-.008l-.008.004zm-.273-.254l-.016.012.004.012.012.023.008.012.008.016.02.02.016.023.035.035.012.008.016.016.012.004.008.012.012.008.008.004.012.008.008.004.008.008h.012l.012.008.008.004.012.004.008.004h.008l.012.004.008.004h.012l.008-.016-.012-.004h-.008l-.012-.004-.008-.004h-.008l-.012-.008-.023-.012-.012-.004-.012-.008-.008-.008-.008-.004-.012-.008-.008-.008-.012-.004-.016-.016-.012-.008-.016-.016-.008-.012-.016-.016-.008-.012-.008-.008-.016-.023-.004-.012-.016-.023-.004-.016zm-.152-.469l-.008-.02-.008.012.008.02.008.031.008.012.004.016.004.023.004.012.004.016.008.016v.016l.016.063v.02l.008.012.012.047v.016l.008.031.008.016.004.016.004.012.008.016.008.031.008.016.004.012.008.016.004.012.02-.012-.008-.008-.008-.016-.004-.012-.008-.012-.004-.016-.008-.016-.012-.047-.004-.012-.008-.02-.004-.012v-.016l-.008-.016-.004-.016-.004-.02-.008-.031-.004-.012-.016-.062-.004-.02-.004-.012-.004-.016-.004-.02-.008-.016-.004-.012-.004-.016-.016-.031-.004.012zm-.008-.02l-.008.004v.008zm.004.012l.004.008zm-.004-.012l-.008.004v.008zm0 0" class="sr-B"/><path d="M9.574 10.992l.051-.328c.059-.012.133.117.199.191.023.02.043.035.055.055.031.051.055.105.066.16.039.203.129.395.262.555-.207-.004-.359-.078-.437-.242-.098-.219-.152-.352-.195-.391zm0 0" class="sr-C"/><path d="M9.617 10.664l-.055.328h.02l.051-.324-.012-.012-.008.008zm.008-.008h-.008v.004l.004-.008zm.191.207l.016-.016-.012-.012-.004-.008-.008-.008-.004-.008-.016-.016-.004-.012-.004-.008-.008-.008-.004-.008-.008-.008-.008-.012-.004-.008-.008-.008-.008-.004-.008-.016-.008-.004-.008-.008-.004-.008-.008-.004-.004-.004-.016-.008h-.008l-.008-.008h-.008l-.008-.004h-.02l.004.02h.02l.008.008.016.008.012.012v.008l.008.004.027.027.004.012.016.016.004.008.016.016.008.012.004.008.023.023.004.008.023.023zm.051.051l.016-.012v-.004h-.004l-.004-.004v-.004h-.004v-.004h-.004v-.004h-.004v-.004h-.004v-.004l-.004-.004h-.004v-.004l-.004-.004h-.004v-.004H9.84v-.004h-.004v-.004l-.02.012h.004l.004.004v.004h.004v.004h.004l.004.004v.004h.004l.004.004v.004h.004v.004h.004v.004h.004v.004h.004v.004l.004.004v.004zm.066.156l.02-.004v-.012l-.004-.008v-.008l-.004-.004v-.016l-.004-.008v-.004L9.938 11v-.008h-.004v-.008l-.004-.004v-.004l-.004-.004v-.004l-.004-.008v-.004l-.008-.004v-.004l-.004-.004v-.004h-.004v-.008l-.008-.004v-.004l-.004-.004v-.008l-.008-.008-.016.012.004.008v.004l.008.008v.008l.008.008v.004l.004.008v.004l.008.008v.004l.004.008v.004l.004.004V11l.004.008v.004l.008.008v.008l.004.008v.004l.004.004v.012l.004.004v.016zm.27.539v.02l.004-.016-.008-.016-.012-.016-.008-.012-.012-.016-.012-.012-.008-.016-.008-.012-.012-.016-.008-.012-.012-.016-.008-.016-.008-.012-.047-.094-.016-.039-.008-.016-.004-.02-.008-.016-.008-.023-.016-.039-.004-.02-.008-.023-.004-.02-.008-.027-.004-.027-.004-.023-.02.004.004.027.008.02.008.023.004.023.008.023.008.02.008.023.031.078.008.016.008.023.016.031.008.02.023.047.012.016.016.031.008.012.023.031.008.012.012.016.008.016.012.012.012.016.008.016.012.012.008-.016zm0 .02h.02l-.016-.016-.008.016zm-.426-.254l-.02.008.008.012.008.02.008.016.008.012.012.016.016.023.035.035.047.031.047.023.012.008.016.004.016.008.031.008.02.004.016.004.02.004.016.004h.02l.016.004h.02l.016.004h.039v-.02h-.055l-.02-.004h-.016l-.016-.004-.023-.004h-.012l-.02-.008-.016-.004-.012-.004-.02-.004-.012-.008-.016-.004-.012-.008-.012-.004-.016-.008-.012-.008-.016-.008-.023-.016-.008-.012-.012-.012-.023-.016-.008-.012-.012-.012-.008-.016-.016-.023-.008-.016zm-.199-.387h-.02v.008l.008.004v.008l.027.027.004.008v.008l.008.012.004.008.008.012.012.035.008.012.004.012.008.012.008.02.004.016.012.012.004.016.008.02.008.016.008.02.008.016.016.039.012.02.004.02.012.02.02-.008-.012-.02-.008-.023-.012-.02-.016-.039-.008-.016-.008-.02-.023-.047-.008-.02-.004-.012-.012-.016-.008-.012-.004-.012-.008-.016-.008-.012-.004-.008-.008-.023-.004-.008-.008-.008-.004-.012-.004-.004-.012-.023-.02-.02-.008-.004.004.008zm-.02 0v.008zm0 0" class="sr-B"/><path d="M9.527 8.301c.035-.008.066-.02.098-.031a1.29 1.29 0 0 1-.43-.441c-.156-.238.066-.656.16-.883.211-.148.363-.371.426-.621.02-.145-.383-.094-.66.039-.34.16-.387.113-.508.141-.047.211.047.227.133.219-.188.301-.266.598-.301 1.027-.039-.43-.121-.727-.305-1.027.086.012.18-.008.133-.215-.121-.027-.168.016-.508-.145-.281-.129-.68-.18-.66-.035.059.273.238.48.426.621.094.223.316.648.16.883-.105.18-.254.328-.43.441.035.012.066.023.102.027a.5.5 0 0 1-.246.074c-.152-.105-.301-.359-.43-.504-.363-.414-.547-.734-.48-.992.09-.277.418-.59-.016-.539s-.793.648-.906 1.367l-.094.668c.234-.086.34-.168.402-.273l-.063.285c.191-.035.332-.129.383-.301.02-.07.047-.129.07-.18.063.02.141.02.234 0 .035.078.301.379.441.602.16.242.406.43.484.438.043.008.055-.078.047-.203l1.258-.008 1.262.008c-.012.121 0 .211.039.207.078-.012.324-.203.484-.445.141-.215.41-.516.445-.602.074.027.156.027.23.004a.82.82 0 0 1 .07.184c.051.172.191.266.387.297a2.83 2.83 0 0 0-.066-.277c.066.098.168.184.406.27l-.098-.668c-.117-.719-.473-1.313-.906-1.363s-.105.258-.016.539c.066.254-.117.574-.48.988-.129.148-.273.402-.426.504a.5.5 0 0 1-.246-.074zm0 0" class="sr-C sr-E sr-F"/><path d="M7.613 7.137c-.043.035-.176.035-.363.047-.293.012-.465-.078-.504-.27.113.133.242.199.395.16.203-.051.32-.086.367-.078.031.012.078.066.105.137zm0 0" class="sr-D"/><g class="sr-B"><path d="M7.25 7.195v-.02h.039l.012-.004h.051l.016-.008h.059l.016-.004H7.5l.012-.004h.02l.008-.004h.008l.008-.004h.008l.012-.004h.004l.008-.004h.008l.008-.004h.004v-.004h.004l.012.012h-.004l-.012.012h-.004l-.008.004h-.008l-.008.004H7.57l-.008.008h-.008l-.012.004h-.02l-.008.004h-.031l-.012.004h-.031l-.012.004h-.059l-.016.004h-.047l-.02.004zm0 0zm-.5-.289l-.012.016.016-.012.004.023.004.012.008.016.004.02.008.012.016.031.008.012.012.012.008.012.012.012.012.008.012.012.016.008.012.008.047.023.02.008.016.004.02.004.023.004.02.004h.02l.02.008h.023l.023.004h.133v.023h-.129l-.02-.004h-.027l-.02-.008h-.023l-.02-.004-.023-.008-.02-.008-.02-.004-.02-.008-.016-.004-.016-.008-.02-.008-.016-.012-.012-.008-.031-.023-.023-.023-.008-.016-.008-.012-.023-.047-.008-.02-.008-.012-.008-.039.02-.008zm.387.16l.004.023h-.016l-.012.004h-.031l-.012.004h-.055L7 7.094l-.012-.004h-.016l-.012-.008h-.012l-.012-.008-.016-.004-.016-.008-.023-.008-.047-.031-.012-.012-.012-.008-.035-.035-.008-.012-.012-.008-.012-.012-.012-.016.016-.012.012.012.008.012.063.063.016.008.008.012.016.008.012.004.012.008.008.004.012.004.012.008.012.004.016.004h.008l.012.004.016.004H7l.016.004h.094l.012-.004zm.371-.078l-.008.02h-.051l-.008.004h-.016l-.023.008h-.008l-.012.004h-.012l-.012.008h-.008l-.031.008h-.012l-.012.008-.047.012h-.016l-.016.004-.02.008-.016.004-.023.004-.016.004-.004-.02.02-.004.016-.004.02-.004.016-.004.02-.004.012-.004.02-.004.012-.004.031-.008.023-.008h.016l.012-.004h.012l.012-.008h.012L7.398 7h.012l.012-.004h.012l.008-.004h.02l.004-.004zm0 0zm.109.156l-.016-.016-.004.012v-.016l-.004-.004v-.008l-.008-.004v-.008l-.008-.004v-.004l-.004-.004-.004-.008v-.008l-.008-.008v-.004l-.004-.004-.004-.008v-.004l-.008-.004h-.004v-.004h-.004l-.004-.008v-.004h-.004l-.004-.004V7.02h-.004v-.004h-.008v-.004h-.004l.004-.02h.004L7.527 7h.004l.008.008h.004v.008l.008.004.004.004h.004l.004.004v.004l.016.016.004.008v.004l.008.004.004.004.004.008v.004l.004.012.004.004v.008l.008.004v.008l.004.004v.008l.004.004v.012zm0-.012l.004.004-.008.004v-.012zm-.43-.707v.027H7.18v-.008h-.004v-.012l.004-.004h.004v-.004zm.305.078l-.012.027-.012-.004-.008-.004h-.012l-.012-.004-.016-.008-.012-.004-.008-.004-.008-.008h-.012l-.016-.008h-.008l-.008-.008H7.34l-.008-.004H7.32l-.008-.004h-.008l-.008-.004h-.008l-.008-.004h-.023l-.012-.004h-.047v-.039h.059l.012.004h.02l.008.004h.008l.016.008h.012l.008.004.012.004h.008l.008.004h.012l.012.008.012.004h.008l.016.004.008.004.012.004h.012l.012.008.012.004.008.004.012.004h.012zm.18.051v.027h-.031l-.008-.004h-.008l-.004-.004h-.008l-.008-.004h-.004l-.008-.004h-.012l-.004-.004h-.012l-.004-.004-.008-.004h-.008l-.008-.004h-.004l-.004-.004h-.008l-.004-.004h-.016L7.5 6.539h-.008l-.004-.004.008-.031H7.5l.004.004h.004l.004.004h.008v.004h.008l.004.004h.008l.004.004h.008l.008.004.004.004h.008l.008.004h.008l.008.004h.008l.008.004h.004l.008.004h.008l.008.004h.012l.004.004h.023zm0 .027v-.027h.008v.004h.004v.004h.004v.016h-.004v.004H7.68v.008h-.004zm.469.152l.004-.023h.004v.004h.004v.016h-.012zm-.199-.039l.008-.023h.008l.008.004h.008l.004.004H8l.004.004h.012l.004.004h.012l.008.004h.012l.008.004h.016l.008.004h.02l.004.004h.016l.012.004h.016l-.004.023h-.02l-.008-.004h-.012l-.008-.004h-.016l-.008-.004h-.027l-.004-.004h-.016l-.004-.004h-.012l-.008-.004h-.012l-.008-.004h-.008l-.008-.004h-.008l-.004-.004h-.012l-.004-.004zm.008-.023l-.008.02h-.004v-.016h.016zm0 0"/><path d="M7.43 6.641l-.016.023-.016-.008-.012-.012-.008-.004-.008-.008-.008-.004-.008-.008-.008-.004-.004-.008-.008-.004-.004-.008-.008-.004-.004-.012-.012-.012-.012-.023-.004-.004-.008-.012-.004-.008-.004-.004v-.008l-.012-.023-.004-.004v-.008l-.004-.008-.008-.004-.004-.008.031-.016.004.004.004.008v.008l.004.004.004.008.004.004v.008l.008.004.012.023v.008l.004.008.008.004.012.023.008.008.008.016.004.004.008.012.016.016.008.004.004.008.004.004.016.008.004.004.008.004zm.152-.105l.031.016-.004.008-.004.004-.008.016-.008.012-.012.012-.004.008-.012.012-.008.004-.004.008-.008.004-.004.008-.004.004-.016.008-.004.004-.008.004H7.5l-.008.008h-.008l-.004.004h-.043l-.008-.004-.008-.008h-.004l.016-.027h.008l.004.004h.035l.004-.004h.004l.008-.004H7.5l.016-.016h.004l.008-.004.004-.008.016-.016.012-.023.012-.012.004-.012.004-.008v-.004zm0 0"/><path d="M7.391 6.621l-.043-.047c-.02-.027-.008-.059.039-.109.031.016.063.027.086.043-.02.059-.043.094-.082.109zm-.125 1.641l-.008.02H7.25v-.02zm.477-.074l.02.02-.016.012-.035.023-.016.012-.012.008-.031.016-.012.008-.02.004-.012.008-.031.008-.02.004-.016.004h-.016l-.016.004H7.41l-.02-.004h-.016l-.016-.008h-.02l-.016-.008h-.02l-.016-.004-.02-.008-.016-.004.008-.02.016.004.02.004.02.008.012.004.023.004.012.004h.016l.02.004h.016l.016.004h.094l.016-.004h.02l.012-.008.012-.004h.016l.016-.008.012-.004.016-.008.016-.004.012-.012.016-.008.012-.008.012-.012.012-.008zm.059-.055l.02.016h-.004v.004h-.004l-.004.004v.004h-.004v.004h-.004v.004h-.004l-.008.008v.004h-.004v.004h-.004l-.016.016v.004h-.004l-.02-.016h.004v-.004h.004V8.18h.004l.012-.012v-.004h.004V8.16h.004l.012-.012v-.004h.004l.008-.008v-.004zm.02.016l-.02-.016.004-.004h.016v.004h.004v.016zm0 0"/><path d="M7.844 8.027l-.023-.004V8.02h.004l.004-.004h.012v.008h.004zm-.109.32l.004.02-.012-.016.004-.008.004-.012.004-.008v-.008l.004-.008.004-.012.004-.008v-.012l.008-.008.004-.008.004-.012v-.012l.008-.008v-.012l.004-.008v-.012l.008-.008V8.18l.004-.008V8.16l.008-.023v-.008l.004-.012v-.012l.004-.008v-.012l.004-.012v-.012l.004-.012v-.012l.004-.012.027.004v.012l-.004.012v.012l-.008.012v.012l-.004.012v.012l-.004.012-.004.008v.012l-.004.008v.012l-.004.016v.008l-.008.012v.012l-.004.012v.008l-.004.012-.004.008v.012l-.008.012-.004.008v.012l-.008.016-.016.047-.004.008-.004.012-.016-.016zm-.008.004l.02.008v.004h-.004v.004h-.008l-.004-.004v-.004h-.004zm.305-.191l.02.016-.008.008-.008.012-.004.008-.008.008-.004.008-.008.008L8 8.234l-.008.008-.008.004-.008.012-.008.004-.008.008-.012.008-.008.004-.012.008-.008.004-.012.008-.012.004-.008.004-.012.008-.012.004-.008.004-.016.004-.012.008-.094.031-.008-.023.012-.004h.016l.008-.008.035-.012h.012l.012-.004.012-.008.008-.004.012-.004.016-.008.008-.008.012-.004.016-.016.008-.004.012-.008.008-.008.016-.008.016-.016.008-.004.008-.008.004-.008.008-.008.004-.008.008-.008.004-.008.008-.008zm.02.016l-.02-.016h.004v-.004h.012v.004h.004zm0 0"/><path d="M8.027 8.004H8V8h.004v-.004h.02v.008zm.086.313l.016.023-.016-.008-.008-.008-.004-.008-.004-.012-.008-.008-.004-.008-.008-.008-.004-.012-.004-.008-.004-.012-.004-.008V8.23l-.008-.008-.004-.012-.004-.008-.004-.012v-.008l-.008-.023v-.012l-.004-.008v-.012l-.008-.012v-.008l-.004-.012v-.012l-.004-.012v-.012l-.004-.012v-.012l-.004-.012v-.023h.02v.012l.004.012v.012l.004.008v.027l.008.023v.012l.004.008v.012l.008.012v.008l.008.016v.012l.004.008.004.012.016.031.004.012.004.008.004.012.008.008.008.016.008.008.008.016.008.004h-.02zm0 .016l.02-.016v.016l-.004.008h-.004v.004h-.008V8.34h-.004zm.152-.254l.02.012v.012l-.004.008v.012l-.004.008-.004.012-.004.008-.008.023-.012.023-.008.008v.008l-.008.008-.004.012-.004.008v.004l-.016.016-.008.016-.008.004-.004.008-.008.008-.008.004-.004.008-.016.008-.004.008-.02.02-.012-.023.004-.004.008-.004.004-.008.008-.004.004-.004.004-.008.004-.004.008-.004.008-.008.008-.016.016-.016.008-.016v-.008l.008-.004.004-.012.008-.008v-.004l.008-.016.004-.016.004-.008v-.008l.008-.008.004-.008.004-.012v-.008l.008-.008V8.09zm.02.012l-.02-.008v-.004h.016v.004h.004zm0 0"/></g><path d="M6.922 6.355c-.336.035-.32.254-.012.559.063.063.082.063.094-.004.023-.105.141-.168.203-.086.039.055.031.086.172.066.18.148.324.254.09.246-.098-.004-.18.055-.312.051.039.078.047.086.066.09.133.023.266-.055.398-.031.285.051-.461-.773-.449-.805.02-.082-.18-.23-.254-.086zm0 0" class="sr-D"/><g class="sr-B"><path d="M6.922 6.91l-.016.016-.027-.031-.031-.027-.023-.027-.023-.031-.02-.023-.039-.055-.031-.047-.012-.023-.008-.02-.012-.023-.004-.02-.008-.023v-.02l-.004-.02v-.02l.004-.02.004-.016.016-.031.012-.016.027-.027.016-.012.023-.008.02-.012.02-.008.027-.008.027-.004.023-.004.031-.004v.02l-.082.012-.023.008-.059.023-.039.039-.023.035-.008.039v.031l.004.016.004.023.016.039.012.02.008.027.016.02.016.023.02.031.016.023.02.023.023.027.082.082zm.074 0l.02.004v.008l-.004.004v.012l-.004.004v.004l-.004.004v.004L7 6.957l-.008.004v.004h-.004l-.004.004h-.023l-.004-.004h-.004l-.004-.004h-.004l-.008-.008h-.004l-.008-.008h-.004l-.004-.008-.008-.004-.004-.004.016-.016.027.027h.004l.008.008h.008v.004h.012l.004-.004v-.004l.004-.004v-.004l.004-.008v-.008l.004-.008zm.219-.094l-.016.012-.004-.008h-.008l-.004-.008-.004-.004-.008-.004h-.008l-.004-.004h-.012l-.004-.004h-.031l-.004.004-.008.004h-.004l-.016.008-.004.004-.016.008-.012.023-.008.004-.004.008-.004.012-.004.008-.004.004v.012l-.004.008v.008L7 6.906v-.008l.008-.012.004-.008.004-.012.012-.023.008-.012.004-.008.008-.008.008-.004.008-.008.016-.008.004-.004.008-.004.012-.004h.008l.008-.004h.008l.008-.004h.02l.008.004h.012l.008.004.008.008.016.008.008.012.008.008zm.172.066l-.012.012h.008-.012l-.012.004h-.09l-.004-.004h-.004l-.004-.004H7.25l-.012-.012h-.004v-.004l-.004-.008v-.004l-.008-.004v-.004h-.004l-.004-.004-.004-.008V6.84l-.008-.004v-.008l-.004-.004.016-.012h.004v.008l.004.004.004.008.008.008v.004l.02.02h.004v.004h.008l.004.004h.004l.004.004h.105zm-.008 0l.004-.004.004.004zm.09.258v-.02h.082l.012-.004h.008l.004-.004h.004v-.02l-.008-.016-.004-.012-.008-.008-.012-.008L7.496 7l-.016-.012-.039-.039-.031-.023-.016-.016-.02-.016.016-.016.016.016.016.008.031.031.016.008.016.012.016.016.016.012.012.012.012.008.031.031.008.012.012.008.008.008.008.016v.047l-.008.004-.004.004-.012.008-.012.004h-.012l-.012.004h-.074zm-.305.043l-.02.008.012-.016h.066l.012-.004h.012l.012-.008h.008l.012-.004h.008l.008-.004h.012l.016-.008h.012l.012-.004.008-.004h.008l.008-.004h.012l.004-.004h.012l.008-.004h.008l.012-.004h.051v.02h-.051l-.012.004h-.016l-.008.008h-.016l-.008.004h-.012l-.008.004h-.012l-.012.008h-.008l-.012.004h-.008l-.012.004h-.008l-.012.004H7.25l-.012.004h-.012l-.012.004h-.059l.008-.012zm-.02.008l-.004-.016h.016l-.008.016zm.082.078l-.004.016h-.008v-.004h-.004l-.004-.004h-.004v-.004h-.004V7.27h-.004v-.004l-.02-.02v-.004h-.004v-.008l-.008-.004v-.008H7.16v-.008l-.008-.004v-.008l-.004-.008.02-.012v.012l.004.004.004.008v.008l.008.004.004.004v.004l.004.004v.004l.004.004v.004h.004v.008l.004.004v.004l.004.004h.004v.004h.008v.004zm-.004.016zm.398-.051v.023l-.012-.004h-.094l-.016.004h-.012l-.012.004h-.016l-.023.008h-.012l-.012.004h-.016l-.023.008h-.012l-.012.004H7.34l-.016.004h-.09l-.012-.004.004-.02.012.004h.098l.012-.004h.012l.012-.004h.012l.012-.004.016-.004h.012l.023-.008h.016l.008-.004h.012l.016-.004h.016l.012-.004zm-.461-.797l.023.004.004.008.012.012.012.016.016.027.039.047.02.031.055.063.027.039.027.035.031.035.027.039.031.035.027.043.027.039.027.035.027.039.023.035.039.063.016.031.012.027.008.027.008.023v.039l-.012.016-.016.012h-.051v-.023h.039l.008-.004.008-.008v-.023l-.016-.047-.012-.027-.016-.027-.02-.035-.02-.031-.023-.039-.023-.035-.027-.039-.031-.039-.027-.035-.027-.043-.031-.035-.055-.07-.027-.039-.027-.031-.023-.031-.02-.031-.023-.023-.02-.023-.016-.023-.012-.02-.008-.012-.008-.008v-.012zm-.238-.074v-.02l-.012.004.012-.016.004-.012.02-.02.012-.008.012-.004.008-.004.012-.004h.051l.047.016.012.008.008.008.012.004.016.016.008.012.016.016.004.008.008.008.004.012.004.008v.012l.004.008v.023l-.02-.008v-.02l-.004-.008v-.008l-.008-.008-.008-.016-.031-.031-.008-.012-.012-.004-.008-.008-.012-.004h-.012l-.012-.008-.008-.004h-.012l-.012-.004h-.039l-.008.008-.012.004-.008.004-.008.012-.016.016-.004.012-.012.008zm.008-.008l-.004.004h-.004zm-.008-.004v.012zm.008.004l-.004.004h-.004zm0 0"/><path d="M6.941 6.344l-.027.008V6.34h.004v-.004h.016v.004h.004v.004zm.152.211l-.02.02-.008-.008-.004-.008-.008-.004-.004-.008-.016-.008-.004-.008-.012-.012-.004-.008L7 6.504l-.008-.012-.008-.008-.008-.016-.008-.004-.004-.008v-.008l-.008-.004-.012-.023-.004-.012v-.008l-.004-.004-.004-.008v-.008l-.008-.004v-.008l-.004-.008.023-.008v.012l.004.008v.004l.008.008v.008l.004.008v.004l.008.008.012.023v.004l.008.016.008.004.004.008.012.012.004.008.008.004.008.012.004.004.004.008.012.012.008.004.004.004.004.008.012.012.012.008zm-.02.02l.02-.02v.004h.004v.016H7.09v.004h-.016zm-.187-.09c.016 0 .023.012.023.031s-.016.023-.031.023-.023-.016-.023-.031.016-.027.031-.027zm-.918.77h.004v-.008h.008v.008h.004v.004l.004.004v.008h-.004zm-.453 1.117l.004-.02V8.32l.008-.031.004-.027.008-.035.012-.035.012-.043.012-.039.016-.039.012-.039.012-.047.016-.043.012-.043.02-.039.016-.047.02-.047.016-.043.02-.043.016-.043.02-.043.016-.039.02-.039.016-.043.023-.031.016-.031.02-.031.012-.031.02-.027.016-.023.016-.02.016-.016.016-.012.016.02-.027.027-.012.02-.016.02-.023.027-.012.027-.02.031-.016.035-.02.031-.016.043-.02.035-.016.039-.02.039-.016.047-.023.039-.012.047-.02.047-.016.047L5.637 8l-.012.043-.012.039-.012.043-.023.078-.008.035-.016.063-.008.055v.02H5.52zm.109 1.609l-.012-.039-.016-.039-.016-.043-.012-.047-.012-.043-.023-.141-.008-.051-.008-.047-.004-.051-.008-.055-.004-.051-.008-.055-.004-.047-.004-.055V9.16l-.004-.055v-.371l.008-.051v-.051l.004-.055v-.051l.008-.055.004-.047.004-.051h.023l-.008.051-.012.152v.055l-.004.051v.051l-.004.055v.375l.004.055v.051l.008.051.004.055.008.051.008.102.008.047.008.051.004.051.012.043.008.047.012.047.012.043.012.039.016.047.012.039-.02.008zm.02-.008v.016h-.016v-.004l.02-.012zm0 0"/></g><path d="M9.273 7.137c.039.035.176.035.359.047.297.012.469-.078.508-.27-.113.133-.246.199-.395.16-.203-.051-.32-.086-.367-.078-.031.012-.078.066-.105.137zm0 0" class="sr-D"/><g class="sr-B"><path d="M9.633 7.195v-.02h-.035l-.016-.004h-.047l-.016-.008h-.059l-.016-.004h-.059l-.012-.004h-.02l-.008-.004H9.34l-.012-.004H9.32l-.008-.004h-.008l-.004-.004h-.008l-.008-.004h-.004v-.004h-.004l-.012.012h.004l.012.012h.004l.008.004h.008l.004.004h.008l.008.008h.012l.012.004h.02l.008.004h.031l.012.004h.031l.012.004h.059l.016.004h.043l.023.004zm0 0zm.5-.289l.016.016-.016-.012-.004.023-.004.012-.008.016-.004.02-.008.012-.016.031-.012.012-.016.023-.012.012-.012.008-.012.012-.016.008-.012.008-.047.023-.02.008-.078.016h-.02l-.02.008h-.023l-.023.004h-.133v.023h.129l.02-.004h.027l.02-.008h.023l.02-.004.039-.016.023-.004.02-.008.016-.004.016-.008.02-.008.016-.012.012-.008.016-.012.023-.023.016-.012.008-.016.008-.012.023-.047.008-.02.004-.012.008-.02.004-.02zm-.387.16l-.004.023h.02l.012.004h.027l.016.004h.055l.012-.004.016-.004h.012l.016-.008h.012l.012-.008.016-.004.012-.008.023-.008.016-.008.035-.023.012-.012.012-.008.035-.035.008-.012.012-.008.008-.012.012-.016-.012-.012-.012.012-.008.012-.023.023-.012.008-.031.031-.012.008-.008.012-.016.008-.012.004-.012.008-.008.004-.012.004-.012.008-.012.004-.016.004h-.008l-.016.004-.012.004h-.012l-.016.004h-.094l-.012-.004zm-.367-.078l.004.02h.055l.008.004h.016l.012.004.008.004h.012l.012.004h.012l.012.008h.008l.016.004.012.004h.012l.016.008.047.012h.016l.016.004.02.008.016.004.02.004.016.004.008-.02-.02-.004-.016-.004-.02-.004-.016-.004-.02-.004-.031-.008-.012-.004-.047-.012-.012-.004h-.012l-.012-.004H9.52l-.012-.008h-.012L9.484 7h-.012l-.008-.004h-.012l-.008-.004h-.02l-.004-.004zm0 0zm-.109.156l.016-.016.004.012v-.016l.004-.004v-.008l.008-.004v-.008l.004-.004v-.004l.004-.004.004-.008v-.008l.008-.004.004-.004v-.004l.004-.004.004-.008v-.004l.008-.004h.004v-.004h.004l.004-.008v-.004h.004l.004-.004V7.02h.004v-.004h.008v-.004h.004l-.004-.02h-.004L9.359 7h-.004l-.008.008h-.004v.008l-.008.004-.004.004h-.004l-.004.004v.004l-.016.016-.004.008v.004l-.008.004-.004.004-.004.008v.004l-.004.012-.004.004v.008l-.008.004v.008l-.004.004v.008l-.004.004v.012zm0-.012l-.004.004.008.004v-.012zm.43-.707v.027h.008v-.008h.004v-.012l-.004-.004h-.004v-.004zm-.305.078l.008.027.023-.008h.012l.012-.004.023-.012.012-.004.008-.008H9.5l.012-.004.008-.004h.008l.008-.008h.012l.008-.004h.008l.008-.004h.008l.012-.004h.008l.008-.004h.023l.008-.004h.051v-.039h-.059l-.012.004h-.02l-.008.004h-.012l-.004.004-.012.004h-.008l-.008.004-.012.004h-.008l-.008.004h-.012l-.012.008-.012.004h-.012l-.012.004-.008.004-.012.004H9.43l-.012.008-.035.012h-.008zm-.18.051v.027h.031l.004-.004h.012l.004-.004h.008l.008-.004h.004l.008-.004h.008l.008-.004h.008l.016-.008h.008l.008-.004h.004l.004-.004h.008l.004-.004h.016l.004-.004h.008l.004-.004-.008-.031h-.004l-.004.004h-.004l-.004.004h-.008v.004h-.008l-.004.004h-.008l-.004.004h-.012l-.004.004-.008.004h-.008l-.004.004h-.008l-.008.004h-.008l-.008.004h-.004l-.008.004h-.008l-.008.004h-.012l-.008.004h-.02zm0 .027v-.027h-.008v.004h-.004v.004h-.004v.016h.004v.004h.004v.008h.004zm-.469.152l-.004-.023h-.004v.004h-.004v.016h.012zm.199-.039l-.008-.023H8.93l-.008.004h-.008l-.008.004h-.02l-.004.004h-.012l-.004.004h-.012l-.008.004h-.016l-.008.004h-.016l-.004.004h-.02l-.004.004h-.016l-.012.004h-.016l.004.023h.02l.008-.004h.012l.008-.004h.012l.008-.004h.031l.004-.004h.016l.004-.004h.012l.008-.004h.008l.008-.004h.012l.004-.004h.012l.004-.004h.012l.004-.004zm-.008-.023l.008.02h.004v-.016h-.016zm0 0"/><path d="M9.457 6.641l.012.023.016-.008.008-.008.016-.008.008-.008.008-.004.008-.008.008-.004.004-.008.008-.004.004-.008.004-.004.008-.012.004-.004.008-.016.008-.008.004-.008.004-.004.008-.012.004-.008.004-.004v-.008l.012-.023.004-.004v-.008l.004-.008.004-.004.004-.008-.027-.016-.004.004-.004.008v.008l-.004.004-.004.008-.004.004v.008l-.008.004-.012.023v.008l-.012.012-.012.023-.008.008-.008.016-.004.004-.008.012-.012.012-.008.004-.016.016-.008.004-.008.008-.008.004zm-.152-.105l-.031.016.004.008.004.004.008.016.008.012.004.008.012.012.004.008.008.004.012.012.008.004.004.008.004.004.016.008.004.004.008.004h.004l.012.008h.004l.008.004h.043l.008-.004.008-.008h.004l-.016-.027h-.008l-.004.004h-.035l-.008-.004h-.004l-.004-.004h-.004l-.016-.016h-.004l-.008-.004-.004-.008-.016-.016-.004-.008-.008-.008-.004-.008-.004-.004-.004-.008-.004-.012-.004-.008v-.004zm0 0"/><path d="M9.492 6.621l.047-.047c.02-.027.008-.059-.043-.109l-.082.043c.02.059.043.094.078.109zm.129 1.641l.008.02h.008v-.02zm-.477-.074l-.02.02.012.012.012.008.016.008.012.008.016.012.012.008.016.008.012.008.016.008.02.004.012.008.031.008.02.004.016.004h.016l.016.004h.098l.02-.004h.02l.016-.008h.02l.016-.008h.02l.016-.004.02-.008.016-.004-.008-.02-.016.004-.02.004-.02.008-.016.004-.02.004-.012.004h-.016l-.023.004h-.012l-.016.004h-.094l-.016-.004h-.02l-.012-.008-.016-.004h-.012l-.016-.008-.012-.004-.016-.008-.016-.004-.012-.012-.016-.008-.012-.008-.012-.012-.016-.008-.008-.012zm-.062-.055l-.02.016h.004v.004h.004l.004.004v.004h.004v.004h.004v.004h.008l.008.008v.004h.004v.004h.004l.016.016v.004h.004l.02-.016h-.004v-.004h-.004V8.18h-.004l-.012-.012v-.004h-.004V8.16h-.004l-.012-.012v-.004h-.004l-.008-.008v-.004zm-.02.016l.02-.016-.004-.004h-.012v.004h-.004zm0 0"/><path d="M9.043 8.027l.023-.004V8.02h-.004l-.004-.004h-.012v.008h-.004zm.109.32l-.008.02.016-.016-.004-.008-.004-.012-.004-.008v-.008l-.008-.008-.004-.012-.004-.008v-.012l-.008-.016-.004-.012v-.012l-.008-.008v-.012l-.004-.008v-.012l-.008-.008V8.18l-.004-.008V8.16l-.008-.023v-.008l-.008-.012v-.012l-.004-.008v-.012l-.004-.012v-.012l-.004-.012v-.012l-.004-.012-.023.004v.012l.004.012v.012l.004.012v.012l.004.012v.012l.004.012.004.008v.012l.004.008v.012l.008.016v.008l.004.012v.012l.008.012v.008l.004.012.004.008v.012l.008.012.004.008v.012l.008.016.016.047.004.008.004.012.012-.016zm.008.004l-.02.008v.004h.004v.004h.008l.004-.004v-.004h.004zm-.305-.191l-.02.016.008.008.008.012.004.008.008.008.004.008.023.023.008.004.008.012.012.004.008.008.012.008.008.004.012.008.008.004.012.008.008.004.012.004.012.008.012.004.008.004.016.004.008.008.023.008.016.004.059.02.004-.023-.012-.004h-.012l-.008-.008-.023-.008-.016-.004H9.07l-.008-.004-.012-.008-.008-.004-.012-.004-.016-.008-.008-.008-.012-.004-.008-.008-.012-.008-.004-.004-.012-.008-.008-.008-.016-.008-.016-.016-.008-.004-.016-.016-.004-.008-.008-.008-.008-.016-.008-.008zm-.02.016l.02-.016h-.004v-.004H8.84v.004h-.008v.016zm0 0"/><path d="M8.859 8.004h.027V8h-.004v-.004h-.02v.008zm-.086.313l-.016.023.016-.008.008-.008.004-.008.004-.012.008-.008.008-.016.004-.012.008-.008.004-.012.004-.008V8.23l.004-.008.004-.012.008-.008.004-.012v-.008l.008-.023v-.012l.004-.008v-.012l.008-.012v-.008l.004-.012v-.012l.004-.012v-.012l.004-.012v-.012l.004-.012v-.023h-.02v.012l-.004.012v.012l-.004.008v.027l-.008.023v.012l-.004.008v.012l-.008.012v.008l-.008.016v.012l-.004.008-.004.012-.016.031-.004.012-.004.008-.004.012-.008.008-.008.016-.008.008-.008.016-.008.004h.02zm0 .016l-.023-.016v.016l.008.008h.004v.004h.008V8.34h.004zm-.152-.254l-.02.012v.012l.004.008v.012l.004.008.004.012.004.008.008.023.016.031v.008l.008.008.004.012.008.008v.004l.016.016.008.016.008.004.004.008.008.008.008.004.004.008.008.004.012.012.004.008.008.004.004.008.016-.023-.004-.004-.008-.004-.039-.039-.008-.016-.016-.016-.008-.016v-.008l-.008-.004-.004-.012-.008-.008v-.004l-.008-.008-.004-.008-.004-.016-.004-.008v-.008l-.008-.016-.004-.012v-.008l-.008-.008V8.09zm-.02.012l.02-.008v-.004h-.016v.004h-.004zm0 0"/></g><path d="M9.965 6.355c.336.035.32.254.008.559-.059.063-.078.063-.09-.004-.023-.105-.141-.168-.203-.086-.043.055-.035.086-.172.066-.184.148-.324.254-.094.246.102-.004.184.055.316.051-.039.078-.047.086-.07.09-.129.023-.266-.055-.395-.031-.285.051.461-.773.449-.805-.02-.082.18-.23.254-.086zm0 0" class="sr-D"/><g class="sr-B"><path d="M9.965 6.91l.016.016.027-.031.031-.027.023-.027.023-.031.02-.023.02-.027.016-.027.016-.023.02-.023.012-.023.008-.02.012-.023.004-.02.008-.023v-.02l.004-.02v-.02l-.004-.02-.004-.016-.016-.031-.012-.016-.012-.012-.02-.016-.016-.012-.02-.008-.02-.012-.02-.008-.027-.008L10 6.352l-.031-.004v.02l.031.004.027.004.023.004.047.016.039.016.012.012.012.016.016.012.023.035.008.039v.031l-.004.016-.004.023-.016.039-.012.02-.012.027-.012.02-.016.023-.02.031-.016.023-.023.023-.047.055-.055.055zm-.074 0l-.02.004v.008l.004.004v.012l.004.004v.004l.004.004v.004l.008.008v.004h.008l.004.004h.023l.004-.004h.004l.004-.004h.004l.008-.008h.004l.008-.008h.004l.004-.008.008-.008-.012-.016-.027.027h-.004l-.008.008h-.008v.004h-.012l-.004-.004v-.004l-.004-.004v-.004l-.004-.008v-.008l-.004-.008zm-.219-.094l.016.012.004-.008h.008l.004-.008.004-.004.008-.004h.004l.008-.004h.008l.008-.004h.031l.004.004.008.004h.004l.016.008.004.004.008.004.004.004.004.008.008.008.004.008.008.004.004.008.004.012.004.008.004.004v.012l.004.008v.008l.02-.004v-.008l-.004-.012-.004-.008-.004-.012-.012-.023-.008-.012-.004-.008-.008-.008-.008-.004-.008-.008-.023-.012-.004-.004-.012-.004h-.008l-.008-.004h-.008l-.008-.004h-.02l-.008.004h-.012l-.008.004-.008.008-.016.008-.008.012-.008.008zm-.176.066l.016.012h-.008.012l.012.004h.09l.004-.004h.004l.004-.004h.004l.012-.012h.004v-.004l.008-.008v-.004l.004-.004v-.004h.008l.004-.004.004-.008V6.84l.008-.004v-.008l.004-.004-.016-.012h-.004v.008l-.008.004-.008.016v.004l-.02.02h-.004v.004h-.008l-.004.004h-.004l-.004.004H9.5zm.012 0L9.5 6.879l-.004.004zm-.094.258v-.02h-.082l-.008-.004h-.008l-.008-.004h-.004v-.02l.008-.016.008-.012.008-.008.012-.008.074-.074.016-.012.016-.016.031-.023.016-.016.02-.016-.016-.016-.016.016-.016.008-.031.031-.016.008-.016.012-.016.016-.016.012-.012.012L9.348 7l-.016.012-.008.012-.012.008-.008.012-.016.016-.008.016v.047l.008.004.012.012.012.004h.012l.016.004h.07zm.305.043l.02.008-.008-.016h-.07l-.012-.004h-.008l-.012-.008h-.008l-.012-.004h-.008l-.008-.004h-.012l-.012-.004-.008-.004h-.012l-.016-.008h-.008l-.008-.004h-.012L9.5 7.133h-.008l-.008-.004h-.012l-.008-.004H9.41v.02h.055l.008.004h.02l.008.008h.016l.008.004h.012l.008.004h.012l.008.008h.012l.008.004h.012l.012.004h.008l.012.004h.008l.012.004h.012l.016.004h.059l-.012-.012zm.02.008l.008-.016H9.73zm-.078.078l.004.016h.008v-.004h.004l.004-.004h.004v-.004h.004V7.27h.004v-.004l.02-.02v-.004h.004v-.008l.004-.004v-.008h.008v-.008l.004-.004v-.008l.008-.008-.02-.012v.012l-.004.004-.004.008v.008l-.008.004-.004.004v.004l-.004.004v.004l-.004.004v.004h-.004v.008l-.004.004v.004l-.004.004h-.004v.004h-.012v.004h-.008zm.004.016zm-.398-.051v.023l.012-.004h.094l.012.004h.016l.012.004h.016l.023.008h.012l.012.004h.012l.016.004.012.004h.012l.012.004h.012l.012.004h.094l.012-.004-.008-.02-.012.004h-.094l-.012-.004h-.012l-.012-.004h-.012l-.016-.004-.012-.004h-.012l-.023-.008h-.016l-.012-.004h-.012l-.012-.004h-.016l-.012-.004zm.457-.797l-.02.004-.004.008-.012.012-.012.016-.016.027-.039.047-.02.031-.055.063-.027.039-.027.035-.031.035-.027.039-.031.035-.027.043-.027.039-.027.035-.027.039-.023.035-.039.063-.016.031-.012.027-.008.027-.008.023v.039l.012.016.016.012h.051v-.023h-.039l-.008-.004-.008-.008v-.023l.016-.047.012-.027.016-.027.02-.035.02-.031.02-.039.027-.035.055-.078.031-.035.027-.043.027-.035.031-.035.027-.035.027-.039.027-.031.023-.031.02-.031.023-.023.02-.023.016-.023.012-.02.008-.012.008-.008zm.242-.074v-.02l.008.004-.008-.016-.004-.012-.02-.02-.012-.008-.023-.008-.008-.004h-.051l-.016.004-.012.004-.008.004-.012.004-.012.008-.008.008-.012.004-.035.035-.004.008-.008.008-.004.008-.004.012-.004.008v.012l-.004.008v.023l.02-.008v-.02l.004-.008v-.008l.008-.016.008-.008.004-.008.012-.008.016-.016.008-.012.012-.004.008-.008.008-.004h.016l.012-.008.008-.004h.012l.012-.004h.039l.008.008.012.004.008.004.008.012.016.016.004.012.008.008zm-.008-.008l.004.004h.004zm.008-.004v.012zm-.008.004l.004.004h.004zm0 0"/><path d="M9.945 6.344l.027.008V6.34h-.004v-.004h-.016v.004h-.004v.004zm-.152.211l.016.02.027-.027.016-.008.004-.008.012-.012.004-.008.008-.004.004-.004.008-.012.008-.004.004-.004.008-.016.012-.012v-.008l.008-.004.012-.023.004-.012v-.008l.004-.004.004-.008v-.008l.008-.004v-.008l.004-.008-.023-.008v.012l-.004.008v.004l-.008.008v.008l-.004.008v.004l-.008.008-.012.023v.004l-.008.008-.004.008-.004.004-.004.008-.012.012-.004.008-.008.004-.008.012-.004.004-.004.008-.012.012-.008.004-.031.031zm.016.02l-.016-.02v.004h-.004v.016h.008v.004h.016zm.191-.09c-.016 0-.027.012-.023.031s.016.023.031.023.023-.016.023-.031-.016-.027-.031-.027zm.918.77h-.004v-.008h-.008v.008h-.004v.004l-.004.004v.008h.004zm.453 1.117l-.004-.02V8.32l-.008-.031-.004-.027-.008-.035-.016-.035-.008-.043-.016-.039-.023-.078-.012-.047-.031-.086-.02-.039-.012-.047-.02-.047-.016-.043-.02-.043-.016-.043-.02-.043-.016-.039-.023-.039-.016-.043-.02-.031-.016-.031-.02-.031-.016-.031-.02-.027-.012-.023-.016-.02-.016-.016-.02-.012-.012.02.027.027.012.02.016.02.02.027.016.027.02.031.016.035.02.031.016.043.02.035.016.039.02.039.016.047.02.039.016.047.02.047.016.047.016.043.012.043.031.086.012.039.012.043.012.039.008.039.008.035.008.031.012.031.008.055v.02h.027zm-.109 1.609l.012-.039.016-.039.012-.043.012-.047.012-.043.008-.047.012-.047.008-.047.008-.051.008-.047.004-.051.008-.055.004-.051.004-.055.004-.047.004-.055V9.16l.004-.055v-.371l-.004-.051v-.051l-.004-.055v-.051l-.008-.055-.004-.047-.004-.051h-.023l.008.051.012.152v.055l.004.051v.051l.004.055v.375l-.004.055v.051l-.008.051-.004.055-.008.051-.008.102-.008.047-.016.102-.008.043-.012.047-.008.047-.012.043-.012.039-.016.047-.016.039.023.008zm-.023-.008v.016h.02v-.004l-.023-.012zM8.262 7.969h-.004v.008H8.25v.016l.008.016v.031l.008.031v.016l.004.016v.016l.008.016.004.016.004.012.008.031.008.012.004.016.008.016.004.012.004.016.016.023.004.016.008.008.016.031.02.02.008.016.016.023.012.012.012.016.004.004h.016v-.004l.012-.016.012-.012.016-.023.023-.023.008-.012.004-.016.008-.012.016-.031.008-.012.004-.012.008-.02.008-.012.004-.016.016-.023.008-.031.008-.012.004-.016v-.016l.004-.012.004-.016V8.07l.008-.016v-.027l.004-.016v-.043h-.02v.008l-.004.02v.031l-.004.012v.016l-.004.012-.004.016v.016l-.008.016-.004.012-.004.016v.012l-.008.012-.008.031-.016.023-.004.016-.008.012-.004.016-.016.023-.008.016-.004.012-.012.012-.016.023-.008.016-.016.023-.012.012h-.004l-.016-.023-.012-.012-.016-.023-.008-.016-.016-.023-.004-.012-.008-.012-.008-.016-.008-.012-.004-.016-.012-.012-.004-.012-.004-.016-.004-.012-.008-.031-.004-.012-.008-.031-.004-.012v-.016l-.008-.012v-.016l-.004-.016v-.047l-.004-.016v-.008h-.004v-.004H8.27zm0 0"/></g><path d="M9.785 8.441v2.172a1.46 1.46 0 0 1-.395.996 1.3 1.3 0 0 1-.945.41c-.359 0-.703-.148-.949-.41a1.45 1.45 0 0 1-.395-.996V8.441zm0 0" class="sr-H"/><path d="M8.906 9.547v-.785c.168-.047.586-.215.605.148.012.168-.207.281-.266.133-.027-.07 0-.121.039-.137.047-.016.094.023.082.074.176-.094-.16-.293-.313-.035-.043.074.074.152.074.207s-.113.141-.074.207c.156.258.488.063.313-.031.012.055-.035.09-.082.07-.039-.016-.066-.066-.039-.133.059-.152.277-.043.266.129-.02.363-.441.199-.609.152zm.879.226v.559H8.723v1.66a1.31 1.31 0 0 1-.277.031 1.35 1.35 0 0 1-.281-.031v-1.66H7.106v-.559h1.059V8.441h.559v1.332zm-1.804-.226v-.785c-.168-.047-.586-.215-.605.148-.012.168.207.281.266.133.027-.07 0-.121-.039-.137-.051-.016-.094.023-.082.074-.176-.094.16-.293.309-.035.047.074-.07.152-.07.207s.113.141.07.207c-.152.258-.484.063-.309-.031-.012.055.031.09.082.07.039-.016.066-.066.039-.133-.063-.152-.277-.043-.266.129.02.363.438.199.605.152zm0 1.801v-.789c-.168-.043-.586-.211-.605.152-.012.168.207.281.266.133.027-.07 0-.121-.039-.137-.051-.016-.094.02-.082.074-.176-.094.16-.293.309-.035.047.074-.07.152-.07.207s.113.141.07.207c-.152.254-.484.059-.309-.031-.012.055.031.09.082.07.039-.016.066-.066.039-.137-.063-.148-.277-.039-.266.133.02.363.438.199.605.152zm.925 0v-.789c.168-.043.586-.211.605.152.012.168-.207.281-.266.133-.027-.07 0-.121.039-.137.047-.016.094.02.082.074.176-.094-.16-.293-.313-.035-.043.074.074.152.074.207s-.113.141-.074.207c.156.254.488.059.313-.031.012.055-.035.09-.082.07-.039-.016-.066-.066-.039-.137.059-.148.277-.039.266.133-.02.363-.441.199-.609.152zm0 0" class="sr-C sr-E sr-F"/><path d="M7.078 8.422v2.266l.004.031v.043l.012.031.008.07.008.035.008.039.008.031.012.035.008.035.012.027.016.035.008.031.016.031.012.035.047.094.016.027.02.031.016.031.098.137.02.031.023.023.02.027.023.023.027.023.023.023.023.02.047.047.027.02.023.02.031.02.027.02.027.023.055.031.031.016.027.016.031.012.031.016.031.012.027.012.035.012.031.008.027.012.07.016.031.012.035.008.07.008.031.004h.035l.031.004h.18l.035-.004.035-.008.031-.004.035-.004.035-.008.031-.012.063-.016.035-.012.031-.008.031-.012.031-.016.031-.012.063-.031.027-.016.031-.016.027-.02.031-.016.027-.02.023-.02.027-.02.027-.023.023-.02.027-.02.047-.047.02-.023.027-.023.023-.027.02-.023.023-.023.02-.027.023-.027.078-.109.016-.031.02-.031.012-.027.016-.031.02-.031.012-.031.012-.035.023-.062.012-.035.008-.031.012-.035.008-.035.012-.031.008-.039.008-.07.008-.035v-.016l.004-.043.004-.031V8.422zm.047.043h2.637v2.254l-.008.031-.004.039-.004.031-.008.039-.004.031-.016.07-.008.027-.008.035-.008.031-.012.035-.008.031-.016.027-.016.035-.012.031-.016.027-.012.035-.031.055-.016.031-.02.023-.016.027-.023.027-.02.027-.02.023-.02.027-.02.023-.023.023-.02.027-.023.02-.027.023-.023.02-.023.023-.023.02-.027.02-.023.02-.055.039-.027.016-.027.02-.031.016-.027.016-.023.016-.031.016-.031.012-.027.012-.031.016-.062.023-.027.008-.031.008-.035.008-.031.012-.031.004-.031.008-.035.008h-.031l-.035.004h-.031L8.477 12h-.07l-.031-.004H8.34l-.031-.004h-.031l-.035-.008-.031-.004-.031-.008-.035-.008-.031-.004-.031-.008-.027-.012-.031-.012-.031-.008-.031-.016-.027-.012-.031-.012-.027-.016-.027-.012-.027-.016-.055-.039-.027-.012-.027-.02-.027-.023-.023-.02-.027-.02-.047-.039-.066-.066-.023-.027-.039-.047-.023-.031-.023-.023-.02-.027-.02-.023-.016-.031-.016-.027-.02-.031-.031-.055-.012-.031-.016-.027-.016-.031-.012-.031-.012-.027-.008-.031-.012-.035-.012-.031-.008-.035-.008-.031-.012-.035-.008-.035-.004-.031-.008-.035-.004-.031-.008-.07v-.109zm0 0" class="sr-B"/><defs ><path id="B" d="M8.441 4.246a.16.16 0 0 1 .16.156.16.16 0 0 1-.16.156c-.09 0-.152-.07-.152-.156s.07-.156.152-.156zm0 0"/><path id="C" d="M6.555 14.024c.16.125.305-.164.16-.551-.098-.285-.609-.176-.328.211.016.02.035.012.031-.008-.02-.082.031-.129.109-.113.211.043.219.441-.012.352-.043-.004-.008.082.035.113zm0 0"/></defs></svg>')
            },
            sk: {
                languageName: 'Slovak',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.sk-B{fill:rgb(93.333333%,10.980392%,14.509804%)}.sk-C{fill:rgb(4.313725%,30.588235%,63.529412%)}.sk-D{fill:rgb(100%,100%,100%)}]]></style><path d="M0 0h24v18H0z" class="sk-B"/><path d="M0 0h24v12H0zm0 0" class="sk-C"/><g class="sk-D"><path d="M0 0h24v6H0zm0 0"/><path d="M8.738 13.906c-1.613-.777-3.922-2.324-3.922-5.371l.148-4.441h7.551s.145 1.391.145 4.441-2.309 4.59-3.922 5.371zm0 0"/></g><path d="M8.738 13.5c-1.48-.711-3.602-2.129-3.602-4.926L5.273 4.5h6.93s.129 1.273.129 4.074-2.113 4.215-3.594 4.926zm0 0" class="sk-B"/><path d="M9.051 7.836c.402.008 1.188.023 1.879-.207l-.012.539.016.539c-.637-.215-1.426-.219-1.883-.215v1.547h-.629V8.492c-.449-.004-1.242 0-1.879.215l.02-.539-.02-.539c.695.23 1.477.215 1.875.207v-.969c-.363 0-.887.016-1.484.211l.02-.539L6.934 6c.598.199 1.121.219 1.484.215-.02-.617-.199-1.387-.199-1.387l.52.023.516-.023s-.18.77-.199 1.387c.367.004.891-.016 1.488-.215l-.02.539.02.539a4.48 4.48 0 0 0-1.492-.211v.973zm0 0" class="sk-D"/><path d="M8.738 9.875c-.746 0-1.145 1.031-1.145 1.031s-.227-.488-.832-.488c-.414 0-.715.363-.906.703.75 1.191 1.945 1.926 2.883 2.379.938-.449 2.137-1.187 2.883-2.379-.195-.336-.496-.703-.906-.703-.609 0-.832.488-.832.488s-.395-1.031-1.145-1.031zm0 0" class="sk-C"/></svg>')
            },
            sl: {
                languageName: 'Slovene',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.sl-B{fill-rule:evenodd}.sl-C{fill:rgb(0%,0%,74.901961%)}.sl-D{fill:rgb(100%,100%,100%)}.sl-E{fill:rgb(83.529412%,0%,0%)}.sl-F{fill:rgb(100%,87.45098%,0%)}]]></style><defs><clipPath id="A"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="B"><path d="M0 12h24v6H0zm0 0"/></clipPath><clipPath id="C"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="D"><path d="M0 6h24v6H0zm0 0"/></clipPath><clipPath id="E"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="F"><path d="M3 2h6v7H3zm0 0"/></clipPath><clipPath id="G"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="H"><path d="M5 3h2v2H5zm0 0"/></clipPath><clipPath id="I"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="J"><path d="M3 4h5v5H3zm0 0"/></clipPath><clipPath id="K"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="L"><path d="M5 2h2v2H5zm0 0"/></clipPath><clipPath id="M"><path d="M0 0h24v18H-.004zm0 0"/></clipPath><clipPath id="N"><path d="M4 6h4v2H4zm0 0"/></clipPath><clipPath id="O"><path d="M0 0h24v18H-.004zm0 0"/></clipPath></defs><g clip-path="url(#A)" class="sl-D"><path d="M0 0h24v18H0z"/></g><g clip-path="url(#B)" class="sl-B sl-E"><g clip-path="url(#C)"><path d="M-1.652 12h36v6h-36zm0 0"/></g></g><g clip-path="url(#D)" class="sl-B sl-C"><g clip-path="url(#E)"><path d="M-1.652 6h36v6h-36zm0 0"/></g></g><g clip-path="url(#F)" class="sl-B"><g clip-path="url(#G)"><path d="M8.559 3.27c-.141 2.164-.227 3.355-.551 3.902-.359.59-.703 1.023-2.102 1.547-1.391-.523-1.734-.957-2.094-1.547-.332-.547-.41-1.738-.551-3.902l.203-.07.953-.273c.324-.07.605-.148 1.484-.168.879.016 1.16.102 1.488.172.227.047.551.141.961.27zm0 0" class="sl-E"/><path d="M8.355 3.199c-.133 2.16-.246 3.152-.422 3.629-.34.816-.871 1.262-2.027 1.688-1.152-.426-1.687-.871-2.027-1.687-.176-.48-.281-1.469-.414-3.633l.953-.27c.324-.07.605-.152 1.484-.168.879.016 1.16.098 1.488.168l.965.27zm0 0" class="sl-C"/></g></g><g clip-path="url(#H)" class="sl-B sl-F"><g clip-path="url(#I)"><path d="M5.906 3.859l.055.133.246.031-.16.098.152.102-.223.035-.07.121-.07-.125-.211-.027.141-.105-.145-.094.234-.035zm0 0"/></g></g><g clip-path="url(#J)" class="sl-B sl-D"><g clip-path="url(#K)"><path d="M7.852 6.313l-.137-.105-.094-.16-.191-.164-.102-.168-.191-.172-.09-.164-.105-.082-.062-.066-.176.152-.094.164-.113.105-.133-.102-.094-.168-.363-.645-.359.645-.098.168-.129.102-.117-.105-.094-.164-.172-.152-.066.063-.102.086-.094.164-.187.172-.102.168-.191.164-.094.16-.137.105a2.29 2.29 0 0 0 .652 1.277 3.84 3.84 0 0 0 1.285.723 3.69 3.69 0 0 0 1.297-.723c.203-.211.582-.68.652-1.277zm0 0"/></g></g><g clip-path="url(#L)" class="sl-B sl-F"><g clip-path="url(#M)"><path d="M6.484 2.949l.055.129.246.035-.16.098.156.102-.223.035-.07.117-.07-.121-.211-.027.141-.105-.148-.098.23-.035.059-.129zm-1.16 0l.055.129.246.035-.156.094.152.102-.223.035-.07.121-.07-.121-.211-.031.141-.105-.148-.094.234-.035.055-.133zm0 0"/></g></g><g clip-path="url(#N)" class="sl-B sl-C"><g clip-path="url(#O)"><path d="M7.551 7.137h-.262l-.246-.02-.293-.141h-.328l-.285.141-.23.023-.223-.023-.285-.141h-.336l-.293.141-.242.023-.27-.004-.125-.219.004-.008.395.07.242-.02.289-.145h.332l.289.141.223.023.23-.023.285-.141h.328l.297.141.242.023.379-.07.008.012-.129.215zm-3.039.332l.262-.016.289-.141h.332l.289.141.223.016.227-.016.289-.141h.328l.293.141.266.016.168-.211h-.004l-.184.051-.242-.016-.293-.141h-.328l-.289.141-.227.02-.227-.02-.285-.141h-.336l-.293.141-.242.02-.176-.047v.008l.156.195zm0 0"/></g></g></svg>')
            },
            es: {
                languageName: 'Spanish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><style><![CDATA[.es-B{stroke:rgb(0%,0%,0%)}.es-C{fill:none}.es-D{stroke-width:.015}.es-E{fill:rgb(78.431373%,69.411765%,0%)}.es-F{stroke-width:.011}.es-G{fill:rgb(100%,100%,100%)}.es-H{fill:rgb(67.843137%,8.235294%,9.803922%)}.es-I{stroke-linejoin:round}.es-J{fill:rgb(85.882353%,26.666667%,27.45098%)}.es-K{stroke-width:.004}.es-L{stroke-width:.019}.es-M{fill:rgb(1.960784%,55.686275%,43.137255%)}.es-N{fill:rgb(0%,0%,0%)}.es-O{fill:rgb(0%,35.686275%,74.901961%)}.es-P{fill:rgb(80%,80%,80%)}.es-Q{stroke-width:.008}.es-R{stroke-width:.022}.es-S{stroke-linecap:round}]]></style><path d="M0 0h24v18H0z" fill="rgb(66.666667%,8.235294%,10.588235%)"/><path d="M0 4.5h24v9H0zm0 0" fill="rgb(94.509804%,74.901961%,0%)"/><path d="M4.773 8l-.031-.004-.035-.039-.027-.016-.023-.027s-.023-.043-.016-.078.035-.043.055-.055.035-.016.055-.02l.039-.016.047-.012.02-.008c.008 0 .027 0 .039-.008l.035-.008.063.004h.18c.016 0 .043.012.051.016l.074.023c.02.004.063.012.086.023.016.012.031.027.039.039l.02.035v.043l-.02.027-.023.039-.027.023s-.02.02-.039.016-.18-.031-.285-.031-.273.035-.273.035" class="es-H"/><path d="M4.773 8l-.031-.004-.035-.039-.027-.016-.023-.027s-.023-.043-.016-.078.035-.043.055-.055.035-.016.055-.02l.039-.016.047-.012.02-.008c.008 0 .027 0 .039-.008l.035-.008.063.004h.18c.016 0 .043.012.051.016l.074.023c.02.004.063.012.086.023.016.012.031.027.039.039l.02.035v.043l-.02.027-.023.039-.027.023s-.02.02-.039.016-.18-.031-.285-.031-.273.035-.273.035zm0 0" class="es-B es-C es-F es-I"/><path d="M5 7.762c0-.047.02-.086.047-.086s.055.039.055.09-.023.09-.055.09S5 7.816 5 7.762" class="es-E"/><path d="M5 7.762c0-.047.02-.086.047-.086s.055.039.055.09-.023.09-.055.09S5 7.816 5 7.762zm0 0" class="es-B es-C es-F"/><path d="M5.023 7.762c0-.043.012-.078.027-.078s.023.039.023.078c0 .051-.012.082-.023.082s-.023-.035-.023-.082" class="es-E"/><path d="M5.023 7.762c0-.043.012-.078.027-.078s.023.039.023.078c0 .051-.012.082-.023.082s-.023-.035-.023-.082zm0 0" class="es-B es-C es-F"/><g class="es-E"><path d="M5.016 7.668c0-.016.016-.027.031-.027s.039.012.039.027-.02.035-.039.035-.031-.016-.031-.035"/><g class="es-B es-F"><path d="M5.074 7.656v.023H5.02v-.023h.02v-.043h-.023V7.59h.023v-.02h.02v.02h.023v.023h-.023v.043h.016"/><path d="M5.098 7.656v.023h-.094v-.023h.035v-.043h-.023V7.59h.023v-.02h.02v.02h.023v.023h-.023v.043h.039"/></g></g><path d="M5.059 7.641c.016 0 .023.012.023.027s-.016.035-.031.035-.035-.016-.035-.035.008-.027.023-.027" class="es-B es-C es-F"/><path d="M5.051 7.996h-.176v-.043l-.012-.043-.008-.059c-.047-.062-.094-.105-.109-.094.004-.012.008-.023.02-.023.043-.027.133.035.195.133l.02.027h.141l.016-.027c.066-.102.156-.16.195-.133.012 0 .016.012.02.023-.016-.012-.059.031-.109.094l-.008.059-.008.043-.004.043h-.176" class="es-E"/><g class="es-B es-C es-F"><path d="M5.051 7.996h-.176v-.043l-.012-.043-.008-.059c-.047-.063-.094-.105-.109-.094.004-.012.008-.023.02-.023.043-.027.133.035.195.133l.02.027h.141l.016-.027c.066-.102.156-.16.195-.133.012 0 .016.012.02.023-.016-.012-.059.031-.109.094l-.008.059-.008.043-.004.043h-.176zm0 0"/><path d="M4.754 7.754c.039-.02.113.043.172.137m.414-.137c-.031-.02-.105.043-.168.137"/></g><g class="es-E"><path d="M4.793 8.074l-.02-.039c.18-.051.371-.051.551 0l-.02.031c-.004.008-.008.02-.008.031a.77.77 0 0 0-.25-.031c-.098 0-.195.012-.242.031l-.012-.023" class="es-B es-F"/><path d="M5.047 8.164a1.2 1.2 0 0 0 .223-.023c.023-.008.035-.02.035-.031a.65.65 0 0 0-.258-.043c-.094 0-.187.012-.238.031-.016.023-.004.035.02.043.039.008.133.023.219.023"/></g><path d="M5.047 8.164a1.2 1.2 0 0 0 .223-.023c.023-.008.035-.02.035-.031a.65.65 0 0 0-.258-.043c-.094 0-.187.012-.238.031-.016.023-.004.035.02.043.039.008.133.023.219.023zm0 0" class="es-B es-C es-F"/><path d="M5.328 7.996l-.02-.02s-.02.012-.047.008-.035-.039-.035-.039-.023.027-.047.027-.039-.023-.039-.023-.027.02-.047.016-.047-.031-.047-.031-.023.031-.043.031-.039-.02-.039-.02-.016.023-.043.027-.051-.023-.051-.023-.02.027-.039.039c-.016 0-.043-.016-.043-.016l-.008.02-.012.004.008.02c.09-.023.18-.035.27-.035.113 0 .207.016.277.035l.008-.02" class="es-E"/><path d="M5.328 7.996l-.02-.02s-.02.012-.047.008-.035-.039-.035-.039-.023.027-.047.027-.039-.023-.039-.023-.027.02-.047.016-.047-.031-.047-.031-.023.031-.043.031-.039-.02-.039-.02-.016.023-.043.027-.051-.023-.051-.023-.02.027-.039.039c-.016 0-.043-.016-.043-.016l-.008.02-.012.004.008.02c.09-.023.18-.035.27-.035.113 0 .207.016.277.035l.008-.02zm0 0" class="es-B es-C es-F"/><path d="M5.051 7.902h.008c0 .035.016.051.039.051.016 0 .031-.008.035-.027l.008-.008v.012c.004.02.023.031.043.031s.035-.016.035-.039l.016-.016.008.016c-.004.039.012.055.035.055.016 0 .023-.008.031-.02l.008-.008v.012c0 .012.004.023.016.027 0 0 .016 0 .039-.016l.023-.027v.016s-.016.031-.035.039c-.008.008-.02.016-.031.012S5.305 8 5.301 7.988c-.004.008-.012.008-.023.008-.023 0-.047-.012-.055-.031-.012.012-.023.02-.039.02s-.035-.008-.047-.023c-.008.008-.023.016-.035.016-.02 0-.039-.008-.051-.023-.012.016-.027.023-.043.023s-.035-.004-.047-.016c-.012.016-.027.023-.043.023s-.031-.008-.043-.02c-.008.02-.031.031-.051.031-.008 0-.02 0-.027-.008-.004.012-.016.023-.027.023s-.023 0-.035-.008l-.035-.039.004-.02.031.027c.016.016.031.016.031.016.012 0 .016-.016.016-.027v-.012l.008.008c.008.012.02.02.035.02s.035-.016.035-.039v-.031l.016.016c0 .023.02.039.039.039s.035-.012.039-.035v-.008l.008.008c.008.016.023.027.039.027.023 0 .039-.016.039-.035l.012-.012" class="es-E"/><path d="M5.051 7.902h.008c0 .035.016.051.039.051.016 0 .031-.008.035-.027l.008-.008v.012c.004.02.023.031.043.031s.035-.016.035-.039l.016-.016.008.016c-.004.039.012.055.035.055.016 0 .023-.008.031-.02l.008-.008v.012c0 .012.004.023.016.027 0 0 .016 0 .039-.016l.023-.027v.016s-.016.031-.035.039c-.008.008-.02.016-.031.012S5.305 8 5.301 7.988c-.004.008-.012.008-.023.008-.023 0-.047-.012-.055-.031-.012.012-.023.02-.039.02s-.035-.008-.047-.023c-.008.008-.023.016-.035.016-.02 0-.039-.008-.051-.023-.012.016-.027.023-.043.023s-.035-.004-.047-.016c-.012.016-.027.023-.043.023s-.031-.008-.043-.02c-.008.02-.031.031-.051.031-.008 0-.02 0-.027-.008-.004.012-.016.023-.027.023s-.023 0-.035-.008l-.035-.039.004-.02.031.027c.016.016.031.016.031.016.012 0 .016-.016.016-.027v-.012l.008.008c.008.012.02.02.035.02s.035-.016.035-.039v-.031l.016.016c0 .023.02.039.039.039s.035-.012.039-.035v-.008l.008.008c.008.016.023.027.039.027.023 0 .039-.016.039-.035l.012-.012zm0 0" class="es-B es-C es-F"/><path d="M5.047 8a1.01 1.01 0 0 0-.273.035l-.012-.008.004-.012c.094-.023.188-.035.281-.035a1.11 1.11 0 0 1 .285.035l-.008.02A1.1 1.1 0 0 0 5.047 8" class="es-E"/><path d="M5.047 8a1.01 1.01 0 0 0-.273.035l-.012-.008.004-.012c.094-.023.188-.035.281-.035a1.11 1.11 0 0 1 .285.035l-.008.02A1.1 1.1 0 0 0 5.047 8zm0 0" class="es-B es-C es-F es-I"/><path d="M4.941 8.039c0-.012.008-.016.02-.016s.016.008.016.016-.008.016-.016.016c-.016-.004-.02-.012-.02-.016" class="es-G"/><g class="es-B es-F"><path d="M4.941 8.039c0-.012.008-.016.02-.016s.016.008.016.016-.008.016-.016.016c-.016-.004-.02-.012-.02-.016zm0 0" class="es-C"/><path d="M5.051 8.043h-.035V8.02h.074c.008.02 0 .023-.004.023h-.039" class="es-H"/><path d="M4.875 8.059h-.027l.051-.027c.016.012.016.016.012.02l-.035.004" class="es-M"/><path d="M4.773 8.074l.012-.016h.027l-.016.023-.023-.008" class="es-H"/></g><path d="M5.121 8.039c0-.012.008-.016.016-.016.02.008.02.012.02.016-.008.016-.016.016-.02.016s-.016-.008-.016-.016" class="es-G"/><g class="es-B es-F"><path d="M5.121 8.039c0-.012.008-.016.016-.016.02.008.02.012.02.016-.008.016-.016.016-.02.016s-.016-.008-.016-.016zm0 0" class="es-C"/><path d="M5.223 8.059h.023c.016-.012.012-.02.004-.02l-.047-.008c-.016.016-.012.02-.004.023h.023" class="es-M"/><path d="M5.324 8.078l-.012-.02h-.023l.008.023.023-.004" class="es-H"/></g><path d="M5.047 8.141a.71.71 0 0 1-.223-.023c.148-.035.305-.035.453 0a.96.96 0 0 1-.227.023" class="es-H"/><path d="M5.047 8.141a.71.71 0 0 1-.223-.023c.148-.035.305-.035.453 0a.96.96 0 0 1-.227.023zm0 0" class="es-B es-C es-F es-I"/><path d="M5.324 7.949l-.004-.012c-.016.016-.016.023-.008.023" class="es-E"/><path d="M5.324 7.949l-.004-.012c-.016.016-.016.023-.008.023zm0 0" class="es-B es-C es-F"/><path d="M5.148 7.922h.004" class="es-E"/><path d="M5.148 7.922h.004zm0 0" class="es-B es-C es-F"/><path d="M4.949 7.922l.004-.016c.012.016.012.023.004.023l-.008-.008" class="es-E"/><path d="M4.949 7.922l.004-.016c.012.016.012.023.004.023zm0 0" class="es-B es-C es-F"/><path d="M4.773 7.949l.004-.012c.016.016.016.023.008.023" class="es-E"/><g class="es-B es-F"><path d="M4.773 7.949l.004-.012c.016.016.016.023.008.023zm0 0" class="es-C"/><g class="es-E"><path d="M5.047 7.82l-.031.016.023.051.008.004.008-.004.027-.051-.035-.016"/><path d="M4.98 7.895l.016.02.047-.016.004-.008-.004-.008-.047-.012-.016.023"/><path d="M5.113 7.895l-.008.02-.051-.016-.008-.008.008-.008.051-.012.008.023m-.265-.058l-.023.027.031.039.008.004.004-.004.012-.051-.031-.012"/><path d="M4.801 7.922l.016.016.043-.02V7.91l-.004-.008-.047-.004-.012.023m.133-.026l-.008.023h-.047l-.008-.008.004-.012.047-.023.016.02m-.188.031v.023l-.051.008-.008-.004v-.008l.039-.031.02.012"/></g></g><path d="M4.844 7.91c0-.012.008-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012" class="es-E"/><g class="es-B es-F"><path d="M4.844 7.91c0-.012.008-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012zm0 0" class="es-C"/><g class="es-E"><path d="M5.25 7.836l.027.027-.035.039-.008.004-.004-.004-.012-.051.031-.012"/><path d="M5.301 7.922l-.016.016-.047-.02V7.91l.004-.008.051-.004.008.023m-.133-.026l.012.023h.047l.008-.008-.004-.012-.043-.023-.02.02m.176.031l.004.023.047.008.008-.004v-.008l-.035-.031-.023.012"/></g></g><path d="M5.031 7.891c.004-.008.008-.016.016-.016s.02.008.02.016-.008.02-.02.02-.016-.012-.016-.02" class="es-E"/><path d="M5.031 7.891c.004-.008.008-.016.016-.016s.02.008.02.016-.008.02-.02.02-.016-.012-.016-.02zm0 0" class="es-B es-C es-F"/><path d="M5.215 7.91c0-.012.012-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012" class="es-E"/><path d="M5.215 7.91c0-.012.012-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012zm0 0" class="es-B es-C es-F"/><path d="M4.68 7.957l-.023-.027c-.008-.008-.023-.008-.023-.008s.008-.012.02-.012h.016l.016.047" class="es-E"/><path d="M4.68 7.957l-.023-.027c-.008-.008-.023-.008-.023-.008s.008-.012.02-.012h.016l.016.047zm0 0" class="es-B es-C es-F"/><path d="M4.68 7.949c.027.004.031.012.027.02l-.02-.004c-.008-.004-.012-.016-.008-.02" class="es-E"/><path d="M4.68 7.949c.027.004.031.012.027.02l-.02-.004c-.008-.004-.012-.016-.008-.02zm0 0" class="es-B es-C es-F"/><path d="M5.41 7.957l.023-.027c.008-.008.027-.008.027-.008s-.012-.012-.023-.012h-.016l-.016.035.004.012" class="es-E"/><path d="M5.41 7.957l.023-.027c.008-.008.027-.008.027-.008s-.012-.012-.023-.012h-.016l-.016.035zm0 0" class="es-B es-C es-F"/><path d="M5.41 7.949c-.023.004-.023.012-.02.02l.016-.004" class="es-E"/><g class="es-B"><path d="M5.41 7.949c-.023.004-.023.012-.02.02l.016-.004zm0 0" class="es-C F"/><path d="M4.648 8.363h.805v-.207h-.805v.211zm0 0" class="es-D es-E"/></g><path d="M4.734 8.504h.633c-.02-.004-.035-.023-.039-.043s.02-.043.039-.051H4.75c.004.008.02.027.02.051s-.016.039-.035.043" class="es-E"/><path d="M4.734 8.504h.633c-.02-.004-.035-.023-.039-.043s.02-.043.039-.051H4.75c.004.008.02.027.02.051s-.016.039-.035.043zm0 0" class="es-B es-C es-D es-I"/><path d="M4.746 8.504h.602c.023 0 .039.012.039.027s-.016.031-.039.031h-.602c-.016 0-.035-.016-.035-.031s.02-.031.035-.031" class="es-E"/><path d="M4.746 8.504h.602c.023 0 .039.012.039.027s-.016.031-.039.031h-.602c-.016 0-.035-.016-.035-.031s.02-.031.035-.031zm0 0" class="es-B es-C es-D"/><path d="M4.746 8.363h.602c.023 0 .039.016.039.027s-.016.02-.039.02h-.602c-.016 0-.035-.008-.035-.02s.02-.023.035-.023" class="es-E"/><path d="M4.746 8.363h.602c.023 0 .039.016.039.027s-.016.02-.039.02h-.602c-.016 0-.035-.008-.035-.02s.02-.023.035-.023zm0 0" class="es-B es-C es-D"/><path d="M5.609 11.902c-.051 0-.105-.012-.137-.031-.047-.02-.094-.031-.145-.027s-.102.012-.137.027c-.047.023-.094.031-.145.031s-.105-.012-.137-.031c-.043-.02-.094-.027-.141-.027s-.094.008-.137.027-.094.031-.145.031v.09c.059 0 .105-.016.145-.035a.33.33 0 0 1 .137-.027c.055 0 .102.012.141.027s.082.035.137.035.098-.012.145-.035c.035-.016.086-.027.137-.027a.38.38 0 0 1 .145.027c.035.02.082.035.137.035v-.09" class="es-O"/><g class="es-B es-D"><path d="M5.609 11.902c-.051 0-.105-.012-.137-.031-.047-.02-.094-.031-.145-.027s-.102.012-.137.027c-.047.023-.094.031-.145.031s-.105-.012-.137-.031c-.043-.02-.094-.027-.141-.027s-.094.008-.137.027-.094.031-.145.031v.09c.059 0 .105-.016.145-.035a.33.33 0 0 1 .137-.027c.055 0 .102.012.141.027s.082.035.137.035.098-.012.145-.035c.035-.016.086-.027.137-.027a.38.38 0 0 1 .145.027c.035.02.082.035.137.035zm0 0" class="es-C"/><path d="M5.609 11.992c-.047 0-.094-.012-.137-.035s-.094-.031-.145-.027-.102.012-.137.027-.086.035-.145.035a.27.27 0 0 1-.137-.035c-.043-.02-.094-.027-.141-.027a.33.33 0 0 0-.137.027c-.039.02-.086.035-.145.035v.086c.059 0 .105-.016.145-.031s.09-.031.137-.027c.055 0 .102.008.141.027.086.043.191.043.281 0s.191-.043.281 0a.28.28 0 0 0 .137.031v-.086" class="es-P"/><path d="M5.609 12.074c-.047.004-.094-.008-.137-.027s-.094-.031-.145-.027-.102.008-.137.027-.086.031-.145.031a.32.32 0 0 1-.137-.031c-.043-.023-.094-.031-.141-.031a.28.28 0 0 0-.137.031c-.039.016-.086.031-.145.031v.086c.059 0 .105-.012.145-.031.086-.035.187-.035.277 0 .039.023.09.035.137.031.051.004.098-.008.145-.027.035-.02.086-.031.137-.031.059 0 .105.012.145.031a.34.34 0 0 0 .137.027v-.09" class="es-O"/><path d="M5.609 12.25c-.047.004-.094-.008-.137-.027a.31.31 0 0 0-.141-.031c-.047 0-.098.008-.141.031a.38.38 0 0 1-.145.027c-.047.004-.098-.008-.137-.031-.047-.02-.094-.031-.141-.027s-.102.012-.137.031a.38.38 0 0 1-.145.027v-.086a.37.37 0 0 0 .145-.031c.086-.035.187-.035.277 0 .043.02.09.031.137.031s.098-.008.145-.027a.3.3 0 0 1 .141-.031.31.31 0 0 1 .141.031c.035.016.086.027.137.027v.086" class="es-P"/></g><path d="M5.609 12.336c-.047.004-.094-.008-.137-.027a.31.31 0 0 0-.141-.031c-.047 0-.098.008-.141.031s-.086.027-.145.027c-.047.004-.098-.008-.137-.031a.36.36 0 0 0-.141-.027c-.051 0-.102.012-.137.031s-.086.027-.145.027v-.086c.051.004.098-.008.145-.027.035-.02.086-.031.137-.031s.102.012.141.027c.086.043.191.043.281 0a.36.36 0 0 1 .141-.027.31.31 0 0 1 .141.031.34.34 0 0 0 .137.027v.086" class="es-O"/><path d="M5.609 12.336c-.047.004-.094-.008-.137-.027a.31.31 0 0 0-.141-.031c-.047 0-.098.008-.141.031s-.086.027-.145.027c-.047.004-.098-.008-.137-.031a.36.36 0 0 0-.141-.027c-.051 0-.102.012-.137.031s-.086.027-.145.027v-.086c.051.004.098-.008.145-.027.035-.02.086-.031.137-.031s.102.012.141.027c.086.043.191.043.281 0a.36.36 0 0 1 .141-.027.31.31 0 0 1 .141.031.34.34 0 0 0 .137.027zm0 0" class="es-B es-C es-D"/><path d="M4.734 11.551l.004.02c0 .055-.047.098-.098.098h.824a.1.1 0 0 1-.102-.098v-.02H4.75" class="es-E"/><path d="M4.734 11.551l.004.02c0 .055-.047.098-.098.098h.824a.1.1 0 0 1-.102-.098v-.02H4.75zm0 0" class="es-B es-C es-D es-I"/><path d="M4.746 11.492h.602c.023 0 .039.012.039.031s-.016.027-.039.027h-.602c-.016 0-.035-.012-.035-.031s.02-.027.035-.027" class="es-E"/><g class="es-B es-D"><path d="M4.746 11.492h.602c.023 0 .039.012.039.031s-.016.027-.039.027h-.602c-.016 0-.035-.012-.035-.031s.02-.027.035-.027zm0 0" class="es-C"/><path d="M4.641 11.875h.824v-.211h-.824zm0 0" class="es-E"/></g><path d="M4.574 10.75c-.082.047-.137.094-.125.121 0 .023.027.039.066.059.055.043.094.113.063.152.051-.039.082-.102.082-.168s-.031-.125-.086-.164" class="es-H"/><path d="M4.574 10.75c-.082.047-.137.094-.125.121 0 .023.027.039.066.059.055.043.094.113.062.152.051-.039.082-.102.082-.168s-.031-.125-.086-.164zm0 0" class="es-B es-C es-D"/><path d="M4.754 11.461h.586V8.586h-.586zm0 0" class="es-P"/><g class="es-B es-D"><path d="M5.176 8.594v2.863m.063-2.863v2.863m-.484 0h.586V8.59h-.586v2.871zm0 0" class="es-C"/><g class="es-H"><path d="M5.941 9.664a1.85 1.85 0 0 0-.875-.074c-.352.059-.617.199-.598.312v.008l-.129-.305c-.023-.125.27-.281.66-.348a1.68 1.68 0 0 1 .344-.023c.246 0 .465.027.594.078v.352" class="es-I"/><path d="M4.754 10.023c-.16-.012-.273-.051-.285-.121-.012-.055.047-.109.145-.168l.141.012v.277m.589-.218c.102.016.176.039.215.074l.004.008c.016.035-.074.109-.223.199v-.281"/></g></g><path d="M4.391 10.574c-.016-.043.145-.133.367-.215l.293-.121c.313-.141.539-.297.512-.352v-.008c.016.012.035.297.035.297.031.051-.18.207-.465.344-.094.043-.285.113-.375.148-.164.055-.324.16-.309.199l-.059-.289" class="es-H"/><path d="M4.391 10.574c-.016-.043.145-.133.367-.215l.293-.121c.312-.141.539-.297.512-.352v-.008c.016.012.035.297.035.297.031.051-.18.207-.465.344-.094.043-.285.113-.375.148-.164.055-.324.16-.309.199l-.059-.289zm0 0" class="es-B es-C es-D es-I"/><path d="M4.719 9.523c.07-.02.113-.055.094-.109-.016-.039-.055-.039-.105-.023l-.098.035.086.219.031-.012.027-.012-.035-.094zm-.047-.102l.027-.008c.02-.008.043.004.051.027s.008.039-.016.059l-.023.012-.039-.09m.273-.094l-.031.012h-.031l.047.23.164-.031-.008-.016v-.012l-.094.02-.047-.199m.316.195l.102-.238h-.039l-.066.172-.09-.16-.039.004h-.035l.129.223h.039m.328-.176l.016-.031c-.02-.016-.039-.023-.062-.023-.062-.004-.102.023-.105.063-.008.078.121.074.113.129 0 .023-.027.031-.055.027s-.051-.016-.051-.043h-.012a.19.19 0 0 1-.016.043c.02.012.043.02.066.02.066.008.113-.02.121-.062.008-.074-.121-.078-.117-.129 0-.016.016-.027.051-.023.027 0 .039.012.043.031h.008" class="es-E"/><path d="M10.422 7.934s-.027.031-.051.035c-.016 0-.039-.02-.039-.02s-.02.02-.039.023-.051-.023-.051-.023l-.039.039c-.023 0-.039-.012-.039-.012s-.012.016-.027.023h-.016l-.023-.016-.023-.027-.02-.012-.016-.035v-.02c-.004-.023.031-.055.082-.062a.12.12 0 0 1 .074 0c.02-.02.066-.031.113-.031s.09.012.113.027c.031-.02.07-.031.109-.027.047 0 .094.012.109.031.02-.008.047-.008.078 0 .051.008.086.035.082.063v.02l-.016.035-.023.012-.023.027-.02.012c-.031-.004-.043-.02-.043-.02s-.023.016-.035.008c-.02-.008-.039-.039-.039-.039s-.035.031-.055.027-.035-.023-.035-.023-.027.023-.047.02-.043-.035-.043-.035" class="es-H"/><path d="M10.422 7.934s-.027.031-.051.035c-.016 0-.039-.02-.039-.02s-.02.02-.039.023-.051-.023-.051-.023l-.039.039c-.023 0-.039-.012-.039-.012s-.012.016-.027.023h-.016l-.023-.016-.023-.027-.02-.012-.016-.035v-.02c-.004-.023.031-.055.082-.063a.12.12 0 0 1 .074 0c.02-.02.066-.031.113-.031s.09.012.113.027c.031-.02.07-.031.109-.027.047 0 .094.012.109.031.02-.008.047-.008.078 0 .051.008.086.035.082.063v.02l-.016.035-.023.012-.023.027-.02.012c-.031-.004-.043-.02-.043-.02s-.023.016-.035.008c-.02-.008-.039-.039-.039-.039s-.035.031-.055.027-.035-.023-.035-.023-.027.023-.047.02-.043-.035-.043-.035zm0 0" class="es-B es-C es-F"/><path d="M10.367 7.785c0-.039.023-.074.051-.074s.047.035.047.074-.016.066-.047.066-.051-.027-.051-.07" class="es-E"/><path d="M10.367 7.785c0-.039.023-.074.051-.074s.047.035.047.074-.016.066-.047.066-.051-.027-.051-.07zm0 0" class="es-B es-C es-F"/><path d="M10.398 7.785c0-.039.008-.066.02-.066s.027.027.027.066-.012.063-.023.063-.023-.027-.023-.066" class="es-E"/><g class="es-B es-F"><path d="M10.398 7.785c0-.039.008-.066.02-.066s.027.027.027.066-.012.062-.023.062-.023-.027-.023-.066zm0 0" class="es-C"/><path d="M10.164 8.074c-.008-.016-.012-.027-.02-.039a1.03 1.03 0 0 1 .555 0l-.023.031c-.004.008-.008.02-.012.031a.75.75 0 0 0-.246-.031c-.098 0-.195.012-.246.031l-.008-.023" class="es-E"/></g><path d="M10.418 8.164a1.2 1.2 0 0 0 .223-.023c.02-.008.035-.02.035-.031a.7.7 0 0 0-.258-.043.81.81 0 0 0-.242.031c-.012.023-.004.035.023.043.039.008.133.023.219.023" class="es-E"/><path d="M10.418 8.164a1.2 1.2 0 0 0 .223-.023c.02-.008.035-.02.035-.031a.7.7 0 0 0-.258-.043.81.81 0 0 0-.242.031c-.012.023-.004.035.023.043.039.008.133.023.219.023zm0 0" class="es-B es-C es-F"/><path d="M10.633 7.816c.02-.016.031-.008.031 0s-.008.012-.02.012" class="es-G"/><g class="es-B es-C"><path d="M10.633 7.816c.02-.016.031-.008.031 0s-.008.012-.02.012zm-.008-.055c0-.008.004-.016.016-.016.012.027.004.031 0 .031-.012 0-.016-.008-.016-.016zm-.043-.035c.023-.012.031-.008.031.004-.02.012-.023.012-.027.008zm-.051-.016c0-.008.008-.016.016-.016s.016.008.016.016-.008.016-.016.016-.016-.008-.016-.016zm-.055 0c0-.008.008-.012.02-.012s.016.004.016.016-.008.016-.016.016c-.016-.008-.02-.012-.02-.016zm0 0" class="es-Q"/><g class="es-F"><path d="M10.793 7.922l.008-.039c0-.027-.012-.055-.027-.074s-.047-.031-.074-.031c-.02 0-.039.004-.051.012" class="es-S"/><path d="M10.613 7.844l.008-.027c0-.043-.043-.078-.094-.078-.023 0-.047.008-.063.016"/></g><path d="M10.809 7.875c0-.012.008-.02.016-.02.012.027.004.031 0 .031s-.016-.004-.016-.016zm-.008-.059c0-.008.008-.016.016-.016.016.004.016.008.016.016-.023.012-.031.008-.031 0zm-.039-.043c.012-.016.016-.016.02-.016s.016.004.016.016-.008.016-.016.016c-.016-.008-.02-.012-.02-.016zm-.047-.027c0-.008.008-.012.02-.012.012.023.004.031 0 .031-.02-.008-.023-.012-.02-.02zm-.055.004c0-.008.008-.016.02-.016s.016.008.016.016-.008.016-.016.016-.02-.008-.02-.016zm0 0" class="es-Q"/></g><path d="M10.699 7.996l-.02-.02s-.023.012-.047.008-.035-.039-.035-.039-.027.027-.051.027-.035-.023-.035-.023-.027.02-.051.016-.043-.031-.043-.031-.023.031-.047.031-.035-.02-.035-.02-.012.023-.043.027-.051-.023-.051-.023-.016.027-.039.039c-.02 0-.043-.016-.043-.016l-.004.02-.012.004.004.02c.09-.027.18-.035.273-.035a1.06 1.06 0 0 1 .273.035l.008-.02" class="es-E"/><path d="M10.699 7.996l-.02-.02s-.023.012-.047.008-.035-.039-.035-.039-.027.027-.051.027-.035-.023-.035-.023-.027.02-.051.016-.043-.031-.043-.031-.023.031-.047.031-.035-.02-.035-.02-.012.023-.043.027-.051-.023-.051-.023-.016.027-.039.039c-.02 0-.043-.016-.043-.016l-.004.02-.012.004.004.02c.09-.027.18-.035.273-.035a1.06 1.06 0 0 1 .273.035l.008-.02zm0 0" class="es-B es-C es-F"/><path d="M10.172 7.816c0-.008.008-.016.016-.016s.016.008.016.016c-.023.012-.031.008-.031 0" class="es-G"/><g class="es-B es-C"><path d="M10.172 7.816c0-.008.008-.016.016-.016s.016.008.016.016c-.023.012-.031.008-.031 0zm.008-.055c0-.012.008-.016.016-.016s.02.004.02.016-.008.016-.02.016-.016-.008-.016-.016zm.039-.035c0-.008.012-.012.02-.012s.02.004.02.016c0 .004-.008.012-.02.012-.016-.008-.016-.012-.016-.016zm.051-.016c0-.008.008-.016.02-.016s.016.008.016.016-.008.016-.016.016-.02-.008-.02-.016zm.055 0c0-.008.008-.012.02-.012s.016.004.016.016-.008.016-.016.016c-.02-.008-.02-.012-.02-.016zm0 0" class="es-Q"/><g class="es-F"><path d="M10.043 7.922c-.004-.016-.008-.027-.008-.039 0-.027.008-.055.027-.074s.047-.031.074-.031c.02 0 .035.004.051.012" class="es-S"/><path d="M10.227 7.844c-.008-.008-.012-.02-.012-.027 0-.039.047-.078.098-.078.02 0 .039.008.055.016"/></g><path d="M9.996 7.875c0-.012.008-.02.016-.02s.016.008.016.016-.008.016-.016.016-.016-.004-.016-.016zM10 7.816c0-.008.012-.016.02-.016s.016.008.016.016c-.023.012-.031.008-.031 0zm.039-.043c0-.012.008-.016.02-.016s.016.008.016.016-.008.016-.016.016c-.02-.008-.02-.012-.02-.016zm.047-.027c0-.008.008-.012.02-.012.016.023.008.031 0 .031-.02-.008-.02-.012-.02-.02zm.055.004c0-.008.008-.016.02-.016.012.023.008.031 0 .031s-.02-.008-.02-.016zm0 0" class="es-Q"/></g><path d="M10.422 7.902h.008c0 .035.02.051.035.051s.035-.008.039-.027l.008-.008v.012c.004.02.023.031.039.031.023 0 .039-.016.039-.039l.016-.016.008.016c-.004.039.012.055.031.055s.027-.008.035-.02l.008-.008v.012c0 .012.004.023.016.027 0 0 .016 0 .035-.016s.027-.027.027-.027v.016s-.02.031-.035.039c-.008.008-.02.016-.031.012s-.023-.012-.027-.023c-.008.004-.016.008-.027.008-.02 0-.043-.012-.051-.031-.012.012-.027.02-.043.02s-.035-.008-.043-.023a.05.05 0 0 1-.039.016c-.02 0-.035-.008-.051-.023-.008.016-.027.023-.047.023-.012 0-.027-.004-.035-.016-.012.016-.031.023-.051.023s-.027-.008-.039-.02c-.008.02-.031.031-.055.031-.008 0-.02 0-.023-.008-.004.012-.016.023-.027.023s-.023 0-.035-.008-.027-.023-.035-.039l.004-.02.027.027c.02.016.035.016.035.016.012 0 .016-.016.016-.027v-.012l.008.008c.008.012.016.02.031.02.023 0 .039-.016.039-.039v-.031l.016.016c0 .023.02.039.035.039.023 0 .039-.012.043-.035v-.008l.008.008c.008.016.023.027.035.027.023 0 .043-.016.043-.035l.008-.012" class="es-E"/><path d="M10.422 7.902h.008c0 .035.02.051.035.051s.035-.008.039-.027l.008-.008v.012c.004.02.023.031.039.031.023 0 .039-.016.039-.039l.016-.016.008.016c-.004.039.012.055.031.055s.027-.008.035-.02l.008-.008v.012c0 .012.004.023.016.027 0 0 .016 0 .035-.016s.027-.027.027-.027v.016s-.02.031-.035.039c-.008.008-.02.016-.031.012s-.023-.012-.027-.023c-.008.004-.016.008-.027.008-.02 0-.043-.012-.051-.031-.012.012-.027.02-.043.02s-.035-.008-.043-.023a.05.05 0 0 1-.039.016c-.02 0-.035-.008-.051-.023-.008.016-.027.023-.047.023-.012 0-.027-.004-.035-.016-.012.016-.031.023-.051.023s-.027-.008-.039-.02c-.008.02-.031.031-.055.031-.008 0-.02 0-.023-.008-.004.012-.016.023-.027.023s-.023 0-.035-.008-.027-.023-.035-.039l.004-.02.027.027c.02.016.035.016.035.016.012 0 .016-.016.016-.027v-.012l.008.008c.008.012.016.02.031.02.023 0 .039-.016.039-.039v-.031l.016.016c0 .023.02.039.035.039.023 0 .039-.012.043-.035v-.008l.008.008c.008.016.023.027.035.027.023 0 .043-.016.043-.035l.008-.012zm0 0" class="es-B es-C es-F"/><path d="M10.418 8a1.01 1.01 0 0 0-.273.035l-.012-.008.004-.012c.074-.02.172-.035.281-.035a1.11 1.11 0 0 1 .285.035l-.008.02A1.1 1.1 0 0 0 10.418 8" class="es-E"/><path d="M10.418 8a1.01 1.01 0 0 0-.273.035l-.012-.008.004-.012c.074-.02.172-.035.281-.035a1.11 1.11 0 0 1 .285.035l-.008.02A1.1 1.1 0 0 0 10.418 8zm0 0" class="es-B es-C es-F"/><path d="M10.313 8.039c0-.012.008-.016.02-.016s.016.008.016.016-.008.016-.016.016-.02-.008-.02-.016" class="es-G"/><g class="es-B es-F"><path d="M10.313 8.039c0-.012.008-.016.02-.016s.016.008.016.016-.008.016-.016.016-.02-.008-.02-.016zm0 0" class="es-C"/><path d="M10.422 8.043h-.039V8.02h.074c.008.02.004.023-.004.023h-.035" class="es-H"/><path d="M10.246 8.059h-.023c-.016-.012-.012-.02-.004-.02l.047-.008c.02.012.016.016.016.02l-.035.004" class="es-M"/><path d="M10.145 8.074l.012-.016h.023l-.012.023-.023-.008" class="es-H"/></g><path d="M10.492 8.039c0-.012.008-.016.016-.016s.02.004.02.016-.008.016-.02.016-.016-.008-.016-.016" class="es-G"/><g class="es-B es-F"><path d="M10.492 8.039c0-.012.008-.016.016-.016s.02.004.02.016-.008.016-.02.016-.016-.008-.016-.016zm0 0" class="es-C"/><path d="M10.594 8.059h.027l-.051-.027c-.016.016-.012.02-.004.023h.027" class="es-M"/><path d="M10.691 8.078l-.008-.02h-.027l.012.023.023-.004" class="es-H"/></g><path d="M10.418 8.141c-.074.004-.152-.004-.227-.023.074-.016.148-.023.227-.023.09 0 .168.012.227.023-.059.016-.137.023-.223.023" class="es-H"/><path d="M10.418 8.141c-.074.004-.152-.004-.227-.023a1.09 1.09 0 0 1 .227-.023c.09 0 .168.012.227.023-.059.016-.137.023-.223.023zm0 0" class="es-B es-C es-F es-I"/><path d="M10.695 7.949l-.004-.012-.012.023" class="es-E"/><path d="M10.695 7.949l-.004-.012-.012.023zm0 0" class="es-B es-C es-F"/><path d="M10.523 7.922c-.012-.016-.02-.012-.02-.004l.02.004" class="es-E"/><path d="M10.523 7.922c-.012-.016-.02-.012-.02-.004zm0 0" class="es-B es-C es-F"/><path d="M10.32 7.922l.02-.004-.008.012" class="es-E"/><path d="M10.32 7.922l.02-.004-.008.012zm0 0" class="es-B es-C es-F"/><path d="M10.145 7.949l.004-.012.012.023" class="es-E"/><g class="es-B es-F"><path d="M10.145 7.949l.004-.012.012.023zm0 0" class="es-C"/><g class="es-E"><path d="M10.418 7.82l-.031.016.023.051.008.004.012-.004.023-.051-.035-.016"/><path d="M10.352 7.895l.012.02.051-.016.004-.008-.004-.008-.051-.012-.012.023m.132.001l-.012.02-.047-.016-.004-.008v-.008l.051-.012.016.023m-.269-.058l-.027.027.035.039.008.004.008-.004.008-.051-.031-.012"/><path d="M10.168 7.922l.016.016.047-.02V7.91l-.004-.008-.051-.004-.008.023m.133-.026l-.012.023h-.047l-.008-.008.004-.012.043-.023.02.02m-.184.031v.023l-.051.008-.008-.004v-.008l.035-.031.023.012"/></g></g><path d="M10.215 7.91c0-.012.008-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012" class="es-E"/><g class="es-B es-F"><path d="M10.215 7.91c0-.012.008-.02.02-.02s.02.008.02.02-.012.016-.02.012c-.008.004-.016-.004-.02-.012zm0 0" class="es-C"/><g class="es-E"><path d="M10.621 7.836l.023.027-.031.039-.008.004-.004-.004-.012-.051.031-.012m.052.083l-.02.016-.043-.02V7.91l.004-.008.047-.004.012.023"/><path d="M10.539 7.895l.008.023h.051l.008-.008-.004-.012-.047-.023-.016.02m.176.031v.023l.051.008.008-.004v-.008l-.039-.031-.02.012"/></g></g><path d="M10.402 7.891c0-.008.008-.016.02-.016s.016.008.016.016-.008.02-.016.02-.02-.012-.02-.02" class="es-E"/><path d="M10.402 7.891c0-.008.008-.016.02-.016s.016.008.016.016-.008.02-.016.02-.02-.012-.02-.02zm0 0" class="es-B es-C es-F"/><path d="M10.586 7.91c0-.012.012-.02.02-.02s.02.008.02.02-.008.012-.02.012-.016-.004-.02-.012" class="es-E"/><path d="M10.586 7.91c0-.012.012-.02.02-.02s.02.008.02.02-.008.012-.02.012-.016-.004-.02-.012zm0 0" class="es-B es-C es-F"/><g class="es-E"><path d="M10.387 7.703c0-.02.016-.031.031-.031s.035.012.035.031-.016.031-.035.031-.027-.016-.031-.031"/><path d="M10.445 7.691v.023h-.059v-.023h.016v-.051h-.02v-.016h.02v-.023h.023v.023h.023v.02h-.023v.047h.016"/></g><path d="M10.445 7.691v.023h-.059v-.023h.016v-.051h-.02v-.016h.02v-.023h.023v.023h.023v.02h-.023v.047zm0 0" class="es-B es-C es-F"/><path d="M10.461 7.691v.023h-.09v-.023h.039v-.051h-.027v-.016h.023v-.023h.023v.023h.023v.02h-.023v.047h.035" class="es-E"/><path d="M10.43 7.672c.016 0 .023.016.023.031s-.016.031-.035.031-.027-.016-.031-.031.008-.027.023-.031" class="es-B es-C es-F"/><path d="M10.051 7.957l-.023-.027c-.008-.004-.016-.008-.027-.008 0-.004.012-.012.023-.012h.016l.016.047" class="es-E"/><path d="M10.051 7.957l-.023-.027c-.008-.004-.016-.008-.027-.008 0-.004.012-.012.023-.012h.016l.016.047zm0 0" class="es-B es-C es-F"/><path d="M10.051 7.949c.027.004.027.012.023.02l-.02-.004" class="es-E"/><path d="M10.051 7.949c.027.004.027.012.023.02l-.02-.004zm0 0" class="es-B es-C es-F"/><path d="M10.781 7.957l.023-.027c.008-.008.023-.008.023-.008s-.008-.012-.02-.012h-.016l-.016.035.004.012" class="es-E"/><path d="M10.781 7.957l.023-.027c.008-.008.023-.008.023-.008s-.008-.012-.02-.012h-.016l-.016.035zm0 0" class="es-B es-C es-F"/><path d="M10.781 7.949c-.027.004-.027.012-.023.02l.02-.004" class="es-E"/><g class="es-B"><path d="M10.781 7.949c-.027.004-.027.012-.023.02l.02-.004zm0 0" class="es-C es-F"/><path d="M10.02 8.363h.805v-.207h-.805v.211zm0 0" class="es-D es-E"/></g><path d="M10.734 8.504h-.633c.023-.008.039-.023.039-.043s-.016-.043-.039-.051h.637-.004c-.02.008-.035.027-.035.051s.016.035.035.043" class="es-E"/><path d="M10.734 8.504h-.633c.023-.008.039-.023.039-.043s-.016-.043-.039-.051h.637-.004c-.02.008-.035.027-.035.051s.016.035.035.043zm0 0" class="es-B es-C es-D es-I"/><path d="M10.121 8.504h.602c.02 0 .035.012.035.027s-.016.031-.035.031h-.602c-.023 0-.039-.016-.039-.031s.02-.031.039-.031" class="es-E"/><path d="M10.121 8.504h.602c.02 0 .035.012.035.027s-.016.031-.035.031h-.602c-.023 0-.039-.016-.039-.031s.02-.031.039-.031zm0 0" class="es-B es-C es-D"/><path d="M10.121 8.363h.602c.02 0 .035.016.035.027s-.016.02-.035.02h-.602c-.023 0-.039-.008-.039-.02s.016-.023.039-.023" class="es-E"/><path d="M10.121 8.363h.602c.02 0 .035.016.035.027s-.016.02-.035.02h-.602c-.023 0-.039-.008-.039-.02s.016-.023.039-.023zm0 0" class="es-B es-C es-D"/><path d="M9.863 11.902c.051 0 .102-.012.137-.031.043-.02.094-.027.141-.027s.105.012.141.027a.31.31 0 0 0 .141.031.3.3 0 0 0 .141-.031.33.33 0 0 1 .137-.027c.047-.004.094.008.137.027a.33.33 0 0 0 .145.031v.09c-.051 0-.098-.012-.145-.035a.33.33 0 0 0-.137-.027.34.34 0 0 0-.137.027.3.3 0 0 1-.141.035.29.29 0 0 1-.141-.035c-.043-.02-.094-.031-.141-.027s-.098.008-.141.027a.3.3 0 0 1-.141.035v-.09" class="es-O"/><g class="es-B es-D"><path d="M9.863 11.902c.051 0 .102-.012.137-.031.043-.02.094-.027.141-.027s.105.012.141.027a.31.31 0 0 0 .141.031.3.3 0 0 0 .141-.031.33.33 0 0 1 .137-.027c.047-.004.094.008.137.027a.33.33 0 0 0 .145.031v.09c-.051 0-.098-.012-.145-.035a.33.33 0 0 0-.137-.027.34.34 0 0 0-.137.027.3.3 0 0 1-.141.035.29.29 0 0 1-.141-.035c-.043-.02-.094-.031-.141-.027s-.098.008-.141.027a.3.3 0 0 1-.141.035v-.09zm0 0" class="es-C"/><path d="M9.863 11.992c.051 0 .102-.016.137-.035s.086-.027.141-.027.105.012.141.027.086.035.141.035a.29.29 0 0 0 .141-.035.33.33 0 0 1 .137-.027c.055 0 .105.012.137.027a.33.33 0 0 0 .145.035v.086a.37.37 0 0 1-.145-.031c-.043-.02-.09-.031-.137-.027-.055 0-.102.008-.137.027s-.086.031-.141.031a.25.25 0 0 1-.141-.031.36.36 0 0 0-.141-.027c-.047-.004-.098.008-.141.027s-.09.031-.141.031v-.086" class="es-P"/><path d="M9.863 12.074c.051 0 .102-.008.137-.027s.086-.027.141-.027.105.008.141.027.086.031.141.031.098-.012.141-.031a.28.28 0 0 1 .137-.031.28.28 0 0 1 .137.031c.039.016.09.031.145.031v.086a.37.37 0 0 1-.145-.031c-.043-.02-.09-.031-.137-.027a.34.34 0 0 0-.137.027.3.3 0 0 1-.141.031.36.36 0 0 1-.141-.027c-.043-.023-.094-.031-.141-.031s-.098.008-.141.031a.36.36 0 0 1-.141.027v-.09" class="es-O"/><path d="M9.863 12.25c.047.004.094-.008.137-.027a.31.31 0 0 1 .141-.031c.051 0 .105.012.141.031s.086.027.141.027a.3.3 0 0 0 .141-.031.33.33 0 0 1 .137-.027c.055 0 .105.012.137.031.047.02.094.031.145.027v-.086a.37.37 0 0 1-.145-.031c-.043-.02-.09-.031-.137-.027a.34.34 0 0 0-.137.027c-.035.016-.086.031-.141.031a.36.36 0 0 1-.141-.027c-.043-.023-.094-.031-.141-.031s-.098.008-.141.031a.36.36 0 0 1-.141.027v.086" class="es-P"/></g><path d="M9.863 12.336c.047.004.094-.008.137-.027a.31.31 0 0 1 .141-.031c.051 0 .105.012.141.031s.086.027.141.027.098-.008.141-.031a.33.33 0 0 1 .137-.027c.055 0 .105.012.137.031a.33.33 0 0 0 .145.027v-.086c-.051.004-.098-.008-.145-.027a.28.28 0 0 0-.137-.031.33.33 0 0 0-.137.027c-.043.02-.09.031-.141.031a.36.36 0 0 1-.141-.027.3.3 0 0 0-.141-.031.31.31 0 0 0-.141.031.36.36 0 0 1-.141.027v.086" class="es-O"/><path d="M9.863 12.336c.047.004.094-.008.137-.027a.31.31 0 0 1 .141-.031c.051 0 .105.012.141.031s.086.027.141.027.098-.008.141-.031a.33.33 0 0 1 .137-.027c.055 0 .105.012.137.031a.33.33 0 0 0 .145.027v-.086c-.051.004-.098-.008-.145-.027a.28.28 0 0 0-.137-.031.33.33 0 0 0-.137.027c-.043.02-.09.031-.141.031a.36.36 0 0 1-.141-.027.3.3 0 0 0-.141-.031.31.31 0 0 0-.141.031.36.36 0 0 1-.141.027v.086zm0 0" class="es-B es-C es-D"/><path d="M10.734 11.551v.02c0 .055.043.098.098.098h-.824a.1.1 0 0 0 .102-.098l-.004-.02h.629" class="es-E"/><path d="M10.734 11.551v.02c0 .055.043.098.098.098h-.824a.1.1 0 0 0 .102-.098l-.004-.02zm0 0" class="es-B es-C es-D es-I"/><path d="M10.121 11.492h.602c.02 0 .035.012.035.031s-.016.027-.035.027h-.602c-.023 0-.039-.012-.039-.031s.02-.027.039-.027" class="es-E"/><g class="es-B es-D"><path d="M10.121 11.492h.602c.02 0 .035.012.035.031s-.016.027-.035.027h-.602c-.023 0-.039-.012-.039-.031s.02-.027.039-.027zm0 0" class="es-C"/><path d="M10.008 11.875h.824v-.211h-.824zm0 0" class="es-E"/></g><path d="M10.898 10.75c.078.047.133.094.125.121s-.027.039-.066.059c-.059.043-.094.113-.066.152-.051-.039-.082-.102-.078-.168s.031-.125.086-.164" class="es-H"/><path d="M10.898 10.75c.078.047.133.094.125.121s-.027.039-.066.059c-.059.043-.094.113-.066.152-.051-.039-.082-.102-.078-.168s.031-.125.086-.164zm0 0" class="es-B es-C es-D"/><path d="M10.129 11.461h.586V8.586h-.586zm0 0" class="es-P"/><g class="es-B es-D"><path d="M10.551 8.59v2.863m.07-2.863v2.863m-.488.008h.582V8.586h-.586v2.871zm0 0" class="es-C"/><g class="es-H"><path d="M9.531 9.664a1.85 1.85 0 0 1 .875-.074c.348.059.613.199.598.312v.008l.129-.305c.023-.125-.273-.281-.66-.348a1.68 1.68 0 0 0-.344-.023c-.25 0-.465.027-.598.078v.352" class="es-I"/><path d="M10.715 10.023c.164-.012.273-.051.289-.121.008-.055-.047-.109-.145-.168l-.145.012v.277m-.589-.218a.49.49 0 0 0-.215.074v.008c-.02.035.07.109.219.199v-.281"/></g></g><path d="M11.078 10.574c.016-.043-.145-.133-.363-.215l-.293-.121c-.312-.141-.539-.297-.512-.352v-.008c-.016.012-.035.297-.035.297-.031.051.18.207.465.344.09.043.285.113.375.148.16.055.324.16.309.199l.055-.289" class="es-H"/><path d="M11.078 10.574c.016-.043-.145-.133-.363-.215l-.293-.121c-.313-.141-.539-.297-.512-.352v-.008c-.016.012-.035.297-.035.297-.031.051.18.207.465.344.09.043.285.113.375.148.16.055.324.16.309.199l.055-.289zm0 0" class="es-B es-C es-D es-I"/><path d="M9.895 9.539c.023-.086.055-.164.082-.246h-.02c-.035.063-.051.125-.07.184-.039-.055-.078-.102-.102-.152l-.039.004h-.039l.152.215h.02l.016-.004m.227-.246h-.039-.027v.23h.156V9.5h-.098l.004-.207m.254.035l.078.012v-.023l-.219-.02v.031c.023-.004.051-.004.074 0l-.016.207h.063l.016-.203m.09.227c.012 0 .02 0 .031.008l.031.008.027-.109.02.047.031.078.039.008c.012 0 .023.008.035.012l-.012-.027c-.016-.039-.035-.07-.047-.109.035 0 .07-.012.078-.047.004-.02 0-.035-.027-.055-.016-.012-.043-.016-.062-.02l-.09-.02-.055.227m.113-.195c.027.008.059.012.059.039v.02c-.012.031-.039.043-.078.031l.02-.09m.301.262l-.008.078.031.016.031.02.02-.262-.023-.012-.23.145.02.008.016.008.063-.043.086.047zm-.062-.055l.074-.055-.008.09-.066-.039" class="es-E"/><g class="es-B"><path d="M6.832 7.215a.08.08 0 0 1 .074-.074c.039 0 .082.035.082.074s-.035.074-.078.074c-.02.004-.039-.004-.055-.02s-.023-.035-.023-.055zm0 0" class="es-C es-K"/><path d="M7.715 6.578c.234 0 .449.035.586.09a1.21 1.21 0 0 0 .551.086 1.07 1.07 0 0 1 .383.09 1.06 1.06 0 0 1 .281.176l-.059.055-.016.141-.152.176-.074.066-.187.148-.094.008-.027.078-1.184-.141-1.191.141-.027-.078-.094-.008-.184-.152-.078-.063-.152-.176-.02-.141-.055-.055a1 1 0 0 1 .281-.176 1 1 0 0 1 .383-.09c.074.008.156.004.246-.008a1.17 1.17 0 0 0 .301-.074 1.53 1.53 0 0 1 .582-.094zm0 0" class="es-F es-H"/><path d="M7.734 8.141c-.445 0-.844-.051-1.125-.133-.02-.008-.031-.027-.027-.047s.012-.039.027-.043c.367-.098.746-.145 1.125-.137.438 0 .836.051 1.117.137.016.004.027.023.027.043s-.012.039-.027.047c-.281.082-.676.133-1.117.133" class="es-D es-E"/></g><path d="M7.73 8.086c-.398 0-.758-.047-1.031-.117.273-.074.633-.113 1.031-.117.348-.004.695.035 1.035.113-.277.074-.641.121-1.035.121" class="es-H"/><g class="es-B es-C"><path d="M7.758 8.09v-.238m-.063.238v-.238" class="es-K"/><path d="M7.637 8.09v-.238m-.062.238v-.238" class="es-Q"/><path d="M7.523 8.09v-.238m-.105.223v-.215m.047.219v-.227m-.141.211v-.195m.047.203v-.211" class="es-F"/><path d="M7.199 8.055v-.18m.039.176v-.176m.043.188v-.187m-.125.176v-.168" class="es-D"/><path d="M7.113 8.043v-.156m-.043.152v-.148" class="es-L"/><path d="M6.977 8.023v-.109m.047.117v-.129m-.094.113v-.102" class="es-R"/><path d="M6.891 8.012v-.09M6.84 8v-.07m-.043.063v-.051" stroke-width=".026"/><path d="M6.742 7.98v-.027" stroke-width=".034"/><path d="M8.016 8.074v-.219m-.109.227v-.23m-.078.234v-.238" class="es-K"/></g><g class="es-D es-E es-B"><path d="M7.727 7.777c-.383-.004-.762.047-1.125.145.02-.008.016-.035-.012-.109-.039-.094-.09-.09-.09-.09.309-.094.75-.152 1.23-.152a4.71 4.71 0 0 1 1.234.152s-.055-.004-.094.086c-.027.074-.027.105-.008.113-.281-.086-.688-.141-1.133-.141"/><path d="M7.73 7.57c-.484 0-.922.059-1.23.152-.012.004-.02 0-.031-.004s-.016-.012-.02-.02 0-.02.004-.031a.04.04 0 0 1 .023-.02c.406-.109.828-.16 1.254-.156.492 0 .941.062 1.254.156.023.008.035.031.027.051s-.031.031-.051.023c-.312-.094-.75-.152-1.23-.152"/></g><path d="M7.73 8.086c-.398 0-.758-.047-1.031-.117.273-.074.633-.113 1.031-.117.348-.004.695.035 1.035.113-.277.074-.641.121-1.035.121zm0 0" class="es-B es-C es-D es-I"/><path d="M7.387 7.68c0-.02.016-.039.039-.039s.035.02.035.039-.012.039-.035.039-.039-.02-.039-.039" class="es-B es-D es-G"/><path d="M7.73 7.711h-.117c-.023 0-.039-.02-.039-.039s.016-.035.039-.035h.238c.02 0 .039.016.039.035s-.02.039-.039.039h-.117" class="es-B es-D es-H"/><path d="M7.137 7.742l-.086.008c-.023.004-.039-.012-.047-.027 0-.012.004-.023.012-.031s.016-.012.027-.012l.082-.012.09-.012c.02 0 .039.012.043.035s-.012.039-.035.039l-.086.012" class="es-B es-D es-M"/><path d="M6.789 7.75c0-.02.016-.035.039-.035s.039.016.039.035-.016.039-.039.039-.035-.016-.035-.039" class="es-B es-D es-G"/><path d="M6.523 7.82l.047-.063.125.016-.098.074-.07-.027" class="es-B es-D es-H"/><path d="M8.324 7.742l.086.008c.02.004.039-.012.043-.027s-.004-.02-.008-.027-.016-.016-.027-.016l-.082-.012-.09-.012c-.012 0-.02.004-.027.008s-.012.016-.016.027c0 .02.012.039.035.039l.086.012" class="es-B es-D es-M"/><path d="M8 7.68c0-.02.016-.039.035-.039s.039.02.039.039-.016.039-.039.039S8 7.699 8 7.68m.59.07c0-.02.02-.035.039-.035s.043.016.043.035-.016.039-.039.039-.039-.016-.039-.039" class="es-B es-D es-G"/><path d="M8.934 7.82l-.043-.063-.125.016.098.074.07-.027" class="es-B es-D es-H"/><path d="M6.648 7.98c.277-.078.66-.129 1.082-.129s.801.051 1.082.129" class="es-B es-C es-D"/><g class="es-E"><path d="M6.836 6.891l.055.039.074-.121c-.094-.055-.148-.16-.137-.27.008-.152.195-.285.438-.285a.62.62 0 0 1 .32.09c0-.02 0-.043.008-.066-.102-.055-.211-.082-.328-.078-.277 0-.492.152-.504.34-.012.109.031.215.113.285l-.039.066" class="es-B es-D"/><path d="M6.84 6.891c-.09-.063-.145-.16-.148-.273s.074-.227.199-.297a.31.31 0 0 0-.129.254c0 .094.039.188.113.25l-.035.066" class="es-B es-D"/><path d="M6.004 7.016c-.055-.059-.086-.141-.086-.219 0-.051.012-.098.035-.145.078-.156.316-.27.602-.27a1.08 1.08 0 0 1 .223.023l-.039.051c-.059-.012-.121-.016-.184-.016-.262 0-.48.102-.543.238-.02.035-.027.074-.027.117 0 .078.039.156.102.207l-.098.156-.047-.039.063-.105"/></g><path d="M6.004 7.016c-.055-.059-.086-.141-.086-.219 0-.051.012-.098.035-.145.078-.156.316-.27.602-.27a1.08 1.08 0 0 1 .223.023l-.039.051c-.059-.012-.121-.016-.184-.016-.262 0-.48.102-.543.238-.02.035-.027.074-.027.117 0 .078.039.156.102.207l-.098.156-.047-.039zm0 0" class="es-B es-C es-D"/><path d="M6.102 6.5a.37.37 0 0 0-.148.152c-.023.043-.035.094-.035.145 0 .086.035.16.086.219l-.055.094c-.059-.07-.086-.156-.09-.242 0-.152.094-.281.242-.367" class="es-E"/><path d="M6.102 6.5a.37.37 0 0 0-.148.152c-.023.043-.035.094-.035.145 0 .086.035.16.086.219l-.055.094c-.059-.07-.086-.156-.09-.242 0-.152.094-.281.242-.367zm0 0" class="es-B es-C es-D"/><path d="M7.727 6.164c.063 0 .117.043.129.098a.79.79 0 0 1 .016.168v.043c.004.125.023.234.051.305l-.195.188-.195-.187c.023-.07.043-.18.047-.305V6.43c0-.059.008-.113.016-.168s.066-.098.133-.098" class="es-E"/><path d="M7.727 6.164c.062 0 .117.043.129.098a.79.79 0 0 1 .016.168v.043c.004.125.023.234.051.305l-.195.188-.195-.187c.023-.07.043-.18.047-.305V6.43c0-.059.008-.113.016-.168s.066-.098.133-.098zm0 0" class="es-B es-C es-D"/><path d="M7.727 6.227c.035 0 .063.02.066.051a.92.92 0 0 1 .016.156v.039c.004.121.02.227.043.289l-.125.121-.129-.121a.79.79 0 0 0 .043-.289v-.039l.016-.156c.012-.031.039-.051.07-.051" class="es-E"/><g class="es-B es-D"><path d="M7.727 6.227c.035 0 .062.02.066.051a.92.92 0 0 1 .016.156v.039c.004.121.02.227.043.289l-.125.121-.129-.121a.79.79 0 0 0 .043-.289v-.039l.016-.156c.012-.031.039-.051.07-.051zm0 0" class="es-C"/><g class="es-E"><path d="M8.613 6.891l-.047.039-.078-.121c.086-.047.137-.137.137-.234v-.035c-.008-.152-.199-.285-.438-.285a.61.61 0 0 0-.32.09c0-.02-.004-.043-.008-.066.102-.055.215-.082.328-.078.277 0 .492.152.5.34.012.109-.031.215-.109.285l.035.066"/><path d="M8.609 6.891c.094-.059.152-.16.156-.273s-.082-.227-.199-.297c.078.059.125.152.125.254s-.043.188-.117.25l.035.066"/></g></g><path d="M9.449 7.016c.055-.059.086-.141.082-.219 0-.051-.012-.102-.031-.145-.078-.156-.316-.27-.602-.27-.074 0-.152.008-.227.023l.039.051c.063-.012.125-.016.188-.016.262 0 .48.102.539.238.02.035.027.074.027.117a.27.27 0 0 1-.098.207l.094.156.051-.039-.066-.105" class="es-E"/><path d="M9.449 7.016c.055-.059.086-.141.082-.219 0-.051-.012-.102-.031-.145-.078-.156-.316-.27-.602-.27-.074 0-.152.008-.227.023l.039.051c.062-.012.125-.016.188-.016.262 0 .48.102.539.238.02.035.027.074.027.117a.27.27 0 0 1-.098.207l.094.156.051-.039-.066-.105zm0 0" class="es-B es-C es-D"/><path d="M9.348 6.5c.063.035.117.09.152.152.02.043.031.094.031.145 0 .078-.031.16-.086.219l.063.094a.4.4 0 0 0 .086-.242c0-.152-.098-.281-.246-.367" class="es-E"/><path d="M9.348 6.5c.063.035.117.09.152.152.02.043.031.094.031.145 0 .078-.031.16-.086.219l.063.094a.4.4 0 0 0 .086-.242c0-.152-.098-.281-.246-.367zm0 0" class="es-B es-C es-D"/><path d="M7.656 6.801c0-.035.031-.066.07-.066s.07.031.07.066-.035.066-.07.066-.066-.027-.07-.066" class="es-G"/><g class="es-B"><g class="es-D"><path d="M7.656 6.801c0-.035.031-.066.07-.066s.07.031.07.066-.035.066-.07.066-.066-.027-.07-.066zm0 0" class="es-C"/><path d="M7.656 6.676c0-.039.031-.066.07-.066s.07.027.07.066-.035.063-.07.063-.066-.027-.07-.063m.016-.141c0-.023.023-.047.055-.047s.055.023.055.047c0 .031-.027.055-.055.055s-.055-.023-.055-.055m.016-.121c0-.02.016-.039.039-.039s.035.02.035.039-.016.035-.035.035-.039-.016-.039-.035m.008-.105c0-.02.016-.031.031-.031s.031.012.031.031-.016.027-.031.027-.031-.012-.031-.027" class="es-G"/><path d="M7.734 7.191l.043.008c-.016.055-.008.113.027.156s.086.07.141.07c.074 0 .141-.047.164-.113.004 0 .02-.063.027-.063s.004.066.008.063c.012.086.09.141.176.141.051.004.098-.016.133-.051s.047-.086.043-.137l.059-.055.023.074c-.008.023-.016.047-.012.074.004.086.078.156.168.156.059 0 .113-.027.141-.07l.035-.047v.055c0 .059.023.105.074.113 0 0 .063.004.152-.059.078-.062.121-.117.121-.117l.008.063s-.066.105-.141.152c-.039.023-.102.047-.152.035-.051-.004-.09-.047-.113-.094-.035.02-.078.035-.121.035-.098.004-.187-.051-.23-.137a.26.26 0 0 1-.195.078.27.27 0 0 1-.195-.09.25.25 0 0 1-.172.066c-.086 0-.164-.043-.211-.113-.051.07-.129.113-.215.113-.066 0-.129-.023-.176-.066a.27.27 0 0 1-.195.09.26.26 0 0 1-.195-.078c-.043.086-.129.141-.227.137-.043 0-.09-.012-.125-.035-.023.047-.059.09-.113.098a.27.27 0 0 1-.152-.039c-.074-.047-.141-.152-.141-.152l.008-.063s.043.055.125.117.148.059.148.059c.051-.008.074-.055.074-.113v-.055l.039.047c.031.043.082.074.137.074.094 0 .168-.074.168-.16.004-.027 0-.055-.012-.078l.027-.07.059.055v.023c0 .09.074.164.172.164.09 0 .164-.055.176-.141 0 0 0-.059.008-.063s.023.063.027.059c.023.07.094.117.168.117.055 0 .109-.023.141-.07s.043-.102.027-.156l.047-.008" class="es-E"/><path d="M8.949 7.414c.008-.031 0-.059-.023-.066s-.047.012-.059.039 0 .062.023.066.047-.008.059-.039m-.77-.148c0-.031-.012-.063-.039-.063-.02-.004-.035.02-.043.055-.004.027.012.055.031.059s.047-.023.051-.051m-.898 0c0-.031.016-.063.039-.063s.039.02.043.055c.004.027-.008.055-.031.059s-.043-.023-.047-.051m-.77.148c-.008-.031 0-.059.02-.066s.047.012.059.039 0 .062-.02.066-.051-.008-.059-.039" class="es-G"/><path d="M6.852 6.898c.039.027.07.066.082.109 0 0 0-.012.023-.023s.035-.008.035-.008l-.004.047-.008.082c-.008.023-.016.043-.027.062-.016-.016-.035-.02-.059-.016-.016.004-.035.016-.043.031 0 0-.027-.02-.047-.047l-.039-.074-.027-.043s.02-.008.043 0c.02 0 .027.008.027.008-.004-.047.012-.09.039-.129m.016.367c-.012-.008-.02-.02-.023-.035s0-.035.012-.047c0 0-.035-.016-.066-.023s-.078-.008-.086-.008H6.66l.008.02c.008.016.02.023.02.023-.047.012-.086.039-.113.074.039.031.082.043.129.039l-.004.031v.02l.035-.012c.012-.004.059-.02.074-.039.031-.016.059-.043.059-.043m.102-.016c.008-.012.008-.027.008-.043s-.012-.027-.023-.035l.051-.051c.023-.016.051-.023.074-.035l.043-.012v.02c0 .012-.004.02-.008.031.047-.004.09.012.129.039-.027.035-.066.062-.109.074.008.016.016.031.027.043h-.039c-.016 0-.059 0-.086-.008s-.047-.016-.066-.023" class="es-E"/><path d="M6.832 7.215a.08.08 0 0 1 .074-.074c.039 0 .082.035.082.074s-.035.074-.078.074c-.02.004-.039-.004-.055-.02s-.023-.035-.023-.055" class="es-H"/><g class="es-E"><path d="M7.73 6.781c.039.035.063.082.07.137 0 0 .008-.012.031-.02s.047-.008.047-.008l-.02.055-.031.09c-.008.023-.02.043-.035.062-.016-.016-.039-.027-.063-.023s-.047.008-.062.023c0 0-.023-.023-.035-.062l-.031-.09-.02-.055.047.008c.023.008.031.02.031.02 0-.051.031-.105.07-.137"/><path d="M7.672 7.191c-.012-.012-.016-.027-.02-.043s.004-.039.016-.051c0 0-.027-.023-.066-.035-.027-.016-.074-.027-.094-.027l-.047-.008.008.023.016.031c-.051.004-.102.027-.137.066.035.031.086.059.137.059l-.023.059.047-.004c.016-.004.066-.016.094-.027.039-.016.07-.039.07-.039m.113 0c.027-.027.027-.066.004-.098 0 0 .035-.023.066-.035s.062-.023.094-.027l.047-.012-.004.027-.016.031c.051 0 .102.031.133.066-.035.035-.082.055-.133.059.004.02.012.043.02.059l-.047-.004-.094-.027c-.035-.016-.066-.039-.066-.039m.824-.301a.2.2 0 0 0-.082.113l-.027-.023c-.02-.008-.035-.008-.035-.008l.008.047c0 .012 0 .051.008.082.008.039.023.062.023.062.016-.016.039-.02.059-.016s.035.02.047.031l.043-.047c.02-.031.035-.063.039-.074l.027-.043s-.016-.008-.039 0c-.023 0-.035.008-.035.008.004-.047-.012-.09-.039-.129m-.012.367c.012-.008.02-.02.023-.035s0-.031-.008-.047c0 0 .031-.016.063-.023s.078-.008.09-.008h.039l-.012.02c-.004.008-.008.016-.016.023.047.012.086.039.109.074-.039.031-.082.043-.129.039l.008.031v.02l-.039-.012c-.012-.004-.055-.02-.074-.039-.031-.016-.055-.043-.055-.043m-.105-.016c-.004-.016-.008-.027-.008-.043s.012-.031.023-.035c0 0-.023-.031-.051-.051s-.066-.031-.074-.035l-.039-.012v.02a.06.06 0 0 0 .008.031c-.047-.004-.094.008-.133.039.027.031.066.062.113.074 0 0-.012.008-.02.027l-.012.016h.039c.016 0 .063 0 .086-.008s.047-.016.066-.023"/></g><path d="M8.477 7.215c0-.039.035-.074.074-.074s.078.035.078.074-.035.074-.074.074c-.02.004-.043-.004-.055-.02s-.023-.035-.023-.055m.867.164c-.016-.02-.051-.016-.082.008s-.035.062-.02.082.059.016.086-.012c.027-.02.039-.059.02-.074" class="es-H"/><path d="M9.234 7.426l.027-.039c.027-.023.066-.027.086-.008l.004.008s.039-.074.086-.098.129-.02.129-.02c0-.027-.012-.055-.031-.074s-.051-.031-.078-.027a.11.11 0 0 0-.09.035l-.008-.035s-.047.008-.07.066 0 .133 0 .133-.012-.031-.027-.055a.24.24 0 0 0-.09-.059l-.047-.027-.004.02v.027c-.047-.004-.098.004-.141.02.02.039.055.066.094.082l-.027.027c-.008.008-.012.012-.016.02l.047.008.094.008.063-.008m-3.008 0c0-.016-.012-.027-.027-.039-.027-.027-.063-.031-.082-.012l-.008.012s-.039-.074-.086-.102-.125-.02-.125-.02c0-.055.047-.102.105-.102.039 0 .07.012.09.035l.008-.035s.047.008.074.066c.02.055-.004.133-.004.133s.012-.031.031-.055c.027-.023.055-.047.09-.059l.047-.027v.047c.047-.004.098.004.141.02-.02.039-.055.066-.094.082l.031.027.012.02-.043.008-.098.008-.062-.008" class="es-E"/><path d="M6.113 7.379c.023-.02.059-.016.09.012s.035.059.016.074c-.02.023-.059.02-.082-.008-.031-.02-.039-.059-.02-.074m1.535-.234c0-.043.035-.074.078-.074s.078.031.078.074c0 .035-.039.074-.074.074-.023 0-.043-.008-.059-.02s-.023-.035-.023-.055" class="es-H"/></g><g class="es-F"><path d="M7.566 6.023c0-.082.074-.152.164-.152s.156.07.156.152-.07.148-.16.148-.156-.062-.16-.148" class="es-O"/><path d="M7.688 5.598v.082h-.09v.086h.086V6h-.109l-.008.023c0 .023.004.039.012.059h.297c.008-.02.012-.035.012-.059L7.879 6h-.105v-.234h.086V5.68h-.086v-.082h-.09zm0 0" class="es-E"/></g></g><path d="M7.742 12.398c-.461-.004-.914-.105-1.328-.309a.85.85 0 0 1-.48-.766v-1.199h3.613v1.199a.85.85 0 0 1-.48.766c-.41.203-.863.305-1.324.309" class="es-P"/><g class="es-B es-L"><path d="M7.742 12.398c-.461-.004-.914-.105-1.328-.309a.85.85 0 0 1-.48-.766v-1.199h3.613v1.199a.85.85 0 0 1-.48.766c-.41.203-.863.305-1.324.309zm0 0" class="es-C"/><path d="M7.734 10.125h1.812V8.117H7.734zm0 0" class="es-P"/></g><path d="M7.734 11.324c0 .473-.398.859-.898.859s-.906-.387-.906-.863v-1.199h1.805v1.199" class="es-H"/><g class="es-B es-L"><g class="es-E"><path d="M6.324 12.035c.055.027.133.074.215.098l-.004-2.055h-.211zm0 0"/><path d="M5.926 11.309a.89.89 0 0 0 .207.563V10.09H5.93v1.219zm0 0" class="es-I"/></g><path d="M6.727 12.176a.95.95 0 0 0 .211 0v-2.098h-.211v2.102zm0 0" fill="rgb(78.039216%,70.980392%,0%)"/><path d="M7.125 12.133c.078-.02.152-.051.219-.094v-1.961h-.219l-.004 2.055zm0 0" class="es-E"/><path d="M5.93 10.125h1.805V8.117H5.926v2.008zm0 0" class="es-H"/><path d="M7.539 11.852c.09-.078.172-.258.199-.461l.004-1.312h-.203l.004 1.777zm0 0" class="es-E"/><path d="M7.734 11.324c0 .473-.398.859-.898.859s-.906-.387-.906-.863v-1.199h1.805v1.199" class="es-C"/><path d="M9.547 10.125v1.199c0 .473-.406.859-.902.859s-.91-.387-.91-.863v-1.199h1.812" class="es-H"/></g><g class="es-E"><path d="M8.066 11.027l.004.02c0 .023-.02.039-.043.039-.008 0-.02-.004-.027-.012s-.012-.016-.012-.027v-.02H7.93c-.008.051.02.098.07.109v.148h.059v-.148c.031-.008.055-.031.063-.059h.168v-.047h-.227m.816 0v.047H8.73l-.012.023.172.195-.043.035-.176-.199-.004.004v.328h-.062v-.328h-.008l-.18.195-.043-.035.176-.199-.16-.016v-.059h.488zm.098 0v.047h.164c.012.031.035.051.066.059v.148h.059v-.148c.039-.012.066-.047.066-.09l-.059-.02.004.02c0 .023-.02.039-.039.039s-.043-.016-.043-.039l-.219-.02m-.25.832a.55.55 0 0 0 .137-.039l.031.051a.58.58 0 0 1-.16.047c-.012.043-.051.074-.098.074s-.082-.031-.094-.074a.66.66 0 0 1-.172-.047l.027-.051c.051.02.098.035.152.039.012-.023.031-.043.055-.051v-.25h.063v.25c.023.008.047.027.059.051zm-.414-.086l-.027.055a.56.56 0 0 1-.137-.117c-.035.008-.066 0-.094-.02-.02-.016-.031-.039-.035-.062s.008-.051.023-.066l.004-.004a.58.58 0 0 1-.047-.18h.063a.4.4 0 0 0 .039.148c.016 0 .035 0 .051.008l.152-.168.051.035-.152.172c.016.031.016.074-.004.102.031.039.07.07.113.098zm-.223-.18c.012-.016.035-.016.055 0s.02.039.004.055-.043.016-.059.004c-.008-.008-.016-.02-.016-.027s.008-.023.016-.031zm-.082-.168l-.062-.012-.012-.16L8 11.23v.094a.43.43 0 0 0 .008.102zm.051-.199l.063.016v.082a.48.48 0 0 1 .012.078l-.062.023c-.008-.031-.012-.066-.012-.102zm.211.516c.055.043.113.074.18.098l.016-.062a.46.46 0 0 1-.152-.074l-.043.039m-.031.051a.67.67 0 0 0 .18.098l-.043.043a.92.92 0 0 1-.152-.074l.016-.066m.082-.352l.063.027.109-.125-.035-.051-.137.148m-.047-.039l-.039-.051.113-.125.059.027-.133.148m.68.371l.027.055a.56.56 0 0 0 .137-.117c.031.008.066 0 .094-.02.02-.016.031-.039.035-.062s-.008-.051-.023-.066l-.004-.004a.58.58 0 0 0 .047-.18h-.062a.49.49 0 0 1-.039.148c-.016 0-.035 0-.051.008l-.156-.168-.047.035.152.172c-.02.031-.02.074.004.102-.031.039-.07.07-.113.098zm.223-.18c-.016-.012-.039-.012-.055 0s-.02.039-.004.055.043.016.059.004c.008-.008.012-.02.012-.027s-.004-.023-.012-.031zm.082-.168l.063-.012.008-.16-.062-.023v.094c0 .039 0 .07-.008.105zm-.051-.199l-.066.016v.082c0-.027-.008.078-.008.078l.063.023.012-.102v-.098m-.211.516c-.055.043-.113.074-.18.098l-.016-.062a.46.46 0 0 0 .152-.074l.043.039m.031.051a.67.67 0 0 1-.18.098l.043.043a.92.92 0 0 0 .152-.074l-.016-.066m-.082-.352l-.062.027-.109-.125.039-.051.133.148m.047-.039l.039-.051-.113-.125-.059.027.133.148m-.754-.324l.02.059h.168l.02-.059h-.207m.793 0l-.02.059h-.168l-.02-.059h.207m-.437.82c0-.023.02-.039.043-.039.012 0 .02.004.027.012s.012.016.012.027c0 .023-.016.039-.035.039-.012 0-.023-.004-.031-.012s-.012-.016-.016-.027zm.074-.293l.063-.016v-.16l-.062-.02v.195m-.062 0l-.062-.016v-.16l.063-.02v.195"/><path d="M7.93 11.031c.008-.035.039-.059.07-.074v-.195h.059v.199c.031.012.055.035.063.059h.168v.012h-.227c-.008-.012-.023-.02-.039-.02s-.023.008-.035.02H7.93m.461 0v-.012h.152l-.18-.223.043-.039.188.211.008-.004v-.277h.063v.273h.008l.188-.207.043.039-.184.207.012.02h.148v.012zm.809 0c.008-.012.02-.023.035-.02s.031.008.039.02h.059c-.004-.035-.031-.059-.066-.074v-.195h-.059v.199c-.031.012-.055.031-.066.059h-.164v.012h.227m-1.133-.562l.227.258.047-.039-.23-.25.012-.023h.168v-.062h-.168c-.012-.039-.051-.066-.094-.066a.1.1 0 0 0-.07.027c-.016.016-.027.043-.031.066 0 .043.027.078.07.09v.195h.059v-.195zm1.199 0v.199h-.062v-.195l-.242.25-.047-.039.23-.258-.004-.012h-.168v-.062h.168c.016-.039.051-.066.09-.066.027 0 .055.008.07.027s.031.043.031.066c0 .043-.027.082-.07.09zm-.602 0v.125h-.066v-.121c-.027-.008-.051-.031-.062-.059h-.148v-.062h.148c.016-.039.051-.066.094-.066s.082.027.094.066h.148v.059h-.148c-.008.027-.031.051-.059.059zM8 10.621l-.066.016v.16l.066.02v-.195m.059 0l.063.016v.16l-.062.02v-.195m1.148 0l-.066.016v.16l.066.02v-.195m.059 0l.063.016v.16l-.062.02v-.195m-.957.027l.063-.023.109.121-.039.055-.133-.152m-.047.039l-.039.051.113.125.059-.027-.133-.148m.691-.043l-.059-.023-.113.121.039.055.133-.152m.047.039l.039.051-.113.125-.059-.027.133-.148m-.762.336l.02-.059h.168l.02.059h-.207m-.25-.637c0-.023.02-.035.043-.035s.039.016.039.035-.016.039-.039.039c-.008 0-.02-.004-.027-.012s-.016-.016-.016-.027zm.453.031l-.02.059h-.168l-.02-.059h.207m0-.059l-.02-.062h-.168l-.02.063h.207m.59.664l-.02-.059h-.168l-.02.059h.207m.164-.637c0-.023.02-.035.039-.035.012-.004.023 0 .031.008s.012.02.012.027c0 .023-.02.039-.039.039-.008 0-.02-.004-.027-.012s-.016-.016-.016-.027zm-.605 0c0-.023.02-.035.043-.035.012-.004.02 0 .027.008s.012.02.012.027c0 .023-.016.039-.039.039s-.039-.016-.043-.039zm.234.031l.02.059h.172l.02-.059h-.211m0-.059l.02-.062h.172l.02.063h-.211m-.223.188l-.062.016v.164l.063.016v-.199m.066 0l.059.016v.164l-.059.016v-.195"/></g><g stroke="rgb(78.431373%,69.411765%,0%)" class="es-C es-F"><path d="M8.727 11.859a.55.55 0 0 0 .137-.039l.031.051a.58.58 0 0 1-.16.047c-.012.043-.051.074-.098.074s-.082-.031-.094-.074a.66.66 0 0 1-.172-.047l.027-.051c.051.02.098.035.152.039.012-.023.031-.043.055-.051v-.25h.062v.25c.023.008.047.027.059.051zm-.176-.762c-.004-.008-.008-.012-.008-.02h-.152v-.055h.152l-.18-.223.043-.039.188.207.008-.281h.066v.273h.004l.188-.207.043.039-.184.207.012.02h.148v.059H8.73c0 .008-.008.016-.012.02l.176.199-.047.035-.176-.199-.004.004v.328h-.062v-.328l-.008-.004-.18.199-.043-.035.176-.199m-.48-.629l.227.258.047-.039-.23-.25.012-.023h.168v-.062h-.168c-.012-.039-.051-.066-.094-.066-.051 0-.094.043-.098.094 0 .043.027.078.066.09v.195h.059v-.195zm.242 1.305l-.027.055a.56.56 0 0 1-.137-.117c-.035.008-.066 0-.094-.02-.02-.016-.031-.039-.035-.062s.008-.051.023-.066l.004-.004c-.023-.059-.039-.117-.043-.18h.059a.4.4 0 0 0 .039.148c.016 0 .035 0 .051.008l.152-.168.051.035-.152.172c.02.031.016.074-.004.102.031.039.07.07.113.098zM8 11.285v-.148c-.043-.012-.07-.047-.07-.09 0-.035.031-.074.07-.09v-.195h.059v.199c.031.008.055.031.063.059h.168v.059h-.168c-.008.027-.031.051-.059.059v.148H8m.086.309c.016-.016.039-.016.059 0s.02.039.004.055-.043.016-.059.004c-.008-.008-.016-.02-.016-.027s.008-.023.016-.031zm-.074-.168l-.066-.012-.012-.16L8 11.23v.094a.29.29 0 0 0 .012.102zm.051-.199l.059.016v.082a.48.48 0 0 1 .012.078l-.063.023-.012-.102v-.098zm.207.516c.055.043.113.074.18.098l.016-.063a.46.46 0 0 1-.152-.074l-.043.039m-.031.051a.67.67 0 0 0 .18.098l-.043.043a.92.92 0 0 1-.152-.074l.016-.066"/><path d="M8.32 11.441l.063.027.109-.125-.035-.051-.137.148m-.047-.039l-.039-.051.113-.125.059.027-.133.148m-.285-.355c0-.023.02-.035.035-.035.027 0 .047.016.047.035s-.02.043-.043.043c-.008 0-.02-.004-.027-.012s-.012-.016-.012-.027zm.965.727l.027.055a.56.56 0 0 0 .137-.117c.031.008.066 0 .098-.02.02-.016.031-.039.031-.062s-.008-.051-.023-.066l-.004-.004a.58.58 0 0 0 .047-.18h-.062a.49.49 0 0 1-.039.148c-.016 0-.035 0-.051.008l-.156-.168-.047.035.152.172c-.02.031-.02.074.004.102-.031.039-.07.07-.113.098zm.312-.488v-.148c.039-.012.066-.047.066-.09 0-.035-.023-.074-.066-.09v-.195h-.059v.199a.1.1 0 0 0-.066.059h-.164v.059h.164c.012.031.035.047.066.059v.148zm-.086.309c-.016-.016-.043-.016-.059 0s-.02.039-.004.055.043.016.059.004c.008-.008.012-.02.012-.027s-.004-.023-.012-.031zm.074-.168l.066-.012.008-.16-.063-.023v.094c0 .039 0 .066-.008.102zm-.047-.199l-.066.016v.082c0-.027-.008.078-.008.078l.062.023.012-.102v-.098m.059-.754v.195h-.059v-.195l-.242.25-.043-.039.223-.262v-.008h-.168v-.062h.164c.016-.039.055-.066.094-.066.055 0 .098.043.098.094 0 .043-.027.078-.066.09zm-.598 0v.121h-.066v-.121c-.027-.008-.051-.031-.063-.059h-.148v-.062h.148c.016-.039.047-.066.094-.066s.082.027.094.066h.148v.059h-.148c-.008.027-.031.051-.059.059zm.328 1.27c-.055.043-.113.074-.18.098l-.016-.063a.46.46 0 0 0 .152-.074l.043.039m.031.051a.67.67 0 0 1-.18.098l.043.043a.92.92 0 0 0 .152-.074l-.016-.066M8 10.617l-.066.02v.16l.066.02v-.195m.063 0l.059.016v.16l-.059.02v-.203m1.145 0l-.066.02v.16l.066.02v-.199"/><path d="M9.266 10.617l.063.02v.16l-.063.02v-.203m-.32.824l-.063.027-.109-.125.039-.051.133.148m.047-.039l.039-.051-.113-.125-.059.027.133.148m-.684-.75l.063-.023.113.121-.039.055-.137-.152m-.047.039l-.039.051.113.125.059-.027-.133-.148m.691-.043l-.059-.023-.113.121.039.055.133-.152m.047.039l.039.051-.113.121-.059-.023.133-.148m-.762.336l.02-.059h.168l.02.059h-.207m0 .059l.02.059h.168l.02-.059h-.207m-.25-.691c0-.023.02-.035.043-.035s.039.012.039.035-.016.039-.039.039c-.012 0-.023 0-.031-.008s-.012-.02-.012-.031zm.453.031l-.02.059h-.168l-.02-.059h.207m0-.059l-.02-.063h-.168l-.02.063h.207m.754.691c0-.02.02-.035.039-.035s.043.016.043.035-.02.043-.039.043c-.008 0-.02 0-.031-.008s-.012-.02-.012-.031zm-.164-.027l-.02-.059h-.168l-.02.059h.207m0 .059l-.02.059h-.168l-.02-.059h.207m-.437.82c0-.023.02-.039.043-.039s.039.016.039.039-.016.039-.035.039c-.012 0-.023-.004-.031-.012s-.012-.016-.016-.027zm.074-.293l.063-.016v-.16l-.063-.02v.195m-.062 0l-.063-.016v-.16l.063-.02v.195m.59-1.223c0-.023.02-.035.039-.035.012-.004.023 0 .031.008s.012.016.012.027c0 .023-.02.039-.039.039-.008 0-.02-.004-.027-.012s-.016-.016-.016-.027zm-.605 0c0-.023.02-.035.043-.035.012-.004.02 0 .027.008s.012.016.012.027c0 .023-.016.039-.035.039-.012 0-.023-.004-.031-.012s-.012-.016-.016-.027zm.234.031l.02.059h.172l.02-.059h-.207m0-.059l.016-.063h.172l.02.063h-.207m-.227.188l-.059.016v.164l.059.016v-.203m.066 0l.059.016v.164l-.059.016v-.195"/></g><path d="M8.539 11.051c0-.051.043-.094.098-.094s.094.043.098.094c-.004.051-.047.09-.098.09s-.098-.035-.098-.09" class="es-M"/><path d="M8.66 8.613V8.59l.004-.012h-.086c-.035-.012-.062-.027-.09-.047-.027-.027-.039-.039-.059-.047-.047-.004-.086.016-.086.016s.039.016.063.051.059.047.07.051c.02.008.098 0 .113.004l.07.008" class="es-J"/><g class="es-B es-D"><path d="M8.66 8.613V8.59l.004-.012h-.086c-.035-.012-.063-.027-.09-.047-.027-.027-.039-.039-.059-.047-.047-.004-.086.016-.086.016s.039.016.063.051.059.047.07.051c.02.008.098 0 .113.004zm0 0" class="es-C"/><path d="M8.93 8.531v.051c.008.023-.004.047 0 .059s.004.023.012.031l.008.035-.027-.02-.023-.016v.039c.004.008.012.031.023.043l.035.047c.008.02.004.055.004.055s-.012-.027-.027-.031l-.047-.027s.027.031.027.059-.012.059-.012.059-.012-.027-.031-.043l-.035-.031s.016.043.016.074V9l-.035-.039-.039-.023c0-.008.02.02.023.039s.012.086.066.168c.039.051.086.137.199.109s.074-.18.051-.25c-.02-.055-.035-.113-.039-.172 0-.031.023-.109.02-.125-.004-.039-.004-.078.008-.117.016-.047.027-.066.035-.086s.012-.031.012-.047l.004-.051.027.051.004.055s.004-.035.039-.059c.027-.023.066-.043.074-.055s.012.051-.012.082l-.062.074s.023-.012.043-.012h.035s-.023.016-.055.059-.016.047-.035.078c-.023.039-.039.039-.066.059-.035.027-.016.156-.012.176s.074.168.074.207.008.117-.059.172c-.039.035-.109.035-.125.043s-.047.043-.047.105.023.074.039.09c.023.02.043.008.047.023s.008.02.02.027.012.016.008.027-.031.043-.043.066l-.027.09c0 .008-.004.035.004.047 0 0 .031.039.012.047S9.008 9.852 9 9.852l-.035.02c-.012-.004-.012-.012-.012-.031l-.004-.027c-.008 0-.012.008-.016.02s0 .031-.012.031-.02-.016-.031-.02-.031-.008-.031-.016a.05.05 0 0 1 .027-.035c.016 0 .031-.012.02-.02s-.02-.008-.027 0-.027 0-.023-.008v-.031c0-.008-.016-.02.004-.031s.027.008.051.004.031-.008.039-.02.004-.039-.008-.055-.027-.02-.035-.027l-.012-.035v.082l-.027-.031c-.008-.012-.02-.047-.02-.047v.047c0 .016.012.027.008.031s-.031-.027-.039-.031c-.016-.008-.027-.02-.039-.035l-.012-.055c-.004-.016-.004-.035 0-.055l.012-.039h-.051c-.027 0-.047-.012-.055.008s-.008.059.004.105.02.07.016.078-.016.023-.023.031h-.035c-.016-.008-.031-.012-.047-.012h-.047l-.043-.012c-.012.004-.027.012-.02.027.008.023-.008.027-.02.027l-.035-.008c-.016-.004-.031 0-.031-.016s.008-.016.016-.027.008-.02 0-.02h-.02c-.008.008-.02.02-.031.016s-.016-.016-.016-.035-.027-.047 0-.043c.02 0 .051.016.051 0 .008-.012 0-.016-.004-.027s-.031-.016-.012-.023l.023-.02c.004-.008.016-.031.027-.023.023.008 0 .027.023.051s.035.035.074.027c.039 0 .051-.008.051-.02l-.004-.035v-.039s-.016.012-.02.023l-.016.031v-.078c-.004-.008-.004-.02-.008-.027l-.012.031-.004.039s-.027-.02-.02-.055c.004-.027-.004-.063.004-.078.008-.008.027-.055.078-.059h.098l.074-.012-.133-.07c-.027-.02-.055-.047-.074-.074l-.023-.063s-.02 0-.035.012-.035.023-.047.039l-.027.035.004-.043V9.07s-.016.047-.035.066l-.055.035v-.031l.008-.035s-.016.031-.039.035-.07 0-.074.016.008.039 0 .055c0 .012-.012.02-.012.02l-.031-.016c-.016 0-.027.008-.027.008s-.012-.016-.008-.027.027-.023.02-.031l-.031.008c-.012.004-.027.012-.027-.008s.008-.023 0-.035c0-.012 0-.02.008-.023l.043-.004c0-.008-.008-.02-.031-.023s-.027-.02-.016-.031c.008-.004.008-.008.016-.02s.008-.027.027-.02.016.031.039.039.051 0 .074-.008L8.313 9l.059-.039-.039-.027c-.012-.012-.027-.035-.035-.039l-.07-.023c-.02-.004-.043-.008-.063-.016l.031-.012c.008-.008.02-.023.027-.023h.012-.051c-.012-.004-.039-.023-.051-.023l-.027.004s.027-.016.051-.02l.039-.004s-.035-.012-.043-.02l-.023-.039c-.008-.004-.012-.02-.02-.02l-.039.012c-.016 0-.023-.008-.023-.023l-.004-.016c-.008-.012-.023-.031-.008-.039h.055c0-.008-.02-.023-.031-.031s-.039-.02-.027-.027l.031-.02c.008-.012.012-.039.027-.027s.027.047.039.043.012-.031.012-.039c0-.016 0-.039.008-.035s.02.016.039.02.035-.004.035.008-.012.027-.02.039-.016.035-.012.051.023.047.043.055.047.016.063.031.066.047.082.051l.027.016s.02-.008.043-.008.078 0 .098-.008.047-.023.035-.039c-.004-.023-.047-.039-.043-.051s.02-.016.043-.016c.031 0 .07.004.078-.039.008-.035.008-.055-.031-.066s-.066-.008-.074-.039c-.008-.023-.016-.031-.008-.039s.023-.012.051-.016.063 0 .074-.008c.004-.008.008-.027.02-.035s.055-.012.055-.012a.6.6 0 0 0 .102.063c.027.023.055.051.082.078" fill="rgb(92.941176%,44.705882%,66.666667%)"/></g><path d="M8.555 8.504l-.008-.02v-.012s.031 0 .027.012l-.02.02" class="es-N"/><path d="M8.555 8.504l-.008-.02v-.012s.031 0 .027.012zm0 0" class="es-B es-C es-F"/><path d="M8.699 8.453v-.016s.027 0 .039.012c.02.016.031.035.031.035l-.027-.012h-.02l-.012-.004v-.012h-.012" class="es-N"/><g class="es-B es-C"><path d="M8.699 8.453v-.016s.027 0 .039.012c.02.016.031.035.031.035l-.027-.012h-.02l-.012-.004v-.012h-.012zm0 0" class="es-K"/><path d="M8.898 8.672l-.016-.023" class="es-F"/></g><path d="M8.152 8.496s.02.016.031.016h.027s.008-.02.004-.027c-.008-.047-.043-.055-.043-.055s.012.027.004.039-.012.02-.023.027" class="es-J"/><path d="M8.152 8.496s.02.016.031.016h.027s.008-.02.004-.027c-.008-.047-.043-.055-.043-.055s.012.027.004.039-.012.02-.023.027zm0 0" class="es-B es-C es-D"/><path d="M8.07 8.535s-.016-.027-.051-.023c-.027 0-.051.031-.051.031h.047c.008.012.012.035.012.035l.027-.02c.004-.008.012-.016.016-.023" class="es-J"/><path d="M8.07 8.535s-.016-.027-.051-.023c-.027 0-.051.031-.051.031h.047c.008.012.012.035.012.035l.027-.02c.004-.008.012-.016.016-.023zm0 0" class="es-B es-C es-D"/><path d="M8.031 8.648s-.027.004-.043.023-.012.047-.012.047.016-.02.035-.02l.035.008-.004-.031-.012-.027" class="es-J"/><g class="es-B"><path d="M8.031 8.648s-.027.004-.043.023-.012.047-.012.047.016-.02.035-.02l.035.008-.004-.031zm0 0" class="es-C es-D"/><g class="es-F es-N"><path d="M8.559 8.645l.012-.02.008.02h-.023"/><path d="M8.586 8.645l.012-.02.016.02h-.031m-.009-.122l.027.012-.023.016-.004-.023"/><path d="M8.605 8.535l.027.008-.02.016-.008-.023"/></g><path d="M8.406 8.766s-.023.004-.035.02-.012.039-.012.039.023-.02.055-.012l.047.012.047-.012s-.023.031-.023.047l.004.043c0 .027-.02.059-.02.059l.035-.008c.023-.008.047-.02.066-.031l.031-.039s-.008.039 0 .055l.008.059.031-.023c.008-.004.027-.016.031-.023l.012-.039s0 .031.016.047l.023.062s.012-.031.023-.043.023-.027.023-.035 0-.023-.004-.035l.016.031m-.41.02s.02-.027.035-.035l.043-.031.035-.016m.035.188l.051-.027c.012-.012.027-.023.035-.039" class="es-C es-D"/></g><path d="M8.121 9.016s-.012-.02-.039-.012c-.027 0-.047.035-.047.035s.023-.008.039-.004.023.012.023.012l.012-.012.012-.023" class="es-J"/><path d="M8.121 9.016s-.012-.02-.039-.012c-.027 0-.047.035-.047.035s.023-.008.039-.004.023.012.023.012l.012-.012.012-.023zm0 0" class="es-B es-C es-D"/><path d="M8.094 9.121s-.023 0-.043.012-.02.043-.02.043.016-.016.031-.012l.035.008v-.023c.008-.012-.004-.027-.004-.027" class="es-J"/><path d="M8.094 9.121s-.023 0-.043.012-.02.043-.02.043.016-.016.031-.012l.035.008v-.023c.008-.012-.004-.027-.004-.027zm0 0" class="es-B es-C es-D"/><path d="M8.145 9.219s0 .027.012.047.043.02.043.02l-.012-.027c0-.016.012-.027.012-.027s-.012-.012-.027-.012h-.027" class="es-J"/><path d="M8.145 9.219s0 .027.012.047.043.02.043.02l-.012-.027c0-.016.012-.027.012-.027s-.012-.012-.027-.012zm.602.047s.074.047.07.082-.039.086-.039.086" class="es-B es-C es-D"/><path d="M8.406 9.473s-.016-.023-.039-.023-.055.027-.055.027.031-.004.039.008l.02.023.02-.012.016-.023" class="es-J"/><path d="M8.406 9.473s-.016-.023-.039-.023-.055.027-.055.027.031-.004.039.008l.02.023.02-.012zm0 0" class="es-B es-C es-D"/><path d="M8.332 9.574s-.035-.004-.051.012-.016.047-.016.047.023-.023.035-.02c.02 0 .039.012.039.012v-.023l-.012-.027" class="es-J"/><path d="M8.332 9.574s-.035-.004-.051.012-.016.047-.016.047.023-.023.035-.02c.02 0 .039.012.039.012v-.023l-.012-.027zm0 0" class="es-B es-C es-D"/><path d="M8.398 9.68s-.008.023 0 .039.039.031.039.031-.012-.016-.008-.031.027-.027.027-.027l-.055-.008" class="es-J"/><path d="M8.398 9.68s-.008.023 0 .039.039.031.039.031-.012-.016-.008-.031.027-.027.027-.027l-.055-.008zm0 0" class="es-B es-C es-D"/><path d="M8.852 9.723s-.031-.008-.047 0-.031.055-.031.055.027-.023.047-.02.039.012.039.012v-.031l-.008-.016" class="es-J"/><path d="M8.852 9.723s-.031-.008-.047 0-.031.055-.031.055.027-.023.047-.02.039.012.039.012v-.031zm0 0" class="es-B es-C es-D"/><path d="M8.863 9.832s-.02.023-.012.043l.02.035s0-.023.008-.035l.039-.012-.027-.02c-.008-.004-.016-.008-.027-.012" class="es-J"/><path d="M8.863 9.832s-.02.023-.012.043l.02.035s0-.023.008-.035l.039-.012-.027-.02a.19.19 0 0 0-.027-.012zm0 0" class="es-B es-C es-D"/><path d="M8.977 9.863s-.012.027.008.047.039.02.039.02-.012-.027-.008-.039c.004-.02.02-.027.02-.027l-.031-.008-.027.012" class="es-J"/><g class="es-B"><path d="M8.977 9.863s-.012.027.008.047.039.02.039.02-.012-.027-.008-.039c.004-.02.02-.027.02-.027l-.031-.008-.027.012zm0 0" class="es-C es-D"/><g class="es-L"><path d="M7.828 11.863c.078.023.113.078.113.145 0 .086-.082.148-.187.148-.113 0-.199-.063-.199-.148 0-.062.039-.137.113-.145l-.008-.012-.023-.027h.043l.031.02.02-.027c.008-.016.02-.02.02-.02l.023.023.012.02.027-.016.027-.012s0 .016-.008.027l-.004.023" fill="rgb(100%,83.921569%,56.862745%)"/><path d="M7.734 12.25s-.141-.098-.203-.109c-.078-.016-.172 0-.207 0 0 0 .043.027.066.051s.086.055.125.066c.113.031.223-.008.223-.008m.039.008s.09-.094.188-.109c.113-.012.188.012.234.023l-.059.031c-.02.012-.074.055-.148.059s-.164-.012-.18-.008l-.035.004" class="es-M"/><path d="M7.75 12.141c-.035-.031-.059-.082-.059-.133a.19.19 0 0 1 .059-.133c.039.035.059.082.059.133s-.02.098-.059.133" class="es-H"/><path d="M7.715 12.336s.02-.055.02-.102v-.078h.027s.012.043.012.078l-.004.09-.027.004-.027.008" class="es-M"/></g></g><path d="M9.523 7.152c0-.02.02-.039.039-.039s.043.02.043.039-.02.035-.039.035-.039-.016-.039-.035" class="es-G"/><path d="M9.523 7.152c0-.02.02-.039.039-.039s.043.02.043.039-.02.035-.039.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M9.578 7.059c0-.023.02-.039.039-.039s.039.016.039.039-.016.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M9.578 7.059c0-.023.02-.039.039-.039s.039.016.039.039-.016.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M9.613 6.945c0-.02.02-.039.039-.039s.043.02.043.039-.02.039-.039.039c-.012 0-.02-.004-.027-.012s-.016-.016-.016-.027" class="es-G"/><path d="M9.613 6.945c0-.02.02-.039.039-.039s.043.02.043.039-.02.039-.039.039c-.012 0-.02-.004-.027-.012s-.016-.016-.016-.027zm0 0" class="es-B es-C es-D"/><path d="M9.617 6.824c0-.02.02-.035.039-.035s.043.016.043.035-.02.039-.039.039-.039-.016-.039-.039" class="es-G"/><path d="M9.617 6.824c0-.02.02-.035.039-.035s.043.016.043.035-.02.039-.039.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M9.59 6.711c0-.02.02-.035.035-.035.027 0 .047.016.047.035s-.02.039-.043.039-.035-.016-.035-.039" class="es-G"/><path d="M9.59 6.711c0-.02.02-.035.035-.035.027 0 .047.016.047.035s-.02.039-.043.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M9.527 6.605c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.035-.039.035-.039-.016-.039-.035" class="es-G"/><path d="M9.527 6.605c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.035-.039.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M9.449 6.516c0-.02.016-.035.039-.035s.035.016.035.035-.012.039-.035.039-.039-.016-.039-.039" class="es-G"/><path d="M9.449 6.516c0-.02.016-.035.039-.035s.035.016.035.035-.012.039-.035.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M9.352 6.441c0-.02.02-.035.043-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039" class="es-G"/><path d="M9.352 6.441c0-.02.02-.035.043-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M9.242 6.387c0-.023.016-.039.039-.039s.039.016.039.039-.016.035-.039.035-.039-.016-.039-.035" class="es-G"/><path d="M9.242 6.387c0-.023.016-.039.039-.039s.039.016.039.039-.016.035-.039.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M9.125 6.34c0-.016.016-.035.039-.035s.039.016.039.035-.016.039-.039.039-.035-.016-.035-.039" class="es-G"/><path d="M9.125 6.34c0-.016.016-.035.039-.035s.039.016.039.035-.016.039-.039.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M8.996 6.32c0-.02.016-.039.039-.039s.035.02.035.039-.016.035-.035.035-.039-.016-.039-.035" class="es-G"/><path d="M8.996 6.32c0-.02.016-.039.039-.039s.035.02.035.039-.016.035-.035.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M8.871 6.313c0-.02.016-.039.039-.039s.039.02.039.039-.016.035-.039.035-.039-.016-.039-.035" class="es-G"/><path d="M8.871 6.312c0-.02.016-.039.039-.039s.039.02.039.039-.016.035-.039.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M8.75 6.32c0-.023.016-.039.035-.039.027 0 .043.016.043.039s-.016.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M8.75 6.32c0-.023.016-.039.035-.039.027 0 .043.016.043.039s-.016.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M8.629 6.32c0-.023.02-.039.039-.039s.039.016.039.039-.02.035-.035.035-.023 0-.031-.008-.012-.02-.012-.027" class="es-G"/><g class="es-B es-D"><path d="M8.629 6.32c0-.023.02-.039.039-.039s.039.016.039.039-.02.035-.035.035-.023 0-.031-.008-.012-.02-.012-.027zm0 0" class="es-C"/><path d="M8.688 6.422c0-.02.02-.039.039-.039.027 0 .039.02.039.039s-.012.035-.035.035-.039-.016-.039-.035m.023.113c0-.02.016-.035.039-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039m0 .113c0-.02.023-.039.043-.039s.035.02.035.039-.016.039-.035.039-.039-.02-.039-.039m-.039.105c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.039-.039.039-.039-.02-.039-.039m-.07.098c0-.02.02-.039.039-.039s.043.02.043.039-.02.039-.039.039-.039-.016-.039-.039" class="es-G"/></g><path d="M8.535 6.242c0-.016.02-.035.043-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039" class="es-G"/><path d="M8.535 6.242c0-.016.02-.035.043-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M8.43 6.188c0-.023.016-.039.039-.039s.035.016.035.039-.016.039-.035.039-.039-.02-.039-.039" class="es-G"/><path d="M8.43 6.188c0-.023.016-.039.039-.039s.035.016.035.039-.016.039-.035.039-.039-.02-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M8.309 6.148c0-.02.02-.035.039-.035s.043.016.043.035-.02.039-.039.039-.043-.02-.043-.039" class="es-G"/><path d="M8.309 6.148c0-.02.02-.035.039-.035s.043.016.043.035-.02.039-.039.039-.043-.02-.043-.039zm0 0" class="es-B es-C es-D"/><path d="M8.188 6.129c0-.02.016-.039.035-.039s.043.02.043.039-.02.035-.039.035c-.008.004-.02 0-.027-.008s-.012-.02-.012-.027" class="es-G"/><path d="M8.187 6.129c0-.02.016-.039.035-.039s.043.02.043.039-.02.035-.039.035c-.008.004-.02 0-.027-.008s-.012-.02-.012-.027zm0 0" class="es-B es-C es-D"/><path d="M8.063 6.133c0-.023.02-.039.043-.039s.035.016.035.039c0 .016-.016.035-.035.035s-.039-.016-.039-.035" class="es-G"/><path d="M8.063 6.133c0-.023.02-.039.043-.039s.035.016.035.039c0 .016-.016.035-.035.035s-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M7.938 6.148c0-.016.02-.035.039-.035.027 0 .039.02.039.035s-.012.039-.035.039-.039-.016-.039-.039" class="es-G"/><path d="M7.938 6.148c0-.016.02-.035.039-.035.027 0 .039.02.039.035s-.012.039-.035.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M7.824 6.191c0-.02.016-.039.035-.039s.043.02.043.039-.02.039-.039.039c-.012 0-.02-.004-.027-.012s-.012-.016-.012-.027" class="es-G"/><path d="M7.824 6.191c0-.02.016-.039.035-.039s.043.02.043.039-.02.039-.039.039c-.012 0-.02-.004-.027-.012s-.012-.016-.012-.027zm0 0" class="es-B es-C es-D"/><path d="M5.852 7.152c0-.02.012-.039.035-.039s.039.02.039.039-.016.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M5.852 7.152c0-.02.012-.039.035-.039s.039.02.039.039-.016.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M5.793 7.059c0-.023.02-.039.039-.039s.035.016.035.039-.012.035-.035.035-.039-.016-.039-.035" class="es-G"/><path d="M5.793 7.059c0-.023.02-.039.039-.039s.035.016.035.039-.012.035-.035.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M5.758 6.945c0-.02.016-.039.035-.039.027 0 .043.02.043.039s-.016.039-.039.039-.035-.02-.035-.039" class="es-G"/><path d="M5.758 6.945c0-.02.016-.039.035-.039.027 0 .043.02.043.039s-.016.039-.039.039-.035-.02-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M5.754 6.824c0-.02.016-.035.035-.035s.043.016.043.035-.02.039-.039.039-.035-.016-.035-.039" class="es-G"/><path d="M5.754 6.824c0-.02.016-.035.035-.035s.043.016.043.035-.02.039-.039.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M5.781 6.711c0-.02.02-.035.039-.035s.039.016.039.035-.016.039-.039.039-.039-.016-.039-.039" class="es-G"/><path d="M5.781 6.711c0-.02.02-.035.039-.035s.039.016.039.035-.016.039-.039.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M5.844 6.605c0-.02.016-.039.035-.039s.043.02.043.039-.02.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M5.844 6.605c0-.02.016-.039.035-.039s.043.02.043.039-.02.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M5.926 6.516c0-.02.016-.035.035-.035S6 6.496 6 6.516s-.016.039-.039.039-.035-.016-.035-.039" class="es-G"/><path d="M5.926 6.516c0-.02.016-.035.035-.035S6 6.496 6 6.516s-.016.039-.039.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M6.02 6.441c0-.02.016-.035.035-.035s.039.016.039.035-.016.039-.039.039-.035-.016-.035-.039" class="es-G"/><path d="M6.02 6.441c0-.02.016-.035.035-.035s.039.016.039.035-.016.039-.039.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M6.133 6.387c0-.023.012-.039.035-.039s.039.016.039.039-.016.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M6.133 6.387c0-.023.012-.039.035-.039s.039.016.039.039-.016.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M6.246 6.34c0-.016.02-.035.039-.035s.039.016.039.035-.02.039-.039.039-.039-.016-.039-.039" class="es-G"/><path d="M6.246 6.34c0-.016.02-.035.039-.035s.039.016.039.035-.02.039-.039.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M6.375 6.32c0-.02.02-.039.043-.039s.035.016.035.039-.016.035-.035.035-.039-.016-.039-.035" class="es-G"/><path d="M6.375 6.32c0-.02.02-.039.043-.039s.035.016.035.039-.016.035-.035.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M6.504 6.313c0-.02.012-.039.035-.039s.039.02.039.039-.016.035-.039.035-.035-.016-.035-.035" class="es-G"/><path d="M6.504 6.312c0-.02.012-.039.035-.039s.039.02.039.039-.016.035-.039.035-.035-.016-.035-.035zm0 0" class="es-B es-C es-D"/><path d="M6.621 6.32c0-.023.02-.039.039-.039s.043.016.043.039-.02.035-.039.035c-.012 0-.02 0-.027-.008s-.016-.02-.016-.027" class="es-G"/><path d="M6.621 6.32c0-.023.02-.039.039-.039s.043.016.043.039-.02.035-.039.035c-.012 0-.02 0-.027-.008s-.016-.02-.016-.027zm0 0" class="es-B es-C es-D"/><path d="M6.742 6.32c0-.023.02-.039.039-.039s.043.016.043.039-.02.035-.039.035-.039-.016-.039-.035" class="es-G"/><g class="es-B es-D"><path d="M6.742 6.32c0-.023.02-.039.039-.039s.043.016.043.039-.02.035-.039.035-.039-.016-.039-.035zm0 0" class="es-C"/><path d="M6.684 6.422c0-.02.02-.039.035-.039.027 0 .043.02.043.039s-.016.035-.039.035-.035-.016-.035-.035m-.027.113c0-.02.016-.035.039-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039m-.008.113c0-.02.02-.039.039-.039s.039.02.039.039-.016.039-.035.039-.039-.02-.039-.039m.035.105c0-.02.016-.039.035-.039s.043.02.043.039-.02.039-.039.039c-.012 0-.02-.004-.027-.012s-.012-.016-.012-.027m.066.098c0-.02.02-.039.039-.039s.035.02.035.039-.016.039-.035.039-.039-.02-.039-.039" class="es-G"/></g><path d="M6.836 6.242c0-.016.02-.035.039-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039" class="es-G"/><path d="M6.836 6.242c0-.016.02-.035.039-.035s.035.016.035.035-.016.039-.035.039-.039-.016-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M6.945 6.188c0-.023.016-.039.039-.039s.035.016.035.039-.016.039-.035.039-.039-.02-.039-.039" class="es-G"/><path d="M6.945 6.188c0-.023.016-.039.039-.039s.035.016.035.039-.016.039-.035.039-.039-.02-.039-.039zm0 0" class="es-B es-C es-D"/><path d="M7.063 6.148c0-.02.016-.035.035-.035.027 0 .043.016.043.035s-.016.039-.039.039-.035-.02-.035-.039" class="es-G"/><path d="M7.062 6.148c0-.02.016-.035.035-.035.027 0 .043.016.043.035s-.016.039-.039.039-.035-.02-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M7.184 6.129c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.035-.039.035-.039-.016-.039-.035" class="es-G"/><path d="M7.184 6.129c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.035-.039.035-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M7.309 6.133c0-.023.016-.039.039-.039s.035.016.035.039c0 .016-.016.035-.035.035s-.039-.016-.039-.035" class="es-G"/><path d="M7.309 6.133c0-.023.016-.039.039-.039s.035.016.035.039c0 .016-.016.035-.035.035s-.039-.016-.039-.035zm0 0" class="es-B es-C es-D"/><path d="M7.434 6.148c0-.016.02-.035.035-.035.027 0 .043.02.043.035s-.016.039-.039.039-.035-.016-.035-.039" class="es-G"/><path d="M7.434 6.148c0-.016.02-.035.035-.035.027 0 .043.02.043.035s-.016.039-.039.039-.035-.016-.035-.039zm0 0" class="es-B es-C es-D"/><path d="M7.547 6.191c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.039-.039.039-.039-.02-.039-.039" class="es-G"/><g class="es-B es-D"><path d="M7.547 6.191c0-.02.02-.039.039-.039.027 0 .043.02.043.039s-.016.039-.039.039-.039-.02-.039-.039zm0 0" class="es-C"/><g class="es-E"><path d="M6.551 8.582h-.035v-.035h-.059v.133h.059v.094h-.125v.266h.066v.535h-.129v.273h1.02v-.273h-.133v-.535h.066v-.266h-.125V8.68h.059v-.129h-.059v.031h-.031v-.035h-.059v.035h-.043v-.035h-.059v.133h.059v.094h-.125v-.289h.066v-.133h-.066v.035h-.035v-.039h-.059v.039h-.031v-.039h-.063v.137h.066v.289h-.125V8.68h.059v-.129h-.059v.031h-.035v-.035h-.066zm-.223 1.266h1.023m-1.023-.066h1.023m-1.023-.07h1.023m-1.023-.062h1.023m-1.023-.074h1.023m-.895-.059h.758m-.758-.07h.758m-.758-.074h.758m-.758-.062h.758m-.758-.07h.758m-.758-.066h.758m-.758-.062h.758m-.824-.066h.891m-.891-.07h.891m-.891-.066h.891m-.891-.066h.891m-.766-.066h.641m-.383-.066h.125m-.125-.066h.125m-.125-.066h.125m-.125-.066h.125m-.191-.082h.258m-.449.281h.133m-.187-.082h.246m-.25 1.223v-.066m0-.07v-.062m-.066.062v.07m.125 0v-.07m.066.137v-.066m0-.07v-.062m0-.074v-.059m0-.07v-.074m-.066.277v-.074m-.125.074v-.074m.262 0v.074m.055-.074v-.059m-.191-.07v.07m.133-.07v.07m.125-.07v.07m-.063-.066v-.074m.066-.063v.063m0-.199v.066m-.066-.133v.066m.066-.129v.063m-.125-.063v.063m-.133-.063v.063m-.059-.133v.07m.125-.07v.07m.125-.07v.07m.066-.137v.066m-.125-.066v.066M6.52 8.91v.066m-.059-.133v.066m.25-.066v.066m-.125-.199v.066m.574-.066h-.133m.188-.082h-.246m.25 1.223v-.066m0-.07v-.063m.066.063v.07m-.125 0v-.074m-.066.137v-.066m0-.07v-.062m0-.074v-.059m0-.07v-.074m.066.277v-.074m.125.074v-.074m-.262 0v.074m-.055-.074v-.059m.191-.07v.07m-.133-.07v.07m-.125-.07v.07m.066-.07v-.074m-.066-.062v.062m0-.199v.066m.066-.133v.066m-.066-.129v.063m.125-.063v.063m.133-.063v.063m.059-.133v.07m-.125-.07v.07m-.125-.07v.07m-.066-.137v.066m.125-.066v.066m.133-.066v.066m.059-.133v.066m-.25-.066v.066m.125-.199v.066m-.262.676v-.074m0-.203v-.066m0 .203v-.07m0-.195v-.07m0-.066v-.063m0-.137v-.066m0-.063v-.07m-.312.172h.133m.125-.195h.125m.125.195h.133"/><path d="M7.004 9.848v-.176c0-.031-.016-.133-.172-.133-.148 0-.164.102-.164.133v.176zm0 0"/><path d="M6.723 9.684l-.082-.012c0-.035.008-.082.035-.098l.074.055c-.012.008-.027.039-.027.055zm.227 0l.082-.012c0-.035-.008-.082-.035-.098l-.074.055c.012.008.027.039.027.055zm-.082-.086l.035-.078c-.023-.008-.047-.012-.074-.012l-.062.012.039.078zm-.16-.207v-.184c0-.051-.035-.09-.094-.09s-.09.035-.09.09v.184zm.258 0v-.184c0-.051.035-.09.094-.09s.09.035.09.09v.184zm-.066-.449l.016-.168h-.156l.008.168zm.125 0l-.016-.168h.164l-.016.168zm-.375 0l.008-.168H6.5l.016.168zm0 0"/></g></g><path d="M6.949 9.848v-.148c0-.027-.02-.102-.117-.102-.09 0-.109.074-.109.102v.148zm-.258-.477v-.156c0-.039-.023-.082-.078-.082s-.074.039-.074.082v.16h.152zm.293 0v-.156c0-.039.023-.082.074-.082s.074.039.074.082v.16h-.148zm0 0" fill="rgb(0%,22.352941%,94.117647%)"/><path d="M7.156 10.117c0-.363.262-.66.582-.66s.586.297.586.66-.262.656-.586.656-.582-.293-.582-.656" class="es-H"/><path d="M7.156 10.117c0-.363.262-.66.582-.66s.586.297.586.66-.262.656-.586.656-.582-.293-.582-.656zm0 0" class="es-B es-C es-R"/><path d="M7.328 10.113c0-.262.188-.48.41-.48s.414.215.414.48-.187.488-.414.488-.41-.219-.41-.488" class="es-O"/><path d="M7.328 10.113c0-.262.188-.48.41-.48s.414.215.414.48-.188.488-.414.488-.41-.219-.41-.488zm0 0" class="es-B es-C es-R"/><path d="M7.547 9.785s-.051.051-.051.102c0 .031.008.059.023.09-.008-.02-.031-.031-.055-.031s-.051.023-.051.047l.008.031.02.035c.004-.012.016-.02.035-.02s.039.016.039.039l-.047.004v.039h.039l-.031.055.039-.012.031.031.027-.031.039.012-.027-.055h.039v-.039h-.043c0-.031.016-.047.039-.047.016 0 .023.012.035.023l.016-.039.008-.027c0-.027-.023-.047-.051-.047s-.047.012-.055.035c0 0 .023-.047.023-.094s-.051-.102-.051-.102" class="es-E"/><g class="es-B es-F"><path d="M7.547 9.785s-.051.051-.051.102c0 .031.008.059.023.09-.008-.02-.031-.031-.055-.031s-.051.023-.051.047l.008.031.02.035c.004-.012.016-.02.035-.02s.039.016.039.039l-.047.004v.039h.039l-.031.055.039-.012.031.031.027-.031.039.012-.027-.055h.039v-.039h-.043c0-.031.016-.047.039-.047.016 0 .023.012.035.023l.016-.039.008-.027c0-.027-.023-.047-.051-.047s-.047.012-.055.035c0 0 .023-.047.023-.094s-.051-.102-.051-.102zm0 0" class="es-C es-I"/><path d="M7.469 10.121h.156v-.039h-.156zm0 0" class="es-E"/></g><path d="M7.926 9.785s-.047.051-.047.102.023.09.023.09c-.008-.02-.027-.031-.055-.031s-.051.023-.051.047l.008.031.02.035c.004-.012.016-.02.035-.02s.039.016.039.039l-.047.004v.039h.039l-.031.055.039-.012.027.031.031-.031.039.012-.027-.055h.039v-.039h-.043c0-.031.016-.047.039-.047.012 0 .027.012.035.023l.016-.039.008-.027c-.004-.027-.023-.047-.051-.047s-.047.012-.055.035c0 0 .023-.047.023-.094s-.055-.102-.055-.102" class="es-E"/><g class="es-B es-F"><path d="M7.926 9.785s-.047.051-.047.102.023.09.023.09c-.008-.02-.027-.031-.055-.031s-.051.023-.051.047l.008.031.02.035c.004-.012.016-.02.035-.02s.039.016.039.039l-.047.004v.039h.039l-.031.055.039-.012.027.031.031-.031.039.012-.027-.055h.039v-.039h-.043c0-.031.016-.047.039-.047.012 0 .027.012.035.023l.016-.039.008-.027c-.004-.027-.023-.047-.051-.047s-.047.012-.055.035c0 0 .023-.047.023-.094s-.055-.102-.055-.102zm0 0" class="es-C es-I"/><path d="M7.852 10.121h.156v-.039h-.156zm0 0" class="es-E"/></g><path d="M7.734 10.109s-.047.059-.047.105.023.09.023.09c-.008-.02-.027-.035-.055-.035s-.051.023-.051.055l.008.027.02.035c.004-.016.016-.023.035-.023s.039.02.039.039l-.047.012v.039h.039l-.031.055.039-.016.027.035.031-.039.039.02-.027-.055h.039v-.039h-.043c0-.031.016-.051.039-.051.016 0 .023.008.031.023l.02-.035.008-.027c0-.031-.023-.055-.051-.055s-.047.016-.055.039c0 0 .023-.043.023-.094s-.055-.102-.055-.102" class="es-E"/><g class="es-B es-F"><path d="M7.734 10.109s-.047.059-.047.105.023.09.023.09c-.008-.02-.027-.035-.055-.035s-.051.023-.051.055l.008.027.02.035c.004-.016.016-.023.035-.023s.039.02.039.039l-.047.012v.039h.039l-.031.055.039-.016.027.035.031-.039.039.02-.027-.055h.039v-.039h-.043c0-.031.016-.051.039-.051.016 0 .023.008.031.023l.02-.035.008-.027c0-.031-.023-.055-.051-.055s-.047.016-.055.039c0 0 .023-.043.023-.094s-.055-.102-.055-.102zm0 0" class="es-C es-I"/><path d="M7.66 10.449h.156v-.039H7.66zm0 0" class="es-E"/></g><path d="M8.91 8.379h-.012c-.02.02-.035.02-.039.012-.012-.012-.02-.012-.023-.012-.012-.004-.012-.02-.004-.027v-.02H8.82l-.004.008c-.008.012-.02.012-.027.008l-.012-.008c-.016.008-.023-.039-.023-.043l-.008.004s.008.027.004.047-.012.043-.012.043a.44.44 0 0 1 .109.063c.031.023.059.051.082.086l.043-.02c.023-.008.051-.008.051-.008l.008-.008c-.012 0-.059.004-.059-.016v-.004c-.016-.008-.016-.016-.008-.027l.008-.004v-.012h-.012l-.008.004c-.004.012-.02.012-.027 0s-.016-.012-.023-.016-.012-.02 0-.031l.008-.008v-.012" class="es-E"/><path d="M8.91 8.379h-.012c-.02.02-.035.02-.039.012-.012-.012-.02-.012-.023-.012-.012-.004-.012-.02-.004-.027v-.02H8.82l-.004.008c-.008.012-.02.012-.027.008l-.012-.008c-.016.008-.023-.039-.023-.043l-.008.004s.008.027.004.047-.012.043-.012.043a.44.44 0 0 1 .109.063c.031.023.059.051.082.086l.043-.02c.023-.008.051-.008.051-.008l.008-.008c-.012 0-.059.004-.059-.016v-.004c-.016-.008-.016-.016-.008-.027l.008-.004v-.012h-.012l-.008.004c-.004.012-.02.012-.027 0s-.016-.012-.023-.016-.012-.02 0-.031l.008-.008zm0 0" class="es-B es-C es-F"/><path d="M8.828 8.398h.008v.012h-.004" class="es-N"/><g class="es-B es-K"><path d="M8.828 8.398h.008v.012h-.004zm0 0" class="es-C"/><path d="M8.859 8.43l-.008-.008v-.008h.004l.012.012.012.008v.008h-.008l-.012-.012m-.062-.039l-.008-.008.023.004v.004h-.016" class="es-N"/></g><path d="M8.766 8.363h.004v.008h-.004" class="es-N"/><path d="M8.766 8.363h.004v.008h-.004zm0 0" class="es-B es-C es-K"/><path d="M8.898 8.457v-.008h-.012l.004.008h.008" class="es-N"/><g class="es-B es-K"><path d="M8.898 8.457v-.008h-.012l.004.008zm0 0" class="es-C"/><path d="M8.922 8.484l.008.004h.004l-.016-.02h-.004v.008l.008.008" class="es-N"/></g><path d="M8.953 8.512V8.5h-.008v.008h.008" class="es-N"/><g class="es-B"><path d="M8.953 8.512V8.5h-.008v.008h.008zm0 0" class="es-C es-K"/><g class="es-F"><g class="es-E"><path d="M8.859 8.293h-.023l-.004.031v.004h.008l.023-.02-.008-.016"/><path d="M8.797 8.309v.02l.035.004h.004v-.008l-.02-.027-.02.012"/><path d="M8.863 8.348l-.012.012-.023-.027v-.004h.039v.02"/></g><path d="M8.824 8.324zm0 0" class="es-C"/></g></g><path d="M8.746 8.293l-.008-.027-.016-.016s.016-.008.031.004 0 .035 0 .035l-.008.004" class="es-E"/><g class="es-B es-F"><path d="M8.746 8.293l-.008-.027-.016-.016s.016-.008.031.004 0 .035 0 .035zm0 0" class="es-C"/><path d="M8.781 8.301l-.016.016-.02-.02v-.008h.035v.012" class="es-E"/></g><path d="M8.742 8.289l.012-.004v.012l-.012-.004" class="es-E"/><g class="es-B es-F"><path d="M8.742 8.289l.012-.004v.012l-.012-.004zm0 0" class="es-C"/><g class="es-E"><path d="M8.937 8.344h-.02l-.012.027v.008h.008l.031-.016-.008-.02"/><path d="M8.875 8.355v.02l.031.008h.004v-.008l-.016-.027-.02.008"/><path d="M8.941 8.398l-.02.008-.016-.023v-.008h.004l.035.008-.004.016"/></g></g><path d="M8.898 8.371h.016" class="es-E"/><g class="es-B es-F"><path d="M8.898 8.371h.016zm0 0" class="es-C"/><g class="es-E"><path d="M9.008 8.41l.004.02-.031.012h-.008v-.008l.016-.031.02.008"/><path d="M9 8.469l-.02.004-.012-.031v-.004h.008l.031.012-.004.02"/><path d="M8.949 8.41l-.008.02.031.012h.004v-.004l-.012-.031-.016.004"/></g><path d="M8.98 8.445zm0 0" class="es-C"/></g><path d="M9.031 8.512h.027l.02.012s.004-.016-.012-.027-.027.008-.027.008l-.008.008" class="es-E"/><g class="es-B es-F"><path d="M9.031 8.512h.027l.02.012s.004-.016-.012-.027-.027.008-.027.008zm0 0" class="es-C"/><path d="M9.012 8.48L9 8.496l.031.02v-.004h.008l-.004-.035-.023.004" class="es-E"/></g><path d="M9.039 8.512l-.012-.008.008.008" class="es-E"/><g class="es-B es-C"><path d="M9.039 8.512l-.012-.008zm1.422-.82v.023h-.09v-.023h.039v-.051h-.027v-.016h.023v-.023h.023v.023h.023v.02h-.023v.047h.035" class="es-F"/><path d="M4.996 8.141v-.043m-.02.039v-.035m.008.035v-.035m-.027.035v-.035m.008.035v-.035m-.035.035v-.035m.008.035v-.035m.012.035v-.035m-.027.035v-.035m-.008.031v-.027m-.004.027v-.027m-.02.023v-.02m.008.02v-.02m-.016.016v-.016m-.008.016v-.016m-.012.012v-.012m-.012.012v-.008" class="es-K"/><path d="M4.844 8.121v-.008" class="es-Q"/><path d="M10.371 8.141v-.039m-.02.035v-.035m.008.035v-.035m-.027.035v-.035m.012.035v-.035m-.035.035v-.035m.008.035v-.035m.008.035v-.035m-.023.035v-.035m-.012.031v-.027m-.008.027v-.027m-.016.023v-.02m.008.02v-.02m-.016.02v-.02m-.008.016v-.016m-.012.016v-.016m-.008.012v-.008" class="es-K"/><path d="M10.223 8.121v-.008" class="es-Q"/></g></svg>')
            },
            sv: {
                languageName: 'Swedish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(2.352941%,41.568627%,65.490196%)"/><g fill="rgb(99.607843%,80%,0%)"><path d="M0 7.199h24v3.602H0zm0 0"/><path d="M6.602 0h3.598v18H6.602zm0 0"/></g></svg>')
            },
            th: {
                languageName: 'Thai',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(95.686275%,96.078431%,97.254902%)"/><g fill-rule="evenodd"><path d="M0 6.094h24v6H0zm0 0" fill="rgb(17.647059%,16.470588%,29.019608%)"/><path d="M0 0h24v3.094H0zm0 15h24v3H0zm0 0" fill="rgb(64.705882%,9.803922%,19.215686%)"/></g></svg>')
            },
            tr: {
                languageName: 'Turkish',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(89.019608%,3.921569%,9.019608%)"/><g fill-rule="evenodd"><path d="M15.262 9.281c0 2.484-2.047 4.496-4.574 4.496s-4.574-2.012-4.574-4.5 2.047-4.492 4.574-4.492 4.574 2.012 4.574 4.496zm0 0" fill="rgb(100%,100%,100%)"/><path d="M15.488 9.281c0 1.988-1.637 3.598-3.656 3.598s-3.66-1.613-3.66-3.602 1.637-3.594 3.66-3.594 3.66 1.609 3.66 3.598zm0 0" fill="rgb(89.019608%,3.921569%,9.019608%)"/><path d="M16.152 7.18l-.039 1.664-1.547.418 1.527.543-.035 1.527.992-1.191 1.508.523-.871-1.277 1.063-1.273-1.633.453-.965-1.391zm0 0" fill="rgb(100%,100%,100%)"/></g></svg>')
            },
            uk: {
                languageName: 'Ukrainian',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(100%,84.313725%,0%)"/><path d="M0 0h24v9H0zm0 0" fill-rule="evenodd" fill="rgb(0%,34.117647%,72.156863%)"/></svg>')
            },
            ur: {
                languageName: 'Urdu',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><defs><clipPath id="A"><path d="M0 0h23.996v18H0zm0 0"/></clipPath></defs><g clip-path="url(#A)"><path d="M0 0h24v18H0z" fill="rgb(4.705882%,34.901961%,4.313725%)"/></g><g fill-rule="evenodd" fill="rgb(100%,100%,100%)"><path d="M-1.504 0h6.77v18h-6.77zm17.535 7.926l-1.098-.234-.578.961-.117-1.109-1.09-.254 1.02-.457-.098-1.117.754.832 1.031-.437-.559.973.738.844zm0 0"/><path d="M16.441 10.758a4.25 4.25 0 0 1-2.402 2.223 4.26 4.26 0 0 1-3.27-.133c-2.148-.996-3.086-3.551-2.09-5.699.48-1.074 1.391-1.895 2.508-2.262l-.414.383a3.95 3.95 0 0 0 .184 5.484c1.531 1.477 3.957 1.48 5.488.004zm0 0"/></g></svg>')
            },
            uz: {
                languageName: 'Uzbek',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 12h24v6H0zm0 0" fill="rgb(11.764706%,70.980392%,22.745098%)"/><path d="M0 0h24v6H0zm0 0" fill="rgb(0%,60%,70.980392%)"/><path d="M0 5.762h24v6.477H0zm0 0" fill="rgb(80.784314%,6.666667%,14.901961%)"/><path d="M0 6.121h24v5.758H0zm7.199-3.242a2.16 2.16 0 1 1-4.32 0c0-1.191.969-2.16 2.16-2.16a2.16 2.16 0 0 1 2.16 2.16zm0 0" fill="rgb(100%,100%,100%)"/><path d="M7.922 2.879a2.16 2.16 0 1 1-4.32 0 2.16 2.16 0 0 1 2.16-2.16c1.191 0 2.16.969 2.16 2.16zm0 0" fill="rgb(0%,60%,70.980392%)"/><g fill="rgb(100%,100%,100%)"><path d="M9.793 4.176l-.137.41.207.074"/><path d="M9.793 4.176l.137.41-.211.074"/><path d="M10.203 4.477l-.434-.004-.004.219"/><path d="M10.203 4.477l-.348.254-.133-.176"/><path d="M9.379 4.477l.348.254.137-.176"/><path d="M9.379 4.477l.434-.004.004.219"/><path d="M10.047 4.957l-.133-.41-.211.063"/><path d="M10.047 4.957l-.355-.25.129-.18"/><path d="M9.539 4.957l.352-.25-.129-.18"/><path d="M9.539 4.957l.129-.41.211.063m-.086-2.161l-.137.41.207.07"/><path d="M9.793 2.449l.137.41-.211.07"/><path d="M10.203 2.746l-.434-.004-.004.223"/><path d="M10.203 2.746l-.348.258-.133-.176"/><path d="M9.379 2.746l.348.258.137-.176"/><path d="M9.379 2.746l.434-.004.004.223"/><path d="M10.047 3.23l-.133-.414-.211.066"/><path d="M10.047 3.23l-.355-.25.129-.184"/><path d="M9.539 3.23l.352-.25-.129-.184"/><path d="M9.539 3.23l.129-.414.211.066M9.793.723l-.137.41.207.07"/><path d="M9.793.723l.137.41-.211.07"/><path d="M10.203 1.02l-.434-.004-.004.223"/><path d="M10.203 1.02l-.348.258-.133-.176"/><path d="M9.379 1.02l.348.258.137-.176"/><path d="M9.379 1.02l.434-.004.004.223"/><path d="M10.047 1.504l-.133-.414-.211.063"/><path d="M10.047 1.504l-.355-.254.129-.18"/><path d="M9.539 1.504l.352-.254-.129-.18"/><path d="M9.539 1.504l.129-.414.211.063m1.641 3.023l-.137.41.207.074"/><path d="M11.52 4.176l.137.41-.211.074"/><path d="M11.93 4.477l-.434-.004-.004.219"/><path d="M11.93 4.477l-.348.254-.133-.176"/><path d="M11.109 4.477l.348.254.133-.176"/><path d="M11.109 4.477l.43-.004.008.219"/><path d="M11.773 4.957l-.129-.41-.215.063"/><path d="M11.773 4.957l-.352-.25.125-.18"/><path d="M11.266 4.957l.352-.25-.125-.18"/><path d="M11.266 4.957l.129-.41.211.063m-.086-2.161l-.137.41.207.07"/><path d="M11.52 2.449l.137.41-.211.07"/><path d="M11.93 2.746l-.434-.004-.004.223"/><path d="M11.93 2.746l-.348.258-.133-.176"/><path d="M11.109 2.746l.348.258.133-.176"/><path d="M11.109 2.746l.43-.004.008.223"/><path d="M11.773 3.23l-.129-.414-.215.066"/><path d="M11.773 3.23l-.352-.25.125-.184"/><path d="M11.266 3.23l.352-.25-.125-.184"/><path d="M11.266 3.23l.129-.414.211.066M11.52.723l-.137.41.207.07"/><path d="M11.52.723l.137.41-.211.07"/><path d="M11.93 1.02l-.434-.004-.004.223"/><path d="M11.93 1.02l-.348.258-.133-.176"/><path d="M11.109 1.02l.348.258.133-.176"/><path d="M11.109 1.02l.43-.004.008.223"/><path d="M11.773 1.504l-.129-.414-.215.063"/><path d="M11.773 1.504l-.352-.254.125-.18"/><path d="M11.266 1.504l.352-.254-.125-.18"/><path d="M11.266 1.504l.129-.414.211.063m1.64 3.023l-.137.41.211.074"/><path d="M13.246 4.176l.137.41-.207.074"/><path d="M13.656 4.477l-.43-.004-.004.219"/><path d="M13.656 4.477l-.348.254-.133-.176"/><path d="M12.836 4.477l.348.254.133-.176"/><path d="M12.836 4.477l.434-.004.004.219"/><path d="M13.5 4.957l-.129-.41-.211.063"/><path d="M13.5 4.957l-.352-.25.129-.18"/><path d="M12.992 4.957l.352-.25-.125-.18"/><path d="M12.992 4.957l.133-.41.211.063m-.09-2.161l-.137.41.211.07"/><path d="M13.246 2.449l.137.41-.207.07"/><path d="M13.656 2.746l-.43-.004-.004.223"/><path d="M13.656 2.746l-.348.258-.133-.176"/><path d="M12.836 2.746l.348.258.133-.176"/><path d="M12.836 2.746l.434-.004.004.223"/><path d="M13.5 3.23l-.129-.414-.211.066"/><path d="M13.5 3.23l-.352-.25.129-.184"/><path d="M12.992 3.23l.352-.25-.125-.184"/><path d="M12.992 3.23l.133-.414.211.066m-.09-2.159l-.137.41.211.07"/><path d="M13.246.723l.137.41-.207.07"/><path d="M13.656 1.02l-.43-.004-.004.223"/><path d="M13.656 1.02l-.348.258-.133-.176"/><path d="M12.836 1.02l.348.258.133-.176"/><path d="M12.836 1.02l.434-.004.004.223"/><path d="M13.5 1.504l-.129-.414-.211.063"/><path d="M13.5 1.504l-.352-.254.129-.18"/><path d="M12.992 1.504l.352-.254-.125-.18"/><path d="M12.992 1.504l.133-.414.211.063m-7 3.023l-.137.41.207.074"/><path d="M6.336 4.176l.137.41-.211.074"/><path d="M6.746 4.477l-.434-.004-.004.219"/><path d="M6.746 4.477l-.348.254-.133-.176"/><path d="M5.926 4.477l.348.254.133-.176"/><path d="M5.926 4.477l.43-.004.004.219"/><path d="M6.59 4.957l-.133-.41-.211.063"/><path d="M6.59 4.957l-.352-.25.125-.18"/><path d="M6.082 4.957l.352-.25-.129-.18"/><path d="M6.082 4.957l.129-.41.211.063m1.641-.434l-.137.41.211.074"/><path d="M8.063 4.176l.137.41-.207.074"/><path d="M8.473 4.477l-.43-.004-.004.219"/><path d="M8.473 4.477l-.348.254-.133-.176"/><path d="M7.652 4.477L8 4.73l.133-.176"/><path d="M7.652 4.477l.434-.004.004.219"/><path d="M8.316 4.957l-.129-.41-.211.063"/><path d="M8.316 4.957l-.352-.25.129-.18"/><path d="M7.809 4.957l.352-.25-.125-.18"/><path d="M7.809 4.957l.133-.41.211.063m-.09-2.161l-.137.41.211.07"/><path d="M8.063 2.449l.137.41-.207.07"/><path d="M8.473 2.746l-.43-.004-.004.223"/><path d="M8.473 2.746l-.348.258-.133-.176"/><path d="M7.652 2.746L8 3.004l.133-.176"/><path d="M7.652 2.746l.434-.004.004.223"/><path d="M8.316 3.23l-.129-.414-.211.066"/><path d="M8.316 3.23l-.352-.25.129-.184"/><path d="M7.809 3.23l.352-.25-.125-.184"/><path d="M7.809 3.23l.133-.414.211.066"/></g></svg>')
            },
            vi: {
                languageName: 'Vietnamese',
                svgIcon: this._domSanitizer.bypassSecurityTrustHtml('<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" class="language-svg-icon"><path d="M0 0h24v18H0z" fill="rgb(92.54902%,0%,8.235294%)"/><path d="M15.289 13.395l-3.148-2.344-3.129 2.363 1.16-3.852-3.129-2.379 3.871-.035 1.203-3.848 1.219 3.836 3.871.004-3.113 2.406 1.195 3.852zm0 0" fill-rule="evenodd" fill="rgb(100%,100%,0%)"/></svg>')
            }
        };
    }
    /* tslint:enable */
    /* eslint-enable */
    get languageIcons() {
        return this._languageIcons;
    }
    addLanguageIcon(shortName, langName, svgIcon) {
        this._languageIcons[shortName] = {
            languageName: langName,
            svgIcon
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageIconsService, deps: [{ token: i2$1.DomSanitizer }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageIconsService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LanguageIconsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i2$1.DomSanitizer }] });

class AbstractI18nErrorsComponent extends AbstractBaseDataFieldComponent {
    languageIconsService;
    _translate;
    constructor(languageIconsService, _translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this.languageIconsService = languageIconsService;
        this._translate = _translate;
    }
    getErrorMessage() {
        if (this.formControlRef.hasError(I18nFieldValidation.REQUIRED_I18N)) {
            return this._translate.instant('dataField.validations.requiredI18n');
        }
        if (this.formControlRef.hasError(I18nFieldValidation.TRANSLATION_REQUIRED)) {
            const tmp = this.dataField.validations.find(value => value.validationRule.includes(I18nFieldValidation.TRANSLATION_REQUIRED)).validationRule.split(' ');
            const missingLanguages = tmp[1]
                .replace(' ', '')
                .split(',')
                .filter(lanCode => !Object.keys(this.formControlRef.value.translations).includes(lanCode))
                .map(lanCode => this.languageIconsService.languageIcons[lanCode].languageName)
                .join(', ');
            return this.resolveErrorMessage(I18nFieldValidation.TRANSLATION_REQUIRED, this._translate.instant('dataField.validations.translationRequired', { translation: missingLanguages }));
        }
        if (this.formControlRef.hasError(I18nFieldValidation.TRANSLATION_ONLY)) {
            const tmp = this.dataField.validations.find(value => value.validationRule.includes(I18nFieldValidation.TRANSLATION_ONLY)).validationRule.split(' ');
            const onlyLanguages = tmp[1]
                .replace(' ', '')
                .split(',')
                .map(lanCode => this.languageIconsService.languageIcons[lanCode].languageName)
                .join(', ');
            return this.resolveErrorMessage(I18nFieldValidation.TRANSLATION_ONLY, this._translate.instant('dataField.validations.translationOnly', { translation: onlyLanguages }));
        }
        return '';
    }
    resolveErrorMessage(search, generalMessage) {
        const validation = this.dataField.validations.find(value => value.validationRule.includes(search));
        if (validation.validationMessage && validation.validationMessage !== '') {
            return validation.validationMessage;
        }
        return generalMessage;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nErrorsComponent, deps: [{ token: LanguageIconsService }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractI18nErrorsComponent, selector: "ncc-abstract-i18n-errors", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nErrorsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-i18n-errors',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LanguageIconsService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractI18nTextFieldComponent extends AbstractI18nErrorsComponent {
    languageIconsService;
    _translateService;
    _domSanitizer;
    fieldValueChangesSubscription;
    fieldUpdateSubscription;
    languageKeys;
    initializedLanguage = false;
    selectedLanguage;
    filledShown = false;
    labelWidth;
    cutProperty;
    currentValue = {};
    filledKeys;
    constructor(languageIconsService, _translateService, _domSanitizer, dataFieldPortalData) {
        super(languageIconsService, _translateService, dataFieldPortalData);
        this.languageIconsService = languageIconsService;
        this._translateService = _translateService;
        this._domSanitizer = _domSanitizer;
        this.selectedLanguage = this._translateService.currentLang;
        this.languageKeys = Object.keys(this.languageIconsService.languageIcons);
    }
    ngOnInit() {
        this.currentValue = I18nField.toObject(this.dataField.value);
        this.fieldUpdateSubscription = this.dataField.updated.subscribe(() => {
            this.refreshCurrentValue();
        });
        this.fieldValueChangesSubscription = this.dataField.valueChanges().subscribe(newValue => {
            this.refreshCurrentValue(newValue);
        });
    }
    ngOnDestroy() {
        this.fieldUpdateSubscription.unsubscribe();
        this.fieldValueChangesSubscription.unsubscribe();
    }
    refreshCurrentValue(newValue = this.dataField.value) {
        if (this.dataField.disabled) {
            this.selectedLanguage = this._translateService.currentLang;
            this.filledShown = false;
            this.initializedLanguage = false;
            return;
        }
        if (!this.initializedLanguage) {
            if (!(this.selectedLanguage in newValue.translations)) {
                this.selectedLanguage = DEFAULT_LANGUAGE_CODE;
            }
            this.initializedLanguage = true;
        }
        this.currentValue = I18nField.toObject(newValue);
        this.refreshFilledMap();
    }
    getLanguageIcons() {
        return this.languageIconsService.languageIcons;
    }
    isDefaultValue(chosenLanguage) {
        return chosenLanguage === DEFAULT_LANGUAGE_CODE;
    }
    selectLanguage(newLanguage) {
        this.selectedLanguage = newLanguage;
        this.refreshFilledMap();
    }
    setSelectedValue() {
        if (!this.isDefaultValue(this.selectedLanguage) && this.currentValue[this.selectedLanguage] === '') {
            delete this.currentValue[this.selectedLanguage];
        }
        this.dataField.value = I18nField.fromObject(this.currentValue, this.dataField.value?.key ?? DEFAULT_LANGUAGE_CODE);
        this.formControlRef.markAsTouched();
    }
    refreshFilledMap() {
        this.filledKeys = [];
        for (const k in this.currentValue) {
            if (this.selectedLanguage === k) {
                continue;
            }
            this.filledKeys.push(k);
        }
        this.filledKeys.sort((a, b) => {
            return this.languageKeys.indexOf(a) - this.languageKeys.indexOf(b);
        });
    }
    removeTranslation(key) {
        delete this.currentValue[key];
        this.dataField.value = I18nField.fromObject(this.currentValue, this.dataField.value?.key ?? DEFAULT_LANGUAGE_CODE);
        this.formControlRef.markAsTouched();
        this.refreshFilledMap();
    }
    toggleFilled() {
        this.filledShown = !this.filledShown;
    }
    getCutProperty(i18nLabel) {
        if (this.labelWidth !== i18nLabel.offsetWidth) {
            this.labelWidth = i18nLabel.offsetWidth;
            const calculatedWidth = 'calc(0.5em + ' + i18nLabel.offsetWidth / 4 * 3 + 'px)';
            this.cutProperty = `polygon(0 0, 0 100%, 100% 100%, 100% 0%, ${calculatedWidth} 0, ${calculatedWidth} 6%, 0.5em 6%, 0.5em 0)`;
        }
        return this.cutProperty;
    }
    hasHint() {
        return this.dataField.description !== undefined && this.dataField.description !== '';
    }
    getTranslation() {
        const locale = this._translateService.currentLang;
        return locale in this.dataField.value.translations
            ? this.dataField.value.translations[locale]
            : this.dataField.value.defaultValue;
    }
    getDefaultLanguageCode() {
        return DEFAULT_LANGUAGE_CODE;
    }
    isPlainText() {
        if (this.checkPropertyInComponent('plainText')) {
            return this.dataField.component.properties.plainText === 'true';
        }
    }
    isBoldText() {
        if (this.textPropertyEnabled('boldText')) {
            return this.dataField.component.properties.boldText === 'true';
        }
    }
    getTextColor() {
        if (this.checkPropertyInComponent('textColor')) {
            return this.dataField.component.properties.textColor;
        }
    }
    getTextFontSize() {
        if (this.checkPropertyInComponent('fontSize')) {
            return this.dataField.component.properties.fontSize + 'px';
        }
    }
    textPropertyEnabled(property) {
        return !!this.dataField?.component?.properties
            && property in this.dataField.component.properties;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nTextFieldComponent, deps: [{ token: LanguageIconsService }, { token: i1$2.TranslateService }, { token: i2$1.DomSanitizer }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractI18nTextFieldComponent, selector: "ncc-abstract-i18n-text-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nTextFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-i18n-text-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LanguageIconsService }, { type: i1$2.TranslateService }, { type: i2$1.DomSanitizer }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractI18nDividerFieldComponent extends AbstractBaseDataFieldComponent {
    constructor(dataFieldPortalData) {
        super(dataFieldPortalData);
    }
    getDividerColor() {
        if (this.checkPropertyInComponent('dividerColor')) {
            return this.dataField.component.properties.dividerColor;
        }
    }
    isDividerLGBTQ() {
        if (this.checkPropertyInComponent('dividerLGBTQ')) {
            return this.dataField.component.properties.dividerLGBTQ === 'true';
        }
        return false;
    }
    getDividerFontSize() {
        if (this.checkPropertyInComponent('fontSize')) {
            return this.dataField.component.properties.fontSize + 'px';
        }
    }
    dividerPropertyEnabled(property) {
        return !!this.dataField?.component?.properties
            && property in this.dataField.component.properties;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nDividerFieldComponent, deps: [{ token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractI18nDividerFieldComponent, selector: "ncc-abstract-i18n-divider-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractI18nDividerFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-i18n-divider-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractUserListFieldComponent extends AbstractDataFieldComponent {
    /**
     * Represents info about user from backend.
     */
    dataField;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    ngOnInit() {
        super.ngOnInit();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserListFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserListFieldComponent, selector: "ncc-abstract-user-list-field", inputs: { dataField: "dataField" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserListFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-list-field',
                    template: '',
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { dataField: [{
                type: Input
            }] } });

class AbstractUserListDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _dialog;
    _snackbar;
    _translate;
    constructor(_dialog, _snackbar, _translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._dialog = _dialog;
        this._snackbar = _snackbar;
        this._translate = _translate;
    }
    /**
     * Call after click on user field button.
     *
     * Open [MultiUserAssignDialogComponent]{@link MultiUserAssignDialogComponent} in side menu with data represents preselected user from backend.
     *
     * After close side menu, the snackbar info will be displayed either for the unselected user or the selected one.
     */
    selectAbstractUser(component) {
        let valueReturned = false;
        const dialogRef = this._dialog.open(component, {
            panelClass: "dialog-responsive",
            data: { roles: this.dataField.roles, value: this.dataField.value },
        });
        dialogRef.afterClosed().subscribe($event => {
            if ($event?.data) {
                this.dataField.value = new UserListValue(new Map($event.data.map(v => [v.id, v])));
                this._snackbar.openGenericSnackBar(this._translate.instant('dataField.snackBar.userListAssigned', { userNames: this.dataField.value.toString() }), 'how_to_reg');
                valueReturned = true;
            }
            else if (!valueReturned) {
                this._snackbar.openWarningSnackBar(this._translate.instant('dataField.snackBar.notSelectedUser'));
            }
        });
    }
    removeAbstractUser(userId) {
        const existingUsers = new UserListValue(new Map(this.dataField.value.userValues));
        existingUsers.removeUserValue(userId);
        this.dataField.value = existingUsers;
    }
    removeAll() {
        this.dataField.value = new UserListValue(new Map());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserListDefaultFieldComponent, deps: [{ token: i1$3.MatDialog }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserListDefaultFieldComponent, selector: "ncc-abstract-user-list-default-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserListDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-list-default-field',
                    template: '',
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialog }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

/**
 * @deprecated
 * */
class AbstractTaskRefFieldComponent extends AbstractDataFieldComponent {
    dashboardTiles;
    constructor(informAboutInvalidData) {
        super(informAboutInvalidData);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefFieldComponent, deps: [{ token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskRefFieldComponent, selector: "ncc-abstract-task-ref-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-ref-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }] });

/**
 * A collection of Task ref field dashboard component constants used to reference elements of the underlying processes
 */
var TaskRefDashboardConstants;
(function (TaskRefDashboardConstants) {
    TaskRefDashboardConstants["DASHBOARD_ROWS"] = "rows";
    TaskRefDashboardConstants["DASHBOARD_COLS"] = "cols";
    TaskRefDashboardConstants["DASHBOARD_TASK_REF"] = "dashboard";
})(TaskRefDashboardConstants || (TaskRefDashboardConstants = {}));

/**
 * A collection of Task ref field dashboard tile component constants used to reference elements of the underlying processes
 */
var TaskRefDashboardTileConstants;
(function (TaskRefDashboardTileConstants) {
    TaskRefDashboardTileConstants["DASHBOARD_TILE_X"] = "x";
    TaskRefDashboardTileConstants["DASHBOARD_TILE_Y"] = "y";
    TaskRefDashboardTileConstants["DASHBOARD_TILE_ROWS"] = "rows";
    TaskRefDashboardTileConstants["DASHBOARD_TILE_COLS"] = "cols";
    TaskRefDashboardTileConstants["DASHBOARD_TILE_PARENT_ID"] = "parent_dashboard_id";
    TaskRefDashboardTileConstants["DASHBOARD_TILE_PROCESS_IDENTIFIER"] = "dashboard_tile";
})(TaskRefDashboardTileConstants || (TaskRefDashboardTileConstants = {}));

const NAE_TASK_OPERATIONS = new InjectionToken('NaeTaskOperationsInterface');

class AfterAction extends Subject {
    /**
     * Emits the `resolution` and completes.
     * @param resolution
     */
    resolve(resolution) {
        this.next(resolution);
        this.complete();
    }
}

class CaseResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('case', provider, configService);
    }
    /**
     * Get count of the cases
     * POST
     * {{baseUrl}}/api/workflow/case/count
     */
    count(filter) {
        if (filter.type !== FilterType.CASE) {
            throw new Error('Provided filter doesn\'t have type CASE');
        }
        return this._resourceProvider.post$('workflow/case/count', this.SERVER_URL, filter.getRequestBody(), filter.getRequestParams())
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all cases of the system
     * GET
     * {{baseUrl}}/api/workflow/all
     */
    getAllCase() {
        return this._resourceProvider.get$('workflow/all', this.SERVER_URL).pipe(map(r => this.changeType(r, 'cases')));
    }
    /**
     * Generic case search
     * POST
     * {{baseUrl}}/api/workflow/case/search
     * @param filter filter used to search cases. Must be of type `CASE`.
     * @param params request parameters, that can be used for sorting of results.
     */
    searchCases(filter, params) {
        if (filter.type !== FilterType.CASE) {
            throw new Error('Provided filter doesn\'t have type CASE');
        }
        params = ResourceProvider.combineParams(filter.getRequestParams(), params);
        return this._resourceProvider.post$('workflow/case/search', this.SERVER_URL, filter.getRequestBody(), params)
            .pipe(map(r => this.getResourcePage(r, 'cases')));
    }
    /**
     * Delete case
     * DELETE
     * {{baseUrl}}/api/workflow/case/:id
     */
    deleteCase(caseID, deleteSubtree = false) {
        return this._resourceProvider.delete$('workflow/case/' + caseID, this.SERVER_URL, deleteSubtree ? { deleteSubtree: deleteSubtree.toString() } : {})
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Download case file field value
     * GET
     * {{baseUrl}}/api/workflow/case/:id/file/:field
     */
    getCaseFile(caseID, params) {
        return this._resourceProvider.get$('workflow/case/' + caseID + '/file', this.SERVER_URL, params).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Create new case
     * POST
     * {{baseUrl}}/api/workflow/case
     */
    createCase(body) {
        return this._resourceProvider.post$('workflow/case/', this.SERVER_URL, body).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all cases by user that created them
     * POST
     * {{baseUrl}}/api/workflow/case/author/:id
     */
    getAllCaseUser(userId, body) {
        return this._resourceProvider.post$('workflow/case/author/' + userId, this.SERVER_URL, body).pipe(map(r => this.changeType(r, 'cases')));
    }
    /**
     * Generic case search with QueryDSL predicate
     * POST
     * {{baseUrl}}/api/workflow/case/search2
     */
    getCasesQueryDSL(body) {
        return this._resourceProvider.post$('workflow/case/search2', this.SERVER_URL, body).pipe(map(r => this.getResourcePage(r, 'cases')));
    }
    /**
     * Generic case search with object encoded search query. Similar to [getCasesQueryDSL]{@link CaseResourceService#getCasesQueryDSL}
     * POST
     * {{baseUrl}}/api/workflow/case/search_mongo
     * @param body object defining the search query
     * @param params request parameters, that can be used for sorting of results.
     */
    getCases(body, params) {
        return this._resourceProvider.post$('workflow/case/search_mongo', this.SERVER_URL, body, params)
            .pipe(map(r => this.getResourcePage(r, 'cases')));
    }
    /**
     * Search one case by it's id.
     * GET
     * {{baseUrl}}/api/workflow/case/:id
     */
    getOneCase(caseId) {
        return this._resourceProvider.get$('workflow/case/' + caseId, this.SERVER_URL).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get options for enumeration or multiple-choice data field
     * GET
     * {{baseUrl}}/api/workflow/case/:caseId/field/:fieldId
     */
    getOptionsEnumeration(caseId, fieldId) {
        return this._resourceProvider.get$('workflow/case/' + caseId + '/field/' + fieldId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class CallChainService {
    constructor() {
    }
    /**
     * Creates a call chain `Subject` that performs an action when a value is emitted into it.
     *
     * Useful for creating call chains for methods like [assign Task]{@link AssignTaskService#assign}.
     * By using this function you don't have to handle the `Subject` logic and can only focus on the callback.
     * This can make the code easier to understand as the intent is not obscured by the `Subject` handling.
     *
     * @param callback the function that should be executed when a value is emitted into the `Subject`.
     * The emitted value is passed as the argument.
     * @returns a subscribed `Subject` instance that performs the provided `callback` on the first emission and then completes
     */
    create(callback) {
        const chain = new AfterAction();
        chain.subscribe(result => {
            callback(result);
            chain.complete();
        });
        return chain;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CallChainService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CallChainService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CallChainService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

/**
 * Acts as a communication interface between the Component that renders Task content and it's parent Component.
 * Also provides some general functionality that is needed when working with task content.
 *
 * Notable example of a parent Component is the {@link AbstractTaskPanelComponent}.
 *
 * Notable example of a task content renderer is the {@link AbstractTaskContentComponent}.
 */
class TaskContentService {
    _fieldConverterService;
    _snackBarService;
    _translate;
    _logger;
    static FRONTEND_ACTIONS_KEY = '_frontend_actions';
    static ACTION = 'action';
    $shouldCreate;
    $shouldCreateCounter;
    _task;
    _taskDataReloadRequest$;
    _isExpanding$;
    _taskFieldsIndex = {};
    _referencedTaskAndCaseIds = {};
    constructor(_fieldConverterService, _snackBarService, _translate, _logger) {
        this._fieldConverterService = _fieldConverterService;
        this._snackBarService = _snackBarService;
        this._translate = _translate;
        this._logger = _logger;
        this.$shouldCreate = new ReplaySubject(1);
        this.$shouldCreateCounter = new BehaviorSubject(0);
        this._isExpanding$ = new BehaviorSubject(false);
        this._task = undefined;
        this._taskDataReloadRequest$ = new Subject();
    }
    ngOnDestroy() {
        if (!this.$shouldCreate.closed) {
            this.$shouldCreate.complete();
        }
        this._taskDataReloadRequest$.complete();
        this._isExpanding$.complete();
    }
    /**
     * Stream that emits every time a data reload is requested.
     */
    get taskDataReloadRequest$() {
        return this._taskDataReloadRequest$.asObservable();
    }
    get taskFieldsIndex() {
        return this._taskFieldsIndex;
    }
    set taskFieldsIndex(value) {
        this._taskFieldsIndex = value;
    }
    get referencedTaskAndCaseIds() {
        return this._referencedTaskAndCaseIds;
    }
    set referencedTaskAndCaseIds(value) {
        this._referencedTaskAndCaseIds = value;
    }
    /**
     * Whether the panel that the task content is contained in is currently expanding.
     *
     * If the task content is not contained in a panel, `isExpanding` will be always `false`.
     */
    get isExpanding() {
        return this._isExpanding$.value;
    }
    /**
     * Changes the state of the task content to `expanding`.
     */
    expansionStarted() {
        this._isExpanding$.next(true);
    }
    /**
     * Changes the state of the task content to `not expanding`.
     */
    expansionFinished() {
        this._isExpanding$.next(false);
    }
    /**
     * Checks the validity of all data fields in the managed {@link Task}.
     *
     * If some of the fields are invalid touches them so their validation errors will appear (if set).
     * A snackbar will also be displayed to the user, informing them of the fact that the fields are invalid.
     * @returns whether the task is valid or not
     */
    validateTaskData(taskId) {
        if (!this._task || !this._task.dataGroups) {
            return false;
        }
        const valid = !this._task.dataGroups.filter(group => !!group.parentTaskId && !!taskId ? group.parentTaskId === taskId : true).some(group => group.fields.some(field => !field.valid && !field.disabled));
        const validDisabled = !this._task.dataGroups.filter(group => !!group.parentTaskId && !!taskId ? group.parentTaskId === taskId : true).some(group => group.fields.some(field => !field.validRequired && field.disabled));
        if (!valid) {
            this._snackBarService.openErrorSnackBar(this._translate.instant('tasks.snackbar.invalidData'));
            this._task.dataGroups.forEach(group => group.fields.forEach(field => field.touch = true));
        }
        if (!validDisabled) {
            this._snackBarService.openErrorSnackBar(this._translate.instant('tasks.snackbar.missingRequired'));
        }
        return valid && validDisabled;
    }
    /**
     * Finds invalid data of task
     *
     * @returns array of invalid datafields
     */
    getInvalidTaskData() {
        const invalidFields = [];
        this._task.dataGroups.forEach(group => invalidFields.push(...group.fields.filter(field => (!field.valid && !field.disabled) || (!field.validRequired && !field.disabled))));
        return invalidFields;
    }
    validateDynamicEnumField() {
        if (!this._task || !this._task.dataGroups) {
            return false;
        }
        const exists = this._task.dataGroups.some(group => group.fields.some(field => field instanceof DynamicEnumerationField));
        if (!exists) {
            return true;
        }
        let valid = true;
        for (const group of this._task.dataGroups) {
            for (const field of group.fields) {
                if (field instanceof DynamicEnumerationField) {
                    if (field.choices !== undefined && field.choices.length !== 0 && field.value !== '' && field.value !== undefined) {
                        if (!field.choices.some(choice => choice.key === field.value)) {
                            field.value = '';
                            if (field.behavior.required) {
                                valid = false;
                            }
                        }
                    }
                }
            }
        }
        if (!valid) {
            this._snackBarService.openErrorSnackBar(this._translate.instant('tasks.snackbar.missingRequired'));
        }
        return valid;
    }
    /**
     * Changes the blocking state of all fields in the managed Task.
     * @param blockingState whether the field should be blocked or not
     */
    blockFields(blockingState) {
        if (this._task && this._task.dataGroups) {
            this._task.dataGroups.forEach(group => {
                group.fields.forEach(field => {
                    field.block = blockingState;
                });
            });
        }
    }
    /**
     * Clears the assignee, start date and finish date from the managed Task.
     */
    updateStateData(eventOutcome) {
        if (this._task) {
            this._task.userId = eventOutcome.task.userId;
            this._task.startDate = eventOutcome.task.startDate;
            this._task.finishDate = eventOutcome.task.finishDate;
        }
    }
    /**
     * Updates the properties of fields in the managed task based on a delta of changes from previous state.
     * @param chFields object containing the delta of the changes from the previous state
     */
    updateFromChangedFields(chFields) {
        if (!this._task || !this._task.dataGroups) {
            return;
        }
        const frontendActions = chFields.taskId === this.task.stringId && chFields[TaskContentService.FRONTEND_ACTIONS_KEY];
        Object.keys(chFields).forEach(changedField => {
            if (chFields.taskId === this._task.stringId && this.isFieldInTask(chFields.taskId, changedField)) {
                this.updateField(chFields, this.taskFieldsIndex[chFields.taskId].fields[changedField], frontendActions);
            }
            else if (!!this.getReferencedTaskId(changedField, chFields)) {
                this.updateField(chFields, this.taskFieldsIndex[this.getReferencedTaskId(changedField, chFields)].fields[changedField], frontendActions, true);
            }
        });
        this.$shouldCreate.next(this._task.dataGroups);
    }
    updateField(chFields, field, frontendActions, referenced = false) {
        if (this._fieldConverterService.resolveType(field) === FieldTypeResource.TASK_REF) {
            this._taskDataReloadRequest$.next(frontendActions ? frontendActions : undefined);
            return;
        }
        const updatedField = chFields[field.stringId];
        Object.keys(updatedField).forEach(key => {
            switch (key) {
                case 'type':
                    // type is just an information, not an update. A field cannot change its type
                    return; // continue - the field does not need updating, since nothing changed
                case 'value':
                    field.valueWithoutChange(this._fieldConverterService.formatValueFromBackend(field, updatedField[key]));
                    break;
                case 'behavior':
                    if (!referenced && updatedField.behavior[this._task.transitionId]) {
                        field.behavior = updatedField.behavior[this._task.transitionId];
                    }
                    else if (referenced) {
                        const taskId = this.getReferencedTaskId(field.stringId, chFields);
                        const taskRef = this.findTaskRefId(taskId, this.taskFieldsIndex[this._task.stringId].fields);
                        const transitionId = this.taskFieldsIndex[taskId].transitionId;
                        if (!!transitionId && transitionId !== '' && updatedField.behavior[transitionId])
                            field.behavior = taskRef.behavior.editable ? updatedField.behavior[transitionId] : taskRef.behavior;
                    }
                    break;
                case 'choices':
                    const newChoices = [];
                    if (updatedField.choices instanceof Array) {
                        updatedField.choices.forEach(it => {
                            newChoices.push({ key: it, value: it });
                        });
                    }
                    else {
                        Object.keys(updatedField.choices).forEach(choiceKey => {
                            newChoices.push({
                                key: choiceKey,
                                value: updatedField.choices[choiceKey]
                            });
                        });
                    }
                    field.choices = newChoices;
                    field.updateChoice();
                    break;
                case 'options':
                    const newOptions = [];
                    Object.keys(updatedField.options).forEach(optionKey => {
                        newOptions.push({ key: optionKey, value: updatedField.options[optionKey] });
                    });
                    field.choices = newOptions;
                    field.updateChoice();
                    break;
                case 'validations':
                    field.replaceValidations(updatedField.validations.map(it => it));
                    break;
                default:
                    field[key] = updatedField[key];
            }
            field.update();
        });
    }
    isFieldInTask(taskId, changedField) {
        return !!taskId
            && !!this.taskFieldsIndex[taskId]
            && !!this.taskFieldsIndex[taskId].fields
            && !!this.taskFieldsIndex[taskId].fields[changedField];
    }
    getReferencedTaskId(changedField, chFields) {
        return !!this.taskFieldsIndex ?
            (Object.keys(this.taskFieldsIndex).find(taskId => taskId !== this.task.stringId && taskId === chFields.taskId && Object.keys(this.taskFieldsIndex[taskId].fields).includes(changedField))
                || Object.keys(this.taskFieldsIndex).find(taskId => taskId !== this.task.stringId && Object.keys(this.taskFieldsIndex[taskId].fields).includes(changedField))) : undefined;
    }
    findTaskRefId(taskId, fields) {
        let taskRefId = Object.values(fields).find(f => f instanceof TaskRefField && f.value.includes(taskId));
        if (!taskRefId) {
            const referencedTaskIds = Object.values(fields).filter(f => f instanceof TaskRefField).map(tr => tr.value);
            referencedTaskIds.forEach(id => {
                taskRefId = this.findTaskRefId(taskId, this.taskFieldsIndex[id].fields);
                if (!!taskRefId) {
                    return taskRefId;
                }
            });
        }
        return taskRefId;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskContentService, deps: [{ token: FieldConverterService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskContentService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskContentService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: FieldConverterService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: LoggerService }] });

/**
 * Holds the common functionality for all Services that work with a single Task object.
 */
class TaskHandlingService {
    _taskContentService;
    _selectedCaseService;
    /**
     * @param _taskContentService the service that holds the currently selected task, that is handled by the implementation of this class
     * @param _selectedCaseService an optional service, that holds the currently selected case.
     * It should be injected with the `@Optional()` annotation, since it might not be always provided.
     */
    constructor(_taskContentService, _selectedCaseService = null) {
        this._taskContentService = _taskContentService;
        this._selectedCaseService = _selectedCaseService;
    }
    /**
     * @returns the Task object held by {@link TaskContentService} or `undefined` if the Service currently holds no Task.
     */
    get _task() {
        return this._taskContentService.task;
    }
    /**
     * Throws an error if the {@link TaskContentService} didn't have the Task object set yet.
     *
     * @returns the Task object held by {@link TaskContentService}.
     */
    get _safeTask() {
        const task = this._taskContentService.task;
        if (!task) {
            throw new Error('Attempting to access Task object of an uninitialized TaskContentService');
        }
        return task;
    }
    /**
     * @returns `true` if a {@link Task} instance is set, `false` otherwise
     */
    isTaskPresent() {
        return !!this._taskContentService.task;
    }
    /**
     * Checks whether the current state of the {@link TaskContentService} and optionally if the {@link SelectedCaseService}, is still
     * relevant to the task that was requested.
     *
     * This method is useful if you use {@link UnlimitedTaskContentService}, or a similar implementation. It is possible for the currently
     * "selected" task to change in-between a backend request was sent and the response was received. In that case the response is no longer
     * relevant and should be discarded, otherwise an illegal task state could be achieved on frontend.
     * @param requestedTaskId the `stringId` of the requested task
     * @returns `true` if the requested task is still relevant to the state of the frontend. Returns `false` otherwise.
     */
    isTaskRelevant(requestedTaskId) {
        return this.isTaskPresent()
            && this._task.stringId === requestedTaskId
            && (!this._selectedCaseService
                || (!!this._selectedCaseService
                    && !!this._selectedCaseService.selectedCase
                    && this._task.caseId === this._selectedCaseService.selectedCase.stringId));
    }
}

/**
 * @param task affected Task object
 * @param event the reported Task event
 * @param success success state of the reported event
 * @param outcome TaskEventOutcome
 * @returns the notification informing about the event
 */
function createTaskEventNotification(task, event, success, outcome) {
    return {
        taskId: task.stringId,
        transitionId: task.transitionId,
        event,
        success,
        outcome
    };
}

var TaskEvent;
(function (TaskEvent) {
    TaskEvent["ASSIGN"] = "assign";
    TaskEvent["FINISH"] = "finish";
    TaskEvent["CANCEL"] = "cancel";
    TaskEvent["DELEGATE"] = "delegate";
    TaskEvent["SET_DATA"] = "set data";
    TaskEvent["GET_DATA"] = "get data";
})(TaskEvent || (TaskEvent = {}));

/**
 * Wrapper for a scheduled event
 */
class QueuedEvent {
    _isRelevant;
    _execute;
    _revert;
    /**
     * @param _isRelevant a method that determines if the event is still relevant at the time of its execution.
     * Returns `true` if the event is still relevant (e.g. the set field is still editable). Returns `false` otherwise.
     * @param _execute executes the scheduled event and then performs the provided after action
     * @param _revert reverts the scheduled event and then performs the provided after action
     */
    constructor(_isRelevant, _execute, _revert = (a) => {
        a.resolve(true);
    }) {
        this._isRelevant = _isRelevant;
        this._execute = _execute;
        this._revert = _revert;
    }
    /**
     * Executes the event if it is still relevant, or reverts it if it is not.
     * Performs the provided after action, once the event is resolved.
     */
    resolve(afterAction) {
        if (this._isRelevant()) {
            this._execute(afterAction);
        }
        else {
            this._revert(afterAction);
        }
    }
}

/**
 * Holds information about the state of backend requests regarding a single {@link Task} instance
 * held within the {@link TaskContentService}.
 *
 * This Service is used by many other Services that handle the necessary logic for working with a single Task on frontend.
 */
class TaskRequestStateService extends TaskHandlingService {
    _loading;
    _updating;
    constructor(_taskContent) {
        super(_taskContent);
        this._loading = new LoadingEmitter();
        this._updating = new LoadingEmitter();
        _taskContent.task$.subscribe(() => {
            this._loading.off();
            this._updating.off();
        });
    }
    /**
     * @returns whether the task is currently loading, or `undefined` if the queried task is
     * not held within the injected {@link TaskContentService}.
     *
     * @param taskId stringId of the {@link Task} we would like to get information about.
     * If no value is provided, the state of the task held in the {@link TaskContentService} will be returned.
     */
    isLoading(taskId) {
        if (taskId !== undefined && !this.isTaskRelevant(taskId)) {
            return undefined;
        }
        return this._loading.isActive;
    }
    /**
     * Changes the state of the loading indicator to `true`,
     * if the task held within the injected {@link TaskContentService} has the Id that is provided as argument.
     * This method does nothing otherwise.
     *
     * @param taskId stringId of the {@link Task} who's loading state we want to change
     */
    startLoading(taskId) {
        if (!this.isTaskRelevant(taskId)) {
            return;
        }
        this._loading.on();
    }
    /**
     * Changes the state of the loading indicator to `false`,
     * if the task held within the injected {@link TaskContentService} has the Id that is provided as argument.
     * This method does nothing otherwise.
     *
     * @param taskId stringId of the {@link Task} who's loading state we want to change
     */
    stopLoading(taskId) {
        if (!this.isTaskRelevant(taskId)) {
            return;
        }
        this._loading.off();
    }
    /**
     * @returns whether the task is currently updating it's data fields, or `undefined` if the queried task is
     * not held within the injected {@link TaskContentService}.
     *
     * @param taskId stringId of the {@link Task} we would like to get information about.
     * If no value is provided, the state of the task held in the {@link TaskContentService} will be returned.
     */
    isUpdating(taskId) {
        if (taskId !== undefined && !this.isTaskRelevant(taskId)) {
            return undefined;
        }
        return this._updating.isActive;
    }
    /**
     * Changes the state of the updating indicator to `true`,
     * if the task held within the injected {@link TaskContentService} has the Id that is provided as argument.
     * This method does nothing otherwise.
     *
     * @param taskId stringId of the {@link Task} who's loading state we want to change
     */
    startUpdating(taskId) {
        if (!this.isTaskRelevant(taskId)) {
            return;
        }
        this._updating.on();
    }
    /**
     * Changes the state of the updating indicator to `false`,
     * if the task held within the injected {@link TaskContentService} has the Id that is provided as argument.
     * This method does nothing otherwise.
     *
     * @param taskId stringId of the {@link Task} who's loading state we want to change
     */
    stopUpdating(taskId) {
        if (!this.isTaskRelevant(taskId)) {
            return;
        }
        this._updating.off();
    }
    ngOnDestroy() {
        this._loading.complete();
        this._updating.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskRequestStateService, deps: [{ token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskRequestStateService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskRequestStateService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskContentService }] });

/**
 * Holds logic about the available operations on a {@link Task} object based on it's state.
 *
 * Beware that it gets the Task from (@link TaskContentService) instance and thus the task might not be always initialized.
 * If the task is not initialized this class cannot work properly.
 */
class TaskEventService extends TaskHandlingService {
    _taskEventNotifications$;
    constructor(_taskContentService) {
        super(_taskContentService);
        this._taskEventNotifications$ = new Subject();
    }
    /**
     * Completes the stream
     */
    ngOnDestroy() {
        this._taskEventNotifications$.complete();
    }
    /**
     * Provides information about results of events executed on the managed {@link Task}
     */
    get taskEventNotifications$() {
        return this._taskEventNotifications$.asObservable();
    }
    /**
     * Emits a new {@link TaskEventNotification} into the notifications stream
     * @param event the event information that will be pushed into the stream
     */
    publishTaskEvent(event) {
        this._taskEventNotifications$.next(event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskEventService, deps: [{ token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskEventService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskEventService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskContentService }] });

/**
 * Holds information about the currently selected {@link Case}.
 *
 * Services that handle various task operations, can use this service to take into consideration changes in frontend data in
 * between backend call and backend response.
 *
 * This service is used by Tree Case View's {@link TreeTaskContentService}.
 */
class SelectedCaseService {
    /**
     * Stores the currently selected {@link Case}.
     *
     * The initial value is `undefined`.
     *
     * Beware that setting new values doesn't make copies of the provided {@link Case} object,
     * so it is possible that any subscriber could modify the shared object.
     * Subscribed library services don't modify the provided {@link Case}, only the owner ({@link TreeTaskContentService})
     * of the {@link Case} object performs modifications of it.
     */
    _selectedCase$;
    constructor() {
        this._selectedCase$ = new BehaviorSubject(undefined);
    }
    ngOnDestroy() {
        this._selectedCase$.complete();
    }
    get selectedCase$() {
        return this._selectedCase$.asObservable();
    }
    /**
     * @param selectedCase the new value, that is emitted into the underlying stream
     */
    set selectedCase(selectedCase) {
        this._selectedCase$.next(selectedCase);
    }
    /**
     * @returns the current value of the underlying stream
     */
    get selectedCase() {
        return this._selectedCase$.getValue();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SelectedCaseService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SelectedCaseService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SelectedCaseService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

/**
 * This service handles the queuing and execution of task related events (assign, finish, cancel, delegate, setData and getData)
 */
class EventQueueService {
    _log;
    _afterActionService;
    _queue;
    _performingEvent;
    constructor(_log, _afterActionService) {
        this._log = _log;
        this._afterActionService = _afterActionService;
        this._queue = [];
        this._performingEvent = new LoadingEmitter();
    }
    /**
     * Schedules the execution of the provided event
     * @param event
     */
    scheduleEvent(event) {
        if (this._performingEvent.isActive) {
            this._log.debug(`Adding scheduled event to queue. Position in queue: ${this._queue.length}`);
            this._queue.push(event);
        }
        else {
            this._log.debug('Event queue is empty. Executing scheduled event immediately.');
            this._performingEvent.on();
            this.executeEvent(event);
        }
    }
    executeEvent(event) {
        event.resolve(this._afterActionService.create(() => {
            this.executeNextEventFromQueue();
        }));
    }
    executeNextEventFromQueue() {
        this._log.debug('Event finished execution.');
        if (this._queue.length === 0) {
            this._performingEvent.off();
            this._log.debug('Last event in queue was executed.');
            return;
        }
        this._log.debug('Executing next event in queue.');
        this.executeEvent(this._queue.shift());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventQueueService, deps: [{ token: LoggerService }, { token: CallChainService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventQueueService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: EventQueueService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: CallChainService }] });

class UserComparatorService {
    _userService;
    constructor(_userService) {
        this._userService = _userService;
    }
    compareUsers(userId, acceptImpersonator = true) {
        const loggedUser = acceptImpersonator ? this._userService.user.getSelfOrImpersonated() : this._userService.user;
        return userId === loggedUser.id || this._userService.user.email.includes('anonymous');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserComparatorService, deps: [{ token: UserService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserComparatorService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserComparatorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: UserService }] });

class ChangedFieldsService {
    _changedFields$;
    ngOnDestroy() {
        this._changedFields$.complete();
    }
    constructor() {
        this._changedFields$ = new Subject();
    }
    get changedFields$() {
        return this._changedFields$.asObservable();
    }
    emitChangedFields(changedFields) {
        if (changedFields === undefined || Object.keys(changedFields).length === 0) {
            return;
        }
        this._changedFields$.next(changedFields);
    }
    parseChangedFieldsByCaseAndTaskIds(caseId, taskIds, changedFieldsMap) {
        const changedFields = [];
        const filteredTaskIds = Object.keys(changedFieldsMap[caseId]).filter(taskId => taskIds.includes(taskId));
        filteredTaskIds.forEach(taskId => {
            changedFields.push(changedFieldsMap[caseId][taskId]);
        });
        return changedFields;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ChangedFieldsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ChangedFieldsService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ChangedFieldsService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

class FrontActionRegistryService {
    _registry;
    constructor() {
        this._registry = new Map();
    }
    get registry() {
        return this._registry;
    }
    set registry(value) {
        this._registry = value;
    }
    register(key, fn) {
        this._registry.set(key, fn);
    }
    contains(key) {
        return this._registry.has(key);
    }
    get(key) {
        if (this._registry.has(key)) {
            return this._registry.get(key);
        }
        return undefined;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionRegistryService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionRegistryService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionRegistryService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class FrontActionService {
    _injector;
    _frontActionRegistry;
    _log;
    constructor(_injector, _frontActionRegistry, _log) {
        this._injector = _injector;
        this._frontActionRegistry = _frontActionRegistry;
        this._log = _log;
    }
    run(frontAction) {
        const fn = this._frontActionRegistry.get(frontAction.id);
        if (!fn) {
            this._log.error("Frontend action is not defined for ID [" + frontAction.id + "]");
        }
        fn.call(this._injector, frontAction);
    }
    runAll(frontAction) {
        frontAction.forEach(a => this.run(a));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionService, deps: [{ token: i0.Injector }, { token: FrontActionRegistryService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i0.Injector }, { type: FrontActionRegistryService }, { type: LoggerService }] });

/**
 * Handles the loading and updating of data fields and behaviour of
 * a single Task object managed by a {@link TaskContentService} instance.
 */
class TaskDataService extends TaskHandlingService {
    _taskState;
    _translate;
    _log;
    _snackBar;
    _taskResourceService;
    _fieldConverterService;
    _taskEvent;
    _taskOperations;
    _afterActionFactory;
    _eventQueue;
    _userComparator;
    _eventService;
    _changedFieldsService;
    _frontActionService;
    _updateSuccess$;
    _dataReloadSubscription;
    constructor(_taskState, _translate, _log, _snackBar, _taskResourceService, _fieldConverterService, _taskEvent, _taskOperations, _selectedCaseService, _taskContentService, _afterActionFactory, _eventQueue, _userComparator, _eventService, _changedFieldsService, _frontActionService) {
        super(_taskContentService, _selectedCaseService);
        this._taskState = _taskState;
        this._translate = _translate;
        this._log = _log;
        this._snackBar = _snackBar;
        this._taskResourceService = _taskResourceService;
        this._fieldConverterService = _fieldConverterService;
        this._taskEvent = _taskEvent;
        this._taskOperations = _taskOperations;
        this._afterActionFactory = _afterActionFactory;
        this._eventQueue = _eventQueue;
        this._userComparator = _userComparator;
        this._eventService = _eventService;
        this._changedFieldsService = _changedFieldsService;
        this._frontActionService = _frontActionService;
        this._updateSuccess$ = new Subject();
        this._dataReloadSubscription = this._taskContentService.taskDataReloadRequest$.subscribe(queuedFrontendAction => {
            this.initializeTaskDataFields(new AfterAction(), true);
        });
    }
    ngOnDestroy() {
        this._updateSuccess$.complete();
        this._dataReloadSubscription.unsubscribe();
        if (this.isTaskPresent() && this._safeTask.dataGroups) {
            this._safeTask.dataGroups.forEach(group => {
                if (group && group.fields) {
                    group.fields.forEach(field => field.destroy());
                }
            });
        }
    }
    /**
     * Contains information about the success or failure of backend
     * calls in [updateTaskDataFields]{@link TaskDataService#updateTaskDataFields} method.
     */
    get updateSuccess$() {
        return this._updateSuccess$.asObservable();
    }
    /**
     * Loads the Data Fields of an uninitialized Task from backend
     * and populates the Task managed by {@link TaskContentService} with the appropriate objects.
     *
     * Beware that if the Task has some data already loaded this function does nothing
     * and only passes `true` to the `afterAction` argument.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     *
     * @param afterAction if the request completes successfully emits `true` into the Subject, otherwise `false` will be emitted
     * @param force set to `true` if you need force reload of all task data
     */
    initializeTaskDataFields(afterAction = new AfterAction(), force = false) {
        this._eventQueue.scheduleEvent(new QueuedEvent(() => {
            return this.isTaskPresent();
        }, nextEvent => {
            this.performGetDataRequest(afterAction, force, nextEvent);
        }, nextEvent => {
            afterAction.resolve(false);
            nextEvent.resolve(false);
        }));
    }
    /**
     * Performs a `getData` request on the task currently stored in the `taskContent` service
     * @param afterAction the action that should be performed after the request is processed
     * @param force set to `true` if you need force reload of all task data
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    performGetDataRequest(afterAction, force, nextEvent) {
        if (this._safeTask.dataSize > 0 && !force) {
            this.sendNotification(TaskEvent.GET_DATA, true);
            afterAction.resolve(true);
            this._taskContentService.$shouldCreate.next(this._safeTask.dataGroups);
            nextEvent.resolve(true);
            return;
        }
        if (force) {
            this._safeTask.dataSize = 0;
        }
        const gottenTaskId = this._safeTask.stringId;
        this._taskState.startLoading(gottenTaskId);
        this._taskResourceService.getData(gottenTaskId).pipe(take(1)).subscribe(dataGroups => {
            this.processSuccessfulGetDataRequest(gottenTaskId, dataGroups, afterAction, nextEvent);
        }, error => {
            this.processErroneousGetDataRequest(gottenTaskId, error, afterAction, nextEvent);
        });
    }
    /**
     * Processes a successful outcome of a `getData` request
     * @param gottenTaskId the ID of the task whose data was requested
     * @param dataGroups the returned data groups of the task
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    processSuccessfulGetDataRequest(gottenTaskId, dataGroups, afterAction, nextEvent) {
        if (!this.isTaskRelevant(gottenTaskId)) {
            this._log.debug('current task changed before the get data response could be received, discarding...');
            this._taskState.stopLoading(gottenTaskId);
            afterAction.complete();
            nextEvent.resolve(false);
            return;
        }
        this._taskContentService.referencedTaskAndCaseIds = {};
        this._taskContentService.taskFieldsIndex = {};
        this._safeTask.dataGroups = dataGroups;
        if (dataGroups.length === 0) {
            this._log.info('Task has no data ' + this._safeTask);
            this._safeTask.dataSize = 0;
            this._taskContentService.taskFieldsIndex[this._safeTask.stringId] = {};
        }
        else {
            this._taskContentService.referencedTaskAndCaseIds[this._safeTask.caseId] = [this._safeTask.stringId];
            dataGroups.forEach(group => {
                const dataGroupParentCaseId = group.parentCaseId === undefined ? this._safeTask.caseId : group.parentCaseId;
                const parentTaskId = group.parentTaskId === undefined ? this._safeTask.stringId : group.parentTaskId;
                const parentTransitionId = group.parentTransitionId === undefined ?
                    this._safeTask.transitionId : group.parentTransitionId;
                if (dataGroupParentCaseId !== this._safeTask.caseId) {
                    if (!this._taskContentService.referencedTaskAndCaseIds[dataGroupParentCaseId]) {
                        this._taskContentService.referencedTaskAndCaseIds[dataGroupParentCaseId] = [group.parentTaskId];
                    }
                    else {
                        this._taskContentService.referencedTaskAndCaseIds[dataGroupParentCaseId].push(group.parentTaskId);
                    }
                }
                else if (dataGroupParentCaseId === this._safeTask.caseId
                    && parentTaskId !== this._safeTask.stringId
                    && !this._taskContentService.referencedTaskAndCaseIds[dataGroupParentCaseId].includes(parentTaskId)) {
                    this._taskContentService.referencedTaskAndCaseIds[dataGroupParentCaseId].push(group.parentTaskId);
                }
                if (group.fields.length > 0 && !this._taskContentService.taskFieldsIndex[parentTaskId]) {
                    this._taskContentService.taskFieldsIndex[parentTaskId] = {};
                }
                if (group.fields.length > 0 && !this._taskContentService.taskFieldsIndex[parentTaskId].fields) {
                    this._taskContentService.taskFieldsIndex[parentTaskId].fields = {};
                }
                group.fields.forEach(field => {
                    this._taskContentService.taskFieldsIndex[parentTaskId].transitionId = parentTransitionId;
                    this._taskContentService.taskFieldsIndex[parentTaskId].fields[field.stringId] = field;
                    field.valueChanges().subscribe(() => {
                        if (this.wasFieldUpdated(field)) {
                            if (field instanceof DynamicEnumerationField) {
                                field.loading = true;
                                this.updateTaskDataFields(this._afterActionFactory.create(bool => {
                                    field.loading = false;
                                }));
                            }
                            else {
                                this.updateTaskDataFields();
                            }
                        }
                    });
                    if (field instanceof FileField || field instanceof FileListField) {
                        field.changedFields$.subscribe((change) => {
                            this._changedFieldsService.emitChangedFields(change);
                        });
                    }
                });
                this._safeTask.dataSize === undefined ?
                    this._safeTask.dataSize = group.fields.length :
                    this._safeTask.dataSize += group.fields.length;
            });
        }
        this._taskState.stopLoading(gottenTaskId);
        this.sendNotification(TaskEvent.GET_DATA, true);
        afterAction.resolve(true);
        nextEvent.resolve(true);
        this._taskContentService.$shouldCreate.next(this._safeTask.dataGroups);
        this._taskContentService.$shouldCreateCounter.next(this._taskContentService.$shouldCreateCounter.getValue() + 1);
    }
    /**
     * Processes an erroneous outcome of a `getData` request
     * @param gottenTaskId the ID of the task whose data was requested
     * @param error the returned error
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    processErroneousGetDataRequest(gottenTaskId, error, afterAction, nextEvent) {
        this._taskState.stopLoading(gottenTaskId);
        this._log.debug('getting task data failed', error);
        if (!this.isTaskRelevant(gottenTaskId)) {
            this._log.debug('current task changed before the get data error could be received');
            afterAction.complete();
            nextEvent.resolve(false);
            return;
        }
        if (error instanceof HttpErrorResponse && error.status === 500 && error.error.message && error.error.message.startsWith('Could not find task with id')) {
            this._snackBar.openWarningSnackBar(this._translate.instant('tasks.snackbar.noLongerExists'));
            this._taskOperations.reload();
        }
        else if (error instanceof Error) {
            this._snackBar.openErrorSnackBar(this._translate.instant(error.message));
        }
        else {
            this._snackBar.openErrorSnackBar(`${this._translate.instant('tasks.snackbar.noGroup')}
                        ${this._taskContentService.task.title} ${this._translate.instant('tasks.snackbar.failedToLoad')}`);
        }
        this.sendNotification(TaskEvent.GET_DATA, false);
        afterAction.resolve(false);
        nextEvent.resolve(false);
    }
    /**
     * Collects all changed data fields and notifies the backend of the changes.
     *
     * If the request is successful clears the [changed]{@link DataField#changed} flag on all data fields that were a part of the request
     * and emits a {@link ChangedFields} object into this object's [changedFields$]{@link TaskDataService#changedFields$} stream.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     *
     * @param afterAction if the request completes successfully emits `true` into the Subject, otherwise `false` will be emitted
     */
    updateTaskDataFields(afterAction = new AfterAction()) {
        if (!this.isTaskPresent()) {
            this._log.debug('Task is not present. Update request ignored.');
            afterAction.resolve(false);
            return;
        }
        if (this._safeTask.userId === undefined) {
            this._log.debug('current task is not assigned...');
            afterAction.resolve(false);
            return;
        }
        const setTaskId = this._safeTask.stringId;
        if (this._safeTask.dataSize <= 0) {
            afterAction.resolve(true);
            return;
        }
        const requestContext = this.createUpdateRequestContext();
        this._eventQueue.scheduleEvent(new QueuedEvent(() => this.isSetDataRequestStillValid(requestContext.body), nextEvent => {
            this.performSetDataRequest(setTaskId, requestContext, afterAction, nextEvent);
        }, nextEvent => {
            this.revertSetDataRequest(requestContext);
            nextEvent.resolve(false);
        }));
    }
    /**
     * @ignore
     * Goes over all the data fields in the managed Task and if they are valid and changed adds them to the set data request
     */
    createUpdateRequestContext() {
        const context = {
            body: {},
            previousValues: {}
        };
        this._safeTask.dataGroups.filter(dataGroup => dataGroup.parentTaskId === undefined).forEach(dataGroup => {
            dataGroup.fields.filter(field => this.wasFieldUpdated(field)).forEach(field => {
                context.body[this._task.stringId] = {};
                this.addFieldToSetDataRequestBody(context, this._task.stringId, field);
            });
        });
        this._safeTask.dataGroups.filter(dataGroup => dataGroup.parentTaskId !== undefined).forEach(dataGroup => {
            if (dataGroup.fields.some(field => this.wasFieldUpdated(field))) {
                context.body[dataGroup.parentTaskId] = {};
            }
            else {
                return;
            }
            dataGroup.fields.filter(field => this.wasFieldUpdated(field)).forEach(field => {
                this.addFieldToSetDataRequestBody(context, dataGroup.parentTaskId, field);
            });
        });
        return context;
    }
    addFieldToSetDataRequestBody(context, taskId, field) {
        context.body[taskId][field.stringId] = {
            type: this._fieldConverterService.resolveType(field),
            value: this._fieldConverterService.formatValueForBackend(field, field.value)
        };
        context.previousValues[field.stringId] = field.previousValue;
        field.changed = false;
    }
    isAutocompleteEnumException(field) {
        return (field instanceof EnumerationField) && (field.getComponentType() === 'autocomplete') && !(field.valid || field.value === null);
    }
    /**
     * @param field the checked field
     * @returns whether the field was updated on frontend and thus the backend should be notified
     */
    wasFieldUpdated(field) {
        return field.initialized && field.changed && (field.valid || field.sendInvalidValues) && (!this.isAutocompleteEnumException(field));
    }
    /**
     * Checks whether the request could still be performed by the logged user
     * @param request
     */
    isSetDataRequestStillValid(request) {
        if (!this.isTaskPresent()) {
            return false;
        }
        if (this._safeTask.userId === undefined) {
            return false;
        }
        if (!this._userComparator.compareUsers(this._safeTask.userId)) {
            return false;
        }
        const taskIdsInRequest = Object.keys(request);
        for (const taskId of taskIdsInRequest) {
            if (!Object.keys(this._taskContentService.taskFieldsIndex).includes(taskId)) {
                this._log.error(`Task id ${taskId} is not present in task fields index`);
                return false;
            }
            const fieldIdsOfRequest = Object.keys(request[taskId]);
            for (const fieldId of fieldIdsOfRequest) {
                const field = this._taskContentService.taskFieldsIndex[taskId].fields[fieldId];
                if (field === undefined) {
                    this._log.error(`Unexpected state. Datafield ${fieldId} of task ${taskId} in setData request is not present in the task.`);
                    return false;
                }
                if (!field.behavior.editable) {
                    this._log.debug(`Field ${fieldId}, was meant to be set to
                    ${JSON.stringify(request[taskId][fieldId])}, but is no loner editable.`);
                    return false;
                }
            }
        }
        return true;
    }
    /**
     * Performs a `setData` request on the task currently stored in the `taskContent` service
     * @param setTaskId ID of the task
     * @param context context of the `setData` request
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    performSetDataRequest(setTaskId, context, afterAction, nextEvent) {
        if (Object.keys(context.body).length === 0) {
            this.sendNotification(TaskEvent.SET_DATA, true);
            afterAction.resolve(true);
            nextEvent.resolve(true);
            return;
        }
        this._taskState.startLoading(setTaskId);
        this._taskState.startUpdating(setTaskId);
        this._taskResourceService.setData(this._safeTask.stringId, context.body).pipe(take(1))
            .subscribe((response) => {
            if (!this.isTaskRelevant(setTaskId)) {
                this._log.debug('current task changed before the set data response could be received, discarding...');
                this._taskState.stopLoading(setTaskId);
                this._taskState.stopUpdating(setTaskId);
                afterAction.complete();
                nextEvent.resolve(false);
                return;
            }
            if (response.success) {
                this.processSuccessfulSetDataRequest(setTaskId, response, afterAction, nextEvent, context);
            }
            else if (response.error !== undefined) {
                this.processUnsuccessfulSetDataRequest(setTaskId, response, afterAction, nextEvent, context);
            }
        }, error => {
            this.processErroneousSetDataRequest(setTaskId, error, afterAction, nextEvent, context);
        });
    }
    /**
     * Processes an unsuccessful outcome of a `setData` request
     * @param setTaskId the ID of the task whose data was set
     * @param response the resulting Event outcome of the set data request
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param body hold the data that was sent in request
     */
    processUnsuccessfulSetDataRequest(setTaskId, response, afterAction, nextEvent, context) {
        if (response.error !== '') {
            this._snackBar.openErrorSnackBar(this._translate.instant(response.error));
        }
        else {
            this._snackBar.openErrorSnackBar(this._translate.instant('tasks.snackbar.failedSave'));
        }
        if (response.outcome) {
            const outcome = response.outcome;
            const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(outcome);
            if (Object.keys(changedFieldsMap).length > 0) {
                this._changedFieldsService.emitChangedFields(changedFieldsMap);
            }
        }
        this.revertToPreviousValue(context);
        this.clearWaitingForResponseFlag(context.body);
        this.updateStateInfo(afterAction, false, setTaskId);
        nextEvent.resolve(false);
        this._taskOperations.reload();
    }
    /**
     * Processes a successful outcome of a `setData` request
     * @param setTaskId the ID of the task whose data was set
     * @param response the resulting Event outcome of the set data request
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param context hold the data that was sent in request
     */
    processSuccessfulSetDataRequest(setTaskId, response, afterAction, nextEvent, context) {
        const outcome = response.outcome;
        const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(outcome);
        const frontActions = this._eventService.parseFrontActionsFromOutcomeTree(outcome);
        if (Object.keys(changedFieldsMap).length > 0) {
            this._changedFieldsService.emitChangedFields(changedFieldsMap);
        }
        if (!!frontActions && frontActions.length > 0) {
            this._frontActionService.runAll(frontActions);
        }
        this.clearWaitingForResponseFlag(context.body);
        this._snackBar.openSuccessSnackBar(!!outcome.message ? outcome.message : this._translate.instant('tasks.snackbar.dataSaved'));
        this.updateStateInfo(afterAction, true, setTaskId);
        nextEvent.resolve(true);
    }
    /**
     * Processes an erroneous outcome of a `setData` request
     * @param setTaskId the ID of the task whose data was set
     * @param error the returned error
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param body hold the data that was sent in request
     */
    processErroneousSetDataRequest(setTaskId, error, afterAction, nextEvent, context) {
        this._log.debug('setting task data failed', error);
        if (!this.isTaskRelevant(setTaskId)) {
            this._log.debug('current task changed before the get data error could be received');
            this._taskState.stopLoading(setTaskId);
            this._taskState.stopUpdating(setTaskId);
            afterAction.complete();
            nextEvent.resolve(false);
            return;
        }
        this.revertToPreviousValue(context);
        this.clearWaitingForResponseFlag(context.body);
        this._snackBar.openErrorSnackBar(this._translate.instant('tasks.snackbar.failedSave'));
        this.updateStateInfo(afterAction, false, setTaskId);
        nextEvent.resolve(false);
        this._taskOperations.reload();
    }
    /**
     * Reverts the effects of a failed `setData` request, so that the user sees current values.
     * @param context the context of the failed request
     */
    revertSetDataRequest(context) {
        // this iteration could be improved if we had a map of all the data fields in a task
        const totalCount = Object.keys(context.body).length;
        let foundCount = 0;
        for (const datagroup of this._safeTask.dataGroups) {
            for (const field of datagroup.fields) {
                if (!context.body[field.stringId]) {
                    continue;
                }
                if (this.compareBackendFormattedFieldValues(this._fieldConverterService.formatValueForBackend(field, field.value), context.body[field.stringId].value)) {
                    field.valueWithoutChange(context.previousValues[field.stringId]);
                }
                foundCount++;
                if (foundCount === totalCount) {
                    return;
                }
            }
        }
        this._log.error(`Invalid state. Some data fields of task ${this._safeTask.stringId}, are no longer present in it!`);
    }
    /**
     * Compares the values that are in the backend compatible format as given by the {@link FieldConverterService}
     * and determines whether they are the same value, or not.
     * @param current the current value (can also be called `value1` or `left`)
     * @param old the new value (can also be called `value2` or `right`)
     * @returns `true` if the values are the same and `false` otherwise
     */
    compareBackendFormattedFieldValues(current, old) {
        if (Array.isArray(current)) {
            if (!Array.isArray(old)) {
                throw new Error('Illegal arguments! Cannot compare array value to non-array value');
            }
            if (current.length !== old.length) {
                return false;
            }
            return current.every((value, index) => old[index] === value);
        }
        return current === old;
    }
    /**
     * @ignore
     *
     * stops loading and updating indicators, and emits the `result` value
     * to both the `afterAction` and [_updateSuccess$]{@link TaskDataService#_updateSuccess$} streams.
     *
     * @param afterAction the call chain steam of the update data method
     * @param result result of the update data request
     * @param setTaskId the ID of the {@link Task}, who's state should be updated
     */
    updateStateInfo(afterAction, result, setTaskId) {
        this._taskState.stopLoading(setTaskId);
        this._taskState.stopUpdating(setTaskId);
        if (this._updateSuccess$.observers.length !== 0) {
            this._updateSuccess$.next(result);
        }
        this.sendNotification(TaskEvent.SET_DATA, result);
        afterAction.resolve(result);
    }
    /**
     * Publishes a get/set data notification to the {@link TaskEventService}
     * @param event the event that occurred to the task
     * @param success whether the get/set data operation was successful or not
     */
    sendNotification(event, success) {
        this._taskEvent.publishTaskEvent(createTaskEventNotification(this._safeTask, event, success));
    }
    revertToPreviousValue(context) {
        this._safeTask.dataGroups.forEach(dataGroup => {
            dataGroup.fields.forEach(field => {
                if (field.initialized && field.valid && Object.keys(context.previousValues).includes(field.stringId)) {
                    field.revertToPreviousValue();
                }
            });
        });
    }
    clearWaitingForResponseFlag(body) {
        Object.keys(body).forEach(taskId => {
            Object.keys(body[taskId]).forEach(fieldId => {
                this._taskContentService.taskFieldsIndex[taskId].fields[fieldId].waitingForResponse = false;
            });
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskDataService, deps: [{ token: TaskRequestStateService }, { token: i1$2.TranslateService }, { token: LoggerService }, { token: SnackBarService }, { token: TaskResourceService }, { token: FieldConverterService }, { token: TaskEventService }, { token: NAE_TASK_OPERATIONS }, { token: SelectedCaseService, optional: true }, { token: TaskContentService }, { token: CallChainService }, { token: EventQueueService }, { token: UserComparatorService }, { token: EventService }, { token: ChangedFieldsService }, { token: FrontActionService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskDataService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskDataService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskRequestStateService }, { type: i1$2.TranslateService }, { type: LoggerService }, { type: SnackBarService }, { type: TaskResourceService }, { type: FieldConverterService }, { type: TaskEventService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: SelectedCaseService, decorators: [{
                    type: Optional
                }] }, { type: TaskContentService }, { type: CallChainService }, { type: EventQueueService }, { type: UserComparatorService }, { type: EventService }, { type: ChangedFieldsService }, { type: FrontActionService }] });

class AbstractTaskRefDashboardTileComponent {
    _caseResourceService;
    _processService;
    _logger;
    _taskResourceService;
    _callChainService;
    _parentTaskContentService;
    _taskDataService;
    _taskOperations;
    tile;
    taskRef;
    fc;
    _sub;
    caseCreating = false;
    constructor(_caseResourceService, _processService, _logger, _taskResourceService, _callChainService, _parentTaskContentService, _taskDataService, _taskOperations) {
        this._caseResourceService = _caseResourceService;
        this._processService = _processService;
        this._logger = _logger;
        this._taskResourceService = _taskResourceService;
        this._callChainService = _callChainService;
        this._parentTaskContentService = _parentTaskContentService;
        this._taskDataService = _taskDataService;
        this._taskOperations = _taskOperations;
    }
    ngOnDestroy() {
        if (this._sub !== undefined) {
            this._sub.unsubscribe();
        }
    }
    createNewDashboardTile() {
        if (this.caseCreating) {
            return;
        }
        this.caseCreating = true;
        this._sub = this._processService.getNet(TaskRefDashboardTileConstants.DASHBOARD_TILE_PROCESS_IDENTIFIER).pipe(switchMap(net => this._caseResourceService.createCase({
            netId: net.stringId,
            title: `tile (${this.tile.x}, ${this.tile.y})`
        }))).subscribe(outcome => {
            if (outcome.error) {
                this._logger.error(`Could not create task ref dashboard tile case`, outcome.error);
                return;
            }
            const _case = outcome.outcome.aCase;
            // set tile info
            this.assignSetData(_case.tasks[0].task, {
                [_case.tasks[0].task]: {
                    [TaskRefDashboardTileConstants.DASHBOARD_TILE_X]: {
                        type: FieldTypeResource.NUMBER,
                        value: this.tile.x
                    },
                    [TaskRefDashboardTileConstants.DASHBOARD_TILE_Y]: {
                        type: FieldTypeResource.NUMBER,
                        value: this.tile.y
                    },
                    [TaskRefDashboardTileConstants.DASHBOARD_TILE_ROWS]: {
                        type: FieldTypeResource.NUMBER,
                        value: this.tile.rows
                    },
                    [TaskRefDashboardTileConstants.DASHBOARD_TILE_COLS]: {
                        type: FieldTypeResource.NUMBER,
                        value: this.tile.cols
                    },
                    [TaskRefDashboardTileConstants.DASHBOARD_TILE_PARENT_ID]: {
                        type: FieldTypeResource.TEXT,
                        value: this._parentTaskContentService.task.caseId
                    }
                }
            }, this._callChainService.create(success => {
                if (!success) {
                    return;
                }
                // reference new tile in task ref
                this._taskResourceService.setData(this._parentTaskContentService.task.stringId, {
                    [this._parentTaskContentService.task.stringId]: {
                        [TaskRefDashboardConstants.DASHBOARD_TASK_REF]: {
                            type: FieldTypeResource.TASK_REF,
                            value: [...this.taskRef.value, _case.tasks[0].task]
                        }
                    }
                }).subscribe(outcome => {
                    if (outcome.error) {
                        this._logger.error(`Could not reference created task ref dashboard tile in the task ref`, outcome.error);
                        return;
                    }
                    this._taskDataService.initializeTaskDataFields(new AfterAction(), true);
                }, error => {
                    this._logger.error(`Could not reference created task ref dashboard tile in the task ref`, error);
                });
            }));
        }, error => {
            this._logger.error(`Could not create task ref dashboard tile case`, error);
        });
    }
    // TODO copy of a similar method found in UserFilterService
    assignSetData(taskId, data, callChain) {
        this._taskResourceService.assignTask(taskId).subscribe(assignOutcome => {
            if (assignOutcome.error) {
                this._logger.error(`Could not assign task '${taskId}'`, assignOutcome.error);
                callChain.next(false);
                return;
            }
            this._taskResourceService.setData(taskId, data).subscribe(setDataOutcome => {
                if (setDataOutcome.error) {
                    this._logger.error(`Could not set data of task '${taskId}'`, data, setDataOutcome.error);
                    callChain.next(false);
                    return;
                }
                callChain.next(true);
            }, error => {
                this._logger.error(`Could not set data of task '${taskId}'`, data, error);
                callChain.next(false);
            });
        }, error => {
            this._logger.error(`Could not assign task '${taskId}'`, error);
            callChain.next(false);
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefDashboardTileComponent, deps: [{ token: CaseResourceService }, { token: ProcessService }, { token: LoggerService }, { token: TaskResourceService }, { token: CallChainService }, { token: TaskContentService }, { token: TaskDataService }, { token: NAE_TASK_OPERATIONS }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskRefDashboardTileComponent, selector: "ncc-abstract-task-ref-dashboard-tile", inputs: { tile: "tile", taskRef: "taskRef", fc: "fc" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefDashboardTileComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-ref-dashboard-tile',
                    template: '',
                }]
        }], ctorParameters: () => [{ type: CaseResourceService }, { type: ProcessService }, { type: LoggerService }, { type: TaskResourceService }, { type: CallChainService }, { type: TaskContentService }, { type: TaskDataService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }], propDecorators: { tile: [{
                type: Input
            }], taskRef: [{
                type: Input
            }], fc: [{
                type: Input
            }] } });

class AbstractTaskRefDashboardFieldComponent extends AbstractBaseDataFieldComponent {
    _logger;
    dashboardTiles;
    constructor(_logger, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._logger = _logger;
    }
    ngOnInit() {
        this.createDashboardTiles();
    }
    createDashboardTiles() {
        const gridRows = this.dataField.dashboardRows;
        if (gridRows === undefined) {
            this._logger.error(`TaskRef Dashboard '${this.dataField.stringId}' does not specify grid height! Add a number field with id '${TaskRefDashboardConstants.DASHBOARD_ROWS}' to the same task as the task ref field, to specify the height.`);
        }
        const gridCols = this.dataField.dashboardCols;
        if (gridCols === undefined) {
            this._logger.error(`TaskRef Dashboard '${this.dataField.stringId}' does not specify grid width! Add a number field with id '${TaskRefDashboardConstants.DASHBOARD_COLS}' to the same task as the task ref field, to specify the width.`);
        }
        const occupiedTiles = this.createFlagGrid(gridRows, gridCols);
        this.dashboardTiles = [];
        if (this.dataField.dashboardTiles && this.dataField.dashboardTiles.length > 0) {
            for (const extractedTile of this.dataField.dashboardTiles) {
                const tile = this.createDashboardTile(extractedTile);
                this.dashboardTiles.push(tile);
                this.occupySpace(occupiedTiles, tile.y, tile.x, tile.cols, tile.rows);
            }
        }
        for (let y = 0; y < occupiedTiles.length; y++) {
            for (let x = 0; x < occupiedTiles[y].length; x++) {
                if (!occupiedTiles[y][x]) {
                    this.dashboardTiles.push(this.createEmptyDashboardTile(x, y));
                }
            }
        }
    }
    createFlagGrid(rows = 1, cols = 1) {
        const result = [];
        for (let r = 0; r < rows; r++) {
            result.push(Array(cols).fill(false));
        }
        return result;
    }
    createDashboardTile(tile) {
        const result = {
            dataGroups: tile.dataGroups
        };
        for (const dg of tile.dataGroups) {
            for (const field of dg.fields) {
                switch (field.stringId) {
                    case TaskRefDashboardTileConstants.DASHBOARD_TILE_X:
                        result.x = field.value;
                        break;
                    case TaskRefDashboardTileConstants.DASHBOARD_TILE_Y:
                        result.y = field.value;
                        break;
                    case TaskRefDashboardTileConstants.DASHBOARD_TILE_ROWS:
                        result.rows = field.value;
                        break;
                    case TaskRefDashboardTileConstants.DASHBOARD_TILE_COLS:
                        result.cols = field.value;
                        break;
                }
            }
        }
        if (result.x === undefined) {
            if (tile.dataGroups.length > 0) {
                this._logger.error(`Task ref dashboard tile from task '${tile.dataGroups[0].parentTaskId}' transition '${tile.dataGroups[0].parentTransitionId}' case '${tile.dataGroups[0].parentCaseId}' does not specify tile grid X coordinate! Add a number field with ID '${TaskRefDashboardTileConstants.DASHBOARD_TILE_X}' to the referenced task to specify it.`);
            }
            result.x = 0;
        }
        if (result.y === undefined) {
            if (tile.dataGroups.length > 0) {
                this._logger.error(`Task ref dashboard tile from task '${tile.dataGroups[0].parentTaskId}' transition '${tile.dataGroups[0].parentTransitionId}' case '${tile.dataGroups[0].parentCaseId}' does not specify tile grid Y coordinate! Add a number field with ID '${TaskRefDashboardTileConstants.DASHBOARD_TILE_Y}' to the referenced task to specify it.`);
            }
            result.y = 0;
        }
        if (result.rows === undefined) {
            if (tile.dataGroups.length > 0) {
                this._logger.error(`Task ref dashboard tile from task '${tile.dataGroups[0].parentTaskId}' transition '${tile.dataGroups[0].parentTransitionId}' case '${tile.dataGroups[0].parentCaseId}' does not specify tile height coordinate! Add a number field with ID '${TaskRefDashboardTileConstants.DASHBOARD_TILE_ROWS}' to the referenced task to specify it.`);
            }
            result.rows = 1;
        }
        if (result.cols === undefined) {
            if (tile.dataGroups.length > 0) {
                this._logger.error(`Task ref dashboard tile from task '${tile.dataGroups[0].parentTaskId}' transition '${tile.dataGroups[0].parentTransitionId}' case '${tile.dataGroups[0].parentCaseId}' does not specify tile width coordinate! Add a number field with ID '${TaskRefDashboardTileConstants.DASHBOARD_TILE_COLS}' to the referenced task to specify it.`);
            }
            result.cols = 1;
        }
        return result;
    }
    // TODO a modified copy of a method of the same name from AbstractTaskContentComponent
    occupySpace(grid, y, x, width, height) {
        for (let j = y; j < y + height; j++) {
            for (let i = x; i < x + width; i++) {
                grid[j][i] = true;
            }
        }
    }
    createEmptyDashboardTile(x, y) {
        return {
            dataGroups: [],
            x,
            y,
            rows: 1,
            cols: 1,
            isEmpty: true
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefDashboardFieldComponent, deps: [{ token: LoggerService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskRefDashboardFieldComponent, selector: "ncc-abstract-task-ref-dashboard", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefDashboardFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-ref-dashboard',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractTaskRefListFieldComponent extends AbstractBaseDataFieldComponent {
    injector;
    taskViewType;
    componentPortal;
    constructor(injector, taskViewType, dataFieldPortalData) {
        super(dataFieldPortalData);
        this.injector = injector;
        this.taskViewType = taskViewType;
    }
    ngAfterViewInit() {
        this.createFilter();
        this.dataField.valueChanges().subscribe(() => {
            this.createFilter();
        });
    }
    createFilter() {
        const portalInjector = Injector.create({
            providers: [
                {
                    provide: NAE_BASE_FILTER,
                    useValue: { filter: SimpleFilter.fromTaskQuery({ stringId: this.dataField.value }) }
                },
                {
                    provide: NAE_VIEW_ID_SEGMENT,
                    useValue: this.dataField.parentCaseId + '_' + this.dataField.parentTaskId + '_' + this.dataField.stringId
                },
                { provide: ViewIdService, useClass: ViewIdService }
            ],
            parent: this.injector
        });
        this.componentPortal = new ComponentPortal(this.taskViewType, null, portalInjector);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefListFieldComponent, deps: [{ token: i0.Injector }, { token: i0.Type }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskRefListFieldComponent, selector: "ncc-abstract-task-ref-list-field", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskRefListFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-ref-list-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i0.Type }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractCaseRefDefaultComponent extends AbstractCaseRefBaseFieldComponent {
    injector;
    caseViewType;
    _sub;
    _subComp;
    constructor(injector, caseViewType, dataFieldPortalData) {
        super(injector, caseViewType, dataFieldPortalData);
        this.injector = injector;
        this.caseViewType = caseViewType;
    }
    ngAfterViewInit() {
        this.callCreateFilter();
        this._sub = this.dataField.valueChanges().subscribe(() => {
            this.callCreateFilter();
        });
        this._subComp = this.dataField.componentChange$().subscribe(() => {
            this.callCreateFilter();
        });
    }
    callCreateFilter() {
        this.createFilter(this.dataField.value.length > 0 ? this.dataField.value : '');
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._sub.unsubscribe();
        this._subComp.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseRefDefaultComponent, deps: [{ token: i0.Injector }, { token: i0.Type }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCaseRefDefaultComponent, selector: "ncc-abstract-case-ref-default", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseRefDefaultComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-case-ref-default',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i0.Type }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }] });

class AbstractStringCollectionDefaultFieldComponent extends AbstractBaseDataFieldComponent {
    _translate;
    input;
    separatorKeysCodes = [ENTER];
    subComp;
    constructor(_translate, dataFieldPortalData) {
        super(dataFieldPortalData);
        this._translate = _translate;
    }
    ngOnInit() {
        this.checkProperties();
        this.subComp = this.dataField.componentChange$().subscribe(() => {
            this.checkProperties();
        });
    }
    checkProperties() {
        this.checkPropertyForSeparator(this.dataField?.component?.properties?.semicolon === 'true', SEMICOLON);
        this.checkPropertyForSeparator(this.dataField?.component?.properties?.comma === 'true', COMMA);
    }
    checkPropertyForSeparator(propertyBoolean, separator) {
        if (propertyBoolean && !this.separatorKeysCodes.includes(separator)) {
            this.separatorKeysCodes.push(separator);
        }
        else if (this.separatorKeysCodes.includes(separator)) {
            this.separatorKeysCodes = this.separatorKeysCodes.filter(value => value !== separator);
        }
    }
    remove(value) {
        const index = this.dataField.value.indexOf(value);
        if (index >= 0) {
            const choiceArray = [...this.dataField.value];
            choiceArray.splice(index, 1);
            this.dataField.value = choiceArray;
        }
    }
    add(event) {
        const value = event['value'] ?? (event['target']?.['value'] ?? '');
        if (value?.trim()) {
            this.dataField.value = (this.dataField.value === null || this.dataField.value === undefined) ? [] : this.dataField.value;
            const choiceArray = [...this.dataField.value];
            choiceArray.push(value);
            this.dataField.value = choiceArray;
            this.input.nativeElement.value = '';
        }
        else {
            this.input.nativeElement.value = '';
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractStringCollectionDefaultFieldComponent, deps: [{ token: i1$2.TranslateService }, { token: DATA_FIELD_PORTAL_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractStringCollectionDefaultFieldComponent, selector: "ncc-abstract-string-collection-default-field", viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractStringCollectionDefaultFieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-string-collection-default-field',
                    template: '',
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_FIELD_PORTAL_DATA]
                }] }], propDecorators: { input: [{
                type: ViewChild,
                args: ['input']
            }] } });

var IconType;
(function (IconType) {
    IconType["MATERIAL"] = "material";
    IconType["SVG"] = "svg";
})(IconType || (IconType = {}));

const BOOLEAN_VALUE_LABEL_ENABLED = new InjectionToken('BooleanValueLabelEnabledToken');

/**
 * Appearance of rendered material form field.
 *
 * See [Material documentation]{@link https://material.angular.io/components/form-field/overview#form-field-appearance-variants}
 * for more information.
 */
var MaterialAppearance;
(function (MaterialAppearance) {
    MaterialAppearance["LEGACY"] = "legacy";
    MaterialAppearance["STANDARD"] = "standard";
    MaterialAppearance["FILL"] = "fill";
    MaterialAppearance["OUTLINE"] = "outline";
})(MaterialAppearance || (MaterialAppearance = {}));

/**
 * A collection of Task ref field component names supported by the application engine.
 */
var TaskRefComponents;
(function (TaskRefComponents) {
    TaskRefComponents["DASHBOARD"] = "dashboard";
})(TaskRefComponents || (TaskRefComponents = {}));

/* CLASSES */

class RedirectService {
    _router;
    _log;
    _config;
    _route;
    static LOGIN_COMPONENT = 'login';
    _lastIntendedRoute;
    lastQueryParams;
    constructor(_router, _log, _config, _route) {
        this._router = _router;
        this._log = _log;
        this._config = _config;
        this._route = _route;
        this._route.queryParams.subscribe(params => this.lastQueryParams = params);
    }
    get lastUrl() {
        return this._lastIntendedRoute.url;
    }
    set intendedRoute(route) {
        this._lastIntendedRoute = route;
    }
    get queryParams() {
        return this.lastQueryParams;
    }
    redirect(path) {
        if (!!path) {
            this._router.navigateByUrl(path).then(log => {
                this._log.info('Router navigate to path ' + path + ' : ' + log);
            });
        }
        else if (this._lastIntendedRoute && this._lastIntendedRoute._routerState
            && this._lastIntendedRoute._routerState.url) {
            this._router.navigateByUrl(this._lastIntendedRoute._routerState.url).then(log => {
                this._log.info('Router navigate to last path : ' + log);
            });
        }
    }
    redirectFromUrl() {
        this.lastQueryParams = this._route.snapshot.queryParams;
        this._router.navigate([this.parseRedirectPath(this._router.url)], { queryParams: this.lastQueryParams });
    }
    resolveLoginPath() {
        const config = this._config.get();
        if (this._config.getToLoginPath()) {
            return this._config.getToLoginPath();
        }
        const route = this.resolveLoginPathFromViewConfiguration(config.views, RedirectService.LOGIN_COMPONENT);
        if (route !== null) {
            return route;
        }
        throw new Error('No login view found in application. Authentication guard can\'t redirect. Add a view with'
            + ' layout.name="login" to your application, or set the desired redirect path in \'services.auth.toLoginRedirect\'');
    }
    resolveLoginPathFromViewConfiguration(views, searchedLayout) {
        if (!views || Object.keys(views).length === 0) {
            return null;
        }
        const route = Object.keys(views).find(routeKey => {
            const layout = views[routeKey].layout;
            return !!layout && layout.name === searchedLayout;
        });
        if (route) {
            return (views[route].routing && views[route].routing.path) ? views[route].routing.path : null;
        }
        for (const routeKey of Object.keys(views)) {
            const resolved = this.resolveLoginPathFromViewConfiguration(views[routeKey].children, searchedLayout);
            if (resolved && views[routeKey].routing && views[routeKey].routing.path) {
                return views[routeKey].routing.path + '/' + resolved;
            }
        }
        return null;
    }
    parseRedirectPath(url) {
        let path;
        if (url.includes('?')) {
            path = url.slice(0, url.indexOf('?'));
        }
        else {
            path = url;
        }
        return path.replace('/redirect', '');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RedirectService, deps: [{ token: i3$1.Router }, { token: LoggerService }, { token: ConfigurationService }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RedirectService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RedirectService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i3$1.Router }, { type: LoggerService }, { type: ConfigurationService }, { type: i3$1.ActivatedRoute }] });

class AuthenticationInterceptor {
    _session;
    _redirect;
    _anonymousService;
    idleTimerService;
    constructor(_session, _redirect, _anonymousService, idleTimerService) {
        this._session = _session;
        this._redirect = _redirect;
        this._anonymousService = _anonymousService;
        this.idleTimerService = idleTimerService;
    }
    intercept(req, next) {
        if (!this._session) {
            return next.handle(req);
        }
        if (this._session && !!this._session.sessionToken) {
            req = req.clone({
                headers: req.headers.set(this._session.sessionHeader, this._session.sessionToken)
            });
            this.idleTimerService.resetTimer();
        }
        return next.handle(req).pipe(tap(event => {
            if (event instanceof HttpResponse) {
                if (event.headers.has(this._session.sessionHeader) && !event.headers.has(this._anonymousService.jwtHeader)) {
                    this._session.setVerifiedToken(event.headers.get(this._session.sessionHeader));
                }
            }
        }), catchError(errorEvent => {
            if (errorEvent instanceof HttpErrorResponse && errorEvent.status === 401) {
                console.debug('Authentication token is invalid. Clearing session token');
                this._session.clear();
                this._redirect.redirect(this._redirect.resolveLoginPath());
            }
            return throwError(errorEvent);
        }));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationInterceptor, deps: [{ token: SessionService }, { token: RedirectService }, { token: AnonymousService }, { token: SessionIdleTimerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationInterceptor });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationInterceptor, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: SessionService }, { type: RedirectService }, { type: AnonymousService }, { type: SessionIdleTimerService }] });

class NullAuthenticationService extends AuthenticationMethodService {
    constructor() {
        super();
    }
    login(credentials) {
        return of(null);
    }
    logout() {
        return of({});
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NullAuthenticationService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NullAuthenticationService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NullAuthenticationService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

class BasicAuthenticationService extends AuthenticationMethodService {
    _http;
    _config;
    constructor(_http, _config) {
        super();
        this._http = _http;
        this._config = _config;
    }
    login(credentials = { username: '', password: '' }) {
        const url = this._config.get().providers.auth.address + this._config.get().providers.auth.endpoints['login'];
        if (!url) {
            return throwError(new Error('Login URL is not defined in the config [nae.providers.auth.endpoints.login]'));
        }
        if (!credentials.username || !credentials.password) {
            return throwError(new Error('User\'s credentials are not defined!'));
        }
        credentials.username = credentials.username.trim();
        credentials.password = credentials.password.trim();
        if (credentials.username === '' || credentials.password === '') {
            return throwError(new Error('User\'s credentials are empty!'));
        }
        return this._http.get(url, {
            headers: new HttpHeaders().set('Authorization', 'Basic ' +
                encodeBase64(`${credentials.username}:${credentials.password}`))
        });
    }
    logout() {
        const url = this._config.get().providers.auth.address + this._config.get().providers.auth.endpoints['logout'];
        if (!url) {
            return throwError(new Error('Logout URL is not defined in the config [nae.providers.auth.endpoints.logout]'));
        }
        return this._http.post(url, {});
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicAuthenticationService, deps: [{ token: i1.HttpClient }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicAuthenticationService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicAuthenticationService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1.HttpClient }, { type: ConfigurationService }] });

class BasicWithRealmAuthenticationService extends AuthenticationMethodService {
    _http;
    _config;
    constructor(_http, _config) {
        super();
        this._http = _http;
        this._config = _config;
    }
    login(credentials = { username: '', password: '' }) {
        const url = this._config.get().providers.auth.address + this._config.get().providers.auth.endpoints['login'];
        if (!url) {
            return throwError(new Error('Login URL is not defined in the config [nae.providers.auth.endpoints.login]'));
        }
        if (!credentials.username || !credentials.password) {
            return throwError(new Error('User\'s credentials are not defined!'));
        }
        credentials.username = credentials.username.trim();
        credentials.password = credentials.password.trim();
        if (credentials.username === '' || credentials.password === '') {
            return throwError(new Error('User\'s credentials are empty!'));
        }
        return this._http.post(url, credentials);
    }
    logout() {
        const url = this._config.get().providers.auth.address + this._config.get().providers.auth.endpoints['logout'];
        if (!url) {
            return throwError(new Error('Logout URL is not defined in the config [nae.providers.auth.endpoints.logout]'));
        }
        return this._http.post(url, {});
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicWithRealmAuthenticationService, deps: [{ token: i1.HttpClient }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicWithRealmAuthenticationService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BasicWithRealmAuthenticationService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1.HttpClient }, { type: ConfigurationService }] });

function authenticationServiceFactory(config, http) {
    const auth = config.get().providers.auth;
    if (!auth || !auth.authentication) {
        return new NullAuthenticationService();
    }
    const authType = auth.authentication.toLowerCase();
    if (authType === 'basic') {
        return new BasicAuthenticationService(http, config);
    }
    else if (authType === 'basicwithrealm') {
        return new BasicWithRealmAuthenticationService(http, config);
    }
    else {
        return new NullAuthenticationService();
    }
}

class AnonymousAuthenticationInterceptor {
    _anonymousService;
    constructor(_anonymousService) {
        this._anonymousService = _anonymousService;
    }
    intercept(req, next) {
        const jwtAuthToken = this._anonymousService.getToken();
        if (!this._anonymousService) {
            next.handle(req);
        }
        if (!!jwtAuthToken) {
            req = req.clone({
                headers: req.headers.set(this._anonymousService.jwtHeader, jwtAuthToken)
            });
        }
        return next.handle(req).pipe(tap(event => {
            if (event instanceof HttpResponse) {
                if (event.headers.has(this._anonymousService.jwtHeader)) {
                    this._anonymousService.setToken(event.headers.get(this._anonymousService.jwtHeader));
                }
            }
        }), catchError(errorEvent => {
            if (errorEvent instanceof HttpErrorResponse && errorEvent.status === 401) {
                console.debug('Authentication token is invalid. Clearing session token');
                this._anonymousService.removeToken();
            }
            return throwError(errorEvent);
        }));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousAuthenticationInterceptor, deps: [{ token: AnonymousService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousAuthenticationInterceptor });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AnonymousAuthenticationInterceptor, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: AnonymousService }] });

class AuthenticationModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationModule, imports: [CommonModule,
            HttpClientModule,
            MatProgressSpinnerModule,
            OverlayModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationModule, providers: [
            { provide: HTTP_INTERCEPTORS, useClass: AuthenticationInterceptor, multi: true },
            { provide: HTTP_INTERCEPTORS, useClass: AnonymousAuthenticationInterceptor, multi: true },
            { provide: AuthenticationMethodService, useFactory: authenticationServiceFactory, deps: [ConfigurationService, HttpClient] },
            // AuthenticationEffects
        ], imports: [CommonModule,
            HttpClientModule,
            MatProgressSpinnerModule,
            OverlayModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule,
                        HttpClientModule,
                        MatProgressSpinnerModule,
                        OverlayModule,
                        // StoreModule.forFeature(AUTHENTICATION_FEATURE_KEY, reducer),
                        // EffectsModule.forFeature([AuthenticationEffects]),
                        // StoreDevtoolsModule.instrument({ maxAge: 25, logOnly: true }),
                    ],
                    providers: [
                        { provide: HTTP_INTERCEPTORS, useClass: AuthenticationInterceptor, multi: true },
                        { provide: HTTP_INTERCEPTORS, useClass: AnonymousAuthenticationInterceptor, multi: true },
                        { provide: AuthenticationMethodService, useFactory: authenticationServiceFactory, deps: [ConfigurationService, HttpClient] },
                        // AuthenticationEffects
                    ]
                }]
        }] });

class AuthenticationGuardService {
    _session;
    _redirectService;
    _router;
    _loginUrl;
    constructor(_session, _redirectService, _router) {
        this._session = _session;
        this._redirectService = _redirectService;
        this._router = _router;
        this._loginUrl = this._redirectService.resolveLoginPath();
    }
    canActivate(route, state) {
        this._redirectService.intendedRoute = route;
        return this._session.sessionToken && this._session.verified ? true : this._router.parseUrl(this._loginUrl);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationGuardService, deps: [{ token: SessionService }, { token: RedirectService }, { token: i3$1.Router }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationGuardService, providedIn: AuthenticationModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthenticationGuardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: AuthenticationModule
                }]
        }], ctorParameters: () => [{ type: SessionService }, { type: RedirectService }, { type: i3$1.Router }] });

/* SERVICES */

class ProfileModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: ProfileModule, imports: [CommonModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ]
                }]
        }] });

class ProfileService {
    _config;
    _http;
    _log;
    _changePassword;
    constructor(_config, _http, _log) {
        this._config = _config;
        this._http = _http;
        this._log = _log;
        this._changePassword = _config.resolveProvidersEndpoint('changePassword');
    }
    changePassword(changePasswordRequest) {
        if (!this._changePassword) {
            throw new Error('Verify URL is not set in authentication provider endpoints!');
        }
        return this._http.post(this._changePassword, changePasswordRequest).pipe(switchMap(processMessageResponse));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileService, deps: [{ token: ConfigurationService }, { token: i1.HttpClient }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ProfileService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: i1.HttpClient }, { type: LoggerService }] });

/* MODULES */

/* SERVICES */

class SignUpModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: SignUpModule, imports: [CommonModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ]
                }]
        }] });

class SignUpService {
    _config;
    _http;
    _log;
    _signUpUrl;
    _verifyUrl;
    _inviteUrl;
    _resetUrl;
    _recoverUrl;
    constructor(_config, _http, _log) {
        this._config = _config;
        this._http = _http;
        this._log = _log;
        const authAddress = _config.get().providers.auth.address;
        if (!authAddress) {
            throw new Error('Authentication provider address is not set!');
        }
        this._signUpUrl = this.resolveEndpoint('signup', authAddress);
        this._verifyUrl = this.resolveEndpoint('verify', authAddress);
        this._inviteUrl = this.resolveEndpoint('invite', authAddress);
        this._resetUrl = this.resolveEndpoint('reset', authAddress);
        this._recoverUrl = this.resolveEndpoint('recover', authAddress);
    }
    signup(newUser) {
        if (!this._signUpUrl) {
            throw new Error('SingUp URL is not set in authentication provider endpoints!');
        }
        newUser.password = btoa(newUser.password);
        return this._http.post(this._signUpUrl, newUser).pipe(switchMap(processMessageResponse));
    }
    invite(invitation) {
        if (!this._inviteUrl) {
            throw new Error('Invite URL is not set in authentication provider endpoints!');
        }
        if (!invitation.groups) {
            invitation.groups = [];
        }
        if (!invitation.processRoles) {
            invitation.processRoles = [];
        }
        return this._http.post(this._inviteUrl, invitation).pipe(switchMap(processMessageResponse));
    }
    resetPassword(email) {
        if (!this._resetUrl) {
            throw new Error('Reset URL is not set in authentication provider endpoints!');
        }
        return this._http.post(this._resetUrl, email).pipe(switchMap(processMessageResponse));
    }
    recoverPassword(token, password) {
        if (!this._recoverUrl) {
            throw new Error('Recover URL is not set in authentication provider endpoints!');
        }
        const request = {
            token,
            password: btoa(password),
            email: '',
            name: '',
            surname: ''
        };
        return this._http.post(this._recoverUrl, request).pipe(switchMap(processMessageResponse));
    }
    verify(token) {
        if (!this._verifyUrl) {
            throw new Error('Verify URL is not set in authentication provider endpoints!');
        }
        return this._http.post(this._verifyUrl, token).pipe(switchMap(processMessageResponse));
    }
    /**
     * @param endpointKey the attribute name of the endpoint address in `nae.json`
     * @param baseUrl the base of the endpoint URL. Content resolved by key from `nae.json` is appended to the URL provided by this argument
     * @returns the endpoint address or `undefined` if such endpoint is not defined in `nae.json`
     */
    resolveEndpoint(endpointKey, baseUrl) {
        const config = this._config.get();
        if (!config
            || !config.providers
            || !config.providers.auth
            || !config.providers.auth.endpoints
            || !config.providers.auth.endpoints[endpointKey]) {
            return undefined;
        }
        return baseUrl + config.providers.auth.endpoints[endpointKey];
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpService, deps: [{ token: ConfigurationService }, { token: i1.HttpClient }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpService, providedIn: SignUpModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SignUpService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: SignUpModule
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: i1.HttpClient }, { type: LoggerService }] });

/* MODULES */

class SpinnerOverlayService {
    overlay;
    _spinner;
    spin$;
    constructor(overlay) {
        this.overlay = overlay;
        this.spin$ = new Subject();
        this._spinner = this._createSpinner();
        this.spin$.pipe(map(v => v ? 1 : -1), scan((acc, curr) => (acc + curr) >= 0 ? (acc + curr) : 0, 0)).subscribe(result => result === 1 ? this._show() : (this._spinner.hasAttached() ? this._hide() : null));
    }
    ngOnDestroy() {
        this.spin$.complete();
    }
    _createSpinner() {
        return this.overlay.create({
            hasBackdrop: true,
            // backdropClass: 'dark-backdrop',
            positionStrategy: this.overlay.position()
                .global()
                .centerHorizontally()
                .centerVertically()
        });
    }
    _show() {
        this._spinner.attach(new ComponentPortal(MatSpinner));
    }
    _hide() {
        this._spinner.detach();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SpinnerOverlayService, deps: [{ token: i1$6.Overlay }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SpinnerOverlayService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SpinnerOverlayService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$6.Overlay }] });

class AbstractAuthenticationOverlayComponent {
    _session;
    _spinnerOverlay;
    router;
    redirectService;
    userService;
    subSession;
    user;
    subInitializing;
    constructor(_session, _spinnerOverlay, router, redirectService, userService) {
        this._session = _session;
        this._spinnerOverlay = _spinnerOverlay;
        this.router = router;
        this.redirectService = redirectService;
        this.userService = userService;
    }
    ngOnInit() {
        if (this._session.verified) {
            this.redirectService.redirect();
        }
        else if (!this._session.verified && this._session.isVerifying) {
            this._spinnerOverlay.spin$.next(true);
            this.subSession = this._session.verifying.subscribe(active => {
                this.userService.user$.subscribe(user => {
                    if (!!user && !!user.id && user.id.length > 0) {
                        this.redirect(!active);
                    }
                    else if (!active) {
                        this._spinnerOverlay.spin$.next(false);
                    }
                });
            });
        }
        else if (!this._session.verified && !this._session.isInitialized) {
            this._spinnerOverlay.spin$.next(true);
            this.subInitializing = this._session.initializing.subscribe(initialized => {
                this.redirect(initialized);
            });
        }
    }
    redirect(bool) {
        if (bool) {
            this._spinnerOverlay.spin$.next(false);
            if (this._session.verified) {
                this.redirectService.redirect();
            }
        }
    }
    ngOnDestroy() {
        if (this.subSession) {
            this.subSession.unsubscribe();
        }
        if (this.subInitializing) {
            this.subInitializing.unsubscribe();
        }
        if (this.user) {
            this.user.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAuthenticationOverlayComponent, deps: [{ token: SessionService }, { token: SpinnerOverlayService }, { token: i3$1.Router }, { token: RedirectService }, { token: UserService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractAuthenticationOverlayComponent, selector: "ncc-abstract-auth-overlay", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAuthenticationOverlayComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-auth-overlay',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SessionService }, { type: SpinnerOverlayService }, { type: i3$1.Router }, { type: RedirectService }, { type: UserService }] });

class AbstractSessionIdleComponent {
    sessionTimer;
    _user;
    _log;
    _config;
    _router;
    alertAtSeconds = 30;
    sessionTimerSubscription;
    _enableIdle;
    constructor(sessionTimer, _user, _log, _config, _router) {
        this.sessionTimer = sessionTimer;
        this._user = _user;
        this._log = _log;
        this._config = _config;
        this._router = _router;
        this._enableIdle = this._config.getConfigurationSubtreeByPath('providers.auth.sessionTimeoutEnabled') ?? false;
    }
    ngOnInit() {
        if (!this.sessionTimerSubscription && this._enableIdle) {
            this.trackSessionTime();
        }
    }
    trackSessionTime() {
        this.sessionTimer.startTimer();
        this.sessionTimerSubscription = this.sessionTimer.remainSeconds$.subscribe((t) => {
            if (t === this.alertAtSeconds) {
                this.alert();
            }
            if (t === 0) {
                this.close();
                this.logout();
            }
        });
    }
    continue() {
        this.sessionTimer.resetTimer();
        this._user.reload();
    }
    logout() {
        this.cleanUp();
        this._user.logout().subscribe(() => {
            this._log.debug('User is logged out');
            if (this._config.getConfigurationSubtreeByPath('services.auth.logoutRedirect')) {
                const redirectPath = this._config.getConfigurationSubtreeByPath('services.auth.logoutRedirect');
                this._router.navigate([redirectPath]);
            }
        });
    }
    cleanUp() {
        this.sessionTimer.stopTimer();
    }
    ngOnDestroy() {
        this.cleanUp();
        if (this.sessionTimerSubscription) {
            this.sessionTimerSubscription.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSessionIdleComponent, deps: [{ token: SessionIdleTimerService }, { token: UserService }, { token: LoggerService }, { token: ConfigurationService }, { token: i3$1.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSessionIdleComponent, selector: "ncc-abstract-session-idle", inputs: { alertAtSeconds: "alertAtSeconds" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSessionIdleComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-session-idle',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SessionIdleTimerService }, { type: UserService }, { type: LoggerService }, { type: ConfigurationService }, { type: i3$1.Router }], propDecorators: { alertAtSeconds: [{
                type: Input
            }] } });

/* APIS */

// USER MODELS

/**
 * Performs paged loading users from backend for [UserAssignComponent]{@link AbstractUserAssignComponent}.
 */
class UserListService {
    _resources;
    _log;
    _snackbar;
    _translate;
    /**
     * UserValue array stream, that represents users loading from backend.
     */
    _users$;
    /**
     * Emit users loading status from backend.
     */
    _loading$;
    /**
     * Number stream of next page users list, that to be requested from backend.
     */
    _nextPage$;
    /**
     * Signals the end of loaded users.
     */
    _endOfData;
    /**
     * Necessary for pagination parameters in user assign loading from backend.
     */
    _pagination;
    /**
     * Signals if response is empty or no.
     */
    _clear;
    /**
     * The search content that should be applied to the request
     */
    _searchQuery;
    /**
     * Roles that should be applied to the request
     */
    rolesQuery;
    /**
     * negative Roles that should be applied to the request
     */
    negativeRolesQuery;
    _updateProgress$;
    _usersReload$;
    /**
     * Inject services.
     * Initialize declared attributes.
     *
     * Loading and mapped stream of users.
     * @param _resources Loading users from backend.
     * @param _log Logging action status.
     * @param _snackbar Display info about loading from backend for user.
     * @param _translate Translate messages for user.
     */
    constructor(_resources, _log, _snackbar, _translate) {
        this._resources = _resources;
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
        this._loading$ = new LoadingEmitter();
        this._updateProgress$ = new LoadingEmitter();
        this._usersReload$ = new Subject();
        this._endOfData = false;
        this._nextPage$ = new BehaviorSubject(null);
        this._pagination = {
            size: 20,
            totalElements: undefined,
            totalPages: undefined,
            number: -1
        };
        this._clear = false;
        this._searchQuery = '';
        this.rolesQuery = new Array();
        this.negativeRolesQuery = new Array();
        const usersMap = this._nextPage$.pipe(mergeMap(p => this.loadPage(p)), tap(() => {
            if (!this._clear) {
                this._usersReload$.next();
            }
        }), scan((acc, value) => {
            const result = this._clear ? {} : { ...acc, ...value };
            this._clear = false;
            return result;
        }, {}));
        this._users$ = usersMap.pipe(map(v => Object.values(v)));
    }
    ngOnDestroy() {
        this._loading$.complete();
        this._updateProgress$.complete();
        this._usersReload$.complete();
        this._nextPage$.complete();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get usersReload$() {
        return this._usersReload$.asObservable();
    }
    get users$() {
        return this._users$;
    }
    get updating$() {
        return this._updateProgress$.asObservable();
    }
    get totalUsers() {
        return this._pagination.totalElements ? this._pagination.totalElements : 0;
    }
    /**
     * Get all users from backend and mapped to [UserValue]{@link UserValue} interface with catching errors.
     * @param page Page number that is requested. / Next page users list.
     */
    loadPage(page) {
        if (page === null || page === undefined || this._clear) {
            return of({});
        }
        let params = new HttpParams();
        params = this.addPageParams(params, page);
        this._loading$.on();
        return this._resources.search({ fulltext: this._searchQuery, roles: this.rolesQuery, negativeRoles: this.negativeRolesQuery }, params).pipe(catchError(err => {
            this._log.error('Loading users has failed on page ' + this._pagination.number, err);
            return of({ content: [], pagination: { ...this._pagination, number: this._pagination.number - 1 } });
        }), tap(u => this._endOfData = !Array.isArray(u.content) ||
            (Array.isArray(u.content) && u.content.length === 0) ||
            u.pagination.number === u.pagination.totalPages), map(users => (Array.isArray(users.content) ? users : { ...users, content: [] })), map(users => {
            this._pagination = users.pagination;
            return users.content.reduce((acc, curr) => {
                const item = curr;
                item.roles = new Set(curr.processRoles.map(pr => pr.stringId));
                item.processRoles = undefined;
                item.selected = false;
                item.toggle = function () {
                    this.selected = !this.selected;
                };
                return { ...acc, [curr.id]: item };
            }, {});
        }), tap(_ => this._loading$.off()));
    }
    /**
     * Set value to nextPage stream as next page users list.
     * @param lastRendered Last rendered user index.
     * @param totalRendered Total loaded size users.
     */
    nextPage(lastRendered, totalRendered) {
        if (this.loading || this._endOfData) {
            return;
        }
        if (lastRendered === totalRendered) {
            this._nextPage$.next(this._pagination.number + 1);
        }
    }
    /**
     * Reload page with users.
     */
    reload(newSearchQuery = '') {
        if (!this._users$ || !this._pagination) {
            return;
        }
        this._searchQuery = newSearchQuery;
        this._clear = true;
        this._pagination.number = -1;
        this._endOfData = false;
        this.nextPage(0, 0);
        timer(100).subscribe(_ => {
            this._pagination.number = -1;
            this.nextPage(0, 0);
        });
    }
    updateRoles(selectedUsers, selectedRoles = []) {
        if (!selectedUsers || selectedUsers.length === 0) {
            return of([]);
        }
        this._updateProgress$.on();
        return forkJoin(selectedUsers.map(user => this._resources.assignRoles(user.id, user.realmId, selectedRoles))).pipe(tap(messages => {
            messages.forEach((message, idx) => {
                if (message.error) {
                    this._log.error(message.error, message);
                    this._snackbar.openErrorSnackBar(message.error);
                }
                else {
                    this._log.info(message.success);
                    selectedUsers[idx].roles = new Set(selectedRoles);
                    this._snackbar.openSuccessSnackBar(this._translate.instant('tasks.snackbar.rolesSuccessAssign'));
                }
            });
            this._updateProgress$.off();
        }));
    }
    /**
     * Returns HttpParams with page params addition.
     * @param params Existing HttpParams.
     * @param page Page number that is requested. / Next page users list.
     */
    addPageParams(params, page) {
        params = params.set(PaginationParams.PAGE_SIZE, `${this._pagination.size}`);
        page = page !== null ? page : this._pagination.number;
        params = params.set(PaginationParams.PAGE_NUMBER, `${page}`);
        return params;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserListService, deps: [{ token: UserResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserListService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserListService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: UserResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

class AbstractNavigationResizableDrawerComponent {
    contentWidth;
    width;
    constructor() {
    }
    ngOnInit() {
        if (!!this.contentWidth) {
            this.contentWidth.subscribe(newWidth => this.width = newWidth);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationResizableDrawerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNavigationResizableDrawerComponent, selector: "ncc-abstract-navigation-resizable-drawer", inputs: { contentWidth: "contentWidth" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationResizableDrawerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-navigation-resizable-drawer',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { contentWidth: [{
                type: Input
            }] } });

class AbstractUserCardComponent extends AbstractNavigationResizableDrawerComponent {
    _injector;
    user;
    mode = 'horizontal';
    tooltipPosition = 'below';
    iconStyle = 'large';
    link;
    subUser;
    constructor(_injector) {
        super();
        this._injector = _injector;
    }
    ngOnInit() {
        super.ngOnInit();
        if (!this.user) {
            const userService = this._injector.get(UserService);
            if (userService) {
                this.user = userService.user;
                this.subUser = userService.user$.subscribe(user => this.user = user);
            }
        }
    }
    ngOnDestroy() {
        if (this.subUser) {
            this.subUser.unsubscribe();
        }
    }
    userBannerExists() {
        return this.user && this.user['banner'];
    }
    get userBanner() {
        return this.user && this.user['banner'] ? this.user['banner'] : 'assets/default-user-background.jpg';
    }
    get userAvatar() {
        return this.user && this.user['avatar'] ? this.user['avatar'] : 'assets/default-user-avatar.png';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserCardComponent, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserCardComponent, selector: "ncc-abstract-user-card", inputs: { user: "user", mode: "mode", tooltipPosition: "tooltipPosition", iconStyle: "iconStyle", link: "link" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserCardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-card',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }], propDecorators: { user: [{
                type: Input
            }], mode: [{
                type: Input
            }], tooltipPosition: [{
                type: Input
            }], iconStyle: [{
                type: Input
            }], link: [{
                type: Input
            }] } });

class AbstractProfileComponent {
    _userService;
    user;
    subUser;
    constructor(_userService) {
        this._userService = _userService;
    }
    ngOnInit() {
        if (!this.user) {
            this.user = this._userService.user;
            this.subUser = this._userService.user$.subscribe(user => {
                this.user = user;
            });
        }
    }
    ngOnDestroy() {
        if (this.subUser) {
            this.subUser.unsubscribe();
        }
    }
    get userBanner() {
        return this.user && this.user['banner'] ? this.user['banner'] : 'assets/default-user-background.jpg';
    }
    get userAvatar() {
        return this.user && this.user['avatar'] ? this.user['avatar'] : 'assets/default-user-avatar.png';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractProfileComponent, deps: [{ token: UserService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractProfileComponent, selector: "ncc-abstract-profile", inputs: { user: "user" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractProfileComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-profile',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserService }], propDecorators: { user: [{
                type: Input
            }] } });

/* MODELS */

var ConfigParams;
(function (ConfigParams) {
    ConfigParams["PANEL_HEADER"] = "panelHeader";
})(ConfigParams || (ConfigParams = {}));

class CaseListFontColorService {
    cache = {};
    constructor() {
    }
    /**
     * Computes if font color of line should be white or black based on chosen hex case color.
     * Hex color is converted to its rbg components and decides from them if case color is dark or light.
     * Threshold for color lightness decision can be changed if needed
     *
     * @param caseColor string color of case
     * @returns font color black or white
     */
    computeCaseFontColor(caseColor) {
        // check if hex color
        if (caseColor === undefined) {
            return 'black';
        }
        if (caseColor in this.cache) {
            return this.cache[caseColor];
        }
        const m = caseColor.match(/^#?([\da-f]{2})([\da-f]{2})([\da-f]{2})$/i);
        if (m === null || m.length !== 4) {
            this.cache[caseColor] = 'black';
            return 'black';
        }
        const r = parseInt(m[1], 16);
        const g = parseInt(m[2], 16);
        const b = parseInt(m[3], 16);
        // možné špecifickejšie upraviť threshold hodnotu
        const fontColor = (((r * 0.299) + (g * 0.587) + (b * 0.114)) > 150) ?
            'black' : 'white';
        this.cache[caseColor] = fontColor;
        return fontColor;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseListFontColorService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseListFontColorService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseListFontColorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class AbstractPanelComponent {
    _caseListFontColorService;
    _activatedRoute;
    config;
    expansionDisabled = false;
    preventExpand = false;
    preventCollapse = false;
    hidePanelHeader = false;
    panelHeader;
    panelContent;
    first;
    last;
    caseColor;
    stopLoading = new EventEmitter();
    getExpansionPanelRef = new EventEmitter();
    matExpansionPanel;
    constructor(_caseListFontColorService, _activatedRoute) {
        this._caseListFontColorService = _caseListFontColorService;
        this._activatedRoute = _activatedRoute;
        if (!!_activatedRoute) {
            this._activatedRoute.queryParams.subscribe(paramMap => this.config = paramMap);
        }
    }
    ngOnDestroy() {
        this.stopLoading.complete();
        this.getExpansionPanelRef.complete();
    }
    ngAfterViewInit() {
        this.getExpansionPanelRef.emit(this.matExpansionPanel);
    }
    emitExpand() {
        this.stopLoading.emit();
    }
    emitCollapse() {
        this.stopLoading.emit();
    }
    expandPanel() {
        if (this.preventExpand) {
            this.matExpansionPanel.close();
        }
    }
    showPanelHeader() {
        if (!!this.hidePanelHeader) {
            return false;
        }
        return !(this.config?.[ConfigParams.PANEL_HEADER] === 'false');
    }
    getCaseFontColor() {
        return this._caseListFontColorService.computeCaseFontColor(this.caseColor);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelComponent, deps: [{ token: CaseListFontColorService }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractPanelComponent, selector: "ncc-abstract-panel", inputs: { expansionDisabled: "expansionDisabled", preventExpand: "preventExpand", preventCollapse: "preventCollapse", hidePanelHeader: "hidePanelHeader", panelHeader: "panelHeader", panelContent: "panelContent", first: "first", last: "last", caseColor: "caseColor" }, outputs: { stopLoading: "stopLoading", getExpansionPanelRef: "getExpansionPanelRef" }, viewQueries: [{ propertyName: "matExpansionPanel", first: true, predicate: ["matExpansionPanel"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-panel',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseListFontColorService }, { type: i3$1.ActivatedRoute }], propDecorators: { expansionDisabled: [{
                type: Input
            }], preventExpand: [{
                type: Input
            }], preventCollapse: [{
                type: Input
            }], hidePanelHeader: [{
                type: Input
            }], panelHeader: [{
                type: Input
            }], panelContent: [{
                type: Input
            }], first: [{
                type: Input
            }], last: [{
                type: Input
            }], caseColor: [{
                type: Input
            }], stopLoading: [{
                type: Output
            }], getExpansionPanelRef: [{
                type: Output
            }], matExpansionPanel: [{
                type: ViewChild,
                args: ['matExpansionPanel']
            }] } });

function toMoment(date) {
    return moment(new Date(date[0], date[1] - 1, date[2], date[3] !== undefined ? date[3] : 12, date[4] !== undefined ? date[4] : 0));
}

var CaseMetaField;
(function (CaseMetaField) {
    CaseMetaField["MONGO_ID"] = "mongoId";
    CaseMetaField["VISUAL_ID"] = "visualId";
    CaseMetaField["TITLE"] = "title";
    CaseMetaField["AUTHOR"] = "author";
    CaseMetaField["CREATION_DATE"] = "creationDate";
})(CaseMetaField || (CaseMetaField = {}));

var HeaderColumnType;
(function (HeaderColumnType) {
    HeaderColumnType["META"] = "meta";
    HeaderColumnType["IMMEDIATE"] = "immediate";
})(HeaderColumnType || (HeaderColumnType = {}));
class HeaderColumn {
    type;
    fieldIdentifier;
    title;
    fieldType;
    initial;
    petriNetIdentifier;
    sortDirection;
    searchInput;
    constructor(type, fieldIdentifier, title, fieldType, initial = true, petriNetIdentifier) {
        this.type = type;
        this.fieldIdentifier = fieldIdentifier;
        this.title = title;
        this.fieldType = fieldType;
        this.initial = initial;
        this.petriNetIdentifier = petriNetIdentifier;
        if (this.type === HeaderColumnType.IMMEDIATE && !this.petriNetIdentifier) {
            throw new Error('HeaderColumn instances of type IMMEDIATE cannot be created without a petriNetIdentifier!');
        }
    }
    get uniqueId() {
        return `${this.type === HeaderColumnType.IMMEDIATE ? this.petriNetIdentifier : 'meta'}-${this.fieldIdentifier}`;
    }
}

class OverflowService {
    _viewIdService;
    DEFAULT_COLUMN_WIDTH = 200;
    DEFAULT_COLUMN_COUNT = 6;
    _overflowMode;
    _columnWidth;
    _columnCount;
    _state;
    _initializedCount;
    constructor(_viewIdService) {
        this._viewIdService = _viewIdService;
        this._initializedCount = false;
        this._overflowMode = this.initializeItem('overflowMode', false) === 'true';
        this._columnCount = this.checkIsNan(this.initializeItem('columnCount', this.DEFAULT_COLUMN_COUNT), this.DEFAULT_COLUMN_COUNT);
        this._columnWidth = this.checkIsNan(this.initializeItem('columnWidth', this.DEFAULT_COLUMN_WIDTH), this.DEFAULT_COLUMN_WIDTH);
    }
    get overflowMode() {
        return this._overflowMode;
    }
    set overflowMode(value) {
        this._overflowMode = value;
    }
    get columnWidth() {
        return this._columnWidth;
    }
    set columnWidth(value) {
        this._columnWidth = value;
    }
    get columnCount() {
        return this._columnCount;
    }
    set columnCount(value) {
        this._columnCount = value;
    }
    get initializedCount() {
        return this._initializedCount;
    }
    saveState() {
        this._state = {
            overflowMode: this._overflowMode,
            columnWidth: this._columnWidth,
            columnCount: this._columnCount,
        };
    }
    saveNewState() {
        const viewId = this.getViewId();
        if (viewId) {
            localStorage.setItem(viewId + '-overflowMode', this._overflowMode + '');
            localStorage.setItem(viewId + '-columnCount', this._columnCount + '');
            localStorage.setItem(viewId + '-columnWidth', this._columnWidth + '');
        }
        this._state = undefined;
    }
    restoreLastState() {
        this._overflowMode = this._state.overflowMode;
        this._columnWidth = this._state.columnWidth;
        this._columnCount = this._state.columnCount;
        this._state = undefined;
    }
    initializeItem(id, defaultValue) {
        const viewId = this.getViewId();
        if (!viewId) {
            return defaultValue;
        }
        const item = localStorage.getItem(viewId + '-' + id);
        if (item !== null) {
            if (id.includes('columnCount')) {
                this._initializedCount = true;
            }
            return item;
        }
        else {
            return defaultValue;
        }
    }
    checkIsNan(item, defaultValue) {
        return isNaN(parseInt(item, 10)) ? defaultValue : parseInt(item, 10);
    }
    /**
     * @returns the Id of the view, if the ViewIdService was injected. Returns `undefined` if the service was not injected.
     */
    getViewId() {
        if (this._viewIdService) {
            return this._viewIdService.viewId;
        }
        return undefined;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OverflowService, deps: [{ token: ViewIdService, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OverflowService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OverflowService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: ViewIdService, decorators: [{
                    type: Optional
                }] }] });

class AbstractPanelWithHeaderBindingComponent {
    _overflowService;
    selectedHeaders$;
    firstFeaturedValue;
    featuredFieldsValues = [];
    _lastSelectedHeaders;
    sub;
    constructor(_overflowService) {
        this._overflowService = _overflowService;
    }
    get overflowMode() {
        if (!!this._overflowService) {
            return this._overflowService.overflowMode;
        }
        else {
            return false;
        }
    }
    ngOnInit() {
        this.sub = this.selectedHeaders$.subscribe(newSelectedHeaders => {
            this._lastSelectedHeaders = newSelectedHeaders;
            this.resolveFeaturedFieldsValues();
        });
    }
    ngOnDestroy() {
        this.sub.unsubscribe();
    }
    /**
     * If the event was cause by selecting some text, it will not propagate
     * @param event
     */
    preventSelectionClick(event) {
        if (event.view.getSelection().type === 'Range') {
            event.stopPropagation();
        }
    }
    resolveFeaturedFieldsValues() {
        if (!this._lastSelectedHeaders) {
            return;
        }
        this.featuredFieldsValues.splice(0, this.featuredFieldsValues.length);
        this.featuredFieldsValues.push(...this._lastSelectedHeaders.map(item => this.getFeaturedValue(item)));
    }
    getFeaturedValue(selectedHeader) {
        if (!selectedHeader) {
            return { value: '', icon: '', type: '' };
        }
        if (selectedHeader.type === HeaderColumnType.META) {
            return this.getFeaturedMetaValue(selectedHeader);
        }
        if (selectedHeader.type === HeaderColumnType.IMMEDIATE) {
            return this.getFeaturedImmediateValue(selectedHeader);
        }
        return { value: '', icon: '', type: '' };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelWithHeaderBindingComponent, deps: [{ token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractPanelWithHeaderBindingComponent, selector: "ncc-abstract-panel-with-header-binding", inputs: { selectedHeaders$: "selectedHeaders$" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelWithHeaderBindingComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-panel-with-header-binding',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: OverflowService, decorators: [{
                    type: Optional
                }] }], propDecorators: { selectedHeaders$: [{
                type: Input
            }] } });

class AbstractPanelWithImmediateDataComponent extends AbstractPanelWithHeaderBindingComponent {
    _translate;
    _currencyPipe;
    _overflowService;
    constructor(_translate, _currencyPipe, _overflowService) {
        super(_overflowService);
        this._translate = _translate;
        this._currencyPipe = _currencyPipe;
        this._overflowService = _overflowService;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
    }
    parseImmediateValue(immediate) {
        if (immediate && immediate.value !== undefined || immediate && immediate.type === 'button') {
            switch (immediate.type) {
                case 'date':
                    return {
                        value: toMoment(immediate.value).format(DATE_FORMAT_STRING),
                        icon: 'event',
                        type: immediate.type
                    };
                case 'dateTime':
                    return {
                        value: toMoment(immediate.value).format(DATE_TIME_FORMAT_STRING),
                        icon: 'event', type: immediate.type
                    };
                case 'enumeration':
                    return { value: immediate.value.defaultValue, icon: undefined, type: immediate.type };
                case 'multichoice':
                    return {
                        value: immediate.value.map(it => it.defaultValue).join(', '),
                        icon: undefined,
                        type: immediate.type
                    };
                case 'enumeration_map':
                    return {
                        value: immediate.options[immediate.value].defaultValue,
                        icon: undefined,
                        type: immediate.type
                    };
                case 'multichoice_map':
                    return {
                        value: immediate.value.map(it => immediate.options[it].defaultValue).join(', '), icon: undefined, type: immediate.type
                    };
                case 'file':
                    return { value: immediate.value?.name, icon: 'insert_drive_file', type: immediate.type };
                case 'fileList':
                    return {
                        value: immediate.value?.namesPaths.map(obj => obj.name).join(', '),
                        icon: 'file_copy', type: immediate.type
                    };
                case 'user':
                    return { value: immediate.value.fullName, icon: 'account_circle', type: immediate.type };
                case 'boolean':
                    return {
                        value: this._translate.instant('dataField.values.boolean.' + immediate.value),
                        icon: undefined, type: immediate.type
                    };
                case 'button':
                    return {
                        value: immediate.placeholder && immediate.placeholder.defaultValue !== undefined
                            ? immediate.placeholder.defaultValue : (immediate.name && immediate.name.defaultValue !== undefined
                            ? immediate.name.defaultValue : this._translate.instant('dialog.submit')),
                        icon: undefined, type: immediate.type
                    };
                case 'filter':
                    return {
                        value: undefined, icon: undefined, type: immediate.type,
                        filterMetadata: { filterMetadata: immediate.filterMetadata, allowedNets: immediate.allowedNets }
                    };
                case 'number':
                    if (immediate.format !== undefined) {
                        return this.formatCurrencyPipe(immediate.value, immediate.format.code, immediate.format.fractionSize, immediate.format.locale, immediate.type);
                    }
                    else if (immediate.component?.name === 'currency') {
                        return this.formatCurrencyPipe(immediate.value, immediate.component.properties['code'], immediate.component.properties['fractionSize'], immediate.component.properties['locale'], immediate.type);
                    }
                    return { value: immediate.value, icon: undefined, type: immediate.type };
                default:
                    return { value: immediate.value, icon: undefined, type: immediate.type };
            }
        }
        else {
            return { value: '', icon: '', type: '' };
        }
    }
    formatCurrencyPipe(value, code, fraction, locale, type) {
        return {
            value: this._currencyPipe.transform(parseFloat(value), code, 'symbol', '1.' + fraction + '-' + fraction, locale),
            icon: undefined, type
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelWithImmediateDataComponent, deps: [{ token: i1$2.TranslateService }, { token: i2.CurrencyPipe }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractPanelWithImmediateDataComponent, selector: "ncc-abstract-panel-with-immediate", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelWithImmediateDataComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-panel-with-immediate',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: i2.CurrencyPipe }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }] });

/**
 * @param useCase the {@link Case} object who's immediate data we want to get
 * @param fieldId the identifier of the field we want to get
 * @returns the immediate data field if it exists on the case, `undefined` otherwise
 */
function getImmediateData(useCase, fieldId) {
    return useCase.immediateData.find(field => field.stringId === fieldId);
}

var PermissionType;
(function (PermissionType) {
    PermissionType["CREATE"] = "create";
    PermissionType["DELETE"] = "delete";
    PermissionType["VIEW"] = "view";
    PermissionType["ASSIGN"] = "assign";
    PermissionType["CANCEL"] = "cancel";
    PermissionType["FINISH"] = "finish";
    PermissionType["DELEGATE"] = "delegate";
    PermissionType["SET"] = "set";
})(PermissionType || (PermissionType = {}));

/**
 * Holds the information that accompanies a page load request. These information are held outside of the
 * service that handles the requests, so that state information about multiple requests can be handled independently of each other.
 */
class PageLoadRequestContext {
    /**
     * Stores the {@link Filter} object that was used with the request.
     */
    filter;
    /**
     * Stores the pagination information that was used with the request.
     */
    pagination;
    /**
     * Whether the existing tasks or cases should be replaced by the result of this request.
     */
    clearLoaded;
    /**
     * Whether the tasks on the current page should be reloaded by this request.
     *
     * This option does not affect case requests.
     */
    reloadCurrentTaskPage;
    /**
     * Used for forcing the request after queued Assign or Cancel.
     */
    force;
    /**
     * @param requestFilter the {@link Filter} that is used by the request. Context holds the passed reference.
     * @param requestPagination the {@link Pagination} that is used by the request.
     * Context creates a local copy of the passed objects content.
     * @param clearLoaded whether the existing tasks or cases should be cleared and replaced by the result of this request.
     * @param reloadCurrentTaskPage whether the current page of tasks should be updated with the result of the current request.
     * Does not affect case requests.
     */
    constructor(requestFilter, requestPagination, clearLoaded = false, reloadCurrentTaskPage = false, force = false) {
        this.filter = requestFilter;
        this.pagination = Object.assign({}, requestPagination);
        this.clearLoaded = clearLoaded;
        this.reloadCurrentTaskPage = reloadCurrentTaskPage;
        this.force = force;
    }
    get pageNumber() {
        return this.pagination && this.pagination.number;
    }
}

class LoadingWithFilterEmitter extends BehaviorSubject {
    _loadingStates;
    constructor(initial = false) {
        super(initial);
        this._loadingStates = new Map();
    }
    get isActive() {
        return this.getValue();
    }
    isActiveWithFilter(withFilter) {
        return !!this._loadingStates.get(withFilter);
    }
    on(withFilter) {
        this.nextValue(withFilter, true);
    }
    off(withFilter) {
        this.nextValue(withFilter, false);
    }
    toggle(withFilter) {
        this.nextValue(withFilter, !this.isActiveWithFilter(withFilter));
    }
    nextValue(withFilter, loading) {
        this._loadingStates.set(withFilter, loading);
        from(this._loadingStates.values())
            .pipe(reduce((acc, val) => acc || val, false))
            .subscribe(result => this.next(result));
    }
}

/**
 * @param observables an array of items
 * @returns an observable that emits each item from the array in order.
 */
function arrayToObservable(observables) {
    return timer(0, 1).pipe(take(observables.length), map(i => observables[i]));
}

/**
 * Can be used to provide case views with configuration of the {@link CaseViewService#createNewCase}[createNewCase()] method without
 * having to extend the service and override the method.
 */
const NAE_NEW_CASE_CONFIGURATION = new InjectionToken('NaeNewCaseConfiguration');

var HeaderChangeType;
(function (HeaderChangeType) {
    /**
     * Emitted when one of the headers changes the value that is should display
     */
    HeaderChangeType["EDIT"] = "edit";
    /**
     * Emitted when the header mode changes to another one
     */
    HeaderChangeType["MODE_CHANGED"] = "mode-changed";
    /**
     * Emitted when the search input in one of the headers changes
     */
    HeaderChangeType["SEARCH"] = "search";
    /**
     * Emitted when the sort direction in one of the headers changes
     */
    HeaderChangeType["SORT"] = "sort";
})(HeaderChangeType || (HeaderChangeType = {}));

class AbstractSortableViewComponent {
    _resolver;
    _lastHeaderSearchState;
    _subHeader;
    constructor(_resolver) {
        this._resolver = _resolver;
        this._lastHeaderSearchState = {
            columnType: undefined,
            fieldIdentifier: '',
            sortDirection: '',
            columnIdentifier: -1,
            fieldType: undefined
        };
    }
    ngOnDestroy() {
        if (this._subHeader) {
            this._subHeader.unsubscribe();
        }
    }
    registerHeaderChange(headerChange$) {
        this._subHeader = headerChange$.subscribe((header) => {
            if (!header) {
                return;
            }
            if (header.changeType === HeaderChangeType.SORT || header.changeType === HeaderChangeType.SEARCH) {
                if (header.changeType === HeaderChangeType.SORT) {
                    this._lastHeaderSearchState = header.description;
                }
                // TODO we might not need to search all the time, do some filtering
                this.reload();
            }
        });
    }
    addSortParams(params) {
        if (this._lastHeaderSearchState.sortDirection !== '') {
            return params.set(PaginationParams.PAGE_SORT, `${this.getSortId()},${this._lastHeaderSearchState.sortDirection}`);
        }
        else {
            return params.set(PaginationParams.PAGE_SORT, this.getDefaultSortParam());
        }
    }
    getSortId() {
        if (this._lastHeaderSearchState.columnType === HeaderColumnType.META) {
            return this.getMetaFieldSortId();
        }
        else {
            switch (this._lastHeaderSearchState.fieldType) {
                case 'number':
                    return this._resolver.getIndex(this._lastHeaderSearchState.fieldIdentifier, SearchIndex.NUMBER);
                case 'date':
                case 'dateTime':
                    return this._resolver.getIndex(this._lastHeaderSearchState.fieldIdentifier, SearchIndex.TIMESTAMP);
                case 'user':
                case 'userList':
                    return this._resolver.getIndex(this._lastHeaderSearchState.fieldIdentifier, SearchIndex.FULL_NAME, true);
                default:
                    return this._resolver.getIndex(this._lastHeaderSearchState.fieldIdentifier, SearchIndex.FULLTEXT, true);
            }
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSortableViewComponent, deps: [{ token: SearchIndexResolverService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSortableViewComponent, selector: "ncc-abstract-sortable-view", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSortableViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-sortable-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SearchIndexResolverService }] });

/**
 * Constants for use with the
 */
var PaginationSort;
(function (PaginationSort) {
    PaginationSort["ASCENDING"] = "asc";
    PaginationSort["DESCENDING"] = "desc";
})(PaginationSort || (PaginationSort = {}));
/**
 * Creates the configuration string for use with the [PAGE_SORT]{@link PaginationParams#PAGE_SORT} configuration attribute
 * @param attribute the name of the attribute that should be used for sorting the results
 * @param direction the sorting direction
 */
function createSortParam(attribute, direction) {
    return `${attribute},${direction}`;
}

const NAE_USER_ASSIGN_DIALOG_COMPONENT = new InjectionToken('NaeUserAssignDialogComponent');
const NAE_MULTI_USER_ASSIGN_DIALOG_COMPONENT = new InjectionToken('NaeMultiUserAssignDialogComponent');
const NAE_IMPORT_NET_DIALOG_COMPONENT = new InjectionToken('NaeImportNetDialogComponent');
const NAE_NEW_CASE_DIALOG_COMPONENT = new InjectionToken('NaeNewCaseDialogComponent');
const NAE_OPTION_SELECTOR_DIALOG_COMPONENT = new InjectionToken('NaeOptionSelectorDialogComponent');
const NAE_SAVE_FILTER_DIALOG_COMPONENT = new InjectionToken('NaeSaveFilterDialogComponent');
const NAE_LOAD_FILTER_DIALOG_COMPONENT = new InjectionToken('NaeLoadFilterDialogComponent');
const NAE_USER_IMPERSONATE_DIALOG_COMPONENT = new InjectionToken('NaeUserImpersonateDialogComponent');
const NAE_ADMIN_IMPERSONATE_DIALOG_COMPONENT = new InjectionToken('NaeAdminImpersonateDialogComponent');

/**
 * Enum AssignPolicy
 *
 * value: MANUAL | AUTO
 */
var AssignPolicy;
(function (AssignPolicy) {
    AssignPolicy["manual"] = "MANUAL";
    AssignPolicy["auto"] = "AUTO";
})(AssignPolicy || (AssignPolicy = {}));
/**
 * Enum FinishPolicy
 *
 * value: MANUAL | AUTO_NO_DATA
 */
var FinishPolicy;
(function (FinishPolicy) {
    FinishPolicy["manual"] = "MANUAL";
    FinishPolicy["autoNoData"] = "AUTO_NO_DATA";
})(FinishPolicy || (FinishPolicy = {}));
/**
 * Enum DataFocusPolicy
 *
 * value: MANUAL | AUTO_EMPTY_REQUIRED
 */
var DataFocusPolicy;
(function (DataFocusPolicy) {
    DataFocusPolicy["manual"] = "MANUAL";
    DataFocusPolicy["autoRequired"] = "AUTO_EMPTY_REQUIRED";
})(DataFocusPolicy || (DataFocusPolicy = {}));

class PermissionService {
    userComparator;
    _userService;
    constructor(userComparator, _userService) {
        this.userComparator = userComparator;
        this._userService = _userService;
    }
    hasTaskPermission(task, permission) {
        if (!task) {
            return false;
        }
        const rolePermValue = this.checkRolePerms(task.roles, permission);
        const userPermValue = this.checkUserPerms(task.users, permission);
        return this.resolvePermissions(rolePermValue, userPermValue);
    }
    hasCasePermission(case_, permission) {
        if (!case_) {
            return false;
        }
        const rolePermValue = this.checkRolePerms(case_.permissions, permission);
        const userPermValue = this.checkUserPerms(case_.users, permission);
        return this.resolvePermissions(rolePermValue, userPermValue);
    }
    resolvePermissions(rolePermValue, userPermValue) {
        return userPermValue === undefined ? (!!rolePermValue) : userPermValue;
    }
    hasNetPermission(action, net) {
        if (!net
            || !net.permissions
            || !action
            || !(net.permissions instanceof Object)) {
            return false;
        }
        if (Object.keys(net.permissions).some(role => this._userService.hasRoleById(role) ? net.permissions[role][action] === false : false)) {
            return false;
        }
        return Object.keys(net.permissions).some(role => this._userService.hasRoleById(role) ? !!net.permissions[role][action] : false);
    }
    canAssign(task) {
        return !!task
            && ((task.assignPolicy === AssignPolicy.manual
                && !task.userId
                && this.hasTaskPermission(task, PermissionType.ASSIGN)));
    }
    canCancel(task) {
        return !!task && !!task.userId
            && this.hasTaskPermission(task, PermissionType.CANCEL)
            && ((task.assignedUserPolicy === undefined || task.assignedUserPolicy.cancel === undefined)
                || task.assignedUserPolicy.cancel);
    }
    canReassign(task) {
        return !!task && !!task.userId && this.userComparator.compareUsers(task.userId)
            && this.hasTaskPermission(task, PermissionType.DELEGATE)
            && ((task.assignedUserPolicy === undefined || task.assignedUserPolicy.reassign === undefined)
                || task.assignedUserPolicy.reassign);
    }
    canFinish(task) {
        return !!task
            && !!task.userId
            && this.userComparator.compareUsers(task.userId)
            && this.hasTaskPermission(task, PermissionType.FINISH);
    }
    canCollapse(task) {
        return !!task
            && task.assignPolicy === AssignPolicy.manual;
    }
    checkRolePerms(roles, permission) {
        let rolePermValue;
        if (!!roles) {
            Object.keys(roles).forEach(role => {
                if (roles[role][permission] !== undefined && this._userService.hasRoleById(role)) {
                    rolePermValue = rolePermValue === undefined ? roles[role][permission] : rolePermValue && roles[role][permission];
                }
            });
        }
        return rolePermValue;
    }
    checkUserPerms(users, permission) {
        let userPermValue;
        if (!!users) {
            const loggedUserId = this._userService.user.getSelfOrImpersonated().id;
            Object.keys(users).forEach(user => {
                if (user === loggedUserId && users[user][permission] !== undefined) {
                    userPermValue = userPermValue === undefined ?
                        users[user][permission] : userPermValue && users[user][permission];
                }
            });
        }
        return userPermValue;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PermissionService, deps: [{ token: UserComparatorService }, { token: UserService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PermissionService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PermissionService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: UserComparatorService }, { type: UserService }] });

class CaseViewService extends AbstractSortableViewComponent {
    _allowedNetsService;
    _dialog;
    _caseResourceService;
    _log;
    _snackBarService;
    _searchService;
    _translate;
    _user;
    _processService;
    _newCaseComponent;
    _permissionService;
    DEFAULT_NEW_CASE_CONFIGURATION = {
        useCachedProcesses: true
    };
    _loading$;
    _cases$;
    _nextPage$;
    _endOfData;
    _pagination;
    _newCaseConfiguration;
    _paginationView = false;
    constructor(_allowedNetsService, _dialog, _caseResourceService, _log, _snackBarService, _searchService, _translate, _user, _processService, resolver, _newCaseComponent, newCaseConfig, _permissionService) {
        super(resolver);
        this._allowedNetsService = _allowedNetsService;
        this._dialog = _dialog;
        this._caseResourceService = _caseResourceService;
        this._log = _log;
        this._snackBarService = _snackBarService;
        this._searchService = _searchService;
        this._translate = _translate;
        this._user = _user;
        this._processService = _processService;
        this._newCaseComponent = _newCaseComponent;
        this._permissionService = _permissionService;
        this._newCaseConfiguration = { ...this.DEFAULT_NEW_CASE_CONFIGURATION };
        if (newCaseConfig !== null) {
            Object.assign(this._newCaseConfiguration, newCaseConfig);
        }
        this._loading$ = new LoadingWithFilterEmitter();
        this._searchService.activeFilter$.subscribe(() => {
            this.reload();
        });
        this._endOfData = false;
        this._pagination = {
            size: 25,
            totalElements: undefined,
            totalPages: undefined,
            number: -1
        };
        this._nextPage$ = new BehaviorSubject(new PageLoadRequestContext(this.activeFilter, Object.assign({}, this._pagination, { number: 0 })));
        const casesMap = this._nextPage$.pipe(mergeMap(p => this.loadPage(p)), map(pageLoadResult => {
            if (pageLoadResult.requestContext && pageLoadResult.requestContext.clearLoaded) {
                // we set an empty value to the virtual scroll and then replace it by the real value forcing it to redraw its content
                const results = [{ cases: {}, requestContext: null }, pageLoadResult];
                return arrayToObservable(results);
            }
            else {
                return of(pageLoadResult);
            }
        }), concatMap(o => o), scan((acc, pageLoadResult) => {
            if (pageLoadResult.requestContext === null) {
                return pageLoadResult.cases;
            }
            else {
                this._loading$.off(pageLoadResult.requestContext.filter);
            }
            Object.assign(this._pagination, pageLoadResult.requestContext.pagination);
            if (this._paginationView) {
                return pageLoadResult.cases;
            }
            return { ...acc, ...pageLoadResult.cases };
        }, {}));
        this._cases$ = casesMap.pipe(map(v => Object.values(v)));
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._loading$.complete();
        this._nextPage$.complete();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get cases$() {
        return this._cases$;
    }
    get pagination() {
        return this._pagination;
    }
    get activeFilter() {
        return this._searchService.activeFilter;
    }
    set paginationView(value) {
        this._paginationView = value;
    }
    loadPage(requestContext) {
        if (requestContext === null || requestContext.pageNumber < 0) {
            return of({ cases: {}, requestContext });
        }
        let params = new HttpParams();
        params = this.addSortParams(params);
        params = this.addPageParams(params, requestContext.pagination);
        this._loading$.on(requestContext.filter);
        return this._caseResourceService.searchCases(requestContext.filter, params).pipe(catchError(err => {
            this._log.error('Loading cases has failed!', err);
            this._loading$.off(requestContext.filter);
            return of({ content: [], pagination: { ...this._pagination } });
        }), filter(() => {
            const r = requestContext.filter === this._searchService.activeFilter;
            if (!r) {
                this._loading$.off(requestContext.filter);
                this._log.debug('Received cases page is no longer relevant since the active filter has changed before it could arrive.'
                    + ' Discarding...');
            }
            return r;
        }), tap(c => {
            Object.assign(requestContext.pagination, c.pagination);
        }), tap(c => {
            this._endOfData = !Array.isArray(c.content)
                || c.content.length === 0
                || c.pagination.number === c.pagination.totalPages;
        }), map(cases => Array.isArray(cases.content) ? cases : { ...cases, content: [] }), map(cases => {
            return cases.content.reduce((acc, cur) => {
                return { ...acc, [cur.stringId]: cur };
            }, {});
        }), map(cases => ({ cases, requestContext })));
    }
    nextPage(renderedRange, totalLoaded, requestContext) {
        if (requestContext === undefined) {
            requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination);
            requestContext.pagination.number += 1;
        }
        if (this.isLoadingRelevantFilter(requestContext) || this._endOfData) {
            return;
        }
        if (renderedRange.end === totalLoaded) {
            this._nextPage$.next(requestContext);
        }
    }
    nextPagePagination(length, pageIndex, requestContext) {
        if (requestContext === undefined) {
            requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination);
            requestContext.pagination.size = length;
            requestContext.pagination.number = pageIndex;
        }
        if (this.isLoadingRelevantFilter(requestContext) || this._endOfData) {
            return;
        }
        this._nextPage$.next(requestContext);
    }
    isLoadingRelevantFilter(requestContext) {
        return requestContext === undefined || this._loading$.isActiveWithFilter(requestContext.filter);
    }
    createNewCase(newCaseCreationConfiguration = {
        enableCaseTitle: true,
        isCaseTitleRequired: true
    }) {
        const myCase = new Subject();
        const dialogRef = this._dialog.open(this._newCaseComponent, {
            width: '40%',
            minWidth: '300px',
            panelClass: "dialog-responsive",
            data: {
                allowedNets$: this.getNewCaseAllowedNets(newCaseCreationConfiguration.blockNets),
                newCaseCreationConfiguration
            },
        });
        dialogRef.afterClosed().subscribe($event => {
            if ($event?.data) {
                this._log.debug($event.message, $event.data);
                this.reload();
                myCase.next($event.data);
            }
            myCase.complete();
        });
        return myCase.asObservable();
    }
    createDefaultNewCase(newCaseCreationConfiguration = {
        enableCaseTitle: true,
        isCaseTitleRequired: true
    }) {
        const myCase = new Subject();
        this.getNewCaseAllowedNets(newCaseCreationConfiguration.blockNets).subscribe((nets) => {
            if (!nets || nets.length === 0) {
                const errorMessage = this._translate.instant('side-menu.new-case.noNets');
                this._snackBarService.openErrorSnackBar(errorMessage);
                this._log.error('No nets available for case creation. Ensure the allowed nets configuration is correct.');
                return;
            }
            this._caseResourceService.createCase({
                title: null,
                color: 'panel-primary-icon',
                netId: nets[0].stringId
            }).subscribe((response) => {
                this._snackBarService.openSuccessSnackBar(this._translate.instant('side-menu.new-case.createCase')
                    + ' ' + this._translate.instant('side-menu.new-case.defaultCaseName'));
                this.reload();
                myCase.next(response.outcome.aCase);
                myCase.complete();
            }, error => {
                const errorMessage = error.message ? error.message : this._translate.instant('side-menu.new-case.createCaseError');
                this._snackBarService.openErrorSnackBar(errorMessage);
                this._log.error('Error occurred during case creation: ' + errorMessage);
            });
        }, error => {
            const errorMessage = error.message || this._translate.instant('side-menu.new-case.errorCreate');
            this._log.error('Failed to fetch allowed nets. Error: ' + errorMessage);
            this._snackBarService.openErrorSnackBar(errorMessage);
        });
        return myCase;
    }
    getNewCaseAllowedNets(blockNets = []) {
        if (this._newCaseConfiguration.useCachedProcesses) {
            return this._allowedNetsService.allowedNets$.pipe(map(net => net.filter(n => blockNets.indexOf(n.identifier) === -1)), map(net => net.filter(n => this._permissionService.hasNetPermission(PermissionType.CREATE, n))));
        }
        else {
            return this._allowedNetsService.allowedNets$.pipe(switchMap(allowedNets => {
                return this._processService.getNetReferences(allowedNets.map(net => net.identifier)).pipe(map(net => net.filter(n => blockNets.indexOf(n.identifier) === -1)), map(net => net.filter(n => this._permissionService.hasNetPermission(PermissionType.CREATE, n))));
            }));
        }
    }
    /**
     * Returns number of allowed nets of case view
     * @returns length of allowedNets array if it is defined, 0 if it is undefined
     */
    getAllowedNetsCount() {
        return this._allowedNetsService.allowedNets === undefined ? 0 : this._allowedNetsService.allowedNets.length;
    }
    addPageParams(params, pagination) {
        params = params.set(PaginationParams.PAGE_SIZE, `${pagination.size}`);
        params = params.set(PaginationParams.PAGE_NUMBER, `${pagination.number}`);
        return params;
    }
    getDefaultSortParam() {
        return createSortParam('stringId', PaginationSort.DESCENDING);
    }
    getMetaFieldSortId() {
        switch (this._lastHeaderSearchState.fieldIdentifier) {
            case CaseMetaField.TITLE:
                return 'title.keyword';
            case CaseMetaField.VISUAL_ID:
                return 'visualId.keyword';
            case CaseMetaField.CREATION_DATE:
                return 'creationDateSortable';
            default:
                return this._lastHeaderSearchState.fieldIdentifier;
        }
    }
    reload() {
        if (!this._cases$ || !this._pagination) {
            return;
        }
        this._endOfData = false;
        const requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination, true);
        requestContext.pagination.number = 0;
        const range = {
            start: -1,
            end: 0
        };
        this.nextPage(range, 0, requestContext);
    }
    hasAuthority(authority) {
        return this._user.hasAuthority(authority);
    }
    /**
     * Determines whether the current user has the [VIEW]{@link PermissionType#VIEW} permission on the current case
     * @param aCase the tested case
     * @returns `true` if the current user has the `VIEW` permission on the tested case, `false` otherwise.
     */
    viewEnabled(aCase) {
        return this._permissionService.hasCasePermission(aCase, PermissionType.VIEW);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseViewService, deps: [{ token: AllowedNetsService }, { token: i1$3.MatDialog }, { token: CaseResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: SearchService }, { token: i1$2.TranslateService }, { token: UserService }, { token: ProcessService }, { token: SearchIndexResolverService }, { token: NAE_NEW_CASE_DIALOG_COMPONENT, optional: true }, { token: NAE_NEW_CASE_CONFIGURATION, optional: true }, { token: PermissionService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseViewService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseViewService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: AllowedNetsService }, { type: i1$3.MatDialog }, { type: CaseResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: SearchService }, { type: i1$2.TranslateService }, { type: UserService }, { type: ProcessService }, { type: SearchIndexResolverService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NEW_CASE_DIALOG_COMPONENT]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NEW_CASE_CONFIGURATION]
                }] }, { type: PermissionService }] });

class AbstractCasePanelComponent extends AbstractPanelWithImmediateDataComponent {
    _caseResourceService;
    _caseViewService;
    _snackBarService;
    _translateService;
    _log;
    _userService;
    _currencyPipe;
    _permissionService;
    _overflowService;
    case_;
    approval;
    responsiveBody = true;
    first;
    last;
    showCasePanelIcon = true;
    showDeleteMenu = false;
    textEllipsis = false;
    _approvalFormControl;
    constructor(_caseResourceService, _caseViewService, _snackBarService, _translateService, _log, _userService, _currencyPipe, _permissionService, _overflowService) {
        super(_translateService, _currencyPipe, _overflowService);
        this._caseResourceService = _caseResourceService;
        this._caseViewService = _caseViewService;
        this._snackBarService = _snackBarService;
        this._translateService = _translateService;
        this._log = _log;
        this._userService = _userService;
        this._currencyPipe = _currencyPipe;
        this._permissionService = _permissionService;
        this._overflowService = _overflowService;
        this._approvalFormControl = new FormControl();
    }
    get approvalFormControl() {
        return this._approvalFormControl;
    }
    show(event) {
        event.stopPropagation();
        return false;
    }
    getFeaturedMetaValue(selectedHeader) {
        switch (selectedHeader.fieldIdentifier) {
            case CaseMetaField.MONGO_ID:
                return { value: this.case_.stringId, icon: undefined, type: 'meta' };
            case CaseMetaField.VISUAL_ID:
                return { value: this.case_.visualId, icon: undefined, type: 'meta' };
            case CaseMetaField.TITLE:
                return { value: this.case_.title, icon: undefined, type: 'meta' };
            case CaseMetaField.AUTHOR:
                return { value: this.case_.author.fullName, icon: 'account_circle', type: 'meta' };
            case CaseMetaField.CREATION_DATE:
                return {
                    value: toMoment(this.case_.creationDate).format(DATE_TIME_FORMAT_STRING),
                    icon: 'event',
                    type: 'meta'
                };
        }
    }
    getFeaturedImmediateValue(selectedHeader) {
        const immediate = getImmediateData(this.case_, selectedHeader.fieldIdentifier);
        return this.parseImmediateValue(immediate);
    }
    deleteCase() {
        this._caseResourceService.deleteCase(this.case_.stringId).pipe(take(1)).subscribe((data) => {
            if (data.success) {
                this._snackBarService.openSuccessSnackBar(data.outcome.message === undefined
                    ? this._translateService.instant('tasks.snackbar.caseDeleteSuccess')
                    : data.outcome.message);
                this._caseViewService.reload();
            }
            else if (data.error) {
                this.throwError(this._translateService.instant('tasks.snackbar.caseDeleteFailed'));
            }
        }, error => {
            this.throwError(this._translateService.instant('tasks.snackbar.caseDeleteFailed'));
        });
    }
    canDelete() {
        return this._permissionService.hasCasePermission(this.case_, PermissionType.DELETE);
    }
    throwError(message) {
        this._snackBarService.openErrorSnackBar(message);
        this._log.error(message);
    }
    getMinWidth() {
        return (this._overflowService && this._overflowService.overflowMode) ? `${this._overflowService.columnWidth}px` : '0';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCasePanelComponent, deps: [{ token: CaseResourceService }, { token: CaseViewService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: LoggerService }, { token: UserService }, { token: i2.CurrencyPipe }, { token: PermissionService }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCasePanelComponent, selector: "ncc-abstract-case-panel", inputs: { case_: "case_", approval: "approval", responsiveBody: "responsiveBody", first: "first", last: "last", showCasePanelIcon: "showCasePanelIcon", showDeleteMenu: "showDeleteMenu", textEllipsis: "textEllipsis" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCasePanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-case-panel',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseResourceService }, { type: CaseViewService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: LoggerService }, { type: UserService }, { type: i2.CurrencyPipe }, { type: PermissionService }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }], propDecorators: { case_: [{
                type: Input
            }], approval: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], first: [{
                type: Input
            }], last: [{
                type: Input
            }], showCasePanelIcon: [{
                type: Input
            }], showDeleteMenu: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }] } });

var TaskMetaField;
(function (TaskMetaField) {
    TaskMetaField["CASE"] = "caseTitleSortable";
    TaskMetaField["CASE_ID"] = "caseId";
    TaskMetaField["TASK_ID"] = "taskId";
    TaskMetaField["TITLE"] = "title";
    TaskMetaField["PRIORITY"] = "priority";
    TaskMetaField["USER"] = "user";
    TaskMetaField["ASSIGN_DATE"] = "assign-date";
})(TaskMetaField || (TaskMetaField = {}));

const NAE_TASK_PANEL_DISABLE_BUTTON_FUNCTIONS = new InjectionToken('NaeTaskPanelDisableFunctions');

const NAE_TASK_FORCE_OPEN = new InjectionToken('NaeTaskForceOpen');

/**
 * Injection token for injection of {@link InjectedTabData} into tabs in {@link TabView}.
 *
 * Also see {@link TabContent} for more information.
 */
const NAE_TAB_DATA = new InjectionToken('NaeTabData');

/**
 * Used to determine which backend endpoint should be used to request tasks from
 */
var TaskEndpoint;
(function (TaskEndpoint) {
    TaskEndpoint[TaskEndpoint["MONGO"] = 1] = "MONGO";
    TaskEndpoint[TaskEndpoint["ELASTIC"] = 2] = "ELASTIC";
})(TaskEndpoint || (TaskEndpoint = {}));

/**
 * @deprecated in 5.3.0 - Use {@link NAE_TASK_VIEW_CONFIGURATION} instead
 */
const NAE_PREFERRED_TASK_ENDPOINT = new InjectionToken('NaePreferredTaskEndpoint');

const NAE_TASK_VIEW_CONFIGURATION = new InjectionToken('NaeTaskViewConfiguration');
/**
 * Convenience method that can be used as a task view configuration object factory for tabbed task views.
 *
 * If the injected tab data contain information that is included in the {@link TaskViewConfiguration} interface,
 * this factory will forward this information into the provided object.
 *
 * @param injectedTabData
 */
function tabbedTaskViewConfigurationFactory(injectedTabData) {
    if (injectedTabData?.initiallyOpenOneTask !== undefined) {
        return { initiallyOpenOneTask: of(injectedTabData.initiallyOpenOneTask) };
    }
    else {
        return {};
    }
}

class TaskViewService extends AbstractSortableViewComponent {
    _taskService;
    _userService;
    _snackBarService;
    _translate;
    _searchService;
    _log;
    _userComparator;
    _preferredEndpoint;
    _tasks$;
    _changedFields$;
    _requestedPage$;
    _loading$;
    _endOfData;
    _pagination;
    _initiallyOpenOneTask;
    _closeTaskTabOnNoTasks;
    _panelUpdate$;
    _closeTab$;
    _subInitiallyOpen;
    _subCloseTask;
    _subSearch;
    // Serializing assign after cancel
    _allowMultiOpen;
    _initializing = true;
    constructor(_taskService, _userService, _snackBarService, _translate, _searchService, _log, _userComparator, resolver, _preferredEndpoint = null, taskViewConfig = null) {
        super(resolver);
        this._taskService = _taskService;
        this._userService = _userService;
        this._snackBarService = _snackBarService;
        this._translate = _translate;
        this._searchService = _searchService;
        this._log = _log;
        this._userComparator = _userComparator;
        this._preferredEndpoint = _preferredEndpoint;
        this._tasks$ = new Subject();
        this._loading$ = new LoadingWithFilterEmitter();
        this._changedFields$ = new Subject();
        this._allowMultiOpen = true;
        this._endOfData = false;
        this._pagination = {
            size: 50,
            totalElements: undefined,
            totalPages: undefined,
            number: -1
        };
        this._requestedPage$ = new BehaviorSubject(new PageLoadRequestContext(this.activeFilter, Object.assign({}, this._pagination, { number: 0 })));
        this._panelUpdate$ = new BehaviorSubject([]);
        this._closeTab$ = new ReplaySubject(1);
        this._preferredEndpoint = taskViewConfig?.preferredEndpoint ?? (this._preferredEndpoint ?? TaskEndpoint.MONGO);
        this._initializing = false;
        this._subSearch = this._searchService.activeFilter$.subscribe(() => {
            this.reload();
        });
        const tasksMap$ = this._requestedPage$.pipe(mergeMap(p => this.loadPage(p)), map(pageLoadResult => {
            if (pageLoadResult.requestContext && pageLoadResult.requestContext.clearLoaded) {
                // we set an empty value to the virtual scroll and then replace it by the real value forcing it to redraw its content
                const results = [{ tasks: {}, requestContext: null }, pageLoadResult];
                return arrayToObservable(results);
            }
            else {
                return of(pageLoadResult);
            }
        }), concatMap(o => o), scan((acc, pageLoadResult) => {
            let result;
            if (pageLoadResult.requestContext === null) {
                return pageLoadResult.tasks;
            }
            if (pageLoadResult.requestContext.reloadCurrentTaskPage) {
                Object.keys(acc).forEach(taskId => {
                    if (!pageLoadResult.tasks[taskId]) {
                        delete acc[taskId];
                    }
                    else {
                        pageLoadResult.tasks[taskId].task.dataGroups = acc[taskId].task.dataGroups;
                        pageLoadResult.tasks[taskId].initiallyExpanded = acc[taskId].initiallyExpanded;
                        this.updateTask(acc[taskId].task, pageLoadResult.tasks[taskId].task);
                        this.blockTaskFields(acc[taskId].task, !(acc[taskId].task.userId
                            && this._userComparator.compareUsers(acc[taskId].task.userId)));
                        delete pageLoadResult.tasks[taskId];
                    }
                });
                result = Object.assign(acc, pageLoadResult.tasks);
            }
            else {
                result = { ...acc, ...pageLoadResult.tasks };
            }
            Object.assign(this._pagination, pageLoadResult.requestContext.pagination);
            if (pageLoadResult.requestContext !== null) {
                this._loading$.off(pageLoadResult.requestContext.filter);
            }
            return result;
        }, {}));
        this._tasks$ = tasksMap$.pipe(map(v => Object.values(v)), map(taskArray => {
            if (taskArray.length === 1 && this._initiallyOpenOneTask) {
                taskArray[0].task.finishDate === undefined ?
                    taskArray[0].initiallyExpanded = true :
                    taskArray[0].initiallyExpanded = false;
            }
            return taskArray;
        }), tap(v => this._panelUpdate$.next(v)));
        this._subInitiallyOpen = (taskViewConfig?.initiallyOpenOneTask ?? of(true)).subscribe(bool => {
            this._initiallyOpenOneTask = bool;
        });
        this._subCloseTask = (taskViewConfig?.closeTaskTabOnNoTasks ?? of(true)).subscribe(bool => {
            this._closeTaskTabOnNoTasks = bool;
        });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._changedFields$.complete();
        this._requestedPage$.complete();
        this._panelUpdate$.complete();
        this._closeTab$.complete();
        this._subInitiallyOpen.unsubscribe();
        this._subCloseTask.unsubscribe();
        this._subSearch.unsubscribe();
    }
    get tasks$() {
        return this._tasks$;
    }
    get changedFields$() {
        return this._changedFields$;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get panelUpdate() {
        return this._panelUpdate$.asObservable();
    }
    get closeTab() {
        return this._closeTab$.asObservable();
    }
    get pagination() {
        return this._pagination;
    }
    get activeFilter() {
        return this._searchService.activeFilter;
    }
    set allowMultiOpen(bool) {
        this._allowMultiOpen = bool;
    }
    get allowMultiOpen() {
        return this._allowMultiOpen;
    }
    loadPage(requestContext) {
        if (requestContext === null || requestContext.pageNumber < 0) {
            return of({ tasks: {}, requestContext });
        }
        let params = new HttpParams();
        params = this.addSortParams(params);
        params = this.addPageParams(params, requestContext.pagination);
        this._loading$.on(requestContext.filter);
        let request;
        if (requestContext.filter.bodyContainsQuery() || this._preferredEndpoint === TaskEndpoint.ELASTIC) {
            request = timer(200).pipe(switchMap(() => this._taskService.searchTask(requestContext.filter, params).pipe(take(1))));
        }
        else {
            request = this._taskService.getTasks(requestContext.filter, params).pipe(take(1));
        }
        return request.pipe(catchError(err => {
            this._log.error('Loading tasks has failed!', err);
            this._loading$.off(requestContext.filter);
            return of({ content: [], pagination: { ...this._pagination } });
        }), filter(() => {
            const r = requestContext.filter === this._searchService.activeFilter;
            if (!r) {
                this._loading$.off(requestContext.filter);
                this._log.debug('Received tasks page is no longer relevant since the active filter has changed before it could arrive.'
                    + ' Discarding...');
            }
            return r;
        }), tap(t => {
            Object.assign(requestContext.pagination, t.pagination);
        }), tap(t => {
            if (this._pagination.totalElements && this._pagination.totalElements > 0
                && t.pagination.totalElements === 0 && !Array.isArray(t.content) && this._closeTaskTabOnNoTasks) {
                this._closeTab$.next();
            }
        }), tap(t => {
            this._endOfData = !Array.isArray(t.content)
                || t.content.length === 0
                || t.pagination.number === t.pagination.totalPages;
        }), map(tasks => Array.isArray(tasks.content) ? tasks : { ...tasks, content: [] }), map(tasks => {
            return tasks.content.reduce((acc, curr) => {
                this.blockTaskFields(curr, !(curr.userId && this._userComparator.compareUsers(curr.userId)));
                return {
                    ...acc, [curr.stringId]: {
                        task: curr,
                        changedFields: this._changedFields$,
                        initiallyExpanded: false
                    }
                };
            }, {});
        }), map(tasks => ({ tasks, requestContext })));
    }
    updateTask(old, neww) {
        Object.keys(old).forEach(key => {
            if (!neww.hasOwnProperty(key)) {
                delete old[key];
            }
        });
        Object.keys(neww).forEach(key => {
            if (neww[key] !== undefined && neww[key] !== null) {
                old[key] = neww[key];
            }
        });
        this.blockTaskFields(old, !(old.userId && this._userComparator.compareUsers(old.userId)));
    }
    blockTaskFields(task, block) {
        if (!task.dataGroups) {
            return;
        }
        task.dataGroups.forEach(g => g.fields.forEach(f => f.block = block));
    }
    nextPage(renderedRange, totalLoaded, requestContext) {
        if (requestContext === undefined) {
            requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination);
            requestContext.pagination.number += 1;
        }
        if (this.isLoadingRelevantFilter(requestContext) || this._endOfData) {
            return;
        }
        if (renderedRange.end === totalLoaded) {
            this._requestedPage$.next(requestContext);
        }
    }
    nextPagePagination(length, pageIndex, requestContext) {
        if (requestContext === undefined) {
            requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination);
            requestContext.pagination.size = length;
            requestContext.pagination.number = pageIndex;
        }
        if (this.isLoadingRelevantFilter(requestContext) || this._endOfData) {
            return;
        }
        this._requestedPage$.next(requestContext);
    }
    isLoadingRelevantFilter(requestContext) {
        return requestContext === undefined || (this._loading$.isActiveWithFilter(requestContext.filter) && !requestContext.force);
    }
    reload() {
        if (!this._tasks$ || !this._pagination) {
            return;
        }
        this._endOfData = false;
        const requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination, true);
        requestContext.pagination.number = 0;
        const range = {
            start: -1,
            end: 0
        };
        this.nextPage(range, 0, requestContext);
    }
    reloadCurrentPage(force) {
        if (!this._tasks$ || !this._pagination) {
            return;
        }
        this._endOfData = false;
        const requestContext = new PageLoadRequestContext(this.activeFilter, this._pagination, false, true, force);
        requestContext.pagination.number = 0; // TODO [BUG] - Reloading only first page
        const range = {
            start: -1,
            end: 0
        };
        this.nextPage(range, 0, requestContext);
    }
    getMetaFieldSortId() {
        // TODO Tasks were not sortable on old frontend sorting might require elastic mapping changes on backend
        return this._lastHeaderSearchState.fieldIdentifier;
    }
    getDefaultSortParam() {
        return createSortParam('priority', PaginationSort.DESCENDING);
    }
    addPageParams(params, pagination) {
        params = params.set(PaginationParams.PAGE_SIZE, `${pagination.size}`);
        params = params.set(PaginationParams.PAGE_NUMBER, `${pagination.number}`);
        return params;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskViewService, deps: [{ token: TaskResourceService }, { token: UserService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: SearchService }, { token: LoggerService }, { token: UserComparatorService }, { token: SearchIndexResolverService }, { token: NAE_PREFERRED_TASK_ENDPOINT, optional: true }, { token: NAE_TASK_VIEW_CONFIGURATION, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskViewService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskViewService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskResourceService }, { type: UserService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: SearchService }, { type: LoggerService }, { type: UserComparatorService }, { type: SearchIndexResolverService }, { type: TaskEndpoint, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_PREFERRED_TASK_ENDPOINT]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TASK_VIEW_CONFIGURATION]
                }] }] });

/**
 * Service that handles the logic of assigning a task.
 */
class AssignTaskService extends TaskHandlingService {
    _log;
    _taskResourceService;
    _snackBar;
    _translate;
    _taskState;
    _taskEvent;
    _taskDataService;
    _eventQueue;
    _eventService;
    _changedFieldsService;
    _taskOperations;
    _taskViewService;
    constructor(_log, _taskResourceService, _snackBar, _translate, _taskState, _taskEvent, _taskDataService, _eventQueue, _eventService, _changedFieldsService, _taskOperations, _selectedCaseService, _taskViewService, _taskContentService) {
        super(_taskContentService, _selectedCaseService);
        this._log = _log;
        this._taskResourceService = _taskResourceService;
        this._snackBar = _snackBar;
        this._translate = _translate;
        this._taskState = _taskState;
        this._taskEvent = _taskEvent;
        this._taskDataService = _taskDataService;
        this._eventQueue = _eventQueue;
        this._eventService = _eventService;
        this._changedFieldsService = _changedFieldsService;
        this._taskOperations = _taskOperations;
        this._taskViewService = _taskViewService;
    }
    /**
     * Performs the 'assign' operation on the task held by {@link TaskContentService}.
     *
     * Doesn't send any requests if the loading indicator is in it's active state.
     * Otherwise sets the indicator to the active state and disables it once the request response is received.
     *
     * The argument can be used to chain operations together,
     * or to execute code conditionally based on the success state of the assign operation.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     * @param afterAction if assign completes successfully `true` will be emitted into this Subject, otherwise `false` will be emitted
     */
    assign(afterAction = new AfterAction()) {
        this._eventQueue.scheduleEvent(new QueuedEvent(() => {
            return !this._safeTask.userId;
        }, nextEvent => {
            this.performAssignRequest(afterAction, nextEvent, this._taskViewService !== null && !this._taskViewService.allowMultiOpen);
        }, nextEvent => {
            this.completeSuccess(afterAction, nextEvent);
        }));
    }
    /**
     * Performs an `assign` request on the task currently stored in the `taskContent` service
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param forceReload whether a force reload of the task data should be performed after assign.
     * If set to `false` a regular reload is performed instead.
     */
    performAssignRequest(afterAction, nextEvent, forceReload) {
        const assignedTaskId = this._safeTask.stringId;
        // this is probably no longer necessary because of the event queue
        if (this._taskState.isLoading(assignedTaskId)) {
            nextEvent.resolve(true);
            return;
        }
        this._taskState.startLoading(assignedTaskId);
        this.assignRequest(afterAction, assignedTaskId, nextEvent, forceReload);
    }
    /**
     * Calls the endpoint and processes the possible responses.
     * @param afterAction the action that should be performed after the request is processed
     * @param assignedTaskId the id of the task that is being assigned
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param forceReload whether a force reload of the task data should be performed after assign.
     * If set to `false` a regular reload is performed instead.
     */
    assignRequest(afterAction = new AfterAction(), assignedTaskId, nextEvent = new AfterAction(), forceReload) {
        this._taskResourceService.assignTask(this._safeTask.stringId).pipe(take(1))
            .subscribe((outcomeResource) => {
            this._taskState.stopLoading(assignedTaskId);
            if (!this.isTaskRelevant(assignedTaskId)) {
                this._log.debug('current task changed before the assign response could be received, discarding...');
                nextEvent.resolve(false);
                return;
            }
            if (outcomeResource.success) {
                this._taskContentService.updateStateData(outcomeResource.outcome);
                const changedFieldsMap = this._eventService
                    .parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                if (!!changedFieldsMap) {
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                forceReload ? this._taskOperations.forceReload() : this._taskOperations.reload();
                this.completeActions(afterAction, nextEvent, true, outcomeResource.outcome);
                this._snackBar.openSuccessSnackBar(!!outcomeResource.outcome.message
                    ? outcomeResource.outcome.message
                    : this._translate.instant('tasks.snackbar.assignTaskSuccess'));
            }
            else if (outcomeResource.error) {
                if (outcomeResource.error !== '') {
                    this._snackBar.openErrorSnackBar(outcomeResource.error);
                }
                if (outcomeResource.outcome !== undefined) {
                    const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                this.completeActions(afterAction, nextEvent, false);
            }
        }, error => {
            this._taskState.stopLoading(assignedTaskId);
            this._log.debug('assigning task failed', error);
            if (!this.isTaskRelevant(assignedTaskId)) {
                this._log.debug('current task changed before the assign error could be received');
                nextEvent.resolve(false);
                return;
            }
            this._snackBar.openErrorSnackBar(`${this._translate.instant('tasks.snackbar.assignTask')}
             ${this._taskContentService.task} ${this._translate.instant('tasks.snackbar.failed')}`);
            this.completeActions(afterAction, nextEvent, false);
        });
    }
    /**
     * Reloads the task and emits `true` to the `afterAction` stream
     */
    completeSuccess(afterAction, nextEvent) {
        this._taskOperations.reload();
        this.completeActions(afterAction, nextEvent, true);
    }
    /**
     * complete all action streams and send notification with selected boolean
     */
    completeActions(afterAction, nextEvent, bool, outcome) {
        this.sendNotification(bool, outcome);
        afterAction.resolve(bool);
        nextEvent.resolve(bool);
    }
    /**
     * Publishes an assign notification to the {@link TaskEventService}
     * @param success whether the assign operation was successful or not
     * @param outcome
     */
    sendNotification(success, outcome) {
        this._taskEvent.publishTaskEvent(createTaskEventNotification(this._safeTask, TaskEvent.ASSIGN, success, outcome));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignTaskService, deps: [{ token: LoggerService }, { token: TaskResourceService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: TaskRequestStateService }, { token: TaskEventService }, { token: TaskDataService }, { token: EventQueueService }, { token: EventService }, { token: ChangedFieldsService }, { token: NAE_TASK_OPERATIONS }, { token: SelectedCaseService, optional: true }, { token: TaskViewService, optional: true }, { token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignTaskService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignTaskService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LoggerService }, { type: TaskResourceService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: TaskRequestStateService }, { type: TaskEventService }, { type: TaskDataService }, { type: EventQueueService }, { type: EventService }, { type: ChangedFieldsService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: SelectedCaseService, decorators: [{
                    type: Optional
                }] }, { type: TaskViewService, decorators: [{
                    type: Optional
                }] }, { type: TaskContentService }] });

var SideMenuSize;
(function (SideMenuSize) {
    SideMenuSize["SMALL"] = "side-menu-width-small";
    SideMenuSize["MEDIUM"] = "side-menu-width-medium";
    SideMenuSize["LARGE"] = "side-menu-width-large";
    SideMenuSize["XL"] = "side-menu-width-xl";
})(SideMenuSize || (SideMenuSize = {}));

const NAE_USER_ASSIGN_COMPONENT = new InjectionToken('NaeUserAssignComponent');
const NAE_MULTI_USER_ASSIGN_COMPONENT = new InjectionToken('NaeMultiUserAssignComponent');
const NAE_IMPORT_NET_COMPONENT = new InjectionToken('NaeImportNetComponent');
const NAE_NEW_CASE_COMPONENT = new InjectionToken('NaeNewCaseComponent');
const NAE_OPTION_SELECTOR_COMPONENT = new InjectionToken('NaeOptionSelectorComponent');
const NAE_SAVE_FILTER_COMPONENT = new InjectionToken('NaeSaveFilterComponent');
const NAE_LOAD_FILTER_COMPONENT = new InjectionToken('NaeLoadFilterComponent');
const NAE_USER_IMPERSONATE_COMPONENT = new InjectionToken('NaeUserImpersonateComponent');
const NAE_ADMIN_IMPERSONATE_COMPONENT = new InjectionToken('NaeAdminImpersonateComponent');
const NAE_TASK_VIEW_COMPONENT = new InjectionToken('NaeTaskViewComponent');

const NAE_SIDE_MENU_CONTROL = new InjectionToken('NaeSideMenuControl');

class PortalWrapper {
    _portal;
    _width;
    constructor(_portal, _width) {
        this._portal = _portal;
        this._width = _width;
    }
    get portal() {
        return this._portal;
    }
    get size() {
        return this._width;
    }
}

class SideMenuRef {
    _event$;
    constructor(_event$) {
        this._event$ = _event$;
    }
    get onEvent() {
        return !!this._event$ ? this._event$.asObservable() :
            throwError(new Error('Side menu event stream was not correctly bound to side menu component!'));
    }
    get onClose() {
        return !!this._event$ ? this._event$.pipe(filter((event) => !event.opened)) :
            throwError(new Error('Side menu close event stream was not correctly bound to side menu component!'));
    }
}

class SideMenuControl {
    sideMenuCloseFunction;
    _injectionData;
    isVersionVisible;
    allVersionEnabled;
    _event$;
    _isOpened;
    constructor(bindingsFunction = () => { }, sideMenuOpenedStateChange = of(true), sideMenuCloseFunction, _injectionData, isVersionVisible, allVersionEnabled) {
        this.sideMenuCloseFunction = sideMenuCloseFunction;
        this._injectionData = _injectionData;
        this.isVersionVisible = isVersionVisible;
        this.allVersionEnabled = allVersionEnabled;
        this._event$ = new Subject();
        this._isOpened = new BehaviorSubject(false);
        bindingsFunction(this._event$);
        sideMenuOpenedStateChange.subscribe((opened) => {
            this._isOpened.next(opened);
            if (!opened) {
                this._event$.next({ opened, message: 'Side menu closed unexpectedly' });
                this._event$.complete();
                this._isOpened.complete();
            }
        });
    }
    get data() {
        return this._injectionData;
    }
    isOpened() {
        return this._isOpened.getValue();
    }
    publish(event) {
        this._isOpened.next(event.opened);
        this._event$.next(event);
    }
    close(event) {
        if (!event.message) {
            event.message = 'Side menu is closing';
        }
        this._event$.next({ ...event, opened: false });
        this._isOpened.next(event.opened);
        return this.sideMenuCloseFunction().pipe(tap((closed) => {
            if (closed === 'close') {
                this._event$.complete();
            }
        }));
    }
}

const NAE_NET_VERSION_VISIBLE = new InjectionToken('NaeNetVersionVisible');
const NAE_NET_ALL_VERSIONS = new InjectionToken('NaeNetAllVersion');

class SideMenuService {
    _sideMenuComponent; // SideMenuContainerComponent
    _controlObject;
    isVersionVisible;
    allVersionEnabled;
    constructor(isVersionVisible, allVersionEnabled) {
        this.isVersionVisible = isVersionVisible !== null ? isVersionVisible : true;
        this.allVersionEnabled = allVersionEnabled !== null ? allVersionEnabled : false;
    }
    /**
     * register SideMenuContainerComponent
     *
     * params menu is SideMenuContainerComponent
     */
    registerSideMenu(menu) {
        if (this._sideMenuComponent) {
            throw new Error('SideMenuContainerComponent has been already registered!');
        }
        this._sideMenuComponent = menu;
    }
    isOpened() {
        return this._sideMenuComponent.isOpened();
    }
    /**
     * Open this _sideMenu, and return a Observable that will resolve when it's fully opened (or get rejected if it didn't).
     *
     * @returns Observable<MatDrawerToggleResult>
     */
    open(componentOrTemplateRef, width = SideMenuSize.MEDIUM, injectionData) {
        if (!this.componentIsPresent()) {
            throw new Error('Side menu is not initialized');
        }
        if (this._sideMenuComponent.isOpened()) {
            throw new Error('Side menu has been already opened with another content');
        }
        let ref = new SideMenuRef(null);
        this._controlObject = new SideMenuControl(((event) => {
            ref = new SideMenuRef(event);
        }), this._sideMenuComponent.openedChange(), () => this._sideMenuComponent.close(this._sideMenuComponent), injectionData, this.isVersionVisible, this.allVersionEnabled);
        const wrapper = this._createPortal(componentOrTemplateRef, width, this._controlObject);
        this._sideMenuComponent.open(wrapper).subscribe((opened) => {
            if (opened === 'open') {
                this._controlObject.publish({ opened: true });
            }
        });
        return ref;
    }
    _createPortal(template, size, controlObject) {
        if (template === undefined || template === null) {
            throw new Error('A component template must be provided to open a side menu!');
        }
        if (template instanceof TemplateRef) {
            return new PortalWrapper(new TemplatePortal(template, null), size);
        }
        if (template instanceof Type) {
            const injector = Injector.create({ providers: [{ provide: NAE_SIDE_MENU_CONTROL, useValue: controlObject }] });
            return new PortalWrapper(new ComponentPortal(template, null, injector), size);
        }
    }
    /**
     * Close this _sideMenu, and return a Observable that will resolve when it's fully closed (or get rejected if it didn't).
     *
     * @returns Observable<MatDrawerToggleResult>
     */
    close(closeEvent) {
        return this._controlObject.close(closeEvent);
    }
    /**
     * Toggle this _sideMenu. This is equivalent to calling close() when it's already opened, or open() when it's closed.
     *
     * @param  isOpen  Whether the _sideMenu should be open.
     *
     * @returns open or close side menu
     */
    // public toggle(isOpen?: boolean): Observable<MatDrawerToggleResult> {
    //     return from(this._sideMenu.toggle(isOpen));
    // }
    componentIsPresent() {
        return !!this._sideMenuComponent;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SideMenuService, deps: [{ token: NAE_NET_VERSION_VISIBLE, optional: true }, { token: NAE_NET_ALL_VERSIONS, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SideMenuService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SideMenuService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NET_VERSION_VISIBLE]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NET_ALL_VERSIONS]
                }] }] });

/**
 * Service that handles the logic of delegating a task.
 */
class DelegateTaskService extends TaskHandlingService {
    _log;
    _sideMenuService;
    _taskResourceService;
    _snackBar;
    _translate;
    _taskState;
    _taskEvent;
    _taskDataService;
    _eventQueue;
    _eventService;
    _changedFieldsService;
    _taskOperations;
    _userAssignComponent;
    constructor(_log, _sideMenuService, _taskResourceService, _snackBar, _translate, _taskState, _taskEvent, _taskDataService, _eventQueue, _eventService, _changedFieldsService, _taskOperations, _userAssignComponent, _selectedCaseService, _taskContentService) {
        super(_taskContentService, _selectedCaseService);
        this._log = _log;
        this._sideMenuService = _sideMenuService;
        this._taskResourceService = _taskResourceService;
        this._snackBar = _snackBar;
        this._translate = _translate;
        this._taskState = _taskState;
        this._taskEvent = _taskEvent;
        this._taskDataService = _taskDataService;
        this._eventQueue = _eventQueue;
        this._eventService = _eventService;
        this._changedFieldsService = _changedFieldsService;
        this._taskOperations = _taskOperations;
        this._userAssignComponent = _userAssignComponent;
    }
    /**
     * Performs the 'delegate' operation on the task held by {@link TaskContentService}.
     *
     * Doesn't send any requests if the loading indicator is in it's active state.
     * Otherwise sets the indicator to the active state and disables it once the request response is received.
     *
     * The argument can be used to chain operations together,
     * or to execute code conditionally based on the success state of the delegate operation.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     * @param afterAction if delegate completes successfully `true` will be emitted into this Subject, otherwise `false` will be emitted
     */
    delegate(afterAction = new AfterAction()) {
        const delegatedTaskId = this._safeTask.stringId;
        if (this._taskState.isLoading(delegatedTaskId)) {
            return;
        }
        this._sideMenuService.open(this._userAssignComponent, SideMenuSize.MEDIUM, {
            roles: Object.keys(this._safeTask.roles).filter(role => this._safeTask.roles[role]['assign'] !== undefined && this._safeTask.roles[role]['assign']),
            value: !this._safeTask.userId ? undefined : new UserValue(this._safeTask.userId, '', '', ''),
            negativeRoles: Object.keys(this._safeTask.roles).filter(role => this._safeTask.roles[role]['assign'] !== undefined && !this._safeTask.roles[role]['assign'])
        }).onClose.subscribe(event => {
            this._log.debug('Delegate sidemenu event:' + event);
            if (event.data === undefined) {
                return;
            }
            this._eventQueue.scheduleEvent(new QueuedEvent(() => {
                const result = this.isTaskRelevant(delegatedTaskId);
                if (!result) {
                    this._log.debug('current task changed before the delegate side menu data was received, discarding...');
                }
                return result;
            }, nextEvent => {
                this.performDelegateRequest(afterAction, delegatedTaskId, event.data.id, nextEvent);
            }));
        });
    }
    /**
     * Performs a `delegate` request on the task currently stored in the `taskContent` service
     * @param afterAction the action that should be performed after the request is processed
     * @param delegatedTaskId id of the task that is being delegated
     * @param delegatedUserId id of the user whom the task is being delegated
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    performDelegateRequest(afterAction, delegatedTaskId, delegatedUserId, nextEvent) {
        this._taskState.startLoading(delegatedTaskId);
        this._taskResourceService.delegateTask(this._safeTask.stringId, delegatedUserId).pipe(take(1)).subscribe((outcomeResource) => {
            this._taskState.stopLoading(delegatedTaskId);
            if (!this.isTaskRelevant(delegatedTaskId)) {
                this._log.debug('current task changed before the delegate response could be received, discarding...');
                nextEvent.resolve(false);
                return;
            }
            if (outcomeResource.success) {
                this._taskContentService.updateStateData(outcomeResource.outcome);
                const changedFieldsMap = this._eventService
                    .parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                if (!!changedFieldsMap) {
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                this.completeSuccess(afterAction, nextEvent, outcomeResource.outcome);
            }
            else if (outcomeResource.error) {
                this._snackBar.openErrorSnackBar(outcomeResource.error);
                this.completeActions(afterAction, nextEvent, false);
            }
        }, error => {
            this._taskState.stopLoading(delegatedTaskId);
            this._log.debug('getting task data failed', error);
            if (!this.isTaskRelevant(delegatedTaskId)) {
                this._log.debug('current task changed before the delegate error could be received');
                nextEvent.resolve(false);
                return;
            }
            this._snackBar.openErrorSnackBar(`${this._translate.instant('tasks.snackbar.assignTask')}
                     ${this._task} ${this._translate.instant('tasks.snackbar.failed')}`);
            this.completeActions(afterAction, nextEvent, false);
        });
    }
    /**
     * Reloads the task and emits `true` to the `afterAction` stream
     */
    completeSuccess(afterAction, nextEvent, outcome) {
        this._taskOperations.reload();
        this.completeActions(afterAction, nextEvent, true, outcome);
    }
    /**
     * Completes all the action streams and sends the notification, with the provided result
     */
    completeActions(afterAction, nextEvent, result, outcome) {
        this.sendNotification(result, outcome);
        afterAction.resolve(result);
        nextEvent.resolve(result);
    }
    /**
     * Publishes a delegate notification to the {@link TaskEventService}
     * @param success whether the delegate operation was successful or not
     * @param outcome
     */
    sendNotification(success, outcome) {
        this._taskEvent.publishTaskEvent(createTaskEventNotification(this._safeTask, TaskEvent.DELEGATE, success, outcome));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DelegateTaskService, deps: [{ token: LoggerService }, { token: SideMenuService }, { token: TaskResourceService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: TaskRequestStateService }, { token: TaskEventService }, { token: TaskDataService }, { token: EventQueueService }, { token: EventService }, { token: ChangedFieldsService }, { token: NAE_TASK_OPERATIONS }, { token: NAE_USER_ASSIGN_COMPONENT, optional: true }, { token: SelectedCaseService, optional: true }, { token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DelegateTaskService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DelegateTaskService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LoggerService }, { type: SideMenuService }, { type: TaskResourceService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: TaskRequestStateService }, { type: TaskEventService }, { type: TaskDataService }, { type: EventQueueService }, { type: EventService }, { type: ChangedFieldsService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_USER_ASSIGN_COMPONENT]
                }] }, { type: SelectedCaseService, decorators: [{
                    type: Optional
                }] }, { type: TaskContentService }] });

/**
 * Service that handles the logic of canceling a task.
 */
class CancelTaskService extends TaskHandlingService {
    _log;
    _taskEventService;
    _taskResourceService;
    _translate;
    _snackBar;
    _taskState;
    _userComparator;
    _taskEvent;
    _taskDataService;
    _eventQueue;
    _eventService;
    _changedFieldsService;
    _taskOperations;
    _taskViewService;
    permissionService;
    constructor(_log, _taskEventService, _taskResourceService, _translate, _snackBar, _taskState, _userComparator, _taskEvent, _taskDataService, _eventQueue, _eventService, _changedFieldsService, _taskOperations, _selectedCaseService, _taskViewService, _taskContentService, permissionService) {
        super(_taskContentService, _selectedCaseService);
        this._log = _log;
        this._taskEventService = _taskEventService;
        this._taskResourceService = _taskResourceService;
        this._translate = _translate;
        this._snackBar = _snackBar;
        this._taskState = _taskState;
        this._userComparator = _userComparator;
        this._taskEvent = _taskEvent;
        this._taskDataService = _taskDataService;
        this._eventQueue = _eventQueue;
        this._eventService = _eventService;
        this._changedFieldsService = _changedFieldsService;
        this._taskOperations = _taskOperations;
        this._taskViewService = _taskViewService;
        this.permissionService = permissionService;
    }
    /**
     * Performs the 'cancel' operation on the task held by {@link TaskContentService}.
     *
     * Doesn't send any requests if the loading indicator is in it's active state.
     * Otherwise sets the indicator to the active state and disables it once the request response is received.
     *
     * The argument can be used to chain operations together,
     * or to execute code conditionally based on the success state of the cancel operation.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     * @param afterAction if cancel completes successfully `true` will be emitted into this Subject, otherwise `false` will be emitted
     */
    cancel(afterAction = new AfterAction()) {
        this._eventQueue.scheduleEvent(new QueuedEvent(() => this.permissionService.canCancel(this._safeTask), nextEvent => {
            this.performCancelRequest(afterAction, nextEvent, this._taskViewService !== null && !this._taskViewService.allowMultiOpen);
        }, nextEvent => {
            this.completeActions(afterAction, nextEvent, false);
        }));
    }
    /**
     * Performs a `cancel` request on the task currently stored in the `taskContent` service
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param forceReload whether a force reload of the task data should be performed after cancel.
     * If set to `false` a regular reload is performed instead.
     */
    performCancelRequest(afterAction, nextEvent, forceReload) {
        const canceledTaskId = this._safeTask.stringId;
        // this is probably no longer necessary because of the event queue
        if (this._taskState.isLoading(canceledTaskId)) {
            nextEvent.resolve(true);
            return;
        }
        this._taskState.startLoading(canceledTaskId);
        this.cancelRequest(afterAction, canceledTaskId, nextEvent, forceReload);
    }
    /**
     * Calls the endpoint and processes the possible responses.
     * @param afterAction the action that should be performed after the request is processed
     * @param canceledTaskId the id of the task that is being canceled
     * @param nextEvent indicates to the event queue that the next event can be processed
     * @param forceReload whether a force reload of the task data should be performed after cancel.
     * If set to `false` a regular reload is performed instead.
     */
    cancelRequest(afterAction = new AfterAction(), canceledTaskId, nextEvent = new AfterAction(), forceReload) {
        this._taskResourceService.cancelTask(this._safeTask.stringId).pipe(take(1)).subscribe((outcomeResource) => {
            this._taskState.stopLoading(canceledTaskId);
            if (!this.isTaskRelevant(canceledTaskId)) {
                this._log.debug('current task changed before the cancel response could be received, discarding...');
                nextEvent.resolve(false);
                return;
            }
            if (outcomeResource.success) {
                this._taskContentService.updateStateData(outcomeResource.outcome);
                const changedFieldsMap = this._eventService
                    .parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                if (!!changedFieldsMap) {
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                forceReload ? this._taskOperations.forceReload() : this._taskOperations.reload();
                this.completeActions(afterAction, nextEvent, true, outcomeResource.outcome);
            }
            else if (outcomeResource.error !== undefined) {
                if (outcomeResource.error !== '') {
                    this._snackBar.openErrorSnackBar(outcomeResource.error);
                }
                if (outcomeResource.outcome !== undefined) {
                    const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                this.completeActions(afterAction, nextEvent, false);
            }
        }, error => {
            this._taskState.stopLoading(canceledTaskId);
            this._log.debug('canceling task failed', error);
            if (!this.isTaskRelevant(canceledTaskId)) {
                this._log.debug('current task changed before the cancel error could be received');
                nextEvent.resolve(false);
                return;
            }
            this._snackBar.openErrorSnackBar(`${this._translate.instant('tasks.snackbar.cancelTask')}
             ${this._task} ${this._translate.instant('tasks.snackbar.failed')}`);
            this.completeActions(afterAction, nextEvent, false);
        });
    }
    /**
     * complete all action streams and send notification with selected boolean
     */
    completeActions(afterAction, nextEvent, bool, outcome) {
        this.sendNotification(bool, outcome);
        afterAction.resolve(bool);
        nextEvent.resolve(bool);
    }
    /**
     * Publishes a cancel notification to the {@link TaskEventService}
     * @param success whether the cancel operation was successful or not
     * @param outcome
     */
    sendNotification(success, outcome) {
        this._taskEvent.publishTaskEvent(createTaskEventNotification(this._safeTask, TaskEvent.CANCEL, success, outcome));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CancelTaskService, deps: [{ token: LoggerService }, { token: TaskEventService }, { token: TaskResourceService }, { token: i1$2.TranslateService }, { token: SnackBarService }, { token: TaskRequestStateService }, { token: UserComparatorService }, { token: TaskEventService }, { token: TaskDataService }, { token: EventQueueService }, { token: EventService }, { token: ChangedFieldsService }, { token: NAE_TASK_OPERATIONS }, { token: SelectedCaseService, optional: true }, { token: TaskViewService, optional: true }, { token: TaskContentService }, { token: PermissionService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CancelTaskService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CancelTaskService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LoggerService }, { type: TaskEventService }, { type: TaskResourceService }, { type: i1$2.TranslateService }, { type: SnackBarService }, { type: TaskRequestStateService }, { type: UserComparatorService }, { type: TaskEventService }, { type: TaskDataService }, { type: EventQueueService }, { type: EventService }, { type: ChangedFieldsService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: SelectedCaseService, decorators: [{
                    type: Optional
                }] }, { type: TaskViewService, decorators: [{
                    type: Optional
                }] }, { type: TaskContentService }, { type: PermissionService }] });

/**
 * Service that handles the logic of finishing a task.
 */
class FinishTaskService extends TaskHandlingService {
    _log;
    _taskResourceService;
    _snackBar;
    _translate;
    _taskState;
    _taskDataService;
    _callChain;
    _taskEvent;
    _eventQueue;
    _eventService;
    _changedFieldsService;
    _taskOperations;
    constructor(_log, _taskResourceService, _snackBar, _translate, _taskState, _taskDataService, _callChain, _taskEvent, _eventQueue, _eventService, _changedFieldsService, _taskOperations, _selectedCaseService, _taskContentService) {
        super(_taskContentService, _selectedCaseService);
        this._log = _log;
        this._taskResourceService = _taskResourceService;
        this._snackBar = _snackBar;
        this._translate = _translate;
        this._taskState = _taskState;
        this._taskDataService = _taskDataService;
        this._callChain = _callChain;
        this._taskEvent = _taskEvent;
        this._eventQueue = _eventQueue;
        this._eventService = _eventService;
        this._changedFieldsService = _changedFieldsService;
        this._taskOperations = _taskOperations;
    }
    /**
     * Updates the task data to their current state from backend, checks the validity of the data and
     * sends a finish request to backend.
     *
     * Finish request is not sent if the task contains invalid data.
     *
     * If an update to the data is already in progress waits for it's successful completion and sends the finish request after.
     *
     * @param afterAction if finish request completes successfully `true` will be emitted into this Subject,
     * otherwise `false` will be emitted
     */
    validateDataAndFinish(afterAction = new AfterAction()) {
        if (this.dataIsEmpty()) {
            this._taskDataService.initializeTaskDataFields(this._callChain.create(() => {
                if (this._safeTask.dataSize <= 0 ||
                    (this._taskContentService.validateDynamicEnumField() && this._taskContentService.validateTaskData())) {
                    this.queueFinishTaskRequest(afterAction);
                }
            }));
        }
        else if (this._taskContentService.validateDynamicEnumField() && this._taskContentService.validateTaskData()) {
            const finishedTaskId = this._safeTask.stringId;
            this._taskDataService.updateTaskDataFields(this._callChain.create(success => {
                if (success && this._taskState.isUpdating(finishedTaskId)) {
                    this._taskDataService.updateSuccess$.pipe(take(1)).subscribe(bool => {
                        if (bool) {
                            this.queueFinishTaskRequest(afterAction);
                        }
                    });
                }
                else if (success) {
                    this.queueFinishTaskRequest(afterAction);
                }
            }));
        }
    }
    /**
     * Sends the finish request to backend and notifies the user about the outcome of the operation via a snack bar message.
     *
     * Doesn't send any requests if the loading indicator is in it's active state.
     * Otherwise sets the indicator to the active state and disables it once the request response is received.
     *
     * The argument can be used to chain operations together,
     * or to execute code conditionally based on the success state of the finish request.
     *
     * If the task held within the {@link TaskContentService} changes before a response is received, the response will be ignored
     * and the `afterAction` will not be executed.
     * @param afterAction if finish request completes successfully `true` will be emitted into this Subject,
     * otherwise `false` will be emitted
     */
    queueFinishTaskRequest(afterAction) {
        this._eventQueue.scheduleEvent(new QueuedEvent(() => true, nextEvent => {
            this.performFinishRequest(afterAction, nextEvent);
        }));
    }
    /**
     * Performs a `finish` request on the task currently stored in the `taskContent` service
     * @param afterAction the action that should be performed after the request is processed
     * @param nextEvent indicates to the event queue that the next event can be processed
     */
    performFinishRequest(afterAction, nextEvent) {
        const finishedTaskId = this._safeTask.stringId;
        // this is probably no longer necessary because of the event queue
        if (this._taskState.isLoading(finishedTaskId)) {
            nextEvent.resolve(true);
            return;
        }
        this._taskState.startLoading(finishedTaskId);
        this._taskResourceService.finishTask(this._safeTask.stringId).pipe(take(1))
            .subscribe((outcomeResource) => {
            this._taskState.stopLoading(finishedTaskId);
            if (!this.isTaskRelevant(finishedTaskId)) {
                this._log.debug('current task changed before the finish response could be received, discarding...');
                nextEvent.resolve(false);
                return;
            }
            if (outcomeResource.success) {
                this._taskContentService.updateStateData(outcomeResource.outcome);
                const changedFieldsMap = this._eventService
                    .parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                if (!!changedFieldsMap) {
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                this._taskOperations.reload();
                this.completeActions(afterAction, nextEvent, true, outcomeResource.outcome);
                this._taskOperations.close();
                this._snackBar.openSuccessSnackBar(outcomeResource.outcome.message === undefined
                    ? this._translate.instant('tasks.snackbar.finishTaskSuccess')
                    : outcomeResource.outcome.message);
            }
            else if (outcomeResource.error !== undefined) {
                if (outcomeResource.error !== '') {
                    this._snackBar.openErrorSnackBar(outcomeResource.error);
                }
                if (outcomeResource.outcome !== undefined) {
                    const changedFieldsMap = this._eventService.parseChangedFieldsFromOutcomeTree(outcomeResource.outcome);
                    this._changedFieldsService.emitChangedFields(changedFieldsMap);
                }
                this.completeActions(afterAction, nextEvent, false);
            }
        }, error => {
            this._taskState.stopLoading(finishedTaskId);
            this._log.debug('finishing task failed', error);
            if (!this.isTaskRelevant(finishedTaskId)) {
                this._log.debug('current task changed before the finish error could be received');
                nextEvent.resolve(false);
                return;
            }
            this._snackBar.openErrorSnackBar(`${this._translate.instant('tasks.snackbar.finishTask')}
             ${this._task.title} ${this._translate.instant('tasks.snackbar.failed')}`);
            this.completeActions(afterAction, nextEvent, false);
        });
    }
    /**
     * Completes all the action streams and sends the notification, with the provided result
     */
    completeActions(afterAction, nextEvent, result, outcome) {
        this.sendNotification(result, outcome);
        afterAction.resolve(result);
        nextEvent.resolve(result);
    }
    /**
     * Publishes a finish notification to the {@link TaskEventService}
     * @param success whether the finish operation was successful or not
     * @param outcome TaskEventOutcome
     */
    sendNotification(success, outcome) {
        this._taskEvent.publishTaskEvent(createTaskEventNotification(this._safeTask, TaskEvent.FINISH, success, outcome));
    }
    /**
     * Checks data size
     * @return boolean whether the task contains data or not
     */
    dataIsEmpty() {
        return this._safeTask.dataSize <= 0 || !this._safeTask.dataGroups || this._safeTask.dataGroups.length <= 0;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishTaskService, deps: [{ token: LoggerService }, { token: TaskResourceService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: TaskRequestStateService }, { token: TaskDataService }, { token: CallChainService }, { token: TaskEventService }, { token: EventQueueService }, { token: EventService }, { token: ChangedFieldsService }, { token: NAE_TASK_OPERATIONS }, { token: SelectedCaseService, optional: true }, { token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishTaskService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishTaskService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LoggerService }, { type: TaskResourceService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: TaskRequestStateService }, { type: TaskDataService }, { type: CallChainService }, { type: TaskEventService }, { type: EventQueueService }, { type: EventService }, { type: ChangedFieldsService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: SelectedCaseService, decorators: [{
                    type: Optional
                }] }, { type: TaskContentService }] });

/**
 * Handles the sequence of actions that are performed when a task si [opened]{@link TaskOperations#open}.
 */
class DataFocusPolicyService extends TaskHandlingService {
    constructor(_taskContentService) {
        super(_taskContentService);
    }
    /**
     * Performs the selection of some data fields if the policy is set to [Auto Required]{@link DataFocusPolicy#autoRequired}.
     */
    performDataFocusPolicy() {
        if (this._safeTask.dataFocusPolicy === DataFocusPolicy.autoRequired) {
            this.autoRequiredDataFocusPolicy();
        }
    }
    /**
     * Currently does nothing
     */
    autoRequiredDataFocusPolicy() {
        // TODO Implement focus in FUTURE, if someone wants this feature (for now we don't want it )
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFocusPolicyService, deps: [{ token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFocusPolicyService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DataFocusPolicyService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskContentService }] });

/**
 * Handles the sequence of actions that are performed when a task is being finished, based on the task's configuration.
 */
class FinishPolicyService extends TaskHandlingService {
    _dataFocusPolicyService;
    _finishTaskService;
    _taskOperations;
    constructor(_dataFocusPolicyService, _finishTaskService, _taskOperations, taskContentService) {
        super(taskContentService);
        this._dataFocusPolicyService = _dataFocusPolicyService;
        this._finishTaskService = _finishTaskService;
        this._taskOperations = _taskOperations;
    }
    /**
     * Performs the actions that correspond to the policy defined by the Task when it's finished.
     * @param afterAction the action that should be performed when the finish policy finishes
     */
    performFinishPolicy(afterAction = new AfterAction()) {
        if (this._safeTask.finishPolicy === FinishPolicy.autoNoData && !!this._safeTask.userId) {
            this.autoNoDataFinishPolicy(afterAction);
        }
        else {
            this.manualFinishPolicy(afterAction);
        }
    }
    /**
     * Performs the actions that correspond to the [Auto Finish Policy]{@link FinishPolicy#autoNoData}.
     *
     * If the task has no data performs finish and [closes]{@link TaskOperations#close} the task.
     * Otherwise [opens]{@link TaskOperations#open} it and performs the [data focus policy]{@link DataFocusPolicyService}.
     *
     * @param afterAction the action that should be performed when the finish policy finishes
     */
    autoNoDataFinishPolicy(afterAction) {
        if (this._safeTask.dataSize <= 0) {
            this._finishTaskService.validateDataAndFinish(afterAction);
        }
        else {
            this._taskOperations.open();
            this._dataFocusPolicyService.performDataFocusPolicy();
            afterAction.resolve(true);
        }
    }
    /**
     * Performs the actions that correspond to the [Manual Finish Policy]{@link FinishPolicy#manual}.
     *
     * [Opens]{@link TaskOperations#open} the task and performs the [data focus policy]{@link DataFocusPolicyService}.
     *
     * @param afterAction the action that should be performed when the finish policy finishes
     */
    manualFinishPolicy(afterAction) {
        this._taskOperations.open();
        this._dataFocusPolicyService.performDataFocusPolicy();
        afterAction.next(true);
        afterAction.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishPolicyService, deps: [{ token: DataFocusPolicyService }, { token: FinishTaskService }, { token: NAE_TASK_OPERATIONS }, { token: TaskContentService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishPolicyService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FinishPolicyService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: DataFocusPolicyService }, { type: FinishTaskService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: TaskContentService }] });

/**
 * Handles the sequence of actions that are performed when a task is being assigned, based on the task's configuration.
 */
class AssignPolicyService extends TaskHandlingService {
    _taskDataService;
    _assignTaskService;
    _cancelTaskService;
    _finishPolicyService;
    _callchain;
    _userComparatorService;
    _taskOperations;
    _permissionService;
    _userService;
    _isForced = false;
    constructor(_taskDataService, _assignTaskService, _cancelTaskService, _finishPolicyService, _callchain, _userComparatorService, _taskOperations, taskContentService, _permissionService, _userService) {
        super(taskContentService);
        this._taskDataService = _taskDataService;
        this._assignTaskService = _assignTaskService;
        this._cancelTaskService = _cancelTaskService;
        this._finishPolicyService = _finishPolicyService;
        this._callchain = _callchain;
        this._userComparatorService = _userComparatorService;
        this._taskOperations = _taskOperations;
        this._permissionService = _permissionService;
        this._userService = _userService;
    }
    get forced() {
        return this._isForced;
    }
    set forced(bool) {
        this._isForced = bool;
    }
    /**
     * Performs the actions that correspond to the policy defined by the Task on it's assignment.
     * @param taskOpened whether the Task was 'opened' (eg. task panel is expanding) or 'closed' (eg. task panel is collapsing)
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    performAssignPolicy(taskOpened, afterAction = new AfterAction()) {
        if (!this._userService.isCurrentUserEmpty()) {
            this.performAssign(taskOpened, afterAction);
        }
        else {
            race([
                this._userService.anonymousUser$,
                this._userService.user$
            ])
                .pipe(filter(user => !this._userService.isUserEmpty(user)))
                .pipe(take(1))
                .subscribe(user => this.performAssign(taskOpened, afterAction));
        }
    }
    performAssign(taskOpened, afterAction = new AfterAction()) {
        if (this._safeTask.assignPolicy === AssignPolicy.auto
            && this._permissionService.hasTaskPermission(this._safeTask, PermissionType.ASSIGN)) {
            this.autoAssignPolicy(taskOpened, afterAction);
        }
        else {
            this.manualAssignPolicy(taskOpened, afterAction);
        }
    }
    /**
     * Performs the actions that correspond to the [Auto Assign Policy]{@link AssignPolicy#auto}.
     * @param taskOpened whether the Task was 'opened' (eg. task panel is expanding) or 'closed' (eg. task panel is collapsing)
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    autoAssignPolicy(taskOpened, afterAction) {
        if (taskOpened) {
            this.autoAssignOpenedPolicy(afterAction);
        }
        else {
            this.autoAssignClosedPolicy(afterAction);
        }
    }
    /**
     * Performs the actions that correspond to the [Auto Assign Policy]{@link AssignPolicy#auto}
     * when a task is 'opening' (eg. task panel is expanding).
     *
     * Assigns the task, reloads the current task page, loads task data and performs the finish policy.
     *
     * See [finish policy]{@link FinishPolicyService#performFinishPolicy} for more information.
     *
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    autoAssignOpenedPolicy(afterAction) {
        this._assignTaskService.assign(this._callchain.create((assignSuccess => {
            this.afterAssignOpenPolicy(assignSuccess, afterAction);
        })));
    }
    /**
     * Reloads the current page of tasks if the preceding assign operation succeeded. Then initializes the task's data fields.
     * @param assignSuccess whether the preceding assign succeeded or not
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    afterAssignOpenPolicy(assignSuccess, afterAction) {
        if (!assignSuccess) {
            afterAction.resolve(false);
            return;
        }
        this._taskDataService.initializeTaskDataFields(this._callchain.create((requestSuccessful) => {
            if (requestSuccessful) {
                this._finishPolicyService.performFinishPolicy(afterAction);
            }
            else {
                afterAction.resolve(false);
            }
        }), this._isForced);
    }
    /**
     * Requests a reload of the task and then requests the task to be closed.
     *
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    autoAssignClosedPolicy(afterAction) {
        if (!this._userComparatorService.compareUsers(this._task.userId)) {
            this._taskOperations.close();
            afterAction.next(false);
            afterAction.complete();
            return;
        }
        this._cancelTaskService.cancel(this._callchain.create((requestSuccess) => {
            this._taskOperations.close();
            afterAction.next(requestSuccess);
            afterAction.complete();
        }));
    }
    /**
     * Performs the actions that correspond to the [Manual Assign Policy]{@link AssignPolicy#manual}.
     * @param taskOpened whether the Task was 'opened' (eg. task panel is expanding) or 'closed' (eg. task panel is collapsing)
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    manualAssignPolicy(taskOpened, afterAction) {
        if (taskOpened) {
            this.manualAssignOpenedPolicy(afterAction);
        }
        else {
            afterAction.resolve(false);
        }
    }
    /**
     * Performs the actions that correspond to the [Manual Assign Policy]{@link AssignPolicy#manual}
     * when a task is 'opening' (eg. task panel is expanding).
     *
     * Loads task data and performs the [finish policy]{@link FinishPolicyService#performFinishPolicy}.
     *
     * See [finish policy]{@link FinishPolicyService#performFinishPolicy} for more information.
     *
     * @param afterAction the action that should be performed when the assign policy (and all following policies) finishes
     */
    manualAssignOpenedPolicy(afterAction) {
        this._taskDataService.initializeTaskDataFields(this._callchain.create((requestSuccessful) => {
            if (requestSuccessful) {
                this._finishPolicyService.performFinishPolicy(afterAction);
            }
            else {
                afterAction.resolve(false);
            }
        }), this._isForced);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignPolicyService, deps: [{ token: TaskDataService }, { token: AssignTaskService }, { token: CancelTaskService }, { token: FinishPolicyService }, { token: CallChainService }, { token: UserComparatorService }, { token: NAE_TASK_OPERATIONS }, { token: TaskContentService }, { token: PermissionService }, { token: UserService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignPolicyService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AssignPolicyService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TaskDataService }, { type: AssignTaskService }, { type: CancelTaskService }, { type: FinishPolicyService }, { type: CallChainService }, { type: UserComparatorService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }, { type: TaskContentService }, { type: PermissionService }, { type: UserService }] });

/**
 * An implementation of the {@link TaskOperations} interface that provides a Subject for both operations.
 */
class SubjectTaskOperations {
    _open;
    _close;
    _reload;
    _forceReload;
    constructor() {
        this._open = new Subject();
        this._close = new Subject();
        this._reload = new Subject();
        this._forceReload = new Subject();
    }
    /**
     * Emits into the [open$]{@link SubjectTaskOperations#open$} stream.
     */
    open() {
        this._open.next();
    }
    /**
     * Emits into the [close$]{@link SubjectTaskOperations#close$} stream.
     */
    close() {
        this._close.next();
    }
    /**
     * Emits into the [reload$]{@link SubjectTaskOperations#reload$} stream.
     */
    reload() {
        this._reload.next();
    }
    /**
     * Emits into the [forceReload$]{@link SubjectTaskOperations#forceReload$} stream.
     */
    forceReload() {
        this._forceReload.next();
    }
    get open$() {
        return this._open.asObservable();
    }
    get close$() {
        return this._close.asObservable();
    }
    get reload$() {
        return this._reload.asObservable();
    }
    get forceReload$() {
        return this._forceReload.asObservable();
    }
    /**
     * Completes the underlying streams
     */
    destroy() {
        this._open.complete();
        this._close.complete();
        this._reload.complete();
        this._forceReload.complete();
    }
}

class AbstractTaskPanelComponent extends AbstractPanelWithImmediateDataComponent {
    _taskContentService;
    _log;
    _taskViewService;
    _paperView;
    _taskEventService;
    _assignTaskService;
    _delegateTaskService;
    _cancelTaskService;
    _finishTaskService;
    _taskState;
    _taskDataService;
    _assignPolicyService;
    _finishPolicyService;
    _callChain;
    _taskOperations;
    _disableFunctions;
    _translate;
    _currencyPipe;
    _changedFieldsService;
    _permissionService;
    _taskForceOpen;
    /**
     * @ignore
     * Set by an @Input() on a setter function, that also resolves featured fields.
     */
    _taskPanelData;
    _forceLoadDataOnOpen = false;
    taskListVirtualScroll;
    panelContentComponent;
    first;
    last;
    responsiveBody = true;
    preventCollapse = false;
    hidePanelHeader = false;
    hideActionRow = false;
    actionButtonTemplates;
    actionRowJustifyContent;
    showMoreMenu = true;
    thisContext = {
        canAssign: () => this.canAssign(),
        assign: () => this.assign(),
        getAssignTitle: () => this.getAssignTitle(),
        delegate: () => this.delegate(),
        getDelegateTitle: () => this.getDelegateTitle(),
        canReassign: () => this.canReassign(),
        canCancel: () => this.canCancel(),
        cancel: () => this.cancel(),
        getCancelTitle: () => this.getCancelTitle(),
        canFinish: () => this.canFinish(),
        finish: () => this.finish(),
        getFinishTitle: () => this.getFinishTitle(),
        canCollapse: () => this.canCollapse(),
        collapse: () => this.collapse(),
        canDisable: (arg) => this.canDisable(arg),
        canDo: (arg) => this.canDo(arg),
        isLoading: () => this.isLoading
    };
    set forceLoadDataOnOpen(force) {
        this._forceLoadDataOnOpen = force;
        this._assignPolicyService.forced = force;
    }
    textEllipsis = false;
    /**
     * Emits notifications about task events
     */
    taskEvent;
    panelRefOutput;
    portal;
    panelRef;
    _sub;
    _subTaskEvent;
    _subTaskData;
    _subPanelUpdate;
    _taskDisableButtonFunctions;
    _unsub;
    _canReload;
    constructor(_taskContentService, _log, _taskViewService, _paperView, _taskEventService, _assignTaskService, _delegateTaskService, _cancelTaskService, _finishTaskService, _taskState, _taskDataService, _assignPolicyService, _finishPolicyService, _callChain, _taskOperations, _disableFunctions, _translate, _currencyPipe, _changedFieldsService, _permissionService, overflowService, _taskForceOpen, injectedTabData) {
        super(_translate, _currencyPipe, overflowService);
        this._taskContentService = _taskContentService;
        this._log = _log;
        this._taskViewService = _taskViewService;
        this._paperView = _paperView;
        this._taskEventService = _taskEventService;
        this._assignTaskService = _assignTaskService;
        this._delegateTaskService = _delegateTaskService;
        this._cancelTaskService = _cancelTaskService;
        this._finishTaskService = _finishTaskService;
        this._taskState = _taskState;
        this._taskDataService = _taskDataService;
        this._assignPolicyService = _assignPolicyService;
        this._finishPolicyService = _finishPolicyService;
        this._callChain = _callChain;
        this._taskOperations = _taskOperations;
        this._disableFunctions = _disableFunctions;
        this._translate = _translate;
        this._currencyPipe = _currencyPipe;
        this._changedFieldsService = _changedFieldsService;
        this._permissionService = _permissionService;
        this._taskForceOpen = _taskForceOpen;
        this.taskEvent = new EventEmitter();
        this.panelRefOutput = new EventEmitter();
        this._subTaskEvent = _taskEventService.taskEventNotifications$.subscribe(event => {
            this.taskEvent.emit(event);
        });
        this._subTaskData = _changedFieldsService.changedFields$.subscribe((changedFieldsMap) => {
            const filteredCaseIds = Object.keys(changedFieldsMap).filter(caseId => Object.keys(this._taskContentService.referencedTaskAndCaseIds).includes(caseId));
            const changedFields = [];
            filteredCaseIds.forEach(caseId => {
                const taskIds = this._taskContentService.referencedTaskAndCaseIds[caseId];
                changedFields.push(...this._changedFieldsService.parseChangedFieldsByCaseAndTaskIds(caseId, taskIds, changedFieldsMap));
            });
            changedFields.filter(fields => fields !== undefined).forEach(fields => {
                this.taskPanelData.changedFields.next(fields);
            });
        });
        _taskOperations.open$.subscribe(() => {
            this.expand();
        });
        _taskOperations.close$.subscribe(() => {
            if (!this._taskForceOpen) {
                this.collapse();
            }
        });
        _taskOperations.reload$.subscribe(() => {
            this._taskViewService.reloadCurrentPage();
        });
        _taskOperations.forceReload$.subscribe(() => {
            this._taskViewService.reloadCurrentPage(true);
        });
        this._taskDisableButtonFunctions = {
            finish: (t) => false,
            assign: (t) => false,
            delegate: (t) => false,
            reassign: (t) => false,
            cancel: (t) => false,
        };
        if (_disableFunctions) {
            Object.assign(this._taskDisableButtonFunctions, _disableFunctions);
        }
        if (injectedTabData !== null) {
            this._unsub = injectedTabData.tabSelected$.pipe(filter(bool => bool && this.isExpanded())).subscribe(() => {
                if (this._canReload) {
                    this._taskDataService.initializeTaskDataFields(new AfterAction(), true);
                }
                else {
                    this._canReload = true;
                }
            });
        }
    }
    ngOnInit() {
        super.ngOnInit();
        this._taskContentService.task = this._taskPanelData.task;
        this.createContentPortal();
        this._sub = this._taskPanelData.changedFields.subscribe(chFields => {
            this._taskContentService.updateFromChangedFields(chFields);
        });
        this._subPanelUpdate = this._taskViewService.panelUpdate.pipe(map(a => a.find(p => p.task.stringId === this.taskPanelData.task.stringId)), filter(p => !!p)).subscribe(value => {
            this.resolveFeaturedFieldsValues();
        });
    }
    ngAfterViewInit() {
        this.panelRef.opened.subscribe(() => {
            this._taskContentService.expansionStarted();
            if (!this._taskState.isLoading()) {
                this._assignPolicyService.performAssignPolicy(true);
            }
        });
        this.panelRef.closed.subscribe(() => {
            if (!this._taskState.isLoading()) {
                this._assignPolicyService.performAssignPolicy(false);
            }
        });
        this.panelRef.afterExpand.subscribe(() => {
            this._taskContentService.$shouldCreate.pipe(take(1)).subscribe(() => {
                this._taskContentService.blockFields(this.hasNoFinishPermission());
                this._taskPanelData.initiallyExpanded = true;
            });
            this._taskContentService.expansionFinished();
        });
        this.panelRef.afterCollapse.subscribe(() => {
            this._taskPanelData.initiallyExpanded = false;
        });
        if (this._taskPanelData.initiallyExpanded || this._taskForceOpen) {
            this.panelRef.expanded = true;
        }
    }
    set taskPanelData(data) {
        this._taskPanelData = data;
        this.resolveFeaturedFieldsValues();
    }
    get taskPanelData() {
        return this._taskPanelData;
    }
    get isLoading() {
        return this._taskState.isLoading();
    }
    stopLoading() {
        this._taskState.stopLoading(this._taskPanelData.task.stringId);
    }
    preventPanelOpen($event) {
        $event.stopPropagation();
        return false;
    }
    isPaperView() {
        return this._paperView.paperView;
    }
    setPanelRef(panelRef) {
        this.panelRef = panelRef;
        this.panelRefOutput.emit(panelRef);
    }
    assign() {
        this._assignTaskService.assign(this._callChain.create((afterAction => {
            if (afterAction) {
                this._taskDataService.initializeTaskDataFields();
                this._finishPolicyService.performFinishPolicy();
            }
        })));
    }
    delegate() {
        this._delegateTaskService.delegate();
    }
    cancel() {
        this._cancelTaskService.cancel(this._callChain.create(() => {
            this._taskOperations.reload();
            this._taskOperations.close();
        }));
    }
    finish() {
        if (!this._taskContentService.validateTaskData()) {
            if (this._taskContentService.task.dataSize <= 0) {
                this._taskDataService.initializeTaskDataFields();
            }
            const invalidFields = this._taskContentService.getInvalidTaskData();
            document.getElementById(invalidFields[0].stringId).scrollIntoView({
                behavior: 'smooth',
                block: 'start',
                inline: 'nearest'
            });
        }
        else {
            this._finishTaskService.validateDataAndFinish();
        }
    }
    collapse() {
        this.panelRef.close();
        this.panelRef.expanded = false;
    }
    expand() {
        this.panelRef.open();
        this.panelRef.expanded = true;
    }
    canAssign() {
        return this._permissionService.canAssign(this.taskPanelData.task) && this.getAssignTitle() !== '';
    }
    canReassign() {
        return this._permissionService.canReassign(this.taskPanelData.task);
    }
    canCancel() {
        return this._permissionService.canCancel(this.taskPanelData.task) && this.getCancelTitle() !== '';
    }
    canFinish() {
        return this._permissionService.canFinish(this.taskPanelData.task) && this.getFinishTitle() !== '';
    }
    hasNoFinishPermission() {
        return !this._permissionService.canFinish(this.taskPanelData.task);
    }
    canCollapse() {
        return this._taskForceOpen ? false : this._permissionService.canCollapse(this.taskPanelData.task);
    }
    canDo(action) {
        return this._permissionService.hasTaskPermission(this.taskPanelData.task, action) && this.getDelegateTitle() !== '';
    }
    getAssignTitle() {
        return (this.taskPanelData.task.assignTitle === '' || this.taskPanelData.task.assignTitle)
            ? this.taskPanelData.task.assignTitle : 'tasks.view.assign';
    }
    getCancelTitle() {
        return (this.taskPanelData.task.cancelTitle === '' || this.taskPanelData.task.cancelTitle)
            ? this.taskPanelData.task.cancelTitle : 'tasks.view.cancel';
    }
    getDelegateTitle() {
        return (this.taskPanelData.task.delegateTitle === '' || this.taskPanelData.task.delegateTitle)
            ? this.taskPanelData.task.delegateTitle : 'tasks.view.delegate';
    }
    getFinishTitle() {
        return (this.taskPanelData.task.finishTitle === '' || this.taskPanelData.task.finishTitle)
            ? this.taskPanelData.task.finishTitle : 'tasks.view.finish';
    }
    canDisable(type) {
        let disable = false;
        if (!!this.taskPanelData && !!this.taskPanelData.task) {
            disable = disable
                || !!this._taskState.isLoading(this.taskPanelData.task.stringId)
                || !!this._taskState.isUpdating(this.taskPanelData.task.stringId);
        }
        return disable || this._taskDisableButtonFunctions[type]({ ...this._taskContentService.task });
    }
    getFeaturedMetaValue(selectedHeader) {
        const task = this._taskPanelData.task;
        switch (selectedHeader.fieldIdentifier) {
            case TaskMetaField.CASE:
                return { value: task.caseTitle, icon: '', type: 'meta' };
            case TaskMetaField.CASE_ID:
                return { value: task.caseId, icon: '', type: 'meta' };
            case TaskMetaField.TASK_ID:
                return { value: task.stringId, icon: '', type: 'meta' };
            case TaskMetaField.TITLE:
                return { value: task.title, icon: '', type: 'meta' };
            case TaskMetaField.PRIORITY:
                // TODO priority
                if (!task.priority || task.priority < 2) {
                    return { value: 'high', icon: 'error', type: 'meta' };
                }
                if (task.priority === 2) {
                    return { value: 'medium', icon: 'north', type: 'meta' };
                }
                return { value: 'low', icon: 'south', type: 'meta' };
            case TaskMetaField.USER:
                //TODO: refactor after User refactor PR is merged
                return { value: task.userId ? task.userId : '', icon: 'account_circle', type: 'meta' };
            case TaskMetaField.ASSIGN_DATE:
                return {
                    value: task.startDate ? toMoment(task.startDate).format(DATE_TIME_FORMAT_STRING) : '',
                    icon: 'event',
                    type: 'meta'
                };
        }
    }
    getFeaturedImmediateValue(selectedHeader) {
        if (this._taskContentService.task && this._taskContentService.task.immediateData) {
            const immediate = this._taskContentService.task.immediateData.find(it => it.stringId === selectedHeader.fieldIdentifier);
            return this.parseImmediateValue(immediate);
        }
        return { value: '', icon: '', type: '' };
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._sub.unsubscribe();
        this._subTaskEvent.unsubscribe();
        this._subTaskData.unsubscribe();
        this._taskOperations.destroy();
        this._subPanelUpdate.unsubscribe();
        this.taskEvent.complete();
        if (this._unsub) {
            this._unsub.unsubscribe();
        }
    }
    isForceOpen() {
        return this._taskForceOpen && !!this.taskListVirtualScroll?.getElementRef()?.nativeElement;
    }
    getContentMinHeight() {
        return this.taskListVirtualScroll.getElementRef().nativeElement.offsetHeight - 32 + 'px';
    }
    isExpanded() {
        return this.panelRef?.expanded && !this._taskContentService?.isExpanding;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskPanelComponent, deps: [{ token: TaskContentService }, { token: LoggerService }, { token: TaskViewService }, { token: PaperViewService }, { token: TaskEventService }, { token: AssignTaskService }, { token: DelegateTaskService }, { token: CancelTaskService }, { token: FinishTaskService }, { token: TaskRequestStateService }, { token: TaskDataService }, { token: AssignPolicyService }, { token: FinishPolicyService }, { token: CallChainService }, { token: SubjectTaskOperations }, { token: NAE_TASK_PANEL_DISABLE_BUTTON_FUNCTIONS, optional: true }, { token: i1$2.TranslateService }, { token: i2.CurrencyPipe }, { token: ChangedFieldsService }, { token: PermissionService }, { token: OverflowService, optional: true }, { token: NAE_TASK_FORCE_OPEN, optional: true }, { token: NAE_TAB_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskPanelComponent, selector: "ncc-abstract-legal-notice", inputs: { taskListVirtualScroll: "taskListVirtualScroll", panelContentComponent: "panelContentComponent", first: "first", last: "last", responsiveBody: "responsiveBody", preventCollapse: "preventCollapse", hidePanelHeader: "hidePanelHeader", hideActionRow: "hideActionRow", actionButtonTemplates: "actionButtonTemplates", actionRowJustifyContent: "actionRowJustifyContent", showMoreMenu: "showMoreMenu", forceLoadDataOnOpen: "forceLoadDataOnOpen", textEllipsis: "textEllipsis", taskPanelData: "taskPanelData" }, outputs: { taskEvent: "taskEvent", panelRefOutput: "panelRefOutput" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskPanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-legal-notice',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskContentService }, { type: LoggerService }, { type: TaskViewService }, { type: PaperViewService }, { type: TaskEventService }, { type: AssignTaskService }, { type: DelegateTaskService }, { type: CancelTaskService }, { type: FinishTaskService }, { type: TaskRequestStateService }, { type: TaskDataService }, { type: AssignPolicyService }, { type: FinishPolicyService }, { type: CallChainService }, { type: SubjectTaskOperations }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TASK_PANEL_DISABLE_BUTTON_FUNCTIONS]
                }] }, { type: i1$2.TranslateService }, { type: i2.CurrencyPipe }, { type: ChangedFieldsService }, { type: PermissionService }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TASK_FORCE_OPEN]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }], propDecorators: { taskListVirtualScroll: [{
                type: Input
            }], panelContentComponent: [{
                type: Input
            }], first: [{
                type: Input
            }], last: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], preventCollapse: [{
                type: Input
            }], hidePanelHeader: [{
                type: Input
            }], hideActionRow: [{
                type: Input
            }], actionButtonTemplates: [{
                type: Input
            }], actionRowJustifyContent: [{
                type: Input
            }], showMoreMenu: [{
                type: Input
            }], forceLoadDataOnOpen: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }], taskEvent: [{
                type: Output
            }], panelRefOutput: [{
                type: Output
            }], taskPanelData: [{
                type: Input
            }] } });

class TabbedVirtualScrollComponent {
    _showVirtualScroll = false;
    _sub;
    constructor(injectedTabData) {
        if (injectedTabData === null) {
            this._showVirtualScroll = true;
        }
        else {
            this._sub = injectedTabData.tabSelected$.pipe(filter(bool => bool), take(1)).subscribe(() => {
                this._showVirtualScroll = true;
            });
        }
    }
    ngOnDestroy() {
        if (this._sub) {
            this._sub.unsubscribe();
        }
    }
    get showVirtualScroll() {
        return this._showVirtualScroll;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TabbedVirtualScrollComponent, deps: [{ token: NAE_TAB_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: TabbedVirtualScrollComponent, selector: "ncc-abstract-tabbed-virtual-scroll", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TabbedVirtualScrollComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tabbed-virtual-scroll',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }] });

class AbstractDefaultTaskListComponent extends TabbedVirtualScrollComponent {
    _taskViewService;
    _log;
    route;
    _tasks$;
    _redirectTaskId;
    _unsubscribe$;
    _allowMultiOpen = true;
    _taskPanelRefs;
    loading$;
    selectedHeaders$;
    responsiveBody = true;
    forceLoadDataOnOpen = false;
    textEllipsis = false;
    showMoreMenu = true;
    set allowMultiOpen(bool) {
        this._allowMultiOpen = bool;
        this._taskViewService.allowMultiOpen = bool;
    }
    get allowMultiOpen() {
        return this._allowMultiOpen;
    }
    /**
     * Emits notifications about task events
     */
    taskEvent;
    _unsub;
    _canReload;
    constructor(_taskViewService, _log, injectedTabData, route) {
        super(injectedTabData);
        this._taskViewService = _taskViewService;
        this._log = _log;
        this.route = route;
        this.taskEvent = new EventEmitter();
        this._taskPanelRefs = new Map();
        this._unsubscribe$ = new Subject();
        if (injectedTabData !== null) {
            this._unsub = injectedTabData.tabSelected$.pipe(filter(bool => bool)).subscribe(() => {
                if (this._canReload) {
                    this._taskViewService.reloadCurrentPage();
                }
                else {
                    this._canReload = true;
                }
            });
        }
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.taskEvent.complete();
        this._unsubscribe$.complete();
        if (this._unsub) {
            this._unsub.unsubscribe();
        }
    }
    ngAfterViewInit() {
        this.onRedirect();
    }
    trackBy(_idx, item) {
        return item.task.stringId;
    }
    /**
     * Emits an event into this component's @Output attribute
     * @param event the event that will be emitted
     */
    emitTaskEvent(event) {
        this.taskEvent.emit(event);
    }
    addToPanelRefs(task, panelRef) {
        this._taskPanelRefs.set(task.task.stringId, panelRef);
    }
    onRedirect() {
        this.route.queryParams.pipe(filter(pm => !!pm['taskId'])).subscribe(pm => {
            this._redirectTaskId = pm['taskId'];
            this._tasks$.pipe().subscribe(tasks => {
                const task = tasks.find(t => t.task.stringId === this._redirectTaskId);
                if (!!task && !task.initiallyExpanded) {
                    this._taskPanelRefs.get(this._redirectTaskId).open();
                    this._taskPanelRefs.get(this._redirectTaskId).expanded = true;
                    this._unsubscribe$.next();
                }
            });
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultTaskListComponent, deps: [{ token: TaskViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDefaultTaskListComponent, selector: "ncc-abstract-default-task-list", inputs: { loading$: "loading$", selectedHeaders$: "selectedHeaders$", responsiveBody: "responsiveBody", forceLoadDataOnOpen: "forceLoadDataOnOpen", textEllipsis: "textEllipsis", showMoreMenu: "showMoreMenu", allowMultiOpen: "allowMultiOpen" }, outputs: { taskEvent: "taskEvent" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultTaskListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-default-task-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { loading$: [{
                type: Input
            }], selectedHeaders$: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], forceLoadDataOnOpen: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }], showMoreMenu: [{
                type: Input
            }], allowMultiOpen: [{
                type: Input
            }], taskEvent: [{
                type: Output
            }] } });

class AbstractTaskListComponent extends AbstractDefaultTaskListComponent {
    _taskViewService;
    _log;
    route;
    set tasks$(tasks) {
        this._tasks$ = tasks;
    }
    get tasks$() {
        return this._tasks$;
    }
    viewport;
    constructor(_taskViewService, _log, injectedTabData, route) {
        super(_taskViewService, _log, injectedTabData, route);
        this._taskViewService = _taskViewService;
        this._log = _log;
        this.route = route;
    }
    loadNextPage() {
        if (!this.viewport) {
            return;
        }
        this._taskViewService.nextPage(this.viewport.getRenderedRange(), this.viewport.getDataLength());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskListComponent, deps: [{ token: TaskViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskListComponent, selector: "ncc-abstract-task-list", inputs: { tasks$: "tasks$" }, viewQueries: [{ propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { tasks$: [{
                type: Input
            }], viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

class AbstractTaskListPaginationComponent extends AbstractDefaultTaskListComponent {
    _taskViewService;
    _log;
    route;
    length;
    pageSize = 20;
    pageIndex = 0;
    pageSizeOptions = [10, 20, 50];
    disabled;
    set tasks$(tasks) {
        this._tasks$ = tasks.pipe((tap(() => {
            this.length = this._taskViewService.pagination.totalElements;
            this.pageIndex = this._taskViewService.pagination.number;
        })));
    }
    get tasks$() {
        return this._tasks$;
    }
    constructor(_taskViewService, _log, injectedTabData, route) {
        super(_taskViewService, _log, injectedTabData, route);
        this._taskViewService = _taskViewService;
        this._log = _log;
        this.route = route;
    }
    onPageChanged(e) {
        this.pageIndex = e.pageIndex;
        this.pageSize = e.pageSize;
        this._taskViewService.nextPagePagination(this.pageSize, this.pageIndex);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskListPaginationComponent, deps: [{ token: TaskViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskListPaginationComponent, selector: "ncc-abstract-task-list-pagination-component", inputs: { disabled: "disabled", tasks$: "tasks$" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskListPaginationComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-list-pagination-component',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { disabled: [{
                type: Input
            }], tasks$: [{
                type: Input
            }] } });

var WorkflowMetaField;
(function (WorkflowMetaField) {
    WorkflowMetaField["INITIALS"] = "initials";
    WorkflowMetaField["NET_ID"] = "netId";
    WorkflowMetaField["TITLE"] = "title";
    WorkflowMetaField["VERSION"] = "version";
    WorkflowMetaField["AUTHOR"] = "author";
    WorkflowMetaField["CREATION_DATE"] = "creationDate";
})(WorkflowMetaField || (WorkflowMetaField = {}));

/**
 * An InjectionToken that can be used to set the process filter in workflow view
 */
const NAE_WORKFLOW_SERVICE_FILTER = new InjectionToken('NaeWorkflowServiceFilter');
/**
 * An InjectionToken that can be used to enable/disable process delete confirmation dialog
 */
const NAE_WORKFLOW_SERVICE_CONFIRM_DELETE = new InjectionToken('NaeWorkflowServiceConfirmDelete');

class WorkflowViewService extends AbstractSortableViewComponent {
    _petriNetResource;
    _log;
    _dialogService;
    _snackBarService;
    _translate;
    // TODO 19.10.2020 - Add support for requests with context (filter), same as Case- and TaskViewServices
    _loading$;
    _workflows$;
    _clear;
    _nextPage$;
    _endOfData;
    _pagination;
    _baseFilter;
    _showDeleteConfirmationDialog;
    constructor(_petriNetResource, _log, _dialogService, _snackBarService, _translate, resolver, injectedBaseFilter, confirmDelete) {
        super(resolver);
        this._petriNetResource = _petriNetResource;
        this._log = _log;
        this._dialogService = _dialogService;
        this._snackBarService = _snackBarService;
        this._translate = _translate;
        this._loading$ = new LoadingEmitter();
        this._clear = false;
        this._endOfData = false;
        this._pagination = {
            size: 25,
            totalElements: undefined,
            totalPages: undefined,
            number: -1
        };
        this._nextPage$ = new BehaviorSubject(Object.assign({}, this._pagination, { number: 0 }));
        this._baseFilter = injectedBaseFilter !== null ? injectedBaseFilter : {};
        this._showDeleteConfirmationDialog = confirmDelete === null || confirmDelete;
        const workflowsMap = this._nextPage$.pipe(mergeMap(p => this.loadPage(p)), map(petriNets => {
            if (this._clear) {
                // we set an empty value to the virtual scroll and then replace it by the real value forcing it to redraw its content
                const results = [{ content: [], stopLoading: false }, { content: petriNets, stopLoading: true }];
                return arrayToObservable(results);
            }
            else {
                return of({ content: petriNets, stopLoading: true });
            }
        }), concatMap(o => o), map(o => {
            if (o.stopLoading) {
                this._loading$.off();
            }
            return o.content;
        }), map(petriNets => {
            return petriNets.reduce((acc, cur) => {
                return { ...acc, [cur.stringId]: cur };
            }, {});
        }), scan((acc, petriNetsMap) => {
            if (this._clear) {
                this._clear = false;
                return { ...petriNetsMap };
            }
            return { ...acc, ...petriNetsMap };
        }, {}));
        this._workflows$ = workflowsMap.pipe(map(v => Object.values(v)));
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._loading$.complete();
        this._nextPage$.complete();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get workflows$() {
        return this._workflows$;
    }
    loadPage(pageRequest) {
        if (pageRequest.number < 0) {
            return of([]);
        }
        let params = new HttpParams();
        params = this.addSortParams(params);
        params = this.addPageParams(params, pageRequest);
        this._loading$.on();
        return this._petriNetResource.searchPetriNets(this._baseFilter, params).pipe(catchError(err => {
            this._log.error('Loading Petri nets has failed!', err);
            return of({ content: [], pagination: { ...this._pagination } });
        }), tap(res => {
            Object.assign(this._pagination, res.pagination);
        }), tap(res => {
            this._endOfData = !hasContent(res)
                || res.pagination.number === res.pagination.totalPages - 1;
        }), map((netsPage) => {
            if (hasContent(netsPage)) {
                const array = [];
                netsPage.content.forEach(net => {
                    array.push(new Net(net));
                });
                return array;
            }
            return [];
        }));
    }
    nextPage(renderedRange, totalLoaded, pagination) {
        if (this._endOfData) {
            return;
        }
        if (renderedRange.end === totalLoaded) {
            let p = pagination;
            if (p === undefined) {
                p = Object.assign({}, this._pagination);
                p.number += 1;
            }
            this._nextPage$.next(p);
        }
    }
    reload() {
        if (!this._workflows$ || !this._pagination) {
            return;
        }
        this._endOfData = false;
        this._clear = true;
        const p = Object.assign({}, this._pagination);
        p.number = 0;
        const range = {
            start: -1,
            end: 0
        };
        this.nextPage(range, 0, p);
    }
    /**
     * Opens a dialog (if configured) and then asks the service to delete the selected workflow.
     * @param workflow the workflow that should be deleted
     */
    deleteWorkflow(workflow) {
        if (this._showDeleteConfirmationDialog) {
            const confirmationText = this._translate.instant('workflow.delete').toUpperCase();
            this._dialogService.openPromptDialog(this._translate.instant('workflow.dialog.header', { name: workflow.title, version: workflow.version }), this._translate.instant('workflow.dialog.content'), this._translate.instant('workflow.dialog.typeToConfirm', { delete: confirmationText }))
                .afterClosed().subscribe(result => {
                if (result !== undefined && result.prompt === confirmationText) {
                    this._deleteWorkflow(workflow);
                }
                else {
                    this._snackBarService.openGenericSnackBar(this._translate.instant('workflow.snackBar.deleteCanceled'), 'info');
                }
            });
        }
        else {
            this._deleteWorkflow(workflow);
        }
    }
    /**
     * Sends the workflow delete to backend and processes the result.
     * @param workflow the workflow that should be deleted
     */
    _deleteWorkflow(workflow) {
        this._petriNetResource.deletePetriNet(workflow.stringId).subscribe(response => {
            this._snackBarService.openSuccessSnackBar(this._translate.instant('workflow.snackBar.deleteInProgress'));
            this._log.info('Process delete success. Server response: ' + response.success);
            this.reload();
        }, error => {
            this._snackBarService.openErrorSnackBar(this._translate.instant('workflow.snackBar.deleteError'));
            this._log.error('Process delete failed. Server response: ' + error);
        });
    }
    getMetaFieldSortId() {
        return this._lastHeaderSearchState.fieldIdentifier;
    }
    getDefaultSortParam() {
        // TODO 7.4.2020 - workflow sorting and searching
        return '';
    }
    addPageParams(params, pagination) {
        params = params.set(PaginationParams.PAGE_SIZE, `${pagination.size}`);
        params = params.set(PaginationParams.PAGE_NUMBER, `${pagination.number}`);
        return params;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowViewService, deps: [{ token: PetriNetResourceService }, { token: LoggerService }, { token: DialogService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: SearchIndexResolverService }, { token: NAE_WORKFLOW_SERVICE_FILTER, optional: true }, { token: NAE_WORKFLOW_SERVICE_CONFIRM_DELETE, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowViewService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowViewService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: PetriNetResourceService }, { type: LoggerService }, { type: DialogService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: SearchIndexResolverService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_WORKFLOW_SERVICE_FILTER]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_WORKFLOW_SERVICE_CONFIRM_DELETE]
                }] }] });

class AbstractWorkflowPanelComponent extends AbstractPanelWithHeaderBindingComponent {
    _log;
    _translate;
    _workflowService;
    _petriNetResource;
    _overflowService;
    workflow;
    responsiveBody = true;
    showDeleteMenu = false;
    first;
    last;
    panelRef;
    panelContent;
    _subscription;
    TRANSLATION_NET = 'panel.workflow.net';
    TRANSLATION_TITLE = 'panel.workflow.title';
    TRANSLATION_VERSION = 'panel.workflow.version';
    TRANSLATION_AUTHOR = 'panel.workflow.author';
    TRANSLATION_UPLOAD = 'panel.workflow.upload';
    dataFieldsBehaviour = { visible: true, editable: false };
    constructor(_log, _translate, _workflowService, _petriNetResource, _overflowService) {
        super(_overflowService);
        this._log = _log;
        this._translate = _translate;
        this._workflowService = _workflowService;
        this._petriNetResource = _petriNetResource;
        this._overflowService = _overflowService;
        this._subscription = _translate.onLangChange.subscribe((event) => {
            this.panelContent.netIdentifier.title = this._translate.instant(this.TRANSLATION_NET);
            this.panelContent.title.title = this._translate.instant(this.TRANSLATION_TITLE);
            this.panelContent.version.title = this._translate.instant(this.TRANSLATION_VERSION);
            this.panelContent.author.title = this._translate.instant(this.TRANSLATION_AUTHOR);
            this.panelContent.uploaded.title = this._translate.instant(this.TRANSLATION_UPLOAD);
        });
    }
    ngOnInit() {
        super.ngOnInit();
        this.panelContent = this.createPanelContent();
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this._subscription.unsubscribe();
    }
    show(event) {
        event.stopPropagation();
        return false;
    }
    collapse() {
    }
    setPanelRef(panelRef) {
        this.panelRef = panelRef;
    }
    /**
     * Handles the logic that should be executed when the "delete workflow" button is clicked.
     *
     * Calls the appropriate method in the {@link WorkflowViewService}.
     */
    deleteWorkflow() {
        this._workflowService.deleteWorkflow(this.workflow);
    }
    /**
     * Handles the logic that should be executed when the "download workflow" button is clicked.
     *
     * Calls the appropriate method in the {@link WorkflowViewService}.
     */
    downloadNetFile() {
        this._petriNetResource.getNetFile(this.workflow.stringId).subscribe(response => {
            if (!response.type || response.type !== ProgressType.DOWNLOAD) {
                this._log.debug(`File ${this.workflow.identifier} was successfully downloaded`);
                this.downloadViaAnchor(response);
            }
        }, error => {
            this._log.error(`Downloading file ${this.workflow.identifier} has failed!`, error);
        });
    }
    downloadViaAnchor(blob) {
        const a = document.createElement('a');
        document.body.appendChild(a);
        a.setAttribute('style', 'display: none');
        blob = new Blob([blob], { type: blob.type });
        const url = window.URL.createObjectURL(blob);
        a.href = url;
        a.download = this.workflow.identifier;
        a.click();
        window.URL.revokeObjectURL(url);
        document.body.removeChild(a);
    }
    /**
     * Populate data fields group for every petri net model
     */
    createPanelContent() {
        return {
            netIdentifier: new TextField('', this._translate.instant(this.TRANSLATION_NET), this.workflow.identifier, this.dataFieldsBehaviour),
            title: new TextField('', this._translate.instant(this.TRANSLATION_TITLE), this.workflow.title, this.dataFieldsBehaviour),
            version: new TextField('', this._translate.instant(this.TRANSLATION_VERSION), this.workflow.version, this.dataFieldsBehaviour),
            author: new TextField('', this._translate.instant(this.TRANSLATION_AUTHOR), this.workflow.author.fullName, this.dataFieldsBehaviour),
            uploaded: new DateTimeField('', this._translate.instant(this.TRANSLATION_UPLOAD), toMoment(this.workflow.createdDate), this.dataFieldsBehaviour)
        };
    }
    resolveFeaturedFieldsValues() {
        if (!this._lastSelectedHeaders) {
            return;
        }
        this.featuredFieldsValues.splice(0, this.featuredFieldsValues.length);
        this._lastSelectedHeaders.forEach(header => {
            this.featuredFieldsValues.push(this.getFeaturedValue(header));
        });
    }
    getFeaturedMetaValue(selectedHeader) {
        switch (selectedHeader.fieldIdentifier) {
            case WorkflowMetaField.INITIALS:
                return { value: this.workflow.initials, icon: '', type: 'meta' };
            case WorkflowMetaField.TITLE:
                return { value: this.workflow.title, icon: '', type: 'meta' };
            case WorkflowMetaField.NET_ID:
                return { value: this.workflow.stringId, icon: '', type: 'meta' };
            case WorkflowMetaField.VERSION:
                return { value: this.workflow.version, icon: '', type: 'meta' };
            case WorkflowMetaField.AUTHOR:
                return { value: this.workflow.author.fullName, icon: 'account_circle', type: 'meta' };
            case WorkflowMetaField.CREATION_DATE:
                return { value: toMoment(this.workflow.createdDate).format(DATE_TIME_FORMAT_STRING), icon: 'event', type: 'meta' };
        }
    }
    getFeaturedImmediateValue(selectedHeader) {
        this._log.warn('Immediate data in workflow panel headers are currently not supported');
        return { value: '', icon: '', type: '' };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractWorkflowPanelComponent, deps: [{ token: LoggerService }, { token: i1$2.TranslateService }, { token: WorkflowViewService }, { token: PetriNetResourceService }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractWorkflowPanelComponent, selector: "ncc-abstract-workflow-panel", inputs: { workflow: "workflow", responsiveBody: "responsiveBody", showDeleteMenu: "showDeleteMenu", first: "first", last: "last" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractWorkflowPanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-workflow-panel',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: i1$2.TranslateService }, { type: WorkflowViewService }, { type: PetriNetResourceService }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }], propDecorators: { workflow: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], showDeleteMenu: [{
                type: Input
            }], first: [{
                type: Input
            }], last: [{
                type: Input
            }] } });

/**
 * Provides necessary data for the display of immediate filter fields on panels
 */
const NAE_FILTER_TEXT = new InjectionToken('NaeFilterText');

class AbstractImmediateFilterTextComponent {
    _parenInjector;
    ellipsis;
    filterMetadata;
    portal;
    initialized;
    constructor(_parenInjector) {
        this._parenInjector = _parenInjector;
    }
    ngOnInit() {
        const providers = [
            { provide: NAE_FILTER_TEXT, useValue: { metadata: this.filterMetadata, ellipsis: this.ellipsis } }
        ];
        const injector = Injector.create({ providers, parent: this._parenInjector });
        this.portal = new ComponentPortal(this.getFilterTextContentComponent(), null, injector);
        this.initialized = true;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImmediateFilterTextComponent, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractImmediateFilterTextComponent, selector: "ncc-abstract-immediate-filter-text", inputs: { ellipsis: "ellipsis", filterMetadata: "filterMetadata" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImmediateFilterTextComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-immediate-filter-text',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }], propDecorators: { ellipsis: [{
                type: Input
            }], filterMetadata: [{
                type: Input
            }] } });

class AbstractImmediateFilterTextContentComponent {
    _configuration;
    _textSearchService;
    _translateService;
    _searchServiceSub;
    segments = [];
    tooltip;
    get ellipsis() {
        return this._configuration.ellipsis;
    }
    constructor(_configuration, _textSearchService, _translateService) {
        this._configuration = _configuration;
        this._textSearchService = _textSearchService;
        this._translateService = _translateService;
        this._textSearchService.loadFromMetadata(this._configuration.metadata.filterMetadata);
        this._searchServiceSub = this._textSearchService.loadingFromMetadata$.pipe(filter(loading => !loading), take(1)).subscribe(() => {
            this.segments = this._textSearchService.createFilterTextSegments();
            this.tooltip = this.segments.map(segment => {
                const translation = this._translateService.instant(segment.segment);
                if (segment.uppercase) {
                    return translation.toUpperCase();
                }
                return translation;
            }).join(' ');
        });
    }
    ngOnDestroy() {
        if (this._searchServiceSub && !this._searchServiceSub.closed) {
            this._searchServiceSub.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImmediateFilterTextContentComponent, deps: [{ token: NAE_FILTER_TEXT }, { token: SearchService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractImmediateFilterTextContentComponent, selector: "ncc-abstract-immediate-filter-text-content", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImmediateFilterTextContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-immediate-filter-text-content',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_FILTER_TEXT]
                }] }, { type: SearchService }, { type: i1$2.TranslateService }] });

class AbstractPanelItemComponent {
    leadingIcon;
    leadingIconEnabled;
    featuredValue;
    textEllipsis = false;
    constructor() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractPanelItemComponent, selector: "ncc-abstract-panel-item-component", inputs: { leadingIcon: "leadingIcon", leadingIconEnabled: "leadingIconEnabled", featuredValue: "featuredValue", textEllipsis: "textEllipsis" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractPanelItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-panel-item-component',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { leadingIcon: [{
                type: Input
            }], leadingIconEnabled: [{
                type: Input
            }], featuredValue: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }] } });

class AbstractSingleTaskComponent {
    _log;
    _route;
    _taskPanelRef;
    task$;
    loading$;
    selectedHeaders$;
    responsiveBody = true;
    forceLoadDataOnOpen = false;
    textEllipsis = false;
    preventCollapse = true;
    hidePanelHeader = true;
    hideActionRow = true;
    noTaskSection;
    pageHeader;
    pageFooter;
    showPageHeader = true;
    showPageFooter = true;
    headerTitle;
    footerText;
    actionButtonTemplates;
    actionRowJustifyContent;
    taskEvent;
    constructor(_log, _route, _injectedTabData) {
        this._log = _log;
        this._route = _route;
        this.taskEvent = new EventEmitter();
    }
    ngOnDestroy() {
        this.taskEvent.complete();
    }
    setPanelRef(panelRef) {
        this._taskPanelRef = panelRef;
    }
    trackBy(_idx, item) {
        return item.task.stringId;
    }
    /**
     * Emits an event into this component's @Output attribute
     * @param event the event that will be emitted
     */
    emitTaskEvent(event) {
        this.taskEvent.emit(event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSingleTaskComponent, deps: [{ token: LoggerService }, { token: i3$1.ActivatedRoute }, { token: NAE_TAB_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSingleTaskComponent, selector: "ncc-abstract-single-task", inputs: { task$: "task$", loading$: "loading$", selectedHeaders$: "selectedHeaders$", responsiveBody: "responsiveBody", forceLoadDataOnOpen: "forceLoadDataOnOpen", textEllipsis: "textEllipsis", preventCollapse: "preventCollapse", hidePanelHeader: "hidePanelHeader", hideActionRow: "hideActionRow", noTaskSection: "noTaskSection", pageHeader: "pageHeader", pageFooter: "pageFooter", showPageHeader: "showPageHeader", showPageFooter: "showPageFooter", headerTitle: "headerTitle", footerText: "footerText", actionButtonTemplates: "actionButtonTemplates", actionRowJustifyContent: "actionRowJustifyContent" }, outputs: { taskEvent: "taskEvent" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSingleTaskComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-single-task',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: i3$1.ActivatedRoute }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }], propDecorators: { task$: [{
                type: Input
            }], loading$: [{
                type: Input
            }], selectedHeaders$: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], forceLoadDataOnOpen: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }], preventCollapse: [{
                type: Input
            }], hidePanelHeader: [{
                type: Input
            }], hideActionRow: [{
                type: Input
            }], noTaskSection: [{
                type: Input
            }], pageHeader: [{
                type: Input
            }], pageFooter: [{
                type: Input
            }], showPageHeader: [{
                type: Input
            }], showPageFooter: [{
                type: Input
            }], headerTitle: [{
                type: Input
            }], footerText: [{
                type: Input
            }], actionButtonTemplates: [{
                type: Input
            }], actionRowJustifyContent: [{
                type: Input
            }], taskEvent: [{
                type: Output
            }] } });

/* COMPONENTS */

/* SERVICES */

class AbstractEmailSubmissionFormComponent {
    rootFormGroup;
    displayLegalNotice = true;
    loading = new LoadingEmitter();
    formSubmit;
    goBackButton;
    constructor(formBuilder) {
        this.rootFormGroup = formBuilder.group({
            email: ['', Validators.email]
        });
        this.formSubmit = new EventEmitter();
        this.goBackButton = new EventEmitter();
    }
    ngOnDestroy() {
        this.formSubmit.complete();
        this.goBackButton.complete();
        this.loading.complete();
    }
    emitGoBack() {
        this.goBackButton.emit();
    }
    onSubmit() {
        if (!this.rootFormGroup.valid) {
            return;
        }
        this.formSubmit.emit({ email: this.rootFormGroup.controls['email'].value, loading: this.loading });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEmailSubmissionFormComponent, deps: [{ token: i1$4.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEmailSubmissionFormComponent, selector: "ncc-abstract-email-submission-form", inputs: { displayLegalNotice: "displayLegalNotice" }, outputs: { formSubmit: "formSubmit", goBackButton: "goBackButton" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEmailSubmissionFormComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-email-submission-form',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$4.FormBuilder }], propDecorators: { displayLegalNotice: [{
                type: Input
            }], formSubmit: [{
                type: Output
            }], goBackButton: [{
                type: Output
            }] } });

class AbstractLoginFormComponent {
    _userService;
    rootFormGroup;
    hidePassword = true;
    loading;
    showSignUpButton;
    showForgottenPasswordButton;
    login;
    resetPassword;
    signUp;
    formSubmit;
    constructor(formBuilder, _userService) {
        this._userService = _userService;
        this.rootFormGroup = formBuilder.group({
            login: [''],
            password: ['']
        });
        this.login = new EventEmitter();
        this.resetPassword = new EventEmitter();
        this.signUp = new EventEmitter();
        this.formSubmit = new EventEmitter();
        this.loading = new LoadingEmitter();
    }
    ngOnDestroy() {
        this.loading.complete();
        this.login.complete();
        this.resetPassword.complete();
        this.signUp.complete();
        this.formSubmit.complete();
    }
    onSubmit() {
        if (!this.rootFormGroup.valid || this.loading.isActive) {
            return;
        }
        const credential = { username: this.rootFormGroup.controls['login'].value, password: this.rootFormGroup.controls['password'].value };
        this.loading.on();
        this.formSubmit.emit(credential);
        this._userService.login(credential).pipe(take(1)).subscribe((user) => {
            this.login.emit(user);
            this.loading.off();
        });
    }
    resetEmit() {
        this.resetPassword.emit();
    }
    signUpEmit() {
        this.signUp.emit();
    }
    getButtonsFxLayoutAlign() {
        if (this.showSignUpButton || this.showForgottenPasswordButton) {
            return 'space-between';
        }
        return 'end';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoginFormComponent, deps: [{ token: i1$4.FormBuilder }, { token: UserService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLoginFormComponent, selector: "ncc-abstract-login-field", inputs: { showSignUpButton: "showSignUpButton", showForgottenPasswordButton: "showForgottenPasswordButton" }, outputs: { login: "login", resetPassword: "resetPassword", signUp: "signUp", formSubmit: "formSubmit" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoginFormComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-login-field',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$4.FormBuilder }, { type: UserService }], propDecorators: { showSignUpButton: [{
                type: Input
            }], showForgottenPasswordButton: [{
                type: Input
            }], login: [{
                type: Output
            }], resetPassword: [{
                type: Output
            }], signUp: [{
                type: Output
            }], formSubmit: [{
                type: Output
            }] } });

/**
 * Validator to check that passwords are the same
 */
function passwordValidator(control) {
    const password = control.get('password');
    const confirmPassword = control.get('confirmPassword');
    if (!password || !confirmPassword) {
        return null;
    }
    if (password.pristine || confirmPassword.pristine) {
        return null;
    }
    if (password && confirmPassword && password.value !== confirmPassword.value) {
        confirmPassword.setErrors({ mismatchedPassword: true });
        return { misMatch: true };
    }
    else {
        return null;
    }
}

const NAE_MIN_PASSWORD_LENGTH = new InjectionToken('naeMinPasswordLength');
const NAE_DEFAULT_MIN_PASSWORD_LENGTH = 8;

/**
 * Holds the logic that is shared between `RegistrationFormComponent` and `ForgottenPasswordFormComponent`.
 */
class AbstractRegistrationComponent {
    _signupService;
    _log;
    _translate;
    minPasswordLength;
    rootFormGroup;
    hidePassword;
    hideRepeatPassword;
    formSubmit;
    register;
    /**
     * Emits whenever the provided token gets resolved as invalid
     */
    invalidToken;
    _token;
    _tokenVerified;
    loadingToken;
    loadingSubmit;
    userEmail;
    constructor(_signupService, _log, _translate, minPasswordLength) {
        this._signupService = _signupService;
        this._log = _log;
        this._translate = _translate;
        this.minPasswordLength = minPasswordLength;
        this.minPasswordLength = minPasswordLength ?? NAE_DEFAULT_MIN_PASSWORD_LENGTH;
        this.hidePassword = true;
        this.hideRepeatPassword = true;
        this.formSubmit = new EventEmitter();
        this.register = new EventEmitter();
        this.invalidToken = new EventEmitter();
        this._tokenVerified = false;
        this.loadingToken = new LoadingEmitter(true);
        this.loadingSubmit = new LoadingEmitter(false);
    }
    ngOnDestroy() {
        this.formSubmit.complete();
        this.register.complete();
        this.invalidToken.complete();
        this.loadingToken.complete();
        this.loadingSubmit.complete();
    }
    set token(token) {
        this._token = token;
        if (!this._token) {
            this._tokenVerified = false;
            return;
        }
        this.loadingToken.on();
        this._signupService.verify(this._token).pipe(take(1)).subscribe(message => {
            this._log.info('Token ' + this._token + ' has been successfully verified');
            if (message.success) {
                this.userEmail = message.success;
            }
            this._tokenVerified = true;
            this.loadingToken.off();
        }, (error) => {
            this._log.error(error.message);
            this._tokenVerified = false;
            this.loadingToken.off();
            this.invalidToken.emit();
        });
    }
    get token() {
        return this._token;
    }
    get tokenVerified() {
        return this._tokenVerified;
    }
    onSubmit() {
        if (!this.rootFormGroup.valid) {
            return;
        }
        const request = this.createRequestBody();
        this.formSubmit.emit(request);
        if (!this._tokenVerified) {
            this.register.emit({ error: 'Provided token ' + this._token + ' is not valid' });
            return;
        }
        request.token = this._token;
        this.loadingSubmit.on();
        this.callRegistration(request).pipe(take(1)).subscribe(message => {
            this.register.emit(message);
            this.loadingSubmit.off();
        }, error => {
            this.register.emit({ error });
            this.loadingSubmit.off();
        });
    }
    isFieldValid(formControlName) {
        return this.rootFormGroup.get(formControlName).valid;
    }
    getErrorMessage(formControlName) {
        const errors = this.rootFormGroup.get(formControlName).errors;
        if (errors === null)
            return;
        switch (Object.keys(errors)[0]) {
            case 'required':
                return this._translate.instant('dataField.validations.required');
            case 'minlength':
                return this._translate.instant('dataField.validations.minLength', { length: this.minPasswordLength });
            case 'mismatchedPassword':
                return this._translate.instant('forms.register.passwordsMustMatch');
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRegistrationComponent, deps: [{ token: SignUpService }, { token: LoggerService }, { token: i1$2.TranslateService }, { token: NAE_MIN_PASSWORD_LENGTH, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractRegistrationComponent, selector: "ncc-abstract-registration", inputs: { token: "token" }, outputs: { formSubmit: "formSubmit", register: "register", invalidToken: "invalidToken" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRegistrationComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-registration',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SignUpService }, { type: LoggerService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_MIN_PASSWORD_LENGTH]
                }] }], propDecorators: { formSubmit: [{
                type: Output
            }], register: [{
                type: Output
            }], invalidToken: [{
                type: Output
            }], token: [{
                type: Input
            }] } });

/**
 * Holds the logic of the `RegistrationFormComponent`.
 */
class AbstractRegistrationFormComponent extends AbstractRegistrationComponent {
    displayLegalNotice = true;
    constructor(formBuilder, signupService, log, translate, minPasswordLength) {
        super(signupService, log, translate, minPasswordLength);
        this.rootFormGroup = formBuilder.group({
            name: ['', Validators.required],
            surname: ['', Validators.required],
            password: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]],
            confirmPassword: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]]
        }, { validator: passwordValidator });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
    }
    createRequestBody() {
        return {
            token: undefined,
            name: this.rootFormGroup.controls['name'].value,
            surname: this.rootFormGroup.controls['surname'].value,
            password: this.rootFormGroup.controls['password'].value
        };
    }
    callRegistration(requestBody) {
        return this._signupService.signup(requestBody);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRegistrationFormComponent, deps: [{ token: i1$4.FormBuilder }, { token: SignUpService }, { token: LoggerService }, { token: i1$2.TranslateService }, { token: NAE_MIN_PASSWORD_LENGTH, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractRegistrationFormComponent, selector: "ncc-abstract-registration-form", inputs: { displayLegalNotice: "displayLegalNotice" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRegistrationFormComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-registration-form',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$4.FormBuilder }, { type: SignUpService }, { type: LoggerService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_MIN_PASSWORD_LENGTH]
                }] }], propDecorators: { displayLegalNotice: [{
                type: Input
            }] } });

class AbstractForgottenPasswordComponent extends AbstractRegistrationComponent {
    displayLegalNotice = false;
    constructor(formBuilder, signupService, log, translate, minPasswordLength) {
        super(signupService, log, translate, minPasswordLength);
        this.rootFormGroup = formBuilder.group({
            password: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]],
            confirmPassword: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]]
        }, { validator: passwordValidator });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
    }
    createRequestBody() {
        return {
            token: undefined,
            name: undefined,
            surname: undefined,
            password: this.rootFormGroup.controls['password'].value
        };
    }
    callRegistration(requestBody) {
        return this._signupService.recoverPassword(requestBody.token, requestBody.password);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractForgottenPasswordComponent, deps: [{ token: i1$4.FormBuilder }, { token: SignUpService }, { token: LoggerService }, { token: i1$2.TranslateService }, { token: NAE_MIN_PASSWORD_LENGTH, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractForgottenPasswordComponent, selector: "ncc-abstract-forgotten-password", inputs: { displayLegalNotice: "displayLegalNotice" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractForgottenPasswordComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-forgotten-password',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$4.FormBuilder }, { type: SignUpService }, { type: LoggerService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_MIN_PASSWORD_LENGTH]
                }] }], propDecorators: { displayLegalNotice: [{
                type: Input
            }] } });

const OLD_PASSWORD = 'oldPassword';
const PASSWORD = 'password';
const CONFIRM_PASSWORD = 'confirmPassword';
class AbstractChangePasswordComponent {
    formBuilder;
    profileService;
    user;
    _log;
    _translate;
    minPasswordLength;
    rootFormGroup;
    hideOldPassword;
    hidePassword;
    hideRepeatPassword;
    formSubmit;
    changePassword;
    loadingSubmit;
    constructor(formBuilder, profileService, user, _log, _translate, minPasswordLength) {
        this.formBuilder = formBuilder;
        this.profileService = profileService;
        this.user = user;
        this._log = _log;
        this._translate = _translate;
        this.minPasswordLength = minPasswordLength;
        this.minPasswordLength = minPasswordLength ?? NAE_DEFAULT_MIN_PASSWORD_LENGTH;
        this.hidePassword = true;
        this.hideOldPassword = true;
        this.hideRepeatPassword = true;
        this.formSubmit = new EventEmitter();
        this.changePassword = new EventEmitter();
        this.loadingSubmit = new LoadingEmitter(false);
        this.rootFormGroup = formBuilder.group({
            oldPassword: ['', [Validators.required, Validators.minLength(1)]],
            password: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]],
            confirmPassword: ['', [Validators.required, Validators.minLength(this.minPasswordLength)]]
        }, { validator: passwordValidator });
    }
    isFieldValid(formControlName) {
        return this.rootFormGroup.get(formControlName).valid;
    }
    createRequestBody() {
        return {
            login: this.user.user.email,
            password: encodeBase64(this.rootFormGroup.controls[OLD_PASSWORD].value),
            newPassword: encodeBase64(this.rootFormGroup.controls[PASSWORD].value)
        };
    }
    getErrorMessage(formControlName) {
        const errors = this.rootFormGroup.get(formControlName).errors;
        if (errors === null) {
            return;
        }
        switch (Object.keys(errors)[0]) {
            case 'mismatchedPassword':
                return this._translate.instant('forms.register.passwordsMustMatch');
            case 'minlength':
                return this._translate.instant('dataField.validations.minLength', { length: this.minPasswordLength });
            case 'required':
                return this._translate.instant('dataField.validations.required');
        }
    }
    onSubmit() {
        if (!this.rootFormGroup.valid) {
            return;
        }
        const request = this.createRequestBody();
        this.formSubmit.emit(request);
        this.loadingSubmit.on();
        this.profileService.changePassword(request).pipe(take(1)).subscribe(message => {
            if (message.error) {
                this.changePassword.emit({ error: message.error });
            }
            else {
                this.changePassword.emit({ success: message.success });
            }
            this.loadingSubmit.off();
        }, error => {
            this.changePassword.emit({ error });
            this.loadingSubmit.off();
        });
    }
    ngOnDestroy() {
        this.formSubmit.complete();
        this.changePassword.complete();
        this.loadingSubmit.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractChangePasswordComponent, deps: [{ token: i1$4.FormBuilder }, { token: ProfileService }, { token: UserService }, { token: LoggerService }, { token: i1$2.TranslateService }, { token: NAE_MIN_PASSWORD_LENGTH, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractChangePasswordComponent, selector: "ncc-abstract-change-password", outputs: { formSubmit: "formSubmit", changePassword: "changePassword" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractChangePasswordComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-change-password',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$4.FormBuilder }, { type: ProfileService }, { type: UserService }, { type: LoggerService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_MIN_PASSWORD_LENGTH]
                }] }], propDecorators: { formSubmit: [{
                type: Output
            }], changePassword: [{
                type: Output
            }] } });

class AbstractToolbarComponent {
    translate;
    selectLangService;
    loggedUser;
    appName;
    logoSrc;
    logoAlt;
    constructor(translate, selectLangService) {
        this.translate = translate;
        this.selectLangService = selectLangService;
    }
    setLang(lang) {
        this.selectLangService.setLanguage(lang);
    }
    activeLang(lang) {
        return this.translate.currentLang === lang;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractToolbarComponent, deps: [{ token: i1$2.TranslateService }, { token: LanguageService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractToolbarComponent, selector: "ncc-abstract-toolbar", inputs: { loggedUser: "loggedUser", appName: "appName", logoSrc: "logoSrc", logoAlt: "logoAlt" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractToolbarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-toolbar',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: LanguageService }], propDecorators: { loggedUser: [{
                type: Input
            }], appName: [{
                type: Input
            }], logoSrc: [{
                type: Input
            }], logoAlt: [{
                type: Input
            }] } });

class TabLabelStream {
    icon$;
    text$;
    constructor(icon, text) {
        this.text$ = new ReplaySubject(1);
        this.icon$ = new BehaviorSubject(icon);
        if (!!text) {
            this.text$.next(text);
        }
    }
    destroy() {
        this.text$.complete();
        this.icon$.complete();
    }
}

/**
 * Holds the information of tab opened in a tab view.
 *
 * See {@link TabView} for more information.
 */
class OpenedTab {
    uniqueId;
    /**
     * See {@link TabContent#label}.
     */
    label;
    /**
     * See [TabContent.canBeClosed]{@link TabContent#canBeClosed}.
     */
    canBeClosed;
    /**
     * See [TabContent.tabContentComponent]{@link TabContent#tabContentComponent}.
     */
    tabContentComponent;
    /**
     * See [TabContent.injectedObject]{@link TabContent#injectedObject}.
     */
    injectedObject = {};
    /**
     * See [TabContent.order]{@link TabContent#order}.
     */
    order = 0;
    /**
     * See [TabContent.initial]{@link TabContent#initial}.
     */
    initial = false;
    /**
     * See [TabContent.parentUniqueId]{@link TabContent#parentUniqueId}.
     */
    parentUniqueId = undefined;
    /**
     * Reference to the component portal that is used to display the tab content
     */
    portal;
    /**
     * Whether the tab was initialized after it's creation.
     *
     * See [TabGroup.initializeTab()]{@link TabView#initializeTab} for more information.
     */
    isTabInitialized = false;
    /**
     * A stream that is injected into each tab and is used to inform that tab whenever it is selected or deselected
     */
    tabSelected$;
    /**
     * A stream that is injected into each tab and is used to inform the tab about its termination
     */
    tabClosed$;
    _label$;
    /**
     * @param tabContent - content of the tab
     * @param uniqueId - unique identifier for the tab
     */
    constructor(tabContent, uniqueId) {
        this.uniqueId = uniqueId;
        Object.assign(this, tabContent);
        this.tabSelected$ = new BehaviorSubject(false);
        this.tabClosed$ = new Subject();
        this._label$ = new TabLabelStream(this.label?.icon, this.label?.text);
    }
    setIcon(icon) {
        this._label$.icon$.next(icon);
    }
    setText(text) {
        this._label$.text$.next(text);
    }
    getIcon$() {
        return this._label$.icon$.asObservable();
    }
    getIcon() {
        return this._label$.icon$.getValue();
    }
    getText$() {
        return this._label$.text$.asObservable();
    }
    /**
     * Closes the stream held in this object
     */
    destroy() {
        this.tabSelected$.complete();
        this.tabClosed$.complete();
        this._label$.destroy();
    }
}

/**
 * Holds the logic for tab management in {@link AbstractTabViewComponent}.
 * If you want to implement your own TabViewComponent, you might want to extend this class to hold your logic.
 */
class TabView {
    _viewService;
    _logger;
    _initialTabs;
    _parentInjector;
    static DYNAMIC_TAB_VIEW_ID_SEGMENT = 'dynamic';
    /**
     * Holds the tabs that are opened in the tab view, and allows them to be bound to HTML.
     */
    openedTabs;
    /**
     * Holds the index of the currently selected tab.
     *
     * Selected index initializes to `0`.
     */
    selectedIndex;
    uniqueIdCounter = new IncrementingCounter();
    /**
     * @ignore
     * Holds a reference to an object that hides some public attributes and methods from tabs.
     */
    tabViewInterface = {
        currentlySelectedTab: () => this.currentlySelectedTab(),
        openTab: (tabContent, autoswitch = false) => this.openTab(tabContent, autoswitch),
        switchToTabIndex: (index) => this.switchToTabIndex(index),
        switchToTabUniqueId: (uniqueId) => this.switchToTabUniqueId(uniqueId),
        closeTabIndex: (index, force = false) => this.closeTabIndex(index, force),
        closeTabUniqueId: (uniqueId, force = false) => this.closeTabUniqueId(uniqueId, force)
    };
    /**
     * @param _viewService [ViewService]{@link ViewService} reference
     * @param _logger [Logger]{@link LoggerService} reference
     * @param _initialTabs Tabs that should be initially opened in the tab view
     * @param _parentInjector `Injector` instance of the [TabViewComponent]{@link AbstractTabViewComponent},
     * to be passed onto each tab, so that the dependency injection tree is not broken
     */
    constructor(_viewService, _logger, _initialTabs, _parentInjector) {
        this._viewService = _viewService;
        this._logger = _logger;
        this._initialTabs = _initialTabs;
        this._parentInjector = _parentInjector;
        this._initialTabs.forEach(tab => {
            if (tab.order === undefined) {
                tab.order = 0;
            }
            tab.initial = true;
        });
        this.selectedIndex = new FormControl(0);
        // orderBy is a stable sort
        // Native javascript implementation has undefined stability and it depends on it's implementation (browser)
        this.openedTabs = orderBy(this._initialTabs, v => v.order, 'asc').map(tabData => new OpenedTab(tabData, `${this.uniqueIdCounter.next()}`));
        if (this.openedTabs.length > 0) {
            this.openedTabs[0].tabSelected$.next(true);
        }
    }
    /**
     * @returns the index of the currently selected tab
     */
    currentlySelectedTab() {
        return this.selectedIndex.value;
    }
    /**
     * Opens a new tab with the provided content.
     * @param tabContent - content of the new tab
     * @param autoswitch - whether the newly opened tab should be switched to. Defaults to `false`.
     * @param openExisting - whether the opened tab already existing should be switched to existing one. Defaults to `true`.
     * @returns the `tabUniqueId` of the newly opened tab
     */
    openTab(tabContent, autoswitch = false, openExisting = true) {
        if (tabContent.initial) {
            this._logger.warn(`'initial' attribute is not meant to be used with new tabs and will be ignored`);
            delete tabContent.initial;
        }
        const newTab = new OpenedTab(tabContent, `${this.uniqueIdCounter.next()}`);
        const indexExisting = this.findIndexExistingTab(newTab);
        if (indexExisting === -1 || !openExisting) {
            return this.openNewTab(newTab, autoswitch);
        }
        else {
            this.setTabIndexWithNotification(indexExisting);
            return this.openedTabs[indexExisting].uniqueId;
        }
    }
    findIndexExistingTab(newTab) {
        if (!this.searchesForOneCaseId(newTab)) {
            return -1;
        }
        return this.openedTabs.findIndex(existingTab => this.searchesForOneCaseId(existingTab) && this.getSearchedCaseId(existingTab) === this.getSearchedCaseId(newTab));
    }
    searchesForOneCaseId(tab) {
        return this.hasCaseFilterParamSet(tab)
            && !Array.isArray(this.getSearchedCase(tab))
            && !!this.getSearchedCaseId(tab);
    }
    getSearchedCaseId(tab) {
        return this.getSearchedCase(tab).id;
    }
    getSearchedCase(tab) {
        return tab.injectedObject.baseFilter.getRequestBody().case;
    }
    hasCaseFilterParamSet(tab) {
        return this.hasBaseFilter(tab)
            && !!(tab.injectedObject.baseFilter.getRequestBody().case);
    }
    hasBaseFilter(tab) {
        return this.hasInjectedObject(tab) && !!(tab.injectedObject.baseFilter);
    }
    hasInjectedObject(tab) {
        return !!tab.injectedObject;
    }
    /**
     * Adds a new tab into the correct position based on its `order` property.
     * @param newTab the tab that should be opened
     * @param autoswitch whether the new tab should be switched to after it is created
     * @returns the `uniqueId` of the opened tab
     */
    openNewTab(newTab, autoswitch) {
        let index = this.openedTabs.findIndex(existingTab => existingTab.order > newTab.order);
        if (index === -1) {
            index = this.openedTabs.length;
        }
        this.openedTabs.splice(index, 0, newTab);
        if (autoswitch || this.openedTabs.length === 1) {
            this.setTabIndexWithNotification(index);
        }
        return newTab.uniqueId;
    }
    /**
     * Switches to a tab with the given `index`.
     *
     * Throws an error if the `index` is invalid.
     * @param index - index of the tab that should be switched to
     */
    switchToTabIndex(index) {
        this.checkIndexRange(index);
        this.setTabIndexWithNotification(index);
    }
    /**
     * Switches to a tab with the given `uniqueId`.
     *
     * Throws an error if the `uniqueId` is invalid.
     * @param uniqueId - id of the tab that should be switched to
     */
    switchToTabUniqueId(uniqueId) {
        this.setTabIndexWithNotification(this.getTabIndex(uniqueId));
    }
    setTabIndexWithNotification(index) {
        this.openedTabs[this.selectedIndex.value].tabSelected$.next(false);
        this.selectedIndex.setValue(index);
        this.openedTabs[this.selectedIndex.value].tabSelected$.next(true);
    }
    /**
     * Closes the tab with the given `index`.
     *
     * Throws an error if the `index` is invalid.
     *
     * Throws an error if the tab has it's `canBeClosed` property set to `false`.
     * @param index index of the tab that should be closed
     * @param force when `true` closes a tab even if it's `cantBeClosed` attribute is set to `true`
     */
    closeTabIndex(index, force = false) {
        this.closeTab(index, force, `Tab at index ${index} can't be closed`);
    }
    /**
     * Closes the tab with the given `uniqueId`. Throws an error if the `uniqueId` is invalid.
     * Throws an error if the tab has it's `canBeClosed` property set to `false`.
     * @param uniqueId - id of the tab that should be closed
     * @param force when `true` closes a tab even if it's `cantBeClosed` attribute is set to `true`
     */
    closeTabUniqueId(uniqueId, force = false) {
        const index = this.getTabIndex(uniqueId);
        this.closeTab(index, force, `Tab with ID ${uniqueId} can't be closed`);
    }
    /**
     * Closes the tab at the given index.
     *
     * If the conditions for closing a tab are not met throws an `Error` with the given message.
     * @param index index of the tab that should be closed
     * @param force when `true` closes a tab even if it's `cantBeClosed` attribute is set to `true`
     * @param error the message that should be displayed if the conditions for closing a tab are not met
     */
    closeTab(index, force, error) {
        this.checkIndexRange(index);
        if (!force && !this.openedTabs[index].canBeClosed) {
            throw new Error(error);
        }
        if (index === this.selectedIndex.value && this.openedTabs[index].parentUniqueId &&
            this.openedTabs.findIndex(tab => tab.uniqueId === this.openedTabs[index].parentUniqueId) !== -1) {
            this.switchToTabUniqueId(this.openedTabs[index].parentUniqueId);
        }
        if (index === this.selectedIndex.value && this.selectedIndex.value + 1 < this.openedTabs.length) {
            this.openedTabs[index + 1].tabSelected$.next(true);
        }
        this.openedTabs[index].tabClosed$.next();
        const deleted = this.openedTabs.splice(index, 1);
        deleted[0].destroy();
        if (index < this.selectedIndex.value) {
            this.selectedIndex.setValue(this.selectedIndex.value - 1);
        }
    }
    /**
     * Initializes the tab if it wasn't initialized yet.
     * Creates a new {@link ComponentPortal} for the tab and provides the data for the tab under the `NAE_TAB_DATA` injection token.
     * @param index - index of the tab that should be initialized
     */
    initializeTab(index) {
        this.checkIndexRange(index);
        const tab = this.openedTabs[index];
        if (!tab.isTabInitialized) {
            Object.assign(tab.injectedObject, {
                tabUniqueId: tab.uniqueId,
                tabViewRef: Object.assign({
                    setIcon: t => tab.setIcon(t),
                    setText: t => tab.setText(t),
                    getIcon$: () => tab.getIcon$(),
                    getText$: () => tab.getText$(),
                }, this.tabViewInterface),
                tabSelected$: tab.tabSelected$.asObservable(),
                tabClosed$: tab.tabClosed$.asObservable(),
            });
            const providers = [
                { provide: NAE_TAB_DATA, useValue: tab.injectedObject }
            ];
            providers.push({
                provide: NAE_VIEW_ID_SEGMENT,
                useValue: tab.initial ? tab.uniqueId : (tab.injectedObject?.loadFilter?.id ?? TabView.DYNAMIC_TAB_VIEW_ID_SEGMENT)
            });
            const injector = Injector.create({ providers, parent: this._parentInjector });
            tab.portal = new ComponentPortal(tab.tabContentComponent, null, injector);
            tab.isTabInitialized = true;
        }
    }
    tabChange(event) {
        if (event.index !== this.selectedIndex.value) {
            let tab = this.openedTabs[this.selectedIndex.value];
            if (tab) {
                tab.tabSelected$.next(false);
            }
            tab = this.openedTabs[event.index];
            if (tab) {
                tab.tabSelected$.next(true);
            }
            this.selectedIndex.setValue(event.index);
        }
    }
    /**
     * Transforms a tab `uniqueId` into it's index.
     *
     * Throws an error if no tab with the given `uniqueId` exists.
     * @param uniqueId - id of the tab that we want to find index for
     * @returns index of the tab with the given id
     */
    getTabIndex(uniqueId) {
        const index = this.openedTabs.findIndex(tab => tab.uniqueId === uniqueId);
        if (index === -1) {
            throw new Error(`No tab with ID ${uniqueId} exists`);
        }
        return index;
    }
    checkIndexRange(index) {
        if (index < 0 || index >= this.openedTabs.length) {
            throw new Error(`No tab with index ${index} exists`);
        }
    }
}

/**
 * Holds information about views in the application. Can be used to resolve view component class objects from their names.
 */
class ViewService {
    _router;
    _logger;
    /**
     * @ignore
     * Stores a mapping of component names to their classes
     */
    _nameToClass;
    /**
     * @param componentClasses Class objects of view components that should be dynamically routed
     * @param configService application's ConfigurationService
     * @param _router the application's Router
     * @param _logger application's logging service
     */
    constructor(componentClasses, 
    // TODO 29.4.2021 - remove unused class attributes
    configService, _router, _logger) {
        this._router = _router;
        this._logger = _logger;
        this._nameToClass = new Map();
        componentClasses.forEach(component => {
            if (component instanceof Type) {
                this._nameToClass.set(component.name, component);
            }
            else {
                this._nameToClass.set(component.id, component.class);
            }
        });
    }
    /**
     * @param componentClassName class name of a view component
     * @returns the Class object with the provided name or `null` if such name is not registered
     */
    resolveNameToClass(componentClassName) {
        return this._nameToClass.get(componentClassName);
    }
}

/**
 * Component that renders a tab view.
 *
 * See {@link TabView} for the class that holds the logic for this view.
 */
class AbstractTabViewComponent {
    _viewService;
    _logger;
    _injector;
    /**
     * Tabs that are opened initially in the view
     */
    initialTabs;
    /**
     * Flag if the height of the content has to stretch to fill the available window
     */
    stretch;
    tabView;
    align = 'start';
    offset = '';
    /**
     * @ignore
     * lambda function that is passed to the {@link AbstractTabCreationDetectorComponent}s
     */
    initializeTabLambda = (index) => { this.tabView.initializeTab(index); };
    constructor(_viewService, _logger, _injector) {
        this._viewService = _viewService;
        this._logger = _logger;
        this._injector = _injector;
    }
    ngOnInit() {
        this.tabView = new TabView(this._viewService, this._logger, this.initialTabs, this._injector);
    }
    ngOnDestroy() {
        this.tabView.openedTabs.forEach(tab => tab.destroy());
    }
    badgeHidden(tab) {
        const stream$ = new ReplaySubject(1);
        if (tab.label && tab.label.count) {
            tab.label.count.pipe(take(1)).subscribe(() => {
                stream$.next(false);
                stream$.complete();
            });
        }
        else {
            stream$.next(true);
            stream$.complete();
        }
        return stream$;
    }
    badgeCount(tab) {
        const stream$ = new ReplaySubject(1);
        if (tab.label && tab.label.count) {
            tab.label.count.pipe(take(1)).subscribe(count => {
                stream$.next(count + '');
                this.setOffset((count + '').length);
                stream$.complete();
            });
        }
        else {
            stream$.next('0');
            stream$.complete();
        }
        return stream$;
    }
    setOffset(count) {
        this.offset = Array(count * 2).join('\xa0');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabViewComponent, deps: [{ token: ViewService }, { token: LoggerService }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTabViewComponent, selector: "ncc-abstract-tab-view", inputs: { initialTabs: "initialTabs", stretch: "stretch", align: "align" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tab-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: ViewService }, { type: LoggerService }, { type: i0.Injector }], propDecorators: { initialTabs: [{
                type: Input
            }], stretch: [{
                type: Input
            }], align: [{
                type: Input
            }] } });

/**
 * @ignore
 * Class that detects tab content creation and then initializes then calls the provided `initializeTab` function.
 * It is necessary if the tab content is lazy loaded, because the
 * ComponentPortal's outlet must be initialized before the Portal itself is created.
 */
class AbstractTabCreationDetectorComponent {
    /**
     * function that should be called when the tab content is created
     */
    initializeTabFunction;
    /**
     * index of the tab that the `initializeTabFunction` should be called for
     */
    tabIndex;
    ngOnInit() {
        this.initializeTabFunction(this.tabIndex);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabCreationDetectorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTabCreationDetectorComponent, selector: "ncc-abstract-tab-creation-detector", inputs: { initializeTabFunction: "initializeTabFunction", tabIndex: "tabIndex" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabCreationDetectorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tab-creation-detector',
                    template: ''
                }]
        }], propDecorators: { initializeTabFunction: [{
                type: Input
            }], tabIndex: [{
                type: Input
            }] } });

/**
 * Case search request page size
 */
const NAE_URI_NODE_CASES_PAGE_SIZE = new InjectionToken('NaeUriNodeCasesPageSize');

var GroupNavigationConstants;
(function (GroupNavigationConstants) {
    /**
     * Name of the component that indicates the position of the group specific navigation elements.
     */
    GroupNavigationConstants["GROUP_NAVIGATION_OUTLET"] = "groupNavigation";
    /**
     * Name of the router param that is used to provide information about the selected filter to the group navigation view component
     */
    GroupNavigationConstants["GROUP_NAVIGATION_ROUTER_PARAM"] = "filterCaseId";
    /**
     * Field id, that contains the tab name of the navigation item.
     */
    GroupNavigationConstants["NAVIGATION_ENTRY_TITLE_FIELD_ID_SUFFIX"] = "tab_name";
    /**
     * Boolean field id, that determines if the navigation defines a tab icon.
     */
    GroupNavigationConstants["NAVIGATION_ENTRY_ICON_ENABLED_FIELD_ID_SUFFIX"] = "use_tab_icon";
    /**
     * Text field id, that contains the id of the used material icon.
     */
    GroupNavigationConstants["NAVIGATION_ENTRY_ICON_FIELD_ID_SUFFIX"] = "tab_icon";
    /**
     * TaskRef field, that contains taskId of filter task
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_FILTER_TASKREF"] = "current_filter_preview";
    /**
     * Text field id, that contains title of create case button
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CREATE_CASE_BUTTON_TITLE"] = "create_case_button_title";
    /**
     * Text field id, that contains icon name of create case button
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CREATE_CASE_BUTTON_ICON"] = "create_case_button_icon";
    /**
     * Boolean field, that is true if the create case button is shown in case view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_SHOW_CREATE_CASE_BUTTON"] = "show_create_case_button";
    /**
     * EnumerationMap field, that contains selected search type for case view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_VIEW_SEARCH_TYPE"] = "case_view_search_type";
    /**
     * EnumerationMap field, that contains selected search type for task view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_VIEW_SEARCH_TYPE"] = "task_view_search_type";
    /**
     * Boolean field, that is true if user wants to merge base filter and custom filter
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_MERGE_FILTERS"] = "merge_filters";
    /**
     * TaskRef field, that contains taskId of custom filter for task view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_ADDITIONAL_FILTER_TASKREF"] = "current_additional_filter_preview";
    /**
     * Boolean field, that is true if the user wants to see more menu for case item in case view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_SHOW_MORE_MENU"] = "case_show_more_menu";
    /**
     * Boolean field, that is true if no input for title in case creation is shown
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_TITLE_IN_CREATION"] = "case_require_title_in_creation";
    /**
     * Text field, that contains banned processes in case creation as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_BANNED_PROCESS_CREATION"] = "case_banned_nets_in_creation";
    /**
     * Boolean field, that is true if the user wants to see more menu for task item in task view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_SHOW_MORE_MENU"] = "task_show_more_menu";
    /**
     * MultichoiceMap field, that contains selected header modes for case view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_HEADERS_MODE"] = "case_headers_mode";
    /**
     * Boolean field, that is true if table mode can be applied in case view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_ALLOW_TABLE_MODE"] = "case_allow_header_table_mode";
    /**
     * EnumerationMap field, that contains selected default header mode for case view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_DEFAULT_HEADERS_MODE"] = "case_headers_default_mode";
    /**
     * Boolean field, that is true to make mode menu in case view visible
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_HEADERS_CHANGEABLE"] = "case_is_header_mode_changeable";
    /**
     * MultichoiceMap field, that contains selected header modes for task view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_HEADERS_MODE"] = "task_headers_mode";
    /**
     * Boolean field, that is true if table mode can be applied in task view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_ALLOW_TABLE_MODE"] = "task_allow_header_table_mode";
    /**
     * EnumerationMap field, that contains selected default header mode for task view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_DEFAULT_HEADERS_MODE"] = "task_headers_default_mode";
    /**
     * Boolean field, that is true to make mode menu in task view visible
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_HEADERS_CHANGEABLE"] = "task_is_header_mode_changeable";
    /**
     * Boolean field, that is true to use default headers configuration for case view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_USE_CASE_DEFAULT_HEADERS"] = "use_case_default_headers";
    /**
     * Text field, that contains default header metadata separated by comma for case view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CASE_DEFAULT_HEADERS"] = "case_default_headers";
    /**
     * Boolean field, that is true to use default headers configuration for task view
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_USE_TASK_DEFAULT_HEADERS"] = "use_task_default_headers";
    /**
     * Text field, that contains default header metadata separated by comma for task view as a value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_TASK_DEFAULT_HEADERS"] = "task_default_headers";
    /**
     * MultichoiceMap field, that contains allowed roles as value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_ALLOWED_ROLES"] = "allowed_roles";
    /**
     * MultichoiceMap field, that contains banned roles as value
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_BANNED_ROLES"] = "banned_roles";
    /**
     * Text field, that contains icon identifier
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_MENU_ICON"] = "menu_icon";
    /**
     * I18n field, that contains labels of menu item
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_MENU_NAME"] = "menu_name";
    /**
     * Text field, that contains URI
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_NODE_PATH"] = "nodePath";
    /**
     * Boolean field, that is true if item contains child items
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_HAS_CHILDREN"] = "hasChildren";
    /**
     * CaseField containing stringIds of child instances of process preference_item
     * */
    GroupNavigationConstants["ITEM_FIELD_ID_CHILD_ITEM_IDS"] = "childItemIds";
})(GroupNavigationConstants || (GroupNavigationConstants = {}));

/**
 * Service for accessing backend resource to resolve URI objects
 * */
class UriResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('petrinet', provider, configService);
    }
    getRoot() {
        return this._resourceProvider.get$('uri/root', this.SERVER_URL).pipe(map(r => this.changeType(r, 'uriNode')), map((r) => {
            if (r.path) {
                r.uriPath = r.path;
                r.id = r.path;
            }
            return r;
        }));
    }
    getByLevel(level) {
        return this._resourceProvider.get$('uri/level/' + level, this.SERVER_URL).pipe(map(r => this.changeType(r, 'uriNodes')), map((ar) => {
            return ar.map(r => {
                if (r.path) {
                    r.uriPath = r.path;
                    r.id = r.path;
                }
                return r;
            });
        }));
    }
    getNodesByParent(parentId) {
        return this._resourceProvider.get$('uri/parent/' + parentId, this.SERVER_URL).pipe(map(r => this.changeType(r, 'uriNodes')), map((ar) => {
            return ar.map(r => {
                if (r.path) {
                    r.uriPath = r.path;
                    r.id = r.path;
                }
                return r;
            });
        }));
    }
    getNodeByUri(uriPath) {
        return this._resourceProvider.get$('uri/' + btoa(uriPath), this.SERVER_URL).pipe(map(r => this.changeType(r, 'uriNode')), map((r) => {
            if (r.path) {
                r.uriPath = r.path;
                r.id = r.path;
            }
            return r;
        }));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

/**
 * This service allows access to information about the groups of the currently logged user.
 *
 * If no user is logged an empty array is provided.
 *
 * If a user can be owner of at most one group, this service provides utility methods to access this group directly.
 *
 * The groups are assumed to be instances of the engine group process, this is never checked nor enforced.
 */
class NextGroupService {
    _userService;
    _caseResourceService;
    _memberGroups$;
    _ownerGroups$;
    _userSub;
    constructor(_userService, _caseResourceService) {
        this._userService = _userService;
        this._caseResourceService = _caseResourceService;
        this._ownerGroups$ = new BehaviorSubject([]);
        this._memberGroups$ = new BehaviorSubject([]);
        this._userSub = this._userService.user$.pipe(switchMap(user => {
            if (!user || user.id === '') {
                return of([]);
            }
            const params = new HttpParams();
            params.set(PaginationParams.PAGE_SIZE, `${user.nextGroups.length}`);
            return this._caseResourceService.searchCases(SimpleFilter.fromCaseQuery({ stringId: user.nextGroups }), params)
                .pipe(map(page => page.content ? page.content : []), map(groups => groups.filter(group => group.author.fullName !== 'application engine')));
        })).subscribe(groups => {
            const ownerGroups = groups.filter(g => g.author.email === this._userService.user.email);
            this._ownerGroups$.next(ownerGroups);
            this._memberGroups$.next(groups);
        });
    }
    ngOnDestroy() {
        this._userSub.unsubscribe();
        this._memberGroups$.complete();
        this._ownerGroups$.complete();
    }
    /**
     * @returns an Observable of all the groups the currently logged user is a member of
     */
    get memberGroups$() {
        return this._memberGroups$.asObservable();
    }
    /**
     * @returns an Observable of all the groups the currently logged user is an owner of
     */
    get ownerGroups$() {
        return this._ownerGroups$.asObservable();
    }
    /**
     * @returns an Array of all the groups the currently logged user is a member of
     */
    get memberGroups() {
        return this._memberGroups$.getValue();
    }
    /**
     * @returns an Array of all the groups the currently logged user is an owner of
     */
    get ownerGroups() {
        return this._ownerGroups$.getValue();
    }
    /**
     * @returns an Observable containing the first element of the [ownerGroups$]{@link NextGroupService#ownerGroups$} observable,
     * or `undefined` if the contained array is empty
     */
    get firstOwnerGroup$() {
        return this._ownerGroups$.pipe(map(array => array.length > 0 ? array[0] : undefined));
    }
    /**
     * @returns the first element of the [ownerGroups]{@link NextGroupService#ownerGroups} array, or `undefined` if the array is empty
     */
    get firstOwnerGroup() {
        const ownerGroups = this.ownerGroups;
        return ownerGroups.length > 0 ? ownerGroups[0] : undefined;
    }
    /**
     * @deprecated in NAE 5.6.0 - use [ownerGroups]{@link NextGroupService#ownerGroups} instead
     */
    get groupOfUser() {
        return this.ownerGroups;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NextGroupService, deps: [{ token: UserService }, { token: CaseResourceService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NextGroupService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NextGroupService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: UserService }, { type: CaseResourceService }] });

/**
 * This service to the groups that are "active" for the logged user.
 *
 * The meaning of "active" can wary from application to application. And this service provides the utility to track this state.
 *
 * The active groups are assumed to be a subset of the groups the logged user is a member of,
 * but this assumption is not enforced nor checked.
 *
 * If at most one group can be active at a time, this service provides utility methods to access this group directly.
 *
 * The groups are assumed to be instances of the engine group process, this is never checked nor enforced.
 *
 * In the default implementation the initially active groups are all the groups the logged user is a member of.
 */
class ActiveGroupService {
    _groupService;
    _activeGroups$;
    _groupSub;
    constructor(_groupService) {
        this._groupService = _groupService;
        this._activeGroups$ = new BehaviorSubject([]);
        this._groupSub = this._groupService.memberGroups$.subscribe(groups => {
            this._activeGroups$.next(groups);
        });
    }
    ngOnDestroy() {
        this._groupSub.unsubscribe();
        this._activeGroups$.complete();
    }
    /**
     * In the default implementation this stream copies the values of the [memberGroups$]{@link NextGroupService#memberGroups$} stream
     * of the {@link NextGroupService}. Whenever the copies stream emits, the underlying stream in this class emits the same value.
     *
     * @returns an Observable of all the groups that are currently active
     */
    get activeGroups$() {
        return this._activeGroups$.asObservable();
    }
    get activeGroups() {
        return this._activeGroups$.getValue();
    }
    set activeGroups(activeGroups) {
        this._activeGroups$.next(activeGroups);
    }
    /**
     * @returns an Observable containing the first element of the [activeGroups$]{@link ActiveGroupService#activeGroups$} observable,
     * or `undefined` if the contained array is empty
     */
    get activeGroup$() {
        return this.activeGroups$.pipe(map(array => array.length > 0 ? array[0] : undefined));
    }
    /**
     * @returns the first element of the [activeGroups]{@link ActiveGroupService#activeGroups} array, or `undefined` if the array is empty
     */
    get activeGroup() {
        const activeGroups = this.activeGroups;
        return activeGroups.length > 0 ? activeGroups[0] : undefined;
    }
    /**
     * Emits a new array into the [activeGroups$]{@link ActiveGroupService#activeGroups$} observable, that contains only
     * the provided {@link Case} object. If `undefined` is passed as argument, an empty array will be pushed into the observable.
     * @param activeGroup the new active group case reference
     */
    set activeGroup(activeGroup) {
        if (activeGroup === undefined) {
            this._activeGroups$.next([]);
        }
        else {
            this._activeGroups$.next([activeGroup]);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ActiveGroupService, deps: [{ token: NextGroupService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ActiveGroupService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ActiveGroupService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: NextGroupService }] });

/**
 * Service for managing URIs
 * */
class UriService {
    _logger;
    _resourceService;
    _caseResourceService;
    _activeGroupService;
    pageSize;
    static ROOT = 'root';
    _rootNode;
    _rootLoading$;
    _parentLoading$;
    _activeNode$;
    constructor(_logger, _resourceService, _caseResourceService, _activeGroupService, pageSize) {
        this._logger = _logger;
        this._resourceService = _resourceService;
        this._caseResourceService = _caseResourceService;
        this._activeGroupService = _activeGroupService;
        this.pageSize = pageSize;
        if (!pageSize) {
            this.pageSize = 20;
        }
        if (typeof this.pageSize === 'string') {
            this.pageSize = parseInt(this.pageSize);
        }
        this._rootLoading$ = new LoadingEmitter();
        this._parentLoading$ = new LoadingEmitter();
        this._activeNode$ = new BehaviorSubject(undefined);
        this.loadRoot();
    }
    ngOnDestroy() {
        this._rootLoading$.complete();
        this._parentLoading$.complete();
        this._activeNode$.complete();
    }
    get root() {
        return this._rootNode;
    }
    get rootLoaded$() {
        return this._rootLoading$;
    }
    isRoot(node) {
        return node.path === this._rootNode.path;
    }
    get activeNode() {
        return this._activeNode$.getValue();
    }
    set activeNode(node) {
        if (node.parentId && !node.parent) {
            if (node.parentId === this._rootNode.path) {
                node.parent = this._rootNode;
            }
            else {
                this._parentLoading$.on();
                this.getNodeByPath(this.resolveParentPath(node)).subscribe(n => {
                    node.parent = !n ? this._rootNode : n;
                    this._parentLoading$.off();
                }, error => {
                    this._logger.error(error);
                    this._parentLoading$.off();
                });
            }
        }
        this._activeNode$.next(node);
    }
    get activeNode$() {
        return this._activeNode$;
    }
    get parentNodeLoading$() {
        return this._parentLoading$;
    }
    /**
     * Loads root ID into variable.
     * When root node is loaded and active node is not set yet the root node is set as active node
     * */
    loadRoot() {
        this._rootLoading$.on();
        this._resourceService.getRoot().subscribe(node => {
            if (!!node) {
                this._rootNode = node;
                if (!this.activeNode) {
                    this.activeNode = this._rootNode;
                }
            }
            this._rootLoading$.off();
        }, error => {
            this._logger.error(error);
            this._rootLoading$.off();
        });
    }
    reset() {
        this.activeNode = this._rootNode;
        return this._rootNode;
    }
    /**
     * Get uri node by uri path.
     * @param path
     */
    getNodeByPath(path) {
        return this._resourceService.getNodeByUri(path).pipe(map(n => this.capitalizeName(n)));
    }
    /**
     * Get child nodes of provides node.
     * @param node parent node
     */
    getChildNodes(node) {
        if (!node)
            node = this.activeNode;
        return this._resourceService.getNodesByParent(node.id).pipe(map(nodes => {
            this.capitalizeNames(nodes);
            return nodes;
        }));
    }
    /**
     * Get cases under uri node
     * @param node parent node of cases
     * @param processIdentifiers optional search filter for process identifier to get only cases from the process
     * @param pageNumber optional parameter for load page on the index. Default value is 0 (the first page).
     * @param pageSize optional parameter for loaded page size. Defaults to value of injection token URI_NODE_CASES_PAGE_SIZE or to value "20".
     */
    getCasesOfNode(node, processIdentifiers, pageNumber = 0, pageSize = this.pageSize) {
        if (!node)
            node = this.activeNode;
        const searchBody = {
            uriNodeId: node.id,
        };
        if (!!processIdentifiers) {
            searchBody.process = processIdentifiers.map(id => ({ identifier: id }));
        }
        // TODO active group is broken a given the wrong id
        // if (!!this._activeGroupService.activeGroup) {
        //     searchBody.data = {};
        //     searchBody.data['parentId'] = this._activeGroupService.activeGroup.stringId;
        // }
        let httpParams = new HttpParams()
            .set(PaginationParams.PAGE_SIZE, pageSize)
            .set(PaginationParams.PAGE_NUMBER, pageNumber);
        return this._caseResourceService.searchCases(SimpleFilter.fromCaseQuery(searchBody), httpParams);
    }
    /**
     * Get menu item case by nodePath field value
     * @param node a node, that is represented by the wanted case
     * @return page containing 1 case
     */
    getItemCaseByNodePath(node) {
        if (!node) {
            node = this.activeNode;
        }
        const searchBody = {
            data: {
                [GroupNavigationConstants.ITEM_FIELD_ID_NODE_PATH]: node.path
            },
            process: { identifier: "preference_item" }
        };
        let httpParams = new HttpParams()
            .set(PaginationParams.PAGE_SIZE, 1)
            .set(PaginationParams.PAGE_NUMBER, 0);
        return this._caseResourceService.searchCases(SimpleFilter.fromCaseQuery(searchBody), httpParams);
    }
    /**
     * Get siblings node of the provided node
     * @param node siblings node
     */
    getSiblingsOfNode(node) {
        if (!node)
            node = this.activeNode;
        return this._resourceService.getNodesByParent(node.parentId).pipe(map(nodes => {
            this.capitalizeNames(nodes);
            return nodes;
        }));
    }
    /**
     * Get nodes on the same uri level starting from 0. Root node is no 0 level.
     * @param level
     * @param parent optional parameter to filter nodes with common parent
     */
    getNodesOnLevel(level, parent) {
        if (level === 0)
            return of([this.root]);
        return this._resourceService.getByLevel(level).pipe(map(nodes => {
            const ns = !!parent?.id ? nodes.filter(n => n.parentId === parent.id) : nodes;
            this.capitalizeNames(ns);
            return ns;
        }));
    }
    resolveParentPath(node) {
        if (!node)
            node = this.activeNode;
        const lastDelimiter = node.path.lastIndexOf('/');
        if (lastDelimiter === 0)
            return '/';
        return node.path.substring(0, lastDelimiter);
    }
    splitNodePath(node) {
        return node?.path.split('/').filter(s => s !== UriService.ROOT);
    }
    capitalizeNames(nodes) {
        if (!(nodes instanceof Array))
            return;
        nodes.forEach(n => this.capitalizeName(n));
    }
    /**
     *  /netgrif/nae_system/processes/... => Netgrif -> Nae Systems -> Processes
     * @param node
     * @private
     */
    capitalizeName(node) {
        let parts = node.name.split('_');
        parts = parts.map(p => {
            if (p === undefined || p.length === 0)
                return;
            if (p.length === 1)
                return p.toUpperCase();
            return p.charAt(0).toUpperCase() + p.substring(1);
        });
        node.name = parts.join(' ');
        return node;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriService, deps: [{ token: LoggerService }, { token: UriResourceService }, { token: CaseResourceService }, { token: ActiveGroupService }, { token: NAE_URI_NODE_CASES_PAGE_SIZE, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UriService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: UriResourceService }, { type: CaseResourceService }, { type: ActiveGroupService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_URI_NODE_CASES_PAGE_SIZE]
                }] }] });

class FileUploadModel {
    stringId;
    data;
    inProgress;
    progress;
    completed;
    error;
    uploaded;
    downloading;
    sub;
}
class AbstractImportNetComponent {
    _sideMenuControl;
    _petriNetResource;
    _uriService;
    _log;
    _snackbar;
    _translate;
    files = {};
    releaseTypes = ['Major', 'Minor', 'Patch'];
    releaseTypeControl = new FormControl(this.releaseTypes[0]);
    _response = undefined;
    _fileInput;
    constructor(_sideMenuControl, _petriNetResource, _uriService, _log, _snackbar, _translate) {
        this._sideMenuControl = _sideMenuControl;
        this._petriNetResource = _petriNetResource;
        this._uriService = _uriService;
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
    }
    ngAfterViewInit() {
        this._fileInput = document.getElementById('sidemenu-fileUpload');
        this._fileInput.onchange = () => {
            for (const fileIndex of Array.from(Array(this._fileInput.files.length).keys())) {
                const file = this._fileInput.files[fileIndex];
                if (this.files[file.name]) {
                    const knownFile = this.files[file.name].data;
                    if (knownFile.type !== file.type || knownFile.lastModified !== file.lastModified) {
                        this.files[file.name] = this.setupFile(file);
                    }
                }
                else {
                    this.files[file.name] = this.setupFile(file);
                }
            }
            this.uploadFiles();
        };
    }
    get fileList() {
        return Object.values(this.files);
    }
    get isAllFinished() {
        return Object.values(this.files).every(file => !file.inProgress && file.progress === 100);
    }
    onProcessFileChosen() {
        if (this._fileInput) {
            this._fileInput.click();
        }
    }
    cancelFile(file) {
        file.sub.unsubscribe();
        this.removeFile(file);
    }
    retryFile(file) {
        this.uploadFile(file);
    }
    close() {
        this._sideMenuControl.close({
            opened: false,
            message: 'All process files were processed',
            data: this._response ? { net: this._response.net } : undefined
        });
    }
    setupFile(file) {
        return {
            data: file, stringId: '', downloading: false, inProgress: false, progress: 0, completed: false, uploaded: false
        };
    }
    uploadFiles() {
        this._fileInput.value = '';
        this.fileList.filter(fileModel => !fileModel.completed && fileModel.progress === 0).forEach(file => {
            this.uploadFile(file);
        });
    }
    removeFile(file) {
        if (this.files[file.data.name]) {
            delete this.files[file.data.name];
            this._sideMenuControl.publish({
                opened: true,
                message: 'Process ' + file.data.name + ' was deleted from the list',
                data: file
            });
        }
    }
    uploadFile(file) {
        const fileFormData = new FormData();
        fileFormData.append('file', file.data);
        fileFormData.append('uriNodeId', this._uriService.activeNode.id);
        fileFormData.append('meta', this.releaseTypeControl.value.toString().toUpperCase());
        file.inProgress = true;
        file.completed = false;
        file.error = false;
        file.sub = this._petriNetResource.importPetriNet(fileFormData).subscribe((response) => {
            if (response.type && response.type === ProgressType.UPLOAD) {
                file.progress = response.progress;
                if (file.progress === 100) {
                    file.uploaded = true;
                }
            }
            else {
                this._log.info(response.success);
                this._response = response.outcome;
                file.inProgress = false;
                file.completed = true;
                this._snackbar.openSuccessSnackBar(response.outcome.message === undefined
                    ? this._translate.instant('workflow.snackBar.uploadSuccess')
                    : response.outcome.message);
                this._sideMenuControl.publish({
                    opened: true,
                    message: response.outcome.message === undefined
                        ? 'Process ' + file.data.name + ' successfully uploaded'
                        : response.outcome.message,
                    data: { net: response.outcome.net }
                });
            }
        }, error => {
            file.inProgress = false;
            file.completed = false;
            file.error = true;
            this._log.error('Importing process file has failed!', error);
            this._snackbar.openErrorSnackBar(`${this._translate.instant('workflow.snackBar.uploadFailed')} ${error?.error?.message ?? ''}`);
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImportNetComponent, deps: [{ token: SideMenuControl }, { token: PetriNetResourceService }, { token: UriService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractImportNetComponent, selector: "ncc-abstract-import-net", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractImportNetComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-import-net',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl }, { type: PetriNetResourceService }, { type: UriService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

class AbstractNewCaseComponent {
    _sideMenuControl;
    _formBuilder;
    _snackBarService;
    _caseResourceService;
    _hotkeysService;
    _translate;
    processFormControl = new FormControl('', Validators.required);
    titleFormControl = new FormControl('', Validators.required);
    netVersion;
    options = [];
    colors = [
        { value: 'panel-primary-icon', viewValue: 'Primary' },
        { value: 'panel-accent-icon', viewValue: 'Accent' },
    ];
    filteredOptions$;
    toolbar;
    stepper1;
    stepper2;
    loadingSubmit;
    _options$;
    _injectedData;
    _hasMultipleNets$;
    _notInitialized$;
    _allowedNetsSubscription;
    constructor(_sideMenuControl, _formBuilder, _snackBarService, _caseResourceService, _hotkeysService, _translate) {
        this._sideMenuControl = _sideMenuControl;
        this._formBuilder = _formBuilder;
        this._snackBarService = _snackBarService;
        this._caseResourceService = _caseResourceService;
        this._hotkeysService = _hotkeysService;
        this._translate = _translate;
        if (this._sideMenuControl.data) {
            this._injectedData = this._sideMenuControl.data;
        }
        if (!this._injectedData) {
            this.closeNoNets();
        }
        this._hotkeysService.add(new Hotkey('enter', (event) => {
            this.nextStep();
            return false;
        }));
        this._hasMultipleNets$ = new ReplaySubject(1);
        this._notInitialized$ = new BehaviorSubject(true);
        this._options$ = new ReplaySubject(1);
        this.loadingSubmit = new LoadingEmitter(false);
        this._allowedNetsSubscription = this._injectedData.allowedNets$.pipe(map(nets => nets.map(petriNet => ({
            value: petriNet.stringId,
            viewValue: petriNet.title,
            version: petriNet.version
        }))), map(nets => {
            if (!this._sideMenuControl.allVersionEnabled) {
                return this.removeOldVersions(nets);
            }
            else {
                return nets;
            }
        }), tap(options => {
            if (options.length === 0) {
                this.closeNoNets();
            }
            this.options = options;
            this._hasMultipleNets$.next(options.length > 1);
        })).subscribe(options => {
            this._options$.next(options);
            if (!this._notInitialized$.closed) {
                this._notInitialized$.next(false);
                this._notInitialized$.complete();
            }
        });
        this.filteredOptions$ = combineLatest([this._options$, this.processFormControl.valueChanges.pipe(startWith(''))]).pipe(map(sources => {
            const options = sources[0];
            const input = typeof sources[1] === 'string' || sources[1] === null ? sources[1] : sources[1].viewValue;
            return input ? this._filter(input, options) : options.slice();
        }), tap(filteredOptions => {
            if (filteredOptions.length === 1) {
                this.processFormControl.setValue(filteredOptions[0], { emitEvent: false });
            }
        }));
    }
    ngOnDestroy() {
        this._hasMultipleNets$.complete();
        this.loadingSubmit.complete();
        this._allowedNetsSubscription.unsubscribe();
    }
    get hasMultipleNets$() {
        return this._hasMultipleNets$.asObservable();
    }
    get notInitialized$() {
        return this._notInitialized$.asObservable();
    }
    stepChange($event) {
        this._sideMenuControl.publish({
            opened: true,
            message: 'Active step has changed',
            data: $event
        });
    }
    displayFn(process) {
        return process && process.viewValue ? process.viewValue : '';
    }
    createNewCase() {
        if (this.loadingSubmit.value) {
            return;
        }
        if (!this._sideMenuControl.isOpened()) {
            return;
        }
        if (this.titleFormControl.valid || !this.isCaseTitleRequired()) {
            const newCase = {
                title: this.titleFormControl.value === '' ? null : this.titleFormControl.value,
                color: 'panel-primary-icon',
                netId: this.options.length === 1 ? this.options[0].value :
                    (typeof this.processFormControl.value === 'string' ? this.processFormControl.value : this.processFormControl.value.value)
            };
            this.loadingSubmit.on();
            this._caseResourceService.createCase(newCase)
                .subscribe((response) => {
                this.loadingSubmit.off();
                if (!!response.outcome) {
                    this._snackBarService.openSuccessSnackBar(response.outcome.message === undefined
                        ? this._translate.instant('side-menu.new-case.createCase') + ' ' + newCase.title
                        : response.outcome.message);
                    this._sideMenuControl.close({
                        opened: false,
                        message: response.outcome.message === undefined
                            ? 'Confirm new case setup'
                            : response.outcome.message,
                        data: response.outcome.aCase
                    });
                }
                else if (!!response.error) {
                    this._snackBarService.openWarningSnackBar(this._translate.instant('side-menu.new-case.createCaseError') + ' ' + newCase.title);
                    this._sideMenuControl.close({
                        opened: false,
                        message: response.error === undefined
                            ? 'Confirm new case setup'
                            : response.error
                    });
                }
                this.titleFormControl.markAsUntouched();
                this.titleFormControl.setValue(null);
            }, error => {
                this.loadingSubmit.off();
                this._snackBarService.openErrorSnackBar(error.message ? error.message : error);
            });
        }
    }
    /**
     * Function to filter out matchless options without accent and case-sensitive differences
     * @param value to compare matching options
     * @param options that should be filtered
     * @return  return matched options
     */
    _filter(value, options) {
        const filterValue = value.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return options.filter(option => option.viewValue.toLowerCase().normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '').indexOf(filterValue) === 0);
    }
    closeNoNets() {
        this._snackBarService.openErrorSnackBar(this._translate.instant('side-menu.new-case.noNets'));
        this._sideMenuControl.close({
            opened: false
        });
    }
    nextStep() {
        if (this.stepper1) {
            if (this.stepper1.selectedIndex === 1) {
                this.createNewCase();
            }
            else {
                this.stepper1.next();
            }
        }
        if (this.stepper2) {
            if (this.stepper2.selectedIndex === 0) {
                this.createNewCase();
            }
            else {
                this.stepper2.next();
            }
        }
    }
    titleShortening() {
        let size = 32;
        const caze = this._translate.instant('side-menu.new-case.case');
        const name = typeof this.processFormControl.value === 'string' || this.processFormControl.value === null ?
            undefined : this.processFormControl.value.viewValue;
        const title = name === undefined ? caze : caze + ' - ' + name;
        if (title.length > size) {
            const tmp = title.slice(0, size);
            return tmp + '...';
        }
        return title;
    }
    removeOldVersions(options) {
        const tempNets = Object.assign([], options);
        const petriNetIds = new Set(options.map(form => form.value));
        const newestNets = new Array();
        for (const value of petriNetIds) {
            let current = { value, version: '1.0.0', viewValue: '' };
            for (const net of tempNets) {
                if (value === net.value && !semver.lt(net.version, current.version)) {
                    current = net;
                }
            }
            newestNets.push(current);
        }
        return newestNets;
    }
    isCaseTitleEnabled() {
        return !!(this._injectedData?.newCaseCreationConfiguration?.enableCaseTitle ?? true);
    }
    isCaseTitleRequired() {
        return this.isCaseTitleEnabled() && !!(this._injectedData?.newCaseCreationConfiguration?.isCaseTitleRequired ?? true);
    }
    showVersion(option) {
        if (option !== undefined && option.value !== undefined && option.value.version !== undefined)
            this.netVersion = option.value.version;
    }
    checkVersion(viewValue) {
        const currentOption = typeof viewValue === 'string' || viewValue === null ? undefined : viewValue.version;
        if (currentOption === undefined) {
            this.netVersion = '';
        }
    }
    toNextStep(viewValue) {
        if (viewValue !== null && viewValue.value !== undefined) {
            this.stepper1.next();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNewCaseComponent, deps: [{ token: NAE_SIDE_MENU_CONTROL }, { token: i1$4.FormBuilder }, { token: SnackBarService }, { token: CaseResourceService }, { token: i4$2.HotkeysService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNewCaseComponent, selector: "ncc-abstract-new-case", viewQueries: [{ propertyName: "toolbar", first: true, predicate: ["toolbar"], descendants: true }, { propertyName: "stepper1", first: true, predicate: ["stepper1"], descendants: true }, { propertyName: "stepper2", first: true, predicate: ["stepper2"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNewCaseComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-new-case',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl, decorators: [{
                    type: Inject,
                    args: [NAE_SIDE_MENU_CONTROL]
                }] }, { type: i1$4.FormBuilder }, { type: SnackBarService }, { type: CaseResourceService }, { type: i4$2.HotkeysService }, { type: i1$2.TranslateService }], propDecorators: { toolbar: [{
                type: ViewChild,
                args: ['toolbar']
            }], stepper1: [{
                type: ViewChild,
                args: ['stepper1']
            }], stepper2: [{
                type: ViewChild,
                args: ['stepper2']
            }] } });

/**
 * Is the main - parent component of the entire user assignment in the side menu.
 *
 * Holds logic link of the [UserAssignListComponent]{@link AbstractUserAssignListComponent}
 * along with searching, selecting, and then assigning to the user field.
 */
class AbstractUserAssignComponent {
    _sideMenuControl;
    /**
     * Form control for user search value.
     */
    searchUserControl = new FormControl();
    /**
     * Data about preselected user send from [UserFieldComponent]{@link AbstractUserFieldComponent}.
     */
    injectedData;
    /**
     * Value of the current selected user.
     */
    _currentUser;
    /**
     * Inject and set data send from [UserFieldComponent]{@link AbstractUserFieldComponent} if the user is preselected.
     * @param _sideMenuControl Contains [Roles]{@link ProcessRole} and [UserValue]{@link UserValue}.
     */
    constructor(_sideMenuControl) {
        this._sideMenuControl = _sideMenuControl;
        if (this._sideMenuControl.data) {
            this.injectedData = this._sideMenuControl.data;
        }
    }
    /**
     * The user that is initially selected, or `undefined` if none is
     */
    get initiallySelectedUser() {
        return this.injectedData ? this.injectedData.value : undefined;
    }
    get roles() {
        return this.injectedData ? this.injectedData.roles : [];
    }
    get negativeRoles() {
        return this.injectedData ? this.injectedData.negativeRoles : [];
    }
    /**
     * On select user from users assign list publish side menu with selected user as data and message about selection.
     * @param user Select current user as [UserValue]{@link UserValue}
     */
    userWasSelected(user) {
        this._currentUser = user;
        this._sideMenuControl.publish({
            opened: true,
            message: 'New selected user',
            data: this._currentUser
        });
    }
    /**
     * On assign button close side menu with selected user as data and message about confirm.
     */
    assign() {
        if (this._currentUser !== undefined) {
            this._sideMenuControl.close({
                opened: false,
                message: 'Selected user was confirmed',
                data: this._currentUser
            });
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignComponent, deps: [{ token: SideMenuControl }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserAssignComponent, selector: "ncc-abstract-user-assign", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-assign',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl }] });

class AbstractBaseUserAssignListComponent {
    _userListService;
    SEARCH_DEBOUNCE_TIME = 600;
    searchUserControl;
    roles;
    negativeRoles;
    viewport;
    constructor(_userListService) {
        this._userListService = _userListService;
    }
    ngOnInit() {
        this.searchUserControl.valueChanges.pipe(debounceTime(this.SEARCH_DEBOUNCE_TIME)).subscribe(searchText => {
            this._userListService.reload(searchText);
        });
        if (this.roles instanceof Array) {
            this._userListService.rolesQuery = this.roles;
        }
        else if (this.roles !== undefined && this.roles !== null) {
            this._userListService.rolesQuery = Object.keys(this.roles);
        }
        if (this.negativeRoles instanceof Array) {
            this._userListService.negativeRolesQuery = this.negativeRoles;
        }
        else if (this.negativeRoles !== undefined && this.negativeRoles !== null) {
            this._userListService.negativeRolesQuery = Object.keys(this.negativeRoles);
        }
    }
    trackBy(index, item) {
        return item.id;
    }
    get loading() {
        return this._userListService.loading;
    }
    loadNextPage() {
        if (!this.viewport) {
            return;
        }
        this._userListService.nextPage(this.viewport.getRenderedRange().end, this.viewport.getDataLength());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBaseUserAssignListComponent, deps: [{ token: UserListService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractBaseUserAssignListComponent, selector: "ncc-base-user-assign-list", inputs: { searchUserControl: "searchUserControl", roles: "roles", negativeRoles: "negativeRoles" }, viewQueries: [{ propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBaseUserAssignListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-base-user-assign-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserListService }], propDecorators: { searchUserControl: [{
                type: Input
            }], roles: [{
                type: Input
            }], negativeRoles: [{
                type: Input
            }], viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

/**
 * Is responsible for displaying, filtering, loading and selecting users.
 */
class AbstractUserAssignListComponent extends AbstractBaseUserAssignListComponent {
    /**
     * The user that is initially selected, or `undefined` if none is
     */
    initiallySelectedUser;
    /**
     * Emit selected user to parent component.
     */
    userSelected;
    /**
     * UserValue array stream, that represents users loading from backend.
     */
    users$;
    /**
     * Stream of selected user with his value that we can subscribe to like the observable.
     */
    _selectedUser$;
    /**
     * Inject and initialize attributes.
     * @param _userListService Service to get paginated loading users from backend.
     */
    constructor(_userListService) {
        super(_userListService);
        this.users$ = this._userListService.users$;
        this.userSelected = new EventEmitter();
        this._selectedUser$ = new ReplaySubject(1);
    }
    /**
     * On initialize component set value to stream selectedUser with preselected user.
     * Observes search user control stream on value change.
     */
    ngOnInit() {
        super.ngOnInit();
        if (this.initiallySelectedUser) {
            this._selectedUser$.next(this.initiallySelectedUser.id);
        }
    }
    ngOnDestroy() {
        this._selectedUser$.complete();
    }
    /**
     * ID of the currently selected user
     */
    get selectedUser$() {
        return this._selectedUser$.asObservable();
    }
    /**
     * Sets current user to the selected user.
     *
     * Emit selected user to parent component.
     *
     * Marks selected user in users list.
     * @param selectedUser [UserValue]{@link UserValue}
     */
    select(selectedUser) {
        this.userSelected.emit(new UserValue(selectedUser.id, selectedUser.name, selectedUser.surname, selectedUser.email));
        this._markSelectedUser(selectedUser);
    }
    /**
     * Marks user as selected in users list.
     * @param selectedUser Current select user value.
     */
    _markSelectedUser(selectedUser) {
        if (!selectedUser)
            return;
        this._selectedUser$.next(selectedUser.id);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignListComponent, deps: [{ token: UserListService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserAssignListComponent, selector: "ncc-abstract-user-assign-list", inputs: { initiallySelectedUser: "initiallySelectedUser" }, outputs: { userSelected: "userSelected" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-assign-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserListService }], propDecorators: { initiallySelectedUser: [{
                type: Input
            }], userSelected: [{
                type: Output
            }] } });

class AbstractMultiUserAssignComponent {
    _sideMenuControl;
    searchUserControl = new FormControl();
    injectedData;
    _currentUsers;
    constructor(_sideMenuControl) {
        this._sideMenuControl = _sideMenuControl;
        this._currentUsers = [];
        if (this._sideMenuControl.data) {
            this.injectedData = this._sideMenuControl.data;
            if (!!this.injectedData.value) {
                this._currentUsers.push(...this.injectedData.value.userValues.values());
            }
        }
    }
    get initiallySelectedUsers() {
        return this.injectedData && this.injectedData.value ? [...this.injectedData.value.userValues.values()] : undefined;
    }
    get roles() {
        return this.injectedData ? this.injectedData.roles : [];
    }
    get negativeRoles() {
        return this.injectedData ? this.injectedData.negativeRoles : [];
    }
    get currentUsers() {
        return this._currentUsers;
    }
    userWasUnselected(user) {
        const index = this._currentUsers.findIndex(v => v.id === user.id);
        if (index > -1) {
            this._currentUsers.splice(index, 1);
            this._sideMenuControl.publish({
                opened: true,
                message: 'User was unselected',
                data: this._currentUsers
            });
        }
    }
    userWasSelected(user) {
        this._currentUsers.push(user);
        this._sideMenuControl.publish({
            opened: true,
            message: 'User was selected',
            data: this._currentUsers
        });
    }
    /**
     * On save button close side menu with selected user as data and message about confirm.
     */
    save() {
        if (this._currentUsers !== undefined) {
            this._sideMenuControl.close({
                opened: false,
                message: 'Selected users were confirmed',
                data: this._currentUsers
            });
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignComponent, deps: [{ token: SideMenuControl }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultiUserAssignComponent, selector: "ncc-abstract-multi-user-assign", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multi-user-assign',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl }] });

/**
 * Is responsible for displaying, filtering, loading and selecting users.
 */
class AbstractMultiUserAssignListComponent extends AbstractBaseUserAssignListComponent {
    initiallySelectedUsers;
    userSelected;
    userUnselected;
    users$;
    _selectedUsers$;
    _currentlySelectedUsers;
    constructor(_userListService) {
        super(_userListService);
        this.users$ = this._userListService.users$;
        this.userSelected = new EventEmitter();
        this.userUnselected = new EventEmitter();
        this._selectedUsers$ = new ReplaySubject(1);
        this._currentlySelectedUsers = new Array();
    }
    ngOnInit() {
        super.ngOnInit();
        if (this.initiallySelectedUsers) {
            this._selectedUsers$.next(this.initiallySelectedUsers.map(v => v.id));
            this._currentlySelectedUsers.push(...this.initiallySelectedUsers.map(v => v.id));
        }
    }
    ngOnDestroy() {
        this._selectedUsers$.complete();
    }
    get selectedUsers$() {
        return this._selectedUsers$.asObservable();
    }
    get currentlySelectedUsers() {
        return this._currentlySelectedUsers;
    }
    select(selectedUser) {
        const index = this._currentlySelectedUsers.indexOf(selectedUser.id);
        if (index > -1) {
            this._currentlySelectedUsers.splice(index, 1);
            this.userUnselected.emit(new UserValue(selectedUser.id, selectedUser.name, selectedUser.surname, selectedUser.email));
        }
        else {
            this._currentlySelectedUsers.push(selectedUser.id);
            this.userSelected.emit(new UserValue(selectedUser.id, selectedUser.name, selectedUser.surname, selectedUser.email));
        }
        this._selectedUsers$.next([...this._currentlySelectedUsers]);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignListComponent, deps: [{ token: UserListService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultiUserAssignListComponent, selector: "ncc-abstract-multi-user-assign-list", inputs: { initiallySelectedUsers: "initiallySelectedUsers" }, outputs: { userSelected: "userSelected", userUnselected: "userUnselected" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-multi-user-assign-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserListService }], propDecorators: { initiallySelectedUsers: [{
                type: Input
            }], userSelected: [{
                type: Output
            }], userUnselected: [{
                type: Output
            }] } });

/**
 * Includes avatar user icon and full username in the side menu.
 */
class AbstractMultiUserAssignItemComponent {
    /**
     * Value of the user held in this item component
     */
    user;
    /**
     * ID of the currently selected user
     */
    selectedIds$;
    constructor() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractMultiUserAssignItemComponent, selector: "ncc-abstract-user-assign-item", inputs: { user: "user", selectedIds$: "selectedIds$" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractMultiUserAssignItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-assign-item',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { user: [{
                type: Input
            }], selectedIds$: [{
                type: Input
            }] } });

/**
 * Includes avatar user icon and full username in the side menu.
 */
class AbstractUserAssignItemComponent {
    /**
     * Value of the user held in this item component
     */
    user;
    /**
     * ID of the currently selected user
     */
    selectedId$;
    constructor() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserAssignItemComponent, selector: "ncc-abstract-user-assign-item", inputs: { user: "user", selectedId$: "selectedId$" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserAssignItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-assign-item',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { user: [{
                type: Input
            }], selectedId$: [{
                type: Input
            }] } });

/**
 * Simple class that generalizes filtering of array of elements.
 * Filtered Results are contained in a separate array and can be bound to HTML.
 * @typeparam T type of elements contained in the arrays.
 */
class FilteredArray {
    _unfiltered;
    _filterPredicate;
    /**
     * Contains all the elements from the provided array, that match the provided predicate.
     */
    filtered;
    /**
     * @param _unfiltered elements that can be filtered
     * @param _filterPredicate predicate that is used to filter elements of the provided array. It should return `true` if `item` with
     * the given `data` should appear in the filtered array.
     */
    constructor(_unfiltered, _filterPredicate) {
        this._unfiltered = _unfiltered;
        this._filterPredicate = _filterPredicate;
        this.filtered = [];
        this.filtered.push(...this._unfiltered);
    }
    /**
     * Applies the filter predicate on all items of the unfiltered array.
     * Each item that returns `true` will be included in the filtered array.
     * @param data data that is sent to the {@link FilteredArray#_filterPredicate} for evaluation
     */
    filter(data) {
        this.filtered.splice(0, this.filtered.length);
        this._unfiltered.forEach(item => {
            if (this._filterPredicate(item, data)) {
                this.filtered.push(item);
            }
        });
    }
}

/**
 * Allows access to filters defined in nae.json during runtime.
 *
 * Filters are always returned as copies to avoid unintended side effects when operating on them.
 *
 * Also see {@link Filter}.
 */
class FilterRepository {
    _configService;
    _log;
    /**
     * Stores the filters managed by the repository. Keys are filterIds.
     */
    _filters = new Map();
    /**
     * Loads and creates filters declared in nae.json.
     */
    constructor(_configService, _log) {
        this._configService = _configService;
        this._log = _log;
        const filters = _configService.get().filters;
        if (!filters) {
            return;
        }
        Object.keys(filters).forEach(filterId => {
            const configFilter = filters[filterId];
            // TODO 17.4.2020 - don't ignore filter.access property
            if (!configFilter.type || !configFilter.body) {
                _log.warn(`Filter '${filterId}' doesn't define all the necessary properties. Skipping.`);
                return;
            }
            if (Array.isArray(configFilter.body)) {
                if (!configFilter.mergeOperator) {
                    _log.warn(`Filter '${filterId}' contains multiple filters, but doesn't define a merge operator. Skipping.`);
                    return;
                }
                this.warnIfFilterExists(filterId);
                const filter = new MergedFilter(filterId, configFilter.type, configFilter.body, configFilter.mergeOperator, configFilter.title);
                this._filters.set(filterId, filter);
            }
            else {
                this.warnIfFilterExists(filterId);
                const filter = new SimpleFilter(filterId, configFilter.type, configFilter.body, configFilter.title);
                this._filters.set(filterId, filter);
            }
        });
    }
    /**
     * Logs a warning if filter with the given id already exists. The warning states that the filter will be replaced.
     * @param filterId ID of the filter who's existence should be checked
     */
    warnIfFilterExists(filterId) {
        if (this._filters.has(filterId)) {
            this._log.warn(`Filter with id '${filterId}' already exists in the repository and will be replaced!`);
        }
    }
    /**
     * @param filterId ID of the filter that should be retrieved
     * @returns a copy of the specified filter, or `undefined` if such filter doesn't exist in the repository.
     */
    getFilter(filterId) {
        let filter = this._filters.get(filterId);
        if (!!filter) {
            filter = filter.clone();
        }
        return filter;
    }
    /**
     * Stores a new filter into the repository. If the repository already contains a filter with the same ID, the stored filter
     * will be replaced and a warning will be logged.
     *
     * The repository stores a copy of the provided filter, to ensure that the objects in the repository aren't referenced from outside.
     * @param filter the filter that should be stored
     */
    saveFilter(filter) {
        this.warnIfFilterExists(filter.id);
        this._filters.set(filter.id, filter.clone());
    }
    /**
     * @returns list of case filter identifiers stored in the repository
     */
    getCaseFilterList() {
        return this.getFilterList(filter => filter.type === FilterType.CASE);
    }
    /**
     * @returns list of task filter identifiers stored in the repository
     */
    getTaskFilterList() {
        return this.getFilterList(filter => filter.type === FilterType.TASK);
    }
    /**
     * @param predicate condition that must be fulfilled by the filters in the repository in order to be included in the result
     * @returns list of filter identifiers that fulfill the given predicate
     */
    getFilterList(predicate) {
        const result = [];
        this._filters.forEach(filter => {
            if (predicate(filter)) {
                result.push(filter.id);
            }
        });
        return result;
    }
    /**
     * @param filterIds list of ids of filters that should be returned
     * @returns list of copies of specified filters. If some of the filters don't exist in the repository, they won't be included
     * and the array will contain less elements than the input array.
     */
    getFilters(filterIds) {
        const result = [];
        filterIds.forEach(id => {
            const filter = this.getFilter(id);
            if (filter !== undefined) {
                result.push(filter);
            }
        });
        return result;
    }
    /**
     * Removes all stored filters from the repository
     */
    removeAllFilters() {
        this._filters = new Map();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterRepository, deps: [{ token: ConfigurationService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterRepository, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterRepository, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: LoggerService }] });

/**
 * Allows user to choose a {@link Filter} from the {@link FilterRepository}.
 *
 * Publishes events to the {@link SideMenuControl} object when:
 *
 * - filter is selected by the user. Message: `New selected filter`, Data: is either the selected filter or `undefined` if the user
 * deselected the filter
 *
 * - filter selection is confirmed by the user. Message: `Selected filter was confirmed`, Data: the selected filter. If the user didn't
 * select any filter this event will not be published.
 *
 */
class AbstractFilterSelectorComponent {
    _sideMenuControl;
    _filterRepository;
    /**
     * @ignore
     * Case filters bound to HTML
     */
    caseFilters;
    /**
     * @ignore
     * Task filters bound to html
     */
    taskFilters;
    /**
     * @ignore
     * Task filters bound to html
     */
    subValue;
    /**
     * @ignore
     * `FormControl` for the search input
     */
    searchFormControl;
    /**
     * @ignore
     * Currently selected filter. `undefined` if no filter is selected.
     */
    _selectedFilter;
    /**
     * @ignore
     * Reference to the `mat-selection-list` component, that holds the list of case filters.
     */
    caseFilterList;
    /**
     * @ignore
     * Reference to the `mat-selection-list` component, that holds the list of task filters.
     */
    taskFilterList;
    /**
     * @ignore
     * Stores the predicate used for filtering of filters with {@linkFilteredArray}.
     * @param item some filter from the list
     * @param searchInput value the user is searching for
     */
    _filterPredicate = (item, searchInput) => {
        return item.title
            ? item.title.toLocaleLowerCase().includes(searchInput.toLocaleLowerCase())
            : item.id.toLocaleLowerCase().includes(searchInput.toLocaleLowerCase());
    };
    /**
     * Retrieves the {@link Filter} objects from the {@link FilterRepository} and instantiates this component.
     *
     * Filters that are available for selection can be set using the injected data. See {@link FilterSelectorInjectionData}
     * for more information.
     * @param _sideMenuControl -
     * @param _filterRepository -
     */
    constructor(_sideMenuControl, _filterRepository) {
        this._sideMenuControl = _sideMenuControl;
        this._filterRepository = _filterRepository;
        const filterConstraints = _sideMenuControl.data;
        let caseFilters = [];
        let taskFilters = [];
        if (filterConstraints && filterConstraints.filterIdsConstraint) {
            const filters = this._filterRepository.getFilters(filterConstraints.filterIdsConstraint);
            filters.forEach(filter => {
                if (filter.type === FilterType.CASE &&
                    (!filterConstraints.filterTypeConstraint || filterConstraints.filterTypeConstraint === FilterType.CASE)) {
                    caseFilters.push(filter);
                }
                else if (filter.type === FilterType.TASK &&
                    (!filterConstraints.filterTypeConstraint || filterConstraints.filterTypeConstraint === FilterType.TASK)) {
                    taskFilters.push(filter);
                }
            });
        }
        else {
            if (!filterConstraints ||
                !filterConstraints.filterTypeConstraint ||
                filterConstraints.filterTypeConstraint === FilterType.CASE) {
                caseFilters = this._filterRepository.getFilters(this._filterRepository.getCaseFilterList());
            }
            if (!filterConstraints ||
                !filterConstraints.filterTypeConstraint ||
                filterConstraints.filterTypeConstraint === FilterType.TASK) {
                taskFilters = this._filterRepository.getFilters(this._filterRepository.getTaskFilterList());
            }
        }
        this.caseFilters = new FilteredArray(caseFilters, this._filterPredicate);
        this.taskFilters = new FilteredArray(taskFilters, this._filterPredicate);
        this.searchFormControl = new FormControl();
        this.subValue = this.searchFormControl.valueChanges.subscribe(newValue => this.filterFilters(newValue));
    }
    ngOnDestroy() {
        this.subValue.unsubscribe();
    }
    /**
     * @ignore
     * Changes the currently selected filter and publishes an event about this to the output stream in {@link SideMenuControl}.
     * @param filter the newly selected filter
     */
    filterSelected(filter) {
        this._selectedFilter = filter;
        this._sideMenuControl.publish({
            opened: true,
            message: 'New selected filter',
            data: this._selectedFilter
        });
    }
    /**
     * @ignore
     * Closes the side menu and publishes an event with the currently selected filter.
     */
    filterSelectionConfirmed() {
        if (this._selectedFilter !== undefined) {
            this._sideMenuControl.close({
                opened: false,
                message: 'Selected filter was confirmed',
                data: this._selectedFilter
            });
        }
    }
    /**
     * @ignore
     * Clears selection of task filters and ensures that only one case filter can be selected at once.
     * @param event list change event published byt the material component
     */
    caseFilterSelected(event) {
        if (event.options[0].selected) {
            this.filterSelected(event.options[0].value);
            if (this.taskFilterList) {
                this.taskFilterList.deselectAll();
            }
            // TODO 20.4.2020 - change to [multiple] input attribute on MatSelectionList in HTML,
            //  once Covalent supports material 9.1.0 or above
            this.caseFilterList.deselectAll();
            event.options[0].selected = true;
        }
        else {
            this.filterSelected(undefined);
        }
    }
    /**
     * @ignore
     * Clears selection of case filters and ensures that only one task filter can be selected at once.
     * @param event list change event published byt the material component
     */
    taskFilterSelected(event) {
        if (event.options[0].selected) {
            this.filterSelected(event.options[0].value);
            if (this.caseFilterList) {
                this.caseFilterList.deselectAll();
            }
            // TODO 20.4.2020 - change to [multiple] input attribute on MatSelectionList in HTML,
            //  once Covalent supports material 9.1.0 or above
            this.taskFilterList.deselectAll();
            event.options[0].selected = true;
        }
        else {
            this.filterSelected(undefined);
        }
    }
    /**
     * @ignore
     * Filters both lists of filters based on user search input.
     * @param newValue user search input value
     */
    filterFilters(newValue) {
        this.caseFilters.filter(newValue);
        this.taskFilters.filter(newValue);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterSelectorComponent, deps: [{ token: NAE_SIDE_MENU_CONTROL }, { token: FilterRepository }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterSelectorComponent, selector: "ncc-abstract-filter-selector", viewQueries: [{ propertyName: "caseFilterList", first: true, predicate: ["caseFilterList"], descendants: true }, { propertyName: "taskFilterList", first: true, predicate: ["taskFilterList"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterSelectorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-selector',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl, decorators: [{
                    type: Inject,
                    args: [NAE_SIDE_MENU_CONTROL]
                }] }, { type: FilterRepository }], propDecorators: { caseFilterList: [{
                type: ViewChild,
                args: ['caseFilterList']
            }], taskFilterList: [{
                type: ViewChild,
                args: ['taskFilterList']
            }] } });

/**
 * @ignore
 * Renders a single filter in the selection list.
 */
class AbstractFilterSelectorListItemComponent {
    /**
     * Filter that should be rendered
     */
    filter;
    /**
     * Text that is bound to HTML
     */
    text;
    /**
     * Sets the text bound to HTML, to either the filter title (if it exists), or to it's ID.
     */
    ngOnInit() {
        if (this.filter.title) {
            this.text = this.filter.title;
        }
        else {
            this.text = this.filter.id;
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterSelectorListItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFilterSelectorListItemComponent, selector: "ncc-abstract-filter-selector-list-item", inputs: { filter: "filter" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFilterSelectorListItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-filter-selector-list-item',
                    template: ''
                }]
        }], propDecorators: { filter: [{
                type: Input
            }] } });

class AbstractOptionSelectorComponent {
    _sideMenuControl;
    data;
    selectorFormControl = new FormControl('', Validators.required);
    filteredOptions;
    constructor(_sideMenuControl) {
        this._sideMenuControl = _sideMenuControl;
        this.data = _sideMenuControl.data;
        this.filteredOptions = this.selectorFormControl.valueChanges.pipe(startWith(''), map(input => typeof input === 'string' ? input : input.value), map(name => name ? this._filter(name) : this.data.options.slice()));
    }
    submit() {
        if (this.selectorFormControl.valid) {
            this._sideMenuControl.close({
                opened: false,
                message: 'Selected option was confirmed',
                data: this.selectorFormControl.value
            });
        }
    }
    displayFn(option) {
        return option.text;
    }
    _filter(value) {
        const filterValue = value.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        return this.data.options.filter(option => option.value.toLowerCase().normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '').indexOf(filterValue) === 0);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractOptionSelectorComponent, deps: [{ token: SideMenuControl }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractOptionSelectorComponent, selector: "ncc-abstract-option-selector", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractOptionSelectorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-option-selector',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl }] });

class AbstractViewWithHeadersComponent {
    _sortableView;
    _activatedRoute;
    config;
    _selectedHeaders$;
    constructor(_sortableView, _activatedRoute) {
        this._sortableView = _sortableView;
        this._activatedRoute = _activatedRoute;
        this._selectedHeaders$ = new ReplaySubject(1);
        if (!!_activatedRoute) {
            this._activatedRoute.queryParams.subscribe(paramMap => this.config = paramMap);
        }
    }
    get selectedHeaders$() {
        return this._selectedHeaders$.asObservable();
    }
    initializeHeader(headerComponent) {
        headerComponent.headerService.selectedHeaders$.subscribe(selectedHeaders => this._selectedHeaders$.next(selectedHeaders));
        if (!!this._sortableView) {
            this._sortableView.registerHeaderChange(headerComponent.headerService.headerChange$);
        }
    }
    ngOnDestroy() {
        this._selectedHeaders$.complete();
    }
    showHeader() {
        return !(this.config?.[ConfigParams.PANEL_HEADER] === 'false');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractViewWithHeadersComponent, deps: [{ token: AbstractSortableViewComponent }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractViewWithHeadersComponent, selector: "ncc-abstract-view-with-headers", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractViewWithHeadersComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-view-with-headers',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: AbstractSortableViewComponent }, { type: i3$1.ActivatedRoute }] });

class AbstractTaskViewComponent extends AbstractViewWithHeadersComponent {
    taskViewService;
    tasks$;
    loading$;
    constructor(taskViewService, _activatedRoute) {
        super(taskViewService, _activatedRoute);
        this.taskViewService = taskViewService;
        this.tasks$ = this.taskViewService.tasks$;
        this.loading$ = this.taskViewService.loading$;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskViewComponent, deps: [{ token: TaskViewService }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskViewComponent, selector: "ncc-abstract-task-view", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: i3$1.ActivatedRoute }] });

/**
 * Holds all identifiers of the Filter process in an accessible manner
 */
var UserFilterConstants;
(function (UserFilterConstants) {
    /**
     * Identifier of the filter process
     */
    UserFilterConstants["FILTER_NET_IDENTIFIER"] = "filter";
    /**
     * Transition ID of the "Set filter metadata" transition used for setting filter metadata to new filter cases
     */
    UserFilterConstants["SET_FILTER_METADATA_TRANSITION_ID"] = "frontend_create";
    /**
     * Transition ID of the "New Filter" transition displayed in the side menu
     */
    UserFilterConstants["NEW_FILTER_TRANSITION_ID"] = "newFilter";
    /**
     * ID of the field containing the saved filter
     */
    UserFilterConstants["FILTER_FIELD_ID"] = "filter";
    /**
     * ID of the field containing the saved filter type
     */
    UserFilterConstants["FILTER_TYPE_FIELD_ID"] = "filter_type";
    /**
     * ID of the field containing the viewId of the filters origin (if the filter originates from an app view)
     */
    UserFilterConstants["ORIGIN_VIEW_ID_FIELD_ID"] = "origin_view_id";
    /**
     * ID of the field containing the filter case ID
     */
    UserFilterConstants["FILTER_CASE_ID_FIELD_ID"] = "filter_case_id";
    /**
     * ID of the field containing the filter case ID of the parent filter (if the filter has a filter parent)
     */
    UserFilterConstants["PARENT_FILTER_CASE_ID_FIELD_ID"] = "parent_filter_id";
    /**
     * ID of allowed net field in filter and filter_preference_item processes
     * */
    UserFilterConstants["ALLOWED_NETS_FIELD_ID"] = "allowed_nets";
})(UserFilterConstants || (UserFilterConstants = {}));

/**
 * @param fields a collection of data fields
 * @param fieldId the id of the desired field
 * @returns a reference to the datafield with the specified id or `undefined` if such datafield could not be found
 */
function getField(fields, fieldId) {
    const index = getFieldIndex(fields, fieldId);
    return index === -1 ? undefined : fields[index];
}
/**
 * @param fields a collection of data fields
 * @param fieldId the id of the desired field
 * @returns the index of the datafield with the specified id or `-1` if such datafield could not be found
 */
function getFieldIndex(fields, fieldId) {
    return fields.findIndex(field => field.stringId === fieldId);
}
/**
 * @param groups a list of searched data groups
 * @param fieldId the id of the desired field
 * @returns a reference to the first occurrence of the datafield with the specified id or `undefined` if such datafield could not be found
 */
function getFieldFromDataGroups(groups, fieldId) {
    const indices = getFieldIndexFromDataGroups(groups, fieldId);
    if (indices !== undefined) {
        return groups[indices.dataGroupIndex].fields[indices.fieldIndex];
    }
    return undefined;
}
/**
 * @param groups a list of searched data groups
 * @param fieldId the id of the desired field
 * @returns an object containing the index of the data group and the field within it corresponding to the first occurrence of a
 * datafield with the specified id or `undefined` if such datafield could not be found
 */
function getFieldIndexFromDataGroups(groups, fieldId) {
    for (let i = 0; i < groups.length; i++) {
        const fieldIndex = getFieldIndex(groups[i].fields, fieldId);
        if (fieldIndex !== -1) {
            return {
                dataGroupIndex: i,
                fieldIndex
            };
        }
    }
    return undefined;
}

/**
 * Service that manages filters created by users of the application.
 */
class UserFiltersService {
    _caseService;
    _taskService;
    _processService;
    _callChainService;
    _sideMenuService;
    _log;
    _categoryResolverService;
    _dialog;
    _saveFilterComponent;
    _loadFilterComponent;
    _initialized$;
    _filterNet;
    constructor(_caseService, _taskService, _processService, _callChainService, _sideMenuService, _log, _categoryResolverService, _dialog, _saveFilterComponent, _loadFilterComponent) {
        this._caseService = _caseService;
        this._taskService = _taskService;
        this._processService = _processService;
        this._callChainService = _callChainService;
        this._sideMenuService = _sideMenuService;
        this._log = _log;
        this._categoryResolverService = _categoryResolverService;
        this._dialog = _dialog;
        this._saveFilterComponent = _saveFilterComponent;
        this._loadFilterComponent = _loadFilterComponent;
        this._initialized$ = new ReplaySubject(1);
        this._processService.getNet(UserFilterConstants.FILTER_NET_IDENTIFIER).subscribe(net => {
            this._filterNet = net;
            this._initialized$.next(true);
        }, error => {
            this._log.error(`Filter net could not be loaded with error`, error);
            this._initialized$.next(false);
        });
    }
    ngOnDestroy() {
        this._initialized$.complete();
    }
    /**
     * Deletes the specified filter case by its case id.
     * @param filterCaseId StringId of the filter case that should be deleted
     * @returns an Observable that emits `true` if the case was successfully deleted and `false` otherwise
     */
    delete(filterCaseId) {
        const result$ = new ReplaySubject(1);
        this._caseService.deleteCase(filterCaseId).subscribe((response) => {
            if (response.success) {
                this._log.debug('Filter case delete success', response);
                result$.next(true);
                result$.complete();
            }
            else {
                this._log.error('Filter case delete failure', response);
                result$.next(false);
                result$.complete();
            }
        }, e => {
            this._log.error('Filter case delete error', e);
            result$.next(false);
            result$.complete();
        });
        return result$.asObservable();
    }
    /**
     * Opens a side menu with filter cases and allows the user to select one of them.
     *
     * The default filter constrains the cases to be instances of the filter process and to be filters of the specified type
     * (`Case` or `Task`).
     *
     * @param filterType whether `Case` or `Task` user filters should be loaded
     * @param additionalFilter additional constrains on the displayed user filter cases. Must be of type `Case`
     * otherwise the method throws an error. If it is a {@link MergedFilter} must use the `AND` {@link MergeOperator} otherwise an error
     * will be thrown
     * @returns an Observable that emits the data necessary to reconstruct the selected filter, or `undefined` if no filter was selected
     */
    load(filterType, additionalFilter) {
        if (additionalFilter?.type === FilterType.TASK) {
            this._log.error('The additional filter applied to UserFiltersService.load() must be of type Case', additionalFilter);
            throw Error('The additional filter applied to UserFiltersService.load() must be of type Case');
        }
        let filterCasesFilter = SimpleFilter.fromCaseQuery({
            process: {
                identifier: UserFilterConstants.FILTER_NET_IDENTIFIER
            },
            query: `dataSet.${UserFilterConstants.FILTER_TYPE_FIELD_ID}.keyValue:${filterType}`
        });
        if (!!additionalFilter) {
            filterCasesFilter = filterCasesFilter.merge(additionalFilter, MergeOperator.AND);
        }
        const result = new ReplaySubject(1);
        const ref = this._dialog.open(this._loadFilterComponent, {
            panelClass: "dialog-responsive",
            data: {
                filter: filterCasesFilter
            },
        });
        ref.afterClosed().subscribe(event => {
            if (event.message === 'Side menu closed unexpectedly') {
                result.next(undefined);
            }
            else {
                result.next(event.data);
            }
            result.complete();
        });
        return result.asObservable();
    }
    /**
     * Saves the predicate filter contained in the provided {@link SearchService} instance.
     *
     * The base filter of the search service is not saved.
     *
     * A new filter case is created and the necessary filter information is set into it.
     *
     * Then a side menu with the filter is opened for the user to enter the name and other properties.
     * The user can confirm or cancel the save by finishing the task in the side menu, or by canceling/closing.
     *
     * @param searchService search service containing a predicate filter, we want to save
     * @param allowedNets allowed nets of the view, that contains the search service
     * @param searchCategories search categories available in the saved advanced search component
     * @param viewId the viewId of the view which contained the filter.
     * If neither the `viewId` nor the `navigationItemTaskData` attribute is set the filter will be created as a new root filter
     * without any parent filter link. This will most likely result in the filter being less restrictive than what
     * the user sees in the current view, since the base filter of the view will NOT be saved alongside the saved filter.
     * @param additionalData set data request body, that is sent to the filter in addition to the default body.
     * The default body is applied first and can be overridden by this argument.
     * @param withDefaultCategories Whether the saved filter should be saved with
     * the [defaultSearchCategories]{@link FilterMetadata#defaultSearchCategories} flag set to `true`, or `false`.
     * @param inheritAllowedNets Whether the saved filter should merge its allowed nets with the allowed nets provided by
     * the {@link BaseAllowedNetsService}.
     * @param navigationItemTaskData if provided then it implies the filter has a parent filter that created its host dynamic view.
     * If this is the case the case ID of the parent filter will be set into the newly created filter case.
     * If not set it implies this is a filter originating in an in-app view and its view id will be set into the created filter.
     * @returns an observable that emits the id of the created Filter case instance or `undefined` if the user canceled the save process,
     * or the filter could not be saved
     */
    save(searchService, allowedNets, searchCategories, viewId, additionalData = {}, withDefaultCategories = true, inheritAllowedNets = true, navigationItemTaskData = null) {
        if (!searchService.additionalFiltersApplied) {
            this._log.warn('The provided SearchService contains no filter besides the base filter. Nothing to save.');
            return of(undefined);
        }
        const result = new ReplaySubject(1);
        this.createFilterCaseAndSetData(searchService, allowedNets, searchCategories, viewId, additionalData, withDefaultCategories, inheritAllowedNets, navigationItemTaskData).subscribe(filterCaseId => {
            const ref = this._dialog.open(this._saveFilterComponent, {
                panelClass: "dialog-responsive",
                data: {
                    newFilterCaseId: filterCaseId
                },
            });
            ref.afterClosed().subscribe(event => {
                if (event.message === 'Side menu closed unexpectedly') {
                    this.delete(filterCaseId);
                    result.next(undefined);
                }
                else {
                    result.next({
                        filterCaseId,
                        allowedNets: [...allowedNets],
                        originViewId: viewId,
                        filterMetadata: this.filterMetadataFromSearchService(searchService, searchCategories, withDefaultCategories, inheritAllowedNets),
                        filter: SimpleFilter.fromQuery({ query: searchService.rootPredicate.query.value }, searchService.filterType)
                    });
                }
                result.complete();
            });
        });
        return result.asObservable();
    }
    /**
     * Saves the predicate filter contained in the provided {@link SearchService} instance.
     *
     * The base filter of the search service is not saved.
     *
     * A new filter case is created and the necessary filter information is set into it.
     *
     * @param searchService search service containing a predicate filter, we want to save
     * @param allowedNets allowed nets of the view, that contains the search service
     * @param searchCategories search categories available in the saved advanced search component
     * @param viewId the viewId of the view which contained the filter.
     * If neither the `viewId` nor the `navigationItemTaskData` attribute is set the filter will be created as a new root filter
     * without any parent filter link. This will most likely result in the filter being less restrictive than what
     * the user sees in the current view, since the base filter of the view will NOT be saved alongside the saved filter.
     * @param additionalData set data request body, that is sent to the filter in addition to the default body.
     * The default body is applied first and can be overridden by this argument.
     * @param withDefaultCategories Whether the saved filter should be saved with
     * the [defaultSearchCategories]{@link FilterMetadata#defaultSearchCategories} flag set to `true`, or `false`.
     * @param inheritAllowedNets Whether the saved filter should merge its allowed nets with the allowed nets provided by
     * the {@link BaseAllowedNetsService}.
     * @param navigationItemTaskData if provided then it implies the filter has a parent filter that created its host dynamic view.
     * If this is the case the case ID of the parent filter will be set into the newly created filter case.
     * If not set it implies this is a filter originating in an in-app view and its view id will be set into the created filter.
     * @returns an observable that emits the id of the created Filter case instance
     */
    createFilterCaseAndSetData(searchService, allowedNets, searchCategories, viewId, additionalData = {}, withDefaultCategories = true, inheritAllowedNets = true, navigationItemTaskData = null) {
        const result = new ReplaySubject(1);
        this.whenInitialized(() => {
            this._caseService.createCase({
                title: this._filterNet.defaultCaseName,
                netId: this._filterNet.stringId
            }).subscribe(filterCase => {
                this._taskService.getTasks(SimpleFilter.fromTaskQuery({
                    case: {
                        id: filterCase.outcome.aCase.stringId
                    }
                })).subscribe(page => {
                    if (!hasContent(page)) {
                        throw new Error('Expected filter process to contain tasks, but none were found!');
                    }
                    const initTask = page.content.find(task => task.transitionId === UserFilterConstants.SET_FILTER_METADATA_TRANSITION_ID);
                    if (initTask === undefined) {
                        throw new Error(`Expected filter process to contain task '${UserFilterConstants.SET_FILTER_METADATA_TRANSITION_ID}', but none was found!`);
                    }
                    const requestBody = {
                        [UserFilterConstants.FILTER_TYPE_FIELD_ID]: {
                            type: FieldTypeResource.ENUMERATION_MAP,
                            value: searchService.filterType
                        },
                        [UserFilterConstants.FILTER_FIELD_ID]: {
                            type: FieldTypeResource.FILTER,
                            value: searchService.rootPredicate.query.value,
                            allowedNets,
                            filterMetadata: this.filterMetadataFromSearchService(searchService, searchCategories, withDefaultCategories, inheritAllowedNets)
                        },
                    };
                    let parentFilterCaseIdField;
                    if (navigationItemTaskData !== null && navigationItemTaskData !== undefined) {
                        parentFilterCaseIdField = getFieldFromDataGroups(navigationItemTaskData, UserFilterConstants.FILTER_CASE_ID_FIELD_ID);
                    }
                    if (parentFilterCaseIdField !== undefined) {
                        requestBody[UserFilterConstants.PARENT_FILTER_CASE_ID_FIELD_ID] = {
                            type: FieldTypeResource.TEXT,
                            value: parentFilterCaseIdField.value
                        };
                    }
                    else if (viewId !== undefined || viewId !== '') {
                        requestBody[UserFilterConstants.ORIGIN_VIEW_ID_FIELD_ID] = {
                            type: FieldTypeResource.TEXT,
                            value: viewId
                        };
                    }
                    this.assignSetDataFinish(initTask, {
                        [initTask.stringId]: {
                            ...requestBody,
                            ...additionalData
                        }
                    }, this._callChainService.create(success => {
                        if (!success) {
                            throw new Error('Filter instance could not be initialized');
                        }
                        result.next(filterCase.outcome.aCase.stringId);
                        result.complete();
                    }));
                });
            });
        }, 'saveWithSideMenu');
        return result.asObservable();
    }
    whenInitialized(onSuccess, method, onFailure = () => {
        this._log.error(`UserFilterService failed to initialize and the called method${method ? ' (' + method + ')' : ''} cannot be performed`);
    }) {
        this._initialized$.asObservable().pipe(take(1)).subscribe(initialized => {
            initialized ? onSuccess() : onFailure();
        });
    }
    // TODO 6.4.2021 IMPROVEMENT - extract similar method into some utility service
    assignSetDataFinish(task, data, callChain) {
        this._taskService.assignTask(task.stringId).subscribe(assignOutcome => {
            if (assignOutcome.error) {
                this._log.error(`Could not assign task '${task.title}'`, task, assignOutcome.error);
                callChain.next(false);
                return;
            }
            this._taskService.setData(task.stringId, data).subscribe(() => {
                this._taskService.finishTask(task.stringId).subscribe(finishOutcome => {
                    if (finishOutcome.error) {
                        this._log.error(`Could not finish task '${task.title}'`, task, finishOutcome.error);
                        callChain.next(false);
                        return;
                    }
                    callChain.next(true);
                }, error => {
                    this._log.error(`Could not finish task '${task.title}'`, task, error);
                    callChain.next(false);
                });
            }, error => {
                this._log.error(`Could not set data of task '${task.title}'`, task, data, error);
                callChain.next(false);
            });
        }, error => {
            this._log.error(`Could not assign task '${task.title}'`, task, error);
            callChain.next(false);
        });
    }
    filterMetadataFromSearchService(searchService, searchCategories, withDefaultCategories, inheritAllowedNets) {
        return {
            filterType: searchService.filterType,
            predicateMetadata: searchService.createPredicateMetadata(),
            searchCategories: searchCategories.map(c => this._categoryResolverService.serialize(c)),
            defaultSearchCategories: withDefaultCategories,
            inheritAllowedNets
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserFiltersService, deps: [{ token: CaseResourceService }, { token: TaskResourceService }, { token: ProcessService }, { token: CallChainService }, { token: SideMenuService }, { token: LoggerService }, { token: CategoryResolverService }, { token: i1$3.MatDialog }, { token: NAE_SAVE_FILTER_DIALOG_COMPONENT, optional: true }, { token: NAE_LOAD_FILTER_DIALOG_COMPONENT, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserFiltersService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserFiltersService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: CaseResourceService }, { type: TaskResourceService }, { type: ProcessService }, { type: CallChainService }, { type: SideMenuService }, { type: LoggerService }, { type: CategoryResolverService }, { type: i1$3.MatDialog }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_SAVE_FILTER_DIALOG_COMPONENT]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_LOAD_FILTER_DIALOG_COMPONENT]
                }] }] });

class AbstractSaveFilterComponent extends AbstractTaskViewComponent {
    _sideMenuControl;
    _userFilterService;
    _log;
    _injectedData;
    constructor(_sideMenuControl, _userFilterService, _log, taskViewService, _activatedRoute) {
        super(taskViewService, _activatedRoute);
        this._sideMenuControl = _sideMenuControl;
        this._userFilterService = _userFilterService;
        this._log = _log;
        if (this._sideMenuControl.data) {
            this._injectedData = this._sideMenuControl.data;
        }
    }
    processTaskEvents(notification) {
        if (!notification.success) {
            return;
        }
        if (notification.event === TaskEvent.FINISH) {
            this._sideMenuControl.close({ opened: false, message: 'Filter saved' });
        }
        if (notification.event === TaskEvent.CANCEL) {
            this._userFilterService.delete(this._injectedData.newFilterCaseId);
            this._sideMenuControl.close({ opened: false, message: 'Filter save canceled' });
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSaveFilterComponent, deps: [{ token: NAE_SIDE_MENU_CONTROL }, { token: UserFiltersService }, { token: LoggerService }, { token: TaskViewService }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSaveFilterComponent, selector: "ncc-abstract-save-filter", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSaveFilterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-save-filter',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl, decorators: [{
                    type: Inject,
                    args: [NAE_SIDE_MENU_CONTROL]
                }] }, { type: UserFiltersService }, { type: LoggerService }, { type: TaskViewService }, { type: i3$1.ActivatedRoute }] });

var HeaderType;
(function (HeaderType) {
    HeaderType["CASE"] = "case";
    HeaderType["TASK"] = "task";
    HeaderType["WORKFLOW"] = "workflow";
})(HeaderType || (HeaderType = {}));

const NAE_NEW_CASE_CREATION_CONFIGURATION_DATA = new InjectionToken('NewCaseCreationConfigurationData');

class AbstractCaseViewComponent extends AbstractViewWithHeadersComponent {
    _caseViewService;
    _overflowService;
    _authority;
    _newCaseCreationConfig;
    _activatedRoute;
    MINIMAL_OFFSET = 120;
    headerType = HeaderType.CASE;
    cases$;
    loading;
    canCreate;
    authorityToCreate;
    canCreateSub;
    constructor(_caseViewService, _overflowService, _authority = [{ authority: 'ROLE_USER' }], _newCaseCreationConfig = {
        enableCaseTitle: true,
        isCaseTitleRequired: true
    }, _activatedRoute) {
        super(_caseViewService, _activatedRoute);
        this._caseViewService = _caseViewService;
        this._overflowService = _overflowService;
        this._authority = _authority;
        this._newCaseCreationConfig = _newCaseCreationConfig;
        this._activatedRoute = _activatedRoute;
        this._caseViewService.loading$.subscribe(loading => {
            this.loading = loading;
        });
        this.canCreateSub = this._caseViewService.getNewCaseAllowedNets().subscribe(allowedNets => {
            this.canCreate = allowedNets.length > 0;
        });
        this.cases$ = this._caseViewService.cases$;
        this.authorityToCreate = _authority.map(a => a.authority);
    }
    get newCaseCreationConfig() {
        return this._newCaseCreationConfig;
    }
    hasAuthority() {
        return (this._caseViewService.hasAuthority(this.authorityToCreate) && this.canCreate);
    }
    getWidth() {
        return (this._overflowService && this._overflowService.overflowMode && this._overflowService.columnCount) ?
            `${this._overflowService.columnCount * this._overflowService.columnWidth + this.MINIMAL_OFFSET}px` : '100%';
    }
    getOverflowStatus() {
        return this._overflowService ? this._overflowService.overflowMode : false;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        if (this.canCreateSub) {
            this.canCreateSub.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseViewComponent, deps: [{ token: CaseViewService }, { token: OverflowService }, { token: Array }, { token: NAE_NEW_CASE_CREATION_CONFIGURATION_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCaseViewComponent, selector: "ncc-abstract-case-view", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-case-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseViewService }, { type: OverflowService }, { type: Array }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NEW_CASE_CREATION_CONFIGURATION_DATA]
                }] }, { type: i3$1.ActivatedRoute }] });

class AbstractLoadFilterComponent extends AbstractCaseViewComponent {
    _sideMenuControl;
    _log;
    _injectedData;
    constructor(_sideMenuControl, _log, caseViewService) {
        super(caseViewService);
        this._sideMenuControl = _sideMenuControl;
        this._log = _log;
        if (this._sideMenuControl.data) {
            this._injectedData = this._sideMenuControl.data;
        }
    }
    handleCaseClick(clickedCase) {
        const immediate = getImmediateData(clickedCase, UserFilterConstants.FILTER_FIELD_ID);
        this._sideMenuControl.close({
            opened: false,
            message: 'Filter selected',
            data: {
                allowedNets: immediate.allowedNets,
                filterMetadata: immediate.filterMetadata,
                originViewId: getImmediateData(clickedCase, UserFilterConstants.ORIGIN_VIEW_ID_FIELD_ID).value,
                filterCase: clickedCase,
                filterCaseId: clickedCase.stringId,
                filter: new SimpleFilter(clickedCase.stringId, immediate.filterMetadata.filterType, {
                    query: immediate.value
                }, clickedCase.title)
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoadFilterComponent, deps: [{ token: NAE_SIDE_MENU_CONTROL }, { token: LoggerService }, { token: CaseViewService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLoadFilterComponent, selector: "ncc-abstract-load-filter", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoadFilterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-load-filter',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl, decorators: [{
                    type: Inject,
                    args: [NAE_SIDE_MENU_CONTROL]
                }] }, { type: LoggerService }, { type: CaseViewService }] });

class AbstractUserImpersonateComponent extends AbstractCaseViewComponent {
    _sideMenuControl;
    _injectedData;
    constructor(_sideMenuControl, caseViewService) {
        super(caseViewService);
        this._sideMenuControl = _sideMenuControl;
        if (this._sideMenuControl.data) {
            this._injectedData = this._sideMenuControl.data;
        }
    }
    handleCaseClick(clickedCase) {
        this._sideMenuControl.close({
            opened: false,
            message: 'User selected',
            data: {
                stringId: clickedCase.stringId
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserImpersonateComponent, deps: [{ token: NAE_SIDE_MENU_CONTROL }, { token: CaseViewService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserImpersonateComponent, selector: "ncc-abstract-user-impersonate", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserImpersonateComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-impersonate',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuControl, decorators: [{
                    type: Inject,
                    args: [NAE_SIDE_MENU_CONTROL]
                }] }, { type: CaseViewService }] });

/* COMPONENTS */

class AbstractSideMenuContainerComponent {
    _sideMenuService;
    sideMenu;
    portalWrapper;
    constructor(_sideMenuService) {
        this._sideMenuService = _sideMenuService;
        this.portalWrapper = new PortalWrapper(null, null);
    }
    ngAfterViewInit() {
        this._sideMenuService.registerSideMenu(this);
    }
    open(portalWrapper) {
        this.portalWrapper = portalWrapper;
        return from(this.sideMenu.open());
    }
    close(context) {
        return from(context.sideMenu.close()).pipe(tap((result) => {
            if (result === 'close') {
                context.portalWrapper = context.portalWrapper = new PortalWrapper(null, null);
            }
        }));
    }
    isOpened() {
        return this.sideMenu.opened;
    }
    openedChange() {
        return this.sideMenu.openedChange.asObservable();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSideMenuContainerComponent, deps: [{ token: SideMenuService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSideMenuContainerComponent, selector: "ncc-abstract-side-menu-container", viewQueries: [{ propertyName: "sideMenu", first: true, predicate: ["rightSideMenu"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSideMenuContainerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-side-menu-container',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SideMenuService }], propDecorators: { sideMenu: [{
                type: ViewChild,
                args: ['rightSideMenu']
            }] } });

/* APIS */

class AlertDialogModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogModule, declarations: [AlertDialogComponent], imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule], exports: [AlertDialogComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogModule, imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AlertDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AlertDialogComponent
                    ],
                    exports: [
                        AlertDialogComponent
                    ],
                    imports: [
                        CommonModule,
                        MaterialModule,
                        FormsModule,
                        FlexLayoutModule
                    ]
                }]
        }] });

class ConfirmDialogModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogModule, declarations: [ConfirmDialogComponent], imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule], exports: [ConfirmDialogComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogModule, imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ConfirmDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ConfirmDialogComponent
                    ],
                    exports: [
                        ConfirmDialogComponent
                    ],
                    imports: [
                        CommonModule,
                        MaterialModule,
                        FormsModule,
                        FlexLayoutModule
                    ]
                }]
        }] });

class PromptDialogModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogModule, declarations: [PromptDialogComponent], imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule,
            TranslateLibModule], exports: [PromptDialogComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogModule, imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule,
            TranslateLibModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PromptDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        PromptDialogComponent
                    ],
                    exports: [
                        PromptDialogComponent
                    ],
                    imports: [
                        CommonModule,
                        MaterialModule,
                        FormsModule,
                        FlexLayoutModule,
                        TranslateLibModule
                    ]
                }]
        }] });

class DialogModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: DialogModule, imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule,
            AlertDialogModule,
            ConfirmDialogModule,
            PromptDialogModule], exports: [AlertDialogModule,
            ConfirmDialogModule,
            PromptDialogModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogModule, imports: [CommonModule,
            MaterialModule,
            FormsModule,
            FlexLayoutModule,
            AlertDialogModule,
            ConfirmDialogModule,
            PromptDialogModule, AlertDialogModule,
            ConfirmDialogModule,
            PromptDialogModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DialogModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        MaterialModule,
                        FormsModule,
                        FlexLayoutModule,
                        AlertDialogModule,
                        ConfirmDialogModule,
                        PromptDialogModule
                    ],
                    exports: [
                        AlertDialogModule,
                        ConfirmDialogModule,
                        PromptDialogModule
                    ]
                }]
        }] });

// COMPONENTS

var HeaderMode;
(function (HeaderMode) {
    HeaderMode["SORT"] = "sort";
    HeaderMode["SEARCH"] = "search";
    HeaderMode["EDIT"] = "edit";
})(HeaderMode || (HeaderMode = {}));

/**
 * Keeps the current state of the header
 */
class HeaderState {
    mode = HeaderMode.SORT;
    _lastMode = HeaderMode.SORT;
    _selectedHeaders$;
    _lastSelectedHeaders;
    constructor(initialHeaders) {
        this._lastSelectedHeaders = new Array();
        this._selectedHeaders$ = new BehaviorSubject(initialHeaders);
    }
    get selectedHeaders$() {
        return this._selectedHeaders$.asObservable();
    }
    get selectedHeaders() {
        return this._selectedHeaders$.getValue();
    }
    get lastSelectedHeaders() {
        return this._lastSelectedHeaders;
    }
    saveState() {
        this._lastMode = this.mode;
        this._lastSelectedHeaders = this._selectedHeaders$.getValue();
    }
    restoreLastMode() {
        this.mode = this._lastMode;
    }
    restoreLastState() {
        this.mode = this._lastMode;
        this._selectedHeaders$.next(this._lastSelectedHeaders);
    }
    restoreLastHeadersToIndex(count) {
        this._selectedHeaders$.next(this._lastSelectedHeaders.slice(0, count));
    }
    updateSelectedHeaders(newSelectedHeaders) {
        this._selectedHeaders$.next(newSelectedHeaders);
    }
    asInterface() {
        return {
            mode: this.mode,
            selectedHeaders$: this.selectedHeaders$,
            selectedHeaders: this.selectedHeaders,
            lastSelectedHeaders: this.lastSelectedHeaders,
            saveState: this.saveState,
            restoreLastState: this.restoreLastState,
            restoreLastMode: this.restoreLastMode
        };
    }
}

class AbstractHeaderService {
    _headerType;
    _preferences;
    _logger;
    _viewIdService;
    _overflowService;
    static DEFAULT_HEADER_COUNT = 5;
    static DEFAULT_HEADER_RESPONSIVITY = true;
    _headerColumnCount$;
    _preferenceColumnCount$;
    _responsiveHeaders$;
    _headerState;
    _headerChange$;
    _clearHeaderSearch$;
    _initDefaultHeaders;
    _initializedCount;
    loading;
    fieldsGroup;
    constructor(_headerType, _preferences, _logger, _viewIdService, _overflowService) {
        this._headerType = _headerType;
        this._preferences = _preferences;
        this._logger = _logger;
        this._viewIdService = _viewIdService;
        this._overflowService = _overflowService;
        this.loading = new LoadingEmitter(true);
        this._headerChange$ = new Subject();
        this.fieldsGroup = [{ groupTitle: 'Meta data', fields: this.createMetaHeaders() }];
        this._headerColumnCount$ = new BehaviorSubject(AbstractHeaderService.DEFAULT_HEADER_COUNT);
        this._responsiveHeaders$ = new BehaviorSubject(AbstractHeaderService.DEFAULT_HEADER_RESPONSIVITY);
        this._preferenceColumnCount$ = new ReplaySubject();
        this._clearHeaderSearch$ = new Subject();
        this._initializedCount = false;
        if (this._viewIdService === null) {
            this._logger.warn('Header service could not inject ViewIdService! User preferences won\'t be loaded or saved!');
        }
        this._preferences.preferencesChanged$.subscribe(() => {
            this.loadHeadersFromPreferences();
        });
        this.initializeHeaderState();
    }
    /**
     * Provides Observable for all changes in header
     */
    get headerChange$() {
        return this._headerChange$.asObservable();
    }
    get selectedHeaders$() {
        return this._headerState.selectedHeaders$;
    }
    get headerState() {
        return this._headerState.asInterface();
    }
    get headerType() {
        return this._headerType;
    }
    get overflowMode() {
        if (!!this._overflowService) {
            return this._overflowService.overflowMode;
        }
        else {
            return false;
        }
    }
    get headerColumnCount() {
        return this._headerColumnCount$.getValue();
    }
    set headerColumnCount(maxColumns) {
        if (maxColumns !== this.headerColumnCount) {
            this._headerColumnCount$.next(maxColumns);
            this.updateHeaderColumnCount();
            if (!this._initializedCount) {
                this.initializeDefaultHeaderState();
                this._initializedCount = true;
            }
        }
    }
    get headerColumnCount$() {
        return this._headerColumnCount$.asObservable();
    }
    get responsiveHeaders() {
        return this._responsiveHeaders$.getValue();
    }
    set responsiveHeaders(responsiveHeaders) {
        this._responsiveHeaders$.next(responsiveHeaders);
    }
    get responsiveHeaders$() {
        return this._responsiveHeaders$.asObservable();
    }
    get clearHeaderSearch$() {
        return this._clearHeaderSearch$.asObservable();
    }
    set initDefaultHeaders(defaultHeaders) {
        this._initDefaultHeaders = defaultHeaders;
    }
    get initDefaultHeaders() {
        return this._initDefaultHeaders;
    }
    get preferenceColumnCount$() {
        return this._preferenceColumnCount$.asObservable();
    }
    initializeHeaderState() {
        const defaultHeaders = [];
        for (let i = 0; i < this.fieldsGroup[0].fields.length && defaultHeaders.length < this.headerColumnCount; i++) {
            if (this.fieldsGroup[0].fields[i].initial) {
                defaultHeaders.push(this.fieldsGroup[0].fields[i]);
            }
        }
        while (defaultHeaders.length < this.headerColumnCount) {
            defaultHeaders.push(null);
        }
        this._headerState = new HeaderState(defaultHeaders);
    }
    initializeDefaultHeaderState() {
        if (this.initDefaultHeaders && Array.isArray(this.initDefaultHeaders)) {
            const defaultHeaders = [];
            for (let i = 0; i < this.headerColumnCount; i++) {
                defaultHeaders.push(null);
            }
            for (let i = 0; i < this.initDefaultHeaders.length; i++) {
                if (i >= this.headerColumnCount) {
                    this._logger.warn('there are more NAE_DEFAULT_HEADERS than header columns. Skipping the rest...');
                    break;
                }
                for (const h of this.fieldsGroup) {
                    const head = h.fields.find(header => header.uniqueId === this.initDefaultHeaders[i]);
                    if (head) {
                        defaultHeaders[i] = head;
                        break;
                    }
                }
            }
            this._headerState.updateSelectedHeaders(defaultHeaders);
        }
        this.loadHeadersFromPreferences();
    }
    /**
     * Adds `null` headers if the new count is greater than the current count.
     *
     * Removes extra headers if the new count is smaller than the current count.
     */
    updateHeaderColumnCount() {
        let headers = this._headerState.selectedHeaders;
        if (headers.length < this.headerColumnCount) {
            const lastSelectedHeaders = this._headerState.lastSelectedHeaders;
            if (headers.length < this.headerColumnCount && !!lastSelectedHeaders && headers.length < lastSelectedHeaders.length) {
                headers.push(...lastSelectedHeaders.slice(headers.length, this.headerColumnCount));
            }
            while (headers.length <= this.headerColumnCount) {
                headers.push(null);
            }
        }
        else if (headers.length > this.headerColumnCount) {
            headers = headers.slice(0, this.headerColumnCount);
        }
        this._headerState.updateSelectedHeaders(headers);
    }
    setAllowedNets(allowedNets) {
        /* TODO by simply replacing the select options with new object, we don't loose the old references.
             Columns with headers from nets that are no longer allowed should have their value cleared.
             Columns with valid values that are not metadata should have their selection remapped to the new objects.
         */
        const fieldsGroups = [];
        allowedNets.forEach(allowedNet => {
            const fieldsGroup = {
                groupTitle: allowedNet.title,
                fields: []
            };
            allowedNet.immediateData.forEach(immediate => {
                fieldsGroup.fields.push(new HeaderColumn(HeaderColumnType.IMMEDIATE, immediate.stringId, immediate.title, immediate.type, false, allowedNet.identifier));
            });
            fieldsGroups.push(fieldsGroup);
        });
        this.fieldsGroup.splice(1, this.fieldsGroup.length - 1);
        this.fieldsGroup.push(...fieldsGroups);
    }
    setTaskAllowedNets(allowedNets) {
        /* TODO by simply replacing the select options with new object, we don't loose the old references.
             Columns with headers from nets that are no longer allowed should have their value cleared.
             Columns with valid values that are not metadata should have their selection remapped to the new objects.
         */
        const fieldsGroups = [];
        allowedNets.forEach(allowedNet => {
            const fieldsGroup = {
                groupTitle: allowedNet.title,
                fields: []
            };
            const existing = new Set();
            allowedNet.transitions.forEach(trans => {
                trans.immediateData.forEach(data => {
                    if (!existing.has(data.stringId)) {
                        existing.add(data.stringId);
                        fieldsGroup.fields.push(new HeaderColumn(HeaderColumnType.IMMEDIATE, data.stringId, data.title, data.type, false, allowedNet.identifier));
                    }
                });
            });
            fieldsGroups.push(fieldsGroup);
        });
        this.fieldsGroup.splice(1, this.fieldsGroup.length - 1);
        this.fieldsGroup.push(...fieldsGroups);
    }
    /**
     * If this view has som headers stored in it's preferences attempts to load them.
     * If the preferences contain nonexistent headers they will be skipped.
     *
     * This function is NOT called by the abstract class' constructor.
     * It is the responsibility of the child class to call it at an appropriate moment.
     */
    loadHeadersFromPreferences() {
        const viewId = this.getViewId();
        if (!viewId) {
            return;
        }
        const preferredHeaderKeys = this._preferences.getHeaders(viewId);
        if (!preferredHeaderKeys) {
            return;
        }
        const newHeaders = [];
        preferredHeaderKeys.forEach(headerKey => {
            for (const fieldGroup of this.fieldsGroup) {
                for (const header of fieldGroup.fields) {
                    if (header.uniqueId === headerKey) {
                        newHeaders.push(header);
                        return; // continue the outermost loop
                    }
                }
            }
            // no match found
            newHeaders.push(null);
            this._logger.warn(`Could not restore header with ID '${headerKey}' from preferences. It is not one of the available headers for this view.`);
        });
        this._preferenceColumnCount$.next(newHeaders.length);
        this._headerState.updateSelectedHeaders(newHeaders);
    }
    /**
     * Change sort mode for selected column all other column are set to default sort mode
     * Emit request for sorted panels
     * @param columnIndex index of the column that caused the sort change
     * @param active Represents column identifier
     * @param direction Represent one of sort modes: asd, desc and ''
     */
    sortHeaderChanged(columnIndex, active, direction) {
        let sortChangeDescription;
        let foundFirstMatch = false; // column can feature in the header in multiple positions => we don't want to send multiple events
        this.headerState.selectedHeaders.filter(header => !!header).forEach(header => {
            if (header.uniqueId === active && !foundFirstMatch) {
                sortChangeDescription = {
                    sortDirection: direction,
                    columnType: header.type,
                    fieldIdentifier: header.fieldIdentifier,
                    petriNetIdentifier: header.petriNetIdentifier,
                    columnIdentifier: columnIndex,
                    fieldType: header.fieldType
                };
                header.sortDirection = direction;
                foundFirstMatch = true;
            }
            else {
                header.sortDirection = '';
            }
        });
        this._headerChange$.next({
            headerType: this.headerType,
            changeType: HeaderChangeType.SORT,
            description: sortChangeDescription
        });
    }
    /**
     * Saves the search value in the appropriate column in the header
     * Emit request for searched panels by user input query
     */
    headerSearchInputChanged(columnIndex, searchInput) {
        const affectedHeader = this.headerState.selectedHeaders[columnIndex];
        affectedHeader.searchInput = searchInput;
        const searchChangeDescription = {
            fieldIdentifier: affectedHeader.fieldIdentifier,
            fieldType: affectedHeader.fieldType,
            fieldTitle: affectedHeader.title,
            searchInput,
            type: affectedHeader.type,
            petriNetIdentifier: affectedHeader.petriNetIdentifier,
            columnIdentifier: columnIndex
        };
        this._headerChange$.next({
            headerType: this.headerType,
            changeType: HeaderChangeType.SEARCH,
            description: searchChangeDescription
        });
    }
    /**
     * Change active header and titles of panels
     */
    headerColumnSelected(columnIndex, newHeaderColumn) {
        const newHeaders = [];
        newHeaders.push(...this._headerState.selectedHeaders);
        if (!!newHeaders[columnIndex]) {
            newHeaders[columnIndex].sortDirection = '';
            newHeaders[columnIndex].searchInput = undefined;
        }
        newHeaders[columnIndex] = newHeaderColumn;
        this._headerState.updateSelectedHeaders(newHeaders);
        this._headerChange$.next({
            headerType: this.headerType,
            changeType: HeaderChangeType.EDIT,
            description: { preferredHeaders: this._headerState.selectedHeaders }
        });
    }
    /**
     * Change selected header mode there are three possible modes: SORT, SEARCH and EDIT
     * @param newMode the mode that the header should change to
     * @param saveLastMode whether the last state should be remembered.
     * It can be restored with the [HeaderState.restoreLastMode()]{@link HeaderState#restoreLastMode} method.
     */
    changeMode(newMode, saveLastMode = true) {
        if (newMode === this._headerState.mode) {
            return;
        }
        if (saveLastMode) {
            this._headerState.saveState();
            this.saveState();
        }
        const change = this.modeChangeFromCurrent(newMode);
        this._headerState.mode = newMode;
        this._headerChange$.next(change);
    }
    confirmEditMode() {
        this._headerState.restoreLastMode();
        this.saveNewState();
        const change = this.modeChangeAfterEdit();
        const viewId = this.getViewId();
        if (!!viewId) {
            const headers = this.headerState.selectedHeaders;
            this._preferences.setHeaders(viewId, headers.map(header => !!header ? header.uniqueId : ''));
        }
        this._headerChange$.next(change);
    }
    /**
     * When user cancels the edit mode, the last saved headers state is loaded and emitted
     * Last mode in header is reloaded as well. Possible reloaded modes: sort or search
     */
    revertEditMode() {
        this._headerState.restoreLastState();
        this.restoreLastState();
        const change = this.modeChangeAfterEdit();
        this._headerChange$.next({
            headerType: this.headerType,
            changeType: HeaderChangeType.EDIT,
            description: { preferredHeaders: this._headerState.selectedHeaders }
        });
        this._headerChange$.next(change);
    }
    ngOnDestroy() {
        this._headerChange$.complete();
        this._clearHeaderSearch$.complete();
        this._headerColumnCount$.complete();
        this._responsiveHeaders$.complete();
        this.loading.complete();
        this._preferenceColumnCount$.complete();
    }
    /**
     * @param newMode the {@link HeaderMode} that is being selected as the next mode
     * @returnsa {@link HeaderChange} object with {@link ModeChangeDescription} object as it's `description`,
     * where the `previousMode` is set to the currently selected mode and the `currentMode` is set to the provided argument
     */
    modeChangeFromCurrent(newMode) {
        return this.createModeChange(this._headerState.mode, newMode);
    }
    /**
     * @returns a {@link HeaderChange} object with {@link ModeChangeDescription} object as it's `description`,
     * where the `previousMode` is set to [EDIT]{@link HeaderMode#EDIT} and the `currentMode` to the mode
     * that is currently selected
     */
    modeChangeAfterEdit() {
        return this.createModeChange(HeaderMode.EDIT, this._headerState.mode);
    }
    /**
     * @param oldMode the {@link HeaderMode} that was previously selected
     * @param newMode the {@link HeaderMode} that is selected now
     * @returns a {@link HeaderChange} object with {@link ModeChangeDescription} object as it's `description`
     * containing information about a change to the header mode
     */
    createModeChange(oldMode, newMode) {
        return {
            changeType: HeaderChangeType.MODE_CHANGED,
            description: {
                currentMode: newMode,
                previousMode: oldMode
            },
            headerType: this.headerType
        };
    }
    /**
     * Emits a new value into the [clearHeaderSearch$]{@link AbstractHeaderService#clearHeaderSearch$} stream, that notifies
     * the header search component, that it should clear the input for the specified column.
     * @param columnIndex the index of the column that should be cleared
     */
    clearHeaderSearch(columnIndex) {
        this._clearHeaderSearch$.next(columnIndex);
    }
    /**
     * @returns the Id of the view, if the ViewIdService was injected. Returns `undefined` if the service was not injected.
     */
    getViewId() {
        if (this._viewIdService) {
            return this._viewIdService.viewId;
        }
        return undefined;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderService, deps: [{ token: HeaderType }, { token: UserPreferenceService }, { token: LoggerService }, { token: ViewIdService, optional: true }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: HeaderType }, { type: UserPreferenceService }, { type: LoggerService }, { type: ViewIdService, decorators: [{
                    type: Optional
                }] }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }] });

class CaseHeaderService extends AbstractHeaderService {
    _allowedNetsService;
    overflowService;
    subAllowedNets;
    constructor(_allowedNetsService, preferences, logger, viewIdService, overflowService, naeDefaultHeaders) {
        super(HeaderType.CASE, preferences, logger, viewIdService, overflowService);
        this._allowedNetsService = _allowedNetsService;
        this.overflowService = overflowService;
        this.subAllowedNets = _allowedNetsService.allowedNets$.subscribe(allowedNets => {
            this.setAllowedNets(allowedNets);
            if (naeDefaultHeaders && Array.isArray(naeDefaultHeaders) && naeDefaultHeaders.length > 0) {
                this.initDefaultHeaders = naeDefaultHeaders;
                this.initializeDefaultHeaderState();
            }
            else {
                this.loadHeadersFromPreferences();
            }
            this.loading.off();
        });
    }
    createMetaHeaders() {
        return [
            new HeaderColumn(HeaderColumnType.META, CaseMetaField.VISUAL_ID, 'headers.caseMeta.visualID', 'text'),
            new HeaderColumn(HeaderColumnType.META, CaseMetaField.MONGO_ID, 'headers.caseMeta.mongoID', 'text', false),
            new HeaderColumn(HeaderColumnType.META, CaseMetaField.TITLE, 'headers.caseMeta.title', 'text'),
            new HeaderColumn(HeaderColumnType.META, CaseMetaField.AUTHOR, 'headers.caseMeta.author', 'user'),
            new HeaderColumn(HeaderColumnType.META, CaseMetaField.CREATION_DATE, 'headers.caseMeta.creationDate', 'date'),
        ];
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.subAllowedNets.unsubscribe();
    }
    updateColumnCount() {
        this.updateHeaderColumnCount();
    }
    saveState() {
        if (this.overflowService) {
            this.overflowService.saveState();
        }
    }
    saveNewState() {
        if (this.overflowService) {
            this.overflowService.saveNewState();
        }
        this.updateHeaderColumnCount();
    }
    restoreLastState() {
        if (this.overflowService) {
            this.overflowService.restoreLastState();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseHeaderService, deps: [{ token: AllowedNetsService }, { token: UserPreferenceService }, { token: LoggerService }, { token: ViewIdService, optional: true }, { token: OverflowService, optional: true }, { token: NAE_DEFAULT_HEADERS, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseHeaderService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseHeaderService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: AllowedNetsService }, { type: UserPreferenceService }, { type: LoggerService }, { type: ViewIdService, decorators: [{
                    type: Optional
                }] }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }, { type: Array, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_DEFAULT_HEADERS]
                }] }] });

class TaskHeaderService extends AbstractHeaderService {
    _allowedNetsService;
    subAllowedNets;
    constructor(_allowedNetsService, preferences, logger, viewIdService, overflowService, naeDefaultHeaders) {
        super(HeaderType.TASK, preferences, logger, viewIdService, overflowService);
        this._allowedNetsService = _allowedNetsService;
        this.subAllowedNets = _allowedNetsService.allowedNets$.subscribe(allowedNets => {
            this.setTaskAllowedNets(allowedNets);
            if (naeDefaultHeaders && Array.isArray(naeDefaultHeaders) && naeDefaultHeaders.length > 0) {
                this.initDefaultHeaders = naeDefaultHeaders;
                this.initializeDefaultHeaderState();
            }
            else {
                this.loadHeadersFromPreferences();
            }
            this.loading.off();
        });
    }
    createMetaHeaders() {
        return [
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.CASE, 'headers.taskMeta.case', 'text'),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.CASE_ID, 'headers.taskMeta.caseID', 'text', false),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.TASK_ID, 'headers.taskMeta.taskID', 'text', false),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.TITLE, 'headers.caseMeta.title', 'text'),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.PRIORITY, 'headers.taskMeta.priority', 'enumeration'),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.USER, 'headers.taskMeta.user', 'text'),
            new HeaderColumn(HeaderColumnType.META, TaskMetaField.ASSIGN_DATE, 'headers.taskMeta.assignDate', 'date'),
        ];
    }
    saveState() {
    }
    saveNewState() {
    }
    restoreLastState() {
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.subAllowedNets.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskHeaderService, deps: [{ token: AllowedNetsService }, { token: UserPreferenceService }, { token: LoggerService }, { token: ViewIdService, optional: true }, { token: OverflowService, optional: true }, { token: NAE_DEFAULT_HEADERS, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskHeaderService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TaskHeaderService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: AllowedNetsService }, { type: UserPreferenceService }, { type: LoggerService }, { type: ViewIdService, decorators: [{
                    type: Optional
                }] }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }, { type: Array, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_DEFAULT_HEADERS]
                }] }] });

class WorkflowHeaderService extends AbstractHeaderService {
    constructor(preferences, logger, viewIdService, overflowService) {
        super(HeaderType.WORKFLOW, preferences, logger, viewIdService, overflowService);
        this.loadHeadersFromPreferences();
        this.loading.off();
    }
    createMetaHeaders() {
        return [
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.INITIALS, 'headers.workflowMeta.initials', 'text'),
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.TITLE, 'headers.workflowMeta.title', 'text'),
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.NET_ID, 'headers.workflowMeta.netId', 'text', false),
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.VERSION, 'headers.workflowMeta.version', 'text'),
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.AUTHOR, 'headers.workflowMeta.author', 'text'),
            new HeaderColumn(HeaderColumnType.META, WorkflowMetaField.CREATION_DATE, 'headers.workflowMeta.creationDate', 'date'),
        ];
    }
    ngOnDestroy() {
        super.ngOnDestroy();
    }
    saveState() {
    }
    saveNewState() {
    }
    restoreLastState() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowHeaderService, deps: [{ token: UserPreferenceService }, { token: LoggerService }, { token: ViewIdService, optional: true }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowHeaderService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: WorkflowHeaderService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: UserPreferenceService }, { type: LoggerService }, { type: ViewIdService, decorators: [{
                    type: Optional
                }] }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }] });

/**
 * Acts as an intermediary between the {@link AbstractHeaderService} instances of various types and the {@link SearchService}
 */
class HeaderSearchService {
    _categoryFactory;
    _processService;
    _translate;
    _logger;
    _searchService;
    _headerService;
    _columnToConfiguration;
    _typeToCategory;
    _headerSub;
    _searchSub;
    constructor(_categoryFactory, _processService, _translate, _logger, _searchService) {
        this._categoryFactory = _categoryFactory;
        this._processService = _processService;
        this._translate = _translate;
        this._logger = _logger;
        this._searchService = _searchService;
        this._columnToConfiguration = new Map();
        this._typeToCategory = new Map();
        [
            { k: CaseMetaField.VISUAL_ID, v: CaseVisualId },
            { k: CaseMetaField.TITLE, v: CaseTitle },
            { k: CaseMetaField.CREATION_DATE, v: CaseCreationDate },
            { k: CaseMetaField.AUTHOR, v: CaseAuthor },
            { k: CaseMetaField.MONGO_ID, v: CaseStringId }
        ].forEach(pair => {
            this._typeToCategory.set(pair.k, this._categoryFactory.getWithDefaultOperator(pair.v));
        });
        this._typeToCategory.set(HeaderColumnType.IMMEDIATE, this._categoryFactory.get(CaseSimpleDataset));
    }
    ngOnDestroy() {
        if (this._headerSub) {
            this._headerSub.unsubscribe();
        }
        if (this._searchSub) {
            this._searchSub.unsubscribe();
        }
        for (const cat of this._typeToCategory.values()) {
            cat.destroy();
        }
    }
    set headerService(headerService) {
        if (headerService.headerType === HeaderType.CASE || headerService.headerType === HeaderType.TASK) {
            this._headerService = headerService;
        }
        if (headerService && this._searchService) {
            this.initializeHeaderSearch();
        }
    }
    /**
     * {@link HeaderSearchService} can only be initialized if it successfully injected a {@link SearchService}
     * and a {@link AbstractHeaderService} instance of any of the supported types was set into it.
     *
     * Currently only task and case header searching is supported.
     */
    initializeHeaderSearch() {
        if (!this._searchService) {
            this._logger.error('You can\'t call initializeHeaderSearch without providing a SearchService to be injected!');
            return;
        }
        if (!this._headerService) {
            this._logger.error('You can\'t call initializeHeaderSearch without setting an AbstractHeaderService implementation instance!');
            return;
        }
        this._headerSub = this._headerService.headerChange$
            .pipe(filter(change => change.changeType === HeaderChangeType.SEARCH || change.changeType === HeaderChangeType.MODE_CHANGED))
            .subscribe(change => {
            if (change.changeType === HeaderChangeType.SEARCH) {
                this.processSearchChange(change.headerType, change.description);
            }
            else if (change.description.previousMode === HeaderMode.SEARCH) {
                this.processModeChange();
            }
        });
        this._searchSub =
            this._searchService.predicateRemoved$.subscribe(event => this.handlePredicateRemoval(event.index, event.clearInput));
    }
    /**
     * Pushes all the predicates from the headers into the search interface and clears the header inputs
     */
    processModeChange() {
        const addedPredicateIds = [];
        this._columnToConfiguration.forEach(config => {
            this._searchService.removePredicate(config.predicateId);
            let editableCategory;
            if (config.type === HeaderColumnType.META) {
                editableCategory = this._typeToCategory.get(config.fieldIdentifier).duplicate();
                editableCategory.selectDefaultOperator();
                editableCategory.setOperands(config.userInput);
            }
            else {
                const dataset = this._typeToCategory.get(HeaderColumnType.IMMEDIATE);
                editableCategory = dataset.transformToCaseDataset(config.fieldType, config.fieldTitle, config.userInput);
            }
            addedPredicateIds.push(this._searchService.addGeneratedLeafPredicate(editableCategory));
        });
        this._searchService.show(addedPredicateIds);
        this._columnToConfiguration.clear();
    }
    /**
     * Transforms the {@link HeaderChange} object into a search predicate
     */
    processSearchChange(headerType, changeDescription) {
        if (headerType === HeaderType.CASE) {
            this.processCaseSearch(changeDescription);
        }
    }
    /**
     * Processes the change object and resolves it into the appropriate case search predicate change
     * @param changeDescription the change object that should be resolved
     */
    processCaseSearch(changeDescription) {
        if (this.emptyInput(changeDescription)) {
            this.removePredicate(changeDescription.columnIdentifier);
            return;
        }
        if (changeDescription.type === HeaderColumnType.META) {
            this.processCaseMetaSearch(changeDescription);
        }
        else {
            this.processCaseDataSearch(changeDescription);
        }
    }
    /**
     * Processes the change object of a case meta header and resolves it into the appropriate case search predicate change
     * @param changeDescription the change object that should be resolved
     */
    processCaseMetaSearch(changeDescription) {
        const config = {
            fieldIdentifier: changeDescription.fieldIdentifier,
            userInput: [changeDescription.searchInput]
        };
        const category = this._typeToCategory.get(config.fieldIdentifier);
        const predicate = category.generatePredicate(config.userInput);
        this.addPredicate(changeDescription.columnIdentifier, predicate, {
            type: HeaderColumnType.META,
            ...config
        });
    }
    /**
     * Processes the change object of a case immediate data header and resolves it into the appropriate case search predicate change
     * @param changeDescription the change object that should be resolved
     */
    processCaseDataSearch(changeDescription) {
        this._processService.getNet(changeDescription.petriNetIdentifier).subscribe(net => {
            const config = {
                fieldType: changeDescription.fieldType,
                fieldTitle: changeDescription.fieldTitle,
                userInput: [changeDescription.searchInput]
            };
            const category = this._typeToCategory.get(changeDescription.type);
            category.configure(changeDescription.fieldIdentifier, config.fieldType, [net.identifier]);
            const predicate = category.generatePredicate(config.userInput);
            this.addPredicate(changeDescription.columnIdentifier, predicate, {
                type: HeaderColumnType.IMMEDIATE,
                ...config
            });
        });
    }
    /**
     * @param changeDescription information about the search header change
     * @returns whether the input was cleared
     */
    emptyInput(changeDescription) {
        return changeDescription.searchInput === undefined
            || changeDescription.searchInput === null
            || (typeof changeDescription.searchInput === 'string' && changeDescription.searchInput.length === 0);
    }
    /**
     * Updates a Predicate for a given column.
     * Removes an existing predicate for this column if it exists and adds the new Predicate.
     * @param column the index of the header column
     * @param predicate the Predicate that should be added
     * @param configuration data necessary for the configuration of the {@link Category} that generates the added predicate
     */
    addPredicate(column, predicate, configuration) {
        this.removePredicate(column, !this._columnToConfiguration.has(column));
        const predicateId = this._searchService.addPredicate(predicate);
        this._columnToConfiguration.set(column, { predicateId, ...configuration });
    }
    /**
     * Removes a predicate that corresponds to the provided column
     * @param column the index of the column that cleared it's search
     * @param clearInput whether the corresponding header search input should be cleared
     */
    removePredicate(column, clearInput = true) {
        const predicateConfig = this._columnToConfiguration.get(column);
        if (predicateConfig !== undefined) {
            this._searchService.removePredicate(predicateConfig.predicateId, clearInput);
            this._columnToConfiguration.delete(column);
        }
    }
    /**
     * @param removedId the id of the removed {@link Predicate}
     * @param clearInput whether the corresponding header search input should be cleared
     */
    handlePredicateRemoval(removedId, clearInput = true) {
        if (this._headerService && clearInput) {
            this._headerService.clearHeaderSearch(removedId);
        }
        this._columnToConfiguration.delete(removedId);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HeaderSearchService, deps: [{ token: CategoryFactory }, { token: ProcessService }, { token: i1$2.TranslateService }, { token: LoggerService }, { token: SearchService, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HeaderSearchService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HeaderSearchService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: CategoryFactory }, { type: ProcessService }, { type: i1$2.TranslateService }, { type: LoggerService }, { type: SearchService, decorators: [{
                    type: Optional
                }] }] });

function stopPropagation($event) {
    $event.stopPropagation();
    $event.preventDefault();
}

class AbstractHeaderComponent {
    _injector;
    _translate;
    _overflowService;
    DEFAULT_COLUMN_COUNT = 6;
    DEFAULT_COLUMN_WIDTH = 220;
    INPUT_DEBOUNCE_TIME = 600;
    type = HeaderType.CASE;
    hideHeaderMenu = false;
    showEditButton = true;
    showSortButton = true;
    showSearchButton = true;
    showTableSection = true;
    approval;
    headerService;
    _headerSearch;
    headerModeEnum = HeaderMode;
    headerTypeEnum = HeaderType;
    overflowControl;
    columnCountControl;
    columnWidthControl;
    canOverflow;
    subOverflowControl;
    subColumnCountControl;
    subColumnWidthControl;
    _initHeaderCount = undefined;
    _initResponsiveHeaders = undefined;
    _approvalFormControl;
    constructor(_injector, _translate, _overflowService) {
        this._injector = _injector;
        this._translate = _translate;
        this._overflowService = _overflowService;
        this.initializeFormControls(this._overflowService !== null);
    }
    set maxHeaderColumns(count) {
        if (this.headerService) {
            this.headerService.headerColumnCount = count;
        }
        else {
            this._initHeaderCount = count;
        }
        if (this._overflowService === null || (this._overflowService !== null && !this._overflowService.initializedCount)) {
            this.columnCountControl.setValue(count);
        }
    }
    set responsiveHeaders(responsive) {
        if (this.headerService) {
            this.headerService.responsiveHeaders = responsive;
        }
        else {
            this._initResponsiveHeaders = responsive;
        }
    }
    get approvalFormControl() {
        return this._approvalFormControl;
    }
    changeHeadersMode(mode, saveLastMode = true) {
        if (this.headerService) {
            this.headerService.changeMode(mode, saveLastMode);
        }
    }
    ngOnInit() {
        this.resolveHeaderService();
        this.initializedHeaderSearch();
        if (this._initHeaderCount !== undefined) {
            this.headerService.headerColumnCount = this._initHeaderCount;
        }
        if (this._initResponsiveHeaders !== undefined) {
            this.headerService.responsiveHeaders = this._initResponsiveHeaders;
        }
        this.headerService.preferenceColumnCount$.subscribe(value => this.columnCountControl.setValue(value));
    }
    ngOnDestroy() {
        if (this.canOverflow) {
            this.subColumnWidthControl.unsubscribe();
            this.subColumnCountControl.unsubscribe();
            this.subOverflowControl.unsubscribe();
        }
    }
    /**
     * Injects the correct {@link AbstractHeaderService} instance based on this component's type
     */
    resolveHeaderService() {
        switch (this.type) {
            case HeaderType.CASE:
                this.headerService = this._injector.get(CaseHeaderService);
                break;
            case HeaderType.TASK:
                this.headerService = this._injector.get(TaskHeaderService);
                break;
            case HeaderType.WORKFLOW:
                this.headerService = this._injector.get(WorkflowHeaderService);
                break;
        }
    }
    /**
     * Sets the correct {@link AbstractHeaderService} instance to the {@link HeaderSearchService}
     */
    initializedHeaderSearch() {
        if (this.type === HeaderType.CASE) {
            this._headerSearch = this._injector.get(HeaderSearchService);
            this._headerSearch.headerService = this.headerService;
        }
    }
    clickStop($event) {
        stopPropagation($event);
    }
    getMinWidth() {
        return (this._overflowService && this._overflowService.overflowMode) ? `${this._overflowService.columnWidth}px` : '0';
    }
    confirmEditMode() {
        if (!this.overflowControl.value || (this.overflowControl.value && this.columnWidthControl.valid && this.columnWidthControl.valid)) {
            this.headerService.confirmEditMode();
        }
    }
    getErrorMessageWidth() {
        return this.buildErrorMessage(this.columnWidthControl, 180);
    }
    getErrorMessageCount() {
        return this.buildErrorMessage(this.columnCountControl, 1);
    }
    buildErrorMessage(formControlRef, minNumber) {
        if (formControlRef.hasError('required')) {
            return this._translate.instant('dataField.validations.required');
        }
        if (formControlRef.hasError('min')) {
            return this._translate.instant('dataField.validations.min', { length: minNumber });
        }
        return '';
    }
    initializeFormControls(exist) {
        this.canOverflow = exist;
        this.overflowControl = new FormControl(exist ? this._overflowService.overflowMode : false);
        this.columnCountControl = new FormControl(exist ? this._overflowService.columnCount : this.DEFAULT_COLUMN_COUNT, [
            Validators.required,
            Validators.min(1)
        ]);
        this.columnWidthControl = new FormControl(exist ? this._overflowService.columnWidth : this.DEFAULT_COLUMN_WIDTH, [
            Validators.required,
            Validators.min(180)
        ]);
        this._approvalFormControl = new FormControl(false);
        if (exist) {
            this.initializeValueChanges();
        }
    }
    initializeValueChanges() {
        this.subOverflowControl = this.overflowControl.valueChanges.subscribe(value => {
            this._overflowService.overflowMode = value;
        });
        this.subColumnCountControl = this.columnCountControl.valueChanges.pipe(debounceTime(this.INPUT_DEBOUNCE_TIME)).subscribe(value => {
            if (this.columnCountControl.valid) {
                this._overflowService.columnCount = value;
                if (this.headerService && this.type === HeaderType.CASE) {
                    this.headerService.headerColumnCount = value;
                    this.headerService.updateColumnCount();
                }
            }
        });
        this.subColumnWidthControl = this.columnWidthControl.valueChanges.pipe(debounceTime(this.INPUT_DEBOUNCE_TIME)).subscribe(value => {
            if (this.columnWidthControl.valid) {
                this._overflowService.columnWidth = value;
                if (this.headerService && this.type === HeaderType.CASE) {
                    this.headerService.updateColumnCount();
                }
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderComponent, deps: [{ token: i0.Injector }, { token: i1$2.TranslateService }, { token: OverflowService, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractHeaderComponent, selector: "ncc-abstract-header", inputs: { type: "type", hideHeaderMenu: "hideHeaderMenu", showEditButton: "showEditButton", showSortButton: "showSortButton", showSearchButton: "showSearchButton", showTableSection: "showTableSection", approval: "approval", maxHeaderColumns: "maxHeaderColumns", responsiveHeaders: "responsiveHeaders" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-header',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i1$2.TranslateService }, { type: OverflowService, decorators: [{
                    type: Optional
                }] }], propDecorators: { type: [{
                type: Input
            }], hideHeaderMenu: [{
                type: Input
            }], showEditButton: [{
                type: Input
            }], showSortButton: [{
                type: Input
            }], showSearchButton: [{
                type: Input
            }], showTableSection: [{
                type: Input
            }], approval: [{
                type: Input
            }], maxHeaderColumns: [{
                type: Input
            }], responsiveHeaders: [{
                type: Input
            }] } });

class AbstractHeaderModeComponent {
    overflowWidth;
    approval;
    indeterminate;
    approvalFormControl;
    typeApproval;
    constructor() {
    }
    getMinWidth() {
        return this.overflowWidth;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderModeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractHeaderModeComponent, selector: "ncc-abstract-header-mode", inputs: { overflowWidth: "overflowWidth", approval: "approval", indeterminate: "indeterminate", approvalFormControl: "approvalFormControl", typeApproval: "typeApproval" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractHeaderModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-header-mode',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { overflowWidth: [{
                type: Input
            }], approval: [{
                type: Input
            }], indeterminate: [{
                type: Input
            }], approvalFormControl: [{
                type: Input
            }], typeApproval: [{
                type: Input
            }] } });

class AbstractSortModeComponent extends AbstractHeaderModeComponent {
    headerService;
    constructor() {
        super();
    }
    sortHeaderChanged(sortEvent) {
        const firstDash = sortEvent.active.indexOf('-');
        this.headerService.sortHeaderChanged(parseInt(sortEvent.active.substring(0, firstDash), 10), sortEvent.active.substr(firstDash + 1, sortEvent.active.length), sortEvent.direction);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSortModeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSortModeComponent, selector: "ncc-abstract-sort-mode", inputs: { headerService: "headerService" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSortModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-sort-mode',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { headerService: [{
                type: Input
            }] } });

class AbstractEditModeComponent extends AbstractHeaderModeComponent {
    _translate;
    _log;
    formControls = [];
    filterOptions = [];
    subHeader;
    headerService;
    constructor(_translate, _log) {
        super();
        this._translate = _translate;
        this._log = _log;
    }
    ngOnInit() {
        this.subHeader = this.headerService.headerColumnCount$.subscribe(newCount => this.updateHeaderCount(newCount));
    }
    ngOnDestroy() {
        this.subHeader.unsubscribe();
    }
    updateHeaderCount(newCount) {
        if (this.formControls.length > newCount) {
            this.formControls = this.formControls.slice(0, newCount);
            this.filterOptions = this.filterOptions.slice(0, newCount);
            return;
        }
        while (this.formControls.length < newCount) {
            const i = this.formControls.length;
            const formControl = new FormControl();
            formControl.setValue(this.headerService.headerState.selectedHeaders[i] ?? this.headerService.headerState.lastSelectedHeaders[i] ?? null);
            this.formControls.push(formControl);
            this.filterOptions.push(formControl.valueChanges.pipe(startWith(''), map(inputText => this._filter(inputText))));
        }
    }
    _filter(value) {
        let filterValue;
        if (typeof value === 'string') {
            filterValue = value.toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        }
        else {
            filterValue = '';
        }
        const arrayGroup = [];
        arrayGroup.push(...this.headerService.fieldsGroup);
        const meta = arrayGroup.splice(0, 1);
        // TODO IMPROVEMENT 17.7.2020 - don't sort the fieldsGroup array here, but sort it once in the headerService and maintain
        //  the sorted order there
        meta.push(...orderBy(arrayGroup, v => v.groupTitle, 'asc'));
        meta.forEach(group => group.fields = orderBy(group.fields, v => v.title, 'asc'));
        return meta.map(group => ({
            groupTitle: group.groupTitle,
            fields: group.fields.filter(option => this.checkImmediateTitle(option) &&
                this._translate.instant(option.title).toLowerCase().normalize('NFD')
                    .replace(/[\u0300-\u036f]/g, '').indexOf(filterValue) === 0)
        })).filter(group => group.fields.length > 0);
    }
    headerColumnSelected(columnIndex, newHeaderColumn) {
        this.headerService.headerColumnSelected(columnIndex, newHeaderColumn);
    }
    renderSelection = (header) => {
        return header ? this._translate.instant(header.title) : '';
    };
    checkImmediateTitle(option) {
        if (option.title === undefined || option.title === '') {
            this._log.warn('Immediate field in column [' + option.uniqueId + '] does not have a title');
            return false;
        }
        return true;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEditModeComponent, deps: [{ token: i1$2.TranslateService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractEditModeComponent, selector: "ncc-abstract-edit-mode", inputs: { headerService: "headerService" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractEditModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-edit-mode',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: LoggerService }], propDecorators: { headerService: [{
                type: Input
            }] } });

class AbstractLoadingModeComponent extends AbstractHeaderModeComponent {
    headerService;
    constructor() {
        super();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoadingModeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLoadingModeComponent, selector: "ncc-abstract-loading-mode", inputs: { headerService: "headerService" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLoadingModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-loading-mode',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { headerService: [{
                type: Input
            }] } });

class AbstractSearchModeComponent extends AbstractHeaderModeComponent {
    _dialog;
    /**
     * The time that must elapse since last keypress in search input before a search request is sent
     */
    SEARCH_DEBOUNCE_TIME = 600;
    subHeaderColumn;
    subClearHeader;
    formControls = [];
    headerService;
    constructor(_dialog) {
        super();
        this._dialog = _dialog;
    }
    ngOnInit() {
        this.subHeaderColumn = this.headerService.headerColumnCount$.subscribe(newCount => this.updateHeaderCount(newCount));
        this.subClearHeader = this.headerService.clearHeaderSearch$.subscribe(columnNumber => this.clearInput(columnNumber));
    }
    ngOnDestroy() {
        this.subClearHeader.unsubscribe();
        this.subHeaderColumn.unsubscribe();
    }
    /**
     * Updates the underlying objects to match the new desired number of columns.
     *
     * If the new number of columns is greater than the current one, the columns will be filled with default/blank values.
     *
     * If the new number of columns is smaller than the current one, the superfluous columns will be removed.
     *
     * @param newCount the new number of columns
     */
    updateHeaderCount(newCount) {
        if (newCount < this.formControls.length) {
            this.formControls = this.formControls.slice(0, newCount);
            return;
        }
        while (this.formControls.length < newCount) {
            this.addNewColumn();
        }
    }
    /**
     * Adds a new column to the headers search and binds it's FormControl to the service
     */
    addNewColumn() {
        const formControl = new FormControl();
        const i = this.formControls.length;
        formControl.valueChanges.pipe(debounceTime(this.SEARCH_DEBOUNCE_TIME), map(value => value instanceof UserValue ? value.id : value)).subscribe(value => {
            this.headerService.headerSearchInputChanged(i, value);
        });
        this.formControls.push(formControl);
    }
    /**
     * Opens a user assign side menu component and sets the selected user as value of the form control object
     * that corresponds to the given column.
     *
     * If no user is selected the value of the corresponding form control si cleared.
     * @param column the index of the columns that should have it's form control value set to the selected user
     * @param component is the component that we want to open
     */
    selectAbstractUser(column, component) {
        let valueReturned = false;
        const dialogRef = this._dialog.open(component, {
            panelClass: "dialog-responsive"
        });
        dialogRef.afterClosed().subscribe($event => {
            if ($event.data) {
                this.formControls[column].setValue($event.data.fullName);
                this.formControls[column].setValue($event.data, { emitModelToViewChange: false });
                valueReturned = true;
            }
            else if (!valueReturned) {
                this.formControls[column].setValue(undefined);
            }
        });
    }
    /**
     * Clears the value of the form control object in the given column
     * @param column the index of the column that should have it's value cleared
     */
    clearInput(column) {
        if (column >= 0 && column < this.formControls.length) {
            this.formControls[column].setValue(undefined);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchModeComponent, deps: [{ token: i1$3.MatDialog }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchModeComponent, selector: "ncc-abstract-seatch-mode", inputs: { headerService: "headerService" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-seatch-mode',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialog }], propDecorators: { headerService: [{
                type: Input
            }] } });

/*
 * Public API Surface of netgrif-components-core
 */
/* COMPONENTS */

class DashboardResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('dashboard', provider, configService);
    }
    getDashboardData(type, jsonQuery) {
        let params = new HttpParams();
        params = params.set('type', type);
        return this._resourceProvider.post$('/dashboard/search', this.SERVER_URL, jsonQuery, params);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DashboardResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DashboardResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DashboardResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class LdapGroupResourceService extends AbstractResourceService {
    constructor(provider, configService) {
        super('user', provider, configService);
    }
    /**
     * Search Ldap group
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/ldap/search
     */
    searchLdapGroups(body, params) {
        return this._resourceProvider.post$('ldap/search', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Assign role to the ldap group
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/ldap/role/assign
     */
    assignRolesToLdapGroup(body, params) {
        return this._resourceProvider.post$('ldap/role/assign', this.SERVER_URL, body, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class PublicCaseResourceService extends CaseResourceService {
    constructor(provider, configService) {
        super(provider, configService);
    }
    /**
     * Get all case data
     * GET
     * {{baseUrl}}/api/public/case/:id/data
     */
    getCaseData(caseID) {
        return this._resourceProvider.get$('public/case/' + caseID + '/data', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Create new case
     * POST
     * {{baseUrl}}/api/workflow/case
     */
    createCase(body) {
        return this._resourceProvider.post$('public/case/', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicCaseResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicCaseResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicCaseResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class PublicPetriNetResourceService extends PetriNetResourceService {
    provider;
    _configService;
    constructor(provider, _configService) {
        super(provider, _configService);
        this.provider = provider;
        this._configService = _configService;
    }
    /**
     * get One Net by ID
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/public/petrinet/{id}
     */
    getOneById(netId, params) {
        return this.provider.get$('public/petrinet/' + netId, this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * get One Net
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/public/petrinet/{identifier}/{version}
     */
    getOne(identifier, version, params) {
        return this.provider.get$('public/petrinet/' + btoa(identifier) + '/' + version, this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, 'petriNetReferences')));
    }
    /**
     * search PetriNets
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/search
     */
    searchPetriNets(body, params) {
        return this._resourceProvider.post$('public/petrinet/search', this.SERVER_URL, body, params)
            // .pipe(map(r => this.getResourcePage<PetriNetReference>(r, 'petriNetReferences')));
            .pipe(map(r => this.mapToPage(r)));
    }
    /**
     * Get Roles References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}/roles
     */
    getPetriNetRoles(netId, params) {
        return this._resourceProvider.get$('public/petrinet/' + netId + '/roles', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, 'processRoles')));
    }
    /**
     * Get Transaction References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/{id}/transactions
     */
    getPetriNetTransactions(netId, params) {
        return this._resourceProvider.get$('public/petrinet/' + netId + '/transactions', this.SERVER_URL, params)
            .pipe(map(r => this.changeType(r, 'transactions')));
    }
    /**
     * Get Data Field References Using
     *
     * **Request Type:** POST
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/data
     */
    getDataPetriNet(body) {
        return this._resourceProvider.post$('public/petrinet/data', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get Transition References Using
     *
     * **Request Type:** GET
     *
     * **Request URL:** {{baseUrl}}/api/petrinet/transitions
     */
    getPetriNetTransitions(netId) {
        return this._resourceProvider.get$('public/petrinet/transitions', this.SERVER_URL, new HttpParams().set('ids', netId))
            .pipe(map(r => this.changeType(r, 'transitionReferences')));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicPetriNetResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicPetriNetResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicPetriNetResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class PublicTaskResourceService extends TaskResourceService {
    _provider;
    _configService;
    _fieldConverter;
    _logger;
    constructor(_provider, _configService, _fieldConverter, _logger) {
        super(_provider, _configService, _fieldConverter, _logger);
        this._provider = _provider;
        this._configService = _configService;
        this._fieldConverter = _fieldConverter;
        this._logger = _logger;
    }
    /**
     * Assign task
     * GET
     */
    // {{baseUrl}}/api/public/task/assign/:id
    assignTask(taskId) {
        return this._provider.get$('public/task/assign/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Cancel task
     * GET
     */
    // {{baseUrl}}/api/public/task/cancel/:id
    cancelTask(taskId) {
        return this._provider.get$('public/task/cancel/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Finish task
     * GET
     */
    // {{baseUrl}}/api/public/task/finish/:id
    finishTask(taskId) {
        return this._provider.get$('public/task/finish/' + taskId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get tasks of the case
     * GET
     */
    // {{baseUrl}}/api/public/task/case/:id
    getAllTasksByCase(caseId) {
        return this._provider.get$('public/task/case/' + caseId, this.SERVER_URL)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Get all task data
     *
     * GET
     *
     * If you don't want to parse the response yourself use [getData]{@link TaskResourceService#getData} instead.
     *
     * @returns the raw backend response without any additional processing
     */
    // {{baseUrl}}/api/public/task/:id/data
    rawGetData(taskId) {
        return this._provider.get$('public/task/' + taskId + '/data', this.SERVER_URL)
            .pipe(map(r => this.changeType(r, 'dataGroups')));
    }
    /**
     * Set task data
     * POST
     */
    // {{baseUrl}}/api/public/task/:id/data
    setData(taskId, body) {
        return this._provider.post$('public/task/' + taskId + '/data', this.SERVER_URL, body)
            .pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Searches tasks trough the Mongo endpoint.
     * POST
     * @param filterParam filter used to search the tasks. Must be of type `TASK`.
     * Note that the `query` attribute of the filter cannot be used with this endpoint.
     * Attempting to use it will display a warning and remove the attribute from the request.
     * @param params Additional request parameters
     */
    // {{baseUrl}}/api/public/task/search
    getTasks(filterParam, params) {
        if (filterParam.type !== FilterType.TASK) {
            throw new Error('Provided filter doesn\'t have type TASK');
        }
        if (filterParam.bodyContainsQuery()) {
            throw new Error('getTasks endpoint cannot be queried with filters that contain the \'query\' attribute');
        }
        params = ResourceProvider.combineParams(filterParam.getRequestParams(), params);
        return this._provider.post$('public/task/search', this.SERVER_URL, filterParam.getRequestBody(), params)
            .pipe(map(r => this.getResourcePage(r, 'tasks')));
    }
    /**
     * Download task file field value
     * GET
     */
    downloadFile(taskId, params) {
        const url = `public/task/${taskId}/file${params?.has("fileName") ? '/named' : ''}`;
        return this._resourceProvider.getBlob$(url, this.SERVER_URL, params).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.DownloadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * Upload file into the task
     * POST
     */
    uploadFile(taskId, body, multipleFiles) {
        const url = `public/task/${taskId}/${multipleFiles ? 'files' : 'file'}`;
        return this._resourceProvider.postWithEvent$(url, this.SERVER_URL, body).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.UploadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    /**
     * Delete file from the task
     * DELETE
     */
    deleteFile(taskId, body) {
        const url = `public/task/${taskId}/file${body.fileName ? '/named' : ''}`;
        return this._resourceProvider.delete$(url, this.SERVER_URL, {}, {}, 'json', body).pipe(map(r => this.changeType(r, undefined)));
    }
    /**
     * Download task file preview for field value
     * GET
     */
    downloadFilePreview(taskId, params) {
        const url = `public/task/${taskId}/file_preview`;
        return this._resourceProvider.getBlob$(url, this.SERVER_URL, params).pipe(map(event => {
            switch (event.type) {
                case HttpEventType.DownloadProgress:
                    return ResourceProvider.getProgress(event);
                case HttpEventType.Response:
                    return event.body;
                default:
                    return undefined;
            }
        }), filter(value => !!value));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }, { token: FieldConverterService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }, { type: FieldConverterService }, { type: LoggerService }] });

/**
 * Determines the position of the last data field when the number of data fields in a data group is odd.
 */
var DataGroupAlignment;
(function (DataGroupAlignment) {
    /**
     * Positioned in the left column
     */
    DataGroupAlignment["START"] = "start";
    /**
     * Positioned in the center of the screen
     */
    DataGroupAlignment["CENTER"] = "center";
    /**
     * Positioned in the right column
     */
    DataGroupAlignment["END"] = "end";
})(DataGroupAlignment || (DataGroupAlignment = {}));

/**
 * Determines where within its grid tile should a field be aligned vertically
 */
var FieldAlignment;
(function (FieldAlignment) {
    FieldAlignment["TOP"] = "top";
    FieldAlignment["CENTER"] = "center";
    FieldAlignment["BOTTOM"] = "bottom";
})(FieldAlignment || (FieldAlignment = {}));

/* SERVICES */

class AbstractQuickPanelComponent extends AbstractNavigationResizableDrawerComponent {
    _select;
    _paperView;
    items;
    constructor(_select, _paperView) {
        super();
        this._select = _select;
        this._paperView = _paperView;
    }
    ngOnInit() {
        super.ngOnInit();
    }
    setPaperView() {
        this._paperView.paperView = !this._paperView.paperView;
    }
    isPaperView() {
        return this._paperView.paperView;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractQuickPanelComponent, deps: [{ token: LanguageService }, { token: PaperViewService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractQuickPanelComponent, selector: "ncc-abstract-quick-panel", inputs: { items: "items" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractQuickPanelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-quick-panel',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LanguageService }, { type: PaperViewService }], propDecorators: { items: [{
                type: Input
            }] } });

class AbstractInternalLinkComponent {
    link;
    icon;
    constructor() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractInternalLinkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractInternalLinkComponent, selector: "ncc-abstract-internal-link", inputs: { link: "link", icon: "icon" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractInternalLinkComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-internal-link',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { link: [{
                type: Input
            }], icon: [{
                type: Input
            }] } });

class AbstractLogoutShortcutComponent {
    _user;
    _log;
    _config;
    _router;
    constructor(_user, _log, _config, _router) {
        this._user = _user;
        this._log = _log;
        this._config = _config;
        this._router = _router;
    }
    logout() {
        this._user.logout().subscribe(() => {
            this._log.debug('User is logged out');
            const redirectPath = this._config.getOnLogoutPath();
            if (redirectPath) {
                this._log.info('Redirecting to ' + redirectPath);
                this._router.navigate([redirectPath]);
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLogoutShortcutComponent, deps: [{ token: UserService }, { token: LoggerService }, { token: ConfigurationService }, { token: i3$1.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLogoutShortcutComponent, selector: "ncc-abstract-logout-shortcut", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLogoutShortcutComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-logout-shortcut',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserService }, { type: LoggerService }, { type: ConfigurationService }, { type: i3$1.Router }] });

class AbstractLanguageSelectorComponent {
    _langService;
    _languageIconsService;
    constructor(_langService, _languageIconsService) {
        this._langService = _langService;
        this._languageIconsService = _languageIconsService;
    }
    getLangKeys() {
        return this._langService.getTranslations().map(trans => trans.key);
    }
    getCurrentLang() {
        return this._langService.getLanguage();
    }
    setLang(lang) {
        this._langService.setLanguage(lang, true);
    }
    getLanguageIcons() {
        return this._languageIconsService.languageIcons;
    }
    getLangIcon(lang) {
        return this._languageIconsService.languageIcons[lang].svgIcon;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLanguageSelectorComponent, deps: [{ token: LanguageService }, { token: LanguageIconsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLanguageSelectorComponent, selector: "ncc-abstract-language-selector", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLanguageSelectorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-language-selector',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LanguageService }, { type: LanguageIconsService }] });

/* COMPONENTS */

class RoleGuardService {
    _redirectService;
    _userService;
    _configService;
    _log;
    _loginUrl;
    constructor(_redirectService, _userService, _configService, _log) {
        this._redirectService = _redirectService;
        this._userService = _userService;
        this._configService = _configService;
        this._log = _log;
        this._loginUrl = this._redirectService.resolveLoginPath();
    }
    canActivate(route, state) {
        this._redirectService.intendedRoute = route;
        const view = this._configService.getViewByUrl(state.url.toString());
        return this.canAccessView(view, state.url.toString());
    }
    canAccessView(view, url) {
        if (typeof view.access !== 'string' && (view.access.hasOwnProperty('role') || view.access.hasOwnProperty('bannedRole'))) {
            if (view.access.hasOwnProperty('role') && view.access.hasOwnProperty('bannedRole')) {
                const bannedRoles = this.parseRoleConstraints(view.access.bannedRole, url);
                const allowedRoles = this.parseRoleConstraints(view.access.role, url);
                if (bannedRoles.some(role => this.decideAccessByRole(role))) {
                    return false;
                }
                if (allowedRoles.length === 0) {
                    this._log.warn(`View at '${url}' defines role access constraint with an empty array!`
                        + ` No users will be allowed to enter this view!`);
                }
                return allowedRoles.some(role => this.decideAccessByRole(role)); // user was not denied access by a banned role, they need at least one allowed role
            }
            if (view.access.hasOwnProperty('bannedRole')) {
                const bannedRoles = this.parseRoleConstraints(view.access.bannedRole, url);
                return !bannedRoles.some(constraint => {
                    return this.decideAccessByRole(constraint);
                });
            }
            if (view.access.hasOwnProperty('role')) {
                const allowedRoles = this.parseRoleConstraints(view.access.role, url);
                if (allowedRoles.length === 0) {
                    this._log.warn(`View at '${url}' defines role access constraint with an empty array!`
                        + ` No users will be allowed to enter this view!`);
                }
                return allowedRoles.some(constraint => {
                    return this.decideAccessByRole(constraint);
                });
            }
        }
        throw new Error('Role guard is declared for a view with no role guard configuration!'
            + ` Add role guard configuration for view at ${url}, or remove the guard.`);
    }
    parseRoleConstraints(roleConstrains, viewUrl) {
        if (typeof roleConstrains === 'string') {
            return this.parseStringRoleConstraints(roleConstrains);
        }
        if (Array.isArray(roleConstrains)) {
            if (roleConstrains.length === 0) {
                return [];
            }
            if (typeof roleConstrains[0] === 'string') {
                return this.parseStringRoleConstraints(roleConstrains);
            }
        }
        return this.parseObjectRoleConstrains(roleConstrains);
    }
    /**
     * @deprecated in 5.0.0
     */
    parseStringRoleConstraints(roleConstrains) {
        if (!Array.isArray(roleConstrains)) {
            roleConstrains = [roleConstrains];
        }
        this._log.warn('Using string role guard configuration is deprecated! Migrate to object based configuration instead.');
        return roleConstrains.map(constraint => {
            const splitRoleArray = constraint.split('.');
            if (splitRoleArray.length === 2) {
                return { processIdentifier: splitRoleArray[0], roleName: splitRoleArray[1] };
            }
            else {
                throw new Error('Please enter the correct format <net import id>.<role name>');
            }
        });
    }
    parseObjectRoleConstrains(roleConstrains) {
        if (!Array.isArray(roleConstrains)) {
            roleConstrains = [roleConstrains];
        }
        return roleConstrains.map(constraint => {
            if (!constraint.roleId || !constraint.processId) {
                throw new Error('Please enter both process and role id for a role constraint: ' + constraint);
            }
            return { processIdentifier: constraint.processId, roleIdentifier: constraint.roleId };
        });
    }
    decideAccessByRole(constraint) {
        if (constraint.roleIdentifier) {
            return this._userService.hasRoleByIdentifier(constraint.roleIdentifier, constraint.processIdentifier);
        }
        else {
            return this._userService.hasRoleByName(constraint.roleName, constraint.processIdentifier);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleGuardService, deps: [{ token: RedirectService }, { token: UserService }, { token: ConfigurationService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleGuardService, providedIn: AuthenticationModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleGuardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: AuthenticationModule
                }]
        }], ctorParameters: () => [{ type: RedirectService }, { type: UserService }, { type: ConfigurationService }, { type: LoggerService }] });

class AuthorityGuardService {
    _redirectService;
    _userService;
    _configService;
    _router;
    _loginUrl;
    constructor(_redirectService, _userService, _configService, _router) {
        this._redirectService = _redirectService;
        this._userService = _userService;
        this._configService = _configService;
        this._router = _router;
        this._loginUrl = this._redirectService.resolveLoginPath();
    }
    canActivate(route, state) {
        this._redirectService.intendedRoute = route;
        const view = this._configService.getViewByUrl(state.url.toString());
        return this.canAccessView(view);
    }
    canAccessView(view) {
        if (typeof view.access !== 'string' && view.access.hasOwnProperty('authority')) {
            return this._userService.hasAuthority(view.access.authority);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthorityGuardService, deps: [{ token: RedirectService }, { token: UserService }, { token: ConfigurationService }, { token: i3$1.Router }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthorityGuardService, providedIn: AuthenticationModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthorityGuardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: AuthenticationModule
                }]
        }], ctorParameters: () => [{ type: RedirectService }, { type: UserService }, { type: ConfigurationService }, { type: i3$1.Router }] });

class GroupGuardService {
    _redirectService;
    _userService;
    _nextGroupService;
    _configService;
    _log;
    _loginUrl;
    constructor(_redirectService, _userService, _nextGroupService, _configService, _log) {
        this._redirectService = _redirectService;
        this._userService = _userService;
        this._nextGroupService = _nextGroupService;
        this._configService = _configService;
        this._log = _log;
        this._loginUrl = this._redirectService.resolveLoginPath();
    }
    canActivate(route, state) {
        this._redirectService.intendedRoute = route;
        const view = this._configService.getViewByUrl(state.url.toString());
        return this.canAccessView(view, state.url.toString());
    }
    canAccessView(view, url) {
        if (typeof view.access !== 'string' && view.access.hasOwnProperty('group')) {
            let allowedGroups;
            if (Array.isArray(view.access.group)) {
                allowedGroups = view.access.group;
            }
            else {
                allowedGroups = [view.access.group];
            }
            const groupOfUser = this._nextGroupService.groupOfUser.map(group => group.title);
            return allowedGroups.some(groupTitle => {
                return groupOfUser.includes(groupTitle);
            });
        }
        throw new Error('Group guard is declared for a view with no group guard configuration!'
            + ` Add group guard configuration for view at ${url}, or remove the guard.`);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: GroupGuardService, deps: [{ token: RedirectService }, { token: UserService }, { token: NextGroupService }, { token: ConfigurationService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: GroupGuardService, providedIn: AuthenticationModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: GroupGuardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: AuthenticationModule
                }]
        }], ctorParameters: () => [{ type: RedirectService }, { type: UserService }, { type: NextGroupService }, { type: ConfigurationService }, { type: LoggerService }] });

class AccessService {
    _config;
    _userService;
    _roleGuard;
    _authorityGuard;
    _groupGuard;
    constructor(_config, _userService, _roleGuard, _authorityGuard, _groupGuard) {
        this._config = _config;
        this._userService = _userService;
        this._roleGuard = _roleGuard;
        this._authorityGuard = _authorityGuard;
        this._groupGuard = _groupGuard;
    }
    /**
     * @param view the view whose access permissions we want to check
     * @param url URL to which the view maps. Is used only for error message generation
     * @returns whether the user can access the provided view
     */
    canAccessView(view, url) {
        if (!view.hasOwnProperty('access')) {
            return true;
        }
        if (typeof view.access === 'string') {
            if (view.access === 'public') {
                return true;
            }
            if (view.access !== 'private') {
                throw new Error(`Unknown access option '${view.access}'. Only 'public' or 'private' is allowed.`);
            }
            return !this._userService.user.isEmpty();
        }
        if (!url) {
            url = view?.routing?.path;
        }
        return !this._userService.user.isEmpty() // AuthGuard
            && this.passesRoleGuard(view, url)
            && this.passesAuthorityGuard(view)
            && this.passesGroupGuard(view, url);
    }
    /**
     * @param view the view whose access permissions we want to check
     * @param url URL to which the view maps. Is used only for error message generation
     * @returns whether the user passes the role guard condition for accessing the specified view
     */
    passesRoleGuard(view, url) {
        return (!view.access.hasOwnProperty('role') && !view.access.hasOwnProperty('bannedRole')) || this._roleGuard.canAccessView(view, url);
    }
    /**
     * @param view the view whose access permissions we want to check
     * @returns whether the user passes the authority guard condition for accessing the specified view
     */
    passesAuthorityGuard(view) {
        return !view.access.hasOwnProperty('authority') || this._authorityGuard.canAccessView(view);
    }
    /**
     * @param view the view whose access permissions we want to check
     * @param url URL to which the view maps. Is used only for error message generation
     * @returns whether the user passes the role guard condition for accessing the specified view
     */
    passesGroupGuard(view, url) {
        return !view.access.hasOwnProperty('group') || this._groupGuard.canAccessView(view, url);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AccessService, deps: [{ token: ConfigurationService }, { token: UserService }, { token: RoleGuardService }, { token: AuthorityGuardService }, { token: GroupGuardService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AccessService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AccessService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: UserService }, { type: RoleGuardService }, { type: AuthorityGuardService }, { type: GroupGuardService }] });

class DynamicNavigationRouteProviderService {
    _config;
    _route;
    constructor(_config) {
        this._config = _config;
    }
    set route(route) {
        this._route = route;
    }
    /**
     * @Returns the configuration set by the {@link RoutingBuilderService} or if dynamic navigation is not used the value set in the
     * nae.json
     */
    get route() {
        if (this._route !== undefined) {
            return this._route;
        }
        return this._config.getServicesConfiguration()?.groupNavigation?.groupNavigationRoute;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DynamicNavigationRouteProviderService, deps: [{ token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DynamicNavigationRouteProviderService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DynamicNavigationRouteProviderService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }] });

class AbstractNavigationTreeComponent extends AbstractNavigationResizableDrawerComponent {
    _config;
    _router;
    _log;
    _userService;
    _accessService;
    _activeGroupService;
    _taskResourceService;
    _languageService;
    _navigationRouteProvider;
    viewPath;
    parentUrl;
    routerChange;
    _reloadNavigation;
    _subscriptions;
    _subGroupResolution;
    _subLangChange;
    treeControl;
    dataSource;
    constructor(_config, _router, _log, _userService, _accessService, _activeGroupService, _taskResourceService, _languageService, _navigationRouteProvider) {
        super();
        this._config = _config;
        this._router = _router;
        this._log = _log;
        this._userService = _userService;
        this._accessService = _accessService;
        this._activeGroupService = _activeGroupService;
        this._taskResourceService = _taskResourceService;
        this._languageService = _languageService;
        this._navigationRouteProvider = _navigationRouteProvider;
        this.treeControl = new NestedTreeControl(node => node.children);
        this.dataSource = new MatTreeNestedDataSource();
        this.dataSource.data = this.resolveNavigationNodes(_config.getConfigurationSubtree(['views']), '');
        this.resolveLevels(this.dataSource.data);
        this._reloadNavigation = new ReplaySubject(1);
    }
    ngOnInit() {
        super.ngOnInit();
        if (this.viewPath && this.parentUrl !== undefined && this.routerChange) {
            this.resolveNavigationNodesWithOffsetRoot();
        }
        this._subscriptions = [
            this._router.events.pipe(filter(event => event instanceof NavigationEnd && this.routerChange))
                .subscribe(() => this._reloadNavigation.next()),
            this._userService.user$.subscribe(() => this._reloadNavigation.next()),
            this._activeGroupService.activeGroups$.subscribe(() => this._reloadNavigation.next())
        ];
        this._subscriptions.push(this._reloadNavigation.pipe(debounceTime(100)).subscribe(() => {
            this.resolveNavigation();
        }));
    }
    ngOnDestroy() {
        for (const sub of this._subscriptions) {
            if (!sub.closed) {
                sub.unsubscribe();
            }
        }
        this._reloadNavigation.complete();
        if (this._subGroupResolution !== undefined) {
            this._subGroupResolution.unsubscribe();
        }
        if (this._subLangChange !== undefined) {
            this._subLangChange.unsubscribe();
        }
    }
    hasChild(_, node) {
        return !!node.children && node.children.length > 0;
    }
    resolveNavigation() {
        let nodes;
        if (this.viewPath && this.parentUrl !== undefined && this.routerChange) {
            nodes = this.resolveNavigationNodesWithOffsetRoot();
        }
        else {
            nodes = this.resolveNavigationNodes(this._config.getConfigurationSubtree(['views']), '');
        }
        this.dataSource.data = nodes;
        this.resolveLevels(this.dataSource.data);
    }
    resolveNavigationNodesWithOffsetRoot() {
        const view = this._config.getViewByPath(this.viewPath);
        if (view && view.children) {
            return this.resolveNavigationNodes(view.children, this.parentUrl);
        }
        return this.dataSource.data;
    }
    /**
     * Converts the provided {@link Views} object into the corresponding navigation tree
     * @param views navigation configuration
     * @param parentUrl URL of the parent navigation tree node
     * @param ancestorNodeContainer if the parent node has no navigation this attribute contains the
     * closest ancestor that has navigation
     * @protected
     */
    resolveNavigationNodes(views, parentUrl, ancestorNodeContainer) {
        if (!views || Object.keys(views).length === 0) {
            return null;
        }
        const nodes = [];
        Object.keys(views).forEach((viewKey) => {
            const view = views[viewKey];
            if (!this.hasNavigation(view) && !this.hasSubRoutes(view)) {
                return; // continue
            }
            const routeSegment = this.getNodeRouteSegment(view);
            if (routeSegment === undefined) {
                throw new Error('Route segment doesnt exist in view ' + parentUrl + '/' + viewKey + ' !');
            }
            if (!this._accessService.canAccessView(view, this.appendRouteSegment(parentUrl, routeSegment))) {
                return; // continue
            }
            if (this.hasNavigation(view)) {
                const node = this.buildNode(view, routeSegment, parentUrl);
                if (this.hasSubRoutes(view)) {
                    node.children = this.resolveNavigationNodes(view.children, node.url);
                }
                nodes.push(node);
            }
            else {
                if (this.hasSubRoutes(view)) {
                    nodes.push(...this.resolveNavigationNodes(view.children, this.appendRouteSegment(parentUrl, routeSegment), ancestorNodeContainer ?? nodes));
                }
            }
        });
        return nodes;
    }
    hasNavigation(route) {
        if (!route.navigation) {
            return false;
        }
        if (typeof route.navigation === 'boolean') {
            return route.navigation;
        }
        if (typeof route.navigation === 'object') {
            return Object.keys(route.navigation).length !== 0;
        }
    }
    hasSubRoutes(route) {
        if (!route.children) {
            return false;
        }
        if (typeof route.children === 'object') {
            return Object.keys(route.children).length !== 0;
        }
    }
    buildNode(view, routeSegment, parentUrl) {
        const node = {
            name: null,
            url: null
        };
        node.name = this.getNodeName(view, routeSegment);
        node.icon = this.getNodeIcon(view);
        node.url = this.appendRouteSegment(parentUrl, routeSegment);
        node.translate = this.getNodeTranslateFlag(view);
        return node;
    }
    getNodeName(view, routeSegment) {
        if (view.navigation['title']) {
            return view.navigation['title'];
        }
        const str = routeSegment.replace('_', ' ');
        return str.charAt(0).toUpperCase() + str.substring(1);
    }
    getNodeIcon(view) {
        return !view.navigation['icon'] ? undefined : view.navigation['icon'];
    }
    /**
     * @param view configuration of some view, whose routeSegment we want to determine
     * @returns the routeSegment for the provided view, or undefined if none is specified
     */
    getNodeRouteSegment(view) {
        return !!view.routing && (typeof view.routing.path === 'string') ? view.routing.path : undefined;
    }
    getNodeTranslateFlag(view) {
        return view.navigation['translate'] ?? false;
    }
    /**
     * Appends the route segment to the parent URL.
     * @param parentUrl URL of the parent. Should not end with '/'
     * @param routeSegment URL segment of the child
     * @returns `parentUrl/routeSegment` if the `routeSegment` is truthy (not an empty string).
     * Returns `parentUrl` if `routeSegment` is falsy (empty string).
     */
    appendRouteSegment(parentUrl, routeSegment) {
        return routeSegment ? parentUrl + '/' + routeSegment : parentUrl;
    }
    resolveLevels(nodes, parentLevel) {
        if (!nodes) {
            return;
        }
        const currentLevel = parentLevel === null || parentLevel === undefined ? 0 : parentLevel + 1;
        nodes.forEach(node => {
            node.level = currentLevel;
            if (node.children) {
                this.resolveLevels(node.children, currentLevel);
            }
        });
    }
    resolveChange() {
        const view = this._config.getViewByPath(this.viewPath);
        if (view && view.children) {
            this.dataSource.data = this.resolveNavigationNodes(view.children, this.parentUrl);
        }
        this.resolveLevels(this.dataSource.data);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationTreeComponent, deps: [{ token: ConfigurationService }, { token: i3$1.Router }, { token: LoggerService }, { token: UserService }, { token: AccessService }, { token: ActiveGroupService }, { token: TaskResourceService }, { token: LanguageService }, { token: DynamicNavigationRouteProviderService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNavigationTreeComponent, selector: "ncc-abstract-navigation-tree", inputs: { viewPath: "viewPath", parentUrl: "parentUrl", routerChange: "routerChange" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationTreeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-navigation-tree',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: i3$1.Router }, { type: LoggerService }, { type: UserService }, { type: AccessService }, { type: ActiveGroupService }, { type: TaskResourceService }, { type: LanguageService }, { type: DynamicNavigationRouteProviderService }], propDecorators: { viewPath: [{
                type: Input
            }], parentUrl: [{
                type: Input
            }], routerChange: [{
                type: Input
            }] } });

const DRAWER_DEFAULT_MIN_WIDTH = 200;
const DRAWER_MAX_WIDTH = 450;
class AbstractNavigationDrawerComponent {
    breakpoint;
    _log;
    userPreferenceService;
    showUser;
    user;
    showQuickPanel;
    quickPanelItems; // QuickPanelItem
    navigation;
    openedChange;
    _sideNav;
    opened;
    _fixed;
    subBreakpoint;
    width;
    contentWidth;
    _config = {
        mode: 'over',
        opened: true,
        disableClose: false
    };
    constructor(breakpoint, _log, userPreferenceService) {
        this.breakpoint = breakpoint;
        this._log = _log;
        this.userPreferenceService = userPreferenceService;
        this.openedChange = new EventEmitter();
        this._fixed = true;
        this.opened = true;
        this.quickPanelItems = ['language', 'settings', 'logout', 'impersonation'];
        if (this.userPreferenceService.drawerWidth !== undefined) {
            this.contentWidth = new BehaviorSubject(this.userPreferenceService.drawerWidth);
        }
        else {
            this.contentWidth = new BehaviorSubject(DRAWER_DEFAULT_MIN_WIDTH);
        }
    }
    ngOnInit() {
        this.resolveLayout(this._fixed);
        this.subBreakpoint = this.breakpoint.observe([Breakpoints.HandsetLandscape]).subscribe(result => {
            this._log.info('BreakpointObserver matches width of window: ' + this.breakpoint.isMatched('(max-width: 959.99px)'));
            if (this.breakpoint.isMatched('(max-width: 959.99px)')) {
                this.resolveLayout(false);
                this.opened = this._config.opened;
            }
            else {
                this.resolveLayout(this._fixed);
                this.opened = this._config.opened;
            }
        });
        this.opened = this._config.opened;
        this.userPreferenceService.preferencesChanged$.subscribe(() => {
            this.width = this.userPreferenceService.drawerWidth;
            this.contentWidth.next(this.width);
        });
        // this.width = this.userPreferenceService.getDrawerWidth();
    }
    ngAfterViewInit() {
        this.openedChange = this._sideNav.openedChange;
    }
    ngOnDestroy() {
        this.subBreakpoint.unsubscribe();
        this.openedChange.complete();
    }
    get config() {
        return this._config;
    }
    get fixed() {
        return this._fixed;
    }
    set fixed(value) {
        this._fixed = value;
        this.resolveLayout(this._fixed);
    }
    open() {
        if (!this._sideNav.opened) {
            this._sideNav.open();
        }
        return Promise.resolve('open');
    }
    close() {
        if (this._fixed) {
            return Promise.resolve('close');
        }
        return this._sideNav.close();
    }
    toggle() {
        if (this._fixed) {
            return Promise.resolve('open');
        }
        return this._sideNav.toggle();
    }
    resolveLayout(bool) {
        this._config = bool ? {
            mode: 'side',
            opened: true,
            disableClose: true
        } : {
            mode: 'over',
            opened: false,
            disableClose: false
        };
        if (bool && this._sideNav) {
            this._sideNav.open();
        }
    }
    swipeRight() {
        if (this.breakpoint.isMatched('(max-width: 959.99px)')) {
            this._sideNav.open();
        }
    }
    swipeLeft() {
        if (this.breakpoint.isMatched('(max-width: 959.99px)')) {
            this._sideNav.close();
        }
    }
    onResizeEvent(event) {
        if (event.rectangle.width > DRAWER_MAX_WIDTH) {
            this.width = DRAWER_MAX_WIDTH;
        }
        else if (event.rectangle.width < DRAWER_DEFAULT_MIN_WIDTH) {
            this.width = DRAWER_DEFAULT_MIN_WIDTH;
        }
        else {
            this.width = event.rectangle.width;
        }
        this.userPreferenceService._drawerWidthChanged$.next(this.width);
        this.contentWidth.next(this.width);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationDrawerComponent, deps: [{ token: i1$7.BreakpointObserver }, { token: LoggerService }, { token: UserPreferenceService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNavigationDrawerComponent, selector: "ncc-abstract-navigation-drawer", inputs: { showUser: "showUser", user: "user", showQuickPanel: "showQuickPanel", quickPanelItems: "quickPanelItems", navigation: "navigation", fixed: "fixed" }, outputs: { openedChange: "openedChange" }, viewQueries: [{ propertyName: "_sideNav", first: true, predicate: ["sidenav"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationDrawerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-navigation-drawer',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$7.BreakpointObserver }, { type: LoggerService }, { type: UserPreferenceService }], propDecorators: { showUser: [{
                type: Input
            }], user: [{
                type: Input
            }], showQuickPanel: [{
                type: Input
            }], quickPanelItems: [{
                type: Input
            }], navigation: [{
                type: Input
            }], openedChange: [{
                type: Output
            }], _sideNav: [{
                type: ViewChild,
                args: ['sidenav']
            }], fixed: [{
                type: Input
            }] } });

class ImportToAdd {
    className;
    fileImportPath;
    constructor(className, fileImportPath) {
        this.className = className;
        this.fileImportPath = fileImportPath;
    }
}

/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 *
 * File copied from: angular_devkit/core/src/utils/strings.ts
 */
const STRING_DASHERIZE_REGEXP = (/[ _]/g);
const STRING_DECAMELIZE_REGEXP = (/([a-z\d])([A-Z])/g);
const STRING_CAMELIZE_REGEXP = (/(-|_|\.|\s)+(.)?/g);
const STRING_UNDERSCORE_REGEXP_1 = (/([a-z\d])([A-Z]+)/g);
const STRING_UNDERSCORE_REGEXP_2 = (/-|\s+/g);
/**
 * Converts a camelized string into all lower case separated by underscores.
 *
 * ```javascript
 * decamelize('innerHTML');         // 'inner_html'
 * decamelize('action_name');       // 'action_name'
 * decamelize('css-class-name');    // 'css-class-name'
 * decamelize('my favorite items'); // 'my favorite items'
 * ```
 * @method decamelize
 * @param str The string to decamelize.
 * @return the decamelized string.
 */
function decamelize(str) {
    return str.replace(STRING_DECAMELIZE_REGEXP, '$1_$2').toLowerCase();
}
/**
 * Replaces underscores, spaces, or camelCase with dashes.
 * ```javascript
 * dasherize('innerHTML');         // 'inner-html'
 * dasherize('action_name');       // 'action-name'
 * dasherize('css-class-name');    // 'css-class-name'
 * dasherize('my favorite items'); // 'my-favorite-items'
 * ```
 * @method dasherize
 * @param str The string to dasherize.
 * @return the dasherized string.
 */
function dasherize(str) {
    return decamelize(str).replace(STRING_DASHERIZE_REGEXP, '-');
}
/**
 * Returns the lowerCamelCase form of a string.
 * ```javascript
 * camelize('innerHTML');          // 'innerHTML'
 * camelize('action_name');        // 'actionName'
 * camelize('css-class-name');     // 'cssClassName'
 * camelize('my favorite items');  // 'myFavoriteItems'
 * camelize('My Favorite Items');  // 'myFavoriteItems'
 * ```
 * @method camelize
 * @param str The string to camelize.
 * @return the camelized string.
 */
function camelize(str) {
    return str
        .replace(STRING_CAMELIZE_REGEXP, (_match, _separator, chr) => {
        return chr ? chr.toUpperCase() : '';
    })
        .replace(/^([A-Z])/, (match) => match.toLowerCase());
}
/**
 * Returns the UpperCamelCase form of a string.
 * ```javascript
 * 'innerHTML'.classify();          // 'InnerHTML'
 * 'action_name'.classify();        // 'ActionName'
 * 'css-class-name'.classify();     // 'CssClassName'
 * 'my favorite items'.classify();  // 'MyFavoriteItems'
 * ```
 * @method classify
 * @param str the string to classify
 * @return the classified string
 */
function classify(str) {
    return str.split('.').map(part => capitalize(camelize(part))).join('.');
}
/**
 * More general than decamelize. Returns the lower\_case\_and\_underscored
 * form of a string.
 * ```javascript
 * 'innerHTML'.underscore();          // 'inner_html'
 * 'action_name'.underscore();        // 'action_name'
 * 'css-class-name'.underscore();     // 'css_class_name'
 * 'my favorite items'.underscore();  // 'my_favorite_items'
 * ```
 * @method underscore
 * @param str The string to underscore.
 * @return the underscored string.
 */
function underscore(str) {
    return str
        .replace(STRING_UNDERSCORE_REGEXP_1, '$1_$2')
        .replace(STRING_UNDERSCORE_REGEXP_2, '_')
        .toLowerCase();
}
/**
 * Returns the Capitalized form of a string
 * ```javascript
 * 'innerHTML'.capitalize()         // 'InnerHTML'
 * 'action_name'.capitalize()       // 'Action_name'
 * 'css-class-name'.capitalize()    // 'Css-class-name'
 * 'my favorite items'.capitalize() // 'My favorite items'
 * ```
 * @method capitalize
 * @param str The string to capitalize.
 * @return The capitalized string.
 */
function capitalize(str) {
    return str.charAt(0).toUpperCase() + str.substr(1);
}
/**
 * Calculate the levenshtein distance of two strings.
 * See https://en.wikipedia.org/wiki/Levenshtein_distance.
 * Based off https://gist.github.com/andrei-m/982927 (for using the faster dynamic programming
 * version).
 *
 * @param a String a.
 * @param b String b.
 * @returns A number that represents the distance between the two strings. The greater the number
 *   the more distant the strings are from each others.
 */
function levenshtein(a, b) {
    if (a.length === 0) {
        return b.length;
    }
    if (b.length === 0) {
        return a.length;
    }
    const matrix = [];
    // increment along the first column of each row
    for (let i = 0; i <= b.length; i++) {
        matrix[i] = [i];
    }
    // increment each column in the first row
    for (let j = 0; j <= a.length; j++) {
        matrix[0][j] = j;
    }
    // Fill in the rest of the matrix
    for (let i = 1; i <= b.length; i++) {
        for (let j = 1; j <= a.length; j++) {
            if (b.charAt(i - 1) === a.charAt(j - 1)) {
                matrix[i][j] = matrix[i - 1][j - 1];
            }
            else {
                matrix[i][j] = Math.min(matrix[i - 1][j - 1] + 1, // substitution
                matrix[i][j - 1] + 1, // insertion
                matrix[i - 1][j] + 1);
            }
        }
    }
    return matrix[b.length][a.length];
}

class ViewClassInfo extends ImportToAdd {
    /**
     * for `caseView` located at route `cases/all/` this is equal to `cases-all`
     */
    prefix;
    /**
     * for `caseView` located at route `cases/all/` this is equal to `CasesAllCaseView`
     */
    nameWithoutComponent;
    constructor(path, viewType, customComponentName) {
        super('', '');
        if (!customComponentName) {
            this.prefix = ViewClassInfo.convertPathToClassNamePrefix(path);
            const classSuffix = ViewClassInfo.resolveClassSuffixForView(viewType);
            this.nameWithoutComponent = `${classify(this.prefix)}${classSuffix}`;
            this.fileImportPath = `./views/${path}/${this.prefix}-${dasherize(classSuffix)}.component`;
        }
        else {
            this.prefix = '';
            this.nameWithoutComponent = classify(customComponentName);
            this.fileImportPath = `./views/${path}/${dasherize(customComponentName)}.component`;
        }
        this.className = `${this.nameWithoutComponent}Component`;
    }
    static convertPathToClassNamePrefix(path) {
        const regexDash = /-/g;
        return path.replace(regexDash, '_').replace(/\//g, '-').toLocaleLowerCase();
    }
    static resolveClassSuffixForView(view) {
        switch (view) {
            case 'login':
                return 'Login';
            case 'tabView':
                return 'TabView';
            case 'taskView':
                return 'TaskView';
            case 'caseView':
                return 'CaseView';
            case 'emptyView':
                return 'EmptyView';
            case 'sidenavView':
                return 'SidenavView';
            case 'doubleDrawerView':
                return 'DoubleDrawerView';
            case 'toolbarView':
                return 'ToolbarView';
            case 'sidenavAndToolbarView':
                return 'SidenavAndToolbarView';
            case 'groupView':
                return 'GroupView';
            case 'dashboard':
                return 'Dashboard';
            case 'treeCaseView':
                return 'TreeCaseView';
            case 'workflowView':
                return 'WorkflowView';
            case 'roleAssignmentView':
                return 'RoleAssignmentView';
            case 'ldapRoleAssignmentView':
                return 'LdapRoleAssignmentView';
            default:
                throw new Error(`Unknown view type '${view}'`);
        }
    }
}

/**
 * Holds component for dynamic routing resolution of group navigation component resolver component by the {@link RoutingBuilderService}.
 */
const NAE_GROUP_NAVIGATION_COMPONENT_RESOLVER_COMPONENT = new InjectionToken('NaeGroupNavigationComponentResolverComponent');

const NAE_ROUTING_CONFIGURATION_PATH = "configPath";
/**
 * Uses the information from nae.json to construct the application's routing
 */
class RoutingBuilderService {
    _configService;
    _viewService;
    _logger;
    _dynamicNavigationRouteService;
    _groupNavigationComponentResolverComponent;
    _groupNavigationRouteGenerated = false;
    constructor(router, _configService, _viewService, _logger, _dynamicNavigationRouteService, _groupNavigationComponentResolverComponent) {
        this._configService = _configService;
        this._viewService = _viewService;
        this._logger = _logger;
        this._dynamicNavigationRouteService = _dynamicNavigationRouteService;
        this._groupNavigationComponentResolverComponent = _groupNavigationComponentResolverComponent;
        router.config.splice(0, router.config.length);
        for (const [pathSegment, view] of Object.entries(_configService.get().views)) {
            const route = this.constructRouteObject(view, pathSegment);
            if (route !== undefined) {
                router.config.push(route);
            }
        }
        router.config.push(...this.defaultRoutesRedirects());
    }
    constructRouteObject(view, configPath, ancestors = []) {
        const component = this.resolveComponentClass(view, configPath);
        if (component === undefined) {
            return undefined;
        }
        if (!view.routing) {
            this._logger.warn(`nae.json configuration is invalid. View at path '${configPath}'` +
                ` must define a 'routing' attribute. Skipping this view for routing generation.`);
            return undefined;
        }
        const route = {
            path: view.routing.path,
            data: {
                [NAE_ROUTING_CONFIGURATION_PATH]: configPath
            },
            component
        };
        if (view?.layout?.name === GroupNavigationConstants.GROUP_NAVIGATION_OUTLET) {
            if (this._groupNavigationRouteGenerated) {
                this._logger.warn(`Multiple groupNavigationOutlets are present in nae.json. Duplicate entry found at path ${configPath}`);
            }
            else {
                this._logger.debug(`GroupNavigationOutlet found in nae.json at path '${configPath}'`);
            }
            const pathNoParams = route.path;
            route.path = `${pathNoParams}/:${GroupNavigationConstants.GROUP_NAVIGATION_ROUTER_PARAM}`;
            route.canActivate = [AuthenticationGuardService];
            const parentPathSegments = ancestors.map(a => a.path);
            parentPathSegments.push(pathNoParams);
            this._dynamicNavigationRouteService.route = parentPathSegments.join('/');
            this._groupNavigationRouteGenerated = true;
            return route;
        }
        if (view.routing.match !== undefined && view.routing.match) {
            route['pathMatch'] = 'full';
        }
        route['canActivate'] = [];
        if (view.access === 'private'
            || view.access.hasOwnProperty('role')
            || view.access.hasOwnProperty('group')
            || view.access.hasOwnProperty('authority')) {
            route['canActivate'].push(AuthenticationGuardService);
        }
        if (view.access.hasOwnProperty('role')) {
            route['canActivate'].push(RoleGuardService);
        }
        if (view.access.hasOwnProperty('authority')) {
            route['canActivate'].push(AuthorityGuardService);
        }
        if (view.access.hasOwnProperty('group')) {
            route['canActivate'].push(GroupGuardService);
        }
        if (!!view.children) {
            route['children'] = [];
            Object.entries(view.children).forEach(([configPathSegment, childView]) => {
                // TODO check if routes are constructed correctly regarding empty route segments
                const childRoute = this.constructRouteObject(childView, `${configPath}/${configPathSegment}`, [...ancestors, route]);
                if (childRoute !== undefined) {
                    route['children'].push(childRoute);
                }
            });
        }
        if (view?.layout?.name === 'tabView') {
            if (!view.children) {
                route['children'] = [];
            }
            route['children'].push({
                path: '**',
                component
            });
        }
        return route;
    }
    resolveComponentClass(view, configPath) {
        let result;
        if (!!view.component) {
            result = this._viewService.resolveNameToClass(view.component.class);
        }
        else if (!!view.layout) {
            result = this.resolveComponentClassFromLayout(view, configPath);
        }
        else {
            this._logger.warn(`nae.json configuration is invalid. View at path '${configPath}'` +
                ` must define either a 'layout' or a 'component' attribute. Skipping this view for routing generation.`);
            return undefined;
        }
        if (result === undefined) {
            this._logger.warn(`Some views from nae.json configuration have not been created in the project.` +
                ` Run create-view schematic to rectify this. Skipping this view for routing generation.`);
            return undefined;
        }
        return result;
    }
    resolveComponentClassFromLayout(view, configPath) {
        if (view.layout.name === GroupNavigationConstants.GROUP_NAVIGATION_OUTLET) {
            return this._groupNavigationComponentResolverComponent;
        }
        const className = RoutingBuilderService.parseClassNameFromView(view, configPath);
        return this._viewService.resolveNameToClass(className);
    }
    static parseClassNameFromView(view, configPath) {
        if (!!view.layout.componentName) {
            return `${classify(view.layout.componentName)}Component`;
        }
        else {
            const classInfo = new ViewClassInfo(configPath, view.layout.name, view.layout.componentName);
            return classInfo.className;
        }
    }
    defaultRoutesRedirects() {
        const result = [];
        const servicesConfig = this._configService.getServicesConfiguration();
        if (!!servicesConfig && !!servicesConfig.routing) {
            if (!!servicesConfig.routing.defaultRedirect) {
                result.push({
                    path: '',
                    redirectTo: servicesConfig.routing.defaultRedirect,
                    pathMatch: 'full'
                });
            }
            if (!!servicesConfig.routing.wildcardRedirect) {
                result.push({
                    path: '**',
                    redirectTo: servicesConfig.routing.wildcardRedirect
                });
            }
        }
        return result;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoutingBuilderService, deps: [{ token: i3$1.Router }, { token: ConfigurationService }, { token: ViewService }, { token: LoggerService }, { token: DynamicNavigationRouteProviderService }, { token: NAE_GROUP_NAVIGATION_COMPONENT_RESOLVER_COMPONENT, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoutingBuilderService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoutingBuilderService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i3$1.Router }, { type: ConfigurationService }, { type: ViewService }, { type: LoggerService }, { type: DynamicNavigationRouteProviderService }, { type: i0.Type, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_GROUP_NAVIGATION_COMPONENT_RESOLVER_COMPONENT]
                }] }] });

const MENU_IDENTIFIERS = [
    'preference_item',
];
const SETTINGS_TRANSITION_ID = 'item_settings';
const LEFT_DRAWER_DEFAULT_WIDTH = 60;
const RIGHT_DRAWER_DEFAULT_WIDTH = 240;
const RIGHT_DRAWER_DEFAULT_MIN_WIDTH = 180;
const RIGHT_DRAWER_MAX_WIDTH = 460;
const RIGHT_SIDE_NEW_PAGE_SIZE = 10;
const RIGHT_SIDE_INIT_PAGE_SIZE = 20;
var MenuOrder;
(function (MenuOrder) {
    MenuOrder[MenuOrder["Ascending"] = 0] = "Ascending";
    MenuOrder[MenuOrder["Descending"] = 1] = "Descending";
})(MenuOrder || (MenuOrder = {}));

/**
 * Holds all identifiers of the Impersonation config process in an accessible manner
 */
var UserImpersonationConstants;
(function (UserImpersonationConstants) {
    UserImpersonationConstants["IMPERSONATION_CONFIG_NET_IDENTIFIER"] = "impersonation_config";
    UserImpersonationConstants["IMPERSONATION_CONFIG_FIELD_IMPERSONATED"] = "impersonated";
    UserImpersonationConstants["IMPERSONATION_CONFIG_FIELD_ROLES"] = "impersonated_roles";
    UserImpersonationConstants["IMPERSONATION_CONFIG_FIELD_AUTHS"] = "impersonated_authorities";
})(UserImpersonationConstants || (UserImpersonationConstants = {}));

class ImpersonationService extends AbstractResourceService {
    provider;
    _router;
    _configService;
    _userService;
    _snackbar;
    _filter;
    _log;
    _translate;
    _impersonating$ = new Subject();
    _lastUser;
    _sub;
    constructor(provider, _router, _configService, _userService, _snackbar, _filter, _log, _translate) {
        super('impersonation', provider, _configService);
        this.provider = provider;
        this._router = _router;
        this._configService = _configService;
        this._userService = _userService;
        this._snackbar = _snackbar;
        this._filter = _filter;
        this._log = _log;
        this._translate = _translate;
        this._sub = this._userService.user$.subscribe(user => this._resolveUserChange(user));
    }
    get impersonating$() {
        return this._impersonating$.asObservable();
    }
    impersonateUser(userId) {
        this.provider.post$('impersonate/user/' + userId, this.SERVER_URL, {}).subscribe((user) => {
            this._resolveSuccess(user);
        }, (response => {
            this._resolveError(response);
        }));
    }
    impersonateByConfig(configId) {
        this.provider.post$('impersonate/config/' + configId, this.SERVER_URL, {}).subscribe((user) => {
            this._resolveSuccess(user);
        }, (response => {
            this._resolveError(response);
        }));
    }
    cease() {
        this.provider.post$('impersonate/clear', this.SERVER_URL, {}).subscribe(user => {
            this._snackbar.openSuccessSnackBar(this._translate.instant('impersonation.action.deactivated'));
            return this._triggerReload();
        }, (error => {
            this._snackbar.openErrorSnackBar(this._translate.instant('impersonation.action.failed'));
        }));
    }
    _resolveSuccess(user) {
        this._snackbar.openSuccessSnackBar(this._translate.instant('impersonation.user.successfullyRepresented'));
        this._triggerReload();
    }
    _resolveError(response) {
        if (response.status === 400) {
            response.error.alreadyImpersonated ?
                this._snackbar.openErrorSnackBar(this._translate.instant('impersonation.user.currentlyAlreadyRepresented')) :
                this._snackbar.openErrorSnackBar(this._translate.instant('impersonation.user.currentlyLogged'));
        }
        else {
            this._snackbar.openErrorSnackBar(this._translate.instant('impersonation.action.failed'));
        }
    }
    _triggerReload() {
        this._userService.reload();
    }
    _resolveUserChange(user) {
        if (this._lastUser && this._lastUser.isImpersonating() != user.isImpersonating()) {
            this._filter.removeAllFilters();
            this._impersonating$.next(user.isImpersonating());
        }
        this._lastUser = user;
    }
    ngOnDestroy() {
        if (this._sub) {
            this._sub.unsubscribe();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationService, deps: [{ token: ResourceProvider }, { token: i3$1.Router }, { token: ConfigurationService }, { token: UserService }, { token: SnackBarService }, { token: FilterRepository }, { token: LoggerService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: i3$1.Router }, { type: ConfigurationService }, { type: UserService }, { type: SnackBarService }, { type: FilterRepository }, { type: LoggerService }, { type: i1$2.TranslateService }] });

class ImpersonationUserSelectService {
    _log;
    _snackBar;
    _impersonation;
    _user;
    _dialog;
    _userImpersonateComponent;
    _adminImpersonateComponent;
    constructor(_log, _snackBar, _impersonation, _user, _dialog, _userImpersonateComponent, _adminImpersonateComponent) {
        this._log = _log;
        this._snackBar = _snackBar;
        this._impersonation = _impersonation;
        this._user = _user;
        this._dialog = _dialog;
        this._userImpersonateComponent = _userImpersonateComponent;
        this._adminImpersonateComponent = _adminImpersonateComponent;
    }
    /**
     * Opens side menu with users who can be impersonated by logged user
     */
    selectImpersonate() {
        if (this.isAdmin()) {
            const dialogRef = this._dialog.open(this._adminImpersonateComponent, {
                panelClass: "dialog-responsive",
                data: this.injectedData(),
            });
            dialogRef.afterClosed().subscribe(event => {
                this._log.debug('Impersonable user select :' + event);
                if (event?.data === undefined) {
                    return;
                }
                this._impersonation.impersonateUser(event.data._id);
            });
        }
        else {
            const dialogRef = this._dialog.open(this._userImpersonateComponent, {
                panelClass: "dialog-responsive",
                data: this.injectedData(),
            });
            dialogRef.afterClosed().subscribe(event => {
                this._log.debug('Impersonable config select :' + event);
                if (event?.data === undefined) {
                    return;
                }
                this._impersonation.impersonateByConfig(event.data.stringId);
            });
        }
    }
    injectedData() {
        const currentTime = moment();
        let filterCasesFilter = SimpleFilter.fromCaseQuery({
            process: {
                identifier: UserImpersonationConstants.IMPERSONATION_CONFIG_NET_IDENTIFIER
            },
            query: `
            (dataSet.impersonators.keyValue:${this._user.user.id}) AND
            (dataSet.is_active.booleanValue:true) AND
            ((!(_exists_:dataSet.valid_from.timestampValue)) OR (dataSet.valid_from.timestampValue:<` + currentTime.valueOf() + `)) AND
            ((!(_exists_:dataSet.valid_to.timestampValue)) OR (dataSet.valid_to.timestampValue:>${currentTime.valueOf()}))
            `
        });
        return {
            filter: filterCasesFilter
        };
    }
    isAdmin() {
        return this._user.hasAuthority('ROLE_ADMIN');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserSelectService, deps: [{ token: LoggerService }, { token: SnackBarService }, { token: ImpersonationService }, { token: UserService }, { token: i1$3.MatDialog }, { token: NAE_USER_IMPERSONATE_DIALOG_COMPONENT, optional: true }, { token: NAE_ADMIN_IMPERSONATE_DIALOG_COMPONENT, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserSelectService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserSelectService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: LoggerService }, { type: SnackBarService }, { type: ImpersonationService }, { type: UserService }, { type: i1$3.MatDialog }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_USER_IMPERSONATE_DIALOG_COMPONENT]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_ADMIN_IMPERSONATE_DIALOG_COMPONENT]
                }] }] });

class AbstractNavigationDoubleDrawerComponent {
    _router;
    _activatedRoute;
    _breakpoint;
    _languageService;
    _translateService;
    _userService;
    _accessService;
    _log;
    _config;
    _uriService;
    _caseResourceService;
    _impersonationUserSelect;
    _impersonation;
    _dynamicRoutingService;
    portalLeftMenu;
    portalRightMenu;
    imageRouterLink = '/';
    imageAlt = 'Logo';
    image;
    profileRouterLink = '/profile';
    includeUser = true;
    includeLanguage = true;
    includeMoreMenu = true;
    includeImpersonation = true;
    allClosable = true;
    folderIcon = 'folder';
    openedFolderIcon = 'folder_open';
    filterIcon = 'filter_alt';
    foldersCategoryName = 'toolbar.menu.folders';
    viewsCategoryName = 'toolbar.menu.views';
    /**
     * List of displayed items on the left side
     * */
    leftItems;
    /**
     * List of displayed items on the right side
     * */
    rightItems;
    /**
     * List of hidden items
     * */
    moreItems;
    /**
     * List of custom items in more menu
     * */
    hiddenCustomItems;
    itemsOrder;
    _breakpointSubscription;
    _currentNodeSubscription;
    /**
     * Currently display uri
     * Siblings of the node are on the left, children are on the right
     */
    _currentNode;
    leftLoading$;
    rightLoading$;
    nodeLoading$;
    _configLeftMenu = {
        mode: 'side',
        opened: true,
        disableClose: false,
        width: LEFT_DRAWER_DEFAULT_WIDTH,
    };
    _configRightMenu = {
        mode: 'side',
        opened: true,
        disableClose: false,
        width: RIGHT_DRAWER_DEFAULT_WIDTH,
    };
    _childCustomViews;
    constructor(_router, _activatedRoute, _breakpoint, _languageService, _translateService, _userService, _accessService, _log, _config, _uriService, _caseResourceService, _impersonationUserSelect, _impersonation, _dynamicRoutingService) {
        this._router = _router;
        this._activatedRoute = _activatedRoute;
        this._breakpoint = _breakpoint;
        this._languageService = _languageService;
        this._translateService = _translateService;
        this._userService = _userService;
        this._accessService = _accessService;
        this._log = _log;
        this._config = _config;
        this._uriService = _uriService;
        this._caseResourceService = _caseResourceService;
        this._impersonationUserSelect = _impersonationUserSelect;
        this._impersonation = _impersonation;
        this._dynamicRoutingService = _dynamicRoutingService;
        this.leftItems = new Array();
        this.rightItems = new Array();
        this.leftLoading$ = new LoadingEmitter();
        this.rightLoading$ = new LoadingEmitter();
        this.nodeLoading$ = new LoadingEmitter();
        this.itemsOrder = MenuOrder.Ascending;
        this.hiddenCustomItems = [];
        this.moreItems = new Array();
        this._childCustomViews = {};
    }
    ngOnInit() {
        this._breakpointSubscription = this._breakpoint.observe([Breakpoints.HandsetLandscape]).subscribe(() => {
            if (this._breakpoint.isMatched('(max-width: 959.99px)')) {
                this.resolveLayout(false);
            }
            else {
                this.resolveLayout(true);
            }
        });
        this._currentNodeSubscription = this._uriService.activeNode$.subscribe(node => {
            this.currentNode = node;
        });
        const viewConfigurationPath = this._activatedRoute.snapshot.data[NAE_ROUTING_CONFIGURATION_PATH];
        if (!!viewConfigurationPath) {
            const viewConfiguration = this._config.getViewByPath(viewConfigurationPath);
            Object.entries(viewConfiguration.children).forEach(([key, childView]) => {
                this.resolveUriForChildViews(viewConfigurationPath + '/' + key, childView);
                this.resolveHiddenMenuItemFromChildViews(viewConfigurationPath + '/' + key, childView);
            });
        }
    }
    get currentNode() {
        return this._currentNode;
    }
    set currentNode(node) {
        if (node === this._currentNode || this.leftLoading$.isActive || this.rightLoading$.isActive) {
            return;
        }
        this._currentNode = node;
        if (!node) {
            return;
        }
        if (node.parentId && !node.parent) {
            if (node.parentId === this._uriService.root.id) {
                node.parent = this._uriService.root;
            }
            else {
                this.nodeLoading$.on();
                this._uriService.getNodeByPath(this._uriService.resolveParentPath(node)).subscribe(n => {
                    node.parent = !n ? this._uriService.root : n;
                    this.nodeLoading$.off();
                }, error => {
                    this._log.error(error);
                    this.nodeLoading$.off();
                });
            }
        }
        if (this.nodeLoading$.isActive) {
            this.nodeLoading$.subscribe(() => {
                this.resolveMenuItems(node);
            });
        }
        else {
            this.resolveMenuItems(node);
        }
    }
    resolveMenuItems(node) {
        if (this._uriService.isRoot(node)) {
            this.leftItems = [];
            this.loadRightSide();
        }
        else {
            if (!this.leftItems.find(item => item.resource?.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_NODE_PATH)?.value === node.path)) {
                this.loadLeftSide();
            }
            this.loadRightSide();
        }
    }
    ngOnDestroy() {
        this._breakpointSubscription?.unsubscribe();
        this._currentNodeSubscription?.unsubscribe();
        this.leftLoading$.complete();
        this.rightLoading$.complete();
        this.nodeLoading$.complete();
    }
    get configLeftMenu() {
        return this._configLeftMenu;
    }
    get configRightMenu() {
        return this._configRightMenu;
    }
    toggleMenu() {
        this.toggleRightMenu();
        if (this.allClosable) {
            this.toggleLeftMenu();
        }
    }
    toggleLeftMenu() {
        this._configLeftMenu.opened = !this._configLeftMenu.opened;
    }
    toggleRightMenu() {
        this._configRightMenu.opened = !this._configRightMenu.opened;
    }
    resolveLayout(isLargeScreen) {
        this._configLeftMenu = isLargeScreen ? {
            mode: 'side',
            opened: true,
            disableClose: true,
            width: this._configLeftMenu.width,
        } : {
            mode: 'over',
            opened: false,
            disableClose: false,
            width: this._configLeftMenu.width,
        };
        this._configRightMenu = isLargeScreen ? {
            mode: 'side',
            opened: true,
            disableClose: true,
            width: this._configRightMenu.width,
        } : {
            mode: 'over',
            opened: false,
            disableClose: false,
            width: this._configRightMenu.width,
        };
    }
    getLang() {
        return this._languageService.getLanguage();
    }
    logout() {
        this._userService.logout().subscribe(() => {
            this._log.debug('User is logged out');
            if (this._config.get().services && this._config.get().services.auth && this._config.get().services.auth.logoutRedirect) {
                const redirectPath = this._config.get().services.auth.logoutRedirect;
                this._log.info('Redirecting to ' + redirectPath);
                this._router.navigate([redirectPath]);
            }
        });
    }
    impersonate() {
        this._impersonationUserSelect.selectImpersonate();
    }
    stopImpersonating() {
        this._impersonation.cease();
    }
    get user() {
        return this._userService.user;
    }
    get canGoBackLoading$() {
        return this.nodeLoading$;
    }
    /**
     * On home click, the current level is set to 0, and current parent is
     * set to root node.
     * */
    onHomeClick() {
        if (this.leftLoading$.isActive || this.rightLoading$.isActive) {
            return;
        }
        this._uriService.activeNode = this._uriService.root;
    }
    /**
     * On back click, the parent is set to parent of left nodes, that will solve
     * the right side menu (elements that were in left side, after backward
     * navigation will be on the right side).
     * Current level is set to a lower number in order to set the left side menu.
     * */
    onBackClick() {
        if (this.leftLoading$.isActive || this.rightLoading$.isActive || this._uriService.isRoot(this._currentNode)) {
            return;
        }
        this._uriService.activeNode = this._currentNode.parent;
    }
    onItemClick(item) {
        if (item.resource === undefined) {
            // custom view represented only in nae.json
            if (item.processUri === this.currentNode.path) {
                this._uriService.activeNode = this._currentNode;
            }
            else {
                this._uriService.activeNode = this._currentNode.parent;
            }
        }
        else {
            const path = item.resource.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_NODE_PATH)?.value;
            if (this.hasItemChildren(item) && !this.leftLoading$.isActive && !this.rightLoading$.isActive) {
                this._uriService.getNodeByPath(path).subscribe(node => {
                    this._uriService.activeNode = node;
                }, error => {
                    this._log.error(error);
                });
            }
            else if (!path.includes(this.currentNode.path)) {
                this._uriService.activeNode = this._currentNode.parent;
            }
            else {
                this._uriService.activeNode = this._currentNode;
            }
        }
    }
    hasItemChildren(item) {
        return item.resource?.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_HAS_CHILDREN)?.value;
    }
    isItemAndNodeEqual(item, node) {
        return item.resource?.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_NODE_PATH)?.value === node.path;
    }
    loadLeftSide() {
        if (this._uriService.isRoot(this._currentNode)) {
            this.leftItems = [];
            return;
        }
        this.leftLoading$.on();
        this._uriService.getItemCaseByNodePath(this.currentNode.parent).subscribe(page => {
            let childCases$;
            let targetItem;
            let orderedChildCaseIds;
            if (page?.pagination?.totalElements === 0) {
                childCases$ = of([]);
            }
            else {
                targetItem = page.content[0];
                orderedChildCaseIds = this.extractChildCaseIds(targetItem);
                childCases$ = this.getItemCasesByIdsInOnePage(orderedChildCaseIds).pipe(map(p => p.content));
            }
            childCases$.subscribe(result => {
                result = result.map(folder => this.resolveItemCaseToNavigationItem(folder)).filter(i => !!i);
                this.leftItems = result.sort((a, b) => orderedChildCaseIds.indexOf(a.resource.stringId) - orderedChildCaseIds.indexOf(b.resource.stringId));
                this.resolveCustomViewsInLeftSide();
                this.leftLoading$.off();
            }, error => {
                this._log.error(error);
                this.leftItems = [];
                this.resolveCustomViewsInLeftSide();
                this.leftLoading$.off();
            });
        }, error => {
            this._log.error(error);
            this.leftItems = [];
            this.resolveCustomViewsInLeftSide();
            this.leftLoading$.off();
        });
    }
    loadRightSide() {
        this.rightLoading$.on();
        this.moreItems = [];
        this._uriService.getItemCaseByNodePath(this.currentNode).subscribe(page => {
            let childCases$;
            let targetItem;
            let orderedChildCaseIds;
            if (page?.pagination?.totalElements === 0) {
                childCases$ = of([]);
            }
            else {
                targetItem = page.content[0];
                orderedChildCaseIds = this.extractChildCaseIds(targetItem);
                childCases$ = this.getItemCasesByIdsInOnePage(orderedChildCaseIds).pipe(map(p => p.content));
            }
            childCases$.subscribe(result => {
                result = result.sort((a, b) => orderedChildCaseIds.indexOf(a.stringId) - orderedChildCaseIds.indexOf(b.stringId));
                if (result.length > RIGHT_SIDE_INIT_PAGE_SIZE) {
                    const rawRightItems = result.splice(0, RIGHT_SIDE_INIT_PAGE_SIZE);
                    this.rightItems = rawRightItems.map(folder => this.resolveItemCaseToNavigationItem(folder)).filter(i => !!i);
                    this.moreItems = result.map(folder => this.resolveItemCaseToNavigationItem(folder)).filter(i => !!i);
                }
                else {
                    this.rightItems = result.map(folder => this.resolveItemCaseToNavigationItem(folder)).filter(i => !!i);
                }
                this.resolveCustomViewsInRightSide();
                this.rightLoading$.off();
            }, error => {
                this._log.error(error);
                this.rightItems = [];
                this.moreItems = [];
                this.resolveCustomViewsInRightSide();
                this.rightLoading$.off();
            });
        }, error => {
            this._log.error(error);
            this.rightItems = [];
            this.moreItems = [];
            this.resolveCustomViewsInRightSide();
            this.rightLoading$.off();
        });
    }
    extractChildCaseIds(item) {
        return item.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_CHILD_ITEM_IDS)?.value;
    }
    getItemCasesByIdsInOnePage(caseIds) {
        return this.getItemCasesByIds(caseIds, 0, caseIds.length);
    }
    getItemCasesByIds(caseIds, pageNumber, pageSize) {
        const searchBody = {
            stringId: caseIds,
            process: MENU_IDENTIFIERS.map(id => ({ identifier: id }))
        };
        let httpParams = new HttpParams()
            .set(PaginationParams.PAGE_SIZE, pageSize)
            .set(PaginationParams.PAGE_NUMBER, pageNumber);
        return this._caseResourceService.searchCases(SimpleFilter.fromCaseQuery(searchBody), httpParams);
    }
    loadMoreItems() {
        if (this.moreItems.length > RIGHT_SIDE_NEW_PAGE_SIZE) {
            this.rightItems.push(...this.moreItems.splice(0, RIGHT_SIDE_NEW_PAGE_SIZE));
        }
        else {
            this.rightItems.push(...this.moreItems);
            this.moreItems = [];
        }
    }
    isAscending() {
        return this.itemsOrder === MenuOrder.Ascending;
    }
    switchOrder() {
        this.itemsOrder = (this.itemsOrder + 1) % 2;
        let multiplier = 1;
        if (this.itemsOrder === MenuOrder.Descending) {
            multiplier = -1;
        }
        this.rightItems.sort((a, b) => multiplier * a?.navigation?.title.localeCompare(b?.navigation?.title));
        this.leftItems.sort((a, b) => multiplier * a?.navigation?.title.localeCompare(b?.navigation?.title));
    }
    resolveCustomViewsInRightSide() {
        if (!!this._childCustomViews[this._currentNode.path]) {
            this.rightItems.push(...Object.values(this._childCustomViews[this._currentNode.path]));
        }
    }
    resolveCustomViewsInLeftSide() {
        if (!!this._childCustomViews[this._currentNode.parent.path]) {
            this.leftItems.push(...Object.values(this._childCustomViews[this._currentNode.parent.path]));
        }
    }
    resolveItemCaseToNavigationItem(itemCase) {
        if (this.representsRootNode(itemCase)) {
            return;
        }
        const item = {
            access: {},
            navigation: {
                icon: itemCase.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_MENU_ICON)?.value || this.filterIcon,
                title: this.getTranslation(itemCase.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_MENU_NAME)?.value) || itemCase.title,
            },
            routing: {
                path: this.getItemRoutingPath(itemCase),
            },
            id: itemCase.stringId,
            resource: itemCase,
        };
        const resolvedRoles = this.resolveAccessRoles(itemCase, GroupNavigationConstants.ITEM_FIELD_ID_ALLOWED_ROLES);
        const resolvedBannedRoles = this.resolveAccessRoles(itemCase, GroupNavigationConstants.ITEM_FIELD_ID_BANNED_ROLES);
        if (!!resolvedRoles)
            item.access['role'] = resolvedRoles;
        if (!!resolvedBannedRoles)
            item.access['bannedRole'] = resolvedBannedRoles;
        if (!this._accessService.canAccessView(item, item.routingPath))
            return;
        return item;
    }
    representsRootNode(item) {
        return item.immediateData.find(f => f.stringId === GroupNavigationConstants.ITEM_FIELD_ID_NODE_PATH).value === "/";
    }
    getTranslation(value) {
        const locale = this._translateService.currentLang.split('-')[0];
        return value.translations?.[locale] ?? value.defaultValue;
    }
    resolveAccessRoles(filter, roleType) {
        const allowedRoles = filter.immediateData.find(f => f.stringId === roleType)?.options;
        if (!allowedRoles || Object.keys(allowedRoles).length === 0)
            return undefined;
        const roles = [];
        Object.keys(allowedRoles).forEach(combined => {
            const parts = combined.split(':');
            roles.push({
                processId: parts[1],
                roleId: parts[0],
            });
        });
        return roles;
    }
    getItemRoutingPath(itemCase) {
        const transId = SETTINGS_TRANSITION_ID;
        const taskId = itemCase.tasks.find(taskPair => taskPair.transition === transId).task;
        const url = this._dynamicRoutingService.route;
        return `/${url}/${taskId}`;
    }
    /**
     * Function to check whether the back button should be displayed
     * @returns boolean if the back button should be displayed
     * */
    isOnZeroLevel() {
        return !!this._currentNode?.level ? this._currentNode.level == 0 : true;
    }
    isLeftItemsEmpty() {
        return this.leftItems === undefined || this.leftItems.length === 0;
    }
    isRightItemsEmpty() {
        return this.rightItems === undefined || this.rightItems.length === 0;
    }
    uriNodeTrackBy(index, node) {
        return node.path;
    }
    itemsTrackBy(index, item) {
        return item.id;
    }
    onResizeEvent(event) {
        if (event.rectangle.width > RIGHT_DRAWER_MAX_WIDTH) {
            this._configRightMenu.width = RIGHT_DRAWER_MAX_WIDTH;
        }
        else if (event.rectangle.width < RIGHT_DRAWER_DEFAULT_MIN_WIDTH) {
            this._configRightMenu.width = RIGHT_DRAWER_DEFAULT_MIN_WIDTH;
        }
        else {
            this._configRightMenu.width = event.rectangle.width;
        }
        // TODO implement saving drawer width to user preferences
        // this.userPreferenceService._drawerWidthChanged$.next(this.width);
        // this.contentWidth.next(this.width);
    }
    resolveUriForChildViews(configPath, childView) {
        if (!childView.processUri)
            return;
        if (!this._accessService.canAccessView(childView, configPath))
            return;
        if (!this._childCustomViews[childView.processUri]) {
            this._childCustomViews[childView.processUri] = {};
        }
        this._childCustomViews[childView.processUri][configPath] = {
            id: configPath,
            ...childView,
        };
    }
    resolveHiddenMenuItemFromChildViews(configPath, childView) {
        if (!childView.navigation)
            return;
        if (!this._accessService.canAccessView(childView, configPath))
            return;
        if (!!(childView?.navigation?.hidden)) {
            this.hiddenCustomItems.push({
                id: configPath,
                ...childView,
            });
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationDoubleDrawerComponent, deps: [{ token: i3$1.Router }, { token: i3$1.ActivatedRoute }, { token: i1$7.BreakpointObserver }, { token: LanguageService }, { token: i1$2.TranslateService }, { token: UserService }, { token: AccessService }, { token: LoggerService }, { token: ConfigurationService }, { token: UriService }, { token: CaseResourceService }, { token: ImpersonationUserSelectService }, { token: ImpersonationService }, { token: DynamicNavigationRouteProviderService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNavigationDoubleDrawerComponent, selector: "ncc-abstract-navigation-double-drawer", inputs: { portalLeftMenu: "portalLeftMenu", portalRightMenu: "portalRightMenu", imageRouterLink: "imageRouterLink", imageAlt: "imageAlt", image: "image", profileRouterLink: "profileRouterLink", includeUser: "includeUser", includeLanguage: "includeLanguage", includeMoreMenu: "includeMoreMenu", includeImpersonation: "includeImpersonation", allClosable: "allClosable", folderIcon: "folderIcon", openedFolderIcon: "openedFolderIcon", filterIcon: "filterIcon", foldersCategoryName: "foldersCategoryName", viewsCategoryName: "viewsCategoryName" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationDoubleDrawerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-navigation-double-drawer',
                    template: '',
                }]
        }], ctorParameters: () => [{ type: i3$1.Router }, { type: i3$1.ActivatedRoute }, { type: i1$7.BreakpointObserver }, { type: LanguageService }, { type: i1$2.TranslateService }, { type: UserService }, { type: AccessService }, { type: LoggerService }, { type: ConfigurationService }, { type: UriService }, { type: CaseResourceService }, { type: ImpersonationUserSelectService }, { type: ImpersonationService }, { type: DynamicNavigationRouteProviderService }], propDecorators: { portalLeftMenu: [{
                type: Input
            }], portalRightMenu: [{
                type: Input
            }], imageRouterLink: [{
                type: Input
            }], imageAlt: [{
                type: Input
            }], image: [{
                type: Input
            }], profileRouterLink: [{
                type: Input
            }], includeUser: [{
                type: Input
            }], includeLanguage: [{
                type: Input
            }], includeMoreMenu: [{
                type: Input
            }], includeImpersonation: [{
                type: Input
            }], allClosable: [{
                type: Input
            }], folderIcon: [{
                type: Input
            }], openedFolderIcon: [{
                type: Input
            }], filterIcon: [{
                type: Input
            }], foldersCategoryName: [{
                type: Input
            }], viewsCategoryName: [{
                type: Input
            }] } });

class AbstractNavigationRailComponent {
    expandOnHover;
    expandChange;
    _rail;
    _expanded;
    constructor() {
        this.expandChange = new EventEmitter();
        this.expandOnHover = false;
        this._expanded = false;
    }
    ngOnDestroy() {
        this.expandChange.complete();
    }
    get expanded() {
        return this._expanded;
    }
    open() {
        this._expanded = true;
        this.expandChange.emit(this._expanded);
    }
    close() {
        this._expanded = false;
        this.expandChange.emit(this._expanded);
    }
    toggle() {
        this._expanded = !this._expanded;
        this.expandChange.emit(this._expanded);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationRailComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractNavigationRailComponent, selector: "ncc-abstract-navigation-rail", inputs: { expandOnHover: "expandOnHover" }, outputs: { expandChange: "expandChange" }, viewQueries: [{ propertyName: "_rail", first: true, predicate: ["sideRail"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractNavigationRailComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-navigation-rail',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { expandOnHover: [{
                type: Input
            }], expandChange: [{
                type: Output
            }], _rail: [{
                type: ViewChild,
                args: ['sideRail']
            }] } });

/**
 * Unsubscribes the provided subscription, if it exists and is still opened
 * @param sub the subscription that should be destroyed
 */
function destroySubscription(sub) {
    if (sub && !sub.closed) {
        sub.unsubscribe();
    }
}

/**
 * Holds a navigation item task data containing the aggregated data describing the navigation item
 */
const NAE_NAVIGATION_ITEM_TASK_DATA = new InjectionToken('NaeNavigationItemTaskData');

class GroupNavigationComponentResolverService {
    _taskResourceService;
    _log;
    constructor(_taskResourceService, _log) {
        this._taskResourceService = _taskResourceService;
        this._log = _log;
    }
    createResolvedViewComponentPortal(taskId, parentInjector) {
        const result = new ReplaySubject(1);
        this._taskResourceService.getData(taskId).subscribe(taskData => {
            try {
                result.next(new ComponentPortal(this.resolveViewComponent(taskData), null, Injector.create({
                    providers: [
                        { provide: NAE_NAVIGATION_ITEM_TASK_DATA, useValue: taskData },
                    ],
                    parent: parentInjector
                })));
                result.complete();
            }
            catch (e) {
                this.forwardError(result, e);
            }
        }, e => {
            this.forwardError(result, e);
        });
        return result.asObservable();
    }
    forwardError(result, error) {
        result.error(error instanceof HttpErrorResponse ? error.error.message : error.message);
        result.complete();
    }
}

class AbstractGroupNavigationComponentResolverComponent {
    _componentResolverService;
    _parentInjector;
    _activatedRoute;
    _router;
    _log;
    portal;
    initialized = false;
    errored = false;
    _portalSub;
    _routerSub;
    constructor(_componentResolverService, _parentInjector, _activatedRoute, _router, _log) {
        this._componentResolverService = _componentResolverService;
        this._parentInjector = _parentInjector;
        this._activatedRoute = _activatedRoute;
        this._router = _router;
        this._log = _log;
    }
    ngOnInit() {
        this.resolveComponent();
        this._routerSub = this._router.events.pipe(filter(event => event instanceof NavigationEnd)).subscribe(() => {
            this.resolveComponent();
        });
    }
    ngOnDestroy() {
        destroySubscription(this._portalSub);
        destroySubscription(this._routerSub);
    }
    resolveComponent() {
        this.initialized = false;
        this._portalSub = this._componentResolverService.createResolvedViewComponentPortal(this._activatedRoute.snapshot.paramMap.get(GroupNavigationConstants.GROUP_NAVIGATION_ROUTER_PARAM), this._parentInjector).subscribe(portal => {
            this.portal = portal;
            this.initialized = true;
        }, error => {
            this._log.error(error);
            this.errored = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractGroupNavigationComponentResolverComponent, deps: [{ token: GroupNavigationComponentResolverService }, { token: i0.Injector }, { token: i3$1.ActivatedRoute }, { token: i3$1.Router }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractGroupNavigationComponentResolverComponent, selector: "ncc-abstract-group-nagiation-resolver", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractGroupNavigationComponentResolverComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-group-nagiation-resolver',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: GroupNavigationComponentResolverService }, { type: i0.Injector }, { type: i3$1.ActivatedRoute }, { type: i3$1.Router }, { type: LoggerService }] });

class AbstractBreadcrumbsComponent {
    _uriService;
    _caseResourceService;
    _activatedRoute;
    _router;
    _dynamicRoutingService;
    _translateService;
    _log;
    showHome = true;
    showFilter = true;
    redirectOnClick = true;
    lengthOfPath = 30;
    partsAfterDots = 2;
    filterName;
    breadcrumbsParts;
    static DOTS = '...';
    static DELIMETER = '/';
    static NODE_PATH = 'nodePath';
    static ITEM_SETTINGS = 'item_settings';
    _showPaths = false;
    nicePath;
    redirectUrls;
    nicePathSubscription;
    constructor(_uriService, _caseResourceService, _activatedRoute, _router, _dynamicRoutingService, _translateService, _log) {
        this._uriService = _uriService;
        this._caseResourceService = _caseResourceService;
        this._activatedRoute = _activatedRoute;
        this._router = _router;
        this._dynamicRoutingService = _dynamicRoutingService;
        this._translateService = _translateService;
        this._log = _log;
        this.nicePath = new BehaviorSubject(undefined);
        this.redirectUrls = new Map();
        this.initNicePath();
    }
    ngAfterViewInit() {
        this.resolveBreadcrumbs();
    }
    ngOnDestroy() {
        if (!!this.nicePathSubscription) {
            this.nicePathSubscription.unsubscribe();
        }
    }
    resolveBreadcrumbs() {
        const filterId = this._activatedRoute.snapshot.params.filterCaseId;
        if (!filterId) {
            this._log.error("Missing required data for resolving breadcrumbs.");
            return;
        }
        const splitPath = this._uriService.splitNodePath(this._uriService.activeNode);
        const fullPath = this.createFullPath(splitPath);
        const fullPathQueries = fullPath.map(p => '(processIdentifier:preference_item AND dataSet.nodePath.textValue.keyword:\"' + p + '\")');
        fullPathQueries.push('(taskMongoIds:\"' + filterId + '\")');
        const searchBody = {
            query: fullPathQueries.join(" OR ")
        };
        let httpParams = new HttpParams()
            .set(PaginationParams.PAGE_SIZE, 25)
            .set(PaginationParams.PAGE_NUMBER, 0);
        this._caseResourceService.searchCases(SimpleFilter.fromCaseQuery(searchBody), httpParams).pipe(take(1)).subscribe(result => {
            const cases = result.content;
            const filterCaseIndex = cases.findIndex(c => c.tasks.some(t => t.task === filterId) && !fullPath.includes(this.immediateValue(c, AbstractBreadcrumbsComponent.NODE_PATH)));
            if (filterCaseIndex >= 0) {
                const filterCase = cases.splice(cases.findIndex(c => c.tasks.some(t => t.task === filterId) && !fullPath.includes(this.immediateValue(c, AbstractBreadcrumbsComponent.NODE_PATH))), 1)[0];
                this.filterName = this.getTranslation(this.immediateValue(filterCase, 'menu_name'));
            }
            cases.sort((a, b) => fullPath.indexOf(this.immediateValue(a, AbstractBreadcrumbsComponent.NODE_PATH)) - fullPath.indexOf(this.immediateValue(b, AbstractBreadcrumbsComponent.NODE_PATH)));
            if (this.redirectOnClick) {
                cases.forEach(c => this.redirectUrls.set(this.immediateValue(c, AbstractBreadcrumbsComponent.NODE_PATH), [this._dynamicRoutingService.route, c.tasks.find(t => t.transition === AbstractBreadcrumbsComponent.ITEM_SETTINGS).task]));
            }
            this.nicePath.next(["", ...cases.map(c => this.getTranslation(this.immediateValue(c, 'menu_name')))]);
        });
    }
    initNicePath() {
        this.nicePathSubscription = this.nicePath.subscribe(np => {
            if (!!np) {
                const path = np;
                if (path?.length > this.partsAfterDots + 1 && this._uriService.activeNode?.path.length > this.lengthOfPath && !this._showPaths) {
                    const newPath = [path[0], AbstractBreadcrumbsComponent.DOTS];
                    for (let i = path.length - this.partsAfterDots; i < path.length; i++) {
                        newPath.push(path[i]);
                    }
                    this.breadcrumbsParts = newPath;
                    return;
                }
                this.breadcrumbsParts = path === undefined ? [] : path;
            }
        });
    }
    redirect() {
        if (!this.redirectOnClick) {
            return;
        }
        this._router.navigate(this.redirectUrls.get(this._uriService.activeNode.path)).then(r => { });
    }
    reset() {
        this.filterName = undefined;
        this._uriService.reset();
        this.nicePath.next([""]);
    }
    changePath(path, count) {
        if (path === AbstractBreadcrumbsComponent.DOTS && count === 1) {
            this._showPaths = true;
            this.nicePath.next(this.nicePath.value);
            return;
        }
        let fullPath = '';
        const tmp = this._uriService.splitNodePath(this._uriService.activeNode);
        if (tmp === undefined)
            return;
        const control = this.resultCounter(count, tmp);
        for (let i = 0; i <= control; i++) {
            fullPath += tmp[i];
            if (i !== control)
                fullPath += AbstractBreadcrumbsComponent.DELIMETER;
        }
        this._uriService.getNodeByPath(fullPath).subscribe(node => {
            this._uriService.activeNode = node;
            this.filterName = undefined;
            this.nicePath.next(this.nicePath.value.slice(0, control + 1));
            this.redirect();
        });
    }
    resultCounter(count, tmp) {
        if (tmp?.length > this.partsAfterDots + 1 && this._uriService.activeNode?.path.length > this.lengthOfPath && !this._showPaths) {
            return tmp.length - this.partsAfterDots + (count - 2);
        }
        return count;
    }
    createFullPath(splitPath) {
        let tmp = '';
        return splitPath.filter(s => s !== "").map((value) => {
            tmp += AbstractBreadcrumbsComponent.DELIMETER + value;
            return tmp.replace("//", AbstractBreadcrumbsComponent.DELIMETER);
        });
    }
    immediateValue(aCase, fieldId) {
        return aCase.immediateData.find(s => s.stringId === fieldId)?.value;
    }
    getTranslation(value) {
        const locale = this._translateService.currentLang.split('-')[0];
        return locale in value.translations ? value.translations[locale] : value.defaultValue;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBreadcrumbsComponent, deps: [{ token: UriService }, { token: CaseResourceService }, { token: i3$1.ActivatedRoute }, { token: i3$1.Router }, { token: DynamicNavigationRouteProviderService }, { token: i1$2.TranslateService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractBreadcrumbsComponent, selector: "ncc-breadcrumbs-component", inputs: { showHome: "showHome", showFilter: "showFilter", redirectOnClick: "redirectOnClick", lengthOfPath: "lengthOfPath", partsAfterDots: "partsAfterDots" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractBreadcrumbsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-breadcrumbs-component',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UriService }, { type: CaseResourceService }, { type: i3$1.ActivatedRoute }, { type: i3$1.Router }, { type: DynamicNavigationRouteProviderService }, { type: i1$2.TranslateService }, { type: LoggerService }], propDecorators: { showHome: [{
                type: Input
            }], showFilter: [{
                type: Input
            }], redirectOnClick: [{
                type: Input
            }], lengthOfPath: [{
                type: Input
            }], partsAfterDots: [{
                type: Input
            }] } });

/**
 * Search component search mode
 */
var SearchMode;
(function (SearchMode) {
    SearchMode[SearchMode["FULLTEXT"] = 0] = "FULLTEXT";
    SearchMode[SearchMode["ADVANCED"] = 1] = "ADVANCED";
})(SearchMode || (SearchMode = {}));

/**
 * Extracts the item name and item icon (if any) rom a section of the navigation item task data.
 * @param dataSection an array containing the data groups that correspond to a single navigation entry
 * @param translateService is a service to translate label name
 */
function extractIconAndTitle(dataSection, translateService) {
    const result = { name: '' };
    if (dataSection.length === 0) {
        throw new Error('The provided task data does not belong to a Navigation menu item task. Icon and title cannot be extracted');
    }
    const nameField = getFieldFromDataGroups(dataSection, GroupNavigationConstants.NAVIGATION_ENTRY_TITLE_FIELD_ID_SUFFIX);
    if (nameField === undefined) {
        throw new Error('Navigation name could not be resolved');
    }
    const locale = translateService.currentLang.split('-')[0];
    result.name = locale in nameField.value.translations ? nameField.value.translations[locale] : nameField.value.defaultValue;
    const useIcon = getFieldFromDataGroups(dataSection, GroupNavigationConstants.NAVIGATION_ENTRY_ICON_ENABLED_FIELD_ID_SUFFIX);
    if (useIcon !== undefined && useIcon.value) {
        const icon = getFieldFromDataGroups(dataSection, GroupNavigationConstants.NAVIGATION_ENTRY_ICON_FIELD_ID_SUFFIX);
        if (icon === undefined) {
            this._log.error('Navigation entry icon could not be resolved, but is enabled. Icon was ignored');
        }
        else {
            result.icon = icon.value;
        }
    }
    return result;
}
/**
 * Based on provided parameter extracts allowed or banned roles into an Array of strings from a section of the navigation item task data.
 * Each item has format ROLE_IMPORT_ID:NET_IMPORT_ID
 * @param dataSection an array containing the data groups that correspond to a single navigation entry
 * @param roleFieldId ID of field containing banned or allowed role IDs
 * @returns an Array of string values representing role IDs
 */
function extractRoles(dataSection, roleFieldId) {
    if (dataSection.length === 0) {
        throw new Error('The provided task data does not belong to a Navigation menu item task. Role entries cannot be extracted');
    }
    const roleIds = getFieldFromDataGroups(dataSection, roleFieldId);
    if (roleIds === undefined) {
        throw new Error('Navigation entry role authorization field could not be resolved');
    }
    return roleIds.choices.map(choice => choice.key);
}
/**
 * Extracts the data and creates a filter object from the navigation item task data.
 * @param dataSection an array containing the data groups that correspond to a single navigation entry
 */
function extractFilterFromData(dataSection) {
    return extractFilterFromFilterField(extractFilterFieldFromData(dataSection));
}
/**
 * Extracts the filter field from the navigation item task data.
 * @param dataSection an array containing the data groups that correspond to a single navigation entry
 * @returns The extracted {@link FilterField} or `undefined` if it could not be extracted.
 */
function extractFilterFieldFromData(dataSection) {
    const filterField = getFieldFromDataGroups(dataSection, UserFilterConstants.FILTER_FIELD_ID);
    if (filterField === undefined || !(filterField instanceof FilterField)) {
        throw new Error(`Filter could not be extracted. The provided datagroups do not contain a filter field with ID '${UserFilterConstants.FILTER_FIELD_ID}'`);
    }
    return filterField;
}
/**
 * @returns a {@link SimpleFilter} containing the filter stored in the provided {@link FilterField}.
 * Throws an error if this is not possible.
 */
function extractFilterFromFilterField(filterField) {
    if (filterField === undefined || !(filterField instanceof FilterField)) {
        throw new Error('Filter could not be resolved');
    }
    return SimpleFilter.fromQuery({ query: filterField.value }, filterField.filterMetadata.filterType);
}
/**
 * Extracts the selected search type from enumeration field of the navigation item task data.
 * @returns a {@link SearchMode} containing {@link SearchMode.ADVANCED} or {@link SearchMode.FULLTEXT} or {@link undefined}
 * if unexpected value is found
 * */
function extractSearchTypeFromData(dataSection, typeFieldId) {
    const typeField = getFieldFromDataGroups(dataSection, typeFieldId);
    if (typeField === undefined) {
        throw new Error('Navigation entry search type field could not be resolved');
    }
    switch (typeField.value) {
        case 'fulltext':
            return SearchMode.FULLTEXT;
        case 'fulltext_advanced':
            return SearchMode.ADVANCED;
        default:
            return undefined;
    }
}
/**
 * Extracts field value from data
 * @returns value of extracted field
 * @throws Error if no field is found
 * */
function extractFieldValueFromData(dataSection, fieldId) {
    const field = getFieldFromDataGroups(dataSection, fieldId);
    if (field === undefined) {
        throw new Error(`Field ${fieldId} could not be resolved`);
    }
    return field.value;
}

function addAllowedNets(allowedNets, existingAllowedNets) {
    if (!!allowedNets && allowedNets.length > 0) {
        existingAllowedNets.next([...allowedNets]);
    }
}
/**
 * Convenience method that can be used as an allowed nets factory for tabbed task views.
 * If no allowed nets are provided in the injected data then an {@link AllowedNetsService} with no allowed nets is created.
 * It has a dependency on this class and {@link NAE_TAB_DATA} injection token.
 */
function tabbedAllowedNetsServiceFactory(factory, tabData) {
    return factory.createFromArray(tabData?.allowedNets ?? []);
}
/**
 * Convenience method that can be used as an allowed nets factory for views that are loaded from filter process instances.
 * It has a dependency on this class and {@link NAE_NAVIGATION_ITEM_TASK_DATA} injection token.
 */
function navigationItemTaskAllowedNetsServiceFactory(factory, baseAllowedNets, navigationItemTaskData) {
    const filterField = getFieldFromDataGroups(navigationItemTaskData, UserFilterConstants.FILTER_FIELD_ID);
    const allowedNetsField = getFieldFromDataGroups(navigationItemTaskData, UserFilterConstants.ALLOWED_NETS_FIELD_ID);
    if (filterField === undefined) {
        throw new Error(`Provided navigation item task data does not contain a filter field with ID '${UserFilterConstants.FILTER_FIELD_ID}'! Allowed nets cannot be generated from it!`);
    }
    const nets = new BehaviorSubject(Array.from(new Set([...filterField.allowedNets])));
    if (filterField.filterMetadata.inheritAllowedNets) {
        baseAllowedNets.allowedNets$.subscribe(allowedNets => {
            const netSet = new Set(allowedNets);
            nets.next(Array.from(netSet));
        });
    }
    if (!!allowedNetsField) {
        addAllowedNets(allowedNetsField.value, nets);
        allowedNetsField.valueChanges().subscribe(allowedNets => {
            addAllowedNets(allowedNetsField.value, nets);
        });
    }
    return factory.createFromObservable(nets.asObservable());
}
/**
 * Simplifies the creation of {@link AllowedNetsService} instances
 */
class AllowedNetsServiceFactory {
    _processService;
    _petriNetResource;
    _configService;
    _log;
    constructor(_processService, _petriNetResource, _configService, _log) {
        this._processService = _processService;
        this._petriNetResource = _petriNetResource;
        this._configService = _configService;
        this._log = _log;
    }
    /**
     * Creates an instance of {@link AllowedNetsService} without having to provide all the dependencies yourself.
     * @returns an instance of {@link AllowedNetsService} with all nets set as the `allowedNets`
     */
    createWithAllNets() {
        return new AllowedNetsService(this._petriNetResource.getAll().pipe(switchMap(nets => {
            if (nets && Array.isArray(nets)) {
                return of(nets.map(n => n.identifier));
            }
            else {
                return of([]);
            }
        })), this._processService);
    }
    /**
     * Creates an instance of {@link AllowedNetsService} without having to provide all the dependencies yourself.
     * @param allowedNetsIdentifiers identifiers of the allowed nets
     */
    createFromArray(allowedNetsIdentifiers) {
        return new AllowedNetsService(of(allowedNetsIdentifiers), this._processService);
    }
    /**
     * Creates an instance of {@link AllowedNetsService} without having to provide all the dependencies yourself.
     * @param webViewPath path to the view as specified in its configuration. No leading backslash.
     * Allowed nets are loaded from the configuration of the view.
     */
    createFromConfig(webViewPath) {
        const view = this._configService.getViewByPath(webViewPath);
        if (view?.layout?.params === undefined) {
            throw new Error(`Can't load configuration for view with webPath: '${webViewPath}'`);
        }
        const viewParams = view.layout.params;
        if (viewParams.allowedNets === undefined) {
            this._log.warn(`No 'allowedNets' provided for view with webPath '${webViewPath}'`);
        }
        return new AllowedNetsService(of(viewParams.allowedNets ?? []), this._processService);
    }
    /**
     * Creates an instance of {@link AllowedNetsService} without having to provide all the dependencies yourself.
     * @param netIdentifiers$ observable containing the identifiers of the allowed nets.
     * When a new value is emitted the allowed nets will be updated.
     */
    createFromObservable(netIdentifiers$) {
        return new AllowedNetsService(netIdentifiers$, this._processService);
    }
    /**
     * Creates an instance of {@link AllowedNetsService} without having to provide all the dependencies yourself.
     * @param filterCase a filter process instance
     * Allowed nets are set from filter process immediate data
     */
    createFromFilterCase(filterCase) {
        const filterData = getImmediateData(filterCase, UserFilterConstants.FILTER_FIELD_ID);
        if (filterData === undefined) {
            throw new Error(`Cannot get filter from case '${filterCase.title}' with id '${filterCase.stringId}'`);
        }
        return new AllowedNetsService(of(filterData.allowedNets), this._processService);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsServiceFactory, deps: [{ token: ProcessService }, { token: PetriNetResourceService }, { token: ConfigurationService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsServiceFactory, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AllowedNetsServiceFactory, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ProcessService }, { type: PetriNetResourceService }, { type: ConfigurationService }, { type: LoggerService }] });

class BaseAllowedNetsService {
    _baseAllowedNets;
    _sub;
    constructor() {
        this._baseAllowedNets = new BehaviorSubject([]);
    }
    ngOnDestroy() {
        this._baseAllowedNets.complete();
        if (this._sub !== undefined) {
            this._sub.unsubscribe();
        }
    }
    /**
     * Sets the new identifiers of the base allowed nets
     * @param nets new base net identifiers
     */
    set allowedNets(nets) {
        this._baseAllowedNets.next(nets);
    }
    /**
     * @deprecated This method should not be used. Use {@link BaseAllowedNetsService#allowedNets$} instead
     * @returns the currently set allowed nets. Returns an empty array if no value was set.
     */
    get allowedNets() {
        return this._baseAllowedNets.value;
    }
    /**
     * Subscribes to the provided `Observable` and forwards the emissions to the baseAllowedNets `Subject`.
     * If a new `Observable` is set, the previous Subscription is unsubscribed.
     * @param observableNets an observable emitting the new base net identifiers
     */
    set allowedNets$(observableNets) {
        if (this._sub !== undefined) {
            this._sub.unsubscribe();
        }
        this._sub = observableNets.subscribe(nets => {
            this._baseAllowedNets.next(nets);
        });
    }
    /**
     * @returns an observable that emits the currently set base allowed nets and any subsequent values
     */
    get allowedNets$() {
        return this._baseAllowedNets.asObservable();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaseAllowedNetsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaseAllowedNetsService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaseAllowedNetsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

/**
 * This service is able to load the full saved filter including all of its ancestor filters.
 */
class FilterExtractionService {
    _filterRepository;
    _taskResourceService;
    _factory;
    baseAllowedNets;
    _log;
    // the same regex is used in a backend filter process action. Please keep them in sync
    static UNTABBED_VIEW_ID_EXTRACTOR = '^.*?(-\\d+)?$';
    constructor(_filterRepository, _taskResourceService, _factory, baseAllowedNets, _log) {
        this._filterRepository = _filterRepository;
        this._taskResourceService = _taskResourceService;
        this._factory = _factory;
        this.baseAllowedNets = baseAllowedNets;
        this._log = _log;
    }
    extractAdditionalFilterAllowedNets(dataSection) {
        const taskRefIndex = getFieldIndexFromDataGroups(dataSection, GroupNavigationConstants.ITEM_FIELD_ID_ADDITIONAL_FILTER_TASKREF);
        if (taskRefIndex === undefined) {
            return undefined;
        }
        const sliced = dataSection.slice(taskRefIndex.dataGroupIndex + 1);
        if (sliced.length == 0) {
            return undefined;
        }
        return navigationItemTaskAllowedNetsServiceFactory(this._factory, this.baseAllowedNets, sliced);
    }
    extractCompleteAdditionalFilterFromData(dataSection) {
        const taskRefIndex = getFieldIndexFromDataGroups(dataSection, GroupNavigationConstants.ITEM_FIELD_ID_ADDITIONAL_FILTER_TASKREF);
        if (taskRefIndex === undefined) {
            return undefined;
        }
        return this.extractCompleteFilterFromData(dataSection.slice(taskRefIndex.dataGroupIndex + 1));
    }
    extractCompleteFilterFromData(dataSection, fieldId = UserFilterConstants.FILTER_FIELD_ID) {
        const filterIndex = getFieldIndexFromDataGroups(dataSection, fieldId);
        if (filterIndex === undefined) {
            return undefined;
        }
        let filterSegment;
        try {
            filterSegment = extractFilterFromFilterField(dataSection[filterIndex.dataGroupIndex].fields[filterIndex.fieldIndex]);
        }
        catch (e) {
            throw new Error('Filter segment could not be extracted from filter field');
        }
        const parentFilter = this.extractCompleteFilterFromData(dataSection.slice(filterIndex.dataGroupIndex + 1));
        if (parentFilter !== undefined && parentFilter.type === filterSegment.type) {
            return filterSegment.merge(parentFilter, MergeOperator.AND);
        }
        // Is the filter view rooted?
        const rootViewIdField = getFieldFromDataGroups(dataSection, UserFilterConstants.ORIGIN_VIEW_ID_FIELD_ID);
        if (rootViewIdField === undefined) {
            return filterSegment;
        }
        const rootViewFilter = this.extractViewFilter(rootViewIdField);
        if (rootViewFilter !== undefined && rootViewFilter.type === filterSegment.type) {
            return filterSegment.merge(rootViewFilter, MergeOperator.AND);
        }
        return filterSegment;
    }
    extractViewFilter(originViewIdField) {
        if (originViewIdField === undefined || !(originViewIdField instanceof TextField)) {
            throw new Error('Could not extract origin view id field from task data');
        }
        const originViewId = originViewIdField.value;
        const match = originViewId.match(FilterExtractionService.UNTABBED_VIEW_ID_EXTRACTOR);
        if (match === null) {
            throw new Error('Unexpected state. View Id of origin app view could not be extracted');
        }
        const originUntabbedViewId = originViewId.substring(0, originViewId.length - (match[1]?.length ?? 0));
        const appOriginFilter = this._filterRepository.getFilter(originUntabbedViewId);
        if (appOriginFilter === undefined) {
            this._log.error(`Could not retrieve origin app filter with id '${originUntabbedViewId}'. Falling back to empty filter`);
            return undefined;
        }
        return appOriginFilter;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterExtractionService, deps: [{ token: FilterRepository }, { token: TaskResourceService }, { token: AllowedNetsServiceFactory }, { token: BaseAllowedNetsService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterExtractionService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FilterExtractionService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: FilterRepository }, { type: TaskResourceService }, { type: AllowedNetsServiceFactory }, { type: BaseAllowedNetsService }, { type: LoggerService }] });

var UriContentType;
(function (UriContentType) {
    UriContentType[UriContentType["PROCESS"] = 0] = "PROCESS";
    UriContentType[UriContentType["CASE"] = 1] = "CASE";
})(UriContentType || (UriContentType = {}));

function groupNavigationViewIdSegmentFactory(activatedRoute) {
    return activatedRoute.snapshot.paramMap.get(GroupNavigationConstants.GROUP_NAVIGATION_ROUTER_PARAM);
}

/* APIS */

/**
 * Contains the ids of the elements in Petriflow process that are used to represent the tree structure
 */
var TreePetriflowIdentifiers;
(function (TreePetriflowIdentifiers) {
    /**
     * Immediate case ref data variable that contains the children of this tree node
     */
    TreePetriflowIdentifiers["CHILDREN_CASE_REF"] = "treeChildCases";
    /**
     * Immediate boolean data variable that determines whether the option to can add new child nodes should be displayed.
     *
     * The type of node added is determined by the `allowedNets` property of the case ref field that holds the children
     */
    TreePetriflowIdentifiers["CAN_ADD_CHILDREN"] = "canAddTreeChildren";
    /**
     * Immediate text data variable that contains the id of the transition who's task should be displayed when the case node is selected.
     */
    TreePetriflowIdentifiers["FEATURED_TRANSITION"] = "treeTaskTransitionId";
    /**
     * Immediate boolean data variable that determines whether the option to remove this node from the tree should be displayed
     */
    TreePetriflowIdentifiers["CAN_REMOVE_NODE"] = "canRemoveTreeNode";
    /**
     * Immediate text data variable that contains the default case title for this node's children.
     *
     * If no value is provided an appropriate translation of 'New Node' will be used instead.
     */
    TreePetriflowIdentifiers["CHILD_NODE_TITLE"] = "childNodeCaseTitle";
    /**
     * Id of the transition that is executed to set the new child data
     */
    TreePetriflowIdentifiers["CASE_REF_TRANSITION"] = "treeCaseRefAccessor";
    /**
     * Before text icon
     */
    TreePetriflowIdentifiers["BEFORE_TEXT_ICON"] = "beforeTextIcon";
    /**
     * Add icon in tree
     */
    TreePetriflowIdentifiers["TREE_ADD_ICON"] = "treeAddIcon";
})(TreePetriflowIdentifiers || (TreePetriflowIdentifiers = {}));

class CaseTreeNode {
    case;
    children;
    dirtyChildren;
    loadingChildren;
    removingNode;
    addingNode;
    parent;
    constructor(nodeCase, parentNode) {
        this.case = nodeCase;
        this.children = [];
        this.dirtyChildren = true;
        this.loadingChildren = new LoadingEmitter();
        this.removingNode = new LoadingEmitter();
        this.addingNode = new LoadingEmitter();
        this.parent = parentNode;
    }
    /**
     * @returns whether this node has the value `true` in it's [immediate data field]{@link TreePetriflowIdentifiers#CAN_ADD_CHILDREN}
     * that controls this behavior.
     */
    canAddChildren() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.CAN_ADD_CHILDREN);
        return !!immediate && immediate.value;
    }
    /**
     * @returns whether this node has the value `true` in it's [immediate data field]{@link TreePetriflowIdentifiers#CAN_REMOVE_NODE}
     * that controls this behavior.
     */
    canBeRemoved() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.CAN_REMOVE_NODE);
        return this.parent && !!immediate && immediate.value;
    }
    /**
     * @returns whether this node's children are currently being loaded
     */
    isLoadingChildren() {
        return this.loadingChildren.isActive;
    }
    /**
     * @returns whether this node is being removed from the tree
     */
    isBeingRemoved() {
        return this.removingNode.isActive;
    }
    /**
     * @returns whether children are being added to this node
     */
    isAddingNode() {
        return this.addingNode.isActive;
    }
    /**
     * @returns return node value, if immediate date of [immediate data field]{@link TreePetriflowIdentifiers#BEFORE_TEXT_ICON} type exists
     */
    beforeTextIcon() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.BEFORE_TEXT_ICON);
        if (immediate === undefined) {
            return undefined;
        }
        return immediate.value;
    }
    /**
     * @returns return node value, if immediate date of [immediate data field]{@link TreePetriflowIdentifiers#TREE_ADD_ICON} type exists
     */
    treeAddTextIcon() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.TREE_ADD_ICON);
        if (immediate === undefined) {
            return undefined;
        }
        return immediate.value;
    }
    /**
     * @returns return node title, if immediate date of [immediate data field]{@link TreePetriflowIdentifiers#BEFORE_TEXT_ICON} type exists
     */
    beforeTextIconTitle() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.BEFORE_TEXT_ICON);
        if (immediate === undefined || !(immediate.name && immediate.name.defaultValue)) {
            return undefined;
        }
        return immediate.name.defaultValue;
    }
    /**
     * @returns return node title if immediate date of [immediate data field]{@link TreePetriflowIdentifiers#TREE_ADD_ICON} type exists
     */
    treeAddTextIconTitle() {
        const immediate = this.searchImmediateData(TreePetriflowIdentifiers.TREE_ADD_ICON);
        if (immediate === undefined || !(immediate.name && immediate.name.defaultValue)) {
            return undefined;
        }
        return immediate.name.defaultValue;
    }
    searchImmediateData(dataId) {
        return this.case.immediateData.find(data => data.stringId === dataId);
    }
    /**
     * @returns an object representing the same CaseTreeNode, but with circular references removed, so that it can be serialized and logged.
     * The [parent]{@link CaseTreeNode#parent} reference is replaced by the parents case stringId (if defined).
     * The [children]{@link CaseTreeNode#children} references are replaced by the child's case stringId (if defined).
     */
    toLoggableForm() {
        return {
            case: this.case,
            dirtyChildren: this.dirtyChildren,
            parent: this.parent ? this.parent.case.stringId : this.parent,
            children: this.children.map(c => c.case.stringId),
        };
    }
}

class NetgrifPaginatorIntl {
    _translate;
    _languageService;
    changes;
    firstPageLabel;
    itemsPerPageLabel;
    lastPageLabel;
    nextPageLabel;
    previousPageLabel;
    constructor(_translate, _languageService) {
        this._translate = _translate;
        this._languageService = _languageService;
        this.changes = new Subject();
        this.initTranslations();
        this._languageService.getLangChange$().subscribe(lang => {
            this.initTranslations();
        });
    }
    initTranslations() {
        this.firstPageLabel = this._translate.instant('paginator.firstPage');
        this.itemsPerPageLabel = this._translate.instant('paginator.itemsPage');
        this.lastPageLabel = this._translate.instant('paginator.lastPage');
        this.nextPageLabel = this._translate.instant('paginator.nextPage');
        this.previousPageLabel = this._translate.instant('paginator.previousPage');
    }
    getRangeLabel(page, pageSize, length) {
        if (length === 0) {
            return this._translate.instant('paginator.pageOne');
        }
        const amountPages = Math.ceil(length / pageSize);
        return this._translate.instant('paginator.pageAmount', { page: page + 1, amountPages });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NetgrifPaginatorIntl, deps: [{ token: i1$2.TranslateService }, { token: LanguageService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NetgrifPaginatorIntl });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: NetgrifPaginatorIntl, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$2.TranslateService }, { type: LanguageService }] });

const NAE_AUTOSWITCH_TAB_TOKEN = new InjectionToken('NaeAutoswitchTabToken');

const NAE_OPEN_EXISTING_TAB = new InjectionToken('NaeOpenExistingTab');

class AbstractTabbedCaseViewComponent extends AbstractCaseViewComponent {
    _loggerService;
    _injectedTabData;
    _overflowService;
    _autoswitchToTaskTab;
    _openExistingTab;
    _newCaseCreationConfig;
    _activatedRoute;
    _correctlyInjected;
    constructor(caseViewService, _loggerService, _injectedTabData, _overflowService, _autoswitchToTaskTab = true, _openExistingTab = true, _newCaseCreationConfig = {
        enableCaseTitle: true,
        isCaseTitleRequired: true
    }, _activatedRoute) {
        super(caseViewService, _overflowService, undefined, _newCaseCreationConfig, _activatedRoute);
        this._loggerService = _loggerService;
        this._injectedTabData = _injectedTabData;
        this._overflowService = _overflowService;
        this._autoswitchToTaskTab = _autoswitchToTaskTab;
        this._openExistingTab = _openExistingTab;
        this._newCaseCreationConfig = _newCaseCreationConfig;
        this._activatedRoute = _activatedRoute;
        this._correctlyInjected = !!this._injectedTabData.tabViewComponent && this._injectedTabData.tabViewOrder !== undefined;
        if (!this._correctlyInjected) {
            this._loggerService.warn('AbstractTabbedCaseViewComponent must inject a filled object of type InjectedTabbedCaseViewData to work properly!');
        }
    }
    handleCaseClick(clickedCase) {
        if (this._correctlyInjected) {
            this.openTab(clickedCase);
        }
    }
    openTab(openCase) {
        this._injectedTabData.tabViewRef.openTab({
            label: {
                text: openCase.title,
                icon: openCase.icon ? openCase.icon : 'check_box'
            },
            canBeClosed: true,
            tabContentComponent: this._injectedTabData.tabViewComponent,
            injectedObject: {
                baseFilter: new SimpleFilter('', FilterType.TASK, { case: { id: `${openCase.stringId}` } }),
                allowedNets: [openCase.processIdentifier]
            },
            order: this._injectedTabData.tabViewOrder,
            parentUniqueId: this._injectedTabData.tabUniqueId
        }, this._autoswitchToTaskTab, this._openExistingTab);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabbedCaseViewComponent, deps: [{ token: CaseViewService }, { token: LoggerService }, { token: NAE_TAB_DATA }, { token: OverflowService }, { token: NAE_AUTOSWITCH_TAB_TOKEN, optional: true }, { token: NAE_OPEN_EXISTING_TAB, optional: true }, { token: NAE_NEW_CASE_CREATION_CONFIGURATION_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTabbedCaseViewComponent, selector: "ncc-abstract-tabbed-case-view", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabbedCaseViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tabbed-case-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: OverflowService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_AUTOSWITCH_TAB_TOKEN]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_OPEN_EXISTING_TAB]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NEW_CASE_CREATION_CONFIGURATION_DATA]
                }] }, { type: i3$1.ActivatedRoute }] });

class AbstractTabbedTaskViewComponent extends AbstractTaskViewComponent {
    _injectedTabData;
    subTaskView;
    constructor(taskViewService, _injectedTabData, _activatedRoute) {
        super(taskViewService, _activatedRoute);
        this._injectedTabData = _injectedTabData;
        this.subTaskView = taskViewService.closeTab.subscribe(() => {
            _injectedTabData.tabViewRef.closeTabIndex(_injectedTabData.tabViewRef.currentlySelectedTab());
        });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.subTaskView.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabbedTaskViewComponent, deps: [{ token: TaskViewService }, { token: NAE_TAB_DATA }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTabbedTaskViewComponent, selector: "ncc-abstract-tabbed-task-view", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTabbedTaskViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tabbed-task-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }] });

const NAE_TREE_CASE_VIEW_CONFIGURATION = new InjectionToken('NaeTreeCaseViewConfiguration');

class TreeCaseViewService {
    loadTask$;
    reloadCase$;
    constructor() {
        this.loadTask$ = new BehaviorSubject(undefined);
        this.reloadCase$ = new Subject();
    }
    ngOnDestroy() {
        this.loadTask$.complete();
        this.reloadCase$.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeCaseViewService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeCaseViewService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeCaseViewService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

/**
 * A utility class that carries an operation result of any type
 * along with executable after actions that should be performed at a later time.
 */
class ResultWithAfterActions {
    _result;
    _afterActions;
    /**
     * @param _result the result of an operation
     * @param _afterActions the lambdas that should be executed at some later time. Defaults to an empty array.
     */
    constructor(_result, _afterActions = []) {
        this._result = _result;
        this._afterActions = _afterActions;
    }
    /**
     * The result of an operations.
     */
    get result() {
        return this._result;
    }
    /**
     * Executes all the after action lambdas.
     */
    executeAfterActions() {
        this._afterActions.forEach(action => action());
    }
}

/**
 * Forces a re-render of the tree backed by the datasource
 */
function refreshTree(tree) {
    const d = tree.data;
    tree.data = null;
    tree.data = d;
}

class CaseTreeService {
    _caseResourceService;
    _treeCaseViewService;
    _taskResourceService;
    _logger;
    _processService;
    _sideMenuService;
    _translateService;
    _optionSelectorComponent;
    _treeConfiguration;
    static DEFAULT_PAGE_SIZE = 50;
    _currentNode;
    _rootNodesFilter;
    _treeDataSource;
    _treeControl;
    _treeRootLoaded$;
    _rootNode;
    _showRoot;
    /**
     * Weather the tree is eager loaded or not.
     *
     * Defaults to `false`.
     *
     * It is not recommended to eager load large trees as each node sends a separate backend request to load its data.
     */
    _isEagerLoaded = false;
    /**
     * string id of the case, that is currently being reloaded, `undefined` if no case is currently being reloaded
     */
    _reloadedCaseId;
    constructor(_caseResourceService, _treeCaseViewService, _taskResourceService, _logger, _processService, _sideMenuService, _translateService, _optionSelectorComponent, _treeConfiguration) {
        this._caseResourceService = _caseResourceService;
        this._treeCaseViewService = _treeCaseViewService;
        this._taskResourceService = _taskResourceService;
        this._logger = _logger;
        this._processService = _processService;
        this._sideMenuService = _sideMenuService;
        this._translateService = _translateService;
        this._optionSelectorComponent = _optionSelectorComponent;
        this._treeConfiguration = _treeConfiguration;
        if (!this._treeConfiguration) {
            this._treeConfiguration = {
                pageSize: CaseTreeService.DEFAULT_PAGE_SIZE
            };
        }
        this._treeDataSource = new MatTreeNestedDataSource();
        this._treeControl = new NestedTreeControl(node => node.children);
        _treeCaseViewService.reloadCase$.asObservable().subscribe(() => {
            this.reloadCurrentCase();
        });
        this._treeRootLoaded$ = new ReplaySubject(1);
    }
    ngOnDestroy() {
        this._treeRootLoaded$.complete();
    }
    set rootFilter(filter) {
        this._rootNodesFilter = filter;
        this.dataSource.data = [];
        this.loadTreeRoot();
    }
    get dataSource() {
        return this._treeDataSource;
    }
    get treeControl() {
        return this._treeControl;
    }
    get currentNode() {
        return this._currentNode;
    }
    /**
     * Emits a value whenever a new root node Filter is set.
     *
     * `true` is emitted if the root node was successfully loaded. `false` otherwise.
     *
     * On subscription emits the last emitted value (if any) to the subscriber.
     */
    get treeRootLoaded$() {
        return this._treeRootLoaded$.asObservable();
    }
    get _currentCase() {
        return this._currentNode ? this._currentNode.case : undefined;
    }
    /**
     * @returns an `Observable` of the {@link LoadingEmitter} representing the loading state of the root node.
     * Returns `undefined` if the tree has not yet been initialized.
     *
     * Wait for an emission on the [treeRootLoaded$]{@link CaseTreeService#treeRootLoaded$} stream before getting this Observable.
     *
     * The first value emitted by the Observable is `false`, when the tree finishes initializing.
     */
    get rootNodeLoading$() {
        return !!this._rootNode ? this._rootNode.loadingChildren.asObservable() : undefined;
    }
    /**
     * @returns an `Observable` of the {@link LoadingEmitter} representing whether the root node is currently
     * in the process of adding a new child node or not.
     * Returns `undefined` if the tree has not yet been initialized.
     *
     * Wait for an emission on the [treeRootLoaded$]{@link CaseTreeService#treeRootLoaded$} stream before getting this Observable.
     *
     * The first value emitted by the Observable is `false`, when the tree finishes initializing.
     */
    get rootNodeAddingChild$() {
        return !!this._rootNode ? this._rootNode.addingNode.asObservable() : undefined;
    }
    /**
     * Weather the tree is eager loaded or not.
     *
     * Defaults to `false`.
     *
     * It is not recommended to eager load large trees as each node sends a separate backend request to load its data.
     */
    get isEagerLoaded() {
        return this._isEagerLoaded;
    }
    /**
     * Weather the tree is eager loaded or not.
     *
     * Defaults to `false`.
     *
     * It is not recommended to eager load large trees as each node sends a separate backend request to load its data.
     *
     * @param eager the new setting for eager loading
     */
    set isEagerLoaded(eager) {
        this._isEagerLoaded = eager;
    }
    /**
     * Loads and populates the topmost level of the tree.
     *
     * The displayed cases are determined by this object's [rootFilter]{@link CaseTreeService#rootFilter}.
     *
     * Cases are loaded one page at a time and the tree is refreshed after each page.
     * [finishedLoadingFirstLevel$]{@link CaseTreeService#treeRootLoaded$}
     * will emit `true` once the last page loads successfully.
     * `false` will be emitted if any of the requests fail.
     */
    loadTreeRoot() {
        if (this._rootNodesFilter) {
            this._caseResourceService.searchCases(this._rootNodesFilter).subscribe(page => {
                if (hasContent(page)) {
                    this._rootNode = new CaseTreeNode(page.content[0], undefined);
                    if (page.content.length !== 1) {
                        this._logger.warn('Filter for tree root returned more than one case. Using the first value as tree root...');
                    }
                    this._treeRootLoaded$.next(true);
                }
                else {
                    this._logger.error('Tree root cannot be generated from the provided filter', page);
                }
            }, error => {
                this._logger.error('Root node of the case tree could not be loaded', error);
                this._treeRootLoaded$.next(false);
            });
        }
    }
    /**
     * Adds the loaded tree root to the display based on the setting.
     * @param showRoot whether the root of the tree should be displayed in the tree or not.
     * If the root is not displayed it's children will be displayed on the first level.
     * @returns an Observable that emits when the tree finishes initialization.
     */
    initializeTree(showRoot) {
        if (!this._rootNode) {
            this._logger.error('Set a Filter before initializing the case tree');
            return throwError(new Error('Set a Filter before initializing the case tree'));
        }
        this._showRoot = showRoot;
        if (showRoot) {
            this.dataSource.data = [this._rootNode];
        }
        else {
            this.dataSource.data = this._rootNode.children;
        }
        let ret;
        if (!showRoot || this._isEagerLoaded) {
            const result = new ReplaySubject(1);
            ret = result.asObservable();
            this.expandNode(this._rootNode).subscribe(() => {
                this.refreshTree();
                result.next();
                result.complete();
            });
        }
        else {
            this.refreshTree();
            ret = ofVoid();
        }
        return ret;
    }
    /**
     * Notifies the parent TreeCaseView that a case was clicked in the tree and it's Task should be displayed
     */
    changeActiveNode(node) {
        this._currentNode = node;
        this._treeCaseViewService.loadTask$.next(node ? node.case : undefined);
    }
    /**
     * Toggles the expansion state of a node
     * @param node the {@link CaseTreeNode} who's content should be toggled
     */
    toggleNode(node) {
        if (this._treeControl.isExpanded(node)) {
            this._treeControl.collapse(node);
        }
        else {
            this.expandNode(node);
        }
    }
    /**
     * Expands the target node in the tree and reloads it's children if they are marked as dirty
     * @param node the {@link CaseTreeNode} that should be expanded
     * @returns emits `true` if the node is expanded and `false` if not. If the expansion causes more node expansions
     * (e.g. eager loaded tree) then, the Observable emits after all the subtree expansions complete.
     */
    expandNode(node) {
        this._logger.debug('Requesting expansion of tree node', node.toLoggableForm());
        if (node.loadingChildren.isActive) {
            this._logger.debug('Node requested for expansion is loading. Expansion canceled.');
            return of(false);
        }
        if (!node.dirtyChildren) {
            this._logger.debug('Node requested for expansion has clean children. Simple expansion.');
            this.treeControl.expand(node);
            return of(true);
        }
        const ret = new ReplaySubject(1);
        this.updateNodeChildren(node).subscribe(() => {
            this._logger.debug('Node requested for expansion with dirty children had its children reloaded.');
            if (node.children.length > 0) {
                this._logger.debug('Node expanded.', node.toLoggableForm());
                this.treeControl.expand(node);
                if (this._isEagerLoaded) {
                    this._logger.debug(`Eager loading children of tree node with case id '${node.case.stringId}'`);
                    const innerObservables = node.children.map(childNode => this.expandNode(childNode));
                    // forkJoin doesn't emit with 0 input observables
                    innerObservables.push(of(true));
                    forkJoin(innerObservables).subscribe(() => {
                        ret.next(true);
                        ret.complete();
                    });
                }
                else {
                    ret.next(true);
                    ret.complete();
                }
            }
            else {
                ret.next(false);
                ret.complete();
            }
        });
        return ret.asObservable();
    }
    /**
     * Checks whether dirty children need to be reloaded and reloads them if needed.
     * @param node the {@link CaseTreeNode} who's children are updated
     * @returns emits when loading finishes
     */
    updateNodeChildren(node) {
        node.loadingChildren.on();
        const childrenCaseRef = getImmediateData(node.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        if (!childrenCaseRef || childrenCaseRef.value.length === 0) {
            node.children = [];
            this.refreshTree();
            node.dirtyChildren = false;
            node.loadingChildren.off();
            return ofVoid();
        }
        if (node.children.length === childrenCaseRef.value.length) {
            const existingChildren = new Set();
            node.children.forEach(childNode => existingChildren.add(childNode.case.stringId));
            if (childrenCaseRef.value.every(caseId => existingChildren.has(caseId))) {
                node.dirtyChildren = false;
                node.loadingChildren.off();
                return ofVoid();
            }
        }
        return this.updatePageOfChildren(node, 0).pipe(tap(() => {
            this.refreshTree();
            node.dirtyChildren = false;
            node.loadingChildren.off();
        }));
    }
    /**
     * Loads every page of children from the given number and updates the existing children.
     *
     * Missing nodes are removed. Existing nodes are marked as dirty. New nodes are added.
     *
     * Nodes are returned in their insertion order.
     * @param node the {@link CaseTreeNode} who's children are updated
     * @param pageNumber the number of the first page that should be loaded. All following pages are loaded as well
     * @returns next is emitted when loading of all pages completes (regardless of the outcome)
     */
    updatePageOfChildren(node, pageNumber) {
        const requestBody = this.createChildRequestBody(node);
        if (!requestBody) {
            this._logger.error('Cannot create filter to find children of the given node', node.case);
            return throwError(new Error('Cannot create filter to find children of the given node'));
        }
        const done = new ReplaySubject(1);
        let params = new HttpParams();
        params = params.set(PaginationParams.PAGE_SIZE, `${this._treeConfiguration.pageSize}`)
            .set(PaginationParams.PAGE_NUMBER, `${pageNumber}`)
            .set(PaginationParams.PAGE_SORT, createSortParam('creationDate', PaginationSort.ASCENDING));
        this._caseResourceService.getCases(requestBody, params).subscribe(page => {
            if (!hasContent(page)) {
                this._logger.error('Child cases invalid page content', page);
                done.next();
                done.complete();
                return;
            }
            this.updateCurrentChildrenWithNewPage(node, page);
            if (pageNumber + 1 < page.pagination.totalPages) {
                this.updatePageOfChildren(node, pageNumber + 1).subscribe(() => {
                    done.next();
                    done.complete();
                });
            }
            else {
                done.next();
                done.complete();
            }
        }, error => {
            this._logger.error('Child cases could not be loaded', error);
            done.next();
            done.complete();
        });
        return done.asObservable();
    }
    /**
     * Updates the children of the given {@link CaseTreeNode} with [Cases]{@link Case} from the provided {@link Page}.
     * @param node the {@link CaseTreeNode} who's children are updated
     * @param page the {@link Page} that contains the updated children
     */
    updateCurrentChildrenWithNewPage(node, page) {
        page.content.forEach((newCase, index) => {
            const position = page.pagination.size * page.pagination.number + index;
            while (position < node.children.length && node.children[position].case.stringId !== newCase.stringId) {
                node.children.splice(position, 1);
            }
            if (node.children.length === position) {
                node.children.push(new CaseTreeNode(newCase, node));
            }
            else {
                node.children[position].case = newCase;
                node.dirtyChildren = true;
                this.treeControl.collapseDescendants(node.children[position]);
            }
        });
    }
    /**
     * @param node the {@link CaseTreeNode} who's children the {@link Filter} should return
     * @returns a request body that finds all child cases of the given `node`.
     * Returns `undefined` if the provided `node` doesn't contain enough information to create the request body.
     */
    createChildRequestBody(node) {
        const childCaseRef = getImmediateData(node.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        if (!childCaseRef) {
            return undefined;
        }
        return { stringId: childCaseRef.value };
    }
    /**
     * Adds a child to the root node.
     *
     * Useful if you are using the layout where the root node is hidden.
     * @returns emits `true` if the child was successfully added, `false` if not
     */
    addRootChildNode() {
        const ret = new ReplaySubject(1);
        this.addChildNode(this._rootNode).subscribe(added => {
            if (added) {
                if (!this._showRoot && this._treeDataSource.data.length === 0) {
                    this._treeDataSource.data = this._rootNode.children;
                    this.refreshTree();
                }
            }
            ret.next(added);
            ret.complete();
        });
        return ret;
    }
    /**
     * Adds a new child node to the given node based on the properties of the node's case
     * @returns emits `true` if the child was successfully added, `false` if not
     */
    addChildNode(clickedNode) {
        clickedNode.addingNode.on();
        const caseRefField = getImmediateData(clickedNode.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        if (caseRefField.allowedNets.length === 0) {
            this._logger.error(`Case ${clickedNode.case.stringId} can add new tree nodes but has no allowed nets`);
            clickedNode.addingNode.off();
            return of(false);
        }
        const ret = new ReplaySubject(1);
        if (caseRefField.allowedNets.length === 1) {
            this.createAndAddChildCase(caseRefField.allowedNets[0], clickedNode, ret);
        }
        else {
            this._processService.getNets(caseRefField.allowedNets).subscribe(nets => {
                const sideMeuRef = this._sideMenuService.open(this._optionSelectorComponent, SideMenuSize.MEDIUM, {
                    title: clickedNode.case.title,
                    options: nets.map(net => ({ text: net.title, value: net.identifier }))
                });
                let sideMenuSubscription;
                sideMenuSubscription = sideMeuRef.onClose.subscribe(event => {
                    if (!!event.data) {
                        this.createAndAddChildCase(event.data.value, clickedNode, ret);
                        sideMenuSubscription.unsubscribe();
                    }
                    else {
                        clickedNode.addingNode.off();
                        ret.next(false);
                        ret.complete();
                    }
                });
            });
        }
        return ret.asObservable();
    }
    /**
     * Creates a new case and adds it to the children of the specified node
     * @param processIdentifier identifier of the process that should be created
     * @param clickedNode the node that is the parent of the new case
     * @param operationResult the result of the operation will be emitted into this stream when the operation completes
     */
    createAndAddChildCase(processIdentifier, clickedNode, operationResult) {
        this._processService.getNet(processIdentifier).subscribe(net => {
            const childTitleImmediate = getImmediateData(clickedNode.case, TreePetriflowIdentifiers.CHILD_NODE_TITLE);
            let childTitle = this._translateService.instant('caseTree.newNodeDefaultName');
            if (!!childTitleImmediate) {
                childTitle = childTitleImmediate.value;
            }
            else if (!!net.defaultCaseName) {
                childTitle = net.defaultCaseName;
            }
            this._caseResourceService.createCase({
                title: childTitle,
                netId: net.stringId
            }).subscribe((outcomeResource) => {
                const caseRefField = getImmediateData(clickedNode.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
                const setCaseRefValue = [...caseRefField.value, outcomeResource.outcome.aCase.stringId];
                this.performCaseRefCall(clickedNode.case.stringId, setCaseRefValue).subscribe(valueChange => this.updateTreeAfterChildAdd(clickedNode, valueChange ? valueChange : setCaseRefValue, operationResult));
            });
        });
    }
    /**
     * Updates the tree after adding a new child
     * @param clickedNode the parent node
     * @param newCaseRefValue the new value of the parent node's case ref
     * @param operationResult the result of the operation will be emitted into this stream when the operation completes
     */
    updateTreeAfterChildAdd(clickedNode, newCaseRefValue, operationResult) {
        this.updateNodeChildrenFromChangedFields(clickedNode, newCaseRefValue).subscribe(result => {
            clickedNode.addingNode.off();
            this.expandNode(clickedNode).subscribe(expandSuccess => {
                if (expandSuccess) {
                    this.changeActiveNode(clickedNode.children[clickedNode.children.length - 1]);
                    result.executeAfterActions();
                }
                operationResult.next(true);
                operationResult.complete();
            });
        });
    }
    /**
     * removes the provided non-root node if the underlying case allows it.
     *
     * The underlying case is removed from the case ref of it's parent element with the help from the `remove`
     * operation provided by case ref itself.
     * @param node the node that should be removed from the tree
     */
    removeNode(node) {
        if (!node.parent) {
            this._logger.error('Case tree doesn\'t support removal of the root node, as it has no parent case ref.');
            return;
        }
        node.removingNode.on();
        const caseRefImmediate = getImmediateData(node.parent.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        const setCaseRefValue = caseRefImmediate.value.filter(id => id !== node.case.stringId);
        this.performCaseRefCall(node.parent.case.stringId, setCaseRefValue).subscribe(caseRefChange => {
            const newCaseRefValue = caseRefChange ? caseRefChange : setCaseRefValue;
            this.deleteRemovedNodes(node.parent, newCaseRefValue);
            this.updateNodeChildrenFromChangedFields(node.parent, newCaseRefValue);
            node.removingNode.off();
        });
        this.deselectNodeIfDescendantOf(node);
    }
    /**
     * Expands all nodes in the tree dictated by the argument.
     *
     * @param path nodes that should be expanded along with their path from the root node
     */
    expandPath(path) {
        if (this.dataSource.data.length === 0) {
            return;
        }
        let rootNode = this.dataSource.data[0];
        while (rootNode.parent !== undefined) {
            rootNode = rootNode.parent;
        }
        this.expandLevel([rootNode], this.convertPathToExpansionTree(path));
    }
    /**
     * Transforms a {@Link CaseTreePath} object into an {@link ExpansionTree} object.
     * The result has all the common paths merged into single branches of the resulting tree structure.
     *
     * @param paths nodes that should be expanded along with their path from the root node
     * @returns an {@link ExpansionTree} equivalent to the provided {@link CaseTreePath}
     */
    convertPathToExpansionTree(paths) {
        const result = {};
        Object.values(paths).forEach(path => {
            let currentNode = result;
            path.forEach(nodeId => {
                if (currentNode[nodeId] === undefined) {
                    currentNode[nodeId] = {};
                }
                currentNode = currentNode[nodeId];
            });
        });
        return result;
    }
    /**
     * Recursively expands all nodes from the provided array of nodes, that appear in the top level of the {@link ExpansionTree} object.
     *
     * @param levelNodes nodes from which the expansion should start
     * @param targets a tree structure representing the nodes that are to be expanded recursively.
     * The top level nodes are expanded first, from the provided `levelNodes`.
     */
    expandLevel(levelNodes, targets) {
        const desiredIds = new Set(Object.keys(targets));
        if (desiredIds.size === 0) {
            return;
        }
        levelNodes.forEach(n => {
            const node = n;
            if (!desiredIds.has(node.case.stringId)) {
                return; // continue
            }
            this.expandNode(node).subscribe(success => {
                if (!success) {
                    this._logger.debug('Could not expand tree node with ID: ' + node.case.stringId);
                    return;
                }
                this.expandLevel(node.children, targets[node.case.stringId]);
            });
        });
    }
    /**
     * Deletes the subtrees rooted at the nodes that are present in the parent node's child case ref values,
     * but are no longer present in the new value
     * @param parentNode an inner node of the tree that had some of it's children removed
     * @param newCaseRefValue the new value of the parent node's case ref
     */
    deleteRemovedNodes(parentNode, newCaseRefValue) {
        const removedChildren = new Set();
        getImmediateData(parentNode.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF).value.forEach(id => removedChildren.add(id));
        newCaseRefValue.forEach(id => removedChildren.delete(id));
        removedChildren.forEach(removedId => this._caseResourceService.deleteCase(removedId, true)
            .subscribe(responseMessage => {
            if (responseMessage.error) {
                this._logger.error('Removal of child case unsuccessful', responseMessage.error);
            }
        }));
    }
    /**
     * Deselects the currently selected node if it is a descendant of the provided node
     * @param node the node who's descendants should be deselected
     */
    deselectNodeIfDescendantOf(node) {
        let bubblingNode = this.currentNode;
        while (bubblingNode && bubblingNode !== this._rootNode) {
            if (bubblingNode === node) {
                this.changeActiveNode(undefined);
                break;
            }
            bubblingNode = bubblingNode.parent;
        }
    }
    /**
     * Performs a backend call on the given case, and sets the value of the case ref field in the transition defined by
     * [CASE_REF_TRANSITION]{@link TreePetriflowIdentifiers#CASE_REF_TRANSITION}.
     * @param caseId string ID of the case that should have it's tree case ref set
     * @param newCaseRefValue the new value of the case ref field
     */
    performCaseRefCall(caseId, newCaseRefValue) {
        const result$ = new ReplaySubject(1);
        this._taskResourceService.getTasks(SimpleFilter.fromTaskQuery({
            case: { id: caseId },
            transitionId: TreePetriflowIdentifiers.CASE_REF_TRANSITION
        })).subscribe(page => {
            if (!hasContent(page)) {
                this._logger.error('Case ref accessor task doesn\'t exist!');
                result$.complete();
                return;
            }
            const task = page.content[0];
            this._taskResourceService.assignTask(task.stringId).subscribe(assignResponse => {
                if (!assignResponse.success) {
                    this._logger.error('Case ref accessor task could not be assigned', assignResponse.error);
                }
                const body = {};
                body[task.stringId] = {
                    [TreePetriflowIdentifiers.CHILDREN_CASE_REF]: {
                        type: 'caseRef',
                        value: newCaseRefValue
                    }
                };
                this._taskResourceService.setData(task.stringId, body).subscribe((outcomeResource) => {
                    const changedFields = outcomeResource.outcome.changedFields.changedFields;
                    const caseRefChanges = changedFields[TreePetriflowIdentifiers.CHILDREN_CASE_REF];
                    result$.next(caseRefChanges ? caseRefChanges.value : undefined);
                    result$.complete();
                    this._taskResourceService.finishTask(task.stringId).subscribe(finishResponse => {
                        if (finishResponse.success) {
                            this._logger.debug('Case ref accessor task finished', finishResponse.success);
                        }
                        else {
                            this._logger.error('Case ref accessor task finish failed', finishResponse.error);
                        }
                    });
                }, error => {
                    this._logger.error('Could not set data to tree case ref', error);
                    result$.complete();
                });
            }, error => {
                this._logger.error('Case ref accessor task could not be assigned', error);
                result$.complete();
            });
        }, error => {
            this._logger.error('Case ref accessor task could not be found', error);
            result$.complete();
        });
        return result$.asObservable();
    }
    /**
     * Performs an update after adding or removing a node from the tree.
     *
     * If only one node was added adds it into the tree
     *
     * If only one node was removed removes it from the tree
     *
     * Otherwise collapses the affected node and marks it's children as dirty
     *
     * @param affectedNode node that had it's children changed
     * @param newCaseRefValue new value of the caseRef field returned by backend
     * @returns an `Observable` that emits an object with the [result]{@link ResultWithAfterActions#result} attribute set to `true` if
     * the update completes successfully and `false` otherwise.
     */
    updateNodeChildrenFromChangedFields(affectedNode, newCaseRefValue) {
        const caseRefField = getImmediateData(affectedNode.case, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        const newChildren = new Set();
        newCaseRefValue.forEach(id => newChildren.add(id));
        let numberOfMissingChildren = 0;
        for (let i = 0; i < caseRefField.value.length && numberOfMissingChildren < 2; i++) {
            if (!newChildren.has(caseRefField.value[i])) {
                numberOfMissingChildren++;
            }
        }
        const exactlyOneChildAdded = caseRefField.value.length + 1 === newCaseRefValue.length
            && caseRefField.value.every(it => newChildren.has(it));
        const exactlyOneChildRemoved = caseRefField.value.length - 1 === newCaseRefValue.length
            && numberOfMissingChildren === 1;
        if (!exactlyOneChildAdded && !exactlyOneChildRemoved) {
            caseRefField.value = newCaseRefValue;
            this._treeControl.collapseDescendants(affectedNode);
            affectedNode.dirtyChildren = true;
            return of(new ResultWithAfterActions(true));
        }
        if (exactlyOneChildAdded) {
            return this.processChildNodeAdd(affectedNode, caseRefField, newCaseRefValue);
        }
        else {
            return this.processChildNodeRemove(affectedNode, caseRefField, newChildren);
        }
    }
    /**
     * Adds a new child node to the `affectedNode` by adding the last Case from the `newCaseRefValue`
     * @param affectedNode the node in the tree that had a child added - the parent node
     * @param caseRefField the case ref field of the affected node
     * @param newCaseRefValue the new value of the case ref field in the node
     * @returns an `Observable` that emits `true` if a node was successfully added, `false` otherwise.
     */
    processChildNodeAdd(affectedNode, caseRefField, newCaseRefValue) {
        const result$ = new ReplaySubject(1);
        caseRefField.value = newCaseRefValue;
        this._caseResourceService.getOneCase(newCaseRefValue[newCaseRefValue.length - 1]).subscribe(childCase => {
            if (childCase) {
                this._logger.debug('Pushing child node to tree', { childCase, affectedNode: affectedNode.toLoggableForm() });
                const childNode = this.pushChildToTree(affectedNode, childCase);
                result$.next(new ResultWithAfterActions(true, [() => {
                        if (this._isEagerLoaded) {
                            this._logger.debug('Eagerly expanding a newly added node.', childNode.toLoggableForm());
                            this.expandNode(childNode);
                        }
                    }]));
            }
            else {
                this._logger.error('New child case was not found, illegal state', childCase);
                result$.next(new ResultWithAfterActions(false));
            }
            result$.complete();
        }, error => {
            this._logger.error('New child node case could not be found', error);
            result$.next(new ResultWithAfterActions(false));
            result$.complete();
        });
        return result$.asObservable();
    }
    /**
     * Adds a new child node to the target parent node.
     * @param parentNode the nodes whose child should be added
     * @param childCase the child case
     * @returns the newly added node
     */
    pushChildToTree(parentNode, childCase) {
        const childNode = new CaseTreeNode(childCase, parentNode);
        parentNode.children.push(childNode);
        this.refreshTree();
        return childNode;
    }
    /**
     * Removes the deleted node from the children of the `affectedNode`
     * @param affectedNode the node in the tree that had it's child removed
     * @param caseRefField the case ref field of the affected node
     * @param newCaseRefValues the new value of the case ref field in the node
     * @returns an `Observable` that emits `true` when the remove operation completes.
     */
    processChildNodeRemove(affectedNode, caseRefField, newCaseRefValues) {
        const index = caseRefField.value.findIndex(it => !newCaseRefValues.has(it));
        caseRefField.value.splice(index, 1);
        affectedNode.children.splice(index, 1);
        this.refreshTree();
        return of(new ResultWithAfterActions(true));
    }
    /**
     * @ignore
     * Forces a rerender of the tree content
     */
    refreshTree() {
        refreshTree(this._treeDataSource);
    }
    /**
     * Reloads the currently selected case node. The {@link Case} object held in the {@link CaseTreeNode} instance is not replaced,
     * but the new Case is `Object.assign`-ed into it. This means that the reference to the Case instance is unchanged but references
     * to all it's non-primitive attributes are changed.
     *
     * If a reload of the current node is initiated before the previous one completed, the new one is ignored.
     *
     * If the currently selected case changed before a response from backend was received the response is ignored.
     *
     * Note that the parent node, nor the child nodes are reloaded.
     */
    reloadCurrentCase() {
        if (!this._currentNode) {
            this._logger.debug('No Tree Case Node selected, nothing to reload');
            return;
        }
        if (this._reloadedCaseId && this._currentNode.case.stringId !== this._reloadedCaseId) {
            this._logger.debug('Reload of the current case already in progress');
            return;
        }
        this._reloadedCaseId = this._currentNode.case.stringId;
        this._caseResourceService.getOneCase(this._currentCase.stringId).subscribe(reloadedCurrentCase => {
            if (!reloadedCurrentCase) {
                this._logger.error('Current Case Tree Node could not be reloaded. Invalid server response', reloadedCurrentCase);
                return;
            }
            if (this._currentNode && reloadedCurrentCase.stringId === this._currentNode.case.stringId) {
                this._reloadedCaseId = undefined;
                const change = this.determineCaseUpdate(this._currentCase, reloadedCurrentCase);
                Object.assign(this._currentCase, reloadedCurrentCase);
                this._treeCaseViewService.loadTask$.next(this._currentCase);
                if (change.visibleTreePropertiesChanged) {
                    this.refreshTree();
                }
                if (change.childrenChanged) {
                    this._currentNode.dirtyChildren = true;
                    this.expandNode(this._currentNode);
                }
                this._logger.debug('Current Case Tree Node reloaded');
            }
            else {
                this._logger.debug('Discarding case reload response, since the current node has changed before its case was received');
            }
        }, error => {
            this._logger.error('Current Case Tree Node reload request failed', error);
        });
    }
    /**
     * Determines if anny of the case attributes that are visible on the tree changed.
     * @param oldCase the previous version of the Case object, that is currently displayed on the tree
     * @param newCase the new version of the Case object, that should replace the old one
     */
    determineCaseUpdate(oldCase, newCase) {
        const visibleAttributes = [
            TreePetriflowIdentifiers.CAN_ADD_CHILDREN,
            TreePetriflowIdentifiers.CAN_REMOVE_NODE,
            TreePetriflowIdentifiers.BEFORE_TEXT_ICON,
            TreePetriflowIdentifiers.TREE_ADD_ICON
        ];
        const result = {
            visibleTreePropertiesChanged: true,
            childrenChanged: false
        };
        const oldChildCaseRef = getImmediateData(oldCase, TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        if (oldChildCaseRef !== undefined) {
            const oldChildren = new Set(oldChildCaseRef.value);
            const newChildren = new Set(getImmediateData(newCase, TreePetriflowIdentifiers.CHILDREN_CASE_REF).value);
            result.childrenChanged = oldChildren.size !== newChildren.size;
            if (!result.childrenChanged) {
                result.childrenChanged = Array.from(oldChildren).some(childId => !newChildren.has(childId));
            }
            // short-circuit
            if (result.childrenChanged) {
                return result;
            }
        }
        result.visibleTreePropertiesChanged = visibleAttributes.some(attribute => {
            return getImmediateData(oldCase, attribute)
                && getImmediateData(oldCase, attribute).value !== getImmediateData(newCase, attribute).value;
        });
        return result;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseTreeService, deps: [{ token: CaseResourceService }, { token: TreeCaseViewService }, { token: TaskResourceService }, { token: LoggerService }, { token: ProcessService }, { token: SideMenuService }, { token: i1$2.TranslateService }, { token: NAE_OPTION_SELECTOR_COMPONENT, optional: true }, { token: NAE_TREE_CASE_VIEW_CONFIGURATION, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseTreeService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: CaseTreeService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: CaseResourceService }, { type: TreeCaseViewService }, { type: TaskResourceService }, { type: LoggerService }, { type: ProcessService }, { type: SideMenuService }, { type: i1$2.TranslateService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_OPTION_SELECTOR_COMPONENT]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TREE_CASE_VIEW_CONFIGURATION]
                }] }] });

class TreeTaskContentService {
    _treeCaseService;
    _taskDataService;
    _taskContentService;
    _taskResourceService;
    _taskEventService;
    _assignPolicy;
    _cancel;
    _userComparator;
    _callchain;
    _logger;
    _selectedCaseService;
    _changedFieldsService;
    _permissionService;
    _taskOperations;
    _processingTaskChange;
    _displayedTaskText$;
    /**
     * a unique identifier consisting of caseId and transition ID
     *
     * Is set if a reload of the given task is currently taking place, `undefined` otherwise.
     */
    _reloadedTaskUniqueIdentifier;
    constructor(_treeCaseService, _taskDataService, _taskContentService, _taskResourceService, _taskEventService, _assignPolicy, _cancel, _userComparator, _callchain, _logger, _selectedCaseService, _changedFieldsService, _permissionService, _taskOperations) {
        this._treeCaseService = _treeCaseService;
        this._taskDataService = _taskDataService;
        this._taskContentService = _taskContentService;
        this._taskResourceService = _taskResourceService;
        this._taskEventService = _taskEventService;
        this._assignPolicy = _assignPolicy;
        this._cancel = _cancel;
        this._userComparator = _userComparator;
        this._callchain = _callchain;
        this._logger = _logger;
        this._selectedCaseService = _selectedCaseService;
        this._changedFieldsService = _changedFieldsService;
        this._permissionService = _permissionService;
        this._taskOperations = _taskOperations;
        this._processingTaskChange = new LoadingEmitter();
        this._displayedTaskText$ = new ReplaySubject();
        this._changedFieldsService.changedFields$.subscribe((changedFieldsMap) => {
            const filteredCaseIds = Object.keys(changedFieldsMap).filter(caseId => Object.keys(this._taskContentService.referencedTaskAndCaseIds).includes(caseId));
            const changedFields = [];
            filteredCaseIds.forEach(caseId => {
                const taskIds = this._taskContentService.referencedTaskAndCaseIds[caseId];
                changedFields.push(...this._changedFieldsService.parseChangedFieldsByCaseAndTaskIds(caseId, taskIds, changedFieldsMap));
            });
            changedFields.filter(fields => fields !== undefined).forEach(fields => {
                this._taskContentService.updateFromChangedFields(fields);
            });
        });
        _taskDataService.updateSuccess$.subscribe(result => {
            if (result) {
                this._treeCaseService.reloadCase$.next();
                this.resolveTaskBlockState();
            }
        });
        _treeCaseService.loadTask$.asObservable().pipe(filter(selectedCase => this.taskChanged(selectedCase))).subscribe(selectedCase => {
            this.cancelAndLoadFeaturedTask(selectedCase);
        });
        _taskOperations.reload$.subscribe(() => {
            this.updateTaskState();
            this._treeCaseService.reloadCase$.next();
        });
        _taskOperations.open$.subscribe(() => {
            this._taskContentService.blockFields(false);
        });
        _taskOperations.close$.subscribe(() => {
            this._taskContentService.blockFields(true);
        });
    }
    get taskContentText$() {
        return this._displayedTaskText$.asObservable();
    }
    get processingTaskChange() {
        return this._processingTaskChange.isActive;
    }
    displayEmptyTaskContent() {
        this._taskContentService.$shouldCreate.next([]);
        this._displayedTaskText$.next('caseTree.noTaskSelected');
    }
    /**
     * Cancels the currently selected {@link Task} if any. And then loads and assigns the new Task.
     * @param selectedCase the Case who's task should be now displayed
     */
    cancelAndLoadFeaturedTask(selectedCase) {
        this._processingTaskChange.on();
        this._taskContentService.blockFields(true);
        if (this.shouldCancelTask) {
            this._cancel.cancel(this._callchain.create(success => {
                if (success) {
                    this._logger.debug('Old tree task successfully canceled');
                }
                else {
                    this._logger.warn('Old tree task could not be canceled');
                }
            }));
        }
        this.loadFeaturedTask(selectedCase);
    }
    /**
     * Changes the currently displayed {@link Task} based on the selected {@link Case} from the Tree.
     * @param selectedCase the Case who's task should be now displayed
     */
    loadFeaturedTask(selectedCase) {
        this._selectedCaseService.selectedCase = selectedCase;
        const requestBody = this.getTaskFilter();
        if (requestBody === undefined) {
            this.clearCurrentTask();
            return;
        }
        this._taskResourceService.getTasks(requestBody).subscribe(page => {
            if (hasContent(page)) {
                this.setStandardTaskText();
                this.switchToTask(page.content[0]);
            }
            else {
                this.clearCurrentTask();
            }
        });
    }
    /**
     * Checks whether the currently displayed task differs from the new one
     * @param newCase [Case]{@link Case} object that holds the newly selected {@link Task}
     * @returns `true` if the currently selected Case has a different ID from the newly selected Case.
     * If the IDs are the same returns `true` if the transition IDs are different.
     * Returns `false` otherwise.
     */
    taskChanged(newCase) {
        const currentCaseId = this._selectedCaseService.selectedCase ? this._selectedCaseService.selectedCase.stringId : undefined;
        const newCaseId = newCase ? newCase.stringId : undefined;
        if (currentCaseId !== newCaseId) {
            return true;
        }
        const currentTransitionId = this.getTransitionId(this._selectedCaseService.selectedCase);
        const newTransitionId = this.getTransitionId(newCase);
        return currentTransitionId !== newTransitionId;
    }
    /**
     * Checks whether a Task object is currently selected and if it can be cancelled by the user
     */
    get shouldCancelTask() {
        return this._taskContentService.task && this._permissionService.canCancel(this._taskContentService.task);
    }
    /**
     * Creates a {@link Filter} object that finds the specified Task for the currently selected Case in a Tree Case View
     * @returns a request body that finds tasks of the given case with task id that corresponds to the value in the `treeTaskTransitionId`
     * immediate data field. Returns `undefined` if the request body cannot be created.
     */
    getTaskFilter() {
        const transitionId = this.getTransitionId(this._selectedCaseService.selectedCase);
        if (transitionId) {
            return SimpleFilter.fromTaskQuery({
                case: { id: this._selectedCaseService.selectedCase.stringId },
                transitionId
            });
        }
        return undefined;
    }
    /**
     * @param examinedCase the {@link Case} object from which we want to extract the transition ID
     * @returns the ID of the transition that should be displayed in the {@link AbstractTaskContentComponent},
     * or `undefined` if the currently selected case doesn't define it
     */
    getTransitionId(examinedCase) {
        if (examinedCase && examinedCase.immediateData) {
            const transitionId = getImmediateData(examinedCase, TreePetriflowIdentifiers.FEATURED_TRANSITION);
            return transitionId ? transitionId.value : undefined;
        }
        return undefined;
    }
    /**
     * Changes the currently selected {@link Task}.
     * @param task the Task that should now be selected
     */
    switchToTask(task) {
        if (task.caseId !== this._selectedCaseService.selectedCase.stringId) {
            this._logger.debug('Tree featured task has been loaded, but the selected case has changed since. Discarding...');
            return;
        }
        task.assignPolicy = AssignPolicy.auto;
        this._taskContentService.task = task;
        this._taskContentService.blockFields(true);
        this._assignPolicy.performAssignPolicy(true, this._callchain.create(() => {
            this._processingTaskChange.off();
        }));
    }
    /**
     * Notifies all connected Services that no Task is currently selected
     */
    clearCurrentTask() {
        this._taskContentService.task = undefined;
        this.displayEmptyTaskContent();
        this._processingTaskChange.off();
    }
    /**
     * Updates the state of the current Task from backend
     */
    updateTaskState() {
        const uniqueTaskIdentifier = this.getUniqueTaskIdentifier();
        if (uniqueTaskIdentifier === this._reloadedTaskUniqueIdentifier) {
            this._logger.debug('The currently selected task is already being reloaded. Ignoring reload request.');
            return;
        }
        this._reloadedTaskUniqueIdentifier = uniqueTaskIdentifier;
        this._taskResourceService.getTasks(this.getTaskFilter()).subscribe(page => {
            if (hasContent(page)) {
                if (this._taskContentService.task && this._taskContentService.task.stringId === page.content[0].stringId) {
                    this._reloadedTaskUniqueIdentifier = undefined;
                    Object.assign(this._taskContentService.task, page.content[0]);
                }
                this.resolveTaskBlockState();
            }
        });
    }
    /**
     * If the current {@link Task} is assigned to the current user it is unblocked. Otherwise it is blocked.
     */
    resolveTaskBlockState() {
        const taskShouldBeBlocked = !this._taskContentService.task
            || this._taskContentService.task.userId === undefined
            || !this._userComparator.compareUsers(this._taskContentService.task.userId);
        this._taskContentService.blockFields(taskShouldBeBlocked);
    }
    /**
     * Sets the noData text in the task content to it's default value
     */
    setStandardTaskText() {
        this._displayedTaskText$.next(undefined);
    }
    /**
     * Attempts to cancel the currently opened Task if the Task is in such state that allows cancellation.
     */
    ngOnDestroy() {
        if (this.shouldCancelTask) {
            this._cancel.cancel();
        }
        if (this._taskOperations) {
            this._taskOperations.destroy();
        }
    }
    /**
     * @returns a unique identifier for the currently selected task, that consists of it's case's id and it's transition id.
     *
     * Returns `undefined`, if no task is currently selected.
     */
    getUniqueTaskIdentifier() {
        if (!this._selectedCaseService.selectedCase) {
            return undefined;
        }
        return `${this._selectedCaseService.selectedCase.stringId}#${this.getTransitionId(this._selectedCaseService.selectedCase)}`;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeTaskContentService, deps: [{ token: TreeCaseViewService }, { token: TaskDataService }, { token: TaskContentService }, { token: TaskResourceService }, { token: TaskEventService }, { token: AssignPolicyService }, { token: CancelTaskService }, { token: UserComparatorService }, { token: CallChainService }, { token: LoggerService }, { token: SelectedCaseService }, { token: ChangedFieldsService }, { token: PermissionService }, { token: NAE_TASK_OPERATIONS }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeTaskContentService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TreeTaskContentService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: TreeCaseViewService }, { type: TaskDataService }, { type: TaskContentService }, { type: TaskResourceService }, { type: TaskEventService }, { type: AssignPolicyService }, { type: CancelTaskService }, { type: UserComparatorService }, { type: CallChainService }, { type: LoggerService }, { type: SelectedCaseService }, { type: ChangedFieldsService }, { type: PermissionService }, { type: SubjectTaskOperations, decorators: [{
                    type: Inject,
                    args: [NAE_TASK_OPERATIONS]
                }] }] });

class PublicTaskLoadingService {
    _loading$;
    constructor() {
        this._loading$ = new LoadingEmitter();
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    setLoading$(bool) {
        this._loading$.next(bool);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskLoadingService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskLoadingService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicTaskLoadingService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

class AbstractWorkflowViewComponent extends AbstractViewWithHeadersComponent {
    _dialog;
    _workflowViewService;
    _log;
    _processService;
    footerSize;
    showDeleteMenu = false;
    workflowHeader;
    headerType = HeaderType.WORKFLOW;
    workflows$;
    loading$;
    viewport;
    constructor(_dialog, _workflowViewService, _log, _processService, _activatedRoute) {
        super(_workflowViewService, _activatedRoute);
        this._dialog = _dialog;
        this._workflowViewService = _workflowViewService;
        this._log = _log;
        this._processService = _processService;
        this.workflows$ = this._workflowViewService.workflows$;
        this.loading$ = this._workflowViewService.loading$;
        this.footerSize = 0;
    }
    ngAfterViewInit() {
        this.initializeHeader(this.workflowHeader);
    }
    importSidemenuNet(component) {
        const dialogRef = this._dialog.open(component, {
            width: '40%',
            minWidth: '300px',
            panelClass: "dialog-responsive",
        });
        dialogRef.afterClosed().subscribe(event => {
            if (event.data?.net !== undefined) {
                this._workflowViewService.reload();
                if (event.data?.net) {
                    this._processService.updateNet(new Net(event.data.net));
                }
            }
            else {
                this._log.debug('');
            }
        });
    }
    trackBy(i) {
        return i;
    }
    loadNextPage() {
        if (!this.viewport) {
            return;
        }
        this._workflowViewService.nextPage(this.viewport.getRenderedRange(), this.viewport.getDataLength());
    }
    calculateListHeight(preciseHeight) {
        if (!this.viewport) {
            return;
        }
        const element = this.viewport.getElementRef().nativeElement;
        if (preciseHeight !== null && preciseHeight !== undefined) {
            element.style.height = preciseHeight + 'px';
        }
        else {
            const viewportHeight = window.innerHeight - element.offsetTop - this.footerSize;
            if (element.style.height !== viewportHeight + 'px') {
                this._log.info('Virtual scroll height change to: ' + viewportHeight);
                element.style.height = viewportHeight + 'px';
            }
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractWorkflowViewComponent, deps: [{ token: i1$3.MatDialog }, { token: WorkflowViewService }, { token: LoggerService }, { token: ProcessService }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractWorkflowViewComponent, selector: "ncc-abstract-workflow-view", inputs: { footerSize: "footerSize", showDeleteMenu: "showDeleteMenu" }, viewQueries: [{ propertyName: "workflowHeader", first: true, predicate: ["header"], descendants: true }, { propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractWorkflowViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-workflow-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i1$3.MatDialog }, { type: WorkflowViewService }, { type: LoggerService }, { type: ProcessService }, { type: i3$1.ActivatedRoute }], propDecorators: { footerSize: [{
                type: Input
            }], showDeleteMenu: [{
                type: Input
            }], workflowHeader: [{
                type: ViewChild,
                args: ['header']
            }], viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

class AbstractDefaultCaseListComponent extends TabbedVirtualScrollComponent {
    _caseViewService;
    _log;
    route;
    selectedHeaders$;
    responsiveBody = true;
    caseClick;
    showCasePanelIcon = true;
    showDeleteMenu = false;
    textEllipsis = false;
    width;
    redirectEnabled = true;
    cases$;
    loading$;
    redirectCaseId;
    _unsubscribe$;
    _unsub;
    _canReload;
    constructor(_caseViewService, _log, injectedTabData, route) {
        super(injectedTabData);
        this._caseViewService = _caseViewService;
        this._log = _log;
        this.route = route;
        this._unsubscribe$ = new Subject();
        this.loading$ = this._caseViewService.loading$;
        this.caseClick = new EventEmitter();
        if (injectedTabData !== null) {
            this._unsub = injectedTabData.tabSelected$.pipe(filter(bool => bool)).subscribe(() => {
                if (this._canReload) {
                    this._caseViewService.reload();
                }
                else {
                    this._canReload = true;
                }
            });
        }
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.caseClick.complete();
        this._unsubscribe$.complete();
        if (this._unsub) {
            this._unsub.unsubscribe();
        }
    }
    onCaseClick(case_) {
        this.caseClick.emit(case_);
    }
    onRedirect() {
        if (!this.redirectEnabled) {
            return;
        }
        this.route.queryParams.pipe(filter(pm => !!pm['caseId'])).subscribe(paramMap => {
            this.redirectCaseId = paramMap['caseId'];
            this.cases$.pipe(takeUntil(this._unsubscribe$)).subscribe(cases => {
                if (cases !== undefined && cases.length > 0) {
                    const _case = cases.find(c => c.stringId === this.redirectCaseId);
                    if (_case !== undefined) {
                        this.caseClick.emit(_case);
                        this._unsubscribe$.next();
                    }
                }
            });
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultCaseListComponent, deps: [{ token: CaseViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDefaultCaseListComponent, selector: "ncc-abstract-default-case-list", inputs: { selectedHeaders$: "selectedHeaders$", responsiveBody: "responsiveBody", showCasePanelIcon: "showCasePanelIcon", showDeleteMenu: "showDeleteMenu", textEllipsis: "textEllipsis", width: "width", redirectEnabled: "redirectEnabled" }, outputs: { caseClick: "caseClick" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDefaultCaseListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-default-case-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { selectedHeaders$: [{
                type: Input
            }], responsiveBody: [{
                type: Input
            }], caseClick: [{
                type: Output
            }], showCasePanelIcon: [{
                type: Input
            }], showDeleteMenu: [{
                type: Input
            }], textEllipsis: [{
                type: Input
            }], width: [{
                type: Input
            }], redirectEnabled: [{
                type: Input
            }] } });

class AbstractCaseListComponent extends AbstractDefaultCaseListComponent {
    _caseViewService;
    _log;
    route;
    viewport;
    constructor(_caseViewService, _log, injectedTabData, route) {
        super(_caseViewService, _log, injectedTabData, route);
        this._caseViewService = _caseViewService;
        this._log = _log;
        this.route = route;
        this.cases$ = this._caseViewService.cases$;
        this.onRedirect();
    }
    trackBy(i) {
        return i;
    }
    get loadedDataSize() {
        return this.viewport && this.viewport.getDataLength() ? this.viewport.getDataLength() : 0;
    }
    loadNextPage() {
        if (!this.viewport) {
            return;
        }
        this._caseViewService.nextPage(this.viewport.getRenderedRange(), this.viewport.getDataLength());
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseListComponent, deps: [{ token: CaseViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCaseListComponent, selector: "ncc-abstract-case-list", viewQueries: [{ propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-case-list',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

class AbstractCaseListPaginatorComponent extends AbstractDefaultCaseListComponent {
    _caseViewService;
    _log;
    route;
    length;
    pageSize = 20;
    pageIndex = 0;
    pageSizeOptions = [10, 20, 50];
    approval;
    disabled;
    constructor(_caseViewService, _log, injectedTabData, route) {
        super(_caseViewService, _log, injectedTabData, route);
        this._caseViewService = _caseViewService;
        this._log = _log;
        this.route = route;
        this._caseViewService.nextPagePagination(this.pageSize, this.pageIndex);
        this._caseViewService.paginationView = true;
        this.cases$ = this._caseViewService.cases$.pipe(tap(() => {
            this.length = this._caseViewService.pagination.totalElements;
            this.pageIndex = this._caseViewService.pagination.number;
        }));
        this.onRedirect();
    }
    onPageChanged(e) {
        this.pageIndex = e.pageIndex;
        this.pageSize = e.pageSize;
        this._caseViewService.nextPagePagination(this.pageSize, this.pageIndex);
    }
    trackById(_index, caze) {
        return caze.stringId;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseListPaginatorComponent, deps: [{ token: CaseViewService }, { token: LoggerService }, { token: NAE_TAB_DATA, optional: true }, { token: i3$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCaseListPaginatorComponent, selector: "ncc-abstract-case-list-paginator", inputs: { approval: "approval", disabled: "disabled" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCaseListPaginatorComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-case-list-paginator',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseViewService }, { type: LoggerService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_TAB_DATA]
                }] }, { type: i3$1.ActivatedRoute }], propDecorators: { approval: [{
                type: Input
            }], disabled: [{
                type: Input
            }] } });

class AbstractTreeComponent {
    _treeService;
    /**
     * `true` is emitted whenever the tree's root node is in it's loading state.
     *
     * `false` is emitted when the root node is no longer in the loading state.
     *
     * The first value emitted from this Output is `false`, when the tree finishes initializing.
     *
     * The root node enters it's loading state when it's children are being loaded.
     */
    treeRootLoading = new EventEmitter();
    /**
     * `true` is emitted whenever the tree's root node is adding a new child node.
     *
     * `false` is emitted when the root node is no longer adding a new child node.
     *
     * The first value emitted from this Output is `false`, when the tree finishes initializing.
     *
     * No further calls to add a child node should be made, while a child is being added.
     */
    treeRootAddingChild = new EventEmitter();
    constructor(_treeService) {
        this._treeService = _treeService;
        this._treeService.treeRootLoaded$.subscribe(success => {
            if (success) {
                this._treeService.rootNodeLoading$.subscribe(loading => {
                    this.treeRootLoading.emit(loading);
                });
                this._treeService.rootNodeAddingChild$.subscribe(addingChild => {
                    this.treeRootAddingChild.emit(addingChild);
                });
            }
        });
    }
    /**
     * The {@link Filter} that determines the root node of the tree.
     *
     * The tree can only have one root. If more than one case is returned by the Filter.
     * The first result will be used as the tree root.
     *
     * If you want to have multiple nodes in the first level checkout the [showTreeRoot]{@link AbstractTreeComponent#showTreeRoot} property.
     * @param filter Case Filter that determines the tree root
     */
    set filter(filter) {
        this._treeService.rootFilter = filter;
    }
    /**
     * Whether the tree root should be displayed as a node or not.
     *
     * `true` displays the root as the only node in the first level.
     *
     * `false` displays the root's child nodes in the first level.
     *
     * If you want to add more children while the root is hidden use the [addRootChildNode]
     * {@link AbstractTreeComponent#addRootChildNode} method.
     * @param showTreeRoot whether the root node should be displayed in the tree or not
     */
    set showTreeRoot(showTreeRoot) {
        this._treeService.treeRootLoaded$.subscribe(success => {
            if (success) {
                this._treeService.initializeTree(showTreeRoot);
            }
        });
    }
    /**
     * Weather the tree is eager loaded or not.
     *
     * Defaults to `false`.
     *
     * It is not recommended to eager load large trees as each node sends a separate backend request to load its data.
     *
     * @param eager the new setting for eager loading
     */
    set eagerLoaded(eager) {
        this._treeService.isEagerLoaded = eager;
    }
    /**
     * @ignore
     */
    get dataSource() {
        return this._treeService.dataSource;
    }
    /**
     * @ignore
     */
    get treeControl() {
        return this._treeService.treeControl;
    }
    /**
     * @ignore
     */
    hasChild = (_, node) => {
        const childrenCaseRef = node.case.immediateData.find(data => data.stringId === TreePetriflowIdentifiers.CHILDREN_CASE_REF);
        return !!childrenCaseRef && !!childrenCaseRef.value && childrenCaseRef.value.length > 0;
    };
    /**
     * @ignore
     */
    caseNodeClicked(node) {
        this._treeService.changeActiveNode(node);
    }
    /**
     * @ignore
     */
    toggleCaseNode(event, node) {
        event.stopPropagation();
        this._treeService.toggleNode(node);
    }
    /**
     * @ignore
     */
    selectedCaseNode(node) {
        return node === this._treeService.currentNode;
    }
    /**
     * Adds a child to the root node.
     *
     * Useful if you set the [showTreeRoot]{@link AbstractTreeComponent#showTreeRoot} property to `false`.
     */
    addRootChildNode() {
        this._treeService.addRootChildNode();
    }
    /**
     * Expands all nodes in the tree dictated by the argument.
     *
     * @param path nodes that should be expanded along with their path from the root node
     */
    expandPath(path) {
        this._treeService.expandPath(path);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTreeComponent, deps: [{ token: CaseTreeService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTreeComponent, selector: "ncc-abstract-tree", inputs: { filter: "filter", showTreeRoot: "showTreeRoot", eagerLoaded: "eagerLoaded" }, outputs: { treeRootLoading: "treeRootLoading", treeRootAddingChild: "treeRootAddingChild" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTreeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tree',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseTreeService }], propDecorators: { treeRootLoading: [{
                type: Output
            }], treeRootAddingChild: [{
                type: Output
            }], filter: [{
                type: Input
            }], showTreeRoot: [{
                type: Input
            }], eagerLoaded: [{
                type: Input
            }] } });

class AbstractAddChildNodeComponent {
    _treeService;
    node;
    constructor(_treeService) {
        this._treeService = _treeService;
    }
    addChild(event) {
        event.stopPropagation();
        this._treeService.addChildNode(this.node);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAddChildNodeComponent, deps: [{ token: CaseTreeService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractAddChildNodeComponent, selector: "ncc-abstract-add-child-node", inputs: { node: "node" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAddChildNodeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-add-child-node',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseTreeService }], propDecorators: { node: [{
                type: Input
            }] } });

class AbstractRemoveNodeComponent {
    _treeService;
    node;
    constructor(_treeService) {
        this._treeService = _treeService;
    }
    removeNode(event) {
        event.stopPropagation();
        this._treeService.removeNode(this.node);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRemoveNodeComponent, deps: [{ token: CaseTreeService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractRemoveNodeComponent, selector: "ncc-abstract-remove-node", inputs: { node: "node" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRemoveNodeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-remove-node',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: CaseTreeService }], propDecorators: { node: [{
                type: Input
            }] } });

class AbstractTreeTaskContentComponent {
    _treeTaskContentService;
    _taskEventService;
    _assign;
    _cancel;
    _finish;
    _taskContentService;
    _permissionService;
    displayTaskControlButtons = true;
    constructor(_treeTaskContentService, _taskEventService, _assign, _cancel, _finish, _taskContentService, _permissionService) {
        this._treeTaskContentService = _treeTaskContentService;
        this._taskEventService = _taskEventService;
        this._assign = _assign;
        this._cancel = _cancel;
        this._finish = _finish;
        this._taskContentService = _taskContentService;
        this._permissionService = _permissionService;
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this._treeTaskContentService.displayEmptyTaskContent();
        });
    }
    canAssign() {
        return this._permissionService.canAssign(this._taskContentService.task);
    }
    canCancel() {
        return this._permissionService.canCancel(this._taskContentService.task);
    }
    canFinish() {
        return this._permissionService.canFinish(this._taskContentService.task);
    }
    assign() {
        this._assign.assign();
    }
    cancel() {
        this._cancel.cancel();
    }
    finish() {
        this._finish.validateDataAndFinish();
    }
    getAssignTitle() {
        return this._taskContentService.task.assignTitle ? this._taskContentService.task.assignTitle : 'tasks.view.assign';
    }
    getCancelTitle() {
        return this._taskContentService.task.cancelTitle ? this._taskContentService.task.cancelTitle : 'tasks.view.cancel';
    }
    getFinishTitle() {
        return this._taskContentService.task.finishTitle ? this._taskContentService.task.finishTitle : 'tasks.view.finish';
    }
    get processingTaskChange() {
        return this._treeTaskContentService.processingTaskChange;
    }
    get taskContentText$() {
        return this._treeTaskContentService.taskContentText$;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTreeTaskContentComponent, deps: [{ token: TreeTaskContentService }, { token: TaskEventService }, { token: AssignTaskService }, { token: CancelTaskService }, { token: FinishTaskService }, { token: TaskContentService }, { token: PermissionService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTreeTaskContentComponent, selector: "ncc-abstract-tree-task-content", inputs: { displayTaskControlButtons: "displayTaskControlButtons" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTreeTaskContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-tree-task-content',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TreeTaskContentService }, { type: TaskEventService }, { type: AssignTaskService }, { type: CancelTaskService }, { type: FinishTaskService }, { type: TaskContentService }, { type: PermissionService }], propDecorators: { displayTaskControlButtons: [{
                type: Input
            }] } });

class TaskConst {
    static TRANSITION_ID = 'transitionId';
}
class AbstractSingleTaskViewComponent extends AbstractViewWithHeadersComponent {
    taskViewService;
    baseFilter;
    initiallyExpanded = true;
    preventCollapse = true;
    noTaskPresent;
    taskPanelData;
    loading$;
    transitionId;
    subRoute;
    subPanelData;
    subLoading;
    constructor(taskViewService, activatedRoute, baseFilter) {
        super(taskViewService, activatedRoute);
        this.taskViewService = taskViewService;
        this.baseFilter = baseFilter;
        this.noTaskPresent = new EventEmitter();
        this.taskPanelData = this.taskViewService.tasks$.pipe(map(tasks => tasks.find(panelData => this.isTaskMatchingFilter(panelData, baseFilter.filter.getRequestBody())))).pipe(tap(panelData => {
            if (!!panelData) {
                panelData.initiallyExpanded = true;
            }
        }));
        this.loading$ = this.taskViewService.loading$;
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        if (!!this.subRoute) {
            this.subRoute.unsubscribe();
        }
        if (!!this.subPanelData) {
            this.subPanelData.unsubscribe();
        }
    }
    get task$() {
        return this.taskPanelData;
    }
    isTaskMatchingFilter(panelData, taskSearchRequestBody) {
        return panelData.task.stringId === taskSearchRequestBody.stringId || panelData.task.transitionId === taskSearchRequestBody.transitionId;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSingleTaskViewComponent, deps: [{ token: TaskViewService }, { token: i3$1.ActivatedRoute }, { token: NAE_BASE_FILTER }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSingleTaskViewComponent, selector: "ncc-abstract-single-task-view", inputs: { initiallyExpanded: "initiallyExpanded", preventCollapse: "preventCollapse" }, outputs: { noTaskPresent: "noTaskPresent" }, usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSingleTaskViewComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-single-task-view',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskViewService }, { type: i3$1.ActivatedRoute }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [NAE_BASE_FILTER]
                }] }], propDecorators: { initiallyExpanded: [{
                type: Input
            }], preventCollapse: [{
                type: Input
            }], noTaskPresent: [{
                type: Output
            }] } });

/* INTERFACES */

class PublicProcessService extends ProcessService {
    _publicPetriNetResource;
    _logger;
    constructor(_publicPetriNetResource, _logger) {
        super(_publicPetriNetResource, _logger);
        this._publicPetriNetResource = _publicPetriNetResource;
        this._logger = _logger;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicProcessService, deps: [{ token: PublicPetriNetResourceService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicProcessService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicProcessService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: PublicPetriNetResourceService }, { type: LoggerService }] });

class DashboardMultiData {
    name;
    series;
    constructor(name, series) {
        this.name = name;
        this.series = series;
    }
}

class DashboardSingleData {
    name;
    value;
    constructor(name, value) {
        this.name = name;
        this.value = value;
    }
}

class AbstractCountCardComponent {
    _injector;
    card;
    _countService;
    _filter;
    loading;
    count;
    subCount;
    constructor(_injector) {
        this._injector = _injector;
        this.loading = true;
    }
    ngOnInit() {
        this.resolveFilter();
        this.resolveResourceService();
        this.subCount = this._countService.count(this._filter).subscribe(result => {
            this.count = result.count;
            this.loading = false;
        });
    }
    resolveResourceService() {
        switch (this._filter.type) {
            case FilterType.CASE:
                this._countService = this._injector.get(CaseResourceService);
                break;
            case FilterType.TASK:
                this._countService = this._injector.get(TaskResourceService);
                break;
        }
    }
    resolveFilter() {
        this._filter = new SimpleFilter('', this.card.resourceType, this.card.filter);
    }
    ngOnDestroy() {
        this.subCount.unsubscribe();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCountCardComponent, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCountCardComponent, selector: "ncc-abstract-count-card", inputs: { card: "card" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCountCardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-count-card',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }], propDecorators: { card: [{
                type: Input
            }] } });

class AbstractIframeCardComponent {
    _sanitizer;
    card;
    sanitizedURL;
    constructor(_sanitizer) {
        this._sanitizer = _sanitizer;
    }
    ngOnInit() {
        // TODO SECURITY 11.4.2020 - better sanitization
        this.sanitizedURL = this._sanitizer.bypassSecurityTrustResourceUrl(this.card.url);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractIframeCardComponent, deps: [{ token: i2$1.DomSanitizer }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractIframeCardComponent, selector: "ncc-abstract-iframe-card", inputs: { card: "card" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractIframeCardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-iframe-card',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i2$1.DomSanitizer }], propDecorators: { card: [{
                type: Input
            }] } });

class AbstractCustomCardComponent {
    _injector;
    resourceService;
    translateService;
    loggerService;
    card;
    _filter;
    loading;
    count;
    value;
    single;
    multi;
    showLegend = true;
    showLabels = true;
    animations = true;
    xAxis = true;
    yAxis = true;
    showYAxisLabel = true;
    showXAxisLabel = true;
    gradient = true;
    colorScheme = {
        domain: ['#5AA454', '#E44D25', '#CFC0BB', '#7aa3e5',
            '#a8385d', '#aae3f5', '#cfeacd', '#25e491',
            '#a10ed6', '#b9c9e3', '#a8385d', '#aae3f5',
            '#bbbfbf', '#e7a897', '#854618', '#7aa3e5',
            '#a8385d', '#0db8ee']
    };
    constructor(_injector, resourceService, translateService, loggerService) {
        this._injector = _injector;
        this.resourceService = resourceService;
        this.translateService = translateService;
        this.loggerService = loggerService;
        this.loading = new LoadingEmitter();
        this.single = new Array();
        this.multi = new Array();
        this.value = 0;
        this.count = 0;
    }
    ngOnInit() {
        this.card.units = this.translateService.instant('dashboard.' + this.card.units);
        this.resourceService.getDashboardData(this.getResourceTypeAsString(), this.card.query).subscribe(json => {
            this.convertData(json);
        }, error => {
            this.loggerService.error('Error occurred when calling dashboard resource service');
        });
    }
    ngOnDestroy() {
        this.loading.complete();
    }
    getResourceTypeAsString() {
        return this.card.resourceType.toLowerCase();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCustomCardComponent, deps: [{ token: i0.Injector }, { token: DashboardResourceService }, { token: i1$2.TranslateService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractCustomCardComponent, selector: "ncc-abstract-custom-card", inputs: { card: "card", single: "single" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractCustomCardComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-custom-card',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: DashboardResourceService }, { type: i1$2.TranslateService }, { type: LoggerService }], propDecorators: { card: [{
                type: Input
            }], single: [{
                type: Input
            }] } });

class GridFiller {
    start;
    end;
    isIntentional = true;
    constructor(start, end) {
        this.start = start;
        this.end = end;
    }
    fillersAfterCover(start, end) {
        this.isIntentional = false;
        if (this.start < start) {
            if (end < this.end) {
                // split the filler into two
                const rightHalf = new GridFiller(end + 1, this.end);
                this.end = start - 1;
                rightHalf.isIntentional = false;
                return [this, rightHalf];
            }
            else {
                // end might be cut-off
                this.end = Math.min(this.end, start - 1);
                return [this];
            }
        }
        else {
            if (end < this.end) {
                // start might be cut-off
                this.start = Math.max(this.start, end + 1);
                return [this];
            }
            else {
                // entire filler is covered
                return [];
            }
        }
    }
    convertToGridElement(y) {
        return {
            type: 'blank',
            layout: {
                x: this.start,
                y,
                rows: 1,
                cols: this.end - this.start + 1
            }
        };
    }
    isFullWidth(width) {
        return this.start === 0 && this.end === width - 1;
    }
}

class GridLayoutHelper {
    _log;
    constructor(_log) {
        this._log = _log;
    }
    static addGridRows(grid, newRowCount, columnCount) {
        while (grid.length < newRowCount) {
            grid.push(GridLayoutHelper.newGridRow(columnCount));
        }
    }
    static newGridRow(cols) {
        return [new GridFiller(0, cols - 1)];
    }
    fillBlankSpace(gridElements, columnCount, elementVisibilityCondition = () => true) {
        const grid = [];
        gridElements.forEach(element => {
            const elementRowEnd = element.layout.y + element.layout.rows - 1;
            const elementColEnd = element.layout.x + element.layout.cols - 1;
            if (elementRowEnd >= grid.length) {
                GridLayoutHelper.addGridRows(grid, elementRowEnd + 1, columnCount);
            }
            for (let row = element.layout.y; row <= elementRowEnd; row++) {
                if (!elementVisibilityCondition(element)) {
                    for (const filler of grid[row]) {
                        filler.isIntentional = false;
                    }
                }
                else {
                    const newFillers = [];
                    for (const filler of grid[row]) {
                        newFillers.push(...filler.fillersAfterCover(element.layout.x, elementColEnd));
                    }
                    grid[row] = newFillers;
                }
            }
        });
        const result = gridElements.filter(element => elementVisibilityCondition(element))
            .map(element => ({
            item: element,
            type: element.type,
            layout: element.layout
        }));
        let encounteredFirst = false;
        for (let y = grid.length - 1; y >= 0; y--) {
            const row = grid[y];
            if (row.length === 0) {
                encounteredFirst = true;
            }
            row.forEach(filler => {
                if (!encounteredFirst && !filler.isFullWidth(columnCount)) {
                    encounteredFirst = true;
                }
                if (encounteredFirst && (filler.isIntentional || !filler.isFullWidth(columnCount))) {
                    result.push(filler.convertToGridElement(y));
                }
            });
        }
        return result.sort((a, b) => {
            if (a.layout.y < b.layout.y) {
                return -1;
            }
            else if (a.layout.y > b.layout.y) {
                return 1;
            }
            if (a.layout.x < b.layout.x) {
                return -1;
            }
            else if (a.layout.x > b.layout.x) {
                return 1;
            }
            this._log.warn('Two elements in grid layout have the same X and Y coordinates! Make sure your data is valid.');
            return 0;
        });
    }
}

class AbstractDashboardContentComponent {
    _log;
    params;
    portalComponent;
    cardTypes = DashboardCardTypes;
    gridElements;
    constructor(_log) {
        this._log = _log;
        this.gridElements = [];
    }
    ngOnInit() {
        const gridLayoutHelper = new GridLayoutHelper(this._log);
        this.gridElements = gridLayoutHelper.fillBlankSpace(this.params.cards, this.params.columns);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardContentComponent, deps: [{ token: LoggerService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractDashboardContentComponent, selector: "ncc-abstract-dashboard-content", inputs: { params: "params", portalComponent: "portalComponent" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractDashboardContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-dashboard-content',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: LoggerService }], propDecorators: { params: [{
                type: Input
            }], portalComponent: [{
                type: Input
            }] } });

/* INTERFACES */

/**
 * Used for providing any additional constraints to the filter case filtering, when
 * user filters are loaded via the {@link UserFiltersService}.
 *
 * The provided filter must be of type `Case` as it is used for the filtering of cases representing saved user filters.
 */
const NAE_FILTERS_FILTER = new InjectionToken('NaeFiltersFilter');

/* SERVICES */

class SnackBarModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: SnackBarModule, declarations: [GenericSnackBarComponent,
            WarningSnackBarComponent,
            ErrorSnackBarComponent,
            SuccessSnackBarComponent], imports: [CommonModule,
            MaterialModule,
            FlexLayoutModule,
            FlexModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarModule, imports: [CommonModule,
            MaterialModule,
            FlexLayoutModule,
            FlexModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SnackBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        GenericSnackBarComponent,
                        WarningSnackBarComponent,
                        ErrorSnackBarComponent,
                        SuccessSnackBarComponent
                    ],
                    imports: [
                        CommonModule,
                        MaterialModule,
                        FlexLayoutModule,
                        FlexModule
                    ]
                }]
        }] });

// COMPONENTS

/**
 * Represents a clause of {@link Predicate}s combined with a {@link BooleanOperator}.
 */
class ClausePredicate extends Predicate {
    _operator;
    _bracketSubPredicateText;
    /**
     * Stores the {@link Predicate}s that this Predicate combines.
     */
    _predicates;
    /**
     * Stores the resulting query of this Predicate.
     */
    _query;
    /**
     * @param predicates Predicates that should be combined into one
     * @param _operator Operator that is used to combine the predicates
     * @param initiallyVisible whether the predicate should be initially displayed or not
     * @param _bracketSubPredicateText whether the individual sub predicates are wrapped in brackets when a textual representation
     * is generated
     */
    constructor(predicates, _operator, initiallyVisible = true, _bracketSubPredicateText = false) {
        super(initiallyVisible);
        this._operator = _operator;
        this._bracketSubPredicateText = _bracketSubPredicateText;
        this._predicates = [];
        this._predicates.push(...predicates);
        this.updateQuery();
        this.initializeFilterTextSegmentsGenerator();
    }
    get query() {
        return this._query;
    }
    /**
     * Adds another {@link Predicate} to the clause and updates this {@link Predicate}'s {@link Query}.
     * @param newPredicate - the Predicate that should be added to the clause
     * @returns the index of the added Predicate, that can be used to remove it.
     * Note that removing predicates with a lower index shifts the order of indices.
     */
    addPredicate(newPredicate) {
        this._predicates.push(newPredicate);
        this.updateQuery();
        return this._predicates.length - 1;
    }
    /**
     * Removes the {@link Predicate} at the given `index` from this clause and updates this {@link Predicate}'s {@link Query}.
     * If the `index` is invalid does nothing.
     * @param index index of the {@link Predicate} in this clause that should be removed
     * @returns whether a predicate was removed, or not
     */
    removePredicate(index) {
        if (index >= 0 && index < this._predicates.length) {
            this._predicates.splice(index, 1);
            this.updateQuery();
            return true;
        }
        return false;
    }
    /**
     * Sets this predicate and all its sub-predicates to visible.
     */
    showAll() {
        this.show();
        this._predicates.forEach(p => p.show());
    }
    /**
     * Updates the value of the [_query]{@link ClausePredicate#_query} attribute.
     *
     * See [combineQueries()]{@link Query#combineQueries} for more information.
     */
    updateQuery() {
        this._query = Query.combineQueries(this.queries, this._operator);
    }
    /**
     * @returns the `Array` of {@link Query} objects stored within this object's [_predicates]{@link ClausePredicate#_predicates} attribute.
     */
    get queries() {
        return this._predicates.map(p => p.query);
    }
    initializeFilterTextSegmentsGenerator() {
        this._filterTextSegmentsGenerator = () => {
            return Predicate.combineTextSegmentsWithBooleanOperator(this._predicates, this._operator, this._bracketSubPredicateText);
        };
    }
}

/**
 * This service is used to signal to inputs in advanced search components, whether they should autofocus, or not.
 *
 * The inputs should autofocus, when the user interacts with them, but should not auto focus if the first empty predicate is created on
 * advanced search component initialization.
 */
class AdvancedSearchComponentInitializationService {
    _initialized;
    constructor() {
        this._initialized = new LoadingEmitter(false);
    }
    ngOnDestroy() {
        this._initialized.complete();
    }
    /**
     * @returns `false` until the [completeInitialization()]{@link AdvancedSearchComponentInitializationService#completeInitialization}
     * method is called. Returns `true` afterwards.
     */
    get isInitialized() {
        return this._initialized.isActive;
    }
    /**
     * Changes the state to `initialized`.
     */
    completeInitialization() {
        this._initialized.on();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AdvancedSearchComponentInitializationService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AdvancedSearchComponentInitializationService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AdvancedSearchComponentInitializationService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

/**
 * Contains configuration of the [SearchComponent]{@link AbstractSearchComponent} that injects them.
 *
 * The component can be also configured by component inputs.
 */
const NAE_SEARCH_COMPONENT_CONFIGURATION = new InjectionToken('NaeSearchComponentConfiguration');

/**
 * Contains the search categories that can be used with the [SearchComponent]{@link AbstractSearchComponent} that injects them.
 *
 * The search component is universal and the categories provided with this token are what determines what query objects
 * are going to be constructed.
 *
 * The token content with the type `Array<Category<any>>` has been deprecated in 5.6.0 in favor of the new type `Array<Type<Category<any>>>`
 * but remains for backwards-compatibility.
 */
const NAE_SEARCH_CATEGORIES = new InjectionToken('NaeSearchCategories');
/**
 * Contains a list of classes that represent the default case search categories.
 *
 * The default search categories can be overridden by providing this injection token with a new set of categories in the `AppComponent`.
 */
const NAE_DEFAULT_CASE_SEARCH_CATEGORIES = new InjectionToken('NaeDefaultCaseSearchCategories');
/**
 * Contains a list of classes that represent the default task search categories.
 *
 * The default search categories can be overridden by providing this injection token with a new set of categories in the `AppComponent`.
 */
const NAE_DEFAULT_TASK_SEARCH_CATEGORIES = new InjectionToken('NaeDefaultTaskSearchCategories');

/**
 * A universal search component that can be used to interactively create search predicates for anything with supported categories.
 *
 * This component is responsible for the interactive creation of an AND {@link ClausePredicate} object instance.
 * The nested Predicates are OR {@link ClausePredicate} instances created by {@link AbstractSearchClauseComponent}.
 *
 * Search categories must be provided by the {@link NAE_SEARCH_CATEGORIES} injection token.
 * Default factory methods for [task]{@link defaultTaskSearchCategoriesFactory} and
 * [case]{@link defaultCaseSearchCategoriesFactory} search categories exist. See their documentation for more information.
 *
 * The search component's visuals can be configured either by the {@link NAE_SEARCH_COMPONENT_CONFIGURATION} injection token,
 * or by the appropriate component inputs. The injection token configuration takes precedence over the inputs if both are present.
 */
class AbstractSearchComponent {
    _searchService;
    _logger;
    _dialogService;
    _translate;
    _userFilterService;
    _allowedNetsService;
    _viewIdService;
    _searchCategories;
    _configuration;
    _filtersFilter;
    _navigationItemTaskData;
    advancedSearchDisplayed;
    _showSearchIcon = true;
    _showSearchToggleButton = true;
    _showAdvancedSearchHelp = true;
    _showSaveFilterButton = true;
    _showLoadFilterButton = true;
    _initialSearchMode = SearchMode.FULLTEXT;
    disabled;
    /**
     * Set data request body, that is sent to the filter in addition to the default body.
     * The default body is applied first and can be overridden by this argument.
     */
    additionalFilterData = {};
    /**
     * The emitted data contains the filter case object
     */
    filterLoaded = new EventEmitter();
    /**
     * The emitted data contains only the saved case's ID
     */
    filterSaved = new EventEmitter();
    constructor(_searchService, _logger, _dialogService, _translate, _userFilterService, _allowedNetsService, _viewIdService, _searchCategories, _configuration, _filtersFilter = null, _navigationItemTaskData = null) {
        this._searchService = _searchService;
        this._logger = _logger;
        this._dialogService = _dialogService;
        this._translate = _translate;
        this._userFilterService = _userFilterService;
        this._allowedNetsService = _allowedNetsService;
        this._viewIdService = _viewIdService;
        this._searchCategories = _searchCategories;
        this._configuration = _configuration;
        this._filtersFilter = _filtersFilter;
        this._navigationItemTaskData = _navigationItemTaskData;
        if (this._configuration === null) {
            this._configuration = {};
        }
    }
    ngOnInit() {
        this.advancedSearchDisplayed = this.initialSearchMode === SearchMode.ADVANCED;
    }
    get showSearchIcon() {
        return this._configuration.showSearchIcon ?? this._showSearchIcon;
    }
    set showSearchIcon(value) {
        this._showSearchIcon = value;
    }
    get showAdvancedSearchHelp() {
        return this._configuration.showAdvancedSearchHelp ?? this._showAdvancedSearchHelp;
    }
    set showAdvancedSearchHelp(value) {
        this._showAdvancedSearchHelp = value;
    }
    get showSaveFilterButton() {
        return this._configuration.showSaveFilterButton ?? this._showSaveFilterButton;
    }
    set showSaveFilterButton(value) {
        this._showSaveFilterButton = value;
    }
    get showLoadFilterButton() {
        return this._configuration.showLoadFilterButton ?? this._showLoadFilterButton;
    }
    set showLoadFilterButton(value) {
        this._showLoadFilterButton = value;
    }
    get initialSearchMode() {
        return this._configuration.initialSearchMode ?? this._initialSearchMode;
    }
    set initialSearchMode(value) {
        this._initialSearchMode = value;
    }
    get showSearchToggleButton() {
        return this._configuration.showSearchToggleButton ?? this._showSearchToggleButton;
    }
    set showSearchToggleButton(value) {
        this._showSearchToggleButton = value;
    }
    hasPredicates() {
        return Array.from(this._searchService.rootPredicate.getPredicateMap().values()).some(value => value.isVisible);
    }
    toggleSearchMode() {
        if (this.advancedSearchDisplayed) {
            this._searchService.clearPredicates();
        }
        else {
            this._searchService.clearFullTextFilter();
        }
        this.advancedSearchDisplayed = !this.advancedSearchDisplayed;
    }
    showHelp() {
        this._dialogService.openAlertDialog(this._translate.instant('search.help.title'), this._translate.instant('search.help.text'));
    }
    /**
     * The saved filter data are emitted into the [filterSaved]{@link AbstractSearchComponent#filterSaved} `EventEmitter`
     */
    saveFilter() {
        this._userFilterService.save(this._searchService, this._allowedNetsService.allowedNetsIdentifiers, this._searchCategories, this._viewIdService.viewId, this.additionalFilterData, this._configuration.saveFilterWithDefaultCategories ?? true, this._configuration.inheritAllowedNets ?? true, this._navigationItemTaskData).subscribe(savedFilterData => {
            if (savedFilterData) {
                this.filterSaved.emit(savedFilterData);
            }
        });
    }
    /**
     * The loaded filter data are emitted into the [filterLoaded]{@link AbstractSearchComponent#filterLoaded} `EventEmitter`
     */
    loadFilter() {
        this._userFilterService.load(this._searchService.filterType, this._filtersFilter ?? undefined).subscribe(savedFilterData => {
            if (savedFilterData) {
                this.filterLoaded.emit(savedFilterData);
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchComponent, deps: [{ token: SearchService }, { token: LoggerService }, { token: DialogService }, { token: i1$2.TranslateService }, { token: UserFiltersService }, { token: AllowedNetsService }, { token: ViewIdService }, { token: NAE_SEARCH_CATEGORIES }, { token: NAE_SEARCH_COMPONENT_CONFIGURATION, optional: true }, { token: NAE_FILTERS_FILTER, optional: true }, { token: NAE_NAVIGATION_ITEM_TASK_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchComponent, selector: "ncc-abstract-search", inputs: { disabled: "disabled", additionalFilterData: "additionalFilterData", showSearchIcon: "showSearchIcon", showAdvancedSearchHelp: "showAdvancedSearchHelp", showSaveFilterButton: "showSaveFilterButton", showLoadFilterButton: "showLoadFilterButton", initialSearchMode: "initialSearchMode", showSearchToggleButton: "showSearchToggleButton" }, outputs: { filterLoaded: "filterLoaded", filterSaved: "filterSaved" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-search',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SearchService }, { type: LoggerService }, { type: DialogService }, { type: i1$2.TranslateService }, { type: UserFiltersService }, { type: AllowedNetsService }, { type: ViewIdService }, { type: Array, decorators: [{
                    type: Inject,
                    args: [NAE_SEARCH_CATEGORIES]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_SEARCH_COMPONENT_CONFIGURATION]
                }] }, { type: Filter, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_FILTERS_FILTER]
                }] }, { type: Array, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_NAVIGATION_ITEM_TASK_DATA]
                }] }], propDecorators: { disabled: [{
                type: Input
            }], additionalFilterData: [{
                type: Input
            }], filterLoaded: [{
                type: Output
            }], filterSaved: [{
                type: Output
            }], showSearchIcon: [{
                type: Input
            }], showAdvancedSearchHelp: [{
                type: Input
            }], showSaveFilterButton: [{
                type: Input
            }], showLoadFilterButton: [{
                type: Input
            }], initialSearchMode: [{
                type: Input
            }], showSearchToggleButton: [{
                type: Input
            }] } });

class AbstractFulltextSearchComponent {
    _searchService;
    set disabled(value) {
        if (value) {
            this.fullTextFormControl.disable();
        }
        else {
            this.fullTextFormControl.enable();
        }
    }
    fullTextFormControl;
    constructor(_searchService) {
        this._searchService = _searchService;
        this.fullTextFormControl = new FormControl();
        this.fullTextFormControl.valueChanges.pipe(debounceTime(600), filter(newValue => typeof newValue === 'string'), map((newValue) => newValue.trim())).subscribe((fulltext) => {
            if (fulltext.length === 0) {
                this._searchService.clearFullTextFilter();
            }
            else {
                this._searchService.setFullTextFilter(fulltext);
            }
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFulltextSearchComponent, deps: [{ token: SearchService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFulltextSearchComponent, selector: "ncc-abstract-fulltext-search", inputs: { disabled: "disabled" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFulltextSearchComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-fulltext-search',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SearchService }], propDecorators: { disabled: [{
                type: Input
            }] } });

class AbstractAdvancedSearchComponent {
    _searchService;
    _initializationService;
    /**
     * Whether the contents displayed in this component can be edited by the user or not.
     *
     * Defaults to `true`
     */
    editable = true;
    removeChild$;
    constructor(_searchService, _initializationService) {
        this._searchService = _searchService;
        this._initializationService = _initializationService;
        this.removeChild$ = new Subject();
        this.removeChild$.subscribe(id => this._removeChildAt(id));
        if (!this._searchService.hasVisiblePredicates) {
            this.addChildPredicate();
        }
    }
    ngAfterViewInit() {
        this._initializationService.completeInitialization();
    }
    ngOnDestroy() {
        this.removeChild$.complete();
    }
    trackByPredicates = (a, b) => b.value;
    getPredicateMap() {
        const map = new Map();
        for (const [key, value] of this._searchService.rootPredicate.getPredicateMap().entries()) {
            if (value.isVisible) {
                map.set(key, value.getWrappedPredicate());
            }
        }
        return map;
    }
    addChildPredicate() {
        this._searchService.rootPredicate.addNewClausePredicate(BooleanOperator.OR);
    }
    _removeChildAt(id) {
        this._searchService.rootPredicate.removePredicate(id);
        if (this.getPredicateMap().size === 0) {
            this.addChildPredicate();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAdvancedSearchComponent, deps: [{ token: SearchService }, { token: AdvancedSearchComponentInitializationService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractAdvancedSearchComponent, selector: "ncc-abstract-advanced-search", inputs: { editable: "editable" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractAdvancedSearchComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-advanced-search',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: SearchService }, { type: AdvancedSearchComponentInitializationService }], propDecorators: { editable: [{
                type: Input
            }] } });

/**
 * Is responsible for the interactive creation of an OR {@link ClausePredicate} object instance.
 * The nested Predicates are {@link ElementaryPredicate} instances created by {@link AbstractSearchPredicateComponent}.
 */
class AbstractSearchClauseComponent {
    /**
     * Whether the contents displayed in this component can be edited by the user or not.
     *
     * Defaults to `true`
     */
    editable = true;
    predicate;
    predicateId;
    remove$;
    removeChild$;
    constructor() {
        this.removeChild$ = new Subject();
        this.removeChild$.subscribe(id => this.removeChildAt(id));
    }
    ngOnInit() {
        if (this.getPredicateMap().size === 0) {
            this.addChildPredicate();
        }
    }
    ngOnDestroy() {
        this.removeChild$.complete();
    }
    trackByPredicates = (a, b) => b.value;
    getPredicateMap() {
        const map = new Map();
        for (const [key, value] of this.predicate.getPredicateMap().entries()) {
            if (value.isVisible) {
                map.set(key, value);
            }
        }
        return map;
    }
    removeChildAt(id) {
        this.predicate.removePredicate(id);
        if (this.predicate.getPredicateMap().size === 0) {
            this.remove$.next(this.predicateId);
        }
    }
    addChildPredicate() {
        this.predicate.addNewElementaryPredicate();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchClauseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchClauseComponent, selector: "ncc-abstract-search-clause", inputs: { editable: "editable", predicate: "predicate", predicateId: "predicateId", remove$: "remove$" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchClauseComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-search-clause',
                    template: ''
                }]
        }], ctorParameters: () => [], propDecorators: { editable: [{
                type: Input
            }], predicate: [{
                type: Input
            }], predicateId: [{
                type: Input
            }], remove$: [{
                type: Input
            }] } });

/**
 * Is responsible for the interactive creation of a single {@link ElementaryPredicate} object instance.
 */
class AbstractSearchPredicateComponent {
    _naeSearchCategories;
    _logger;
    _initializationService;
    _categoryFactory;
    /**
     * Whether the contents displayed in this component can be edited by the user or not.
     *
     * Defaults to `true`
     */
    editable = true;
    predicate;
    predicateId;
    remove$;
    /**
     * Optional generator with prefilled values. Can be used to add prefilled predicate components to the search GUI.
     */
    generator;
    _selectedCategory;
    _predicateChange;
    _searchCategories;
    constructor(_naeSearchCategories, _logger, _initializationService, _categoryFactory) {
        this._naeSearchCategories = _naeSearchCategories;
        this._logger = _logger;
        this._initializationService = _initializationService;
        this._categoryFactory = _categoryFactory;
    }
    ngOnInit() {
        let found = false;
        this._searchCategories = this._naeSearchCategories.map(category => {
            // if the provided generator is the same class as one of the injected search categories
            if (this.generator && this.generator.constructor === category) {
                found = true;
                this.categoryChanged(this.generator);
                return this.generator;
            }
            return this._categoryFactory.get(category);
        });
        if (this.generator && !found) {
            this._logger.error('Provided predicate generator is not an allowed category from the NAE_SEARCH_CATEGORIES injection token!'
                + ' Behavior in this case is undefined.');
        }
        this.predicate.setMetadataGenerator(() => {
            if (!!this._selectedCategory) {
                return this._selectedCategory.createMetadata();
            }
            return undefined;
        });
        this.predicate.setFilterTextSegmentsGenerator(() => {
            if (!!this._selectedCategory) {
                return this._selectedCategory.createFilterTextSegments();
            }
            return [];
        });
    }
    ngOnDestroy() {
        if (this._predicateChange && !this._predicateChange.closed) {
            this._predicateChange.unsubscribe();
        }
        this._searchCategories.forEach(cat => {
            if (cat !== this.generator) {
                cat.destroy();
            }
        });
    }
    get searchCategories() {
        return this._searchCategories;
    }
    set categoryInput(input) {
        if (input && this._initializationService.isInitialized) {
            setTimeout(() => {
                input.focus();
                input.open();
            });
        }
    }
    get selectedCategory() {
        return this._selectedCategory;
    }
    set selectedCategory(newCategory) {
        this.categoryChanged(newCategory);
    }
    /**
     * Lambda that is used to preserve `this` reference in HTML binding.
     *
     * See [_renderSelection()]{@link AbstractSearchPredicateComponent#_renderSelection} for information about the transform function.
     * @param option the {@link SearchAutocompleteOption} object that was selected in the autocomplete list.
     */
    renderSelection = (option) => this._renderSelection(option);
    remove() {
        this.remove$.next(this.predicateId);
    }
    categoryChanged(newCategory) {
        if (this.selectedCategory !== undefined) {
            this.selectedCategory.reset();
        }
        this._selectedCategory = newCategory;
        if (newCategory !== undefined) {
            if (this._predicateChange) {
                this._predicateChange.unsubscribe();
            }
            this._predicateChange = newCategory.generatedPredicate$.subscribe(predicate => this.processPredicateChange(predicate));
        }
    }
    clearCategorySelection() {
        if (!this.editable) {
            return;
        }
        this.categoryChanged(undefined);
    }
    /**
     * Transforms a {@link SearchAutocompleteOption} object into it's name.
     * Used for displaying user selection in the input field, when an autocomplete option is selected.
     * @param option the object we want to transform. It might not exist if user input doesn't match any autocomplete option
     * @returns option name if it exists, empty string otherwise
     */
    _renderSelection(option) {
        return option ? option.text : '';
    }
    /**
     * Notifies the `EditableElementaryPredicate` about changes to the predicate generated by the selected `Category`.
     * @param newPredicate predicate generated by the selected `Category`
     */
    processPredicateChange(newPredicate) {
        if (newPredicate === undefined) {
            this.predicate.query = Query.emptyQuery();
            this._logger.debug('Editable query changed to empty query');
        }
        else {
            this.predicate.query = newPredicate.query;
            this._logger.debug(`Editable query changed to: ${newPredicate.query.value}`);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchPredicateComponent, deps: [{ token: NAE_SEARCH_CATEGORIES }, { token: LoggerService }, { token: AdvancedSearchComponentInitializationService }, { token: CategoryFactory }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchPredicateComponent, selector: "ncc-abstract-search-predicate", inputs: { editable: "editable", predicate: "predicate", predicateId: "predicateId", remove$: "remove$", generator: "generator" }, viewQueries: [{ propertyName: "categoryInput", first: true, predicate: ["categoryInput"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchPredicateComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-search-predicate',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: Array, decorators: [{
                    type: Inject,
                    args: [NAE_SEARCH_CATEGORIES]
                }] }, { type: LoggerService }, { type: AdvancedSearchComponentInitializationService }, { type: CategoryFactory }], propDecorators: { editable: [{
                type: Input
            }], predicate: [{
                type: Input
            }], predicateId: [{
                type: Input
            }], remove$: [{
                type: Input
            }], generator: [{
                type: Input
            }], categoryInput: [{
                type: ViewChild,
                args: ['categoryInput']
            }] } });

class AbstractSearchOperandInputComponent {
    /**
     * Whether the contents displayed in this component can be edited by the user or not.
     *
     * Defaults to `true`
     */
    editable = true;
    inputFormControl;
    inputType;
    first;
    /**
     * Only if the input is of type [AUTOCOMPLETE{@link SearchInputType#AUTOCOMPLETE}
     */
    filterOptionsFunction;
    _inputConfirmed = false;
    _filteredOptions$;
    _autocompleteChange;
    _initialExpansion = true;
    renderSelection = (selection) => this._renderSelection(selection);
    ngOnInit() {
        if (this.inputType === SearchInputType.AUTOCOMPLETE) {
            this._autocompleteChange = this.inputFormControl.valueChanges.subscribe(val => {
                setTimeout(() => {
                    this._inputConfirmed = !!val && (typeof val !== 'string');
                });
            });
        }
        if (this.isInputValueSet()) {
            this._inputConfirmed = true;
        }
    }
    ngOnDestroy() {
        if (this._autocompleteChange && !this._autocompleteChange.closed) {
            this._autocompleteChange.unsubscribe();
        }
    }
    get filteredOptions$() {
        if (!this._filteredOptions$) {
            this._filteredOptions$ = this.filterOptionsFunction(this.inputFormControl.valueChanges.pipe(debounceTime(600)));
        }
        return this._filteredOptions$;
    }
    isInputFilled() {
        if (!this._inputConfirmed) {
            return false;
        }
        return this.isInputValueSet();
    }
    set categoryInput(input) {
        if (input) {
            if (!this.first && this._initialExpansion) {
                this._initialExpansion = false;
                return;
            }
            this._initialExpansion = false;
            if (!this.isInputFilled()) {
                setTimeout(() => {
                    input.nativeElement.focus();
                });
            }
        }
    }
    confirmInput() {
        this._inputConfirmed = true;
    }
    editInput() {
        if (!this.editable) {
            return;
        }
        this._inputConfirmed = false;
    }
    /**
     * Autocomplete `displayWith` function
     * @param selection the selected option
     */
    _renderSelection(selection) {
        return selection ? selection.text : '';
    }
    isInputValueSet() {
        if (this.inputType === SearchInputType.AUTOCOMPLETE) {
            return !!this.inputFormControl.value
                && (typeof this.inputFormControl.value !== 'string');
        }
        if (this.inputType === SearchInputType.TEXT) {
            return this.inputFormControl.value !== undefined
                && this.inputFormControl.value !== null
                && this.inputFormControl.value.length > 0;
        }
        return this.inputFormControl.value !== undefined
            && this.inputFormControl.value !== null;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchOperandInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchOperandInputComponent, selector: "ncc-abstract-search-operand-input", inputs: { editable: "editable", inputFormControl: "inputFormControl", inputType: "inputType", first: "first", filterOptionsFunction: "filterOptionsFunction" }, viewQueries: [{ propertyName: "categoryInput", first: true, predicate: ["operandInput"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchOperandInputComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-search-operand-input',
                    template: ''
                }]
        }], propDecorators: { editable: [{
                type: Input
            }], inputFormControl: [{
                type: Input
            }], inputType: [{
                type: Input
            }], first: [{
                type: Input
            }], filterOptionsFunction: [{
                type: Input
            }], categoryInput: [{
                type: ViewChild,
                args: ['operandInput']
            }] } });

class AbstractSearchConfigurationInputComponent {
    /**
     * Whether the contents displayed in this component can be edited by the user or not.
     *
     * Defaults to `true`
     */
    editable = true;
    configuration;
    selectedCategory;
    set configurationInput(input) {
        // TODO 20.1.2021 BUG - if multiple configuration inputs are displayed at the same time all of them will be focused.
        //  The same fix as in OperandInputs can be applied here as well.
        if (input) {
            setTimeout(() => {
                if (input.nativeElement !== undefined) {
                    const ref = input;
                    ref.nativeElement.focus();
                }
                else {
                    const select = input;
                    select.focus();
                    select.open();
                }
            });
        }
    }
    trackByTemplateParts = (a, b) => this._trackByTemplateParts(a, b);
    /**
     * Lambda that is used to preserve `this` reference in HTML binding.
     *
     * See [_renderSelection()]{@link AbstractSearchPredicateComponent#_renderSelection} for information about the transform function.
     * @param option the {@link SearchAutocompleteOption} object that was selected in the autocomplete list.
     */
    renderSelection = (option) => this._renderSelection(option);
    clearConfigurationInput() {
        if (!this.editable) {
            return;
        }
        this.configuration.clear();
    }
    clearOperatorInput() {
        if (!this.editable) {
            return;
        }
        this.selectedCategory.clearOperatorSelection();
    }
    filterOptions = userInput => {
        return this.selectedCategory.filterOptions(userInput);
    };
    /**
     * Function for tracking Template parts in ngFor.
     * @param index index of the ngFor element
     * @param item template part
     */
    _trackByTemplateParts(index, item) {
        return item.id;
    }
    /**
     * Transforms a {@link SearchAutocompleteOption} object into it's name.
     * Used for displaying user selection in the input field, when an autocomplete option is selected.
     * @param option the object we want to transform. It might not exist if user input doesn't match any autocomplete option
     * @returns option name if it exists, empty string otherwise
     */
    _renderSelection(option) {
        return option ? option.text : '';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchConfigurationInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractSearchConfigurationInputComponent, selector: "ncc-abstract-search-configuration-input", inputs: { editable: "editable", configuration: "configuration", selectedCategory: "selectedCategory" }, viewQueries: [{ propertyName: "configurationInput", first: true, predicate: ["configurationInput"], descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractSearchConfigurationInputComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-search-configuration-input',
                    template: ''
                }]
        }], propDecorators: { editable: [{
                type: Input
            }], configuration: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], configurationInput: [{
                type: ViewChild,
                args: ['configurationInput']
            }] } });

/**
 * Creates the default case search categories.
 *
 * Depends on {@link CategoryFactory}.
 *
 * The created categories cannot be used to generate any predicates, as their inner state is preemptively destroyed to avoid memory leaks
 * caused by uncompleted Subjects. They should only be used to create new Category instances with the help of the
 * [duplicate()]{@link Category#duplicate} method.
 *
 * @returns an Array containing the default case search categories: {@link CaseDataset}, {@link CaseTitle}, {@link CaseCreationDate},
 * {@link CaseProcess}, {@link CaseTask}, {@link CaseAuthor}, {@link CaseVisualId} and {@link CaseStringId}
 *
 * @deprecated in 5.6.0 - Use the {@link NAE_DEFAULT_CASE_SEARCH_CATEGORIES} injection token instead
 */
function defaultCaseSearchCategoriesFactory(factory) {
    const cats = [
        factory.get(CaseDataset),
        factory.get(CaseTitle),
        factory.get(CaseCreationDate),
        factory.get(CaseCreationDateTime),
        factory.get(CaseProcess),
        factory.get(CaseTask),
        factory.get(CaseAuthor),
        factory.get(CaseVisualId),
        factory.get(CaseStringId),
    ];
    cats.forEach(cat => cat.destroy());
    return cats;
}
/**
 * Creates the default task search categories.
 *
 * Depends on {@link CategoryFactory}.
 *
 * The created categories cannot be used to generate any predicates, as their inner state is preemptively destroyed to avoid memory leaks
 * caused by uncompleted Subjects. They should only be used to create new Category instances with the help of the
 * [duplicate()]{@link Category#duplicate} method.
 *
 * @returns an Array containing the default task search categories: {@link TaskAssignee}, {@link TaskTask}, {@link TaskProcess}
 * and {@link TaskRole}
 *
 * @deprecated in 5.6.0 - Use the {@link NAE_DEFAULT_TASK_SEARCH_CATEGORIES} injection token instead
 */
function defaultTaskSearchCategoriesFactory(factory) {
    const cats = [
        factory.get(TaskAssignee),
        factory.get(TaskTask),
        factory.get(TaskProcess),
        factory.get(TaskRole),
    ];
    cats.forEach(cat => cat.destroy());
    return cats;
}

class DefaultSearchCategoriesModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DefaultSearchCategoriesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: DefaultSearchCategoriesModule });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DefaultSearchCategoriesModule, providers: [
            {
                provide: NAE_DEFAULT_CASE_SEARCH_CATEGORIES,
                useValue: [
                    CaseDataset,
                    CaseTitle,
                    CaseCreationDate,
                    CaseCreationDateTime,
                    CaseProcess,
                    CaseTask,
                    CaseAuthor,
                    CaseVisualId,
                    CaseStringId,
                ]
            }, {
                provide: NAE_DEFAULT_TASK_SEARCH_CATEGORIES,
                useValue: [
                    TaskAssignee,
                    TaskTask,
                    TaskProcess,
                    TaskRole,
                ]
            }
        ] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: DefaultSearchCategoriesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [],
                    providers: [
                        {
                            provide: NAE_DEFAULT_CASE_SEARCH_CATEGORIES,
                            useValue: [
                                CaseDataset,
                                CaseTitle,
                                CaseCreationDate,
                                CaseCreationDateTime,
                                CaseProcess,
                                CaseTask,
                                CaseAuthor,
                                CaseVisualId,
                                CaseStringId,
                            ]
                        }, {
                            provide: NAE_DEFAULT_TASK_SEARCH_CATEGORIES,
                            useValue: [
                                TaskAssignee,
                                TaskTask,
                                TaskProcess,
                                TaskRole,
                            ]
                        }
                    ]
                }]
        }] });

/* Classes */

const NAE_DEFAULT_LANGUAGE = new InjectionToken('NaeDefaultLanguage');

class ProcessList {
    _resources;
    _log;
    _loading$;
    _processes;
    _rolesIndex;
    _selectedRoles;
    constructor(_resources, _log) {
        this._resources = _resources;
        this._log = _log;
        this._loading$ = new LoadingEmitter();
        this._processes = [];
        this._rolesIndex = {};
        this._selectedRoles = new Set();
    }
    get loading() {
        return this._loading$.getValue();
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get processes() {
        return this._processes;
    }
    get selectedRoles() {
        return [...this._selectedRoles];
    }
    loadProcesses() {
        if (this.loading) {
            return;
        }
        this._loading$.on();
        this._resources.getAll().pipe(catchError(err => {
            this._log.error('Failed to load Petri nets', err);
            return of([]);
        }), map(p => Array.isArray(p) ? p : []), map(ps => ps.map(p => ({
            ...p,
            roles: []
        })))).subscribe(nets => {
            const cache = {};
            nets.forEach(net => {
                if (cache[net.identifier]) {
                    cache[net.identifier].processes.push(net);
                }
                else {
                    cache[net.identifier] = {
                        identifier: net.identifier,
                        title: net.title,
                        initials: net.initials,
                        newestVersion: undefined,
                        processes: [net],
                        loading: true,
                        emptyRoles: true,
                        someRolesSelected: false
                    };
                }
                cache[net.identifier].processes.sort((a, b) => {
                    return b.version.localeCompare(a.version, undefined, { numeric: true });
                });
                cache[net.identifier].newestVersion = cache[net.identifier].processes[0].version;
            });
            this._processes = Object.values(cache).sort();
            this._loading$.off();
        });
    }
    prepareToTryAgainToLoadRoles(item) {
        if (!item || !item.emptyRoles) {
            return;
        }
        item.loading = true;
    }
    selectRoles(roleIds) {
        if (!roleIds) {
            roleIds = new Set([]);
        }
        roleIds.forEach(role => {
            this._selectedRoles.delete(role);
        });
        this._selectedRoles.forEach(role => {
            if (this._rolesIndex[role]) {
                this._rolesIndex[role].forEach(r => r.selected = false);
            }
        });
        this._selectedRoles = roleIds;
        this._selectedRoles.forEach(role => {
            if (this._rolesIndex[role]) {
                this._rolesIndex[role].forEach(r => r.selected = true);
            }
        });
        this.updateSelectedRolesFlag(Object.keys(this._rolesIndex)
            .filter(r => this._selectedRoles.has(r))
            .map(r => this._rolesIndex[r].length !== 0 ? this._rolesIndex[r][0].processIdentifier : null));
    }
    updateSelectedRoles(role) {
        role.selected ? this._selectedRoles.add(role.stringId) : this._selectedRoles.delete(role.stringId);
        this._rolesIndex[role.stringId].forEach(r => r.selected = role.selected);
    }
    loadProcessItemRoles(item) {
        if (!item || !item.emptyRoles) {
            return;
        }
        item.loading = true;
        forkJoin(item.processes.map(p => this.loadNetRoles(p))).subscribe(roles => {
            let isEmpty = true;
            roles.forEach((rs, i) => {
                item.processes[i].roles = rs;
                isEmpty = isEmpty && rs.length === 0;
            });
            item.emptyRoles = isEmpty;
            item.loading = false;
        });
    }
    loadNetRoles(net) {
        if (net.roles && net.roles.length !== 0) {
            return of(net.roles);
        }
        return this._resources.getPetriNetRoles(net.stringId).pipe(catchError(err => {
            this._log.error('Failed to load roles for Petri net [' + net.stringId + '] ' + net.title, err);
            return of([]);
        }), map((roles) => roles.processRoles.map(role => ({
            ...role,
            selected: false,
            processIdentifier: net.identifier,
            toggle() {
                this.selected = !this.selected;
            }
        }))), tap(roles => roles.forEach(role => {
            if (!this._rolesIndex[role.stringId]) {
                this._rolesIndex[role.stringId] = [role];
            }
            else {
                this._rolesIndex[role.stringId].push(role);
            }
            if (this._selectedRoles.has(role.stringId)) {
                role.selected = true;
            }
        })));
    }
    updateSelectedRolesFlag(identifiers) {
        if (!identifiers) {
            return;
        }
        timer(0).subscribe(_ => {
            if (identifiers.length === 0) {
                this._processes.forEach(process => {
                    process.someRolesSelected = false;
                });
            }
            identifiers.forEach(identifier => {
                if (!identifier) {
                    return;
                }
                const requested = this._processes.find(process => process.identifier === identifier);
                if (requested) {
                    requested.someRolesSelected = requested.processes.some(version => version.roles.length !== 0);
                }
            });
            this._processes.forEach(process => {
                if (!identifiers.find(i => process.identifier === i)) {
                    process.someRolesSelected = false;
                }
            });
        });
    }
}

class RoleAssignmentService {
    _log;
    _translate;
    _userList;
    _processList;
    constructor(userResources, processResources, snackbar, _log, _translate) {
        this._log = _log;
        this._translate = _translate;
        this._userList = new UserListService(userResources, _log, snackbar, _translate);
        this._processList = new ProcessList(processResources, _log);
    }
    get userList() {
        return this._userList;
    }
    get processList() {
        return this._processList;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentService, deps: [{ token: UserResourceService }, { token: PetriNetResourceService }, { token: SnackBarService }, { token: LoggerService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: UserResourceService }, { type: PetriNetResourceService }, { type: SnackBarService }, { type: LoggerService }, { type: i1$2.TranslateService }] });

class AbstractRoleAssignmentComponent {
    _service;
    _userService;
    userList;
    viewport;
    users;
    nets;
    userMultiSelect;
    searchUserControl = new FormControl();
    SEARCH_DEBOUNCE_TIME = 600;
    subValueChanges;
    subUsers;
    constructor(_service, _userService) {
        this._service = _service;
        this._userService = _userService;
        this.users = this._service.userList;
        this.nets = this._service.processList;
        this.userMultiSelect = true;
    }
    ngOnInit() {
        this.nets.loadProcesses();
        this.subValueChanges = this.searchUserControl.valueChanges.pipe(debounceTime(this.SEARCH_DEBOUNCE_TIME)).subscribe(searchText => {
            this.users.reload(searchText);
        });
    }
    ngAfterViewInit() {
        this.subUsers = this.users.usersReload$.subscribe(() => {
            this.userList.deselectAll();
            this.userList.selectedOptions.clear();
            this.autoSelectRoles();
        });
    }
    ngOnDestroy() {
        this._userService.reload();
        this.subValueChanges.unsubscribe();
        this.subUsers.unsubscribe();
        this.users = undefined;
        this.nets = undefined;
    }
    loadNextUserPage() {
        if (!this.viewport) {
            return;
        }
        this.users.nextPage(this.viewport.getRenderedRange().end, this.viewport.getDataLength());
    }
    autoSelectRoles() {
        const all = this.userList.selectedOptions.selected.map(option => option.value.roles);
        if (all.length === 0) {
            this.nets.selectRoles(new Set([]));
        }
        const intersection = all.reduce((acc, curr) => new Set([...acc].filter(s => curr.has(s))), all[0]);
        this.nets.selectRoles(intersection);
    }
    update(role) {
        this.nets.updateSelectedRoles(role);
        const selected = this.userList.selectedOptions.selected.map(option => option.value);
        this.users.updateRoles(selected, this.nets.selectedRoles).subscribe(_ => {
            this.autoSelectRoles();
        });
    }
    selectAllUsers(select) {
        this.userList.options.forEach(option => {
            option.value.selected = select;
        });
        this.autoSelectRoles();
    }
    toggleAllRoles(net, select) {
        net.roles.forEach(r => {
            r.selected = select;
            this.nets.updateSelectedRoles(r);
        });
        const selected = this.userList.selectedOptions.selected.map(option => option.value);
        this.users.updateRoles(selected, this.nets.selectedRoles).subscribe(_ => {
            this.autoSelectRoles();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRoleAssignmentComponent, deps: [{ token: RoleAssignmentService }, { token: UserService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractRoleAssignmentComponent, selector: "ncc-abstract-role", viewQueries: [{ propertyName: "userList", first: true, predicate: ["userList"], descendants: true }, { propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractRoleAssignmentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-role',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: RoleAssignmentService }, { type: UserService }], propDecorators: { userList: [{
                type: ViewChild,
                args: ['userList']
            }], viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

class UserInviteService {
    _log;
    _processList;
    constructor(processResources, _log) {
        this._log = _log;
        this._processList = new ProcessList(processResources, _log);
    }
    get processList() {
        return this._processList;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserInviteService, deps: [{ token: PetriNetResourceService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserInviteService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UserInviteService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: PetriNetResourceService }, { type: LoggerService }] });

class OrganizationListService {
    _resource;
    _log;
    _groups;
    _loading$;
    constructor(_resource, _log) {
        this._resource = _resource;
        this._log = _log;
        this._groups = [];
        this._loading$ = new LoadingEmitter();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get groups() {
        return this._groups;
    }
    get groups$() {
        return of(this._groups);
    }
    loadGroups() {
        if (this._loading$.isActive) {
            return;
        }
        this._loading$.on();
        this._resource.getAllGroups().pipe(take(1)).subscribe(groups => {
            if (Array.isArray(groups.groups) && groups.groups.length !== 0) {
                this._groups = groups.groups;
                this._loading$.off();
            }
            else {
                this._log.info('There are no Groups');
                this._loading$.off();
            }
        }, error => {
            this._log.debug('Getting groups failed', error);
            this._loading$.off();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OrganizationListService, deps: [{ token: UserResourceService }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OrganizationListService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OrganizationListService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: UserResourceService }, { type: LoggerService }] });

class AbstractUserInviteComponent {
    _userInviteService;
    _orgList;
    _signUpService;
    _snackBar;
    _translate;
    invitedEmailControl;
    invitedGroups;
    invitedRoles;
    nets;
    loading;
    constructor(_userInviteService, _orgList, _signUpService, _snackBar, _translate) {
        this._userInviteService = _userInviteService;
        this._orgList = _orgList;
        this._signUpService = _signUpService;
        this._snackBar = _snackBar;
        this._translate = _translate;
        this.nets = this._userInviteService.processList;
        this.loading = new LoadingEmitter();
        this.invitedEmailControl = new FormControl('', [Validators.email, Validators.required]);
        this.invitedGroups = [];
        this.invitedRoles = [];
    }
    get groups() {
        return this._orgList.groups;
    }
    ngOnInit() {
        this.nets.loadProcesses();
        this._orgList.loadGroups();
    }
    removeGroup(org) {
        const itemIndex = this.invitedGroups.findIndex(g => g.id === org.id);
        if (itemIndex !== -1) {
            this.invitedGroups.splice(itemIndex, 1);
        }
    }
    addGroup(org) {
        const itemIndex = this.invitedGroups.findIndex(g => g.id === org.id);
        if (itemIndex === -1) {
            this.invitedGroups.push(org);
        }
    }
    removeRole(role) {
        const itemIndex = this.invitedRoles.findIndex(r => r.stringId === role.stringId);
        if (itemIndex !== -1) {
            this.invitedRoles.splice(itemIndex, 1);
        }
    }
    addRole(role) {
        const itemIndex = this.invitedRoles.findIndex(r => r.stringId === role.stringId);
        if (itemIndex === -1) {
            this.invitedRoles.push(role);
        }
    }
    invite() {
        if (!this.invitedEmailControl.valid) {
            this._snackBar.openErrorSnackBar(this._translate.instant('admin.user-invite.emailFieldMandatory'));
            return;
        }
        if (this.invitedGroups.length === 0) {
            this._snackBar.openErrorSnackBar(this._translate.instant('admin.user-invite.oneOrMoreOrganization'));
            return;
        }
        const invitation = {
            email: this.invitedEmailControl.value,
            groups: this.invitedGroups.map(org => org.id),
            processRoles: this.invitedRoles.map(role => role.stringId)
        };
        this.loading.on();
        this._signUpService.invite(invitation).pipe(take(1)).subscribe(success => {
            if (success) {
                this._snackBar.openSuccessSnackBar(this._translate.instant('admin.user-invite.inviteSent'));
                this.invitedEmailControl.setValue('');
                this.invitedGroups = [];
                this.invitedRoles = [];
            }
            else {
                this._snackBar.openErrorSnackBar(this._translate.instant('admin.user-invite.inviteFailed'));
            }
            this.loading.off();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserInviteComponent, deps: [{ token: UserInviteService }, { token: OrganizationListService }, { token: SignUpService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractUserInviteComponent, selector: "ncc-abstract-user-invite", ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractUserInviteComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-user-invite',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: UserInviteService }, { type: OrganizationListService }, { type: SignUpService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

class LdapGroupListService {
    _resources;
    _log;
    _snackbar;
    _translate;
    /**
     * Ldap Group Value array stream, that represents ldap group loading from backend.
     */
    _ldapGroups$;
    /**
     * Emit ldap group loading status from backend.
     */
    _loading$;
    /**
     * Number stream of next page ldap group list, that to be requested from backend.
     */
    _nextPage$;
    /**
     * Signals the end of loaded ldap groups.
     */
    _endOfData;
    /**
     * Necessary for pagination parameters in ldap group assign loading from backend.
     */
    _pagination;
    /**
     * Signals if response is empty or no.
     */
    _clear;
    /**
     * The search content that should be applied to the request
     */
    _searchQuery;
    /**
     * Roles that should be applied to the request
     */
    rolesQuery;
    /**
     * negative Roles that should be applied to the request
     */
    negativeRolesQuery;
    _updateProgress$;
    _ldapGroupsReload$;
    /**
     * Inject services.
     * Initialize declared attributes.
     *
     * Loading and mapped stream of ldap groups.
     * @param _resources Loading ldap groups from backend.
     * @param _log Logging action status.
     * @param _snackbar Display info about loading from backend for ldap group.
     * @param _translate Translate messages for ldap group.
     */
    constructor(_resources, _log, _snackbar, _translate) {
        this._resources = _resources;
        this._log = _log;
        this._snackbar = _snackbar;
        this._translate = _translate;
        this._loading$ = new LoadingEmitter();
        this._updateProgress$ = new LoadingEmitter();
        this._ldapGroupsReload$ = new Subject();
        this._nextPage$ = new BehaviorSubject(null);
        this._endOfData = false;
        this._pagination = {
            size: 20,
            totalElements: undefined,
            totalPages: undefined,
            number: -1
        };
        this._searchQuery = '';
        this._clear = false;
        this.negativeRolesQuery = new Array();
        this.rolesQuery = new Array();
        const ldapGroupsMap = this._nextPage$.pipe(mergeMap(p => this.loadPage(p)), tap(() => {
            if (!this._clear) {
                this._ldapGroupsReload$.next();
            }
        }), scan((acc, value) => {
            const result = this._clear ? {} : { ...acc, ...value };
            this._clear = false;
            return result;
        }, {}));
        this._ldapGroups$ = ldapGroupsMap.pipe(map(v => Object.values(v)));
    }
    ngOnDestroy() {
        this._loading$.complete();
        this._updateProgress$.complete();
        this._ldapGroupsReload$.complete();
        this._nextPage$.complete();
    }
    get loading() {
        return this._loading$.isActive;
    }
    get loading$() {
        return this._loading$.asObservable();
    }
    get ldapGroupsReload$() {
        return this._ldapGroupsReload$.asObservable();
    }
    get ldapGroups$() {
        return this._ldapGroups$;
    }
    get updating$() {
        return this._updateProgress$.asObservable();
    }
    get totalLdapGroups() {
        return this._pagination.totalElements ? this._pagination.totalElements : 0;
    }
    /**
     * Get all ldapGroups from backend and mapped to [ldapGroupValue]{@link ldapGroupValue} interface with catching errors.
     * @param page Page number that is requested. / Next page ldapGroups list.
     */
    loadPage(page) {
        if (page === null || page === undefined || this._clear) {
            return of({});
        }
        let params = new HttpParams();
        params = this.addPageParams(params, page);
        this._loading$.on();
        return this._resources.searchLdapGroups({ fulltext: this._searchQuery }).pipe(catchError(err => {
            this._log.error('Loading ldap groups has failed on page ' + this._pagination.number, err);
            return of({ ldapGroupResponseBodies: [], pagination: { ...this._pagination, number: this._pagination.number - 1 } });
        }), tap(ldapGroupResponseBody => this._endOfData = !Array.isArray(ldapGroupResponseBody.ldapGroupResponseBodies) ||
            (Array.isArray(ldapGroupResponseBody.ldapGroupResponseBodies)
                && ldapGroupResponseBody.ldapGroupResponseBodies.length === 0)), map(ldapGroupResponseBody => (Array.isArray(ldapGroupResponseBody.ldapGroupResponseBodies) ?
            ldapGroupResponseBody : { ...ldapGroupResponseBody, ldapGroupResponseBodies: [] })), map(ldapGroupResponseBody => {
            const result = {};
            ldapGroupResponseBody.ldapGroupResponseBodies.forEach(ldapGroup => {
                const item = ldapGroup;
                item.roles = new Set(ldapGroup.processRoles.map(pr => pr.stringId));
                item.processRoles = undefined;
                item.selected = false;
                item.toggle = function () {
                    this.selected = !this.selected;
                };
                result[ldapGroup.dn] = item;
            });
            return result;
        }), tap(_ => this._loading$.off()));
    }
    /**
     * Set value to nextPage stream as next page ldapGroups list.
     * @param lastRendered Last rendered ldapGroup index.
     * @param totalRendered Total loaded size ldapGroups.
     */
    nextPage(lastRendered, totalRendered) {
        if (this.loading || this._endOfData) {
            return;
        }
        if (lastRendered === totalRendered) {
            this._nextPage$.next(this._pagination.number + 1);
        }
    }
    /**
     * Reload page with ldapGroups.
     */
    reload(newSearchQuery = '') {
        if (!this._ldapGroups$ || !this._pagination) {
            return;
        }
        this._clear = true;
        this._endOfData = false;
        this._pagination.number = -1;
        this._searchQuery = newSearchQuery;
        this.nextPage(0, 0);
        timer(100).subscribe(_ => {
            this._pagination.number = -1;
            this.nextPage(0, 0);
        });
    }
    updateRoles(selectedLdapGroups, selectedRoles = []) {
        if (!selectedLdapGroups || selectedLdapGroups.length === 0) {
            return of([]);
        }
        this._updateProgress$.on();
        return forkJoin(selectedLdapGroups.map(ldapGroup => this._resources.assignRolesToLdapGroup({ groupDn: ldapGroup.dn, roleIds: selectedRoles }))).pipe(tap(messages => {
            messages.forEach((message, idx) => {
                if (message.error) {
                    this._log.error(message.error, message);
                    this._snackbar.openErrorSnackBar(message.error);
                }
                else {
                    this._log.info(message.success);
                    selectedLdapGroups[idx].roles = new Set(selectedRoles);
                    this._snackbar.openSuccessSnackBar(this._translate.instant('tasks.snackbar.rolesSuccessAssign'));
                }
            });
            this._updateProgress$.off();
        }));
    }
    /**
     * Returns HttpParams with page params addition.
     * @param params Existing HttpParams.
     * @param page Page number that is requested. / Next page ldapGroups list.
     */
    addPageParams(params, page) {
        params = params.set(PaginationParams.PAGE_SIZE, `${this._pagination.size}`);
        page = page !== null ? page : this._pagination.number;
        params = params.set(PaginationParams.PAGE_NUMBER, `${page}`);
        return params;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupListService, deps: [{ token: LdapGroupResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupListService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LdapGroupListService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LdapGroupResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

class RoleAssignmentLdapGroupService {
    ldapGroupResources;
    processResources;
    snackbar;
    _log;
    _translate;
    _ldapGroupList;
    _processList;
    constructor(ldapGroupResources, processResources, snackbar, _log, _translate) {
        this.ldapGroupResources = ldapGroupResources;
        this.processResources = processResources;
        this.snackbar = snackbar;
        this._log = _log;
        this._translate = _translate;
        this._ldapGroupList = new LdapGroupListService(ldapGroupResources, _log, snackbar, _translate);
        this._processList = new ProcessList(processResources, _log);
    }
    get ldapGroupList() {
        return this._ldapGroupList;
    }
    get processList() {
        return this._processList;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentLdapGroupService, deps: [{ token: LdapGroupResourceService }, { token: PetriNetResourceService }, { token: SnackBarService }, { token: LoggerService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentLdapGroupService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: RoleAssignmentLdapGroupService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: LdapGroupResourceService }, { type: PetriNetResourceService }, { type: SnackBarService }, { type: LoggerService }, { type: i1$2.TranslateService }] });

class AbstractLdapGroupRoleAssignmentComponent {
    _service;
    ldapGroupList;
    viewport;
    ldapGroup;
    nets;
    ldapGroupMultiSelect;
    searchLdapGroupControl = new FormControl();
    SEARCH_DEBOUNCE_TIME = 600;
    subValueChanges;
    subLdapGroup;
    constructor(_service) {
        this._service = _service;
        this.ldapGroup = this._service.ldapGroupList;
        this.nets = this._service.processList;
        this.ldapGroupMultiSelect = true;
    }
    ngOnInit() {
        this.nets.loadProcesses();
        this.subValueChanges = this.searchLdapGroupControl.valueChanges.pipe(debounceTime(this.SEARCH_DEBOUNCE_TIME)).subscribe(searchText => {
            this.ldapGroup.reload(searchText);
        });
    }
    ngAfterViewInit() {
        this.subLdapGroup = this.ldapGroup.ldapGroupsReload$.subscribe(() => {
            this.ldapGroupList.deselectAll();
            this.ldapGroupList.selectedOptions.clear();
            this.autoSelectRoles();
        });
    }
    ngOnDestroy() {
        this.subValueChanges.unsubscribe();
        this.subLdapGroup.unsubscribe();
        this.ldapGroup = undefined;
        this.nets = undefined;
    }
    loadNextLdapGroupPage() {
        if (!this.viewport) {
            return;
        }
        this.ldapGroup.nextPage(this.viewport.getRenderedRange().end, this.viewport.getDataLength());
    }
    autoSelectRoles() {
        const all = this.ldapGroupList.selectedOptions.selected.map(option => option.value.roles);
        if (all.length === 0) {
            this.nets.selectRoles(new Set([]));
        }
        const intersection = all.reduce((acc, curr) => new Set([...acc].filter(s => curr.has(s))), all[0]);
        this.nets.selectRoles(intersection);
    }
    update(role) {
        this.nets.updateSelectedRoles(role);
        const selected = this.ldapGroupList.selectedOptions.selected.map(option => option.value);
        this.ldapGroup.updateRoles(selected, this.nets.selectedRoles).subscribe(_ => {
            this.autoSelectRoles();
        });
    }
    selectAllLdapGroup(select) {
        this.ldapGroupList.options.forEach(option => {
            option.value.selected = select;
        });
        this.autoSelectRoles();
    }
    toggleAllRoles(net, select) {
        net.roles.forEach(r => {
            r.selected = select;
            this.nets.updateSelectedRoles(r);
        });
        const selected = this.ldapGroupList.selectedOptions.selected.map(option => option.value);
        this.ldapGroup.updateRoles(selected, this.nets.selectedRoles).subscribe(_ => {
            this.autoSelectRoles();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLdapGroupRoleAssignmentComponent, deps: [{ token: RoleAssignmentLdapGroupService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLdapGroupRoleAssignmentComponent, selector: "ncc-abstract-ldap-group-role-assignment", viewQueries: [{ propertyName: "ldapGroupList", first: true, predicate: ["ldapGroupList"], descendants: true }, { propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLdapGroupRoleAssignmentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-ldap-group-role-assignment',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: RoleAssignmentLdapGroupService }], propDecorators: { ldapGroupList: [{
                type: ViewChild,
                args: ['ldapGroupList']
            }], viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

/* CLASSES */

/**
 * Loads all pages from the given endpoint and returns their content as one array
 * @param source the method that is used to load an individual page, it must support pagination parameters
 * @param filter the filter/query object that is used to specify the requested objects. The `source` argument must accept this filter.
 * @param pagination configuration of the initial pagination.
 * Pages will be loaded from the provided page number onwards, page size will be upheld.
 * @returns content of all pages from the given page onwards (or from the start if no `pagination` argument was provided) as a single Array
 */
function loadAllPages(source, filter, pagination) {
    const basePagination = pagination ? pagination : { number: 0, size: 20, totalPages: undefined, totalElements: undefined };
    return source(filter, paginationParams(basePagination)).pipe(map(page => {
        basePagination.totalPages = page.pagination.totalPages;
        const pages = {};
        pages[basePagination.number] = (of(page.content));
        if (basePagination.number < basePagination.totalPages) {
            for (let pn = basePagination.number + 1; pn < basePagination.totalPages; pn++) {
                const pagin = Object.assign({}, basePagination, { number: pn });
                pages[pn] = mapToContent(source, filter, pagin);
            }
        }
        return forkJoin(pages);
    }), concatMap(o => o), map((joined) => {
        const result = [];
        Object.values(joined).filter(v => Array.isArray(v)).forEach(arr => result.push(...arr));
        return result;
    }));
}
function paginationParams(basePagination, pageNumber) {
    let params = new HttpParams();
    params = params.set(PaginationParams.PAGE_SIZE, `${basePagination.size}`);
    params = params.set(PaginationParams.PAGE_NUMBER, (pageNumber !== undefined ? pageNumber : basePagination.number) + '');
    return params;
}
function mapToContent(source, filter, pagination) {
    return source(filter, paginationParams(pagination)).pipe(map(page => {
        if (hasContent(page)) {
            return page.content;
        }
        return [];
    }));
}

/**
 * Converts an {@link NAE_NAVIGATION_ITEM_TASK_DATA} injection token into {@link NAE_BASE_FILTER}
 * @param extractionService
 * @param navigationItemTaskData a navigation item task containing the aggregated data representing a navigation item
 */
function navigationItemTaskFilterFactory(extractionService, navigationItemTaskData) {
    return {
        filter: extractionService.extractCompleteFilterFromData(navigationItemTaskData)
    };
}

/**
 * Creates search categories based on the metadata stored in the filter case
 * @param categoryResolverService
 * @param navigationItemTaskData task data of a navigation item task, the data must contain a filter field, that is used
 * to generate the categories
 * @param defaultCaseSearchCategories the default case search categories that should be merged with the categories provided by the filter
 * field, if the filter metadata allow it and the filter is a case filter
 * @param defaultTaskSearchCategories the default task search categories that should be merged with the categories provided by the filter
 * field, if the filter metadata allow it and the filter is a task filter
 */
function navigationItemTaskCategoryFactory(categoryResolverService, navigationItemTaskData, defaultCaseSearchCategories, defaultTaskSearchCategories) {
    const filterField = getFieldFromDataGroups(navigationItemTaskData, UserFilterConstants.FILTER_FIELD_ID);
    if (filterField === undefined) {
        throw new Error(`Provided navigation item task data does not contain a filter field with ID '${UserFilterConstants.FILTER_FIELD_ID}'! Search categories cannot be generated from it!`);
    }
    const merge = new Set();
    const cats = filterField.filterMetadata.searchCategories.map(cat => {
        const category = categoryResolverService.toClass(cat);
        merge.add(category);
        return category;
    });
    if (filterField.filterMetadata.defaultSearchCategories) {
        (filterField.filterMetadata.filterType === FilterType.CASE ? defaultCaseSearchCategories : defaultTaskSearchCategories)
            .forEach(cat => {
            if (!merge.has(cat)) {
                cats.push(cat);
            }
        });
    }
    return cats;
}

function navigationItemCaseViewDefaultHeadersFactory(navigationItemTaskData) {
    return navigationItemDefaultHeadersFactory(navigationItemTaskData, GroupNavigationConstants.ITEM_FIELD_ID_USE_CASE_DEFAULT_HEADERS, GroupNavigationConstants.ITEM_FIELD_ID_CASE_DEFAULT_HEADERS);
}
function navigationItemTaskViewDefaultHeadersFactory(navigationItemTaskData) {
    return navigationItemDefaultHeadersFactory(navigationItemTaskData, GroupNavigationConstants.ITEM_FIELD_ID_USE_TASK_DEFAULT_HEADERS, GroupNavigationConstants.ITEM_FIELD_ID_TASK_DEFAULT_HEADERS);
}
function navigationItemDefaultHeadersFactory(navigationItemTaskData, useFieldId, defaultHeadersFieldId) {
    try {
        const isUse = extractFieldValueFromData(navigationItemTaskData, useFieldId);
        if (isUse) {
            const defaultHeaders = extractFieldValueFromData(navigationItemTaskData, defaultHeadersFieldId);
            if (defaultHeaders === undefined || defaultHeaders === "") {
                return undefined;
            }
            return defaultHeaders.split(',');
        }
        else {
            return undefined;
        }
    }
    catch (e) {
        return undefined;
    }
}

class IsEmptyPipe {
    /**
     * Check if is value is empty.
     * @param value
     * @returns True for:
     *  - null
     *  - undefined
     *  - Array if Array.length === 0
     *  - String if string.length === 0
     *  - Object with no keys
     *  - (Set | Map).size === 0
     *  otherwise false.
     */
    transform(value) {
        if (value === null || value === undefined)
            return true;
        if (Array.isArray(value))
            return value.length === 0;
        if (value instanceof Set)
            return value.size === 0;
        if (value instanceof Map)
            return value.size === 0;
        if ((typeof value) === 'string')
            return value.length === 0;
        if ((typeof value) === 'object')
            return Object.keys(value).length === 0;
        return false;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IsEmptyPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
    static ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: IsEmptyPipe, name: "isEmpty" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IsEmptyPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'isEmpty',
                }]
        }] });

class IsNonEmptyPipe {
    /**
     * Check if is value is not empty.
     * @param value
     * @returns false for:
     *  - null
     *  - undefined
     *  - Array if Array.length === 0
     *  - String if string.length === 0
     *  - Object with no keys
     *  - (Set | Map).size === 0
     *  otherwise true.
     */
    transform(value) {
        if (value === null || value === undefined)
            return false;
        if (Array.isArray(value))
            return value.length !== 0;
        if (value instanceof Set)
            return value.size !== 0;
        if (value instanceof Map)
            return value.size !== 0;
        if ((typeof value) === 'string')
            return value.length !== 0;
        if ((typeof value) === 'object')
            return Object.keys(value).length !== 0;
        return true;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IsNonEmptyPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
    static ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: IsNonEmptyPipe, name: "isNonEmpty" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IsNonEmptyPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'isNonEmpty',
                }]
        }] });

class ContainsPipe {
    transform(value, toCheck) {
        if (value === null || value === undefined)
            return false;
        if (Array.isArray(value))
            return value.includes(toCheck);
        if (value instanceof Set || value instanceof Map)
            return value.has(toCheck);
        return false;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ContainsPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
    static ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: ContainsPipe, name: "contains" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ContainsPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'contains',
                }]
        }] });

class LetContext {
    $implicit;
    nccLet;
}
class LetDirective {
    templateRef;
    viewContainer;
    context;
    _hasView;
    constructor(templateRef, viewContainer) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.context = new LetContext();
        this._hasView = false;
    }
    set nccLet(obj) {
        this.context.$implicit = this.context.nccLet = obj;
        if (!this._hasView && !!this.templateRef && !!this.viewContainer && !!this.context) {
            this.viewContainer.createEmbeddedView(this.templateRef, this.context);
            this._hasView = true;
        }
    }
    get hasView() {
        return this._hasView;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LetDirective, deps: [{ token: i0.TemplateRef }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: LetDirective, selector: "[nccLet]", inputs: { nccLet: "nccLet" }, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: LetDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[nccLet]'
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }], propDecorators: { nccLet: [{
                type: Input
            }] } });

class UtilityModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UtilityModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: UtilityModule, declarations: [IsEmptyPipe,
            IsNonEmptyPipe,
            ContainsPipe,
            LetDirective], imports: [CommonModule], exports: [IsEmptyPipe,
            IsNonEmptyPipe,
            ContainsPipe,
            LetDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UtilityModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UtilityModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IsEmptyPipe,
                        IsNonEmptyPipe,
                        ContainsPipe,
                        LetDirective
                    ],
                    imports: [
                        CommonModule,
                    ],
                    exports: [
                        IsEmptyPipe,
                        IsNonEmptyPipe,
                        ContainsPipe,
                        LetDirective
                    ],
                }]
        }] });

class MockAuthenticationService extends AuthenticationService {
    _auth;
    _config;
    _sessionService;
    _userTransformer;
    constructor(_auth, _config, _sessionService, _userTransformer) {
        super(_auth, _config, _sessionService, _userTransformer);
        this._auth = _auth;
        this._config = _config;
        this._sessionService = _sessionService;
        this._userTransformer = _userTransformer;
    }
    login(credentials) {
        return of(new User('id', 'username', 'mail', 'realmId', 'name', 'surname', ['ADMIN'], [{ stringId: 'id', name: 'id', importId: 'id' }]));
    }
    logout() {
        return of(undefined);
    }
    get isAuthenticated() {
        return true;
    }
    get authenticated$() {
        return of(true);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockAuthenticationService, deps: [{ token: AuthenticationMethodService }, { token: ConfigurationService }, { token: SessionService }, { token: UserTransformer }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockAuthenticationService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockAuthenticationService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: AuthenticationMethodService }, { type: ConfigurationService }, { type: SessionService }, { type: UserTransformer }] });

class MockUserPreferenceService {
    constructor() { }
    setTaskFilters(viewId, value) {
    }
    getTaskFilters(viewId) {
        return [];
    }
    setCaseFilters(viewId, value) {
    }
    getCaseFilters(viewId) {
        return [];
    }
    setHeaders(viewId, value) {
    }
    getHeaders(viewId) {
        return undefined;
    }
    setLocale(locale) {
    }
    getLocale() {
        return undefined;
    }
    set drawerWidth(drawerWidth) {
    }
    get drawerWidth() {
        return undefined;
    }
    get preferencesChanged$() {
        return of();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserPreferenceService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserPreferenceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserPreferenceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class MockUserResourceService {
    getPreferences() {
        return of({
            headers: {},
            caseFilters: {},
            taskFilters: {},
            other: {}
        });
    }
    setPreferences() {
        return of({ success: '' });
    }
    getLoggedUser() {
        return of({ email: 'mail', id: 'id', username: 'username', realmId: 'realmId', name: 'name', firstName: 'name', surname: 'surname', lastName: 'surname', fullName: 'name surname',
            groups: [], authorities: [], nextGroups: [], processRoles: [] });
    }
    // methods not yet mocked by this mock
    assignAuthority() {
        throw new Error('Method not yet mocked - assignAuthority');
    }
    assignRoles() {
        throw new Error('Method not yet mocked - assignRoles');
    }
    getAllAuthorities() {
        throw new Error('Method not yet mocked - getAllAuthorities');
    }
    getAll() {
        throw new Error('Method not yet mocked - getAll');
    }
    getAllWithRole() {
        throw new Error('Method not yet mocked - getAllWithRole');
    }
    getUser() {
        throw new Error('Method not yet mocked - getUser');
    }
    search() {
        throw new Error('Method not yet mocked - search');
    }
    updateUser() {
        throw new Error('Method not yet mocked - updateUser');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserResourceService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserResourceService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserResourceService, decorators: [{
            type: Injectable
        }] });

class MockUserService {
    _userChange$;
    _user;
    constructor() {
        this._userChange$ = new ReplaySubject(1);
    }
    get user$() {
        return this._userChange$.asObservable();
    }
    get user() {
        return this._user;
    }
    set user(user) {
        this._user = user;
    }
    hasRoleById(roleStringId) {
        if (!roleStringId || !this._user.roles) {
            return false;
        }
        return this._user.roles.some(r => r.stringId === roleStringId);
    }
    hasRoleByName(roleName, netIdentifier) {
        if (!roleName || !netIdentifier || !this._user.roles) {
            return false;
        }
        return this._user.roles.some(r => r.stringId === roleName && r.netImportId === netIdentifier);
    }
    hasAuthority() {
        return true;
    }
    isUserEmpty(user) {
        return !user || (!user.id && user.roles.length === 0);
    }
    isCurrentUserEmpty() {
        return this.isUserEmpty(this.user);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MockUserService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

class MockAuthenticationMethodService extends AuthenticationMethodService {
    login(credentials) {
        return of({ email: 'mail', id: 'id', username: 'username', realmId: 'realmId', name: 'name', firstName: 'name', surname: 'surname', lastName: 'surname', fullName: 'name surname',
            groups: [], authorities: [], nextGroups: [], processRoles: [] });
    }
    logout() {
        return of(undefined);
    }
}

/**
 * Mock the {@link SignUpService}. By default all responses are successful. Responses can be customised.
 */
class MockSignUpService {
    signupResponse = of({ success: 'success' });
    inviteResponse = of({ success: 'success' });
    resetPasswordResponse = of({ success: 'success' });
    recoverPasswordResponse = of({ success: 'success' });
    verifyResponse = of({ success: 'success' });
    changePasswordResponse = of({ success: 'success' });
    constructor() {
    }
    signup(newUser) {
        return this.signupResponse;
    }
    invite(invitation) {
        return this.inviteResponse;
    }
    resetPassword(email) {
        return this.resetPasswordResponse;
    }
    recoverPassword(token, password) {
        return this.recoverPasswordResponse;
    }
    verify(token) {
        return this.verifyResponse;
    }
    changePassword(change) {
        return this.changePasswordResponse;
    }
}

/**
 * @param userName name of the mock user value
 * @param userId id of the mock user value
 * @param normalUser if not the user is the special ME user option
 */
function mockUserAutocompleteValue(userName, normalUser = true, userId) {
    return {
        text: userName,
        value: [normalUser ? userId : UserAutocomplete.USER_ME_TEMPLATE],
        icon: normalUser ? UserAutocomplete.USER_ICON : UserAutocomplete.USER_ME_ICON
    };
}

/**
 * Creates a mock Task instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
function createMockTask(stringId = 'stringId', title = 'taskTitle', transitionId = 'transitionId', cols = 4) {
    return {
        caseId: 'string',
        transitionId,
        title,
        caseColor: 'string',
        caseTitle: 'string',
        userId: undefined,
        roles: {},
        users: {},
        userRefs: {},
        startDate: undefined,
        finishDate: undefined,
        assignPolicy: AssignPolicy.manual,
        dataFocusPolicy: DataFocusPolicy.manual,
        finishPolicy: FinishPolicy.manual,
        stringId,
        layout: {
            offset: 0,
            rows: 0,
            cols
        },
        dataGroups: [],
        _links: {}
    };
}

/**
 * Creates a mock Case instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
function createMockCase(stringId = 'stringId', processIdentifier = 'processIdentifier', title = 'title', petriNetId = 'petriNetId') {
    return {
        lastModified: [],
        visualId: '',
        petriNetObjectId: {
            timestamp: 0,
            machineIdentifier: 0,
            processIdentifier: 0,
            counter: 0,
            timeSecond: 0,
            time: 0,
            date: 0
        },
        processIdentifier,
        title,
        color: '',
        creationDate: [],
        immediateData: [],
        author: {
            email: '',
            fullName: ''
        },
        resetArcTokens: {},
        stringId,
        petriNetId,
        permissions: {},
        users: {}
    };
}

/**
 * Creates a mock ImmediateData instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
function createMockImmediateData(importId = 'importId', value = '', allowedNets) {
    return {
        stringId: importId,
        type: '',
        value,
        allowedNets
    };
}

/**
 * @param content the contents of the page
 * @returns a mock Page object with the size equivalent to the number of elements provided in the attribute.
 * If the content is empty the `content` attribute of the returned object is set to an empty object to mimic backend behavior.
 */
function createMockPage(content = []) {
    const page = {
        content: {},
        pagination: {
            size: 1,
            totalElements: 0,
            totalPages: 1,
            number: 0
        }
    };
    if (content.length > 0) {
        page.content = content;
        page.pagination.size = content.length;
        page.pagination.totalElements = content.length;
    }
    return page;
}

/**
 * Creates a mock Net instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
function createMockNet(stringId = 'stringId', identifier = 'identifier', title = 'title', roles = [], transitions = [], immediateData = [], permissions = {}) {
    const net = new Net({
        stringId,
        title,
        identifier,
        uriNodeId: identifier,
        version: '1.0.0',
        initials: 'NET',
        defaultCaseName: '',
        createdDate: [2021, 2, 4, 12, 50, 0, 1612443000],
        author: {
            email: '',
            fullName: ''
        },
        immediateData
    });
    net.roles = roles;
    net.transitions = transitions.map(t => ({
        ...t,
        petriNetId: '',
        immediateData: []
    }));
    net.permissions = permissions;
    return net;
}

/**
 * Determines what type of layouting algorithm should be used to position data fields in the data group
 */
var DataGroupLayoutType;
(function (DataGroupLayoutType) {
    /**
     * A grid based on x, y co-ordinates and width and height of each field
     */
    DataGroupLayoutType["GRID"] = "grid";
    /**
     * Evenly sized fields that fill all columns
     */
    DataGroupLayoutType["FLOW"] = "flow";
    /**
     * Layouting algorithm used in NAE versions < 4.0.0
     */
    DataGroupLayoutType["LEGACY"] = "legacy";
})(DataGroupLayoutType || (DataGroupLayoutType = {}));
/**
 * Determines what direction(s) should be used when compacting form layout
 */
var DataGroupCompact;
(function (DataGroupCompact) {
    /**
     * No field layout compacting occurs
     */
    DataGroupCompact["NONE"] = "none";
    /**
     * Fields are moved up as far as they can fit. Fields declared in the same row might end up in different rows.
     */
    DataGroupCompact["UP"] = "up";
})(DataGroupCompact || (DataGroupCompact = {}));
/**
 * Determines which empty rows should be hidden in the final layout
 */
var DataGroupHideEmptyRows;
(function (DataGroupHideEmptyRows) {
    /**
     * All empty rows are removed from the final layout
     */
    DataGroupHideEmptyRows["ALL"] = "all";
    /**
     * Only rows completely freed by compacting fields are removed.
     *
     * That is any rows that are empty before the compacting takes place are kept in the final layout.
     * And any rows freed by compacting field (when using [DataGroupCompact.UP]{@link DataGroupCompact#UP})
     * are removed from the final layout.
     *
     * When fields are compacted upwards all empty rows are naturally moved to the bottom of the layout.
     * This option can be used to regulate the number of empty rows at the bottom to a constant number
     * (by keeping only intended empty rows).
     */
    DataGroupHideEmptyRows["COMPACTED"] = "compacted";
    /**
     * All empty rows are kept in the final layout
     */
    DataGroupHideEmptyRows["NONE"] = "none";
})(DataGroupHideEmptyRows || (DataGroupHideEmptyRows = {}));

/**
 * Creates a mock {@link DataGroup} object instance containing the provided fields and having the provided configuration.
 * @param fields the {@link DataField}s contained in the data group
 * @param title the optional title of the data group
 * @param alignment alignment of the fields in non-full rows within the data group (affects flow and legacy layout)
 * @param layoutType the layout type of the data group
 * @param compact compacting rule for the data group
 * @param hideRows row hiding rule for the data group
 * @param stretch whether the `stretch` property of the data group is enabled or not
 * @param cols the number of columns of the data group layout
 * @param parentTaskId the ID of the parent task (if the data group is task-reffed)
 * @param parentTaskRefId the ID of the parent task ref (if the data group is task-reffed)
 * @param nestingLevel the nesting level of the data group (if the data group is task-reffed)
 */
function createMockDataGroup(fields, title, alignment = DataGroupAlignment.START, layoutType = DataGroupLayoutType.LEGACY, compact, hideRows, stretch = false, cols = 4, parentTaskId, parentTaskRefId, nestingLevel) {
    return {
        fields,
        title,
        alignment,
        stretch,
        layout: {
            type: layoutType,
            rows: 0,
            compactDirection: compact,
            hideEmptyRows: hideRows,
            cols
        },
        parentTaskId,
        parentTaskRefId,
        nestingLevel,
    };
}

/**
 * Creates a mock boolean or button field, with the specified properties
 * @param visible if `true` the fields behavior is set to `editable`, if `false` the fields behavior is set to `hidden`
 * @param layout position of the field in the grid layout
 * @param counterOrStringId if a `string` is provided its value will be used as the fields ID.
 * If a number is provided the fields ID will be set to 'f<number>'.
 * If an {@link IncrementingCounter} is provided the ID will follow the same pattern as for the `number` argument,
 * but the counter will be used to generate the number.
 * @param fieldType determines what type of field should be generated.
 * Currently only `boolean`, `button` and `task ref` fields are supported. If an unsupported field type is used an error is thrown.
 * @param taskRefValue determines the value of the task ref field if a task ref field is generated
 */
function createMockField(visible = true, layout = { x: 0, y: 0, rows: 0, cols: 0 }, counterOrStringId = 0, fieldType = FieldTypeResource.BOOLEAN, taskRefValue = []) {
    const b = visible ? { editable: true } : { hidden: true };
    const l = {
        ...layout,
        template: TemplateAppearance.MATERIAL,
        appearance: MaterialAppearance.OUTLINE,
        offset: 0
    };
    let id;
    if (counterOrStringId instanceof IncrementingCounter || typeof counterOrStringId === 'number') {
        id = 'f' + (counterOrStringId instanceof IncrementingCounter ? counterOrStringId.next() : counterOrStringId);
    }
    else {
        id = counterOrStringId;
    }
    switch (fieldType) {
        case FieldTypeResource.BOOLEAN:
            return new BooleanField(id, 'title', false, b, '', '', l);
        case FieldTypeResource.BUTTON:
            return new ButtonField(id, 'title', b, 0, '', '', l);
        case FieldTypeResource.TASK_REF:
            return new TaskRefField(id, 'title', taskRefValue, b, '', '', l);
        default:
            throw new Error(`createMockField does not currently support fields of type '${fieldType}'`);
    }
}

/**
 * Creates a mock CaseEventOutcome with given case, net and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
function createMockCaseOutcome(aCase = createMockCase(), net = createMockNet(), outcomes = []) {
    return {
        net,
        outcomes,
        aCase,
        message: 'Mock case event outcome'
    };
}

/**
 * Creates a mock TaskEventOutcome with given task, net, case and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
function createMockTaskOutcome(task = createMockTask(), net = createMockNet(), aCase = createMockCase(), outcomes = []) {
    return {
        outcomes,
        task,
        aCase,
        net,
        message: 'Mock case event outcome'
    };
}

function createMockGetDataOutcome(data = [createMockField()], task = createMockTask(), net = createMockNet(), aCase = createMockCase(), outcomes = []) {
    return {
        net,
        aCase,
        task,
        outcomes,
        message: 'Mock get data event outcome',
        data
    };
}

/**
 * Creates a mock TaskEventOutcome with given changedFields, task, net, case and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
function createMockSetDataOutcome(changedFields = { changedFields: {} }, task = createMockTask(), net = createMockNet(), aCase = createMockCase(), outcomes = []) {
    return {
        net,
        aCase,
        task,
        outcomes,
        message: 'Mock set data event outcome',
        changedFields,
    };
}

/**
 * Creates a mock PetriNetEventOutcome with given net and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
function createMockPetriNetOutcome(net = createMockNet(), outcomes = []) {
    return {
        outcomes,
        net,
        message: 'Mock petri net event outcome'
    };
}

/**
 * Configures the provided {@link Category} instance with the provided operator and operands.
 *
 * @param category the object that should be configured
 * @param operatorService must be the same {@link OperatorService} instance as the one provided to the category's constructor
 * @param operator the desired operator class, must be one of the available operators for the provided category
 * @param operands the desired operands
 */
function configureCategory(category, operatorService, operator, operands) {
    const op = operatorService.getOperator(operator);
    category.selectOperator(category.allowedOperators.findIndex(o => o === op));
    category.setOperands(operands);
}

const opResolver = new OperatorResolverService();
const opService = new OperatorService(opResolver);
const createMockDependencies = (allowedNets$ = of([]), operatorService, userResourceService = { getAll: () => of({ content: [], pagination: {} }) }) => {
    const searchIndexResolver = new SearchIndexResolverService();
    const allowedNetsService = { allowedNets$ };
    return {
        categoryFactory: new CategoryFactory(operatorService ?? opService, null, searchIndexResolver, new CategoryResolverService(), allowedNetsService, userResourceService),
        searchIndexResolver,
        userResourceService,
        allowedNetsService
    };
};

class TestConfigurationService extends ConfigurationService {
    constructor() {
        super({
            extends: 'nae-default',
            providers: {
                auth: {
                    address: 'http://localhost:8080/api/',
                    authentication: 'Basic',
                    endpoints: {
                        login: 'auth/login',
                        logout: 'auth/logout',
                        signup: 'auth/signup',
                        changePassword: 'auth/changePassword',
                        verification: 'auth/verify',
                        verify: 'auth/token/verify',
                        invite: 'auth/invite',
                        reset: 'auth/reset',
                        recover: '/auth/recover'
                    },
                    sessionBearer: 'X-Auth-Token',
                    sessionTimeoutEnabled: false,
                    sessionTimeout: 900
                },
                resources: [
                    {
                        name: 'case',
                        address: 'http://localhost:8080/api/',
                        format: 'hal',
                        openApi: 'https://swagger.io'
                    },
                    {
                        name: 'task',
                        address: 'http://localhost:8080/api/',
                        format: 'json'
                    },
                    {
                        name: 'petrinet',
                        address: 'http://localhost:8080/api/',
                        format: 'json'
                    },
                    {
                        name: 'user',
                        address: 'http://localhost:8080/api/',
                        format: 'json'
                    },
                    {
                        name: 'dashboard',
                        address: 'http://localhost:8080/api/',
                        format: 'json'
                    },
                    {
                        name: 'impersonation',
                        address: 'http://localhost:8080/api/',
                        format: 'json'
                    }
                ]
            },
            views: {
                dashboard: {
                    layout: {
                        name: 'dashboard',
                        params: {
                            columns: 4,
                            cards: [
                                {
                                    type: 'count',
                                    title: 'All tasks',
                                    resourceType: 'Task',
                                    filter: {},
                                    layout: {
                                        x: 0,
                                        y: 0,
                                        rows: 1,
                                        cols: 1
                                    }
                                },
                                {
                                    type: 'iframe',
                                    url: 'https://netgrif.com/',
                                    layout: {
                                        x: 2,
                                        y: 0,
                                        rows: 2,
                                        cols: 2
                                    }
                                },
                                {
                                    type: 'count',
                                    title: 'All cases',
                                    resourceType: 'Case',
                                    filter: {},
                                    layout: {
                                        x: 1,
                                        y: 1,
                                        rows: 1,
                                        cols: 1
                                    }
                                }, {
                                    type: 'pie',
                                    title: 'Custom',
                                    resourceType: 'case',
                                    query: {
                                        aggs: {
                                            result: {
                                                terms: {
                                                    field: 'dataSet.text.value.keyword'
                                                }
                                            }
                                        }
                                    },
                                    filter: {},
                                    layout: {
                                        x: 0,
                                        y: 1,
                                        rows: 1,
                                        cols: 1
                                    }
                                }, {
                                    type: 'bar',
                                    title: 'Custom',
                                    resourceType: 'case',
                                    query: { aggs: { result: { terms: { field: 'dataSet.text.value.keyword' } } } },
                                    xAxisLabel: 'Country',
                                    yAxisLabel: 'Population',
                                    filter: {},
                                    layout: {
                                        x: 2,
                                        y: 1,
                                        rows: 1,
                                        cols: 1
                                    }
                                }, {
                                    type: 'line',
                                    title: 'Custom',
                                    resourceType: 'case',
                                    query: {
                                        aggs: {
                                            result1: { terms: { field: 'dataSet.text.value.keyword' } },
                                            result2: { terms: { field: 'dataSet.text.value.keyword' } }
                                        }
                                    },
                                    xAxisLabel: 'Country',
                                    yAxisLabel: 'Population',
                                    filter: {},
                                    layout: {
                                        x: 0,
                                        y: 2,
                                        rows: 1,
                                        cols: 1
                                    }
                                }, {
                                    type: 'lineargauge',
                                    title: 'Custom',
                                    resourceType: 'case',
                                    query: { aggs: { types_count: { value_count: { field: 'dataSet.text.value.keyword' } } } },
                                    xAxisLabel: 'Country',
                                    yAxisLabel: 'Population',
                                    units: 'cases',
                                    filter: {},
                                    layout: {
                                        x: 1,
                                        y: 2,
                                        rows: 1,
                                        cols: 1
                                    }
                                }, {
                                    type: 'default',
                                    layout: {
                                        x: 2,
                                        y: 2,
                                        rows: 1,
                                        cols: 1
                                    }
                                }
                            ]
                        },
                        componentName: 'MyDashboard'
                    },
                    access: 'private',
                    navigation: {
                        title: 'Dashboard',
                        icon: 'dashboard'
                    },
                    routing: {
                        path: 'comp-dashboard'
                    }
                },
                cases: {
                    layout: {
                        name: 'emptyView',
                        params: {
                            allowedNets: []
                        }
                    },
                    access: 'private',
                    navigation: {
                        title: 'Cases',
                        icon: 'settings'
                    },
                    routing: {
                        path: 'cases'
                    },
                    children: {
                        some_cases: {
                            layout: {
                                name: 'emptyView'
                            },
                            access: 'private',
                            navigation: {
                                icon: 'account_circle'
                            },
                            routing: {
                                path: 'some_cases'
                            },
                            children: {
                                some_specifics: {
                                    layout: {
                                        name: 'emptyView'
                                    },
                                    access: 'private',
                                    navigation: true,
                                    routing: {
                                        path: 'some_specifics'
                                    }
                                }
                            }
                        }
                    }
                },
                task: {
                    layout: {
                        name: 'emptyView',
                        params: {
                            allowedNets: []
                        }
                    },
                    access: 'private',
                    navigation: {
                        title: 'Tasks',
                        icon: 'assignment'
                    },
                    routing: {
                        path: 'task'
                    },
                    children: {
                        some_tasks: {
                            layout: {
                                name: 'emptyView'
                            },
                            access: 'private',
                            navigation: false,
                            routing: {
                                path: 'some_tasks'
                            },
                            children: {
                                some_specifics: {
                                    layout: {
                                        name: 'emptyView'
                                    },
                                    access: 'private',
                                    navigation: true,
                                    routing: {
                                        path: 'some_specifics'
                                    }
                                }
                            }
                        }
                    }
                }
            },
            theme: {
                name: 'example-classico',
                pallets: {
                    light: {
                        primary: {
                            50: '',
                            100: '',
                            200: '',
                            300: '',
                            400: '',
                            500: '',
                            600: '',
                            700: '',
                            800: '',
                            900: '',
                            A100: '',
                            A200: '',
                            A400: '',
                            A700: '',
                            contrast: {
                                light: [
                                    '300',
                                    '400',
                                    '500',
                                    '600',
                                    '700',
                                    '800',
                                    '900'
                                ],
                                dark: [
                                    '50',
                                    '100',
                                    '200'
                                ]
                            }
                        },
                        secondary: {
                            50: '',
                            100: '',
                            200: '',
                            300: '',
                            400: '',
                            500: '',
                            600: '',
                            700: '',
                            800: '',
                            900: '',
                            A100: '',
                            A200: '',
                            A400: '',
                            A700: '',
                            contrast: {
                                light: [
                                    '300',
                                    '400',
                                    '500',
                                    '600',
                                    '700',
                                    '800',
                                    '900'
                                ],
                                dark: [
                                    '50',
                                    '100',
                                    '200'
                                ]
                            }
                        },
                        warn: {
                            50: '',
                            100: '',
                            200: '',
                            300: '',
                            400: '',
                            500: '',
                            600: '',
                            700: '',
                            800: '',
                            900: '',
                            A100: '',
                            A200: '',
                            A400: '',
                            A700: '',
                            contrast: {
                                light: [
                                    '300',
                                    '400',
                                    '500',
                                    '600',
                                    '700',
                                    '800',
                                    '900'
                                ],
                                dark: [
                                    '50',
                                    '100',
                                    '200'
                                ]
                            }
                        }
                    },
                    dark: {
                        primary: 'blue',
                        secondary: 'pink'
                    }
                }
            },
            assets: [
                '../../../assets'
            ],
            filters: {
                'all-cases': {
                    title: 'All Cases',
                    type: 'Case',
                    access: 'public',
                    body: [],
                    mergeOperator: 'AND'
                },
                'all-tasks': {
                    title: 'All Tasks',
                    type: 'Task',
                    access: 'public',
                    body: {}
                },
                'some-tasks': {
                    title: 'All Tasks',
                    type: 'Task',
                    access: 'public',
                    body: [{}],
                    mergeOperator: 'AND'
                }
            },
            i18n: [
                'sk-SK',
                'en-US'
            ],
            services: {
                log: {
                    logWithDate: true,
                    serializeExtraParams: true,
                    includeLogLevel: true,
                    publishers: [
                        'console',
                        'localStorage'
                    ]
                },
                auth: {
                    loginRedirect: 'login'
                },
                legal: {
                    termsOfService: 'https://netgrif.com/',
                    privacyPolicy: 'https://netgrif.com/'
                },
                groupNavigation: {
                    groupNavigationRoute: 'config-route'
                }
            }
        });
    }
}

const TestCaseViewAllowedNetsFactory = (factory) => {
    return factory.createFromConfig('cases');
};
const TestTaskViewAllowedNetsFactory = (factory) => {
    return factory.createFromConfig('task');
};
const TestNoAllowedNetsFactory = (factory) => {
    return factory.createFromArray([]);
};
const TestCaseBaseFilterProvider = () => {
    return {
        filter: SimpleFilter.emptyCaseFilter()
    };
};
const TestTaskBaseFilterProvider = () => {
    return {
        filter: SimpleFilter.emptyTaskFilter()
    };
};

class TestViewService extends ViewService {
    constructor(config, router, logger) {
        super([], config, router, logger);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestViewService, deps: [{ token: ConfigurationService }, { token: i3$1.Router }, { token: LoggerService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestViewService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestViewService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: ConfigurationService }, { type: i3$1.Router }, { type: LoggerService }] });

/**
 * A utility class that mock any pageable endpoint that takes one parameter
 */
class MockEndpoint {
    /**
     * The content that is queries by the requests.
     */
    content = [];
    /**
     * @param filter - a filtering argument. This mock ignores it.
     * @param params - pagination configuration. The mock extracts the `size` and `page` property to format the result properly.
     * @returns an `Observable` containing a properly formatted {@link Page} object.
     *
     * The `pagination` attributes are filled according to the request and the endpoints [content]{@link MockEndpoint#content}.
     *
     * If an empty {@link Page} should be returned the returned object has its `content` attribute set to some object
     * (to match backend and resource service behavior).
     * Otherwise the `content` attribute contains the corresponding subsection fo the [content]{@link MockEndpoint#content} array.
     */
    search(filter, params) {
        const rp = this.getPagination(params);
        const result = this.content.slice(rp.pageSize * rp.pageNumber, rp.pageSize * (rp.pageNumber + 1));
        const resultPage = {
            pagination: {
                size: result.length,
                totalElements: this.content.length,
                totalPages: Math.ceil(this.content.length / rp.pageSize),
                number: rp.pageNumber
            }
        };
        Object.assign(resultPage, { content: result.length !== 0 ? result : {} });
        return of(resultPage);
    }
    getPagination(params) {
        return {
            pageSize: parseInt(params.get(PaginationParams.PAGE_SIZE), 10),
            pageNumber: parseInt(params.get(PaginationParams.PAGE_NUMBER), 10)
        };
    }
}

/**
 * A module that provides the most common test dependencies, so that they don't have to be provided in each test.
 *
 * Provides the following:
 * - {@link AuthenticationMethodService} replaced with {@link MockAuthenticationMethodService}
 * - {@link ConfigurationService} replaced with {@link TestConfigurationService}
 *
 * Imports the following:
 * - [HttpClientTestingModule]{@link https://angular.io/api/common/http/testing/HttpClientTestingModule}
 */
class TestMockDependenciesModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestMockDependenciesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: TestMockDependenciesModule, imports: [HttpClientTestingModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestMockDependenciesModule, providers: [
            { provide: AuthenticationMethodService, useClass: MockAuthenticationMethodService },
            { provide: ConfigurationService, useClass: TestConfigurationService }
        ], imports: [HttpClientTestingModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TestMockDependenciesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        HttpClientTestingModule
                    ],
                    providers: [
                        { provide: AuthenticationMethodService, useClass: MockAuthenticationMethodService },
                        { provide: ConfigurationService, useClass: TestConfigurationService }
                    ]
                }]
        }] });

/**
 * Mock the {@link ProfileService}. By default all responses are successful. Responses can be customised.
 */
class MockProfileService {
    changePasswordResponse = of({ success: 'success' });
    changePassword(change) {
        return this.changePasswordResponse;
    }
}

/* SERVICES */

/**
 * Provides an implementation of the {@link TaskContentService} abstract class that allows only a
 * single call to the setter of the managed Task object.
 *
 * If you want to use an unlimited number of calls use {@link UnlimitedTaskContentService} instead.
 */
class SingleTaskContentService extends TaskContentService {
    /**
     * Acts as the underling stream for notifications on Task changes.
     *
     * `bufferSize` of the `ReplaySubject` instance is set to 1.
     */
    _task$;
    constructor(_fieldConverterService, _snackBarService, _translate, _logger, _injector) {
        super(_fieldConverterService, _snackBarService, _translate, _logger);
        this._task$ = new ReplaySubject(1);
    }
    /**
     * @returns the Task object if set and `undefined` otherwise
     */
    get task() {
        return this._task;
    }
    /**
     * The task can be only set once. All other call do nothing and log an error.
     * @param task the Task that owns the content managed by this service
     */
    set task(task) {
        if (!this._task$.closed) {
            this._task = task;
            this._task$.next(task);
            this._task$.complete();
        }
        else {
            this._logger.error('TaskContentService can have it\'s task set only once');
        }
    }
    /**
     * Stream returns a single {@link Task} object and then completes.
     *
     * Use [task]{@link TaskContentService#task} setter method to set the Task.
     */
    get task$() {
        return this._task$.asObservable();
    }
    /**
     * Completes the underling stream.
     */
    ngOnDestroy() {
        super.ngOnDestroy();
        if (!this._task$.closed) {
            this._task$.complete();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SingleTaskContentService, deps: [{ token: FieldConverterService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: LoggerService }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SingleTaskContentService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SingleTaskContentService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: FieldConverterService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: LoggerService }, { type: i0.Injector }] });

/**
 * Provides an implementation of the {@link TaskContentService} abstract class that allows
 * an unlimited number of calls to the setter of the managed Task object.
 *
 * If you want to limit the number of calls to 1 use {@link SingleTaskContentService} instead.
 */
class UnlimitedTaskContentService extends TaskContentService {
    /**
     * Acts as the underling stream for notifications on Task changes.
     *
     * `bufferSize` of the `ReplaySubject` instance is set to 1.
     */
    _task$;
    constructor(_fieldConverterService, _snackBarService, _translate, _logger, _injector) {
        super(_fieldConverterService, _snackBarService, _translate, _logger);
        this._task$ = new ReplaySubject(1);
    }
    /**
     * @returns the Task object if set and `undefined` otherwise
     */
    get task() {
        return this._task;
    }
    /**
     * Setting a Task also emits it into the stream accessible by the [task$]{@link TaskContentService#task$} getter method.
     * @param task the Task that owns the content managed by this service
     */
    set task(task) {
        this._task = task;
        this._task$.next(task);
    }
    /**
     * Stream returns a {@link Task} object every time this object is set.
     *
     * Use [task]{@link TaskContentService#task} setter method to set the Task.
     */
    get task$() {
        return this._task$.asObservable();
    }
    /**
     * Completes the underling stream.
     */
    ngOnDestroy() {
        super.ngOnDestroy();
        this._task$.complete();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UnlimitedTaskContentService, deps: [{ token: FieldConverterService }, { token: SnackBarService }, { token: i1$2.TranslateService }, { token: LoggerService }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UnlimitedTaskContentService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: UnlimitedTaskContentService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: FieldConverterService }, { type: SnackBarService }, { type: i1$2.TranslateService }, { type: LoggerService }, { type: i0.Injector }] });

/**
 * Contains types of elements that are used to construct task content, but are not data fields themselves.
 */
var TaskElementType;
(function (TaskElementType) {
    /**
     * Marks an empty tile in the task content grid
     */
    TaskElementType["BLANK"] = "blank";
    /**
     * Marks the space occupied by a data group title
     */
    TaskElementType["DATA_GROUP_TITLE"] = "title";
    /**
     * Marks the space occupied by a temporary loading placeholder
     */
    TaskElementType["LOADER"] = "loader";
})(TaskElementType || (TaskElementType = {}));

/**
 * Holds configuration of the task content async rendering properties.
 *
 * The value represents the number of elements rendered in one rendering cycle
 */
const NAE_ASYNC_RENDERING_CONFIGURATION = new InjectionToken('NaeAsyncRenderingConfiguration');

/**
 * A configuration for one subgrid - a basic layouting unit
 */
class Subgrid {
    subgridId;
    cols;
    _asyncRenderingConfig;
    /**
     * the css `gridAreas` configuration, that determines the layout of the grids content
     */
    gridAreas;
    /**
     * The elements that are contained in the subgrid
     */
    _content = [];
    /**
     * The elements that are contained in the subgrid and have already been rendered to the user
     */
    _renderedContent$;
    /**
     * A 2D representation of the grid element IDs
     */
    _grid = [];
    /**
     * Counter to assure element ID uniqueness
     */
    _runningTitleCount = new IncrementingCounter();
    /**
     * Grid area identifiers that are already in use
     */
    _existingIdentifiers = new Set();
    _asyncRenderingTimeout;
    _keptElements;
    _newElements;
    /**
     * @param subgridId a unique identifier of the subgrid in the task layout
     * @param cols Number of columns of the subgrid
     * @param _asyncRenderingConfig configuration object for async rendering of data fields
     */
    constructor(subgridId, cols, _asyncRenderingConfig) {
        this.subgridId = subgridId;
        this.cols = cols;
        this._asyncRenderingConfig = _asyncRenderingConfig;
        this._renderedContent$ = new BehaviorSubject([]);
    }
    get content() {
        return this._renderedContent$.value;
    }
    /**
     * Completes the underlying stream and clears any running timeouts
     */
    destroy() {
        this._renderedContent$.complete();
        if (this._asyncRenderingTimeout !== undefined) {
            window.clearTimeout(this._asyncRenderingTimeout);
        }
    }
    /**
     * @returns the columns configuration for the grid layout
     */
    getGridColumns() {
        return 'repeat(' + this.cols + ', 1fr)';
    }
    getRunningTitleCount() {
        return this._runningTitleCount;
    }
    /**
     * Converts a {@link DataField} into a {@link DatafieldGridLayoutElement} and adds it to the content of this subgrid.
     *
     * Beware that this method DOES NOT add the element into the resulting grid. This must be done independently by calling the
     * [addRow]{@link Subgrid#addRow} method.
     * @param field the field that should be added to the subgrid
     * @param type the type of the field
     * @returns the created grid element
     */
    addField(field, type) {
        const element = this.fieldElement(field, type);
        this.addElement(element);
        return element;
    }
    /**
     * Converts a {@link DataGroup} into a {@link DatafieldGridLayoutElement} and adds it to the content of this subgrid.
     *
     * Beware that this method DOES NOT add the element into the resulting grid. This must be done independently by calling the
     * [addRow]{@link Subgrid#addRow} method.
     * @param dataGroup the data group whose title should be added to the grid
     * @returns the created grid element
     */
    addTitle(dataGroup) {
        const element = this.groupTitleElement(dataGroup);
        this.addElement(element);
        return element;
    }
    addElement(element) {
        this._content.push(element);
    }
    /**
     * Adds a row of CSS `gridAreaId`s into the grid that is held in this subgrid.
     * @param row the field Ids. The width of the row should match the number of columns of the grid. If not an error is thrown.
     */
    addRow(row) {
        if (row.length !== this.cols) {
            throw new Error(`The provided grid layout row '${JSON.stringify(row)}' does not match the number of columns of this subgrid (${this.cols})`);
        }
        this._grid.push(row);
    }
    /**
     * Converts the provided configuration into data that can be fed into CSS grid layout
     */
    finalize() {
        this.fillEmptySpace();
        this.createGridAreasString();
    }
    /**
     * Fills empty tiles in the grid with blank elements
     */
    fillEmptySpace() {
        const runningBlanksCount = new IncrementingCounter();
        this._grid.forEach(row => {
            for (let i = 0; i < row.length; i++) {
                if (row[i] !== '') {
                    continue;
                }
                const filler = this.fillerElement(runningBlanksCount);
                row[i] = filler.gridAreaId;
                this._content.push(filler);
            }
        });
    }
    /**
     * @param field the field whose representation should be created
     * @param type the type of the data field
     * @returns an object that represents the provided data field in the layout
     */
    fieldElement(field, type) {
        return { gridAreaId: this.assureUniqueness(field.stringId), type, item: field };
    }
    /**
     * @param fillerCounter the counter that is used to track the number of already created filler elements
     * @returns a filler element object with a unique ID. The provided counter is incremented by one.
     */
    fillerElement(fillerCounter) {
        return { gridAreaId: this.assureUniqueness('blank' + fillerCounter.next()), type: TaskElementType.BLANK };
    }
    /**
     * @param dataGroup the data group whose title element should be created
     * @returns an object that represents a title element of the provided data group. The provided counter is incremented by one.
     */
    groupTitleElement(dataGroup) {
        return {
            title: dataGroup.title,
            gridAreaId: this.assureUniqueness('group' + this._runningTitleCount.next()),
            type: TaskElementType.DATA_GROUP_TITLE
        };
    }
    /**
     * Assures that the provided identifier will be unique.
     * @param identifier the base for the identifier
     * @returns the base identifier, if it already is unique. A unique variation on the base identifier if it is already in use.
     */
    assureUniqueness(identifier) {
        const alphaNumIdentifier = 'x' + identifier.replace(/[^0-9a-z]/gi, '');
        if (!this._existingIdentifiers.has(alphaNumIdentifier)) {
            this._existingIdentifiers.add(alphaNumIdentifier);
            return alphaNumIdentifier;
        }
        let variation;
        const counter = new IncrementingCounter();
        do {
            variation = `x${counter.next()}${alphaNumIdentifier}`;
        } while (this._existingIdentifiers.has(variation));
        this._existingIdentifiers.add(variation);
        return variation;
    }
    /**
     * Joins the grid of element into a string accepted by `[gdAreas]` input property of Angular flex layout
     */
    createGridAreasString() {
        this.gridAreas = this._grid.map(row => row.join(' ')).join(' | ');
    }
    /**
     * Marks all contained elements as kept and displays them.
     */
    displayAllFields() {
        this._keptElements = [...this._content];
        this._newElements = [];
        this._renderedContent$.next(this._keptElements);
    }
    /**
     * Determines which elements from the provided subgrid are contained in this subgrid.
     * Marks these elements as kept and displays them. Marks the remaining elements as new.
     *
     * New elements can be displayed asynchronously over time by calling the
     * [renderContentOverTime]{@link Subgrid#renderContentOverTime} method.
     * @param subgrid the "previous" subgrid that is used to compute the element "difference"
     */
    determineKeptFields(subgrid) {
        this._keptElements = [];
        this._newElements = [];
        this._content.forEach(element => {
            if (subgrid.content.some(el => el.gridAreaId === element.gridAreaId)) {
                this._keptElements.push(element);
            }
            else {
                this._newElements.push(element);
            }
        });
        this._renderedContent$.next(this._keptElements);
    }
    /**
     * If elements are not sorted into new and kept, marks all elements as new.
     * The [determineKeptFields]{@link Subgrid#determineKeptFields} method can be used to mark elements as kept.
     *
     * Then pushes the new elements with the kept elements into the output array over time as specified by the
     * {@link AsyncRenderingConfiguration} provided in the subgrids constructor.
     *
     * @param callback the function that is called once all new elements were pushed into the output array
     * @param first whether this is the first subgrid that si rendered. If this is the first subgrid then on the initial rendering of
     * elements a batch of new fields alongside the loader elements is displayed so that some content is immediately available.
     * Otherwise The initial batch contains only loader elements. Being first effectively shortens the rendering by one batch, since the
     * first loader-only batch is skipped.
     */
    renderContentOverTime(callback, first = false) {
        if (this._newElements === undefined) {
            this._newElements = Array.from(this._content);
            this._keptElements = [];
        }
        this.spreadFieldRenderingOverTime(callback, first ? 1 : 0);
    }
    spreadFieldRenderingOverTime(callback, iteration = 0) {
        this._asyncRenderingTimeout = undefined;
        const fieldsInCurrentIteration = this._newElements.slice(0, iteration * this._asyncRenderingConfig.batchSize);
        const placeholdersInCurrentIteration = this._newElements.slice(iteration * this._asyncRenderingConfig.batchSize, iteration * this._asyncRenderingConfig.batchSize + this._asyncRenderingConfig.numberOfPlaceholders);
        fieldsInCurrentIteration.push(...placeholdersInCurrentIteration.map(field => ({ gridAreaId: field.gridAreaId, type: TaskElementType.LOADER })));
        this._renderedContent$.next([...this._keptElements, ...fieldsInCurrentIteration]);
        if (this._asyncRenderingConfig.batchSize * iteration < this._newElements.length) {
            this._asyncRenderingTimeout = window.setTimeout(() => {
                this.spreadFieldRenderingOverTime(callback, iteration + 1);
            }, this._asyncRenderingConfig.batchDelay);
        }
        else {
            callback();
        }
    }
}

class AbstractTaskContentComponent {
    _fieldConverter;
    taskContentService;
    _paperView;
    _logger;
    _taskEventService;
    DEFAULT_LAYOUT_TYPE = DataGroupLayoutType.LEGACY;
    DEFAULT_FIELD_ALIGNMENT = FieldAlignment.CENTER;
    DEFAULT_ASYNC_RENDERING_CONFIGURATION = {
        batchSize: 4,
        batchDelay: 200,
        numberOfPlaceholders: 4,
        enableAsyncRenderingForNewFields: true,
        enableAsyncRenderingOnTaskExpand: true
    };
    DEFAULT_COMPACT_DIRECTION = DataGroupCompact.NONE;
    DEFAULT_HIDE_EMPTY_ROWS = DataGroupHideEmptyRows.ALL;
    /**
     * Indicates whether data is being loaded from backend, or if it is being processed.
     */
    loading$;
    /**
     * Emits `true` if there is at least one data field, that should be displayed. Emits `false` otherwise.
     */
    hasDataToDisplay$;
    /**
     * Exists to allow references to the enum in the HTML
     */
    fieldTypeResource = FieldTypeResource;
    /**
     * The translate text that should be displayed when the task contains no data.
     *
     * If a falsy value is provided the default text is displayed
     */
    noDataText;
    /**
     * The icon that should be displayed when the task contains no data.
     *
     * If a falsy value is provided the default icon is displayed
     */
    noDataIcon;
    /**
     * Whether an icon should be displayed when the no data message is shown.
     *
     * An icon is displayed by default
     */
    displayNoDataIcon = true;
    /**
     * Emits notifications about task events
     */
    taskEvent;
    /**
     * The data fields that are currently displayed
     */
    _dataSource$;
    _subTaskContent;
    _subTaskEvent;
    _asyncRenderingConfig;
    _asyncRenderTimeout;
    _defaultAlignment;
    _defaultCompactDirection;
    _defaultHideEmptyRows;
    _defaultNumberOfCols;
    _subgridIdCounter;
    _existingSubgridIds;
    /**
     * Defines the row height of one row in task content
     */
    rowHeight = 105;
    constructor(_fieldConverter, taskContentService, _paperView, _logger, _taskEventService = null, asyncRenderingConfiguration = null) {
        this._fieldConverter = _fieldConverter;
        this.taskContentService = taskContentService;
        this._paperView = _paperView;
        this._logger = _logger;
        this._taskEventService = _taskEventService;
        this._asyncRenderingConfig = { ...this.DEFAULT_ASYNC_RENDERING_CONFIGURATION };
        if (asyncRenderingConfiguration !== null) {
            Object.assign(this._asyncRenderingConfig, asyncRenderingConfiguration);
        }
        this.loading$ = new LoadingEmitter(true);
        this._dataSource$ = new BehaviorSubject([]);
        this.hasDataToDisplay$ = this._dataSource$.pipe(map(data => {
            return data.length !== 0;
        }));
        this._subTaskContent = this.taskContentService.$shouldCreate.subscribe(data => {
            if (data.length !== 0) {
                this.computeDefaultLayoutConfiguration();
                this.computeLayoutData(data);
            }
            else {
                this.renderContent();
            }
            this.loading$.off();
        });
        if (this._taskEventService !== null) {
            this.taskEvent = new EventEmitter();
            this._subTaskEvent = _taskEventService.taskEventNotifications$.subscribe(event => {
                this.taskEvent.emit(event);
            });
        }
    }
    ngOnDestroy() {
        this.loading$.complete();
        this._dataSource$.complete();
        this._subTaskContent.unsubscribe();
        if (this.taskEvent) {
            this.taskEvent.complete();
        }
        if (this._subTaskEvent) {
            this._subTaskEvent.unsubscribe();
        }
        if (this._asyncRenderTimeout !== undefined) {
            window.clearTimeout(this._asyncRenderTimeout);
        }
    }
    get taskId() {
        return this.taskContentService.task.stringId;
    }
    get dataSource() {
        return this._dataSource$.getValue();
    }
    /**
     * @returns the number of columns as specified by the tasks layout property, or 4 if no value is specified.
     */
    getNumberOfFormColumns() {
        if (!this.taskContentService.task
            || !this.taskContentService.task.layout
            || this.taskContentService.task.layout.cols === undefined) {
            return 4;
        }
        else {
            return this.taskContentService.task.layout.cols;
        }
    }
    isPaperView() {
        return this._paperView.paperView;
    }
    /**
     * @param item an object containing grid element information
     * @returns the Angular flex layouts alignment property for individual data fields based on
     * the layout configuration specified by the process
     */
    getItemAlignment(item) {
        if (item.alignment) {
            return item.alignment;
        }
        const fieldAlignment = item.item?.localLayout?.alignment ?? this._defaultAlignment;
        let alignment;
        switch (fieldAlignment) {
            case FieldAlignment.TOP:
                alignment = 'start';
                break;
            case FieldAlignment.CENTER:
                alignment = 'center';
                break;
            case FieldAlignment.BOTTOM:
                alignment = 'end';
                break;
        }
        item.alignment = 'space-between ' + alignment;
        return item.alignment;
    }
    /**
     * Computes component height if the rows attribute of task layout is set.
     */
    resolveContentHeightCss() {
        if (this.scrollingNeeded()) {
            return this.taskContentService.task.layout.rows * this.rowHeight + 'px';
        }
        else {
            return '100%';
        }
    }
    /**
     * Decides whether there is a fixed number of rows and it need-s scrolling
     */
    scrollingNeeded() {
        return this.taskContentService.task
            && !!this.taskContentService.task.layout
            && !!this.taskContentService.task.layout.rows
            && this.taskContentService.task.layout.rows > 0;
    }
    /**
     * @returns the default alignment for the displayed task that can be overridden by fields individual property.
     * If te task specifies no default value the [global default]{@link AbstractTaskContentComponent#DEFAULT_FIELD_ALIGNMENT}
     * value is returned.
     */
    computeDefaultLayoutConfiguration() {
        this._defaultAlignment = this.taskContentService.task?.layout?.fieldAlignment ?? this.DEFAULT_FIELD_ALIGNMENT;
        this._defaultCompactDirection = this.taskContentService.task?.layout?.compactDirection ?? this.DEFAULT_COMPACT_DIRECTION;
        this._defaultHideEmptyRows = this.taskContentService.task?.layout?.hideEmptyRows ?? this.DEFAULT_HIDE_EMPTY_ROWS;
        this._defaultNumberOfCols = this.getNumberOfFormColumns();
    }
    /**
     * Computes the layout data for the tasks grid layout and sets the result to the public properties
     * of this class that are then bound to HTML.
     * @param dataGroups the data groups that should be laid out
     */
    computeLayoutData(dataGroups) {
        if (!this.taskContentService.task) {
            this.renderContent();
            return;
        }
        this._subgridIdCounter = new IncrementingCounter();
        this._existingSubgridIds = new Set();
        const result = new Map();
        dataGroups = this.preprocessDataGroups(dataGroups);
        const defaultLayout = this.taskContentService.task.layout && this.taskContentService.task.layout.type
            ? this.taskContentService.task.layout.type
            : this.DEFAULT_LAYOUT_TYPE;
        dataGroups.forEach(group => {
            if (!group.layout) {
                group.layout = { rows: undefined, cols: undefined, type: defaultLayout };
            }
            if (!group.layout.type) {
                group.layout.type = defaultLayout;
            }
            const subgrid = new Subgrid(this.createSubgridId(group), group.layout.cols ?? this._defaultNumberOfCols, this._asyncRenderingConfig);
            if (group.title !== undefined) {
                const title = subgrid.addTitle(group);
                subgrid.addRow(this.newGridRow(subgrid.cols, title.gridAreaId));
            }
            switch (group.layout.type) {
                case DataGroupLayoutType.GRID:
                    this.computeGridLayout(group, subgrid);
                    break;
                case DataGroupLayoutType.FLOW:
                    this.computeFlowLayout(group, subgrid);
                    break;
                case DataGroupLayoutType.LEGACY:
                    this.computeLegacyLayout(group, subgrid);
                    break;
                default:
                    throw new Error(`Unknown task layout type '${this.taskContentService.task.layout.type}'`);
            }
            subgrid.finalize();
            result.set(subgrid.subgridId, subgrid);
        });
        this.renderFields(result);
    }
    renderFields(subgrids) {
        const subgridsArray = Array.from(subgrids.values());
        if (!this._asyncRenderingConfig.enableAsyncRenderingForNewFields
            && !(this._asyncRenderingConfig.enableAsyncRenderingOnTaskExpand && this.taskContentService.isExpanding)) {
            subgridsArray.forEach(subgrid => {
                subgrid.displayAllFields();
            });
            this.renderContent(subgridsArray);
            return;
        }
        if (!(this.taskContentService.isExpanding && this._asyncRenderingConfig.enableAsyncRenderingOnTaskExpand)) {
            this._dataSource$.value.forEach(oldSubgrid => {
                if (subgrids.has(oldSubgrid.subgridId)) {
                    subgrids.get(oldSubgrid.subgridId).determineKeptFields(oldSubgrid);
                }
            });
        }
        this.renderContent(subgridsArray);
        this.spreadFieldRenderingOverTime(subgridsArray);
    }
    spreadFieldRenderingOverTime(subgrids, iteration = 0) {
        this._asyncRenderTimeout = undefined;
        if (iteration < subgrids.length) {
            this._asyncRenderTimeout = window.setTimeout(() => {
                subgrids[iteration].renderContentOverTime(() => {
                    this.spreadFieldRenderingOverTime(subgrids, iteration + 1);
                }, iteration === 0);
            });
        }
    }
    /**
     * Clones the content of the data groups to prevent unintentional memory accesses to source data.
     * Rearranges the data groups to accommodate taskrefs. Filters out hidden and forbidden fields.
     * Populates dashboard task ref fields with dashboard tile data.
     * @param dataGroups
     * @returns the preprocessed data groups
     */
    preprocessDataGroups(dataGroups) {
        const rearrangeResult = this.rearrangeDataGroups(dataGroups);
        let unfilteredDataGroups = rearrangeResult.dataGroups;
        if (rearrangeResult.containsDashboardTaskRef) {
            unfilteredDataGroups = this.preprocessDashboardTaskRef(rearrangeResult.dataGroups, dataGroups);
        }
        return this.cloneAndFilterHidden(unfilteredDataGroups);
    }
    /**
     * Clones the content of the data groups to prevent unintentional memory accesses to source data.
     * Rearranges the data groups to accommodate taskrefs.
     * Determines if the data groups contain a dashboard task ref field.
     * @param dataGroups
     * @returns the preprocessed data groups with metadata
     */
    rearrangeDataGroups(dataGroups) {
        dataGroups = this.cloneDataGroups(dataGroups);
        this.initializeLocalFieldLayout(dataGroups);
        let containsDashboard = false;
        const result = [];
        for (let i = 0; i < dataGroups.length; i++) {
            const group = dataGroups[i];
            if (!group.fields.some(f => this.isTaskRef(f) && this.shouldResolveTaskRefData(f))) {
                result.push(group);
                continue;
            }
            const split = this.splitDataGroupOnTaskRef(group);
            if (split.startGroup !== undefined) {
                result.push(split.startGroup);
            }
            if (!!split.taskRef.component?.name) {
                result.push(this.createComponentTaskRefDataGroup(group, split.taskRef));
                containsDashboard = split.taskRef.component.name === TaskRefComponents.DASHBOARD;
            }
            if (split.taskRef.value.length === 0 || split.endGroup === undefined) {
                if (split.endGroup !== undefined) {
                    dataGroups.splice(i + 1, 0, split.endGroup);
                }
                continue;
            }
            const directChild = dataGroups[i + 1]; // the data group that immediately follows IS ALWAYS a direct child
            let firstNonDescendantIndex = i + 2;
            for (; firstNonDescendantIndex < dataGroups.length; firstNonDescendantIndex++) {
                const nextGroup = dataGroups[firstNonDescendantIndex];
                if (nextGroup.nestingLevel === undefined || nextGroup.nestingLevel < directChild.nestingLevel) {
                    // end of the block of nested data groups
                    break;
                }
                if (nextGroup.nestingLevel === directChild.nestingLevel
                    && (nextGroup.parentTaskRefId !== split.taskRef.stringId
                        || !split.taskRef.value.some(reffedTaskId => reffedTaskId === nextGroup.parentTaskId))) {
                    break;
                }
            }
            dataGroups.splice(firstNonDescendantIndex, 0, split.endGroup);
        }
        return {
            dataGroups: result,
            containsDashboardTaskRef: containsDashboard
        };
    }
    /**
     * Creates a duplicate of the provided data group array.
     *
     * Only the data groups are cloned, the fields are only copied as references.
     * @param dataGroups the data groups that should be cloned
     * @returns the duplicated data groups
     */
    cloneDataGroups(dataGroups) {
        return dataGroups.map(group => {
            const g = { ...group };
            g.fields = g.fields.map(field => field);
            return g;
        });
    }
    /**
     * Passes over all the fields in the provided data groups and if they are visible, initializes their local layout attribute.
     * @param dataGroups the containers of the fields that should have their local layout initialized
     */
    initializeLocalFieldLayout(dataGroups) {
        for (const g of dataGroups) {
            for (const f of g.fields) {
                f.resetLocalLayout();
            }
        }
    }
    /**
     * Creates a duplicate of the provided data group array and filters away any fields and data groups that are marked as hidden.
     * Because of the duplication the filtering doesn't affect the original instances and they remain unchanged.
     * @param dataGroups the data groups that should be filtered
     * @returns the filtered duplicated data groups
     */
    cloneAndFilterHidden(dataGroups) {
        const result = dataGroups.map(group => {
            const g = { ...group };
            g.fields = g.fields.filter(field => !field.behavior.hidden && !field.behavior.forbidden).map(field => {
                field.resetLocalLayout();
                return field;
            });
            return g;
        });
        return result.filter(group => group.fields.length > 0);
    }
    isTaskRef(field) {
        return field instanceof TaskRefField;
    }
    /**
     * Sorts the input data group based on the Y coordinate of the fields and splits it into parts on the first task ref.
     * If some fields appear before the first task ref they are extracted into a new [startGroup]{@link SplitDataGroup#startGroup}.
     * If some fields appear after the first task ref they are extracted into a new [endGroup]{@link SplitDataGroup#endGroup}.
     * @param dataGroup
     * @protected
     */
    splitDataGroupOnTaskRef(dataGroup) {
        dataGroup.fields.sort((a, b) => a.localLayout.y - b.localLayout.y);
        const taskRefPosition = dataGroup.fields.findIndex(f => this.isTaskRef(f));
        const result = {
            taskRef: dataGroup.fields[taskRefPosition]
        };
        if (taskRefPosition !== 0) {
            result.startGroup = {
                title: dataGroup.title,
                alignment: dataGroup.alignment,
                layout: dataGroup.layout,
                stretch: dataGroup.stretch,
                fields: dataGroup.fields.slice(0, taskRefPosition),
            };
        }
        if (taskRefPosition !== dataGroup.fields.length - 1) {
            result.endGroup = {
                title: undefined,
                alignment: dataGroup.alignment,
                layout: dataGroup.layout,
                stretch: dataGroup.stretch,
                fields: dataGroup.fields.slice(taskRefPosition + 1),
            };
            result.endGroup.fields.forEach(f => {
                f.localLayout.y = f.localLayout.y - result.taskRef.localLayout.y - 1;
            });
        }
        return result;
    }
    /**
     * Creates a new data group that contains only the passed task ref.
     * The information about nesting and parent task/case are preserved from the passed original data group.
     * @param originalDataGroup source of the information about parent task/case
     * @param taskRef the task ref that will be added to the new data group
     * @param title optional title for taskref
     * @protected
     */
    createComponentTaskRefDataGroup(originalDataGroup, taskRef, title) {
        return {
            fields: [taskRef],
            alignment: undefined,
            stretch: false,
            title: title,
            parentTaskId: originalDataGroup.parentTaskId,
            parentTransitionId: originalDataGroup.parentTransitionId,
            parentCaseId: originalDataGroup.parentCaseId,
            parentTaskRefId: originalDataGroup.parentTaskRefId,
            nestingLevel: originalDataGroup.nestingLevel,
            layout: originalDataGroup.layout
        };
    }
    /**
     * Identifies data groups that represent dashboard tiles,
     * removes them from the data group array and passes them onto the task ref field instance.
     * @param preprocessedDataGroups
     * @param rawDataGroups
     * @returns an array of data group objects that does not contain dashboard tiles referenced by the dashboard task ref
     * @protected
     */
    preprocessDashboardTaskRef(preprocessedDataGroups, rawDataGroups) {
        // TODO support more than one dashboard task ref in a task
        let dashboardTaskRefField;
        let dashboardParentInformation;
        for (const dg of preprocessedDataGroups) {
            for (const field of dg.fields) {
                if (this.isTaskRef(field) && field.component?.name === TaskRefComponents.DASHBOARD) {
                    dashboardTaskRefField = field;
                    dashboardParentInformation = {
                        parentTaskId: dg.parentTaskId,
                        parentTransitionId: dg.parentTransitionId,
                        parentCaseId: dg.parentCaseId,
                        parentTaskRefId: dg.parentTaskRefId,
                        nestingLevel: dg.nestingLevel
                    };
                    break;
                }
            }
            if (dashboardTaskRefField !== undefined) {
                break;
            }
        }
        if (dashboardTaskRefField === undefined) {
            this._logger.error('preprocessDashboardTaskRef method was called on task content without dashboard task refs!');
            return preprocessedDataGroups;
        }
        const tiles = new Map();
        // TODO resolve transitive tile content
        const nonDashboardDataGroups = [];
        for (const dg of preprocessedDataGroups) {
            if (dg.parentTaskRefId !== dashboardTaskRefField.stringId) {
                nonDashboardDataGroups.push(dg);
                continue;
            }
            if (tiles.has(dg.parentTaskId)) {
                const tile = tiles.get(dg.parentTaskId);
                tile.dataGroups.push(dg);
            }
            else {
                tiles.set(dg.parentTaskId, { dataGroups: [dg] });
            }
        }
        for (const rdg of rawDataGroups) {
            if (rdg.parentTaskId === dashboardParentInformation.parentTaskId
                && rdg.parentTransitionId === dashboardParentInformation.parentTransitionId
                && rdg.parentCaseId === dashboardParentInformation.parentCaseId
                && rdg.parentTaskRefId === dashboardParentInformation.parentTaskRefId
                && rdg.nestingLevel === dashboardParentInformation.nestingLevel) {
                for (const filed of rdg.fields) {
                    if (filed.stringId === TaskRefDashboardConstants.DASHBOARD_COLS) {
                        dashboardTaskRefField.dashboardCols = filed.value;
                    }
                    else if (filed.stringId === TaskRefDashboardConstants.DASHBOARD_ROWS) {
                        dashboardTaskRefField.dashboardRows = filed.value;
                    }
                }
            }
        }
        dashboardTaskRefField.dashboardTiles = Array.from(tiles.values());
        return nonDashboardDataGroups;
    }
    /**
     * Computes the layout data for a single data group with grid layout. The resulting layout is saved into the input objects.
     * @param dataGroup the data group that should be laid out into a grid
     * @param subgrid the object that holds the context of the computed layouting unit
     */
    computeGridLayout(dataGroup, subgrid) {
        const localGrid = [];
        dataGroup.fields = [...dataGroup.fields].sort((f1, f2) => f1.layout.y === f2.layout.y ? f1.layout.x - f2.layout.x : f1.layout.y - f2.layout.y);
        dataGroup.fields.forEach(dataField => {
            if (!dataField.localLayout
                || dataField.localLayout.x === undefined
                || dataField.localLayout.y === undefined
                || !dataField.localLayout.rows
                || !dataField.localLayout.cols) {
                throw new Error(`You cannot use 'grid' layout without specifying the layout of the data fields (field ID: ${dataField.stringId})`);
            }
            while (localGrid.length < dataField.localLayout.y + dataField.localLayout.rows) {
                localGrid.push(this.newGridRow(subgrid.cols));
            }
            const fieldElement = subgrid.addField(dataField, this._fieldConverter.resolveType(dataField));
            this.occupySpace(localGrid, dataField.localLayout.y, dataField.localLayout.x, dataField.localLayout.cols, fieldElement.gridAreaId, dataField.localLayout.rows);
        });
        this.collapseGridEmptySpace(localGrid, dataGroup.layout, subgrid);
        localGrid.forEach(localGridRow => subgrid.addRow(localGridRow));
    }
    /**
     * Applies the empty row removal and field compacting rules based on the provided layout configuration.
     *
     * The input grid is modified in place.
     * @param grid the state of the grid that should be modified
     * @param layout configuration of the applied compacting rules
     * @param subgrid the object that holds the context of the computed layouting unit
     */
    collapseGridEmptySpace(grid, layout, subgrid) {
        const hideRows = layout.hideEmptyRows ?? this._defaultHideEmptyRows;
        if (hideRows === DataGroupHideEmptyRows.ALL) {
            this.removeEmptyRows(grid);
        }
        switch (layout.compactDirection ?? this._defaultCompactDirection) {
            case DataGroupCompact.UP:
                this.compactFieldsUp(grid, hideRows, subgrid);
                break;
        }
    }
    /**
     * Moves any element as far UP as it can go. Elements that were originally declared in the same row might end up in different rows.
     * Resulting trailing empty rows are removed.
     *
     * The input grid is modified in place.
     * @param grid the state of the grid that should be modified
     * @param hideRows configuration for empty row removal during the compacting process
     * @param subgrid the object that holds the context of the computed layouting unit
     */
    compactFieldsUp(grid, hideRows, subgrid) {
        for (let rowIndex = 0; rowIndex < grid.length; rowIndex++) {
            const row = grid[rowIndex];
            for (let columnIndex = 0; columnIndex < row.length; columnIndex++) {
                if (row[columnIndex] !== '') {
                    continue;
                }
                let foundElement = false;
                let foundElementRowIndex = rowIndex + 1;
                for (; foundElementRowIndex < grid.length; foundElementRowIndex++) {
                    if (grid[foundElementRowIndex][columnIndex] !== '') {
                        foundElement = true;
                        break;
                    }
                }
                if (!foundElement) {
                    continue;
                }
                if (columnIndex > 0 && grid[foundElementRowIndex][columnIndex - 1] === grid[foundElementRowIndex][columnIndex]) {
                    continue;
                }
                const elementDimensions = this.getElementDimensions(grid, columnIndex, foundElementRowIndex, subgrid);
                if (this.isAreaEmpty(grid, columnIndex, rowIndex, elementDimensions.width, foundElementRowIndex - rowIndex)) {
                    const element = grid[foundElementRowIndex][columnIndex];
                    this.occupySpace(grid, foundElementRowIndex, columnIndex, elementDimensions.width, '', elementDimensions.height, false);
                    this.occupySpace(grid, rowIndex, columnIndex, elementDimensions.width, element, elementDimensions.height, false);
                    if (hideRows !== DataGroupHideEmptyRows.NONE) {
                        // we only check the rows potentially cleared by moving the grid element up
                        this.removeEmptyRows(grid, foundElementRowIndex, foundElementRowIndex + elementDimensions.height);
                    }
                }
            }
        }
    }
    /**
     * Removes rows from the grid that only contain empty elements (are empty). The grid is modified in place.
     * @param grid the grid that should have it's empty rows removed
     * @param firstRow the 0 based index of the first row that should be checked. Use 0 to start from the beginning of the grid.
     *
     * If no value is provided, the grid will be checked from the first row.
     *
     * @param lastRow the 0 based index of the row where the checking should end. The row with this index is not checked.
     *
     * If no value is provided the entire grid from the `firstRow` will be checked.
     *
     * If a value that is smaller or equal to the `firstRow` is provided no checks will be preformed.
     */
    removeEmptyRows(grid, firstRow = 0, lastRow = Number.POSITIVE_INFINITY) {
        let i = firstRow;
        while (i < grid.length && i < lastRow) {
            if (grid[i].every(element => element === '')) {
                grid.splice(i, 1);
            }
            else {
                i++;
            }
        }
    }
    /**
     * Determines the dimensions of the element in the grid with its top-left corner at the specified position
     * @param grid the grid of elements
     * @param x the X coordinate of the desired elements top-left corner
     * @param y the Y coordinate of the desired elements top-left corner
     * @param subgrid the object that holds the context of the computed layouting unit
     * @returns the width and height of the specified element
     */
    getElementDimensions(grid, x, y, subgrid) {
        const element = grid[y][x];
        let width = 1;
        while (x + width < subgrid.cols && grid[y][x + width] === element) {
            width++;
        }
        let height = 1;
        while (y + height < grid.length && grid[y + height][x] === element) {
            height++;
        }
        return { width, height };
    }
    /**
     * Determines whether the specified area in the grid contains no elements, or not
     * @param grid the grid of elements
     * @param x the X coordinate of the tested areas top-left corner
     * @param y the Y coordinate of the tested areas top-left corner
     * @param width the width of the tested area
     * @param height the height of the tested area
     */
    isAreaEmpty(grid, x, y, width, height) {
        for (let i = y; i < y + height; i++) {
            for (let j = x; j < x + width; j++) {
                if (grid[i][j] !== '') {
                    return false;
                }
            }
        }
        return true;
    }
    /**
     * Computes the layout data for a single data group with flow layout. The resulting layout is saved into the input objects.
     * @param dataGroup the data group that should be laid out into a grid using the flow algorithm
     * @param subgrid the object that holds the context of the computed layouting unit
     */
    computeFlowLayout(dataGroup, subgrid) {
        this.flowFields(dataGroup, subgrid, 1);
    }
    /**
     * Computes the layout data for a single data group with legacy layout. The resulting layout is saved into the input objects.
     *
     * The legacy layout forces the number of columns to be 4 and logs a warning if this was not the case.
     * @param dataGroup the data group that should be laid out into a grid using the legacy algorithm used in NAE versions < 4.0.0
     * @param subgrid the object that holds the context of the computed layouting unit
     */
    computeLegacyLayout(dataGroup, subgrid) {
        if (subgrid.cols !== 4) {
            subgrid.cols = 4;
            this._logger.warn(`Task with id '${this.taskContentService.task.stringId}' has a data group with legacy layout with a `
                + `non-default number of columns. If you want to use a layout with different number of columns than 2 use a different `
                + `layout type instead.`);
        }
        this.flowFields(dataGroup, subgrid, 2);
    }
    /**
     * Lays out the fields from left to right, from top to bottom. If the width is greater than 1 and the block of flowed fields doesn't fit
     * neatly into the columns (if the width of a single field is not a divisor of column count), then the entire block of fields is
     * left aligned. The last row of fields is aligned to the left, center or right based on the data groups property.
     * If the last row cannot be aligned to the exact center it is offset one grid tile to the left.
     * @param dataGroup the data group that should be laid out into a grid
     * @param subgrid the object that holds the context of the computed layouting unit
     * @param fieldWidth the number of grid tiles, that should be occupied by each field
     */
    flowFields(dataGroup, subgrid, fieldWidth) {
        const fieldsPerRow = Math.floor(subgrid.cols / fieldWidth);
        const maxXPosition = fieldWidth * (fieldsPerRow - 1);
        let xPosition = 0;
        const localGrid = [];
        dataGroup.fields.forEach((dataField, dataFieldCount) => {
            const fieldElement = subgrid.addField(dataField, this._fieldConverter.resolveType(dataField));
            if (dataGroup.stretch) {
                subgrid.addRow(this.newGridRow(subgrid.cols, fieldElement.gridAreaId));
                return; // continue
            }
            // else
            if (xPosition === 0) {
                localGrid.push(this.newGridRow(subgrid.cols));
            }
            if (xPosition === 0 && this.isLastRow(dataFieldCount, dataGroup, fieldsPerRow)) {
                const fieldsInLastRow = dataGroup.fields.length % fieldsPerRow;
                const rowWidth = maxXPosition + fieldWidth;
                if (dataGroup.alignment === DataGroupAlignment.END) {
                    xPosition = rowWidth - fieldWidth * fieldsInLastRow;
                }
                else if (dataGroup.alignment === DataGroupAlignment.CENTER) {
                    xPosition = Math.floor((rowWidth - fieldsInLastRow * fieldWidth) / 2);
                }
            }
            this.occupySpace(localGrid, localGrid.length - 1, xPosition, fieldWidth, fieldElement.gridAreaId);
            xPosition += fieldWidth;
            if (xPosition > maxXPosition) {
                xPosition = 0;
            }
        });
        localGrid.forEach(row => subgrid.addRow(row));
    }
    /**
     * @param width width of the row
     * @param content the value that should be used to fill all elements in the row
     */
    newGridRow(width, content = '') {
        return Array(width).fill(content);
    }
    /**
     * Fills the specified rectangular area with the specified value in the provided grid.
     *
     * If the specified area contains values other than the empty string an error will be thrown.
     * @param grid the grid that should be modified
     * @param y the 0 based row index of the top-left corner of the filled area
     * @param x the 0 based column index of the top-left corner of the filled area
     * @param width the width of the filled area
     * @param value the value that is set into every cell of the grid inside the specified area
     * @param height the height of the filled area
     * @param checkOccupants whether the filled area should be checked for other elements.
     * If a check is performed an error will be thrown if elements are found.
     */
    occupySpace(grid, y, x, width, value, height = 1, checkOccupants = true) {
        for (let j = y; j < y + height; j++) {
            for (let i = x; i < x + width; i++) {
                if (checkOccupants && grid[j][i] !== '') {
                    throw new Error(`Cannot place element ${value} into the grid layout, because it's space (x: ${i}, y: ${j})` +
                        ` is already occupied by another element (${grid[j][i]})`);
                }
                grid[j][i] = value;
            }
        }
    }
    /**
     * @param index the index of the checked element within its data group
     * @param dataGroup the checked data group
     * @param fieldsPerRow the number of fields that is required to fill an entire row
     * @returns whether the field at the given index is within the last row of elements of the provided data group.
     * Note that if the last row contains enough elements to be completely filled this method returns `false`.
     */
    isLastRow(index, dataGroup, fieldsPerRow) {
        return index + fieldsPerRow >= dataGroup.fields.length;
    }
    /**
     * Destroys the previous content and pushes the new content into the stream
     * @param content the new content
     */
    renderContent(content = []) {
        this._dataSource$.value.forEach(subgrid => subgrid.destroy());
        this._dataSource$.next(content);
    }
    createSubgridId(dataGroup) {
        let idBase;
        if (dataGroup.parentTaskId !== undefined) {
            idBase = [dataGroup.parentTaskId, dataGroup.parentTaskRefId, dataGroup.nestingLevel].join('#');
        }
        else {
            idBase = 'root';
        }
        let id = idBase;
        while (this._existingSubgridIds.has(id)) {
            id = idBase + this._subgridIdCounter.next();
        }
        this._existingSubgridIds.add(id);
        return id;
    }
    trackBySubgridFn = (index, subgrid) => subgrid.subgridId;
    trackByFn = (index, element) => this.trackByDatafields(index, element);
    trackByDatafields(index, element) {
        switch (element.type) {
            case TaskElementType.BLANK:
                return element.gridAreaId + '-' + this.taskContentService.$shouldCreateCounter.getValue();
            case TaskElementType.LOADER:
                return element.gridAreaId + '-L-' + this.taskContentService.$shouldCreateCounter.getValue();
            case TaskElementType.DATA_GROUP_TITLE:
                return element.title + '-' + this.taskContentService.$shouldCreateCounter.getValue();
            default:
                return element.item.stringId + '-' + this.taskContentService.$shouldCreateCounter.getValue();
        }
    }
    shouldResolveTaskRefData(dataRef) {
        if (!!dataRef.component) {
            return this.hasRequiredComponentProperty(dataRef.component, "resolve_data", "true");
        }
        return true;
    }
    hasRequiredComponentProperty(component, propertyName, propertyValue) {
        return component?.properties != null
            && !!component?.properties[propertyName]
            && component?.properties[propertyName] === propertyValue;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskContentComponent, deps: [{ token: FieldConverterService }, { token: TaskContentService }, { token: PaperViewService }, { token: LoggerService }, { token: TaskEventService, optional: true }, { token: NAE_ASYNC_RENDERING_CONFIGURATION, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractTaskContentComponent, selector: "ncc-abstract-task-content", inputs: { noDataText: "noDataText", noDataIcon: "noDataIcon", displayNoDataIcon: "displayNoDataIcon" }, outputs: { taskEvent: "taskEvent" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractTaskContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-task-content',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: FieldConverterService }, { type: TaskContentService }, { type: PaperViewService }, { type: LoggerService }, { type: TaskEventService, decorators: [{
                    type: Optional
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_ASYNC_RENDERING_CONFIGURATION]
                }] }], propDecorators: { noDataText: [{
                type: Input
            }], noDataIcon: [{
                type: Input
            }], displayNoDataIcon: [{
                type: Input
            }], taskEvent: [{
                type: Output
            }] } });

/**
 * Resolves the correct {@link AbstractDataFieldComponent} implementation for the provided data field object.
 */
class AbstractFieldComponentResolverComponent {
    taskContentService;
    _informAboutInvalidData;
    gridElement;
    fieldTypeEnum = FieldTypeResource;
    taskElementEnum = TaskElementType;
    constructor(taskContentService, _informAboutInvalidData) {
        this.taskContentService = taskContentService;
        this._informAboutInvalidData = _informAboutInvalidData;
    }
    ngOnInit() {
        if (!!this.gridElement.item) {
            this.gridElement.item.registerFormControl(new FormControl('', { updateOn: this.gridElement.item.getUpdateOnStrategy() }));
            this.gridElement.item.sendInvalidValues = this._informAboutInvalidData;
        }
    }
    ngOnDestroy() {
        if (!!this.gridElement?.item) {
            this.gridElement.item.disconnectFormControl();
        }
    }
    isOffsetPresent() {
        return !!this.taskContentService.task && !!this.taskContentService.task.layout && !!this.taskContentService.task.layout.offset;
    }
    getFieldOffset() {
        return this.isOffsetPresent() ? this.taskContentService.task.layout.offset : 0;
    }
    getElementType() {
        return this.gridElement.type;
    }
    getDataGroupTitle() {
        return this.gridElement.title;
    }
    getDataField() {
        return this.gridElement.item;
    }
    getTaskId() {
        return this.taskContentService.task.stringId;
    }
    isField() {
        return this.gridElement.type !== TaskElementType.BLANK && this.gridElement.type !== TaskElementType.DATA_GROUP_TITLE;
    }
    isCustomHeight() {
        const component = !!this.gridElement.item?.component ? this.gridElement.item.component : null;
        return this.gridElement.type === FieldTypeResource.I18N && !!component
            && (component.name === 'divider'
                || (!!component.properties && 'plainText' in component.properties && component.properties.plaintText === 'true'));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFieldComponentResolverComponent, deps: [{ token: TaskContentService }, { token: NAE_INFORM_ABOUT_INVALID_DATA, optional: true }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractFieldComponentResolverComponent, selector: "ncc-abstract-field-component-resolver", inputs: { gridElement: "gridElement" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractFieldComponentResolverComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-field-component-resolver',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: TaskContentService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NAE_INFORM_ABOUT_INVALID_DATA]
                }] }], propDecorators: { gridElement: [{
                type: Input
            }] } });

/* SERVICES */

/**
 * Null implementation of the {@link TaskOperations} interface.
 */
class NullTaskOperations {
    /**
     * Calling this function does nothing
     */
    close() {
    }
    /**
     * Calling this function does nothing
     */
    open() {
    }
    /**
     * Calling this function does nothing
     */
    reload() {
    }
    /**
     * Calling this function does nothing
     */
    forceReload() {
    }
}

/* SERVICES */

/* APIS */
/* MODULES */
/* CLASSES */
/* SERVICES */
/* COMPONENTS */

const publicFactoryResolver = (userService, sessionService, authService, router, publicResolverService, privateService, publicService, redirectService, url) => {
    if (!sessionService.isInitialized) {
        publicResolverService.url = router.url;
        if (url === undefined) {
            router.navigate(['/public-resolver'], { queryParams: redirectService.queryParams });
        }
        else {
            router.navigate([url], { queryParams: redirectService.queryParams });
        }
    }
    else if (authService.isAuthenticated && userService.user.id !== '' && userService.user.email !== 'anonymous@netgrif.com') {
        return privateService;
    }
    else {
        return publicService;
    }
};

const getNetAndCreateCase = (router, route, process, caseResourceService, snackBarService, translate, publicTaskLoadingService) => {
    process.getNet(atob(route.snapshot.paramMap.get('petriNetId'))).pipe(mergeMap(net => {
        if (net) {
            publicTaskLoadingService.setLoading$(true);
            const newCase = {
                title: (net.defaultCaseName !== undefined && net.defaultCaseName !== '') ?
                    net.defaultCaseName : translate.instant('side-menu.new-case.case'),
                color: 'panel-primary-icon',
                netId: net.stringId
            };
            return caseResourceService.createCase(newCase);
        }
        else {
            snackBarService.openWarningSnackBar(translate.instant('publicView.netNotExist'));
        }
    })).subscribe(response => {
        router.navigate([route.snapshot.url.join('/') + '/' + response.outcome.aCase.stringId]);
        publicTaskLoadingService.setLoading$(false);
    }, error => {
        snackBarService.openErrorSnackBar(translate.instant('publicView.errorCreate') + error);
        publicTaskLoadingService.setLoading$(false);
    });
};

const CASE_ID = "caseId";
const PETRI_NET_ID = "petriNetId";
const TRANSITION_ID = "transitionId";
const publicBaseFilterFactory = (router, route, process, caseResourceService, snackBarService, translate, publicTaskLoadingService) => {
    const caseId = route.snapshot.paramMap.get(CASE_ID);
    const petriNetId = route.snapshot.paramMap.get(PETRI_NET_ID);
    const transId = route.snapshot.paramMap.get(TRANSITION_ID);
    if (caseId === null && petriNetId !== null) {
        getNetAndCreateCase(router, route, process, caseResourceService, snackBarService, translate, publicTaskLoadingService);
    }
    else if (caseId !== null && transId !== null) {
        return {
            filter: new SimpleFilter('', FilterType.TASK, { case: { id: caseId }, transitionId: transId })
        };
    }
    else if (caseId !== null) {
        return {
            filter: new SimpleFilter('', FilterType.TASK, { case: { id: caseId } })
        };
    }
    return {
        filter: new SimpleFilter('', FilterType.TASK, { case: { id: 'No Case' } })
    };
};

class PublicUrlResolverService {
    _url;
    constructor() {
    }
    set url(url) {
        this._url = url;
    }
    get url() {
        return this._url;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicUrlResolverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicUrlResolverService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: PublicUrlResolverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class AbstractLegalNoticeComponent {
    /**
     * The button text that should be displayed in the legal notice.
     * The text is passed trough the `translate` pipe before being displayed.
     */
    buttonName;
    _legalConfig;
    constructor(config) {
        this._legalConfig = config.getConfigurationSubtree(['services', 'legal']);
    }
    get termsOfServiceLink() {
        return this._legalConfig.termsOfService;
    }
    get privacyPolicyLink() {
        return this._legalConfig.privacyPolicy;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLegalNoticeComponent, deps: [{ token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AbstractLegalNoticeComponent, selector: "ncc-abstract-legal-notice", inputs: { buttonName: "buttonName" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AbstractLegalNoticeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ncc-abstract-legal-notice',
                    template: ''
                }]
        }], ctorParameters: () => [{ type: ConfigurationService }], propDecorators: { buttonName: [{
                type: Input
            }] } });

/* SERVICES */

/* EVENT OUTCOMES */

class ImpersonationUserResourceService extends UserResourceService {
    _IMPERSONATION_SERVER_URL;
    constructor(provider, configService) {
        super(provider, configService);
        this._IMPERSONATION_SERVER_URL = this.getResourceAddress('impersonation');
    }
    search(body, params) {
        return this._resourceProvider.post$('/impersonate/search', this._IMPERSONATION_SERVER_URL, { query: body.fulltext }, params)
            .pipe(map((r) => this.getResourcePage(r, 'users')));
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserResourceService, deps: [{ token: ResourceProvider }, { token: ConfigurationService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserResourceService, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ResourceProvider }, { type: ConfigurationService }] });

class ImpersonationUserListService extends UserListService {
    _logService;
    constructor(_resources, _logService, _snackbar, _translate) {
        super(_resources, _logService, _snackbar, _translate);
        this._logService = _logService;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserListService, deps: [{ token: ImpersonationUserResourceService }, { token: LoggerService }, { token: SnackBarService }, { token: i1$2.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserListService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: ImpersonationUserListService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: ImpersonationUserResourceService }, { type: LoggerService }, { type: SnackBarService }, { type: i1$2.TranslateService }] });

/* MODELS */

const redirectAction = {
    call: (injector, frontAction) => {
        const router = injector.get(Router);
        router.navigate([frontAction.args[0]]);
    }
};

const validateTaskAction = {
    call: (injector, frontAction) => {
        const taskContentService = injector.get(TaskContentService);
        taskContentService.validateTaskData(frontAction.args[0]);
    }
};
const reloadTaskAction = {
    call: (injector, frontAction) => {
        const taskDataService = injector.get(TaskDataService);
        taskDataService.initializeTaskDataFields(new AfterAction(), true);
    }
};

class FrontActionModule {
    constructor(frontActionsRegistry) {
        frontActionsRegistry.register('redirect', redirectAction);
        frontActionsRegistry.register('validate', validateTaskAction);
        frontActionsRegistry.register('reloadTask', reloadTaskAction);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionModule, deps: [{ token: FrontActionRegistryService }], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: FrontActionModule, imports: [CommonModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FrontActionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ]
                }]
        }], ctorParameters: () => [{ type: FrontActionRegistryService }] });

const ProcessServiceProvider = {
    provide: ProcessService,
    useFactory: (userService, sessionService, authService, router, publicResolverService, petriNetResource, publicPetriNetResource, loggerService, redirectService) => {
        return publicFactoryResolver(userService, sessionService, authService, router, publicResolverService, new ProcessService(petriNetResource, loggerService), new PublicProcessService(publicPetriNetResource, loggerService), redirectService);
    },
    deps: [
        UserService,
        SessionService,
        AuthenticationService,
        Router,
        PublicUrlResolverService,
        PetriNetResourceService,
        PublicPetriNetResourceService,
        LoggerService,
        RedirectService
    ]
};

const PetriNetResourceServiceProvider = {
    provide: PetriNetResourceService,
    useFactory: (userService, sessionService, authService, router, publicResolverService, provider, config, redirectService) => {
        return publicFactoryResolver(userService, sessionService, authService, router, publicResolverService, new PetriNetResourceService(provider, config), new PublicPetriNetResourceService(provider, config), redirectService);
    },
    deps: [
        UserService,
        SessionService,
        AuthenticationService,
        Router,
        PublicUrlResolverService,
        ResourceProvider,
        ConfigurationService,
        RedirectService
    ]
};

const TaskResourceServiceProvider = {
    provide: TaskResourceService,
    useFactory: (userService, sessionService, authService, router, publicResolverService, logger, provider, config, fieldConverter, redirectService) => {
        return publicFactoryResolver(userService, sessionService, authService, router, publicResolverService, new TaskResourceService(provider, config, fieldConverter, logger), new PublicTaskResourceService(provider, config, fieldConverter, logger), redirectService);
    },
    deps: [
        UserService,
        SessionService,
        AuthenticationService,
        Router,
        PublicUrlResolverService,
        LoggerService,
        ResourceProvider,
        ConfigurationService,
        FieldConverterService,
        RedirectService
    ]
};

const CaseResourceServiceProvider = {
    provide: CaseResourceService,
    useFactory: (userService, sessionService, authService, router, publicResolverService, provider, config, redirectService) => {
        return publicFactoryResolver(userService, sessionService, authService, router, publicResolverService, new CaseResourceService(provider, config), new PublicCaseResourceService(provider, config), redirectService);
    },
    deps: [
        UserService,
        SessionService,
        AuthenticationService,
        Router,
        PublicUrlResolverService,
        ResourceProvider,
        ConfigurationService,
        RedirectService
    ]
};

const BaseFilterFactoryProvider = {
    provide: NAE_BASE_FILTER,
    useFactory: publicBaseFilterFactory,
    deps: [
        Router,
        ActivatedRoute,
        ProcessService,
        CaseResourceService,
        SnackBarService,
        TranslateService,
        PublicTaskLoadingService,
        RedirectService
    ]
};

/*
 * Public API Surface of netgrif-components-core
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AbstractAddChildNodeComponent, AbstractAdvancedSearchComponent, AbstractAuthenticationOverlayComponent, AbstractBaseDataFieldComponent, AbstractBooleanDefaultFieldComponent, AbstractBooleanFieldComponent, AbstractBreadcrumbsComponent, AbstractButtonDefaultFieldComponent, AbstractButtonFieldComponent, AbstractCaseListComponent, AbstractCaseListPaginatorComponent, AbstractCasePanelComponent, AbstractCaseRefDefaultComponent, AbstractCaseViewComponent, AbstractChangePasswordComponent, AbstractCountCardComponent, AbstractCurrencyNumberFieldComponent, AbstractCustomCardComponent, AbstractDashboardBarChartTextFieldComponent, AbstractDashboardContentComponent, AbstractDashboardIframeTextFieldComponent, AbstractDashboardLineChartTextFieldComponent, AbstractDashboardPieChartTextFieldComponent, AbstractDashboardPortalTextFieldComponent, AbstractDashboardTextFieldComponent, AbstractDataFieldTemplateComponent, AbstractDateDefaultFieldComponent, AbstractDateFieldComponent, AbstractDateTimeDefaultFieldComponent, AbstractDateTimeFieldComponent, AbstractDefaultNumberFieldComponent, AbstractEditModeComponent, AbstractEmailSubmissionFormComponent, AbstractEnumerationAutocompleteDynamicFieldComponent, AbstractEnumerationAutocompleteSelectFieldComponent, AbstractEnumerationCaseRefComponent, AbstractEnumerationFieldComponent, AbstractEnumerationIconFieldComponent, AbstractEnumerationListFieldComponent, AbstractEnumerationSelectFieldComponent, AbstractEnumerationStepperFieldComponent, AbstractFieldComponentResolverComponent, AbstractFileDefaultFieldComponent, AbstractFileFieldComponent, AbstractFileListDefaultFieldComponent, AbstractFileListFieldComponent, AbstractFilterDefaultFieldComponent, AbstractFilterFieldComponent, AbstractFilterFieldContentComponent, AbstractFilterFieldTabViewComponent, AbstractFilterFieldTabViewContentComponent, AbstractFilterSelectorComponent, AbstractFilterSelectorListItemComponent, AbstractForgottenPasswordComponent, AbstractFulltextSearchComponent, AbstractGroupNavigationComponentResolverComponent, AbstractHeaderComponent, AbstractHeaderService, AbstractHtmlTextareaFieldComponent, AbstractI18nDividerFieldComponent, AbstractI18nErrorsComponent, AbstractI18nFieldComponent, AbstractI18nTextFieldComponent, AbstractIframeCardComponent, AbstractImmediateFilterTextComponent, AbstractImmediateFilterTextContentComponent, AbstractImportNetComponent, AbstractInternalLinkComponent, AbstractLanguageSelectorComponent, AbstractLdapGroupRoleAssignmentComponent, AbstractLegalNoticeComponent, AbstractLoadFilterComponent, AbstractLoadingModeComponent, AbstractLoggerService, AbstractLoginFormComponent, AbstractLogoutShortcutComponent, AbstractMultiUserAssignComponent, AbstractMultiUserAssignItemComponent, AbstractMultiUserAssignListComponent, AbstractMultichoiceAutocompleteFieldComponentComponent, AbstractMultichoiceCaseRefComponent, AbstractMultichoiceFieldComponent, AbstractMultichoiceListFieldComponent, AbstractMultichoiceSelectFieldComponent, AbstractNavigationDoubleDrawerComponent, AbstractNavigationDrawerComponent, AbstractNavigationRailComponent, AbstractNavigationTreeComponent, AbstractNewCaseComponent, AbstractNumberDecimalFieldComponent, AbstractNumberErrorsComponent, AbstractNumberFieldComponent, AbstractOptionSelectorComponent, AbstractPanelComponent, AbstractPanelItemComponent, AbstractPasswordTextFieldComponent, AbstractProfileComponent, AbstractQuickPanelComponent, AbstractRegistrationComponent, AbstractRegistrationFormComponent, AbstractRemoveNodeComponent, AbstractResourceProvider, AbstractResourceService, AbstractRichTextareaFieldComponent, AbstractRoleAssignmentComponent, AbstractSaveFilterComponent, AbstractSearchClauseComponent, AbstractSearchComponent, AbstractSearchConfigurationInputComponent, AbstractSearchModeComponent, AbstractSearchOperandInputComponent, AbstractSearchPredicateComponent, AbstractSessionIdleComponent, AbstractSideMenuContainerComponent, AbstractSimpleTextFieldComponent, AbstractSingleTaskComponent, AbstractSingleTaskViewComponent, AbstractSortModeComponent, AbstractSortableViewComponent, AbstractStringCollectionDefaultFieldComponent, AbstractTabCreationDetectorComponent, AbstractTabViewComponent, AbstractTabbedCaseViewComponent, AbstractTabbedTaskViewComponent, AbstractTaskContentComponent, AbstractTaskListComponent, AbstractTaskListPaginationComponent, AbstractTaskPanelComponent, AbstractTaskRefDashboardFieldComponent, AbstractTaskRefDashboardTileComponent, AbstractTaskRefFieldComponent, AbstractTaskRefListFieldComponent, AbstractTaskViewComponent, AbstractTextErrorsComponent, AbstractTextFieldComponent, AbstractTextareaFieldComponent, AbstractToolbarComponent, AbstractTreeComponent, AbstractTreeTaskContentComponent, AbstractUserAssignComponent, AbstractUserAssignItemComponent, AbstractUserAssignListComponent, AbstractUserCardComponent, AbstractUserDefaultFieldComponent, AbstractUserFieldComponent, AbstractUserImpersonateComponent, AbstractUserInviteComponent, AbstractUserListDefaultFieldComponent, AbstractUserListFieldComponent, AbstractViewWithHeadersComponent, AbstractWorkflowPanelComponent, AbstractWorkflowViewComponent, AccessService, ActiveGroupService, AdvancedSearchComponentInitializationService, AfterAction, AlertDialogComponent, AlertDialogModule, AllowedNetsService, AllowedNetsServiceFactory, AnonymousAuthenticationInterceptor, AnonymousService, AssignPolicy, AssignPolicyService, AssignTaskService, AuthenticationGuardService, AuthenticationInterceptor, AuthenticationMethodService, AuthenticationModule, AuthenticationService, AuthorityGuardService, AutocompleteCategory, BOOLEAN_VALUE_LABEL_ENABLED, BaseAllowedNetsService, BaseFilterFactoryProvider, BasicAuthenticationService, BasicWithRealmAuthenticationService, BooleanField, BooleanFieldValidation, BooleanOperator, ButtonField, ButtonFieldValidation, CASE_ID, CONFIRM_PASSWORD, CallChainService, CancelTaskService, CaseAuthor, CaseCreationDate, CaseCreationDateTime, CaseDataset, CaseHeaderService, CaseListFontColorService, CaseMetaField, CaseNetAttributeAutocompleteCategory, CaseProcess, CaseRefField, CaseResourceService, CaseResourceServiceProvider, CaseRole, CaseSearch, CaseSimpleDataset, CaseStringId, CaseTask, CaseTitle, CaseTreeNode, CaseTreeService, CaseViewService, CaseVisualId, Categories, Category, CategoryFactory, CategoryResolverService, ChangedFieldsService, ClausePredicate, ComponentPrefixes, ComponentRegistryService, ConfigParams, ConfigurationInput, ConfigurationService, ConfirmDialogComponent, ConfirmDialogModule, ConsoleLogPublisher, ContainsPipe, CovalentModule, CurrencyModule, CustomDateAdapter, DATA_FIELD_PORTAL_DATA, DATE_FORMAT, DATE_FORMAT_STRING, DATE_TIME_FORMAT, DATE_TIME_FORMAT_STRING, DEFAULT, DEFAULT_LANGUAGE_CODE, Dashboard, DashboardCardTypes, DashboardMultiData, DashboardResourceService, DashboardSingleData, DataField, DataFieldsModule, DataFocusPolicy, DataFocusPolicyService, DataGroupAlignment, DatafieldMapKey, DateField, DateTimeField, DefaultSearchCategoriesModule, DelegateTaskService, DialogModule, DialogService, DynamicEnumerationField, DynamicNavigationRouteProviderService, EditableClausePredicate, EditableClausePredicateWithGenerators, EditableElementaryPredicate, EditablePredicate, EditablePredicateWithGenerator, ElementaryPredicate, EnumerationAutocompleteFilterProperty, EnumerationField, EnumerationFieldValidation, Equals, EqualsDate, ErrorSnackBarComponent, EventConstants, EventQueueService, EventService, FieldAlignment, FieldConverterService, FieldTypeResource, FileField, FileListField, FileListFieldValidation, FilePreviewType, FileUploadMIMEType, FileUploadModel, Filter, FilterExtractionService, FilterField, FilterRepository, FilterType, FilteredArray, FinishPolicy, FinishPolicyService, FinishTaskService, FrontActionModule, FrontActionRegistryService, FrontActionService, GenericSnackBarComponent, GroupGuardService, GroupNavigationComponentResolverService, GroupNavigationConstants, HeaderColumn, HeaderColumnType, HeaderMode, HeaderSearchService, HeaderType, HttpLoaderFactory, I18nField, I18nFieldValidation, IconType, ImpersonationService, ImpersonationUserListService, ImpersonationUserResourceService, ImpersonationUserSelectService, InRange, InRangeDate, IncrementingCounter, IsEmptyPipe, IsNonEmptyPipe, IsNull, LEFT_DRAWER_DEFAULT_WIDTH, LanguageIconsService, LanguageService, LdapGroupListService, LdapGroupResourceService, LessThan, LessThanDate, LessThanDateTime, LetContext, LetDirective, Like, LoadingEmitter, LoadingWithFilterEmitter, LocalStorageLogPublisher, LogEntry, LogLevel, LogPublisher, LogPublisherService, LoggerService, MENU_IDENTIFIERS, MaterialAppearance, MaterialModule, MenuOrder, MergeOperator, MergedFilter, MockAuthenticationMethodService, MockAuthenticationService, MockEndpoint, MockProfileService, MockSignUpService, MockUserPreferenceService, MockUserResourceService, MockUserService, MoreThan, MoreThanDate, MoreThanDateTime, MultichoiceAutocompleteFilterProperty, MultichoiceField, NAE_ADMIN_IMPERSONATE_COMPONENT, NAE_ADMIN_IMPERSONATE_DIALOG_COMPONENT, NAE_ASYNC_RENDERING_CONFIGURATION, NAE_AUTOSWITCH_TAB_TOKEN, NAE_BASE_FILTER, NAE_CASE_REF_CREATE_CASE, NAE_CASE_REF_DATAFIELD, NAE_CASE_REF_SEARCH, NAE_DEFAULT_CASE_SEARCH_CATEGORIES, NAE_DEFAULT_HEADERS, NAE_DEFAULT_LANGUAGE, NAE_DEFAULT_MIN_PASSWORD_LENGTH, NAE_DEFAULT_TASK_SEARCH_CATEGORIES, NAE_FILTERS_FILTER, NAE_FILTER_FIELD, NAE_FILTER_TEXT, NAE_GROUP_NAVIGATION_COMPONENT_RESOLVER_COMPONENT, NAE_IMPORT_NET_COMPONENT, NAE_IMPORT_NET_DIALOG_COMPONENT, NAE_INFORM_ABOUT_INVALID_DATA, NAE_LOAD_FILTER_COMPONENT, NAE_LOAD_FILTER_DIALOG_COMPONENT, NAE_MIN_PASSWORD_LENGTH, NAE_MULTI_USER_ASSIGN_COMPONENT, NAE_MULTI_USER_ASSIGN_DIALOG_COMPONENT, NAE_NAVIGATION_ITEM_TASK_DATA, NAE_NET_ALL_VERSIONS, NAE_NET_VERSION_VISIBLE, NAE_NEW_CASE_COMPONENT, NAE_NEW_CASE_CONFIGURATION, NAE_NEW_CASE_CREATION_CONFIGURATION_DATA, NAE_NEW_CASE_DIALOG_COMPONENT, NAE_OPEN_EXISTING_TAB, NAE_OPTION_SELECTOR_COMPONENT, NAE_OPTION_SELECTOR_DIALOG_COMPONENT, NAE_PREFERRED_TASK_ENDPOINT, NAE_ROUTING_CONFIGURATION_PATH, NAE_SAVE_FILTER_COMPONENT, NAE_SAVE_FILTER_DIALOG_COMPONENT, NAE_SEARCH_CATEGORIES, NAE_SEARCH_COMPONENT_CONFIGURATION, NAE_SIDE_MENU_CONTROL, NAE_SNACKBAR_HORIZONTAL_POSITION, NAE_SNACKBAR_VERTICAL_POSITION, NAE_TAB_DATA, NAE_TASK_FORCE_OPEN, NAE_TASK_OPERATIONS, NAE_TASK_PANEL_DISABLE_BUTTON_FUNCTIONS, NAE_TASK_VIEW_COMPONENT, NAE_TASK_VIEW_CONFIGURATION, NAE_TREE_CASE_VIEW_CONFIGURATION, NAE_URI_NODE_CASES_PAGE_SIZE, NAE_USER_ASSIGN_COMPONENT, NAE_USER_ASSIGN_DIALOG_COMPONENT, NAE_USER_IMPERSONATE_COMPONENT, NAE_USER_IMPERSONATE_DIALOG_COMPONENT, NAE_VIEW_ID, NAE_VIEW_ID_SEGMENT, NAE_WORKFLOW_SERVICE_CONFIRM_DELETE, NAE_WORKFLOW_SERVICE_FILTER, Net, NetAttributeAutocompleteCategory, NetgrifPaginatorIntl, NextGroupService, NoConfigurationAutocompleteCategory, NoConfigurationCategory, NoConfigurationUserAutocompleteCategory, NotEquals, NotEqualsDate, NotEqualsDateTime, NullAuthenticationService, NullTaskOperations, NumberField, NumberFieldValidation, OLD_PASSWORD, OpenedTab, Operator, OperatorResolverService, OperatorService, OperatorTemplatePart, OperatorTemplatePartType, Operators, OrganizationListService, OverflowService, PASSWORD, PETRI_NET_ID, PUBLISHERS, PageLoadRequestContext, PaginationParams, PaginationSort, PaperViewService, PermissionService, PermissionType, PetriNetResourceService, PetriNetResourceServiceProvider, Predicate, PredicateWithGenerator, ProcessList, ProcessService, ProcessServiceProvider, ProfileModule, ProfileService, ProgressType, PromptDialogComponent, PromptDialogModule, PublicCaseResourceService, PublicPetriNetResourceService, PublicProcessService, PublicTaskLoadingService, PublicTaskResourceService, PublicUrlResolverService, Query, QueuedEvent, RIGHT_DRAWER_DEFAULT_MIN_WIDTH, RIGHT_DRAWER_DEFAULT_WIDTH, RIGHT_DRAWER_MAX_WIDTH, RIGHT_SIDE_INIT_PAGE_SIZE, RIGHT_SIDE_NEW_PAGE_SIZE, RedirectService, ResourceProvider, ResultWithAfterActions, RoleAssignmentLdapGroupService, RoleAssignmentService, RoleGuardService, RoutingBuilderService, SETTINGS_TRANSITION_ID, SearchIndex, SearchIndexResolverService, SearchInputType, SearchMode, SearchService, SelectedCaseService, SessionIdleTimerService, SessionService, SideMenuControl, SideMenuRef, SideMenuService, SideMenuSize, SignUpModule, SignUpService, SimpleFilter, SingleTaskContentService, SnackBarComponent, SnackBarHorizontalPosition, SnackBarModule, SnackBarService, SnackBarVerticalPosition, SpinnerOverlayService, StringCollectionField, Subgrid, SubjectTaskOperations, Substring, SuccessSnackBarComponent, TRANSITION_ID, TabLabelStream, TabView, TabbedVirtualScrollComponent, TaskAssignee, TaskConst, TaskContentService, TaskDataService, TaskElementType, TaskEndpoint, TaskEvent, TaskEventService, TaskHandlingService, TaskHeaderService, TaskMetaField, TaskNetAttributeAutocompleteCategory, TaskProcess, TaskRefComponents, TaskRefDashboardConstants, TaskRefDashboardTileConstants, TaskRefField, TaskRequestStateService, TaskResourceService, TaskResourceServiceProvider, TaskRole, TaskTask, TaskViewService, TemplateAppearance, TestCaseBaseFilterProvider, TestCaseViewAllowedNetsFactory, TestConfigurationService, TestMockDependenciesModule, TestNoAllowedNetsFactory, TestTaskBaseFilterProvider, TestTaskViewAllowedNetsFactory, TestViewService, TextAreaField, TextAreaHeight, TextField, TextFieldComponent, TextFieldValidation, TextFieldView, TranslateLibModule, TreeCaseViewService, TreePetriflowIdentifiers, TreeTaskContentService, UnlimitedTaskContentService, UriContentType, UriResourceService, UriService, User, UserAutocomplete, UserComparatorService, UserField, UserFilterConstants, UserFiltersService, UserImpersonationConstants, UserInviteService, UserListField, UserListService, UserListValue, UserPreferenceService, UserResourceService, UserService, UserTransformer, UserValue, UtilityModule, ViewIdService, ViewService, WarningSnackBarComponent, WorkflowHeaderService, WorkflowMetaField, WorkflowViewService, WrappedBoolean, arrayToObservable, authenticationServiceFactory, clearTimeInformation, configureCategory, createMockCase, createMockCaseOutcome, createMockDataGroup, createMockDependencies, createMockField, createMockGetDataOutcome, createMockImmediateData, createMockNet, createMockPage, createMockPetriNetOutcome, createMockSetDataOutcome, createMockTask, createMockTaskOutcome, createSortParam, createTaskEventNotification, decodeBase64, defaultCaseSearchCategoriesFactory, defaultTaskSearchCategoriesFactory, destroySubscription, encodeBase64, extractFieldValueFromData, extractFilterFieldFromData, extractFilterFromData, extractFilterFromFilterField, extractIconAndTitle, extractRoles, extractSearchTypeFromData, getField, getFieldFromDataGroups, getFieldIndex, getFieldIndexFromDataGroups, getImmediateData, getNetAndCreateCase, groupNavigationViewIdSegmentFactory, hasContent, loadAllPages, mockUserAutocompleteValue, navigationItemCaseViewDefaultHeadersFactory, navigationItemTaskAllowedNetsServiceFactory, navigationItemTaskCategoryFactory, navigationItemTaskFilterFactory, navigationItemTaskViewDefaultHeadersFactory, ofVoid, processMessageResponse, publicBaseFilterFactory, publicFactoryResolver, redirectAction, refreshTree, reloadTaskAction, tabbedAllowedNetsServiceFactory, tabbedTaskViewConfigurationFactory, toMoment, validateTaskAction };
//# sourceMappingURL=netgrif-components-core.mjs.map
